#line 1 "ad_x86.cpp"
//
// Copyright (c) 1997, 2024, Oracle and/or its affiliates. All rights reserved.
// DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
//
// This code is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License version 2 only, as
// published by the Free Software Foundation.
//
// This code is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// version 2 for more details (a copy is included in the LICENSE file that
// accompanied this code).
//
// You should have received a copy of the GNU General Public License version
// 2 along with this work; if not, write to the Free Software Foundation,
// Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
//
// Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
// or visit www.oracle.com if you need additional information or have any
// questions.
//
//

// Machine Generated File.  Do Not Edit!

#include "precompiled.hpp"
#include "adfiles/adGlobals_x86.hpp"
#include "adfiles/ad_x86.hpp"
#include "memory/allocation.inline.hpp"
#include "code/codeCache.hpp"
#include "code/compiledIC.hpp"
#include "code/nativeInst.hpp"
#include "code/vmreg.inline.hpp"
#include "gc/shared/collectedHeap.inline.hpp"
#include "oops/compressedOops.hpp"
#include "oops/markWord.hpp"
#include "oops/method.hpp"
#include "oops/oop.inline.hpp"
#include "opto/c2_MacroAssembler.hpp"
#include "opto/cfgnode.hpp"
#include "opto/intrinsicnode.hpp"
#include "opto/locknode.hpp"
#include "opto/opcodes.hpp"
#include "opto/regalloc.hpp"
#include "opto/regmask.hpp"
#include "opto/runtime.hpp"
#include "runtime/safepointMechanism.hpp"
#include "runtime/sharedRuntime.hpp"
#include "runtime/stubRoutines.hpp"
#include "utilities/growableArray.hpp"
#include "utilities/powerOfTwo.hpp"

//SourceForm

#line 251 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

#define   RELOC_IMM32    Assembler::imm_operand
#define   RELOC_DISP32   Assembler::disp32_operand

#define __ masm->

// How to find the high register of a Long pair, given the low register
#define   HIGH_FROM_LOW(x) (as_Register((x)->encoding()+2))
#define   HIGH_FROM_LOW_ENC(x) ((x)+2)

// These masks are used to provide 128-bit aligned bitmasks to the XMM
// instructions, to allow sign-masking or sign-bit flipping.  They allow
// fast versions of NegF/NegD and AbsF/AbsD.

void reg_mask_init() {}

// Note: 'double' and 'long long' have 32-bits alignment on x86.
static jlong* double_quadword(jlong *adr, jlong lo, jlong hi) {
  // Use the expression (adr)&(~0xF) to provide 128-bits aligned address
  // of 128-bits operands for SSE instructions.
  jlong *operand = (jlong*)(((uintptr_t)adr)&((uintptr_t)(~0xF)));
  // Store the value to a 128-bits operand.
  operand[0] = lo;
  operand[1] = hi;
  return operand;
}

// Buffer for 128-bits masks used by SSE instructions.
static jlong fp_signmask_pool[(4+1)*2]; // 4*128bits(data) + 128bits(alignment)

// Static initialization during VM startup.
static jlong *float_signmask_pool  = double_quadword(&fp_signmask_pool[1*2], CONST64(0x7FFFFFFF7FFFFFFF), CONST64(0x7FFFFFFF7FFFFFFF));
static jlong *double_signmask_pool = double_quadword(&fp_signmask_pool[2*2], CONST64(0x7FFFFFFFFFFFFFFF), CONST64(0x7FFFFFFFFFFFFFFF));
static jlong *float_signflip_pool  = double_quadword(&fp_signmask_pool[3*2], CONST64(0x8000000080000000), CONST64(0x8000000080000000));
static jlong *double_signflip_pool = double_quadword(&fp_signmask_pool[4*2], CONST64(0x8000000000000000), CONST64(0x8000000000000000));

// Offset hacking within calls.
static int pre_call_resets_size() {
  int size = 0;
  Compile* C = Compile::current();
  if (C->in_24_bit_fp_mode()) {
    size += 6; // fldcw
  }
  if (VM_Version::supports_vzeroupper()) {
    size += 3; // vzeroupper
  }
  return size;
}

// !!!!! Special hack to get all type of calls to specify the byte offset
//       from the start of the call to the point where the return address
//       will point.
int MachCallStaticJavaNode::ret_addr_offset() {
  return 5 + pre_call_resets_size();  // 5 bytes from start of call to where return address points
}

int MachCallDynamicJavaNode::ret_addr_offset() {
  return 10 + pre_call_resets_size();  // 10 bytes from start of call to where return address points
}

static int sizeof_FFree_Float_Stack_All = -1;

int MachCallRuntimeNode::ret_addr_offset() {
  assert(sizeof_FFree_Float_Stack_All != -1, "must have been emitted already");
  return 5 + pre_call_resets_size() + (_leaf_no_fp ? 0 : sizeof_FFree_Float_Stack_All);
}

//
// Compute padding required for nodes which need alignment
//

// The address of the call instruction needs to be 4-byte aligned to
// ensure that it does not span a cache line so that it can be patched.
int CallStaticJavaDirectNode::compute_padding(int current_offset) const {
  current_offset += pre_call_resets_size();  // skip fldcw, if any
  current_offset += 1;      // skip call opcode byte
  return align_up(current_offset, alignment_required()) - current_offset;
}

// The address of the call instruction needs to be 4-byte aligned to
// ensure that it does not span a cache line so that it can be patched.
int CallDynamicJavaDirectNode::compute_padding(int current_offset) const {
  current_offset += pre_call_resets_size();  // skip fldcw, if any
  current_offset += 5;      // skip MOV instruction
  current_offset += 1;      // skip call opcode byte
  return align_up(current_offset, alignment_required()) - current_offset;
}

// EMIT_RM()
void emit_rm(C2_MacroAssembler *masm, int f1, int f2, int f3) {
  unsigned char c = (unsigned char)((f1 << 6) | (f2 << 3) | f3);
  __ emit_int8(c);
}

// EMIT_CC()
void emit_cc(C2_MacroAssembler *masm, int f1, int f2) {
  unsigned char c = (unsigned char)( f1 | f2 );
  __ emit_int8(c);
}

// EMIT_OPCODE()
void emit_opcode(C2_MacroAssembler *masm, int code) {
  __ emit_int8((unsigned char) code);
}

// EMIT_OPCODE() w/ relocation information
void emit_opcode(C2_MacroAssembler *masm, int code, relocInfo::relocType reloc, int offset = 0) {
  __ relocate(__ inst_mark() + offset, reloc);
  emit_opcode(masm, code);
}

// EMIT_D8()
void emit_d8(C2_MacroAssembler *masm, int d8) {
  __ emit_int8((unsigned char) d8);
}

// EMIT_D16()
void emit_d16(C2_MacroAssembler *masm, int d16) {
  __ emit_int16(d16);
}

// EMIT_D32()
void emit_d32(C2_MacroAssembler *masm, int d32) {
  __ emit_int32(d32);
}

// emit 32 bit value and construct relocation entry from relocInfo::relocType
void emit_d32_reloc(C2_MacroAssembler *masm, int d32, relocInfo::relocType reloc,
        int format) {
  __ relocate(__ inst_mark(), reloc, format);
  __ emit_int32(d32);
}

// emit 32 bit value and construct relocation entry from RelocationHolder
void emit_d32_reloc(C2_MacroAssembler *masm, int d32, RelocationHolder const& rspec,
        int format) {
#ifdef ASSERT
  if (rspec.reloc()->type() == relocInfo::oop_type && d32 != 0 && d32 != (int)Universe::non_oop_word()) {
    assert(oopDesc::is_oop(cast_to_oop(d32)), "cannot embed broken oops in code");
  }
#endif
  __ relocate(__ inst_mark(), rspec, format);
  __ emit_int32(d32);
}

// Access stack slot for load or store
void store_to_stackslot(C2_MacroAssembler *masm, int opcode, int rm_field, int disp) {
  emit_opcode( masm, opcode );               // (e.g., FILD   [ESP+src])
  if( -128 <= disp && disp <= 127 ) {
    emit_rm( masm, 0x01, rm_field, ESP_enc );  // R/M byte
    emit_rm( masm, 0x00, ESP_enc, ESP_enc);    // SIB byte
    emit_d8 (masm, disp);     // Displacement  // R/M byte
  } else {
    emit_rm( masm, 0x02, rm_field, ESP_enc );  // R/M byte
    emit_rm( masm, 0x00, ESP_enc, ESP_enc);    // SIB byte
    emit_d32(masm, disp);     // Displacement  // R/M byte
  }
}

   // rRegI ereg, memory mem) %{    // emit_reg_mem
void encode_RegMem( C2_MacroAssembler *masm, int reg_encoding, int base, int index, int scale, int displace, relocInfo::relocType disp_reloc ) {
  // There is no index & no scale, use form without SIB byte
  if ((index == 0x4) &&
      (scale == 0) && (base != ESP_enc)) {
    // If no displacement, mode is 0x0; unless base is [EBP]
    if ( (displace == 0) && (base != EBP_enc) ) {
      emit_rm(masm, 0x0, reg_encoding, base);
    }
    else {                    // If 8-bit displacement, mode 0x1
      if ((displace >= -128) && (displace <= 127)
          && (disp_reloc == relocInfo::none) ) {
        emit_rm(masm, 0x1, reg_encoding, base);
        emit_d8(masm, displace);
      }
      else {                  // If 32-bit displacement
        if (base == -1) { // Special flag for absolute address
          emit_rm(masm, 0x0, reg_encoding, 0x5);
          // (manual lies; no SIB needed here)
          if ( disp_reloc != relocInfo::none ) {
            emit_d32_reloc(masm, displace, disp_reloc, 1);
          } else {
            emit_d32      (masm, displace);
          }
        }
        else {                // Normal base + offset
          emit_rm(masm, 0x2, reg_encoding, base);
          if ( disp_reloc != relocInfo::none ) {
            emit_d32_reloc(masm, displace, disp_reloc, 1);
          } else {
            emit_d32      (masm, displace);
          }
        }
      }
    }
  }
  else {                      // Else, encode with the SIB byte
    // If no displacement, mode is 0x0; unless base is [EBP]
    if (displace == 0 && (base != EBP_enc)) {  // If no displacement
      emit_rm(masm, 0x0, reg_encoding, 0x4);
      emit_rm(masm, scale, index, base);
    }
    else {                    // If 8-bit displacement, mode 0x1
      if ((displace >= -128) && (displace <= 127)
          && (disp_reloc == relocInfo::none) ) {
        emit_rm(masm, 0x1, reg_encoding, 0x4);
        emit_rm(masm, scale, index, base);
        emit_d8(masm, displace);
      }
      else {                  // If 32-bit displacement
        if (base == 0x04 ) {
          emit_rm(masm, 0x2, reg_encoding, 0x4);
          emit_rm(masm, scale, index, 0x04);
        } else {
          emit_rm(masm, 0x2, reg_encoding, 0x4);
          emit_rm(masm, scale, index, base);
        }
        if ( disp_reloc != relocInfo::none ) {
          emit_d32_reloc(masm, displace, disp_reloc, 1);
        } else {
          emit_d32      (masm, displace);
        }
      }
    }
  }
}


void encode_Copy( C2_MacroAssembler *masm, int dst_encoding, int src_encoding ) {
  if( dst_encoding == src_encoding ) {
    // reg-reg copy, use an empty encoding
  } else {
    emit_opcode( masm, 0x8B );
    emit_rm(masm, 0x3, dst_encoding, src_encoding );
  }
}

void emit_cmpfp_fixup(MacroAssembler* masm) {
  Label exit;
  __ jccb(Assembler::noParity, exit);
  __ pushf();
  //
  // comiss/ucomiss instructions set ZF,PF,CF flags and
  // zero OF,AF,SF for NaN values.
  // Fixup flags by zeroing ZF,PF so that compare of NaN
  // values returns 'less than' result (CF is set).
  // Leave the rest of flags unchanged.
  //
  //    7 6 5 4 3 2 1 0
  //   |S|Z|r|A|r|P|r|C|  (r - reserved bit)
  //    0 0 1 0 1 0 1 1   (0x2B)
  //
  __ andl(Address(rsp, 0), 0xffffff2b);
  __ popf();
  __ bind(exit);
}

static void emit_cmpfp3(MacroAssembler* masm, Register dst) {
  Label done;
  __ movl(dst, -1);
  __ jcc(Assembler::parity, done);
  __ jcc(Assembler::below, done);
  __ setb(Assembler::notEqual, dst);
  __ movzbl(dst, dst);
  __ bind(done);
}


//=============================================================================
const RegMask& MachConstantBaseNode::_out_RegMask = RegMask::Empty;

int ConstantTable::calculate_table_base_offset() const {
  return 0;  // absolute addressing, no offset
}

bool MachConstantBaseNode::requires_postalloc_expand() const { return false; }
void MachConstantBaseNode::postalloc_expand(GrowableArray <Node *> *nodes, PhaseRegAlloc *ra_) {
  ShouldNotReachHere();
}

void MachConstantBaseNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Empty encoding
}

uint MachConstantBaseNode::size(PhaseRegAlloc* ra_) const {
  return 0;
}

#ifndef PRODUCT
void MachConstantBaseNode::format(PhaseRegAlloc* ra_, outputStream* st) const {
  st->print("# MachConstantBaseNode (empty encoding)");
}
#endif


//=============================================================================
#ifndef PRODUCT
void MachPrologNode::format(PhaseRegAlloc* ra_, outputStream* st) const {
  Compile* C = ra_->C;

  int framesize = C->output()->frame_size_in_bytes();
  int bangsize = C->output()->bang_size_in_bytes();
  assert((framesize & (StackAlignmentInBytes-1)) == 0, "frame size not aligned");
  // Remove wordSize for return addr which is already pushed.
  framesize -= wordSize;

  if (C->output()->need_stack_bang(bangsize)) {
    framesize -= wordSize;
    st->print("# stack bang (%d bytes)", bangsize);
    st->print("\n\t");
    st->print("PUSH   EBP\t# Save EBP");
    if (PreserveFramePointer) {
      st->print("\n\t");
      st->print("MOV    EBP, ESP\t# Save the caller's SP into EBP");
    }
    if (framesize) {
      st->print("\n\t");
      st->print("SUB    ESP, #%d\t# Create frame",framesize);
    }
  } else {
    st->print("SUB    ESP, #%d\t# Create frame",framesize);
    st->print("\n\t");
    framesize -= wordSize;
    st->print("MOV    [ESP + #%d], EBP\t# Save EBP",framesize);
    if (PreserveFramePointer) {
      st->print("\n\t");
      st->print("MOV    EBP, ESP\t# Save the caller's SP into EBP");
      if (framesize > 0) {
        st->print("\n\t");
        st->print("ADD    EBP, #%d", framesize);
      }
    }
  }

  if (VerifyStackAtCalls) {
    st->print("\n\t");
    framesize -= wordSize;
    st->print("MOV    [ESP + #%d], 0xBADB100D\t# Majik cookie for stack depth check",framesize);
  }

  if( C->in_24_bit_fp_mode() ) {
    st->print("\n\t");
    st->print("FLDCW  \t# load 24 bit fpu control word");
  }
  if (UseSSE >= 2 && VerifyFPU) {
    st->print("\n\t");
    st->print("# verify FPU stack (must be clean on entry)");
  }

#ifdef ASSERT
  if (VerifyStackAtCalls) {
    st->print("\n\t");
    st->print("# stack alignment check");
  }
#endif
  st->cr();
}
#endif


void MachPrologNode::emit(C2_MacroAssembler *masm, PhaseRegAlloc *ra_) const {
  Compile* C = ra_->C;

  int framesize = C->output()->frame_size_in_bytes();
  int bangsize = C->output()->bang_size_in_bytes();

  __ verified_entry(framesize, C->output()->need_stack_bang(bangsize)?bangsize:0, C->in_24_bit_fp_mode(), C->stub_function() != nullptr);

  C->output()->set_frame_complete(__ offset());

  if (C->has_mach_constant_base_node()) {
    // NOTE: We set the table base offset here because users might be
    // emitted before MachConstantBaseNode.
    ConstantTable& constant_table = C->output()->constant_table();
    constant_table.set_table_base_offset(constant_table.calculate_table_base_offset());
  }
}

uint MachPrologNode::size(PhaseRegAlloc *ra_) const {
  return MachNode::size(ra_); // too many variables; just compute it the hard way
}

int MachPrologNode::reloc() const {
  return 0; // a large enough number
}

//=============================================================================
#ifndef PRODUCT
void MachEpilogNode::format( PhaseRegAlloc *ra_, outputStream* st ) const {
  Compile *C = ra_->C;
  int framesize = C->output()->frame_size_in_bytes();
  assert((framesize & (StackAlignmentInBytes-1)) == 0, "frame size not aligned");
  // Remove two words for return addr and rbp,
  framesize -= 2*wordSize;

  if (C->max_vector_size() > 16) {
    st->print("VZEROUPPER");
    st->cr(); st->print("\t");
  }
  if (C->in_24_bit_fp_mode()) {
    st->print("FLDCW  standard control word");
    st->cr(); st->print("\t");
  }
  if (framesize) {
    st->print("ADD    ESP,%d\t# Destroy frame",framesize);
    st->cr(); st->print("\t");
  }
  st->print_cr("POPL   EBP"); st->print("\t");
  if (do_polling() && C->is_method_compilation()) {
    st->print("CMPL    rsp, poll_offset[thread]  \n\t"
              "JA      #safepoint_stub\t"
              "# Safepoint: poll for GC");
  }
}
#endif

void MachEpilogNode::emit(C2_MacroAssembler *masm, PhaseRegAlloc *ra_) const {
  Compile *C = ra_->C;

  if (C->max_vector_size() > 16) {
    // Clear upper bits of YMM registers when current compiled code uses
    // wide vectors to avoid AVX <-> SSE transition penalty during call.
    __ vzeroupper();
  }
  // If method set FPU control word, restore to standard control word
  if (C->in_24_bit_fp_mode()) {
    __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_std()));
  }

  int framesize = C->output()->frame_size_in_bytes();
  assert((framesize & (StackAlignmentInBytes-1)) == 0, "frame size not aligned");
  // Remove two words for return addr and rbp,
  framesize -= 2*wordSize;

  // Note that VerifyStackAtCalls' Majik cookie does not change the frame size popped here

  if (framesize >= 128) {
    emit_opcode(masm, 0x81); // add  SP, #framesize
    emit_rm(masm, 0x3, 0x00, ESP_enc);
    emit_d32(masm, framesize);
  } else if (framesize) {
    emit_opcode(masm, 0x83); // add  SP, #framesize
    emit_rm(masm, 0x3, 0x00, ESP_enc);
    emit_d8(masm, framesize);
  }

  emit_opcode(masm, 0x58 | EBP_enc);

  if (StackReservedPages > 0 && C->has_reserved_stack_access()) {
    __ reserved_stack_check();
  }

  if (do_polling() && C->is_method_compilation()) {
    Register thread = as_Register(EBX_enc);
    __ get_thread(thread);
    Label dummy_label;
    Label* code_stub = &dummy_label;
    if (!C->output()->in_scratch_emit_size()) {
      C2SafepointPollStub* stub = new (C->comp_arena()) C2SafepointPollStub(__ offset());
      C->output()->add_stub(stub);
      code_stub = &stub->entry();
    }
    __ set_inst_mark();
    __ relocate(relocInfo::poll_return_type);
    __ clear_inst_mark();
    __ safepoint_poll(*code_stub, thread, true /* at_return */, true /* in_nmethod */);
  }
}

uint MachEpilogNode::size(PhaseRegAlloc *ra_) const {
  return MachNode::size(ra_); // too many variables; just compute it
                              // the hard way
}

int MachEpilogNode::reloc() const {
  return 0; // a large enough number
}

const Pipeline * MachEpilogNode::pipeline() const {
  return MachNode::pipeline_class();
}

//=============================================================================

enum RC { rc_bad, rc_int, rc_kreg, rc_float, rc_xmm, rc_stack };
static enum RC rc_class( OptoReg::Name reg ) {

  if( !OptoReg::is_valid(reg)  ) return rc_bad;
  if (OptoReg::is_stack(reg)) return rc_stack;

  VMReg r = OptoReg::as_VMReg(reg);
  if (r->is_Register()) return rc_int;
  if (r->is_FloatRegister()) {
    assert(UseSSE < 2, "shouldn't be used in SSE2+ mode");
    return rc_float;
  }
  if (r->is_KRegister()) return rc_kreg;
  assert(r->is_XMMRegister(), "must be");
  return rc_xmm;
}

static int impl_helper( C2_MacroAssembler *masm, bool do_size, bool is_load, int offset, int reg,
                        int opcode, const char *op_str, int size, outputStream* st ) {
  if( masm ) {
    masm->set_inst_mark();
    emit_opcode  (masm, opcode );
    encode_RegMem(masm, Matcher::_regEncode[reg], ESP_enc, 0x4, 0, offset, relocInfo::none);
    masm->clear_inst_mark();
#ifndef PRODUCT
  } else if( !do_size ) {
    if( size != 0 ) st->print("\n\t");
    if( opcode == 0x8B || opcode == 0x89 ) { // MOV
      if( is_load ) st->print("%s   %s,[ESP + #%d]",op_str,Matcher::regName[reg],offset);
      else          st->print("%s   [ESP + #%d],%s",op_str,offset,Matcher::regName[reg]);
    } else { // FLD, FST, PUSH, POP
      st->print("%s [ESP + #%d]",op_str,offset);
    }
#endif
  }
  int offset_size = (offset == 0) ? 0 : ((offset <= 127) ? 1 : 4);
  return size+3+offset_size;
}

// Helper for XMM registers.  Extra opcode bits, limited syntax.
static int impl_x_helper( C2_MacroAssembler *masm, bool do_size, bool is_load,
                         int offset, int reg_lo, int reg_hi, int size, outputStream* st ) {
  int in_size_in_bits = Assembler::EVEX_32bit;
  int evex_encoding = 0;
  if (reg_lo+1 == reg_hi) {
    in_size_in_bits = Assembler::EVEX_64bit;
    evex_encoding = Assembler::VEX_W;
  }
  if (masm) {
    // EVEX spills remain EVEX: Compressed displacemement is better than AVX on spill mem operations,
    //                          it maps more cases to single byte displacement
    __ set_managed();
    if (reg_lo+1 == reg_hi) { // double move?
      if (is_load) {
        __ movdbl(as_XMMRegister(Matcher::_regEncode[reg_lo]), Address(rsp, offset));
      } else {
        __ movdbl(Address(rsp, offset), as_XMMRegister(Matcher::_regEncode[reg_lo]));
      }
    } else {
      if (is_load) {
        __ movflt(as_XMMRegister(Matcher::_regEncode[reg_lo]), Address(rsp, offset));
      } else {
        __ movflt(Address(rsp, offset), as_XMMRegister(Matcher::_regEncode[reg_lo]));
      }
    }
#ifndef PRODUCT
  } else if (!do_size) {
    if (size != 0) st->print("\n\t");
    if (reg_lo+1 == reg_hi) { // double move?
      if (is_load) st->print("%s %s,[ESP + #%d]",
                              UseXmmLoadAndClearUpper ? "MOVSD " : "MOVLPD",
                              Matcher::regName[reg_lo], offset);
      else         st->print("MOVSD  [ESP + #%d],%s",
                              offset, Matcher::regName[reg_lo]);
    } else {
      if (is_load) st->print("MOVSS  %s,[ESP + #%d]",
                              Matcher::regName[reg_lo], offset);
      else         st->print("MOVSS  [ESP + #%d],%s",
                              offset, Matcher::regName[reg_lo]);
    }
#endif
  }
  bool is_single_byte = false;
  if ((UseAVX > 2) && (offset != 0)) {
    is_single_byte = Assembler::query_compressed_disp_byte(offset, true, 0, Assembler::EVEX_T1S, in_size_in_bits, evex_encoding);
  }
  int offset_size = 0;
  if (UseAVX > 2 ) {
    offset_size = (offset == 0) ? 0 : ((is_single_byte) ? 1 : 4);
  } else {
    offset_size = (offset == 0) ? 0 : ((offset <= 127) ? 1 : 4);
  }
  size += (UseAVX > 2) ? 2 : 0; // Need an additional two bytes for EVEX
  // VEX_2bytes prefix is used if UseAVX > 0, so it takes the same 2 bytes as SIMD prefix.
  return size+5+offset_size;
}


static int impl_movx_helper( C2_MacroAssembler *masm, bool do_size, int src_lo, int dst_lo,
                            int src_hi, int dst_hi, int size, outputStream* st ) {
  if (masm) {
    // EVEX spills remain EVEX: logic complex between full EVEX, partial and AVX, manage EVEX spill code one way.
    __ set_managed();
    if (src_lo+1 == src_hi && dst_lo+1 == dst_hi) { // double move?
      __ movdbl(as_XMMRegister(Matcher::_regEncode[dst_lo]),
                as_XMMRegister(Matcher::_regEncode[src_lo]));
    } else {
      __ movflt(as_XMMRegister(Matcher::_regEncode[dst_lo]),
                as_XMMRegister(Matcher::_regEncode[src_lo]));
    }
#ifndef PRODUCT
  } else if (!do_size) {
    if (size != 0) st->print("\n\t");
    if (UseXmmRegToRegMoveAll) {//Use movaps,movapd to move between xmm registers
      if (src_lo+1 == src_hi && dst_lo+1 == dst_hi) { // double move?
        st->print("MOVAPD %s,%s",Matcher::regName[dst_lo],Matcher::regName[src_lo]);
      } else {
        st->print("MOVAPS %s,%s",Matcher::regName[dst_lo],Matcher::regName[src_lo]);
      }
    } else {
      if( src_lo+1 == src_hi && dst_lo+1 == dst_hi ) { // double move?
        st->print("MOVSD  %s,%s",Matcher::regName[dst_lo],Matcher::regName[src_lo]);
      } else {
        st->print("MOVSS  %s,%s",Matcher::regName[dst_lo],Matcher::regName[src_lo]);
      }
    }
#endif
  }
  // VEX_2bytes prefix is used if UseAVX > 0, and it takes the same 2 bytes as SIMD prefix.
  // Only MOVAPS SSE prefix uses 1 byte.  EVEX uses an additional 2 bytes.
  int sz = (UseAVX > 2) ? 6 : 4;
  if (!(src_lo+1 == src_hi && dst_lo+1 == dst_hi) &&
      UseXmmRegToRegMoveAll && (UseAVX == 0)) sz = 3;
  return size + sz;
}

static int impl_movgpr2x_helper( C2_MacroAssembler *masm, bool do_size, int src_lo, int dst_lo,
                            int src_hi, int dst_hi, int size, outputStream* st ) {
  // 32-bit
  if (masm) {
    // EVEX spills remain EVEX: logic complex between full EVEX, partial and AVX, manage EVEX spill code one way.
    __ set_managed();
    __ movdl(as_XMMRegister(Matcher::_regEncode[dst_lo]),
             as_Register(Matcher::_regEncode[src_lo]));
#ifndef PRODUCT
  } else if (!do_size) {
    st->print("movdl   %s, %s\t# spill", Matcher::regName[dst_lo], Matcher::regName[src_lo]);
#endif
  }
  return (UseAVX> 2) ? 6 : 4;
}


static int impl_movx2gpr_helper( C2_MacroAssembler *masm, bool do_size, int src_lo, int dst_lo,
                                 int src_hi, int dst_hi, int size, outputStream* st ) {
  // 32-bit
  if (masm) {
    // EVEX spills remain EVEX: logic complex between full EVEX, partial and AVX, manage EVEX spill code one way.
    __ set_managed();
    __ movdl(as_Register(Matcher::_regEncode[dst_lo]),
             as_XMMRegister(Matcher::_regEncode[src_lo]));
#ifndef PRODUCT
  } else if (!do_size) {
    st->print("movdl   %s, %s\t# spill", Matcher::regName[dst_lo], Matcher::regName[src_lo]);
#endif
  }
  return (UseAVX> 2) ? 6 : 4;
}

static int impl_mov_helper( C2_MacroAssembler *masm, bool do_size, int src, int dst, int size, outputStream* st ) {
  if( masm ) {
    emit_opcode(masm, 0x8B );
    emit_rm    (masm, 0x3, Matcher::_regEncode[dst], Matcher::_regEncode[src] );
#ifndef PRODUCT
  } else if( !do_size ) {
    if( size != 0 ) st->print("\n\t");
    st->print("MOV    %s,%s",Matcher::regName[dst],Matcher::regName[src]);
#endif
  }
  return size+2;
}

static int impl_fp_store_helper( C2_MacroAssembler *masm, bool do_size, int src_lo, int src_hi, int dst_lo, int dst_hi,
                                 int offset, int size, outputStream* st ) {
  if( src_lo != FPR1L_num ) {      // Move value to top of FP stack, if not already there
    if( masm ) {
      emit_opcode( masm, 0xD9 );  // FLD (i.e., push it)
      emit_d8( masm, 0xC0-1+Matcher::_regEncode[src_lo] );
#ifndef PRODUCT
    } else if( !do_size ) {
      if( size != 0 ) st->print("\n\t");
      st->print("FLD    %s",Matcher::regName[src_lo]);
#endif
    }
    size += 2;
  }

  int st_op = (src_lo != FPR1L_num) ? EBX_num /*store & pop*/ : EDX_num /*store no pop*/;
  const char *op_str;
  int op;
  if( src_lo+1 == src_hi && dst_lo+1 == dst_hi ) { // double store?
    op_str = (src_lo != FPR1L_num) ? "FSTP_D" : "FST_D ";
    op = 0xDD;
  } else {                   // 32-bit store
    op_str = (src_lo != FPR1L_num) ? "FSTP_S" : "FST_S ";
    op = 0xD9;
    assert( !OptoReg::is_valid(src_hi) && !OptoReg::is_valid(dst_hi), "no non-adjacent float-stores" );
  }

  return impl_helper(masm,do_size,false,offset,st_op,op,op_str,size, st);
}

// Next two methods are shared by 32- and 64-bit VM. They are defined in x86.ad.
static void vec_mov_helper(C2_MacroAssembler *masm, int src_lo, int dst_lo,
                          int src_hi, int dst_hi, uint ireg, outputStream* st);

void vec_spill_helper(C2_MacroAssembler *masm, bool is_load,
                            int stack_offset, int reg, uint ireg, outputStream* st);

static void vec_stack_to_stack_helper(C2_MacroAssembler *masm, int src_offset,
                                     int dst_offset, uint ireg, outputStream* st) {
  if (masm) {
    switch (ireg) {
    case Op_VecS:
      __ pushl(Address(rsp, src_offset));
      __ popl (Address(rsp, dst_offset));
      break;
    case Op_VecD:
      __ pushl(Address(rsp, src_offset));
      __ popl (Address(rsp, dst_offset));
      __ pushl(Address(rsp, src_offset+4));
      __ popl (Address(rsp, dst_offset+4));
      break;
    case Op_VecX:
      __ movdqu(Address(rsp, -16), xmm0);
      __ movdqu(xmm0, Address(rsp, src_offset));
      __ movdqu(Address(rsp, dst_offset), xmm0);
      __ movdqu(xmm0, Address(rsp, -16));
      break;
    case Op_VecY:
      __ vmovdqu(Address(rsp, -32), xmm0);
      __ vmovdqu(xmm0, Address(rsp, src_offset));
      __ vmovdqu(Address(rsp, dst_offset), xmm0);
      __ vmovdqu(xmm0, Address(rsp, -32));
      break;
    case Op_VecZ:
      __ evmovdquq(Address(rsp, -64), xmm0, 2);
      __ evmovdquq(xmm0, Address(rsp, src_offset), 2);
      __ evmovdquq(Address(rsp, dst_offset), xmm0, 2);
      __ evmovdquq(xmm0, Address(rsp, -64), 2);
      break;
    default:
      ShouldNotReachHere();
    }
#ifndef PRODUCT
  } else {
    switch (ireg) {
    case Op_VecS:
      st->print("pushl   [rsp + #%d]\t# 32-bit mem-mem spill\n\t"
                "popl    [rsp + #%d]",
                src_offset, dst_offset);
      break;
    case Op_VecD:
      st->print("pushl   [rsp + #%d]\t# 64-bit mem-mem spill\n\t"
                "popq    [rsp + #%d]\n\t"
                "pushl   [rsp + #%d]\n\t"
                "popq    [rsp + #%d]",
                src_offset, dst_offset, src_offset+4, dst_offset+4);
      break;
     case Op_VecX:
      st->print("movdqu  [rsp - #16], xmm0\t# 128-bit mem-mem spill\n\t"
                "movdqu  xmm0, [rsp + #%d]\n\t"
                "movdqu  [rsp + #%d], xmm0\n\t"
                "movdqu  xmm0, [rsp - #16]",
                src_offset, dst_offset);
      break;
    case Op_VecY:
      st->print("vmovdqu [rsp - #32], xmm0\t# 256-bit mem-mem spill\n\t"
                "vmovdqu xmm0, [rsp + #%d]\n\t"
                "vmovdqu [rsp + #%d], xmm0\n\t"
                "vmovdqu xmm0, [rsp - #32]",
                src_offset, dst_offset);
      break;
    case Op_VecZ:
      st->print("vmovdqu [rsp - #64], xmm0\t# 512-bit mem-mem spill\n\t"
                "vmovdqu xmm0, [rsp + #%d]\n\t"
                "vmovdqu [rsp + #%d], xmm0\n\t"
                "vmovdqu xmm0, [rsp - #64]",
                src_offset, dst_offset);
      break;
    default:
      ShouldNotReachHere();
    }
#endif
  }
}

uint MachSpillCopyNode::implementation( C2_MacroAssembler *masm, PhaseRegAlloc *ra_, bool do_size, outputStream* st ) const {
  // Get registers to move
  OptoReg::Name src_second = ra_->get_reg_second(in(1));
  OptoReg::Name src_first = ra_->get_reg_first(in(1));
  OptoReg::Name dst_second = ra_->get_reg_second(this );
  OptoReg::Name dst_first = ra_->get_reg_first(this );

  enum RC src_second_rc = rc_class(src_second);
  enum RC src_first_rc = rc_class(src_first);
  enum RC dst_second_rc = rc_class(dst_second);
  enum RC dst_first_rc = rc_class(dst_first);

  assert( OptoReg::is_valid(src_first) && OptoReg::is_valid(dst_first), "must move at least 1 register" );

  // Generate spill code!
  int size = 0;

  if( src_first == dst_first && src_second == dst_second )
    return size;            // Self copy, no move

  if (bottom_type()->isa_vect() != nullptr && bottom_type()->isa_vectmask() == nullptr) {
    uint ireg = ideal_reg();
    assert((src_first_rc != rc_int && dst_first_rc != rc_int), "sanity");
    assert((src_first_rc != rc_float && dst_first_rc != rc_float), "sanity");
    assert((ireg == Op_VecS || ireg == Op_VecD || ireg == Op_VecX || ireg == Op_VecY || ireg == Op_VecZ ), "sanity");
    if( src_first_rc == rc_stack && dst_first_rc == rc_stack ) {
      // mem -> mem
      int src_offset = ra_->reg2offset(src_first);
      int dst_offset = ra_->reg2offset(dst_first);
      vec_stack_to_stack_helper(masm, src_offset, dst_offset, ireg, st);
    } else if (src_first_rc == rc_xmm && dst_first_rc == rc_xmm ) {
      vec_mov_helper(masm, src_first, dst_first, src_second, dst_second, ireg, st);
    } else if (src_first_rc == rc_xmm && dst_first_rc == rc_stack ) {
      int stack_offset = ra_->reg2offset(dst_first);
      vec_spill_helper(masm, false, stack_offset, src_first, ireg, st);
    } else if (src_first_rc == rc_stack && dst_first_rc == rc_xmm ) {
      int stack_offset = ra_->reg2offset(src_first);
      vec_spill_helper(masm, true,  stack_offset, dst_first, ireg, st);
    } else {
      ShouldNotReachHere();
    }
    return 0;
  }

  // --------------------------------------
  // Check for mem-mem move.  push/pop to move.
  if( src_first_rc == rc_stack && dst_first_rc == rc_stack ) {
    if( src_second == dst_first ) { // overlapping stack copy ranges
      assert( src_second_rc == rc_stack && dst_second_rc == rc_stack, "we only expect a stk-stk copy here" );
      size = impl_helper(masm,do_size,true ,ra_->reg2offset(src_second),ESI_num,0xFF,"PUSH  ",size, st);
      size = impl_helper(masm,do_size,false,ra_->reg2offset(dst_second),EAX_num,0x8F,"POP   ",size, st);
      src_second_rc = dst_second_rc = rc_bad;  // flag as already moved the second bits
    }
    // move low bits
    size = impl_helper(masm,do_size,true ,ra_->reg2offset(src_first),ESI_num,0xFF,"PUSH  ",size, st);
    size = impl_helper(masm,do_size,false,ra_->reg2offset(dst_first),EAX_num,0x8F,"POP   ",size, st);
    if( src_second_rc == rc_stack && dst_second_rc == rc_stack ) { // mov second bits
      size = impl_helper(masm,do_size,true ,ra_->reg2offset(src_second),ESI_num,0xFF,"PUSH  ",size, st);
      size = impl_helper(masm,do_size,false,ra_->reg2offset(dst_second),EAX_num,0x8F,"POP   ",size, st);
    }
    return size;
  }

  // --------------------------------------
  // Check for integer reg-reg copy
  if( src_first_rc == rc_int && dst_first_rc == rc_int )
    size = impl_mov_helper(masm,do_size,src_first,dst_first,size, st);

  // Check for integer store
  if( src_first_rc == rc_int && dst_first_rc == rc_stack )
    size = impl_helper(masm,do_size,false,ra_->reg2offset(dst_first),src_first,0x89,"MOV ",size, st);

  // Check for integer load
  if( src_first_rc == rc_stack && dst_first_rc == rc_int )
    size = impl_helper(masm,do_size,true ,ra_->reg2offset(src_first),dst_first,0x8B,"MOV ",size, st);

  // Check for integer reg-xmm reg copy
  if( src_first_rc == rc_int && dst_first_rc == rc_xmm ) {
    assert( (src_second_rc == rc_bad && dst_second_rc == rc_bad),
            "no 64 bit integer-float reg moves" );
    return impl_movgpr2x_helper(masm,do_size,src_first,dst_first,src_second, dst_second, size, st);
  }
  // --------------------------------------
  // Check for float reg-reg copy
  if( src_first_rc == rc_float && dst_first_rc == rc_float ) {
    assert( (src_second_rc == rc_bad && dst_second_rc == rc_bad) ||
            (src_first+1 == src_second && dst_first+1 == dst_second), "no non-adjacent float-moves" );
    if( masm ) {

      // Note the mucking with the register encode to compensate for the 0/1
      // indexing issue mentioned in a comment in the reg_def sections
      // for FPR registers many lines above here.

      if( src_first != FPR1L_num ) {
        emit_opcode  (masm, 0xD9 );           // FLD    ST(i)
        emit_d8      (masm, 0xC0+Matcher::_regEncode[src_first]-1 );
        emit_opcode  (masm, 0xDD );           // FSTP   ST(i)
        emit_d8      (masm, 0xD8+Matcher::_regEncode[dst_first] );
     } else {
        emit_opcode  (masm, 0xDD );           // FST    ST(i)
        emit_d8      (masm, 0xD0+Matcher::_regEncode[dst_first]-1 );
     }
#ifndef PRODUCT
    } else if( !do_size ) {
      if( size != 0 ) st->print("\n\t");
      if( src_first != FPR1L_num ) st->print("FLD    %s\n\tFSTP   %s",Matcher::regName[src_first],Matcher::regName[dst_first]);
      else                      st->print(             "FST    %s",                            Matcher::regName[dst_first]);
#endif
    }
    return size + ((src_first != FPR1L_num) ? 2+2 : 2);
  }

  // Check for float store
  if( src_first_rc == rc_float && dst_first_rc == rc_stack ) {
    return impl_fp_store_helper(masm,do_size,src_first,src_second,dst_first,dst_second,ra_->reg2offset(dst_first),size, st);
  }

  // Check for float load
  if( dst_first_rc == rc_float && src_first_rc == rc_stack ) {
    int offset = ra_->reg2offset(src_first);
    const char *op_str;
    int op;
    if( src_first+1 == src_second && dst_first+1 == dst_second ) { // double load?
      op_str = "FLD_D";
      op = 0xDD;
    } else {                   // 32-bit load
      op_str = "FLD_S";
      op = 0xD9;
      assert( src_second_rc == rc_bad && dst_second_rc == rc_bad, "no non-adjacent float-loads" );
    }
    if( masm ) {
      masm->set_inst_mark();
      emit_opcode  (masm, op );
      encode_RegMem(masm, 0x0, ESP_enc, 0x4, 0, offset, relocInfo::none);
      emit_opcode  (masm, 0xDD );           // FSTP   ST(i)
      emit_d8      (masm, 0xD8+Matcher::_regEncode[dst_first] );
      masm->clear_inst_mark();
#ifndef PRODUCT
    } else if( !do_size ) {
      if( size != 0 ) st->print("\n\t");
      st->print("%s  ST,[ESP + #%d]\n\tFSTP   %s",op_str, offset,Matcher::regName[dst_first]);
#endif
    }
    int offset_size = (offset == 0) ? 0 : ((offset <= 127) ? 1 : 4);
    return size + 3+offset_size+2;
  }

  // Check for xmm reg-reg copy
  if( src_first_rc == rc_xmm && dst_first_rc == rc_xmm ) {
    assert( (src_second_rc == rc_bad && dst_second_rc == rc_bad) ||
            (src_first+1 == src_second && dst_first+1 == dst_second),
            "no non-adjacent float-moves" );
    return impl_movx_helper(masm,do_size,src_first,dst_first,src_second, dst_second, size, st);
  }

  // Check for xmm reg-integer reg copy
  if( src_first_rc == rc_xmm && dst_first_rc == rc_int ) {
    assert( (src_second_rc == rc_bad && dst_second_rc == rc_bad),
            "no 64 bit float-integer reg moves" );
    return impl_movx2gpr_helper(masm,do_size,src_first,dst_first,src_second, dst_second, size, st);
  }

  // Check for xmm store
  if( src_first_rc == rc_xmm && dst_first_rc == rc_stack ) {
    return impl_x_helper(masm,do_size,false,ra_->reg2offset(dst_first), src_first, src_second, size, st);
  }

  // Check for float xmm load
  if( src_first_rc == rc_stack && dst_first_rc == rc_xmm ) {
    return impl_x_helper(masm,do_size,true ,ra_->reg2offset(src_first),dst_first, dst_second, size, st);
  }

  // Copy from float reg to xmm reg
  if( src_first_rc == rc_float && dst_first_rc == rc_xmm ) {
    // copy to the top of stack from floating point reg
    // and use LEA to preserve flags
    if( masm ) {
      emit_opcode(masm,0x8D);  // LEA  ESP,[ESP-8]
      emit_rm(masm, 0x1, ESP_enc, 0x04);
      emit_rm(masm, 0x0, 0x04, ESP_enc);
      emit_d8(masm,0xF8);
#ifndef PRODUCT
    } else if( !do_size ) {
      if( size != 0 ) st->print("\n\t");
      st->print("LEA    ESP,[ESP-8]");
#endif
    }
    size += 4;

    size = impl_fp_store_helper(masm,do_size,src_first,src_second,dst_first,dst_second,0,size, st);

    // Copy from the temp memory to the xmm reg.
    size = impl_x_helper(masm,do_size,true ,0,dst_first, dst_second, size, st);

    if( masm ) {
      emit_opcode(masm,0x8D);  // LEA  ESP,[ESP+8]
      emit_rm(masm, 0x1, ESP_enc, 0x04);
      emit_rm(masm, 0x0, 0x04, ESP_enc);
      emit_d8(masm,0x08);
#ifndef PRODUCT
    } else if( !do_size ) {
      if( size != 0 ) st->print("\n\t");
      st->print("LEA    ESP,[ESP+8]");
#endif
    }
    size += 4;
    return size;
  }

  // AVX-512 opmask specific spilling.
  if (src_first_rc == rc_stack && dst_first_rc == rc_kreg) {
    assert((src_first & 1) == 0 && src_first + 1 == src_second, "invalid register pair");
    assert((dst_first & 1) == 0 && dst_first + 1 == dst_second, "invalid register pair");
    int offset = ra_->reg2offset(src_first);
    if (masm != nullptr) {
      __ kmov(as_KRegister(Matcher::_regEncode[dst_first]), Address(rsp, offset));
#ifndef PRODUCT
    } else {
      st->print("KMOV    %s, [ESP + %d]", Matcher::regName[dst_first], offset);
#endif
    }
    return 0;
  }

  if (src_first_rc == rc_kreg && dst_first_rc == rc_stack) {
    assert((src_first & 1) == 0 && src_first + 1 == src_second, "invalid register pair");
    assert((dst_first & 1) == 0 && dst_first + 1 == dst_second, "invalid register pair");
    int offset = ra_->reg2offset(dst_first);
    if (masm != nullptr) {
      __ kmov(Address(rsp, offset), as_KRegister(Matcher::_regEncode[src_first]));
#ifndef PRODUCT
    } else {
      st->print("KMOV    [ESP + %d], %s", offset, Matcher::regName[src_first]);
#endif
    }
    return 0;
  }

  if (src_first_rc == rc_kreg && dst_first_rc == rc_int) {
    Unimplemented();
    return 0;
  }

  if (src_first_rc == rc_int && dst_first_rc == rc_kreg) {
    Unimplemented();
    return 0;
  }

  if (src_first_rc == rc_kreg && dst_first_rc == rc_kreg) {
    assert((src_first & 1) == 0 && src_first + 1 == src_second, "invalid register pair");
    assert((dst_first & 1) == 0 && dst_first + 1 == dst_second, "invalid register pair");
    if (masm != nullptr) {
      __ kmov(as_KRegister(Matcher::_regEncode[dst_first]), as_KRegister(Matcher::_regEncode[src_first]));
#ifndef PRODUCT
    } else {
      st->print("KMOV    %s, %s", Matcher::regName[dst_first], Matcher::regName[src_first]);
#endif
    }
    return 0;
  }

  assert( size > 0, "missed a case" );

  // --------------------------------------------------------------------
  // Check for second bits still needing moving.
  if( src_second == dst_second )
    return size;               // Self copy; no move
  assert( src_second_rc != rc_bad && dst_second_rc != rc_bad, "src_second & dst_second cannot be Bad" );

  // Check for second word int-int move
  if( src_second_rc == rc_int && dst_second_rc == rc_int )
    return impl_mov_helper(masm,do_size,src_second,dst_second,size, st);

  // Check for second word integer store
  if( src_second_rc == rc_int && dst_second_rc == rc_stack )
    return impl_helper(masm,do_size,false,ra_->reg2offset(dst_second),src_second,0x89,"MOV ",size, st);

  // Check for second word integer load
  if( dst_second_rc == rc_int && src_second_rc == rc_stack )
    return impl_helper(masm,do_size,true ,ra_->reg2offset(src_second),dst_second,0x8B,"MOV ",size, st);

  Unimplemented();
  return 0; // Mute compiler
}

#ifndef PRODUCT
void MachSpillCopyNode::format(PhaseRegAlloc *ra_, outputStream* st) const {
  implementation( nullptr, ra_, false, st );
}
#endif

void MachSpillCopyNode::emit(C2_MacroAssembler *masm, PhaseRegAlloc *ra_) const {
  implementation( masm, ra_, false, nullptr );
}

uint MachSpillCopyNode::size(PhaseRegAlloc *ra_) const {
  return MachNode::size(ra_);
}


//=============================================================================
#ifndef PRODUCT
void BoxLockNode::format( PhaseRegAlloc *ra_, outputStream* st ) const {
  int offset = ra_->reg2offset(in_RegMask(0).find_first_elem());
  int reg = ra_->get_reg_first(this);
  st->print("LEA    %s,[ESP + #%d]",Matcher::regName[reg],offset);
}
#endif

void BoxLockNode::emit(C2_MacroAssembler *masm, PhaseRegAlloc *ra_) const {
  int offset = ra_->reg2offset(in_RegMask(0).find_first_elem());
  int reg = ra_->get_encode(this);
  if( offset >= 128 ) {
    emit_opcode(masm, 0x8D);      // LEA  reg,[SP+offset]
    emit_rm(masm, 0x2, reg, 0x04);
    emit_rm(masm, 0x0, 0x04, ESP_enc);
    emit_d32(masm, offset);
  }
  else {
    emit_opcode(masm, 0x8D);      // LEA  reg,[SP+offset]
    emit_rm(masm, 0x1, reg, 0x04);
    emit_rm(masm, 0x0, 0x04, ESP_enc);
    emit_d8(masm, offset);
  }
}

uint BoxLockNode::size(PhaseRegAlloc *ra_) const {
  int offset = ra_->reg2offset(in_RegMask(0).find_first_elem());
  if( offset >= 128 ) {
    return 7;
  }
  else {
    return 4;
  }
}

//=============================================================================
#ifndef PRODUCT
void MachUEPNode::format( PhaseRegAlloc *ra_, outputStream* st ) const {
  st->print_cr(  "CMP    EAX,[ECX+4]\t# Inline cache check");
  st->print_cr("\tJNE    SharedRuntime::handle_ic_miss_stub");
  st->print_cr("\tNOP");
  st->print_cr("\tNOP");
  if( !OptoBreakpoint )
    st->print_cr("\tNOP");
}
#endif

void MachUEPNode::emit(C2_MacroAssembler *masm, PhaseRegAlloc *ra_) const {
  __ ic_check(CodeEntryAlignment);
}

uint MachUEPNode::size(PhaseRegAlloc *ra_) const {
  return MachNode::size(ra_); // too many variables; just compute it
                              // the hard way
}


//=============================================================================

// Vector calling convention not supported.
bool Matcher::supports_vector_calling_convention() {
  return false;
}

OptoRegPair Matcher::vector_return_value(uint ideal_reg) {
  Unimplemented();
  return OptoRegPair(0, 0);
}

// Is this branch offset short enough that a short branch can be used?
//
// NOTE: If the platform does not provide any short branch variants, then
//       this method should return false for offset 0.
bool Matcher::is_short_branch_offset(int rule, int br_size, int offset) {
  // The passed offset is relative to address of the branch.
  // On 86 a branch displacement is calculated relative to address
  // of a next instruction.
  offset -= br_size;

  // the short version of jmpConUCF2 contains multiple branches,
  // making the reach slightly less
  if (rule == jmpConUCF2_rule)
    return (-126 <= offset && offset <= 125);
  return (-128 <= offset && offset <= 127);
}

// Return whether or not this register is ever used as an argument.  This
// function is used on startup to build the trampoline stubs in generateOptoStub.
// Registers not mentioned will be killed by the VM call in the trampoline, and
// arguments in those registers not be available to the callee.
bool Matcher::can_be_java_arg( int reg ) {
  if(  reg == ECX_num   || reg == EDX_num   ) return true;
  if( (reg == XMM0_num  || reg == XMM1_num ) && UseSSE>=1 ) return true;
  if( (reg == XMM0b_num || reg == XMM1b_num) && UseSSE>=2 ) return true;
  return false;
}

bool Matcher::is_spillable_arg( int reg ) {
  return can_be_java_arg(reg);
}

uint Matcher::int_pressure_limit()
{
  return (INTPRESSURE == -1) ? 6 : INTPRESSURE;
}

uint Matcher::float_pressure_limit()
{
  return (FLOATPRESSURE == -1) ? 6 : FLOATPRESSURE;
}

bool Matcher::use_asm_for_ldiv_by_con( jlong divisor ) {
  // Use hardware integer DIV instruction when
  // it is faster than a code which use multiply.
  // Only when constant divisor fits into 32 bit
  // (min_jint is excluded to get only correct
  // positive 32 bit values from negative).
  return VM_Version::has_fast_idiv() &&
         (divisor == (int)divisor && divisor != min_jint);
}

// Register for DIVI projection of divmodI
RegMask Matcher::divI_proj_mask() {
  return EAX_REG_mask();
}

// Register for MODI projection of divmodI
RegMask Matcher::modI_proj_mask() {
  return EDX_REG_mask();
}

// Register for DIVL projection of divmodL
RegMask Matcher::divL_proj_mask() {
  ShouldNotReachHere();
  return RegMask();
}

// Register for MODL projection of divmodL
RegMask Matcher::modL_proj_mask() {
  ShouldNotReachHere();
  return RegMask();
}

const RegMask Matcher::method_handle_invoke_SP_save_mask() {
  return NO_REG_mask();
}

// Returns true if the high 32 bits of the value is known to be zero.
bool is_operand_hi32_zero(Node* n) {
  int opc = n->Opcode();
  if (opc == Op_AndL) {
    Node* o2 = n->in(2);
    if (o2->is_Con() && (o2->get_long() & 0xFFFFFFFF00000000LL) == 0LL) {
      return true;
    }
  }
  if (opc == Op_ConL && (n->get_long() & 0xFFFFFFFF00000000LL) == 0LL) {
    return true;
  }
  return false;
}


#line 1302 "ad_x86.cpp"


//SourceForm

#line 1274 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"


#include "opto/addnode.hpp"
#include "c2_intelJccErratum_x86.hpp"

void PhaseOutput::pd_perform_mach_node_analysis() {
  if (VM_Version::has_intel_jcc_erratum()) {
    int extra_padding = IntelJccErratum::tag_affected_machnodes(C, C->cfg(), C->regalloc());
    _buf_sizes._code += extra_padding;
  }
}

int MachNode::pd_alignment_required() const {
  if (VM_Version::has_intel_jcc_erratum() && IntelJccErratum::is_jcc_erratum_branch(this)) {
    // Conservatively add worst case padding. We assume that relocInfo::addr_unit() is 1 on x86.
    return IntelJccErratum::largest_jcc_size() + 1;
  } else {
    return 1;
  }
}

int MachNode::compute_padding(int current_offset) const {
  if (flags() & Node::PD::Flag_intel_jcc_erratum) {
    Compile* C = Compile::current();
    PhaseOutput* output = C->output();
    Block* block = output->block();
    int index = output->index();
    return IntelJccErratum::compute_padding(current_offset, this, block, index, C->regalloc());
  } else {
    return 0;
  }
}

// Emit exception handler code.
// Stuff framesize into a register and call a VM stub routine.
int HandlerImpl::emit_exception_handler(C2_MacroAssembler* masm) {

  // Note that the code buffer's insts_mark is always relative to insts.
  // That's why we must use the macroassembler to generate a handler.
  address base = __ start_a_stub(size_exception_handler());
  if (base == nullptr) {
    ciEnv::current()->record_failure("CodeCache is full");
    return 0;  // CodeBuffer::expand failed
  }
  int offset = __ offset();
  __ jump(RuntimeAddress(OptoRuntime::exception_blob()->entry_point()));
  assert(__ offset() - offset <= (int) size_exception_handler(), "overflow");
  __ end_a_stub();
  return offset;
}

// Emit deopt handler code.
int HandlerImpl::emit_deopt_handler(C2_MacroAssembler* masm) {

  // Note that the code buffer's insts_mark is always relative to insts.
  // That's why we must use the macroassembler to generate a handler.
  address base = __ start_a_stub(size_deopt_handler());
  if (base == nullptr) {
    ciEnv::current()->record_failure("CodeCache is full");
    return 0;  // CodeBuffer::expand failed
  }
  int offset = __ offset();

#ifdef _LP64
  address the_pc = (address) __ pc();
  Label next;
  // push a "the_pc" on the stack without destroying any registers
  // as they all may be live.

  // push address of "next"
  __ call(next, relocInfo::none); // reloc none is fine since it is a disp32
  __ bind(next);
  // adjust it so it matches "the_pc"
  __ subptr(Address(rsp, 0), __ offset() - offset);
#else
  InternalAddress here(__ pc());
  __ pushptr(here.addr(), noreg);
#endif

  __ jump(RuntimeAddress(SharedRuntime::deopt_blob()->unpack()));
  assert(__ offset() - offset <= (int) size_deopt_handler(), "overflow %d", (__ offset() - offset));
  __ end_a_stub();
  return offset;
}

static Assembler::Width widthForType(BasicType bt) {
  if (bt == T_BYTE) {
    return Assembler::B;
  } else if (bt == T_SHORT) {
    return Assembler::W;
  } else if (bt == T_INT) {
    return Assembler::D;
  } else {
    assert(bt == T_LONG, "not a long: %s", type2name(bt));
    return Assembler::Q;
  }
}

//=============================================================================

  // Float masks come from different places depending on platform.
#ifdef _LP64
  static address float_signmask()  { return StubRoutines::x86::float_sign_mask(); }
  static address float_signflip()  { return StubRoutines::x86::float_sign_flip(); }
  static address double_signmask() { return StubRoutines::x86::double_sign_mask(); }
  static address double_signflip() { return StubRoutines::x86::double_sign_flip(); }
#else
  static address float_signmask()  { return (address)float_signmask_pool; }
  static address float_signflip()  { return (address)float_signflip_pool; }
  static address double_signmask() { return (address)double_signmask_pool; }
  static address double_signflip() { return (address)double_signflip_pool; }
#endif
  static address vector_short_to_byte_mask() { return StubRoutines::x86::vector_short_to_byte_mask(); }
  static address vector_int_to_byte_mask() { return StubRoutines::x86::vector_int_to_byte_mask(); }
  static address vector_byte_perm_mask() { return StubRoutines::x86::vector_byte_perm_mask(); }
  static address vector_long_sign_mask() { return StubRoutines::x86::vector_long_sign_mask(); }
  static address vector_all_bits_set() { return StubRoutines::x86::vector_all_bits_set(); }
  static address vector_int_mask_cmp_bits() { return StubRoutines::x86::vector_int_mask_cmp_bits(); }
  static address vector_int_to_short_mask() { return StubRoutines::x86::vector_int_to_short_mask(); }
  static address vector_byte_shufflemask() { return StubRoutines::x86::vector_byte_shuffle_mask(); }
  static address vector_short_shufflemask() { return StubRoutines::x86::vector_short_shuffle_mask(); }
  static address vector_int_shufflemask() { return StubRoutines::x86::vector_int_shuffle_mask(); }
  static address vector_long_shufflemask() { return StubRoutines::x86::vector_long_shuffle_mask(); }
  static address vector_32_bit_mask() { return StubRoutines::x86::vector_32_bit_mask(); }
  static address vector_64_bit_mask() { return StubRoutines::x86::vector_64_bit_mask(); }
  static address vector_float_signflip() { return StubRoutines::x86::vector_float_sign_flip();}
  static address vector_double_signflip() { return StubRoutines::x86::vector_double_sign_flip();}

//=============================================================================
bool Matcher::match_rule_supported(int opcode) {
  if (!has_match_rule(opcode)) {
    return false; // no match rule present
  }
  const bool is_LP64 = LP64_ONLY(true) NOT_LP64(false);
  switch (opcode) {
    case Op_AbsVL:
    case Op_StoreVectorScatter:
      if (UseAVX < 3) {
        return false;
      }
      break;
    case Op_PopCountI:
    case Op_PopCountL:
      if (!UsePopCountInstruction) {
        return false;
      }
      break;
    case Op_PopCountVI:
      if (UseAVX < 2) {
        return false;
      }
      break;
    case Op_CompressV:
    case Op_ExpandV:
    case Op_PopCountVL:
      if (UseAVX < 2) {
        return false;
      }
      break;
    case Op_MulVI:
      if ((UseSSE < 4) && (UseAVX < 1)) { // only with SSE4_1 or AVX
        return false;
      }
      break;
    case Op_MulVL:
      if (UseSSE < 4) { // only with SSE4_1 or AVX
        return false;
      }
      break;
    case Op_MulReductionVL:
      if (VM_Version::supports_avx512dq() == false) {
        return false;
      }
      break;
    case Op_AddReductionVL:
      if (UseSSE < 2) { // requires at least SSE2
        return false;
      }
      break;
    case Op_AbsVB:
    case Op_AbsVS:
    case Op_AbsVI:
    case Op_AddReductionVI:
    case Op_AndReductionV:
    case Op_OrReductionV:
    case Op_XorReductionV:
      if (UseSSE < 3) { // requires at least SSSE3
        return false;
      }
      break;
    case Op_VectorLoadShuffle:
    case Op_VectorRearrange:
    case Op_MulReductionVI:
      if (UseSSE < 4) { // requires at least SSE4
        return false;
      }
      break;
    case Op_IsInfiniteF:
    case Op_IsInfiniteD:
      if (!VM_Version::supports_avx512dq()) {
        return false;
      }
      break;
    case Op_SqrtVD:
    case Op_SqrtVF:
    case Op_VectorMaskCmp:
    case Op_VectorCastB2X:
    case Op_VectorCastS2X:
    case Op_VectorCastI2X:
    case Op_VectorCastL2X:
    case Op_VectorCastF2X:
    case Op_VectorCastD2X:
    case Op_VectorUCastB2X:
    case Op_VectorUCastS2X:
    case Op_VectorUCastI2X:
    case Op_VectorMaskCast:
      if (UseAVX < 1) { // enabled for AVX only
        return false;
      }
      break;
    case Op_PopulateIndex:
      if (!is_LP64 || (UseAVX < 2)) {
        return false;
      }
      break;
    case Op_RoundVF:
      if (UseAVX < 2) { // enabled for AVX2 only
        return false;
      }
      break;
    case Op_RoundVD:
      if (UseAVX < 3) {
        return false;  // enabled for AVX3 only
      }
      break;
    case Op_CompareAndSwapL:
#ifdef _LP64
    case Op_CompareAndSwapP:
#endif
      break;
    case Op_StrIndexOf:
      if (!UseSSE42Intrinsics) {
        return false;
      }
      break;
    case Op_StrIndexOfChar:
      if (!UseSSE42Intrinsics) {
        return false;
      }
      break;
    case Op_OnSpinWait:
      if (VM_Version::supports_on_spin_wait() == false) {
        return false;
      }
      break;
    case Op_MulVB:
    case Op_LShiftVB:
    case Op_RShiftVB:
    case Op_URShiftVB:
    case Op_VectorInsert:
    case Op_VectorLoadMask:
    case Op_VectorStoreMask:
    case Op_VectorBlend:
      if (UseSSE < 4) {
        return false;
      }
      break;
#ifdef _LP64
    case Op_MaxD:
    case Op_MaxF:
    case Op_MinD:
    case Op_MinF:
      if (UseAVX < 1) { // enabled for AVX only
        return false;
      }
      break;
#endif
    case Op_CacheWB:
    case Op_CacheWBPreSync:
    case Op_CacheWBPostSync:
      if (!VM_Version::supports_data_cache_line_flush()) {
        return false;
      }
      break;
    case Op_ExtractB:
    case Op_ExtractL:
    case Op_ExtractI:
    case Op_RoundDoubleMode:
      if (UseSSE < 4) {
        return false;
      }
      break;
    case Op_RoundDoubleModeV:
      if (VM_Version::supports_avx() == false) {
        return false; // 128bit vroundpd is not available
      }
      break;
    case Op_LoadVectorGather:
    case Op_LoadVectorGatherMasked:
      if (UseAVX < 2) {
        return false;
      }
      break;
    case Op_FmaF:
    case Op_FmaD:
    case Op_FmaVD:
    case Op_FmaVF:
      if (!UseFMA) {
        return false;
      }
      break;
    case Op_MacroLogicV:
      if (UseAVX < 3 || !UseVectorMacroLogic) {
        return false;
      }
      break;

    case Op_VectorCmpMasked:
    case Op_VectorMaskGen:
      if (!is_LP64  || UseAVX < 3 || !VM_Version::supports_bmi2()) {
        return false;
      }
      break;
    case Op_VectorMaskFirstTrue:
    case Op_VectorMaskLastTrue:
    case Op_VectorMaskTrueCount:
    case Op_VectorMaskToLong:
      if (!is_LP64 || UseAVX < 1) {
         return false;
      }
      break;
    case Op_RoundF:
    case Op_RoundD:
      if (!is_LP64) {
        return false;
      }
      break;
    case Op_CopySignD:
    case Op_CopySignF:
      if (UseAVX < 3 || !is_LP64)  {
        return false;
      }
      if (!VM_Version::supports_avx512vl()) {
        return false;
      }
      break;
#ifndef _LP64
    case Op_AddReductionVF:
    case Op_AddReductionVD:
    case Op_MulReductionVF:
    case Op_MulReductionVD:
      if (UseSSE < 1) { // requires at least SSE
        return false;
      }
      break;
    case Op_MulAddVS2VI:
    case Op_RShiftVL:
    case Op_AbsVD:
    case Op_NegVD:
      if (UseSSE < 2) {
        return false;
      }
      break;
#endif // !LP64
    case Op_CompressBits:
      if (!VM_Version::supports_bmi2() || (!is_LP64 && UseSSE < 2)) {
        return false;
      }
      break;
    case Op_ExpandBits:
      if (!VM_Version::supports_bmi2() || (!is_LP64 && (UseSSE < 2 || !VM_Version::supports_bmi1()))) {
        return false;
      }
      break;
    case Op_SignumF:
      if (UseSSE < 1) {
        return false;
      }
      break;
    case Op_SignumD:
      if (UseSSE < 2) {
        return false;
      }
      break;
    case Op_CompressM:
      if (!VM_Version::supports_avx512vl() || !VM_Version::supports_bmi2()) {
        return false;
      }
      break;
    case Op_SqrtF:
      if (UseSSE < 1) {
        return false;
      }
      break;
    case Op_SqrtD:
#ifdef _LP64
      if (UseSSE < 2) {
        return false;
      }
#else
      // x86_32.ad has a special match rule for SqrtD.
      // Together with common x86 rules, this handles all UseSSE cases.
#endif
      break;
    case Op_ConvF2HF:
    case Op_ConvHF2F:
      if (!VM_Version::supports_float16()) {
        return false;
      }
      break;
    case Op_VectorCastF2HF:
    case Op_VectorCastHF2F:
      if (!VM_Version::supports_f16c() && !VM_Version::supports_evex()) {
        return false;
      }
      break;
  }
  return true;  // Match rules are supported by default.
}

//------------------------------------------------------------------------

static inline bool is_pop_count_instr_target(BasicType bt) {
  return (is_subword_type(bt) && VM_Version::supports_avx512_bitalg()) ||
         (is_non_subword_integral_type(bt) && VM_Version::supports_avx512_vpopcntdq());
}

bool Matcher::match_rule_supported_auto_vectorization(int opcode, int vlen, BasicType bt) {
  return match_rule_supported_vector(opcode, vlen, bt);
}

// Identify extra cases that we might want to provide match rules for vector nodes and
// other intrinsics guarded with vector length (vlen) and element type (bt).
bool Matcher::match_rule_supported_vector(int opcode, int vlen, BasicType bt) {
  const bool is_LP64 = LP64_ONLY(true) NOT_LP64(false);
  if (!match_rule_supported(opcode)) {
    return false;
  }
  // Matcher::vector_size_supported() restricts vector sizes in the following way (see Matcher::vector_width_in_bytes):
  //   * SSE2 supports 128bit vectors for all types;
  //   * AVX1 supports 256bit vectors only for FLOAT and DOUBLE types;
  //   * AVX2 supports 256bit vectors for all types;
  //   * AVX512F supports 512bit vectors only for INT, FLOAT, and DOUBLE types;
  //   * AVX512BW supports 512bit vectors for BYTE, SHORT, and CHAR types.
  // There's also a limit on minimum vector size supported: 2 elements (or 4 bytes for BYTE).
  // And MaxVectorSize is taken into account as well.
  if (!vector_size_supported(bt, vlen)) {
    return false;
  }
  // Special cases which require vector length follow:
  //   * implementation limitations
  //   * some 512bit vector operations on FLOAT and DOUBLE types require AVX512DQ
  //   * 128bit vroundpd instruction is present only in AVX1
  int size_in_bits = vlen * type2aelembytes(bt) * BitsPerByte;
  switch (opcode) {
    case Op_AbsVF:
    case Op_NegVF:
      if ((vlen == 16) && (VM_Version::supports_avx512dq() == false)) {
        return false; // 512bit vandps and vxorps are not available
      }
      break;
    case Op_AbsVD:
    case Op_NegVD:
      if ((vlen == 8) && (VM_Version::supports_avx512dq() == false)) {
        return false; // 512bit vpmullq, vandpd and vxorpd are not available
      }
      break;
    case Op_RotateRightV:
    case Op_RotateLeftV:
      if (bt != T_INT && bt != T_LONG) {
        return false;
      } // fallthrough
    case Op_MacroLogicV:
      if (!VM_Version::supports_evex() ||
          ((size_in_bits != 512) && !VM_Version::supports_avx512vl())) {
        return false;
      }
      break;
    case Op_ClearArray:
    case Op_VectorMaskGen:
    case Op_VectorCmpMasked:
      if (!is_LP64 || !VM_Version::supports_avx512bw()) {
        return false;
      }
      if ((size_in_bits != 512) && !VM_Version::supports_avx512vl()) {
        return false;
      }
      break;
    case Op_LoadVectorMasked:
    case Op_StoreVectorMasked:
      if (!VM_Version::supports_avx512bw() && (is_subword_type(bt) || UseAVX < 1)) {
        return false;
      }
      break;
    case Op_UMinV:
    case Op_UMaxV:
      if (UseAVX == 0) {
        return false;
      }
      break;
    case Op_MaxV:
    case Op_MinV:
      if (UseSSE < 4 && is_integral_type(bt)) {
        return false;
      }
      if ((bt == T_FLOAT || bt == T_DOUBLE)) {
          // Float/Double intrinsics are enabled for AVX family currently.
          if (UseAVX == 0) {
            return false;
          }
          if (UseAVX > 2 && (!VM_Version::supports_avx512dq() && size_in_bits == 512)) { // 512 bit Float/Double intrinsics need AVX512DQ
            return false;
          }
      }
      break;
    case Op_CallLeafVector:
      if (size_in_bits == 512 && !VM_Version::supports_avx512vlbwdq()) {
        return false;
      }
      break;
    case Op_AddReductionVI:
      if (bt == T_INT && (UseSSE < 3 || !VM_Version::supports_ssse3())) {
        return false;
      }
      // fallthrough
    case Op_AndReductionV:
    case Op_OrReductionV:
    case Op_XorReductionV:
      if (is_subword_type(bt) && (UseSSE < 4)) {
        return false;
      }
#ifndef _LP64
      if (bt == T_BYTE || bt == T_LONG) {
        return false;
      }
#endif
      break;
#ifndef _LP64
    case Op_VectorInsert:
      if (bt == T_LONG || bt == T_DOUBLE) {
        return false;
      }
      break;
#endif
    case Op_MinReductionV:
    case Op_MaxReductionV:
      if ((bt == T_INT || is_subword_type(bt)) && UseSSE < 4) {
        return false;
      } else if (bt == T_LONG && (UseAVX < 3 || !VM_Version::supports_avx512vlbwdq())) {
        return false;
      }
      // Float/Double intrinsics enabled for AVX family.
      if (UseAVX == 0 && (bt == T_FLOAT || bt == T_DOUBLE)) {
        return false;
      }
      if (UseAVX > 2 && (!VM_Version::supports_avx512dq() && size_in_bits == 512)) {
        return false;
      }
#ifndef _LP64
      if (bt == T_BYTE || bt == T_LONG) {
        return false;
      }
#endif
      break;
    case Op_VectorTest:
      if (UseSSE < 4) {
        return false; // Implementation limitation
      } else if (size_in_bits < 32) {
        return false; // Implementation limitation
      }
      break;
    case Op_VectorLoadShuffle:
    case Op_VectorRearrange:
      if(vlen == 2) {
        return false; // Implementation limitation due to how shuffle is loaded
      } else if (size_in_bits == 256 && UseAVX < 2) {
        return false; // Implementation limitation
      }
      break;
    case Op_VectorLoadMask:
    case Op_VectorMaskCast:
      if (size_in_bits == 256 && UseAVX < 2) {
        return false; // Implementation limitation
      }
      // fallthrough
    case Op_VectorStoreMask:
      if (vlen == 2) {
        return false; // Implementation limitation
      }
      break;
    case Op_PopulateIndex:
      if (size_in_bits > 256 && !VM_Version::supports_avx512bw()) {
        return false;
      }
      break;
    case Op_VectorCastB2X:
    case Op_VectorCastS2X:
    case Op_VectorCastI2X:
      if (bt != T_DOUBLE && size_in_bits == 256 && UseAVX < 2) {
        return false;
      }
      break;
    case Op_VectorCastL2X:
      if (is_integral_type(bt) && size_in_bits == 256 && UseAVX < 2) {
        return false;
      } else if (!is_integral_type(bt) && !VM_Version::supports_avx512dq()) {
        return false;
      }
      break;
    case Op_VectorCastF2X: {
        // As per JLS section 5.1.3 narrowing conversion to sub-word types
        // happen after intermediate conversion to integer and special handling
        // code needs AVX2 vpcmpeqd instruction for 256 bit vectors.
        int src_size_in_bits = type2aelembytes(T_FLOAT) * vlen * BitsPerByte;
        if (is_integral_type(bt) && src_size_in_bits == 256 && UseAVX < 2) {
          return false;
        }
      }
      // fallthrough
    case Op_VectorCastD2X:
      if (bt == T_LONG && !VM_Version::supports_avx512dq()) {
        return false;
      }
      break;
    case Op_VectorCastF2HF:
    case Op_VectorCastHF2F:
      if (!VM_Version::supports_f16c() &&
         ((!VM_Version::supports_evex() ||
         ((size_in_bits != 512) && !VM_Version::supports_avx512vl())))) {
        return false;
      }
      break;
    case Op_RoundVD:
      if (!VM_Version::supports_avx512dq()) {
        return false;
      }
      break;
    case Op_MulReductionVI:
      if (bt == T_BYTE && size_in_bits == 512 && !VM_Version::supports_avx512bw()) {
        return false;
      }
      break;
    case Op_LoadVectorGatherMasked:
      if (!is_subword_type(bt) && size_in_bits < 512 && !VM_Version::supports_avx512vl()) {
        return false;
      }
      if (is_subword_type(bt) &&
         (!is_LP64                                                ||
         (size_in_bits > 256 && !VM_Version::supports_avx512bw()) ||
         (size_in_bits < 64)                                      ||
         (bt == T_SHORT && !VM_Version::supports_bmi2()))) {
        return false;
      }
      break;
    case Op_StoreVectorScatterMasked:
    case Op_StoreVectorScatter:
      if (is_subword_type(bt)) {
        return false;
      } else if (size_in_bits < 512 && !VM_Version::supports_avx512vl()) {
        return false;
      }
      // fallthrough
    case Op_LoadVectorGather:
      if (!is_subword_type(bt) && size_in_bits == 64) {
        return false;
      }
      if (is_subword_type(bt) && size_in_bits < 64) {
        return false;
      }
      break;
    case Op_SaturatingAddV:
    case Op_SaturatingSubV:
      if (UseAVX < 1) {
        return false; // Implementation limitation
      }
      if (is_subword_type(bt) && size_in_bits == 512 && !VM_Version::supports_avx512bw()) {
        return false;
      }
      break;
    case Op_SelectFromTwoVector:
       if (size_in_bits < 128 || (size_in_bits < 512 && !VM_Version::supports_avx512vl())) {
         return false;
       }
       if (bt == T_SHORT && !VM_Version::supports_avx512bw()) {
         return false;
       }
       if (bt == T_BYTE && !VM_Version::supports_avx512_vbmi()) {
         return false;
       }
       if ((bt == T_INT || bt == T_FLOAT || bt == T_DOUBLE) && !VM_Version::supports_evex()) {
         return false;
       }
       break;
    case Op_MaskAll:
      if (!VM_Version::supports_evex()) {
        return false;
      }
      if ((vlen > 16 || is_subword_type(bt)) && !VM_Version::supports_avx512bw()) {
        return false;
      }
      if (size_in_bits < 512 && !VM_Version::supports_avx512vl()) {
        return false;
      }
      break;
    case Op_VectorMaskCmp:
      if (vlen < 2 || size_in_bits < 32) {
        return false;
      }
      break;
    case Op_CompressM:
      if (UseAVX < 3 || !VM_Version::supports_bmi2()) {
        return false;
      }
      break;
    case Op_CompressV:
    case Op_ExpandV:
      if (is_subword_type(bt) && !VM_Version::supports_avx512_vbmi2()) {
        return false;
      }
      if (!is_LP64 && !VM_Version::supports_avx512vl() && size_in_bits < 512) {
        return false;
      }
      if (size_in_bits < 128 ) {
        return false;
      }
    case Op_VectorLongToMask:
      if (UseAVX < 1 || !is_LP64) {
        return false;
      }
      if (UseAVX < 3 && !VM_Version::supports_bmi2()) {
        return false;
      }
      break;
    case Op_SignumVD:
    case Op_SignumVF:
      if (UseAVX < 1) {
        return false;
      }
      break;
    case Op_PopCountVI:
    case Op_PopCountVL: {
        if (!is_pop_count_instr_target(bt) &&
            (size_in_bits == 512) && !VM_Version::supports_avx512bw()) {
          return false;
        }
      }
      break;
    case Op_ReverseV:
    case Op_ReverseBytesV:
      if (UseAVX < 2) {
        return false;
      }
      break;
    case Op_CountTrailingZerosV:
    case Op_CountLeadingZerosV:
      if (UseAVX < 2) {
        return false;
      }
      break;
  }
  return true;  // Per default match rules are supported.
}

bool Matcher::match_rule_supported_vector_masked(int opcode, int vlen, BasicType bt) {
  // ADLC based match_rule_supported routine checks for the existence of pattern based
  // on IR opcode. Most of the unary/binary/ternary masked operation share the IR nodes
  // of their non-masked counterpart with mask edge being the differentiator.
  // This routine does a strict check on the existence of masked operation patterns
  // by returning a default false value for all the other opcodes apart from the
  // ones whose masked instruction patterns are defined in this file.
  if (!match_rule_supported_vector(opcode, vlen, bt)) {
    return false;
  }

  const bool is_LP64 = LP64_ONLY(true) NOT_LP64(false);
  int size_in_bits = vlen * type2aelembytes(bt) * BitsPerByte;
  if (size_in_bits != 512 && !VM_Version::supports_avx512vl()) {
    return false;
  }
  switch(opcode) {
    // Unary masked operations
    case Op_AbsVB:
    case Op_AbsVS:
      if(!VM_Version::supports_avx512bw()) {
        return false;  // Implementation limitation
      }
    case Op_AbsVI:
    case Op_AbsVL:
      return true;

    // Ternary masked operations
    case Op_FmaVF:
    case Op_FmaVD:
      return true;

    case Op_MacroLogicV:
      if(bt != T_INT && bt != T_LONG) {
        return false;
      }
      return true;

    // Binary masked operations
    case Op_AddVB:
    case Op_AddVS:
    case Op_SubVB:
    case Op_SubVS:
    case Op_MulVS:
    case Op_LShiftVS:
    case Op_RShiftVS:
    case Op_URShiftVS:
      assert(size_in_bits == 512 || VM_Version::supports_avx512vl(), "");
      if (!VM_Version::supports_avx512bw()) {
        return false;  // Implementation limitation
      }
      return true;

    case Op_MulVL:
      assert(size_in_bits == 512 || VM_Version::supports_avx512vl(), "");
      if (!VM_Version::supports_avx512dq()) {
        return false;  // Implementation limitation
      }
      return true;

    case Op_AndV:
    case Op_OrV:
    case Op_XorV:
    case Op_RotateRightV:
    case Op_RotateLeftV:
      if (bt != T_INT && bt != T_LONG) {
        return false; // Implementation limitation
      }
      return true;

    case Op_VectorLoadMask:
      assert(size_in_bits == 512 || VM_Version::supports_avx512vl(), "");
      if (is_subword_type(bt) && !VM_Version::supports_avx512bw()) {
        return false;
      }
      return true;

    case Op_AddVI:
    case Op_AddVL:
    case Op_AddVF:
    case Op_AddVD:
    case Op_SubVI:
    case Op_SubVL:
    case Op_SubVF:
    case Op_SubVD:
    case Op_MulVI:
    case Op_MulVF:
    case Op_MulVD:
    case Op_DivVF:
    case Op_DivVD:
    case Op_SqrtVF:
    case Op_SqrtVD:
    case Op_LShiftVI:
    case Op_LShiftVL:
    case Op_RShiftVI:
    case Op_RShiftVL:
    case Op_URShiftVI:
    case Op_URShiftVL:
    case Op_LoadVectorMasked:
    case Op_StoreVectorMasked:
    case Op_LoadVectorGatherMasked:
    case Op_StoreVectorScatterMasked:
      return true;

    case Op_UMinV:
    case Op_UMaxV:
      if (size_in_bits < 512 && !VM_Version::supports_avx512vl()) {
        return false;
      } // fallthrough
    case Op_MaxV:
    case Op_MinV:
      if (is_subword_type(bt) && !VM_Version::supports_avx512bw()) {
        return false; // Implementation limitation
      }
      if (is_floating_point_type(bt)) {
        return false; // Implementation limitation
      }
      return true;
    case Op_SaturatingAddV:
    case Op_SaturatingSubV:
      if (!is_subword_type(bt)) {
        return false;
      }
      if (size_in_bits < 128 || !VM_Version::supports_avx512bw()) {
        return false; // Implementation limitation
      }
      return true;

    case Op_VectorMaskCmp:
      if (is_subword_type(bt) && !VM_Version::supports_avx512bw()) {
        return false; // Implementation limitation
      }
      return true;

    case Op_VectorRearrange:
      if (bt == T_SHORT && !VM_Version::supports_avx512bw()) {
        return false; // Implementation limitation
      }
      if (bt == T_BYTE && !VM_Version::supports_avx512_vbmi()) {
        return false; // Implementation limitation
      } else if ((bt == T_INT || bt == T_FLOAT) && size_in_bits < 256) {
        return false; // Implementation limitation
      }
      return true;

    // Binary Logical operations
    case Op_AndVMask:
    case Op_OrVMask:
    case Op_XorVMask:
      if (vlen > 16 && !VM_Version::supports_avx512bw()) {
        return false; // Implementation limitation
      }
      return true;

    case Op_PopCountVI:
    case Op_PopCountVL:
      if (!is_pop_count_instr_target(bt)) {
        return false;
      }
      return true;

    case Op_MaskAll:
      return true;

    case Op_CountLeadingZerosV:
      if (is_non_subword_integral_type(bt) && VM_Version::supports_avx512cd()) {
        return true;
      }
    default:
      return false;
  }
}

bool Matcher::vector_needs_partial_operations(Node* node, const TypeVect* vt) {
  return false;
}

MachOper* Matcher::pd_specialize_generic_vector_operand(MachOper* generic_opnd, uint ideal_reg, bool is_temp) {
  assert(Matcher::is_generic_vector(generic_opnd), "not generic");
  bool legacy = (generic_opnd->opcode() == LEGVEC);
  if (!VM_Version::supports_avx512vlbwdq() && // KNL
      is_temp && !legacy && (ideal_reg == Op_VecZ)) {
    // Conservatively specialize 512bit vec TEMP operands to legVecZ (zmm0-15) on KNL.
    return new legVecZOper();
  }
  if (legacy) {
    switch (ideal_reg) {
      case Op_VecS: return new legVecSOper();
      case Op_VecD: return new legVecDOper();
      case Op_VecX: return new legVecXOper();
      case Op_VecY: return new legVecYOper();
      case Op_VecZ: return new legVecZOper();
    }
  } else {
    switch (ideal_reg) {
      case Op_VecS: return new vecSOper();
      case Op_VecD: return new vecDOper();
      case Op_VecX: return new vecXOper();
      case Op_VecY: return new vecYOper();
      case Op_VecZ: return new vecZOper();
    }
  }
  ShouldNotReachHere();
  return nullptr;
}

bool Matcher::is_reg2reg_move(MachNode* m) {
  switch (m->rule()) {
    case MoveVec2Leg_rule:
    case MoveLeg2Vec_rule:
    case MoveF2VL_rule:
    case MoveF2LEG_rule:
    case MoveVL2F_rule:
    case MoveLEG2F_rule:
    case MoveD2VL_rule:
    case MoveD2LEG_rule:
    case MoveVL2D_rule:
    case MoveLEG2D_rule:
      return true;
    default:
      return false;
  }
}

bool Matcher::is_generic_vector(MachOper* opnd) {
  switch (opnd->opcode()) {
    case VEC:
    case LEGVEC:
      return true;
    default:
      return false;
  }
}

//------------------------------------------------------------------------

const RegMask* Matcher::predicate_reg_mask(void) {
  return &_VECTMASK_REG_mask;
}

// Max vector size in bytes. 0 if not supported.
int Matcher::vector_width_in_bytes(BasicType bt) {
  assert(is_java_primitive(bt), "only primitive type vectors");
  if (UseSSE < 2) return 0;
  // SSE2 supports 128bit vectors for all types.
  // AVX2 supports 256bit vectors for all types.
  // AVX2/EVEX supports 512bit vectors for all types.
  int size = (UseAVX > 1) ? (1 << UseAVX) * 8 : 16;
  // AVX1 supports 256bit vectors only for FLOAT and DOUBLE.
  if (UseAVX > 0 && (bt == T_FLOAT || bt == T_DOUBLE))
    size = (UseAVX > 2) ? 64 : 32;
  if (UseAVX > 2 && (bt == T_BYTE || bt == T_SHORT || bt == T_CHAR))
    size = (VM_Version::supports_avx512bw()) ? 64 : 32;
  // Use flag to limit vector size.
  size = MIN2(size,(int)MaxVectorSize);
  // Minimum 2 values in vector (or 4 for bytes).
  switch (bt) {
  case T_DOUBLE:
  case T_LONG:
    if (size < 16) return 0;
    break;
  case T_FLOAT:
  case T_INT:
    if (size < 8) return 0;
    break;
  case T_BOOLEAN:
    if (size < 4) return 0;
    break;
  case T_CHAR:
    if (size < 4) return 0;
    break;
  case T_BYTE:
    if (size < 4) return 0;
    break;
  case T_SHORT:
    if (size < 4) return 0;
    break;
  default:
    ShouldNotReachHere();
  }
  return size;
}

// Limits on vector size (number of elements) loaded into vector.
int Matcher::max_vector_size(const BasicType bt) {
  return vector_width_in_bytes(bt)/type2aelembytes(bt);
}
int Matcher::min_vector_size(const BasicType bt) {
  int max_size = max_vector_size(bt);
  // Min size which can be loaded into vector is 4 bytes.
  int size = (type2aelembytes(bt) == 1) ? 4 : 2;
  // Support for calling svml double64 vectors
  if (bt == T_DOUBLE) {
    size = 1;
  }
  return MIN2(size,max_size);
}

int Matcher::max_vector_size_auto_vectorization(const BasicType bt) {
  // Limit the max vector size for auto vectorization to 256 bits (32 bytes)
  // by default on Cascade Lake
  if (VM_Version::is_default_intel_cascade_lake()) {
    return MIN2(Matcher::max_vector_size(bt), 32 / type2aelembytes(bt));
  }
  return Matcher::max_vector_size(bt);
}

int Matcher::scalable_vector_reg_size(const BasicType bt) {
  return -1;
}

// Vector ideal reg corresponding to specified size in bytes
uint Matcher::vector_ideal_reg(int size) {
  assert(MaxVectorSize >= size, "");
  switch(size) {
    case  4: return Op_VecS;
    case  8: return Op_VecD;
    case 16: return Op_VecX;
    case 32: return Op_VecY;
    case 64: return Op_VecZ;
  }
  ShouldNotReachHere();
  return 0;
}

// Check for shift by small constant as well
static bool clone_shift(Node* shift, Matcher* matcher, Matcher::MStack& mstack, VectorSet& address_visited) {
  if (shift->Opcode() == Op_LShiftX && shift->in(2)->is_Con() &&
      shift->in(2)->get_int() <= 3 &&
      // Are there other uses besides address expressions?
      !matcher->is_visited(shift)) {
    address_visited.set(shift->_idx); // Flag as address_visited
    mstack.push(shift->in(2), Matcher::Visit);
    Node *conv = shift->in(1);
#ifdef _LP64
    // Allow Matcher to match the rule which bypass
    // ConvI2L operation for an array index on LP64
    // if the index value is positive.
    if (conv->Opcode() == Op_ConvI2L &&
        conv->as_Type()->type()->is_long()->_lo >= 0 &&
        // Are there other uses besides address expressions?
        !matcher->is_visited(conv)) {
      address_visited.set(conv->_idx); // Flag as address_visited
      mstack.push(conv->in(1), Matcher::Pre_Visit);
    } else
#endif
      mstack.push(conv, Matcher::Pre_Visit);
    return true;
  }
  return false;
}

// This function identifies sub-graphs in which a 'load' node is
// input to two different nodes, and such that it can be matched
// with BMI instructions like blsi, blsr, etc.
// Example : for b = -a[i] & a[i] can be matched to blsi r32, m32.
// The graph is (AndL (SubL Con0 LoadL*) LoadL*), where LoadL*
// refers to the same node.
//
// Match the generic fused operations pattern (op1 (op2 Con{ConType} mop) mop)
// This is a temporary solution until we make DAGs expressible in ADL.
template<typename ConType>
class FusedPatternMatcher {
  Node* _op1_node;
  Node* _mop_node;
  int _con_op;

  static int match_next(Node* n, int next_op, int next_op_idx) {
    if (n->in(1) == nullptr || n->in(2) == nullptr) {
      return -1;
    }

    if (next_op_idx == -1) { // n is commutative, try rotations
      if (n->in(1)->Opcode() == next_op) {
        return 1;
      } else if (n->in(2)->Opcode() == next_op) {
        return 2;
      }
    } else {
      assert(next_op_idx > 0 && next_op_idx <= 2, "Bad argument index");
      if (n->in(next_op_idx)->Opcode() == next_op) {
        return next_op_idx;
      }
    }
    return -1;
  }

 public:
  FusedPatternMatcher(Node* op1_node, Node* mop_node, int con_op) :
    _op1_node(op1_node), _mop_node(mop_node), _con_op(con_op) { }

  bool match(int op1, int op1_op2_idx,  // op1 and the index of the op1->op2 edge, -1 if op1 is commutative
             int op2, int op2_con_idx,  // op2 and the index of the op2->con edge, -1 if op2 is commutative
             typename ConType::NativeType con_value) {
    if (_op1_node->Opcode() != op1) {
      return false;
    }
    if (_mop_node->outcnt() > 2) {
      return false;
    }
    op1_op2_idx = match_next(_op1_node, op2, op1_op2_idx);
    if (op1_op2_idx == -1) {
      return false;
    }
    // Memory operation must be the other edge
    int op1_mop_idx = (op1_op2_idx & 1) + 1;

    // Check that the mop node is really what we want
    if (_op1_node->in(op1_mop_idx) == _mop_node) {
      Node* op2_node = _op1_node->in(op1_op2_idx);
      if (op2_node->outcnt() > 1) {
        return false;
      }
      assert(op2_node->Opcode() == op2, "Should be");
      op2_con_idx = match_next(op2_node, _con_op, op2_con_idx);
      if (op2_con_idx == -1) {
        return false;
      }
      // Memory operation must be the other edge
      int op2_mop_idx = (op2_con_idx & 1) + 1;
      // Check that the memory operation is the same node
      if (op2_node->in(op2_mop_idx) == _mop_node) {
        // Now check the constant
        const Type* con_type = op2_node->in(op2_con_idx)->bottom_type();
        if (con_type != Type::TOP && ConType::as_self(con_type)->get_con() == con_value) {
          return true;
        }
      }
    }
    return false;
  }
};

static bool is_bmi_pattern(Node* n, Node* m) {
  assert(UseBMI1Instructions, "sanity");
  if (n != nullptr && m != nullptr) {
    if (m->Opcode() == Op_LoadI) {
      FusedPatternMatcher<TypeInt> bmii(n, m, Op_ConI);
      return bmii.match(Op_AndI, -1, Op_SubI,  1,  0)  ||
             bmii.match(Op_AndI, -1, Op_AddI, -1, -1)  ||
             bmii.match(Op_XorI, -1, Op_AddI, -1, -1);
    } else if (m->Opcode() == Op_LoadL) {
      FusedPatternMatcher<TypeLong> bmil(n, m, Op_ConL);
      return bmil.match(Op_AndL, -1, Op_SubL,  1,  0) ||
             bmil.match(Op_AndL, -1, Op_AddL, -1, -1) ||
             bmil.match(Op_XorL, -1, Op_AddL, -1, -1);
    }
  }
  return false;
}

// Should the matcher clone input 'm' of node 'n'?
bool Matcher::pd_clone_node(Node* n, Node* m, Matcher::MStack& mstack) {
  // If 'n' and 'm' are part of a graph for BMI instruction, clone the input 'm'.
  if (UseBMI1Instructions && is_bmi_pattern(n, m)) {
    mstack.push(m, Visit);
    return true;
  }
  if (is_vshift_con_pattern(n, m)) { // ShiftV src (ShiftCntV con)
    mstack.push(m, Visit);           // m = ShiftCntV
    return true;
  }
  if (is_encode_and_store_pattern(n, m)) {
    mstack.push(m, Visit);
    return true;
  }
  return false;
}

// Should the Matcher clone shifts on addressing modes, expecting them
// to be subsumed into complex addressing expressions or compute them
// into registers?
bool Matcher::pd_clone_address_expressions(AddPNode* m, Matcher::MStack& mstack, VectorSet& address_visited) {
  Node *off = m->in(AddPNode::Offset);
  if (off->is_Con()) {
    address_visited.test_set(m->_idx); // Flag as address_visited
    Node *adr = m->in(AddPNode::Address);

    // Intel can handle 2 adds in addressing mode, with one of them using an immediate offset.
    // AtomicAdd is not an addressing expression.
    // Cheap to find it by looking for screwy base.
    if (adr->is_AddP() &&
        !adr->in(AddPNode::Base)->is_top() &&
        !adr->in(AddPNode::Offset)->is_Con() &&
        LP64_ONLY( off->get_long() == (int) (off->get_long()) && ) // immL32
        // Are there other uses besides address expressions?
        !is_visited(adr)) {
      address_visited.set(adr->_idx); // Flag as address_visited
      Node *shift = adr->in(AddPNode::Offset);
      if (!clone_shift(shift, this, mstack, address_visited)) {
        mstack.push(shift, Pre_Visit);
      }
      mstack.push(adr->in(AddPNode::Address), Pre_Visit);
      mstack.push(adr->in(AddPNode::Base), Pre_Visit);
    } else {
      mstack.push(adr, Pre_Visit);
    }

    // Clone X+offset as it also folds into most addressing expressions
    mstack.push(off, Visit);
    mstack.push(m->in(AddPNode::Base), Pre_Visit);
    return true;
  } else if (clone_shift(off, this, mstack, address_visited)) {
    address_visited.test_set(m->_idx); // Flag as address_visited
    mstack.push(m->in(AddPNode::Address), Pre_Visit);
    mstack.push(m->in(AddPNode::Base), Pre_Visit);
    return true;
  }
  return false;
}

static inline Assembler::ComparisonPredicate booltest_pred_to_comparison_pred(int bt) {
  switch (bt) {
    case BoolTest::eq:
      return Assembler::eq;
    case BoolTest::ne:
      return Assembler::neq;
    case BoolTest::le:
    case BoolTest::ule:
      return Assembler::le;
    case BoolTest::ge:
    case BoolTest::uge:
      return Assembler::nlt;
    case BoolTest::lt:
    case BoolTest::ult:
      return Assembler::lt;
    case BoolTest::gt:
    case BoolTest::ugt:
      return Assembler::nle;
    default : ShouldNotReachHere(); return Assembler::_false;
  }
}

static inline Assembler::ComparisonPredicateFP booltest_pred_to_comparison_pred_fp(int bt) {
  switch (bt) {
  case BoolTest::eq: return Assembler::EQ_OQ;  // ordered non-signaling
  // As per JLS 15.21.1, != of NaNs is true. Thus use unordered compare.
  case BoolTest::ne: return Assembler::NEQ_UQ; // unordered non-signaling
  case BoolTest::le: return Assembler::LE_OQ;  // ordered non-signaling
  case BoolTest::ge: return Assembler::GE_OQ;  // ordered non-signaling
  case BoolTest::lt: return Assembler::LT_OQ;  // ordered non-signaling
  case BoolTest::gt: return Assembler::GT_OQ;  // ordered non-signaling
  default: ShouldNotReachHere(); return Assembler::FALSE_OS;
  }
}

// Helper methods for MachSpillCopyNode::implementation().
static void vec_mov_helper(C2_MacroAssembler *masm, int src_lo, int dst_lo,
                          int src_hi, int dst_hi, uint ireg, outputStream* st) {
  assert(ireg == Op_VecS || // 32bit vector
         ((src_lo & 1) == 0 && (src_lo + 1) == src_hi &&
          (dst_lo & 1) == 0 && (dst_lo + 1) == dst_hi),
         "no non-adjacent vector moves" );
  if (masm) {
    switch (ireg) {
    case Op_VecS: // copy whole register
    case Op_VecD:
    case Op_VecX:
#ifndef _LP64
      __ movdqu(as_XMMRegister(Matcher::_regEncode[dst_lo]), as_XMMRegister(Matcher::_regEncode[src_lo]));
#else
      if ((UseAVX < 3) || VM_Version::supports_avx512vl()) {
        __ movdqu(as_XMMRegister(Matcher::_regEncode[dst_lo]), as_XMMRegister(Matcher::_regEncode[src_lo]));
      } else {
        __ vextractf32x4(as_XMMRegister(Matcher::_regEncode[dst_lo]), as_XMMRegister(Matcher::_regEncode[src_lo]), 0x0);
     }
#endif
      break;
    case Op_VecY:
#ifndef _LP64
      __ vmovdqu(as_XMMRegister(Matcher::_regEncode[dst_lo]), as_XMMRegister(Matcher::_regEncode[src_lo]));
#else
      if ((UseAVX < 3) || VM_Version::supports_avx512vl()) {
        __ vmovdqu(as_XMMRegister(Matcher::_regEncode[dst_lo]), as_XMMRegister(Matcher::_regEncode[src_lo]));
      } else {
        __ vextractf64x4(as_XMMRegister(Matcher::_regEncode[dst_lo]), as_XMMRegister(Matcher::_regEncode[src_lo]), 0x0);
     }
#endif
      break;
    case Op_VecZ:
      __ evmovdquq(as_XMMRegister(Matcher::_regEncode[dst_lo]), as_XMMRegister(Matcher::_regEncode[src_lo]), 2);
      break;
    default:
      ShouldNotReachHere();
    }
#ifndef PRODUCT
  } else {
    switch (ireg) {
    case Op_VecS:
    case Op_VecD:
    case Op_VecX:
      st->print("movdqu  %s,%s\t# spill",Matcher::regName[dst_lo],Matcher::regName[src_lo]);
      break;
    case Op_VecY:
    case Op_VecZ:
      st->print("vmovdqu %s,%s\t# spill",Matcher::regName[dst_lo],Matcher::regName[src_lo]);
      break;
    default:
      ShouldNotReachHere();
    }
#endif
  }
}

void vec_spill_helper(C2_MacroAssembler *masm, bool is_load,
                     int stack_offset, int reg, uint ireg, outputStream* st) {
  if (masm) {
    if (is_load) {
      switch (ireg) {
      case Op_VecS:
        __ movdl(as_XMMRegister(Matcher::_regEncode[reg]), Address(rsp, stack_offset));
        break;
      case Op_VecD:
        __ movq(as_XMMRegister(Matcher::_regEncode[reg]), Address(rsp, stack_offset));
        break;
      case Op_VecX:
#ifndef _LP64
        __ movdqu(as_XMMRegister(Matcher::_regEncode[reg]), Address(rsp, stack_offset));
#else
        if ((UseAVX < 3) || VM_Version::supports_avx512vl()) {
          __ movdqu(as_XMMRegister(Matcher::_regEncode[reg]), Address(rsp, stack_offset));
        } else {
          __ vpxor(as_XMMRegister(Matcher::_regEncode[reg]), as_XMMRegister(Matcher::_regEncode[reg]), as_XMMRegister(Matcher::_regEncode[reg]), 2);
          __ vinsertf32x4(as_XMMRegister(Matcher::_regEncode[reg]), as_XMMRegister(Matcher::_regEncode[reg]), Address(rsp, stack_offset),0x0);
        }
#endif
        break;
      case Op_VecY:
#ifndef _LP64
        __ vmovdqu(as_XMMRegister(Matcher::_regEncode[reg]), Address(rsp, stack_offset));
#else
        if ((UseAVX < 3) || VM_Version::supports_avx512vl()) {
          __ vmovdqu(as_XMMRegister(Matcher::_regEncode[reg]), Address(rsp, stack_offset));
        } else {
          __ vpxor(as_XMMRegister(Matcher::_regEncode[reg]), as_XMMRegister(Matcher::_regEncode[reg]), as_XMMRegister(Matcher::_regEncode[reg]), 2);
          __ vinsertf64x4(as_XMMRegister(Matcher::_regEncode[reg]), as_XMMRegister(Matcher::_regEncode[reg]), Address(rsp, stack_offset),0x0);
        }
#endif
        break;
      case Op_VecZ:
        __ evmovdquq(as_XMMRegister(Matcher::_regEncode[reg]), Address(rsp, stack_offset), 2);
        break;
      default:
        ShouldNotReachHere();
      }
    } else { // store
      switch (ireg) {
      case Op_VecS:
        __ movdl(Address(rsp, stack_offset), as_XMMRegister(Matcher::_regEncode[reg]));
        break;
      case Op_VecD:
        __ movq(Address(rsp, stack_offset), as_XMMRegister(Matcher::_regEncode[reg]));
        break;
      case Op_VecX:
#ifndef _LP64
        __ movdqu(Address(rsp, stack_offset), as_XMMRegister(Matcher::_regEncode[reg]));
#else
        if ((UseAVX < 3) || VM_Version::supports_avx512vl()) {
          __ movdqu(Address(rsp, stack_offset), as_XMMRegister(Matcher::_regEncode[reg]));
        }
        else {
          __ vextractf32x4(Address(rsp, stack_offset), as_XMMRegister(Matcher::_regEncode[reg]), 0x0);
        }
#endif
        break;
      case Op_VecY:
#ifndef _LP64
        __ vmovdqu(Address(rsp, stack_offset), as_XMMRegister(Matcher::_regEncode[reg]));
#else
        if ((UseAVX < 3) || VM_Version::supports_avx512vl()) {
          __ vmovdqu(Address(rsp, stack_offset), as_XMMRegister(Matcher::_regEncode[reg]));
        }
        else {
          __ vextractf64x4(Address(rsp, stack_offset), as_XMMRegister(Matcher::_regEncode[reg]), 0x0);
        }
#endif
        break;
      case Op_VecZ:
        __ evmovdquq(Address(rsp, stack_offset), as_XMMRegister(Matcher::_regEncode[reg]), 2);
        break;
      default:
        ShouldNotReachHere();
      }
    }
#ifndef PRODUCT
  } else {
    if (is_load) {
      switch (ireg) {
      case Op_VecS:
        st->print("movd    %s,[rsp + %d]\t# spill", Matcher::regName[reg], stack_offset);
        break;
      case Op_VecD:
        st->print("movq    %s,[rsp + %d]\t# spill", Matcher::regName[reg], stack_offset);
        break;
       case Op_VecX:
        st->print("movdqu  %s,[rsp + %d]\t# spill", Matcher::regName[reg], stack_offset);
        break;
      case Op_VecY:
      case Op_VecZ:
        st->print("vmovdqu %s,[rsp + %d]\t# spill", Matcher::regName[reg], stack_offset);
        break;
      default:
        ShouldNotReachHere();
      }
    } else { // store
      switch (ireg) {
      case Op_VecS:
        st->print("movd    [rsp + %d],%s\t# spill", stack_offset, Matcher::regName[reg]);
        break;
      case Op_VecD:
        st->print("movq    [rsp + %d],%s\t# spill", stack_offset, Matcher::regName[reg]);
        break;
       case Op_VecX:
        st->print("movdqu  [rsp + %d],%s\t# spill", stack_offset, Matcher::regName[reg]);
        break;
      case Op_VecY:
      case Op_VecZ:
        st->print("vmovdqu [rsp + %d],%s\t# spill", stack_offset, Matcher::regName[reg]);
        break;
      default:
        ShouldNotReachHere();
      }
    }
#endif
  }
}

template <class T>
static inline GrowableArray<jvalue>* vreplicate_imm(BasicType bt, T con, int len) {
  GrowableArray<jvalue>* val = new GrowableArray<jvalue>(len);
  jvalue ele;
  switch (bt) {
    case T_BYTE:   ele.b = con; break;
    case T_SHORT:  ele.s = con; break;
    case T_INT:    ele.i = con; break;
    case T_LONG:   ele.j = con; break;
    case T_FLOAT:  ele.f = con; break;
    case T_DOUBLE: ele.d = con; break;
    default: ShouldNotReachHere();
  }
  for (int i = 0; i < len; i++) {
    val->append(ele);
  }
  return val;
}

static inline jlong high_bit_set(BasicType bt) {
  switch (bt) {
    case T_BYTE:  return 0x8080808080808080;
    case T_SHORT: return 0x8000800080008000;
    case T_INT:   return 0x8000000080000000;
    case T_LONG:  return 0x8000000000000000;
    default:
      ShouldNotReachHere();
      return 0;
  }
}

#ifndef PRODUCT
  void MachNopNode::format(PhaseRegAlloc*, outputStream* st) const {
    st->print("nop \t# %d bytes pad for loops and calls", _count);
  }
#endif

  void MachNopNode::emit(C2_MacroAssembler *masm, PhaseRegAlloc*) const {
    __ nop(_count);
  }

  uint MachNopNode::size(PhaseRegAlloc*) const {
    return _count;
  }

#ifndef PRODUCT
  void MachBreakpointNode::format(PhaseRegAlloc*, outputStream* st) const {
    st->print("# breakpoint");
  }
#endif

  void MachBreakpointNode::emit(C2_MacroAssembler *masm, PhaseRegAlloc* ra_) const {
    __ int3();
  }

  uint MachBreakpointNode::size(PhaseRegAlloc* ra_) const {
    return MachNode::size(ra_);
  }


#line 2858 "ad_x86.cpp"


#ifndef PRODUCT
void Compile::adlc_verification() {

  // Following assertions generated from definition section
}
#endif

// Map from machine-independent register number to register_save_policy
const        char register_save_policy[] = {
  'C', // ECX
  'C', // EBX
  'N', // EBP
  'C', // EDI
  'C', // EAX
  'C', // EDX
  'C', // ESI
  'N', // ESP
  'C', // FPR0L
  'C', // FPR0H
  'C', // FPR1L
  'C', // FPR1H
  'C', // FPR2L
  'C', // FPR2H
  'C', // FPR3L
  'C', // FPR3H
  'C', // FPR4L
  'C', // FPR4H
  'C', // FPR5L
  'C', // FPR5H
  'C', // FPR6L
  'C', // FPR6H
  'C', // FPR7L
  'C', // FPR7H
  'C', // FILL0
  'C', // FILL1
  'C', // FILL2
  'C', // FILL3
  'C', // FILL4
  'C', // FILL5
  'C', // FILL6
  'C', // FILL7
  'C', // XMM0
  'C', // XMM0b
  'C', // XMM0c
  'C', // XMM0d
  'C', // XMM0e
  'C', // XMM0f
  'C', // XMM0g
  'C', // XMM0h
  'C', // XMM0i
  'C', // XMM0j
  'C', // XMM0k
  'C', // XMM0l
  'C', // XMM0m
  'C', // XMM0n
  'C', // XMM0o
  'C', // XMM0p
  'C', // XMM1
  'C', // XMM1b
  'C', // XMM1c
  'C', // XMM1d
  'C', // XMM1e
  'C', // XMM1f
  'C', // XMM1g
  'C', // XMM1h
  'C', // XMM1i
  'C', // XMM1j
  'C', // XMM1k
  'C', // XMM1l
  'C', // XMM1m
  'C', // XMM1n
  'C', // XMM1o
  'C', // XMM1p
  'C', // XMM2
  'C', // XMM2b
  'C', // XMM2c
  'C', // XMM2d
  'C', // XMM2e
  'C', // XMM2f
  'C', // XMM2g
  'C', // XMM2h
  'C', // XMM2i
  'C', // XMM2j
  'C', // XMM2k
  'C', // XMM2l
  'C', // XMM2m
  'C', // XMM2n
  'C', // XMM2o
  'C', // XMM2p
  'C', // XMM3
  'C', // XMM3b
  'C', // XMM3c
  'C', // XMM3d
  'C', // XMM3e
  'C', // XMM3f
  'C', // XMM3g
  'C', // XMM3h
  'C', // XMM3i
  'C', // XMM3j
  'C', // XMM3k
  'C', // XMM3l
  'C', // XMM3m
  'C', // XMM3n
  'C', // XMM3o
  'C', // XMM3p
  'C', // XMM4
  'C', // XMM4b
  'C', // XMM4c
  'C', // XMM4d
  'C', // XMM4e
  'C', // XMM4f
  'C', // XMM4g
  'C', // XMM4h
  'C', // XMM4i
  'C', // XMM4j
  'C', // XMM4k
  'C', // XMM4l
  'C', // XMM4m
  'C', // XMM4n
  'C', // XMM4o
  'C', // XMM4p
  'C', // XMM5
  'C', // XMM5b
  'C', // XMM5c
  'C', // XMM5d
  'C', // XMM5e
  'C', // XMM5f
  'C', // XMM5g
  'C', // XMM5h
  'C', // XMM5i
  'C', // XMM5j
  'C', // XMM5k
  'C', // XMM5l
  'C', // XMM5m
  'C', // XMM5n
  'C', // XMM5o
  'C', // XMM5p
  'C', // XMM6
  'C', // XMM6b
  'C', // XMM6c
  'C', // XMM6d
  'C', // XMM6e
  'C', // XMM6f
  'C', // XMM6g
  'C', // XMM6h
  'C', // XMM6i
  'C', // XMM6j
  'C', // XMM6k
  'C', // XMM6l
  'C', // XMM6m
  'C', // XMM6n
  'C', // XMM6o
  'C', // XMM6p
  'C', // XMM7
  'C', // XMM7b
  'C', // XMM7c
  'C', // XMM7d
  'C', // XMM7e
  'C', // XMM7f
  'C', // XMM7g
  'C', // XMM7h
  'C', // XMM7i
  'C', // XMM7j
  'C', // XMM7k
  'C', // XMM7l
  'C', // XMM7m
  'C', // XMM7n
  'C', // XMM7o
  'C', // XMM7p
  'C', // K7
  'C', // K7_H
  'C', // K6
  'C', // K6_H
  'C', // K5
  'C', // K5_H
  'C', // K4
  'C', // K4_H
  'C', // K3
  'C', // K3_H
  'C', // K2
  'C', // K2_H
  'C', // K1
  'C', // K1_H
  'C' // no trailing comma // RFLAGS
};

// Map from machine-independent register number to c_reg_save_policy
const        char c_reg_save_policy[] = {
  'C', // ECX
  'E', // EBX
  'E', // EBP
  'E', // EDI
  'C', // EAX
  'C', // EDX
  'E', // ESI
  'N', // ESP
  'C', // FPR0L
  'C', // FPR0H
  'C', // FPR1L
  'C', // FPR1H
  'C', // FPR2L
  'C', // FPR2H
  'C', // FPR3L
  'C', // FPR3H
  'C', // FPR4L
  'C', // FPR4H
  'C', // FPR5L
  'C', // FPR5H
  'C', // FPR6L
  'C', // FPR6H
  'C', // FPR7L
  'C', // FPR7H
  'C', // FILL0
  'C', // FILL1
  'C', // FILL2
  'C', // FILL3
  'C', // FILL4
  'C', // FILL5
  'C', // FILL6
  'C', // FILL7
  'C', // XMM0
  'C', // XMM0b
  'C', // XMM0c
  'C', // XMM0d
  'C', // XMM0e
  'C', // XMM0f
  'C', // XMM0g
  'C', // XMM0h
  'C', // XMM0i
  'C', // XMM0j
  'C', // XMM0k
  'C', // XMM0l
  'C', // XMM0m
  'C', // XMM0n
  'C', // XMM0o
  'C', // XMM0p
  'C', // XMM1
  'C', // XMM1b
  'C', // XMM1c
  'C', // XMM1d
  'C', // XMM1e
  'C', // XMM1f
  'C', // XMM1g
  'C', // XMM1h
  'C', // XMM1i
  'C', // XMM1j
  'C', // XMM1k
  'C', // XMM1l
  'C', // XMM1m
  'C', // XMM1n
  'C', // XMM1o
  'C', // XMM1p
  'C', // XMM2
  'C', // XMM2b
  'C', // XMM2c
  'C', // XMM2d
  'C', // XMM2e
  'C', // XMM2f
  'C', // XMM2g
  'C', // XMM2h
  'C', // XMM2i
  'C', // XMM2j
  'C', // XMM2k
  'C', // XMM2l
  'C', // XMM2m
  'C', // XMM2n
  'C', // XMM2o
  'C', // XMM2p
  'C', // XMM3
  'C', // XMM3b
  'C', // XMM3c
  'C', // XMM3d
  'C', // XMM3e
  'C', // XMM3f
  'C', // XMM3g
  'C', // XMM3h
  'C', // XMM3i
  'C', // XMM3j
  'C', // XMM3k
  'C', // XMM3l
  'C', // XMM3m
  'C', // XMM3n
  'C', // XMM3o
  'C', // XMM3p
  'C', // XMM4
  'C', // XMM4b
  'C', // XMM4c
  'C', // XMM4d
  'C', // XMM4e
  'C', // XMM4f
  'C', // XMM4g
  'C', // XMM4h
  'C', // XMM4i
  'C', // XMM4j
  'C', // XMM4k
  'C', // XMM4l
  'C', // XMM4m
  'C', // XMM4n
  'C', // XMM4o
  'C', // XMM4p
  'C', // XMM5
  'C', // XMM5b
  'C', // XMM5c
  'C', // XMM5d
  'C', // XMM5e
  'C', // XMM5f
  'C', // XMM5g
  'C', // XMM5h
  'C', // XMM5i
  'C', // XMM5j
  'C', // XMM5k
  'C', // XMM5l
  'C', // XMM5m
  'C', // XMM5n
  'C', // XMM5o
  'C', // XMM5p
  'C', // XMM6
  'C', // XMM6b
  'C', // XMM6c
  'C', // XMM6d
  'C', // XMM6e
  'C', // XMM6f
  'C', // XMM6g
  'C', // XMM6h
  'C', // XMM6i
  'C', // XMM6j
  'C', // XMM6k
  'C', // XMM6l
  'C', // XMM6m
  'C', // XMM6n
  'C', // XMM6o
  'C', // XMM6p
  'C', // XMM7
  'C', // XMM7b
  'C', // XMM7c
  'C', // XMM7d
  'C', // XMM7e
  'C', // XMM7f
  'C', // XMM7g
  'C', // XMM7h
  'C', // XMM7i
  'C', // XMM7j
  'C', // XMM7k
  'C', // XMM7l
  'C', // XMM7m
  'C', // XMM7n
  'C', // XMM7o
  'C', // XMM7p
  'C', // K7
  'C', // K7_H
  'C', // K6
  'C', // K6_H
  'C', // K5
  'C', // K5_H
  'C', // K4
  'C', // K4_H
  'C', // K3
  'C', // K3_H
  'C', // K2
  'C', // K2_H
  'C', // K1
  'C', // K1_H
  'C' // no trailing comma // RFLAGS
};

// Map from machine-independent register number to register_save_type
const        int register_save_type[] = {
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegF,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  Op_RegI,
  0 // no trailing comma
};


const        int   reduceOp[] = {
  /*    0 */  0,
  /*    1 */  0,
  /*    2 */  0,
  /*    3 */  0,
  /*    4 */  0,
  /*    5 */  0,
  /*    6 */  0,
  /*    7 */  0,
  /*    8 */  immI_rule,
  /*    9 */  immI_0_rule,
  /*   10 */  immI_1_rule,
  /*   11 */  immI_M1_rule,
  /*   12 */  immI2_rule,
  /*   13 */  immI8_rule,
  /*   14 */  immU8_rule,
  /*   15 */  immI16_rule,
  /*   16 */  immU31_rule,
  /*   17 */  immI_32_rule,
  /*   18 */  immI_1_31_rule,
  /*   19 */  immI_32_63_rule,
  /*   20 */  immI_2_rule,
  /*   21 */  immI_3_rule,
  /*   22 */  immI_4_rule,
  /*   23 */  immI_8_rule,
  /*   24 */  immP_rule,
  /*   25 */  immP0_rule,
  /*   26 */  immL_rule,
  /*   27 */  immL0_rule,
  /*   28 */  immL_M1_rule,
  /*   29 */  immL_127_rule,
  /*   30 */  immL_32bits_rule,
  /*   31 */  immL32_rule,
  /*   32 */  immDPR0_rule,
  /*   33 */  immDPR1_rule,
  /*   34 */  immDPR_rule,
  /*   35 */  immD_rule,
  /*   36 */  immD0_rule,
  /*   37 */  immFPR0_rule,
  /*   38 */  immFPR1_rule,
  /*   39 */  immFPR_rule,
  /*   40 */  immF_rule,
  /*   41 */  immF0_rule,
  /*   42 */  immI_16_rule,
  /*   43 */  immI_24_rule,
  /*   44 */  immI_255_rule,
  /*   45 */  immI_65535_rule,
  /*   46 */  kReg_rule,
  /*   47 */  rRegI_rule,
  /*   48 */  xRegI_rule,
  /*   49 */  eAXRegI_rule,
  /*   50 */  eBXRegI_rule,
  /*   51 */  eCXRegI_rule,
  /*   52 */  eDXRegI_rule,
  /*   53 */  eDIRegI_rule,
  /*   54 */  nadxRegI_rule,
  /*   55 */  ncxRegI_rule,
  /*   56 */  eSIRegI_rule,
  /*   57 */  anyRegP_rule,
  /*   58 */  eRegP_rule,
  /*   59 */  rRegP_rule,
  /*   60 */  eRegP_no_EBP_rule,
  /*   61 */  pRegP_rule,
  /*   62 */  eAXRegP_rule,
  /*   63 */  eBXRegP_rule,
  /*   64 */  eCXRegP_rule,
  /*   65 */  eDXRegP_rule,
  /*   66 */  eSIRegP_rule,
  /*   67 */  eDIRegP_rule,
  /*   68 */  eRegL_rule,
  /*   69 */  eADXRegL_rule,
  /*   70 */  eBCXRegL_rule,
  /*   71 */  eBDPRegL_rule,
  /*   72 */  eADXRegL_low_only_rule,
  /*   73 */  rFlagsReg_rule,
  /*   74 */  eFlagsReg_rule,
  /*   75 */  eFlagsRegU_rule,
  /*   76 */  eFlagsRegUCF_rule,
  /*   77 */  flagsReg_long_LTGE_rule,
  /*   78 */  flagsReg_long_EQNE_rule,
  /*   79 */  flagsReg_long_LEGT_rule,
  /*   80 */  flagsReg_ulong_LTGE_rule,
  /*   81 */  flagsReg_ulong_EQNE_rule,
  /*   82 */  flagsReg_ulong_LEGT_rule,
  /*   83 */  regDPR_rule,
  /*   84 */  regDPR1_rule,
  /*   85 */  regDPR2_rule,
  /*   86 */  regnotDPR1_rule,
  /*   87 */  regFPR_rule,
  /*   88 */  regFPR1_rule,
  /*   89 */  regF_rule,
  /*   90 */  legRegF_rule,
  /*   91 */  vlRegF_rule,
  /*   92 */  regD_rule,
  /*   93 */  legRegD_rule,
  /*   94 */  vlRegD_rule,
  /*   95 */  direct_rule,
  /*   96 */  indirect_rule,
  /*   97 */  indOffset8_rule,
  /*   98 */  indOffset32_rule,
  /*   99 */  indOffset32X_rule,
  /*  100 */  indIndexOffset_rule,
  /*  101 */  indIndex_rule,
  /*  102 */  indIndexScale_rule,
  /*  103 */  indIndexScaleOffset_rule,
  /*  104 */  load_long_RegP_rule,
  /*  105 */  load_long_indirect_rule,
  /*  106 */  load_long_indOffset32_rule,
  /*  107 */  stackSlotP_rule,
  /*  108 */  stackSlotI_rule,
  /*  109 */  stackSlotF_rule,
  /*  110 */  stackSlotD_rule,
  /*  111 */  stackSlotL_rule,
  /*  112 */  cmpOp_rule,
  /*  113 */  cmpOpU_rule,
  /*  114 */  cmpOpUCF_rule,
  /*  115 */  cmpOpUCF2_rule,
  /*  116 */  cmpOp_fcmov_rule,
  /*  117 */  cmpOp_commute_rule,
  /*  118 */  cmpOpU_commute_rule,
  /*  119 */  rxmm0_rule,
  /*  120 */  vec_rule,
  /*  121 */  legVec_rule,
  /*  122 */  vecS_rule,
  /*  123 */  legVecS_rule,
  /*  124 */  vecD_rule,
  /*  125 */  legVecD_rule,
  /*  126 */  vecX_rule,
  /*  127 */  legVecX_rule,
  /*  128 */  vecY_rule,
  /*  129 */  legVecY_rule,
  /*  130 */  vecZ_rule,
  /*  131 */  legVecZ_rule,
  // last operand
  /*  132 */  load_long_memory_rule,
  /*  133 */  memory_rule,
  /*  134 */  long_memory_rule,
  // last operand class
  /*  135 */  _AddP_eRegP_rRegI_rule,
  /*  136 */  _LShiftI_rRegI_immI2_rule,
  /*  137 */  _AddP_eRegP__LShiftI_rRegI_immI2_rule,
  /*  138 */  _LoadI_memory__rule,
  /*  139 */  _LoadL_memory__rule,
  /*  140 */  _LoadB_memory__rule,
  /*  141 */  _LoadUB_memory__rule,
  /*  142 */  _AndI__LoadUB_memory__immI_rule,
  /*  143 */  _LoadS_memory__rule,
  /*  144 */  _LShiftI__LoadS_memory__immI_24_rule,
  /*  145 */  _LoadUS_memory__rule,
  /*  146 */  _LShiftI__LoadUS_memory__immI_24_rule,
  /*  147 */  _AndI__LoadUS_memory__immI_255_rule,
  /*  148 */  _AndI__LoadUS_memory__immI_rule,
  /*  149 */  _LShiftI__LoadI_memory__immI_24_rule,
  /*  150 */  _LShiftI__LoadI_memory__immI_16_rule,
  /*  151 */  _AndI__LoadI_memory__immI_255_rule,
  /*  152 */  _AndI__LoadI_memory__immI_65535_rule,
  /*  153 */  _AndI__LoadI_memory__immU31_rule,
  /*  154 */  _ConvI2L__LoadI_memory___rule,
  /*  155 */  _ConvL2I_eRegL__rule,
  /*  156 */  _RoundDouble_regDPR1__rule,
  /*  157 */  _RoundFloat_regFPR1__rule,
  /*  158 */  _ConvD2F_regDPR1__rule,
  /*  159 */  _Binary_cmpOp_eFlagsReg_rule,
  /*  160 */  _Binary_rRegI_rRegI_rule,
  /*  161 */  _Binary_cmpOpU_eFlagsRegU_rule,
  /*  162 */  _Binary_cmpOpUCF_eFlagsRegUCF_rule,
  /*  163 */  _Binary_rRegI__LoadI_memory__rule,
  /*  164 */  _Binary_eRegP_eRegP_rule,
  /*  165 */  _Binary_cmpOp_fcmov_eFlagsRegU_rule,
  /*  166 */  _Binary_regDPR1_regDPR_rule,
  /*  167 */  _Binary_regFPR1_regFPR_rule,
  /*  168 */  _Binary_regDPR_regDPR_rule,
  /*  169 */  _Binary_regFPR_regFPR_rule,
  /*  170 */  _Binary_regF_regF_rule,
  /*  171 */  _Binary_regD_regD_rule,
  /*  172 */  _Binary_eRegL_eRegL_rule,
  /*  173 */  _AddI__LoadI_memory__rRegI_rule,
  /*  174 */  _AddI_rRegI__LoadI_memory__rule,
  /*  175 */  _AddI__LoadI_memory__immI_rule,
  /*  176 */  _AddI__LoadI_memory__immI_1_rule,
  /*  177 */  _AddI__LoadI_memory__immI_M1_rule,
  /*  178 */  _Binary_eADXRegL_eBCXRegL_rule,
  /*  179 */  _Binary_eAXRegP_eCXRegP_rule,
  /*  180 */  _Binary_eAXRegI_eCXRegI_rule,
  /*  181 */  _SubI__LoadI_memory__rRegI_rule,
  /*  182 */  _SubI_immI_0_rRegI_rule,
  /*  183 */  _ConvI2L_nadxRegI__rule,
  /*  184 */  _MulL__ConvI2L_nadxRegI__eADXRegL_low_only_rule,
  /*  185 */  _RShiftL__MulL__ConvI2L_nadxRegI__eADXRegL_low_only_immI_32_rule,
  /*  186 */  _MulL_eADXRegL_low_only__ConvI2L_nadxRegI__rule,
  /*  187 */  _RShiftL__MulL_eADXRegL_low_only__ConvI2L_nadxRegI__immI_32_rule,
  /*  188 */  _RShiftL__MulL__ConvI2L_nadxRegI__eADXRegL_low_only_immI_32_63_rule,
  /*  189 */  _RShiftL__MulL_eADXRegL_low_only__ConvI2L_nadxRegI__immI_32_63_rule,
  /*  190 */  _ConvI2L_eAXRegI__rule,
  /*  191 */  _AndL__ConvI2L_eAXRegI__immL_32bits_rule,
  /*  192 */  _AndL__ConvI2L_nadxRegI__immL_32bits_rule,
  /*  193 */  _RShiftI__LoadI_memory__immI_1_rule,
  /*  194 */  _RShiftI__LoadI_memory__immI8_rule,
  /*  195 */  _LShiftI_xRegI_immI_24_rule,
  /*  196 */  _LShiftI_xRegI_immI_16_rule,
  /*  197 */  _AndI__LoadI_memory__rRegI_rule,
  /*  198 */  _AndI_rRegI__LoadI_memory__rule,
  /*  199 */  _AndI__LoadI_memory__immI_rule,
  /*  200 */  _XorI_rRegI_immI_M1_rule,
  /*  201 */  _SubI_immI_0__LoadI_memory__rule,
  /*  202 */  _AddI_rRegI_immI_M1_rule,
  /*  203 */  _CastP2X_eRegP__rule,
  /*  204 */  _OrI__LoadI_memory__rRegI_rule,
  /*  205 */  _OrI_rRegI__LoadI_memory__rule,
  /*  206 */  _OrI__LoadI_memory__immI_rule,
  /*  207 */  _LShiftI_rRegI_immI_1_rule,
  /*  208 */  _URShiftI_rRegI_immI_M1_rule,
  /*  209 */  _LShiftI_rRegI_immI8_rule,
  /*  210 */  _URShiftI_rRegI_immI8_rule,
  /*  211 */  _LShiftI_ncxRegI_eCXRegI_rule,
  /*  212 */  _SubI_immI_0_eCXRegI_rule,
  /*  213 */  _URShiftI_ncxRegI__SubI_immI_0_eCXRegI_rule,
  /*  214 */  _SubI_immI_32_eCXRegI_rule,
  /*  215 */  _URShiftI_ncxRegI__SubI_immI_32_eCXRegI_rule,
  /*  216 */  _URShiftI_rRegI_immI_1_rule,
  /*  217 */  _LShiftI_rRegI_immI_M1_rule,
  /*  218 */  _URShiftI_ncxRegI_eCXRegI_rule,
  /*  219 */  _LShiftI_ncxRegI__SubI_immI_0_eCXRegI_rule,
  /*  220 */  _LShiftI_ncxRegI__SubI_immI_32_eCXRegI_rule,
  /*  221 */  _XorI__LoadI_memory__rRegI_rule,
  /*  222 */  _XorI_rRegI__LoadI_memory__rule,
  /*  223 */  _XorI__LoadI_memory__immI_rule,
  /*  224 */  _CmpLTMask_rRegI_rRegI_rule,
  /*  225 */  _AndI__CmpLTMask_rRegI_rRegI_rRegI_rule,
  /*  226 */  _SubI_rRegI_rRegI_rule,
  /*  227 */  _AndI_rRegI__CmpLTMask_rRegI_rRegI_rule,
  /*  228 */  _LoadL_load_long_memory__rule,
  /*  229 */  _XorL_eRegL_immL_M1_rule,
  /*  230 */  _SubL_immL0_eRegL_rule,
  /*  231 */  _SubL_immL0__LoadL_memory__rule,
  /*  232 */  _AddL_eRegL_immL_M1_rule,
  /*  233 */  _AddL__LoadL_memory__immL_M1_rule,
  /*  234 */  _LoadD_memory__rule,
  /*  235 */  _SubD_regDPR_regDPR_rule,
  /*  236 */  _AddD_regDPR_regDPR_rule,
  /*  237 */  _AddD__LoadD_memory__regDPR_rule,
  /*  238 */  _RoundDouble__AddD__LoadD_memory__regDPR__rule,
  /*  239 */  _AddD_regDPR__LoadD_memory__rule,
  /*  240 */  _RoundDouble__AddD_regDPR__LoadD_memory___rule,
  /*  241 */  _AddD_regDPR_immDPR_rule,
  /*  242 */  _MulD_regDPR_regDPR_rule,
  /*  243 */  _LoadF_memory__rule,
  /*  244 */  _MulF__LoadF_memory__regFPR_rule,
  /*  245 */  _MulF_regFPR__LoadF_memory__rule,
  /*  246 */  _MulF_regFPR_regFPR_rule,
  /*  247 */  _SubF_regFPR_regFPR_rule,
  /*  248 */  _ConvI2L_rRegI__rule,
  /*  249 */  _Binary_eDIRegP_eCXRegI_rule,
  /*  250 */  _Binary_eSIRegP_eDXRegI_rule,
  /*  251 */  _Binary_eDIRegP_eSIRegP_rule,
  /*  252 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  253 */  _Binary_eSIRegP_immI_rule,
  /*  254 */  _Binary_eSIRegP_eAXRegI_rule,
  /*  255 */  _AndI_rRegI_immI_rule,
  /*  256 */  _AndI_rRegI_memory_rule,
  /*  257 */  _LoadP_memory__rule,
  /*  258 */  _Binary_nadxRegI_eAXRegI_rule,
  /*  259 */  _PartialSubtypeCheck_eSIRegP_eAXRegP_rule,
  /*  260 */  _Binary_cmpOp_flagsReg_long_LTGE_rule,
  /*  261 */  _Binary_eRegL__LoadL_load_long_memory__rule,
  /*  262 */  _Binary_cmpOpU_flagsReg_ulong_LTGE_rule,
  /*  263 */  _Binary_cmpOp_flagsReg_long_EQNE_rule,
  /*  264 */  _Binary_cmpOpU_flagsReg_ulong_EQNE_rule,
  /*  265 */  _Binary_cmpOp_commute_flagsReg_long_LEGT_rule,
  /*  266 */  _Binary_cmpOpU_commute_flagsReg_ulong_LEGT_rule,
  /*  267 */  _ConvF2HF_regF__rule,
  /*  268 */  _VectorCastF2HF_vec__rule,
  /*  269 */  _LoadVector_memory__rule,
  /*  270 */  _Binary_vec_kReg_rule,
  /*  271 */  _Binary_rRegP_immI_0_rule,
  /*  272 */  _Binary_rRegP_rRegI_rule,
  /*  273 */  _Binary_vec_vec_rule,
  /*  274 */  _Binary_vec__Binary_vec_kReg_rule,
  /*  275 */  _Binary_vec_rRegI_rule,
  /*  276 */  _Binary_vec_regF_rule,
  /*  277 */  _Binary_vec__LoadVector_memory__rule,
  /*  278 */  _LShiftCntV_immI8__rule,
  /*  279 */  _RShiftCntV_immI8__rule,
  /*  280 */  _Binary_legVec_legVec_rule,
  /*  281 */  _MulAddVS2VI_vec_vec_rule,
  /*  282 */  _Binary_vec_immU8_rule,
  /*  283 */  _Binary__LoadVector_memory__immU8_rule,
  /*  284 */  _Binary_vec_immI8_rule,
  /*  285 */  _Binary_vec__LShiftCntV_immI8__rule,
  /*  286 */  _Binary_vec__RShiftCntV_immI8__rule,
  /*  287 */  _Binary__LoadVector_memory__kReg_rule,
  /*  288 */  _Binary_immI8_kReg_rule,
  /*  289 */  _Binary_immU8_kReg_rule,
  /*  290 */  _Binary_vec__Binary_immU8_kReg_rule,
  /*  291 */  _Binary_vec__Binary_vec__Binary_immU8_kReg_rule,
  /*  292 */  _Binary_memory__Binary_immU8_kReg_rule,
  /*  293 */  _Binary_vec__Binary_memory__Binary_immU8_kReg_rule,
  /*  294 */  _Binary_eAXRegP_eRegP_rule,
  // last internally defined operand
  /*  295 */  stackSlotI_rule,
  /*  296 */  stackSlotP_rule,
  /*  297 */  stackSlotL_rule,
  /*  298 */  legRegF_rule,
  /*  299 */  regF_rule,
  /*  300 */  vlRegF_rule,
  /*  301 */  regF_rule,
  /*  302 */  legRegD_rule,
  /*  303 */  regD_rule,
  /*  304 */  vlRegD_rule,
  /*  305 */  regD_rule,
  /*  306 */  eRegP_rule,
  /*  307 */  eRegP_rule,
  /*  308 */  eRegP_rule,
  /*  309 */  eRegP_rule,
  /*  310 */  eRegP_rule,
  /*  311 */  rRegI_rule,
  /*  312 */  rRegI_rule,
  /*  313 */  eRegP_rule,
  /*  314 */  eRegL_rule,
  /*  315 */  eRegL_rule,
  /*  316 */  regFPR_rule,
  /*  317 */  regFPR_rule,
  /*  318 */  regFPR_rule,
  /*  319 */  regF_rule,
  /*  320 */  regF_rule,
  /*  321 */  regDPR_rule,
  /*  322 */  regDPR_rule,
  /*  323 */  regDPR_rule,
  /*  324 */  regD_rule,
  /*  325 */  regD_rule,
  /*  326 */  rRegI_rule,
  /*  327 */  eRegL_rule,
  /*  328 */  eRegP_rule,
  /*  329 */  regFPR_rule,
  /*  330 */  regDPR_rule,
  /*  331 */  eADXRegL_low_only_rule,
  /*  332 */  legVec_rule,
  /*  333 */  vec_rule,
  /*  334 */  Universe_rule,
  /*  335 */  eAXRegP_rule,
  /*  336 */  rRegI_rule,
  /*  337 */  eRegP_rule,
  /*  338 */  eRegP_rule,
  /*  339 */  rRegI_rule,
  /*  340 */  eRegL_rule,
  /*  341 */  regF_rule,
  /*  342 */  regD_rule,
  /*  343 */  regFPR_rule,
  /*  344 */  regDPR_rule,
  /*  345 */  0,
  /*  346 */  0,
  /*  347 */  eFlagsReg_rule,
  /*  348 */  eFlagsReg_rule,
  /*  349 */  eFlagsReg_rule,
  /*  350 */  eFlagsReg_rule,
  /*  351 */  eFlagsReg_rule,
  /*  352 */  eFlagsReg_rule,
  /*  353 */  eFlagsReg_rule,
  /*  354 */  eFlagsRegU_rule,
  /*  355 */  eFlagsRegUCF_rule,
  /*  356 */  eFlagsRegU_rule,
  /*  357 */  eFlagsRegU_rule,
  /*  358 */  eFlagsRegUCF_rule,
  /*  359 */  eFlagsRegU_rule,
  /*  360 */  eFlagsRegUCF_rule,
  /*  361 */  regDPR1_rule,
  /*  362 */  regDPR1_rule,
  /*  363 */  eFlagsRegU_rule,
  /*  364 */  eFlagsRegUCF_rule,
  /*  365 */  eFlagsRegU_rule,
  /*  366 */  eFlagsRegU_rule,
  /*  367 */  eFlagsRegUCF_rule,
  /*  368 */  eFlagsRegU_rule,
  /*  369 */  eFlagsRegUCF_rule,
  /*  370 */  regFPR1_rule,
  /*  371 */  regFPR1_rule,
  /*  372 */  rRegI_rule,
  /*  373 */  rRegI_rule,
  /*  374 */  regFPR_rule,
  /*  375 */  regF_rule,
  /*  376 */  regF_rule,
  /*  377 */  eRegL_rule,
  /*  378 */  regDPR_rule,
  /*  379 */  regD_rule,
  /*  380 */  regD_rule,
  /*  381 */  eFlagsReg_rule,
  /*  382 */  eFlagsReg_rule,
  /*  383 */  eFlagsReg_rule,
  /*  384 */  eFlagsReg_rule,
  /*  385 */  eFlagsReg_rule,
  /*  386 */  eFlagsReg_rule,
  /*  387 */  eFlagsRegU_rule,
  /*  388 */  eFlagsRegU_rule,
  /*  389 */  eFlagsRegU_rule,
  /*  390 */  eFlagsRegU_rule,
  /*  391 */  eFlagsRegU_rule,
  /*  392 */  eFlagsRegU_rule,
  /*  393 */  eFlagsRegU_rule,
  /*  394 */  eFlagsRegU_rule,
  /*  395 */  eFlagsReg_rule,
  /*  396 */  eFlagsReg_rule,
  /*  397 */  eFlagsReg_rule,
  /*  398 */  flagsReg_long_LTGE_rule,
  /*  399 */  flagsReg_long_LTGE_rule,
  /*  400 */  flagsReg_ulong_LTGE_rule,
  /*  401 */  flagsReg_ulong_LTGE_rule,
  /*  402 */  flagsReg_long_EQNE_rule,
  /*  403 */  flagsReg_long_EQNE_rule,
  /*  404 */  flagsReg_ulong_EQNE_rule,
  /*  405 */  flagsReg_ulong_EQNE_rule,
  /*  406 */  flagsReg_long_LEGT_rule,
  /*  407 */  flagsReg_long_LEGT_rule,
  /*  408 */  flagsReg_ulong_LEGT_rule,
  /*  409 */  flagsReg_ulong_LEGT_rule,
  /*  410 */  eFlagsReg_rule,
  /*  411 */  eFlagsReg_rule,
  /*  412 */  eFlagsReg_rule,
  /*  413 */  eFlagsReg_rule,
  /*  414 */  regF_rule,
  /*  415 */  vlRegF_rule,
  /*  416 */  regD_rule,
  /*  417 */  vlRegD_rule,
  /*  418 */  regF_rule,
  /*  419 */  vlRegF_rule,
  /*  420 */  regD_rule,
  /*  421 */  vlRegD_rule,
  /*  422 */  vec_rule,
  /*  423 */  vlRegF_rule,
  /*  424 */  vec_rule,
  /*  425 */  vec_rule,
  /*  426 */  kReg_rule,
  /*  427 */  vec_rule,
  /*  428 */  legVec_rule,
  /*  429 */  legVec_rule,
  /*  430 */  vec_rule,
  /*  431 */  vec_rule,
  /*  432 */  vec_rule,
  /*  433 */  vec_rule,
  /*  434 */  vec_rule,
  /*  435 */  vec_rule,
  /*  436 */  vec_rule,
  /*  437 */  vec_rule,
  /*  438 */  vec_rule,
  /*  439 */  vec_rule,
  /*  440 */  vec_rule,
  /*  441 */  vec_rule,
  /*  442 */  vec_rule,
  /*  443 */  vec_rule,
  /*  444 */  vec_rule,
  /*  445 */  vec_rule,
  /*  446 */  vec_rule,
  /*  447 */  vec_rule,
  /*  448 */  vec_rule,
  /*  449 */  vec_rule,
  /*  450 */  vec_rule,
  /*  451 */  vec_rule,
  /*  452 */  vec_rule,
  /*  453 */  vec_rule,
  /*  454 */  vec_rule,
  /*  455 */  vec_rule,
  /*  456 */  vec_rule,
  /*  457 */  vec_rule,
  /*  458 */  vec_rule,
  /*  459 */  vec_rule,
  /*  460 */  vec_rule,
  /*  461 */  legVec_rule,
  /*  462 */  vec_rule,
  /*  463 */  vec_rule,
  /*  464 */  vec_rule,
  /*  465 */  vec_rule,
  /*  466 */  vec_rule,
  /*  467 */  vec_rule,
  /*  468 */  vec_rule,
  /*  469 */  vec_rule,
  /*  470 */  vec_rule,
  /*  471 */  vec_rule,
  /*  472 */  vec_rule,
  /*  473 */  vec_rule,
  /*  474 */  vec_rule,
  /*  475 */  vec_rule,
  /*  476 */  vec_rule,
  /*  477 */  vec_rule,
  /*  478 */  vec_rule,
  /*  479 */  vec_rule,
  /*  480 */  vec_rule,
  /*  481 */  vec_rule,
  /*  482 */  vec_rule,
  /*  483 */  kReg_rule,
  /*  484 */  vec_rule,
  /*  485 */  vec_rule,
  /*  486 */  vec_rule,
  /*  487 */  vec_rule,
  /*  488 */  vec_rule,
  /*  489 */  vec_rule,
  /*  490 */  vec_rule,
  /*  491 */  vec_rule,
  /*  492 */  vec_rule,
  /*  493 */  vec_rule,
  /*  494 */  kReg_rule,
  /*  495 */  vec_rule,
  /*  496 */  legVec_rule,
  /*  497 */  rRegI_rule,
  /*  498 */  eRegL_rule,
  /*  499 */  rRegI_rule,
  /*  500 */  rRegI_rule,
  /*  501 */  rRegI_rule,
  /*  502 */  rRegI_rule,
  /*  503 */  rRegI_rule,
  /*  504 */  rRegI_rule,
  /*  505 */  rRegI_rule,
  /*  506 */  rRegI_rule,
  /*  507 */  rRegI_rule,
  /*  508 */  rRegI_rule,
  /*  509 */  rRegI_rule,
  /*  510 */  rRegI_rule,
  /*  511 */  rRegI_rule,
  /*  512 */  rRegI_rule,
  /*  513 */  xRegI_rule,
  /*  514 */  eRegL_rule,
  /*  515 */  xRegI_rule,
  /*  516 */  eRegL_rule,
  /*  517 */  eRegL_rule,
  /*  518 */  rRegI_rule,
  /*  519 */  rRegI_rule,
  /*  520 */  eRegL_rule,
  /*  521 */  rRegI_rule,
  /*  522 */  rRegI_rule,
  /*  523 */  eRegL_rule,
  /*  524 */  eRegL_rule,
  /*  525 */  eRegL_rule,
  /*  526 */  rRegI_rule,
  /*  527 */  rRegI_rule,
  /*  528 */  rRegI_rule,
  /*  529 */  rRegI_rule,
  /*  530 */  rRegI_rule,
  /*  531 */  eRegL_rule,
  /*  532 */  eRegL_rule,
  /*  533 */  eRegL_rule,
  /*  534 */  eRegL_rule,
  /*  535 */  eRegL_rule,
  /*  536 */  eRegL_rule,
  /*  537 */  stackSlotL_rule,
  /*  538 */  stackSlotL_rule,
  /*  539 */  eRegL_rule,
  /*  540 */  rRegI_rule,
  /*  541 */  eRegP_rule,
  /*  542 */  eRegP_rule,
  /*  543 */  regDPR_rule,
  /*  544 */  regD_rule,
  /*  545 */  regD_rule,
  /*  546 */  regF_rule,
  /*  547 */  regFPR_rule,
  /*  548 */  Universe_rule,
  /*  549 */  Universe_rule,
  /*  550 */  Universe_rule,
  /*  551 */  Universe_rule,
  /*  552 */  Universe_rule,
  /*  553 */  Universe_rule,
  /*  554 */  Universe_rule,
  /*  555 */  Universe_rule,
  /*  556 */  Universe_rule,
  /*  557 */  Universe_rule,
  /*  558 */  Universe_rule,
  /*  559 */  Universe_rule,
  /*  560 */  Universe_rule,
  /*  561 */  Universe_rule,
  /*  562 */  Universe_rule,
  /*  563 */  Universe_rule,
  /*  564 */  Universe_rule,
  /*  565 */  Universe_rule,
  /*  566 */  Universe_rule,
  /*  567 */  Universe_rule,
  /*  568 */  Universe_rule,
  /*  569 */  Universe_rule,
  /*  570 */  Universe_rule,
  /*  571 */  Universe_rule,
  /*  572 */  Universe_rule,
  /*  573 */  Universe_rule,
  /*  574 */  Universe_rule,
  /*  575 */  Universe_rule,
  /*  576 */  Universe_rule,
  /*  577 */  Universe_rule,
  /*  578 */  Universe_rule,
  /*  579 */  Universe_rule,
  /*  580 */  Universe_rule,
  /*  581 */  Universe_rule,
  /*  582 */  Universe_rule,
  /*  583 */  Universe_rule,
  /*  584 */  rRegI_rule,
  /*  585 */  rRegI_rule,
  /*  586 */  rRegI_rule,
  /*  587 */  rRegI_rule,
  /*  588 */  rRegI_rule,
  /*  589 */  rRegI_rule,
  /*  590 */  rRegI_rule,
  /*  591 */  rRegI_rule,
  /*  592 */  eRegP_rule,
  /*  593 */  eRegP_rule,
  /*  594 */  eRegP_rule,
  /*  595 */  eRegP_rule,
  /*  596 */  regDPR1_rule,
  /*  597 */  regFPR1_rule,
  /*  598 */  regDPR_rule,
  /*  599 */  regFPR_rule,
  /*  600 */  regF_rule,
  /*  601 */  regD_rule,
  /*  602 */  regF_rule,
  /*  603 */  regF_rule,
  /*  604 */  regD_rule,
  /*  605 */  regD_rule,
  /*  606 */  eRegL_rule,
  /*  607 */  eRegL_rule,
  /*  608 */  eRegL_rule,
  /*  609 */  rRegI_rule,
  /*  610 */  rRegI_rule,
  /*  611 */  rRegI_rule,
  /*  612 */  rRegI_rule,
  /*  613 */  eRegP_rule,
  /*  614 */  rRegI_rule,
  /*  615 */  eRegP_rule,
  /*  616 */  eRegP_rule,
  /*  617 */  rRegI_rule,
  /*  618 */  rRegI_rule,
  /*  619 */  Universe_rule,
  /*  620 */  Universe_rule,
  /*  621 */  Universe_rule,
  /*  622 */  Universe_rule,
  /*  623 */  Universe_rule,
  /*  624 */  rRegI_rule,
  /*  625 */  rRegI_rule,
  /*  626 */  rRegI_rule,
  /*  627 */  rRegI_rule,
  /*  628 */  rRegI_rule,
  /*  629 */  rRegI_rule,
  /*  630 */  rRegI_rule,
  /*  631 */  rRegI_rule,
  /*  632 */  rRegI_rule,
  /*  633 */  rRegI_rule,
  /*  634 */  eADXRegL_rule,
  /*  635 */  eAXRegP_rule,
  /*  636 */  eAXRegI_rule,
  /*  637 */  eAXRegI_rule,
  /*  638 */  eAXRegI_rule,
  /*  639 */  Universe_rule,
  /*  640 */  xRegI_rule,
  /*  641 */  Universe_rule,
  /*  642 */  rRegI_rule,
  /*  643 */  Universe_rule,
  /*  644 */  rRegI_rule,
  /*  645 */  xRegI_rule,
  /*  646 */  rRegI_rule,
  /*  647 */  rRegI_rule,
  /*  648 */  pRegP_rule,
  /*  649 */  rRegI_rule,
  /*  650 */  rRegI_rule,
  /*  651 */  rRegI_rule,
  /*  652 */  Universe_rule,
  /*  653 */  eRegP_rule,
  /*  654 */  rRegI_rule,
  /*  655 */  rRegI_rule,
  /*  656 */  rRegI_rule,
  /*  657 */  eDXRegI_rule,
  /*  658 */  eDXRegI_rule,
  /*  659 */  eDXRegI_rule,
  /*  660 */  eDXRegI_rule,
  /*  661 */  rRegI_rule,
  /*  662 */  rRegI_rule,
  /*  663 */  rRegI_rule,
  /*  664 */  rRegI_rule,
  /*  665 */  eADXRegL_rule,
  /*  666 */  eADXRegL_rule,
  /*  667 */  eADXRegL_rule,
  /*  668 */  eADXRegL_rule,
  /*  669 */  eADXRegL_rule,
  /*  670 */  eADXRegL_rule,
  /*  671 */  eADXRegL_rule,
  /*  672 */  eADXRegL_rule,
  /*  673 */  eADXRegL_rule,
  /*  674 */  eAXRegI_rule,
  /*  675 */  eADXRegL_rule,
  /*  676 */  Universe_rule,
  /*  677 */  eDXRegI_rule,
  /*  678 */  eADXRegL_rule,
  /*  679 */  eADXRegL_rule,
  /*  680 */  eADXRegL_rule,
  /*  681 */  rRegI_rule,
  /*  682 */  rRegI_rule,
  /*  683 */  rRegI_rule,
  /*  684 */  rRegI_rule,
  /*  685 */  Universe_rule,
  /*  686 */  rRegI_rule,
  /*  687 */  Universe_rule,
  /*  688 */  rRegI_rule,
  /*  689 */  rRegI_rule,
  /*  690 */  rRegI_rule,
  /*  691 */  rRegI_rule,
  /*  692 */  rRegI_rule,
  /*  693 */  rRegI_rule,
  /*  694 */  rRegI_rule,
  /*  695 */  rRegI_rule,
  /*  696 */  rRegI_rule,
  /*  697 */  rRegI_rule,
  /*  698 */  Universe_rule,
  /*  699 */  Universe_rule,
  /*  700 */  Universe_rule,
  /*  701 */  rRegI_rule,
  /*  702 */  rRegI_rule,
  /*  703 */  rRegI_rule,
  /*  704 */  rRegI_rule,
  /*  705 */  rRegI_rule,
  /*  706 */  rRegI_rule,
  /*  707 */  rRegI_rule,
  /*  708 */  rRegI_rule,
  /*  709 */  rRegI_rule,
  /*  710 */  rRegI_rule,
  /*  711 */  rRegI_rule,
  /*  712 */  rRegI_rule,
  /*  713 */  rRegI_rule,
  /*  714 */  rRegI_rule,
  /*  715 */  rRegI_rule,
  /*  716 */  rRegI_rule,
  /*  717 */  rRegI_rule,
  /*  718 */  rRegI_rule,
  /*  719 */  rRegI_rule,
  /*  720 */  rRegI_rule,
  /*  721 */  rRegI_rule,
  /*  722 */  rRegI_rule,
  /*  723 */  Universe_rule,
  /*  724 */  Universe_rule,
  /*  725 */  Universe_rule,
  /*  726 */  0,
  /*  727 */  0,
  /*  728 */  0,
  /*  729 */  rRegI_rule,
  /*  730 */  rRegI_rule,
  /*  731 */  rRegI_rule,
  /*  732 */  rRegI_rule,
  /*  733 */  ncxRegI_rule,
  /*  734 */  ncxRegI_rule,
  /*  735 */  ncxRegI_rule,
  /*  736 */  ncxRegI_rule,
  /*  737 */  0,
  /*  738 */  0,
  /*  739 */  0,
  /*  740 */  rRegI_rule,
  /*  741 */  rRegI_rule,
  /*  742 */  rRegI_rule,
  /*  743 */  rRegI_rule,
  /*  744 */  ncxRegI_rule,
  /*  745 */  ncxRegI_rule,
  /*  746 */  ncxRegI_rule,
  /*  747 */  ncxRegI_rule,
  /*  748 */  rRegI_rule,
  /*  749 */  rRegI_rule,
  /*  750 */  rRegI_rule,
  /*  751 */  rRegI_rule,
  /*  752 */  rRegI_rule,
  /*  753 */  Universe_rule,
  /*  754 */  Universe_rule,
  /*  755 */  Universe_rule,
  /*  756 */  0,
  /*  757 */  rRegI_rule,
  /*  758 */  0,
  /*  759 */  rRegI_rule,
  /*  760 */  eCXRegI_rule,
  /*  761 */  rRegI_rule,
  /*  762 */  rRegI_rule,
  /*  763 */  rRegI_rule,
  /*  764 */  rRegI_rule,
  /*  765 */  rRegI_rule,
  /*  766 */  rRegI_rule,
  /*  767 */  rRegI_rule,
  /*  768 */  rRegI_rule,
  /*  769 */  eRegL_rule,
  /*  770 */  eRegL_rule,
  /*  771 */  eRegL_rule,
  /*  772 */  eRegL_rule,
  /*  773 */  eRegL_rule,
  /*  774 */  eRegL_rule,
  /*  775 */  eRegL_rule,
  /*  776 */  eRegL_rule,
  /*  777 */  eRegL_rule,
  /*  778 */  eRegL_rule,
  /*  779 */  eRegL_rule,
  /*  780 */  eRegL_rule,
  /*  781 */  eRegL_rule,
  /*  782 */  eRegL_rule,
  /*  783 */  eRegL_rule,
  /*  784 */  eRegL_rule,
  /*  785 */  eRegL_rule,
  /*  786 */  eRegL_rule,
  /*  787 */  eRegL_rule,
  /*  788 */  eRegL_rule,
  /*  789 */  eRegL_rule,
  /*  790 */  eRegL_rule,
  /*  791 */  eRegL_rule,
  /*  792 */  eRegL_rule,
  /*  793 */  eRegL_rule,
  /*  794 */  eRegL_rule,
  /*  795 */  eRegL_rule,
  /*  796 */  eRegL_rule,
  /*  797 */  eRegL_rule,
  /*  798 */  eRegL_rule,
  /*  799 */  eRegL_rule,
  /*  800 */  eRegL_rule,
  /*  801 */  eRegL_rule,
  /*  802 */  eRegL_rule,
  /*  803 */  eRegL_rule,
  /*  804 */  eRegL_rule,
  /*  805 */  eRegL_rule,
  /*  806 */  eRegL_rule,
  /*  807 */  eRegL_rule,
  /*  808 */  eRegL_rule,
  /*  809 */  eRegL_rule,
  /*  810 */  eRegL_rule,
  /*  811 */  eRegL_rule,
  /*  812 */  eRegL_rule,
  /*  813 */  eRegL_rule,
  /*  814 */  eRegL_rule,
  /*  815 */  eRegL_rule,
  /*  816 */  eRegL_rule,
  /*  817 */  eRegL_rule,
  /*  818 */  rRegI_rule,
  /*  819 */  rRegI_rule,
  /*  820 */  xRegI_rule,
  /*  821 */  xRegI_rule,
  /*  822 */  regDPR_rule,
  /*  823 */  stackSlotD_rule,
  /*  824 */  regDPR_rule,
  /*  825 */  regDPR_rule,
  /*  826 */  stackSlotD_rule,
  /*  827 */  regDPR_rule,
  /*  828 */  regDPR_rule,
  /*  829 */  Universe_rule,
  /*  830 */  Universe_rule,
  /*  831 */  regDPR_rule,
  /*  832 */  regDPR_rule,
  /*  833 */  stackSlotD_rule,
  /*  834 */  regDPR_rule,
  /*  835 */  regDPR1_rule,
  /*  836 */  regDPR_rule,
  /*  837 */  regDPR_rule,
  /*  838 */  regDPR_rule,
  /*  839 */  regDPR_rule,
  /*  840 */  regDPR_rule,
  /*  841 */  regDPR_rule,
  /*  842 */  regDPR_rule,
  /*  843 */  regDPR_rule,
  /*  844 */  regDPR_rule,
  /*  845 */  regDPR1_rule,
  /*  846 */  regDPR_rule,
  /*  847 */  regD_rule,
  /*  848 */  regDPR_rule,
  /*  849 */  regD_rule,
  /*  850 */  regDPR_rule,
  /*  851 */  rRegI_rule,
  /*  852 */  rRegI_rule,
  /*  853 */  xRegI_rule,
  /*  854 */  xRegI_rule,
  /*  855 */  stackSlotF_rule,
  /*  856 */  regFPR_rule,
  /*  857 */  stackSlotF_rule,
  /*  858 */  regFPR_rule,
  /*  859 */  stackSlotF_rule,
  /*  860 */  stackSlotF_rule,
  /*  861 */  regFPR_rule,
  /*  862 */  regFPR_rule,
  /*  863 */  stackSlotF_rule,
  /*  864 */  stackSlotF_rule,
  /*  865 */  stackSlotF_rule,
  /*  866 */  stackSlotF_rule,
  /*  867 */  stackSlotF_rule,
  /*  868 */  regFPR_rule,
  /*  869 */  stackSlotF_rule,
  /*  870 */  regFPR_rule,
  /*  871 */  stackSlotF_rule,
  /*  872 */  stackSlotF_rule,
  /*  873 */  regFPR_rule,
  /*  874 */  regFPR_rule,
  /*  875 */  stackSlotF_rule,
  /*  876 */  stackSlotF_rule,
  /*  877 */  regFPR_rule,
  /*  878 */  regFPR_rule,
  /*  879 */  regFPR_rule,
  /*  880 */  regFPR_rule,
  /*  881 */  regFPR_rule,
  /*  882 */  regFPR_rule,
  /*  883 */  regFPR_rule,
  /*  884 */  regFPR_rule,
  /*  885 */  regFPR_rule,
  /*  886 */  regFPR_rule,
  /*  887 */  stackSlotF_rule,
  /*  888 */  regFPR_rule,
  /*  889 */  stackSlotF_rule,
  /*  890 */  regFPR_rule,
  /*  891 */  regF_rule,
  /*  892 */  stackSlotF_rule,
  /*  893 */  stackSlotD_rule,
  /*  894 */  stackSlotF_rule,
  /*  895 */  regF_rule,
  /*  896 */  regF_rule,
  /*  897 */  regDPR_rule,
  /*  898 */  stackSlotD_rule,
  /*  899 */  regDPR_rule,
  /*  900 */  regD_rule,
  /*  901 */  eAXRegI_rule,
  /*  902 */  eAXRegI_rule,
  /*  903 */  eADXRegL_rule,
  /*  904 */  eADXRegL_rule,
  /*  905 */  eAXRegI_rule,
  /*  906 */  eAXRegI_rule,
  /*  907 */  eADXRegL_rule,
  /*  908 */  eADXRegL_rule,
  /*  909 */  regDPR_rule,
  /*  910 */  regD_rule,
  /*  911 */  regD_rule,
  /*  912 */  regD_rule,
  /*  913 */  regDPR_rule,
  /*  914 */  regFPR_rule,
  /*  915 */  stackSlotF_rule,
  /*  916 */  stackSlotF_rule,
  /*  917 */  regFPR_rule,
  /*  918 */  regFPR_rule,
  /*  919 */  regF_rule,
  /*  920 */  regF_rule,
  /*  921 */  eRegL_rule,
  /*  922 */  eRegL_rule,
  /*  923 */  eRegL_rule,
  /*  924 */  stackSlotD_rule,
  /*  925 */  regD_rule,
  /*  926 */  regF_rule,
  /*  927 */  stackSlotF_rule,
  /*  928 */  rRegI_rule,
  /*  929 */  stackSlotI_rule,
  /*  930 */  stackSlotI_rule,
  /*  931 */  stackSlotF_rule,
  /*  932 */  stackSlotL_rule,
  /*  933 */  stackSlotL_rule,
  /*  934 */  eRegL_rule,
  /*  935 */  stackSlotD_rule,
  /*  936 */  regD_rule,
  /*  937 */  eADXRegL_rule,
  /*  938 */  eADXRegL_rule,
  /*  939 */  Universe_rule,
  /*  940 */  Universe_rule,
  /*  941 */  Universe_rule,
  /*  942 */  Universe_rule,
  /*  943 */  Universe_rule,
  /*  944 */  eAXRegI_rule,
  /*  945 */  eAXRegI_rule,
  /*  946 */  eAXRegI_rule,
  /*  947 */  eAXRegI_rule,
  /*  948 */  eAXRegI_rule,
  /*  949 */  eAXRegI_rule,
  /*  950 */  eAXRegI_rule,
  /*  951 */  eAXRegI_rule,
  /*  952 */  eAXRegI_rule,
  /*  953 */  eAXRegI_rule,
  /*  954 */  eBXRegI_rule,
  /*  955 */  eBXRegI_rule,
  /*  956 */  eBXRegI_rule,
  /*  957 */  eBXRegI_rule,
  /*  958 */  eBXRegI_rule,
  /*  959 */  eBXRegI_rule,
  /*  960 */  eBXRegI_rule,
  /*  961 */  eBXRegI_rule,
  /*  962 */  eAXRegI_rule,
  /*  963 */  eAXRegI_rule,
  /*  964 */  eAXRegI_rule,
  /*  965 */  eAXRegI_rule,
  /*  966 */  eAXRegI_rule,
  /*  967 */  eAXRegI_rule,
  /*  968 */  eAXRegI_rule,
  /*  969 */  eAXRegI_rule,
  /*  970 */  Universe_rule,
  /*  971 */  Universe_rule,
  /*  972 */  eAXRegI_rule,
  /*  973 */  eAXRegI_rule,
  /*  974 */  rRegI_rule,
  /*  975 */  rRegI_rule,
  /*  976 */  eAXRegI_rule,
  /*  977 */  Universe_rule,
  /*  978 */  Universe_rule,
  /*  979 */  Universe_rule,
  /*  980 */  Universe_rule,
  /*  981 */  Universe_rule,
  /*  982 */  Universe_rule,
  /*  983 */  Universe_rule,
  /*  984 */  eDIRegP_rule,
  /*  985 */  Universe_rule,
  /*  986 */  Universe_rule,
  /*  987 */  Universe_rule,
  /*  988 */  Universe_rule,
  /*  989 */  Universe_rule,
  /*  990 */  Universe_rule,
  /*  991 */  eSIRegI_rule,
  /*  992 */  Universe_rule,
  /*  993 */  Universe_rule,
  /*  994 */  eRegL_rule,
  /*  995 */  eRegL_rule,
  /*  996 */  eRegL_rule,
  /*  997 */  eRegL_rule,
  /*  998 */  rRegI_rule,
  /*  999 */  rRegI_rule,
  /* 1000 */  rRegI_rule,
  /* 1001 */  rRegI_rule,
  /* 1002 */  eRegP_rule,
  /* 1003 */  eRegP_rule,
  /* 1004 */  regDPR_rule,
  /* 1005 */  regD_rule,
  /* 1006 */  regFPR_rule,
  /* 1007 */  regF_rule,
  /* 1008 */  Universe_rule,
  /* 1009 */  Universe_rule,
  /* 1010 */  eRegL_rule,
  /* 1011 */  eRegL_rule,
  /* 1012 */  rRegI_rule,
  /* 1013 */  rRegI_rule,
  /* 1014 */  rRegI_rule,
  /* 1015 */  rRegI_rule,
  /* 1016 */  eRegP_rule,
  /* 1017 */  eRegP_rule,
  /* 1018 */  regDPR_rule,
  /* 1019 */  regD_rule,
  /* 1020 */  regFPR_rule,
  /* 1021 */  regF_rule,
  /* 1022 */  Universe_rule,
  /* 1023 */  Universe_rule,
  /* 1024 */  eRegL_rule,
  /* 1025 */  eRegL_rule,
  /* 1026 */  eRegL_rule,
  /* 1027 */  eRegL_rule,
  /* 1028 */  rRegI_rule,
  /* 1029 */  rRegI_rule,
  /* 1030 */  rRegI_rule,
  /* 1031 */  rRegI_rule,
  /* 1032 */  eRegP_rule,
  /* 1033 */  eRegP_rule,
  /* 1034 */  regDPR_rule,
  /* 1035 */  regD_rule,
  /* 1036 */  regFPR_rule,
  /* 1037 */  regF_rule,
  /* 1038 */  Universe_rule,
  /* 1039 */  Universe_rule,
  /* 1040 */  Universe_rule,
  /* 1041 */  Universe_rule,
  /* 1042 */  Universe_rule,
  /* 1043 */  Universe_rule,
  /* 1044 */  Universe_rule,
  /* 1045 */  Universe_rule,
  /* 1046 */  Universe_rule,
  /* 1047 */  eAXRegP_rule,
  /* 1048 */  Universe_rule,
  /* 1049 */  kReg_rule,
  /* 1050 */  kReg_rule,
  /* 1051 */  kReg_rule,
  /* 1052 */  Universe_rule,
  /* 1053 */  eRegP_rule,
  /* 1054 */  Universe_rule,
  /* 1055 */  regF_rule,
  /* 1056 */  regF_rule,
  /* 1057 */  regF_rule,
  /* 1058 */  regF_rule,
  /* 1059 */  regF_rule,
  /* 1060 */  regF_rule,
  /* 1061 */  regF_rule,
  /* 1062 */  regF_rule,
  /* 1063 */  regD_rule,
  /* 1064 */  regD_rule,
  /* 1065 */  regD_rule,
  /* 1066 */  regD_rule,
  /* 1067 */  regD_rule,
  /* 1068 */  regD_rule,
  /* 1069 */  regD_rule,
  /* 1070 */  regD_rule,
  /* 1071 */  regF_rule,
  /* 1072 */  regF_rule,
  /* 1073 */  regF_rule,
  /* 1074 */  regF_rule,
  /* 1075 */  regF_rule,
  /* 1076 */  regF_rule,
  /* 1077 */  regD_rule,
  /* 1078 */  regD_rule,
  /* 1079 */  regD_rule,
  /* 1080 */  regD_rule,
  /* 1081 */  regD_rule,
  /* 1082 */  regD_rule,
  /* 1083 */  regF_rule,
  /* 1084 */  regF_rule,
  /* 1085 */  regF_rule,
  /* 1086 */  regF_rule,
  /* 1087 */  regF_rule,
  /* 1088 */  regF_rule,
  /* 1089 */  regF_rule,
  /* 1090 */  regF_rule,
  /* 1091 */  regD_rule,
  /* 1092 */  regD_rule,
  /* 1093 */  regD_rule,
  /* 1094 */  regD_rule,
  /* 1095 */  regD_rule,
  /* 1096 */  regD_rule,
  /* 1097 */  regD_rule,
  /* 1098 */  regD_rule,
  /* 1099 */  regF_rule,
  /* 1100 */  regF_rule,
  /* 1101 */  regF_rule,
  /* 1102 */  regF_rule,
  /* 1103 */  regF_rule,
  /* 1104 */  regF_rule,
  /* 1105 */  regD_rule,
  /* 1106 */  regD_rule,
  /* 1107 */  regD_rule,
  /* 1108 */  regD_rule,
  /* 1109 */  regD_rule,
  /* 1110 */  regD_rule,
  /* 1111 */  regF_rule,
  /* 1112 */  regD_rule,
  /* 1113 */  rRegI_rule,
  /* 1114 */  Universe_rule,
  /* 1115 */  Universe_rule,
  /* 1116 */  kReg_rule,
  /* 1117 */  kReg_rule,
  /* 1118 */  kReg_rule,
  /* 1119 */  vec_rule,
  /* 1120 */  Universe_rule,
  /* 1121 */  regD_rule,
  /* 1122 */  regF_rule,
  /* 1123 */  vec_rule,
  /* 1124 */  Universe_rule,
  /* 1125 */  legVec_rule,
  /* 1126 */  vec_rule,
  /* 1127 */  vec_rule,
  /* 1128 */  vec_rule,
  /* 1129 */  vec_rule,
  /* 1130 */  vec_rule,
  /* 1131 */  vec_rule,
  /* 1132 */  Universe_rule,
  /* 1133 */  Universe_rule,
  /* 1134 */  vec_rule,
  /* 1135 */  legVec_rule,
  /* 1136 */  vec_rule,
  /* 1137 */  vec_rule,
  /* 1138 */  vec_rule,
  /* 1139 */  vec_rule,
  /* 1140 */  vec_rule,
  /* 1141 */  rRegI_rule,
  /* 1142 */  rRegI_rule,
  /* 1143 */  rRegI_rule,
  /* 1144 */  rRegI_rule,
  /* 1145 */  rRegI_rule,
  /* 1146 */  rRegI_rule,
  /* 1147 */  rRegI_rule,
  /* 1148 */  regF_rule,
  /* 1149 */  regF_rule,
  /* 1150 */  regF_rule,
  /* 1151 */  regF_rule,
  /* 1152 */  regF_rule,
  /* 1153 */  regF_rule,
  /* 1154 */  regF_rule,
  /* 1155 */  regF_rule,
  /* 1156 */  regF_rule,
  /* 1157 */  regF_rule,
  /* 1158 */  regF_rule,
  /* 1159 */  regF_rule,
  /* 1160 */  regF_rule,
  /* 1161 */  regF_rule,
  /* 1162 */  regD_rule,
  /* 1163 */  regD_rule,
  /* 1164 */  regD_rule,
  /* 1165 */  regD_rule,
  /* 1166 */  regD_rule,
  /* 1167 */  regD_rule,
  /* 1168 */  regD_rule,
  /* 1169 */  regD_rule,
  /* 1170 */  regD_rule,
  /* 1171 */  regD_rule,
  /* 1172 */  regD_rule,
  /* 1173 */  regD_rule,
  /* 1174 */  rRegI_rule,
  /* 1175 */  rRegI_rule,
  /* 1176 */  rRegI_rule,
  /* 1177 */  rRegI_rule,
  /* 1178 */  rRegI_rule,
  /* 1179 */  rRegI_rule,
  /* 1180 */  rRegI_rule,
  /* 1181 */  rRegI_rule,
  /* 1182 */  rRegI_rule,
  /* 1183 */  legRegF_rule,
  /* 1184 */  legRegF_rule,
  /* 1185 */  legRegF_rule,
  /* 1186 */  legRegF_rule,
  /* 1187 */  legRegF_rule,
  /* 1188 */  legRegF_rule,
  /* 1189 */  legRegF_rule,
  /* 1190 */  legRegF_rule,
  /* 1191 */  legRegD_rule,
  /* 1192 */  legRegD_rule,
  /* 1193 */  legRegD_rule,
  /* 1194 */  legRegD_rule,
  /* 1195 */  legRegD_rule,
  /* 1196 */  legRegD_rule,
  /* 1197 */  legRegD_rule,
  /* 1198 */  legRegD_rule,
  /* 1199 */  vec_rule,
  /* 1200 */  vec_rule,
  /* 1201 */  vec_rule,
  /* 1202 */  vec_rule,
  /* 1203 */  vec_rule,
  /* 1204 */  vec_rule,
  /* 1205 */  vec_rule,
  /* 1206 */  vec_rule,
  /* 1207 */  vec_rule,
  /* 1208 */  vec_rule,
  /* 1209 */  vec_rule,
  /* 1210 */  vec_rule,
  /* 1211 */  vec_rule,
  /* 1212 */  vec_rule,
  /* 1213 */  vec_rule,
  /* 1214 */  vec_rule,
  /* 1215 */  vec_rule,
  /* 1216 */  vec_rule,
  /* 1217 */  vec_rule,
  /* 1218 */  vec_rule,
  /* 1219 */  vec_rule,
  /* 1220 */  vec_rule,
  /* 1221 */  vec_rule,
  /* 1222 */  vec_rule,
  /* 1223 */  vec_rule,
  /* 1224 */  vec_rule,
  /* 1225 */  vec_rule,
  /* 1226 */  vec_rule,
  /* 1227 */  vec_rule,
  /* 1228 */  vec_rule,
  /* 1229 */  vec_rule,
  /* 1230 */  vec_rule,
  /* 1231 */  vec_rule,
  /* 1232 */  vec_rule,
  /* 1233 */  vec_rule,
  /* 1234 */  vec_rule,
  /* 1235 */  vec_rule,
  /* 1236 */  vec_rule,
  /* 1237 */  vec_rule,
  /* 1238 */  vec_rule,
  /* 1239 */  vec_rule,
  /* 1240 */  vec_rule,
  /* 1241 */  vec_rule,
  /* 1242 */  vec_rule,
  /* 1243 */  vec_rule,
  /* 1244 */  vec_rule,
  /* 1245 */  vec_rule,
  /* 1246 */  vec_rule,
  /* 1247 */  vec_rule,
  /* 1248 */  vec_rule,
  /* 1249 */  vec_rule,
  /* 1250 */  vec_rule,
  /* 1251 */  vec_rule,
  /* 1252 */  vec_rule,
  /* 1253 */  vec_rule,
  /* 1254 */  vec_rule,
  /* 1255 */  vec_rule,
  /* 1256 */  vec_rule,
  /* 1257 */  vec_rule,
  /* 1258 */  vec_rule,
  /* 1259 */  vec_rule,
  /* 1260 */  vec_rule,
  /* 1261 */  vec_rule,
  /* 1262 */  vec_rule,
  /* 1263 */  vec_rule,
  /* 1264 */  vec_rule,
  /* 1265 */  vec_rule,
  /* 1266 */  vec_rule,
  /* 1267 */  vec_rule,
  /* 1268 */  vec_rule,
  /* 1269 */  vec_rule,
  /* 1270 */  vec_rule,
  /* 1271 */  vec_rule,
  /* 1272 */  vec_rule,
  /* 1273 */  vec_rule,
  /* 1274 */  vec_rule,
  /* 1275 */  vec_rule,
  /* 1276 */  vec_rule,
  /* 1277 */  vec_rule,
  /* 1278 */  vec_rule,
  /* 1279 */  legVec_rule,
  /* 1280 */  legVec_rule,
  /* 1281 */  vec_rule,
  /* 1282 */  vec_rule,
  /* 1283 */  legVec_rule,
  /* 1284 */  legVec_rule,
  /* 1285 */  vec_rule,
  /* 1286 */  vec_rule,
  /* 1287 */  vec_rule,
  /* 1288 */  vec_rule,
  /* 1289 */  vec_rule,
  /* 1290 */  vec_rule,
  /* 1291 */  vec_rule,
  /* 1292 */  vec_rule,
  /* 1293 */  vec_rule,
  /* 1294 */  vec_rule,
  /* 1295 */  vec_rule,
  /* 1296 */  vec_rule,
  /* 1297 */  regF_rule,
  /* 1298 */  regD_rule,
  /* 1299 */  vec_rule,
  /* 1300 */  vec_rule,
  /* 1301 */  vec_rule,
  /* 1302 */  vec_rule,
  /* 1303 */  rRegI_rule,
  /* 1304 */  rRegI_rule,
  /* 1305 */  rRegI_rule,
  /* 1306 */  rRegI_rule,
  /* 1307 */  vec_rule,
  /* 1308 */  vec_rule,
  /* 1309 */  vec_rule,
  /* 1310 */  vec_rule,
  /* 1311 */  vec_rule,
  /* 1312 */  vec_rule,
  /* 1313 */  vec_rule,
  /* 1314 */  vec_rule,
  /* 1315 */  vec_rule,
  /* 1316 */  vec_rule,
  /* 1317 */  vec_rule,
  /* 1318 */  vec_rule,
  /* 1319 */  vec_rule,
  /* 1320 */  vec_rule,
  /* 1321 */  vec_rule,
  /* 1322 */  vec_rule,
  /* 1323 */  vec_rule,
  /* 1324 */  vec_rule,
  /* 1325 */  vec_rule,
  /* 1326 */  vec_rule,
  /* 1327 */  vec_rule,
  /* 1328 */  vec_rule,
  /* 1329 */  vec_rule,
  /* 1330 */  vec_rule,
  /* 1331 */  vec_rule,
  /* 1332 */  vec_rule,
  /* 1333 */  vec_rule,
  /* 1334 */  vec_rule,
  /* 1335 */  vec_rule,
  /* 1336 */  vec_rule,
  /* 1337 */  vec_rule,
  /* 1338 */  vec_rule,
  /* 1339 */  vec_rule,
  /* 1340 */  vec_rule,
  /* 1341 */  vec_rule,
  /* 1342 */  vec_rule,
  /* 1343 */  vec_rule,
  /* 1344 */  vec_rule,
  /* 1345 */  vec_rule,
  /* 1346 */  vec_rule,
  /* 1347 */  vec_rule,
  /* 1348 */  vec_rule,
  /* 1349 */  vec_rule,
  /* 1350 */  vec_rule,
  /* 1351 */  vec_rule,
  /* 1352 */  vec_rule,
  /* 1353 */  vec_rule,
  /* 1354 */  vec_rule,
  /* 1355 */  vec_rule,
  /* 1356 */  vec_rule,
  /* 1357 */  vec_rule,
  /* 1358 */  vec_rule,
  /* 1359 */  vec_rule,
  /* 1360 */  vec_rule,
  /* 1361 */  vec_rule,
  /* 1362 */  vec_rule,
  /* 1363 */  vec_rule,
  /* 1364 */  vec_rule,
  /* 1365 */  vec_rule,
  /* 1366 */  vec_rule,
  /* 1367 */  vec_rule,
  /* 1368 */  vec_rule,
  /* 1369 */  vec_rule,
  /* 1370 */  vec_rule,
  /* 1371 */  vec_rule,
  /* 1372 */  vec_rule,
  /* 1373 */  vec_rule,
  /* 1374 */  vec_rule,
  /* 1375 */  vec_rule,
  /* 1376 */  vec_rule,
  /* 1377 */  vec_rule,
  /* 1378 */  vec_rule,
  /* 1379 */  vec_rule,
  /* 1380 */  vec_rule,
  /* 1381 */  vec_rule,
  /* 1382 */  vec_rule,
  /* 1383 */  vec_rule,
  /* 1384 */  vec_rule,
  /* 1385 */  vec_rule,
  /* 1386 */  legVec_rule,
  /* 1387 */  vec_rule,
  /* 1388 */  kReg_rule,
  /* 1389 */  legVec_rule,
  /* 1390 */  legVec_rule,
  /* 1391 */  legVec_rule,
  /* 1392 */  vec_rule,
  /* 1393 */  kReg_rule,
  /* 1394 */  rRegI_rule,
  /* 1395 */  rRegI_rule,
  /* 1396 */  rRegI_rule,
  /* 1397 */  rRegI_rule,
  /* 1398 */  legRegF_rule,
  /* 1399 */  legRegF_rule,
  /* 1400 */  legRegD_rule,
  /* 1401 */  legRegD_rule,
  /* 1402 */  vec_rule,
  /* 1403 */  legVec_rule,
  /* 1404 */  legVec_rule,
  /* 1405 */  legVec_rule,
  /* 1406 */  vec_rule,
  /* 1407 */  vec_rule,
  /* 1408 */  legVec_rule,
  /* 1409 */  kReg_rule,
  /* 1410 */  kReg_rule,
  /* 1411 */  vec_rule,
  /* 1412 */  vec_rule,
  /* 1413 */  vec_rule,
  /* 1414 */  vec_rule,
  /* 1415 */  vec_rule,
  /* 1416 */  vec_rule,
  /* 1417 */  vec_rule,
  /* 1418 */  vec_rule,
  /* 1419 */  vec_rule,
  /* 1420 */  vec_rule,
  /* 1421 */  legVec_rule,
  /* 1422 */  vec_rule,
  /* 1423 */  vec_rule,
  /* 1424 */  vec_rule,
  /* 1425 */  vec_rule,
  /* 1426 */  legVec_rule,
  /* 1427 */  vec_rule,
  /* 1428 */  vec_rule,
  /* 1429 */  vec_rule,
  /* 1430 */  vec_rule,
  /* 1431 */  vec_rule,
  /* 1432 */  vec_rule,
  /* 1433 */  vec_rule,
  /* 1434 */  vec_rule,
  /* 1435 */  vec_rule,
  /* 1436 */  vec_rule,
  /* 1437 */  vec_rule,
  /* 1438 */  vec_rule,
  /* 1439 */  vec_rule,
  /* 1440 */  vec_rule,
  /* 1441 */  vec_rule,
  /* 1442 */  vec_rule,
  /* 1443 */  vec_rule,
  /* 1444 */  vec_rule,
  /* 1445 */  vec_rule,
  /* 1446 */  vec_rule,
  /* 1447 */  vec_rule,
  /* 1448 */  vec_rule,
  /* 1449 */  vec_rule,
  /* 1450 */  vec_rule,
  /* 1451 */  vec_rule,
  /* 1452 */  vec_rule,
  /* 1453 */  vec_rule,
  /* 1454 */  vec_rule,
  /* 1455 */  vec_rule,
  /* 1456 */  vec_rule,
  /* 1457 */  vec_rule,
  /* 1458 */  Universe_rule,
  /* 1459 */  Universe_rule,
  /* 1460 */  vec_rule,
  /* 1461 */  vec_rule,
  /* 1462 */  vec_rule,
  /* 1463 */  vec_rule,
  /* 1464 */  vec_rule,
  /* 1465 */  vec_rule,
  /* 1466 */  vec_rule,
  /* 1467 */  vec_rule,
  /* 1468 */  vec_rule,
  /* 1469 */  vec_rule,
  /* 1470 */  vec_rule,
  /* 1471 */  vec_rule,
  /* 1472 */  vec_rule,
  /* 1473 */  vec_rule,
  /* 1474 */  vec_rule,
  /* 1475 */  vec_rule,
  /* 1476 */  vec_rule,
  /* 1477 */  vec_rule,
  /* 1478 */  vec_rule,
  /* 1479 */  vec_rule,
  /* 1480 */  vec_rule,
  /* 1481 */  vec_rule,
  /* 1482 */  vec_rule,
  /* 1483 */  vec_rule,
  /* 1484 */  vec_rule,
  /* 1485 */  vec_rule,
  /* 1486 */  vec_rule,
  /* 1487 */  vec_rule,
  /* 1488 */  vec_rule,
  /* 1489 */  vec_rule,
  /* 1490 */  vec_rule,
  /* 1491 */  vec_rule,
  /* 1492 */  vec_rule,
  /* 1493 */  vec_rule,
  /* 1494 */  vec_rule,
  /* 1495 */  vec_rule,
  /* 1496 */  vec_rule,
  /* 1497 */  vec_rule,
  /* 1498 */  vec_rule,
  /* 1499 */  vec_rule,
  /* 1500 */  vec_rule,
  /* 1501 */  vec_rule,
  /* 1502 */  vec_rule,
  /* 1503 */  vec_rule,
  /* 1504 */  vec_rule,
  /* 1505 */  vec_rule,
  /* 1506 */  vec_rule,
  /* 1507 */  vec_rule,
  /* 1508 */  vec_rule,
  /* 1509 */  vec_rule,
  /* 1510 */  vec_rule,
  /* 1511 */  vec_rule,
  /* 1512 */  vec_rule,
  /* 1513 */  vec_rule,
  /* 1514 */  vec_rule,
  /* 1515 */  vec_rule,
  /* 1516 */  vec_rule,
  /* 1517 */  vec_rule,
  /* 1518 */  vec_rule,
  /* 1519 */  vec_rule,
  /* 1520 */  vec_rule,
  /* 1521 */  vec_rule,
  /* 1522 */  vec_rule,
  /* 1523 */  vec_rule,
  /* 1524 */  vec_rule,
  /* 1525 */  vec_rule,
  /* 1526 */  vec_rule,
  /* 1527 */  vec_rule,
  /* 1528 */  vec_rule,
  /* 1529 */  vec_rule,
  /* 1530 */  vec_rule,
  /* 1531 */  vec_rule,
  /* 1532 */  vec_rule,
  /* 1533 */  vec_rule,
  /* 1534 */  vec_rule,
  /* 1535 */  vec_rule,
  /* 1536 */  vec_rule,
  /* 1537 */  vec_rule,
  /* 1538 */  vec_rule,
  /* 1539 */  vec_rule,
  /* 1540 */  vec_rule,
  /* 1541 */  vec_rule,
  /* 1542 */  vec_rule,
  /* 1543 */  vec_rule,
  /* 1544 */  vec_rule,
  /* 1545 */  vec_rule,
  /* 1546 */  vec_rule,
  /* 1547 */  vec_rule,
  /* 1548 */  vec_rule,
  /* 1549 */  vec_rule,
  /* 1550 */  vec_rule,
  /* 1551 */  vec_rule,
  /* 1552 */  vec_rule,
  /* 1553 */  vec_rule,
  /* 1554 */  vec_rule,
  /* 1555 */  vec_rule,
  /* 1556 */  vec_rule,
  /* 1557 */  vec_rule,
  /* 1558 */  vec_rule,
  /* 1559 */  kReg_rule,
  /* 1560 */  kReg_rule,
  /* 1561 */  kReg_rule,
  /* 1562 */  kReg_rule,
  /* 1563 */  kReg_rule,
  /* 1564 */  vec_rule,
  /* 1565 */  vec_rule,
  /* 1566 */  rRegI_rule,
  /* 1567 */  rRegI_rule,
  /* 1568 */  vec_rule,
  /* 1569 */  vec_rule,
  /* 1570 */  vec_rule,
  /* 1571 */  vec_rule,
  /* 1572 */  vec_rule,
  /* 1573 */  vec_rule,
  /* 1574 */  vec_rule,
  /* 1575 */  vec_rule,
  /* 1576 */  vec_rule,
  /* 1577 */  vec_rule,
  /* 1578 */  vec_rule,
  /* 1579 */  vec_rule,
  /* 1580 */  vec_rule,
  /* 1581 */  vec_rule,
  /* 1582 */  vec_rule,
  /* 1583 */  vec_rule,
  /* 1584 */  vec_rule,
  /* 1585 */  vec_rule,
  /* 1586 */  vec_rule,
  /* 1587 */  vec_rule,
  /* 1588 */  vec_rule,
  /* 1589 */  vec_rule,
  /* 1590 */  vec_rule,
  /* 1591 */  vec_rule,
  /* 1592 */  vec_rule,
  /* 1593 */  rRegI_rule,
  /* 1594 */  rRegI_rule,
  /* 1595 */  eAXRegP_rule,
  // last instruction
  0 // no trailing comma
};

const        int   leftOp[] = {
  /*    0 */  0,
  /*    1 */  0,
  /*    2 */  0,
  /*    3 */  0,
  /*    4 */  0,
  /*    5 */  0,
  /*    6 */  0,
  /*    7 */  0,
  /*    8 */  0,
  /*    9 */  0,
  /*   10 */  0,
  /*   11 */  0,
  /*   12 */  0,
  /*   13 */  0,
  /*   14 */  0,
  /*   15 */  0,
  /*   16 */  0,
  /*   17 */  0,
  /*   18 */  0,
  /*   19 */  0,
  /*   20 */  0,
  /*   21 */  0,
  /*   22 */  0,
  /*   23 */  0,
  /*   24 */  0,
  /*   25 */  0,
  /*   26 */  0,
  /*   27 */  0,
  /*   28 */  0,
  /*   29 */  0,
  /*   30 */  0,
  /*   31 */  0,
  /*   32 */  0,
  /*   33 */  0,
  /*   34 */  0,
  /*   35 */  0,
  /*   36 */  0,
  /*   37 */  0,
  /*   38 */  0,
  /*   39 */  0,
  /*   40 */  0,
  /*   41 */  0,
  /*   42 */  0,
  /*   43 */  0,
  /*   44 */  0,
  /*   45 */  0,
  /*   46 */  0,
  /*   47 */  0,
  /*   48 */  0,
  /*   49 */  0,
  /*   50 */  0,
  /*   51 */  0,
  /*   52 */  0,
  /*   53 */  0,
  /*   54 */  0,
  /*   55 */  0,
  /*   56 */  0,
  /*   57 */  0,
  /*   58 */  0,
  /*   59 */  0,
  /*   60 */  0,
  /*   61 */  0,
  /*   62 */  0,
  /*   63 */  0,
  /*   64 */  0,
  /*   65 */  0,
  /*   66 */  0,
  /*   67 */  0,
  /*   68 */  0,
  /*   69 */  0,
  /*   70 */  0,
  /*   71 */  0,
  /*   72 */  0,
  /*   73 */  0,
  /*   74 */  0,
  /*   75 */  0,
  /*   76 */  0,
  /*   77 */  0,
  /*   78 */  0,
  /*   79 */  0,
  /*   80 */  0,
  /*   81 */  0,
  /*   82 */  0,
  /*   83 */  0,
  /*   84 */  0,
  /*   85 */  0,
  /*   86 */  0,
  /*   87 */  0,
  /*   88 */  0,
  /*   89 */  0,
  /*   90 */  0,
  /*   91 */  0,
  /*   92 */  0,
  /*   93 */  0,
  /*   94 */  0,
  /*   95 */  0,
  /*   96 */  0,
  /*   97 */  eRegP_rule,
  /*   98 */  eRegP_rule,
  /*   99 */  immP_rule,
  /*  100 */  _AddP_eRegP_rRegI_rule,
  /*  101 */  eRegP_rule,
  /*  102 */  eRegP_rule,
  /*  103 */  _AddP_eRegP__LShiftI_rRegI_immI2_rule,
  /*  104 */  0,
  /*  105 */  0,
  /*  106 */  load_long_RegP_rule,
  /*  107 */  0,
  /*  108 */  0,
  /*  109 */  0,
  /*  110 */  0,
  /*  111 */  0,
  /*  112 */  0,
  /*  113 */  0,
  /*  114 */  0,
  /*  115 */  0,
  /*  116 */  0,
  /*  117 */  0,
  /*  118 */  0,
  /*  119 */  0,
  /*  120 */  0,
  /*  121 */  0,
  /*  122 */  0,
  /*  123 */  0,
  /*  124 */  0,
  /*  125 */  0,
  /*  126 */  0,
  /*  127 */  0,
  /*  128 */  0,
  /*  129 */  0,
  /*  130 */  0,
  /*  131 */  0,
  // last operand
  /*  132 */  0,
  /*  133 */  0,
  /*  134 */  0,
  // last operand class
  /*  135 */  eRegP_rule,
  /*  136 */  rRegI_rule,
  /*  137 */  eRegP_rule,
  /*  138 */  memory_rule,
  /*  139 */  memory_rule,
  /*  140 */  memory_rule,
  /*  141 */  memory_rule,
  /*  142 */  _LoadUB_memory__rule,
  /*  143 */  memory_rule,
  /*  144 */  _LoadS_memory__rule,
  /*  145 */  memory_rule,
  /*  146 */  _LoadUS_memory__rule,
  /*  147 */  _LoadUS_memory__rule,
  /*  148 */  _LoadUS_memory__rule,
  /*  149 */  _LoadI_memory__rule,
  /*  150 */  _LoadI_memory__rule,
  /*  151 */  _LoadI_memory__rule,
  /*  152 */  _LoadI_memory__rule,
  /*  153 */  _LoadI_memory__rule,
  /*  154 */  _LoadI_memory__rule,
  /*  155 */  eRegL_rule,
  /*  156 */  regDPR1_rule,
  /*  157 */  regFPR1_rule,
  /*  158 */  regDPR1_rule,
  /*  159 */  cmpOp_rule,
  /*  160 */  rRegI_rule,
  /*  161 */  cmpOpU_rule,
  /*  162 */  cmpOpUCF_rule,
  /*  163 */  rRegI_rule,
  /*  164 */  eRegP_rule,
  /*  165 */  cmpOp_fcmov_rule,
  /*  166 */  regDPR1_rule,
  /*  167 */  regFPR1_rule,
  /*  168 */  regDPR_rule,
  /*  169 */  regFPR_rule,
  /*  170 */  regF_rule,
  /*  171 */  regD_rule,
  /*  172 */  eRegL_rule,
  /*  173 */  _LoadI_memory__rule,
  /*  174 */  rRegI_rule,
  /*  175 */  _LoadI_memory__rule,
  /*  176 */  _LoadI_memory__rule,
  /*  177 */  _LoadI_memory__rule,
  /*  178 */  eADXRegL_rule,
  /*  179 */  eAXRegP_rule,
  /*  180 */  eAXRegI_rule,
  /*  181 */  _LoadI_memory__rule,
  /*  182 */  immI_0_rule,
  /*  183 */  nadxRegI_rule,
  /*  184 */  _ConvI2L_nadxRegI__rule,
  /*  185 */  _MulL__ConvI2L_nadxRegI__eADXRegL_low_only_rule,
  /*  186 */  eADXRegL_low_only_rule,
  /*  187 */  _MulL_eADXRegL_low_only__ConvI2L_nadxRegI__rule,
  /*  188 */  _MulL__ConvI2L_nadxRegI__eADXRegL_low_only_rule,
  /*  189 */  _MulL_eADXRegL_low_only__ConvI2L_nadxRegI__rule,
  /*  190 */  eAXRegI_rule,
  /*  191 */  _ConvI2L_eAXRegI__rule,
  /*  192 */  _ConvI2L_nadxRegI__rule,
  /*  193 */  _LoadI_memory__rule,
  /*  194 */  _LoadI_memory__rule,
  /*  195 */  xRegI_rule,
  /*  196 */  xRegI_rule,
  /*  197 */  _LoadI_memory__rule,
  /*  198 */  rRegI_rule,
  /*  199 */  _LoadI_memory__rule,
  /*  200 */  rRegI_rule,
  /*  201 */  immI_0_rule,
  /*  202 */  rRegI_rule,
  /*  203 */  eRegP_rule,
  /*  204 */  _LoadI_memory__rule,
  /*  205 */  rRegI_rule,
  /*  206 */  _LoadI_memory__rule,
  /*  207 */  rRegI_rule,
  /*  208 */  rRegI_rule,
  /*  209 */  rRegI_rule,
  /*  210 */  rRegI_rule,
  /*  211 */  ncxRegI_rule,
  /*  212 */  immI_0_rule,
  /*  213 */  ncxRegI_rule,
  /*  214 */  immI_32_rule,
  /*  215 */  ncxRegI_rule,
  /*  216 */  rRegI_rule,
  /*  217 */  rRegI_rule,
  /*  218 */  ncxRegI_rule,
  /*  219 */  ncxRegI_rule,
  /*  220 */  ncxRegI_rule,
  /*  221 */  _LoadI_memory__rule,
  /*  222 */  rRegI_rule,
  /*  223 */  _LoadI_memory__rule,
  /*  224 */  rRegI_rule,
  /*  225 */  _CmpLTMask_rRegI_rRegI_rule,
  /*  226 */  rRegI_rule,
  /*  227 */  rRegI_rule,
  /*  228 */  load_long_memory_rule,
  /*  229 */  eRegL_rule,
  /*  230 */  immL0_rule,
  /*  231 */  immL0_rule,
  /*  232 */  eRegL_rule,
  /*  233 */  _LoadL_memory__rule,
  /*  234 */  memory_rule,
  /*  235 */  regDPR_rule,
  /*  236 */  regDPR_rule,
  /*  237 */  _LoadD_memory__rule,
  /*  238 */  _AddD__LoadD_memory__regDPR_rule,
  /*  239 */  regDPR_rule,
  /*  240 */  _AddD_regDPR__LoadD_memory__rule,
  /*  241 */  regDPR_rule,
  /*  242 */  regDPR_rule,
  /*  243 */  memory_rule,
  /*  244 */  _LoadF_memory__rule,
  /*  245 */  regFPR_rule,
  /*  246 */  regFPR_rule,
  /*  247 */  regFPR_rule,
  /*  248 */  rRegI_rule,
  /*  249 */  eDIRegP_rule,
  /*  250 */  eSIRegP_rule,
  /*  251 */  eDIRegP_rule,
  /*  252 */  eDIRegP_rule,
  /*  253 */  eSIRegP_rule,
  /*  254 */  eSIRegP_rule,
  /*  255 */  rRegI_rule,
  /*  256 */  rRegI_rule,
  /*  257 */  memory_rule,
  /*  258 */  nadxRegI_rule,
  /*  259 */  eSIRegP_rule,
  /*  260 */  cmpOp_rule,
  /*  261 */  eRegL_rule,
  /*  262 */  cmpOpU_rule,
  /*  263 */  cmpOp_rule,
  /*  264 */  cmpOpU_rule,
  /*  265 */  cmpOp_commute_rule,
  /*  266 */  cmpOpU_commute_rule,
  /*  267 */  regF_rule,
  /*  268 */  vec_rule,
  /*  269 */  memory_rule,
  /*  270 */  vec_rule,
  /*  271 */  rRegP_rule,
  /*  272 */  rRegP_rule,
  /*  273 */  vec_rule,
  /*  274 */  vec_rule,
  /*  275 */  vec_rule,
  /*  276 */  vec_rule,
  /*  277 */  vec_rule,
  /*  278 */  immI8_rule,
  /*  279 */  immI8_rule,
  /*  280 */  legVec_rule,
  /*  281 */  vec_rule,
  /*  282 */  vec_rule,
  /*  283 */  _LoadVector_memory__rule,
  /*  284 */  vec_rule,
  /*  285 */  vec_rule,
  /*  286 */  vec_rule,
  /*  287 */  _LoadVector_memory__rule,
  /*  288 */  immI8_rule,
  /*  289 */  immU8_rule,
  /*  290 */  vec_rule,
  /*  291 */  vec_rule,
  /*  292 */  memory_rule,
  /*  293 */  vec_rule,
  /*  294 */  eAXRegP_rule,
  // last internally defined operand
  /*  295 */  rRegI_rule,
  /*  296 */  eRegP_rule,
  /*  297 */  eRegL_rule,
  /*  298 */  regF_rule,
  /*  299 */  legRegF_rule,
  /*  300 */  regF_rule,
  /*  301 */  vlRegF_rule,
  /*  302 */  regD_rule,
  /*  303 */  legRegD_rule,
  /*  304 */  regD_rule,
  /*  305 */  vlRegD_rule,
  /*  306 */  indOffset8_rule,
  /*  307 */  indOffset32_rule,
  /*  308 */  indIndexOffset_rule,
  /*  309 */  indIndexScale_rule,
  /*  310 */  indIndexScaleOffset_rule,
  /*  311 */  immI_rule,
  /*  312 */  immI_0_rule,
  /*  313 */  immP_rule,
  /*  314 */  immL_rule,
  /*  315 */  immL0_rule,
  /*  316 */  immFPR_rule,
  /*  317 */  immFPR0_rule,
  /*  318 */  immFPR1_rule,
  /*  319 */  immF_rule,
  /*  320 */  immF0_rule,
  /*  321 */  immDPR_rule,
  /*  322 */  immDPR0_rule,
  /*  323 */  immDPR1_rule,
  /*  324 */  immD_rule,
  /*  325 */  immD0_rule,
  /*  326 */  stackSlotI_rule,
  /*  327 */  stackSlotL_rule,
  /*  328 */  stackSlotP_rule,
  /*  329 */  stackSlotF_rule,
  /*  330 */  stackSlotD_rule,
  /*  331 */  immL32_rule,
  /*  332 */  vec_rule,
  /*  333 */  legVec_rule,
  /*  334 */  0,
  /*  335 */  eAXRegI_rule,
  /*  336 */  eRegP_rule,
  /*  337 */  eRegP_rule,
  /*  338 */  eRegP_rule,
  /*  339 */  rRegI_rule,
  /*  340 */  eRegL_rule,
  /*  341 */  regF_rule,
  /*  342 */  regD_rule,
  /*  343 */  regFPR_rule,
  /*  344 */  regDPR_rule,
  /*  345 */  0,
  /*  346 */  0,
  /*  347 */  eAXRegI_rule,
  /*  348 */  eAXRegI_rule,
  /*  349 */  rRegI_rule,
  /*  350 */  rRegI_rule,
  /*  351 */  immI_0_rule,
  /*  352 */  eAXRegI_rule,
  /*  353 */  rRegI_rule,
  /*  354 */  regDPR_rule,
  /*  355 */  regDPR_rule,
  /*  356 */  regDPR_rule,
  /*  357 */  regD_rule,
  /*  358 */  regD_rule,
  /*  359 */  regD_rule,
  /*  360 */  regD_rule,
  /*  361 */  regDPR1_rule,
  /*  362 */  regDPR1_rule,
  /*  363 */  regFPR_rule,
  /*  364 */  regFPR_rule,
  /*  365 */  regFPR_rule,
  /*  366 */  regF_rule,
  /*  367 */  regF_rule,
  /*  368 */  regF_rule,
  /*  369 */  regF_rule,
  /*  370 */  regFPR1_rule,
  /*  371 */  regFPR1_rule,
  /*  372 */  stackSlotF_rule,
  /*  373 */  regF_rule,
  /*  374 */  stackSlotI_rule,
  /*  375 */  stackSlotI_rule,
  /*  376 */  rRegI_rule,
  /*  377 */  stackSlotD_rule,
  /*  378 */  stackSlotL_rule,
  /*  379 */  stackSlotL_rule,
  /*  380 */  stackSlotL_rule,
  /*  381 */  rRegI_rule,
  /*  382 */  rRegI_rule,
  /*  383 */  rRegI_rule,
  /*  384 */  rRegI_rule,
  /*  385 */  _AndI_rRegI_immI_rule,
  /*  386 */  _AndI_rRegI_memory_rule,
  /*  387 */  rRegI_rule,
  /*  388 */  rRegI_rule,
  /*  389 */  rRegI_rule,
  /*  390 */  rRegI_rule,
  /*  391 */  eRegP_rule,
  /*  392 */  eRegP_rule,
  /*  393 */  eRegP_rule,
  /*  394 */  eRegP_rule,
  /*  395 */  eRegP_rule,
  /*  396 */  _LoadP_memory__rule,
  /*  397 */  _PartialSubtypeCheck_eSIRegP_eAXRegP_rule,
  /*  398 */  eRegL_rule,
  /*  399 */  eRegL_rule,
  /*  400 */  eRegL_rule,
  /*  401 */  eRegL_rule,
  /*  402 */  eRegL_rule,
  /*  403 */  eRegL_rule,
  /*  404 */  eRegL_rule,
  /*  405 */  eRegL_rule,
  /*  406 */  eRegL_rule,
  /*  407 */  eRegL_rule,
  /*  408 */  eRegL_rule,
  /*  409 */  eRegL_rule,
  /*  410 */  eRegP_rule,
  /*  411 */  eRegP_rule,
  /*  412 */  eRegP_rule,
  /*  413 */  eRegP_rule,
  /*  414 */  regF_rule,
  /*  415 */  vlRegF_rule,
  /*  416 */  regD_rule,
  /*  417 */  vlRegD_rule,
  /*  418 */  regF_rule,
  /*  419 */  vlRegF_rule,
  /*  420 */  regD_rule,
  /*  421 */  vlRegD_rule,
  /*  422 */  vec_rule,
  /*  423 */  rRegI_rule,
  /*  424 */  _LoadVector_memory__rule,
  /*  425 */  vec_rule,
  /*  426 */  kReg_rule,
  /*  427 */  vec_rule,
  /*  428 */  vec_rule,
  /*  429 */  vec_rule,
  /*  430 */  legVec_rule,
  /*  431 */  rRegI_rule,
  /*  432 */  _LoadB_memory__rule,
  /*  433 */  rRegI_rule,
  /*  434 */  _LoadS_memory__rule,
  /*  435 */  rRegI_rule,
  /*  436 */  _LoadI_memory__rule,
  /*  437 */  immI_rule,
  /*  438 */  immI_0_rule,
  /*  439 */  immI_M1_rule,
  /*  440 */  _LoadL_memory__rule,
  /*  441 */  immL_rule,
  /*  442 */  immL0_rule,
  /*  443 */  immL_M1_rule,
  /*  444 */  vlRegF_rule,
  /*  445 */  vlRegF_rule,
  /*  446 */  _LoadF_memory__rule,
  /*  447 */  immF_rule,
  /*  448 */  immF0_rule,
  /*  449 */  vlRegD_rule,
  /*  450 */  vlRegD_rule,
  /*  451 */  _LoadD_memory__rule,
  /*  452 */  immD_rule,
  /*  453 */  immD0_rule,
  /*  454 */  vec_rule,
  /*  455 */  _LoadVector_memory__rule,
  /*  456 */  vec_rule,
  /*  457 */  _LoadVector_memory__rule,
  /*  458 */  rRegI_rule,
  /*  459 */  rRegI_rule,
  /*  460 */  vec_rule,
  /*  461 */  legVec_rule,
  /*  462 */  vec_rule,
  /*  463 */  vec_rule,
  /*  464 */  vec_rule,
  /*  465 */  vec_rule,
  /*  466 */  vec_rule,
  /*  467 */  vec_rule,
  /*  468 */  vec_rule,
  /*  469 */  vec_rule,
  /*  470 */  vec_rule,
  /*  471 */  vec_rule,
  /*  472 */  vec_rule,
  /*  473 */  vec_rule,
  /*  474 */  vec_rule,
  /*  475 */  vec_rule,
  /*  476 */  vec_rule,
  /*  477 */  vec_rule,
  /*  478 */  vec_rule,
  /*  479 */  vec_rule,
  /*  480 */  vec_rule,
  /*  481 */  vec_rule,
  /*  482 */  vec_rule,
  /*  483 */  kReg_rule,
  /*  484 */  vec_rule,
  /*  485 */  vec_rule,
  /*  486 */  immI_0_rule,
  /*  487 */  vec_rule,
  /*  488 */  vec_rule,
  /*  489 */  vec_rule,
  /*  490 */  vec_rule,
  /*  491 */  vec_rule,
  /*  492 */  vec_rule,
  /*  493 */  vec_rule,
  /*  494 */  kReg_rule,
  /*  495 */  vec_rule,
  /*  496 */  legVec_rule,
  /*  497 */  rRegI_rule,
  /*  498 */  eRegL_rule,
  /*  499 */  rRegI_rule,
  /*  500 */  rRegI_rule,
  /*  501 */  rRegI_rule,
  /*  502 */  rRegI_rule,
  /*  503 */  eRegL_rule,
  /*  504 */  eRegL_rule,
  /*  505 */  rRegI_rule,
  /*  506 */  rRegI_rule,
  /*  507 */  eRegL_rule,
  /*  508 */  eRegL_rule,
  /*  509 */  rRegI_rule,
  /*  510 */  _LoadI_memory__rule,
  /*  511 */  eRegL_rule,
  /*  512 */  _LoadL_memory__rule,
  /*  513 */  memory_rule,
  /*  514 */  _LoadB_memory__rule,
  /*  515 */  memory_rule,
  /*  516 */  _LoadUB_memory__rule,
  /*  517 */  _AndI__LoadUB_memory__immI_rule,
  /*  518 */  memory_rule,
  /*  519 */  _LShiftI__LoadS_memory__immI_24_rule,
  /*  520 */  _LoadS_memory__rule,
  /*  521 */  memory_rule,
  /*  522 */  _LShiftI__LoadUS_memory__immI_24_rule,
  /*  523 */  _LoadUS_memory__rule,
  /*  524 */  _AndI__LoadUS_memory__immI_255_rule,
  /*  525 */  _AndI__LoadUS_memory__immI_rule,
  /*  526 */  memory_rule,
  /*  527 */  _LShiftI__LoadI_memory__immI_24_rule,
  /*  528 */  _LoadI_memory__rule,
  /*  529 */  _LShiftI__LoadI_memory__immI_16_rule,
  /*  530 */  _LoadI_memory__rule,
  /*  531 */  _LoadI_memory__rule,
  /*  532 */  _AndI__LoadI_memory__immI_255_rule,
  /*  533 */  _AndI__LoadI_memory__immI_65535_rule,
  /*  534 */  _AndI__LoadI_memory__immU31_rule,
  /*  535 */  _ConvI2L__LoadI_memory___rule,
  /*  536 */  load_long_memory_rule,
  /*  537 */  memory_rule,
  /*  538 */  memory_rule,
  /*  539 */  memory_rule,
  /*  540 */  memory_rule,
  /*  541 */  memory_rule,
  /*  542 */  memory_rule,
  /*  543 */  memory_rule,
  /*  544 */  memory_rule,
  /*  545 */  memory_rule,
  /*  546 */  memory_rule,
  /*  547 */  memory_rule,
  /*  548 */  memory_rule,
  /*  549 */  memory_rule,
  /*  550 */  memory_rule,
  /*  551 */  memory_rule,
  /*  552 */  memory_rule,
  /*  553 */  memory_rule,
  /*  554 */  memory_rule,
  /*  555 */  memory_rule,
  /*  556 */  long_memory_rule,
  /*  557 */  memory_rule,
  /*  558 */  memory_rule,
  /*  559 */  memory_rule,
  /*  560 */  memory_rule,
  /*  561 */  memory_rule,
  /*  562 */  memory_rule,
  /*  563 */  memory_rule,
  /*  564 */  memory_rule,
  /*  565 */  memory_rule,
  /*  566 */  memory_rule,
  /*  567 */  memory_rule,
  /*  568 */  memory_rule,
  /*  569 */  memory_rule,
  /*  570 */  memory_rule,
  /*  571 */  memory_rule,
  /*  572 */  memory_rule,
  /*  573 */  memory_rule,
  /*  574 */  memory_rule,
  /*  575 */  0,
  /*  576 */  0,
  /*  577 */  0,
  /*  578 */  0,
  /*  579 */  0,
  /*  580 */  0,
  /*  581 */  0,
  /*  582 */  0,
  /*  583 */  0,
  /*  584 */  _Binary_cmpOp_eFlagsReg_rule,
  /*  585 */  _Binary_cmpOpU_eFlagsRegU_rule,
  /*  586 */  _Binary_cmpOp_eFlagsReg_rule,
  /*  587 */  _Binary_cmpOpU_eFlagsRegU_rule,
  /*  588 */  _Binary_cmpOpUCF_eFlagsRegUCF_rule,
  /*  589 */  _Binary_cmpOp_eFlagsReg_rule,
  /*  590 */  _Binary_cmpOpU_eFlagsRegU_rule,
  /*  591 */  _Binary_cmpOpUCF_eFlagsRegUCF_rule,
  /*  592 */  _Binary_cmpOp_eFlagsReg_rule,
  /*  593 */  _Binary_cmpOp_eFlagsReg_rule,
  /*  594 */  _Binary_cmpOpU_eFlagsRegU_rule,
  /*  595 */  _Binary_cmpOpUCF_eFlagsRegUCF_rule,
  /*  596 */  _Binary_cmpOp_fcmov_eFlagsRegU_rule,
  /*  597 */  _Binary_cmpOp_fcmov_eFlagsRegU_rule,
  /*  598 */  _Binary_cmpOp_eFlagsReg_rule,
  /*  599 */  _Binary_cmpOp_eFlagsReg_rule,
  /*  600 */  _Binary_cmpOp_eFlagsReg_rule,
  /*  601 */  _Binary_cmpOp_eFlagsReg_rule,
  /*  602 */  _Binary_cmpOpU_eFlagsRegU_rule,
  /*  603 */  _Binary_cmpOpUCF_eFlagsRegUCF_rule,
  /*  604 */  _Binary_cmpOpU_eFlagsRegU_rule,
  /*  605 */  _Binary_cmpOpUCF_eFlagsRegUCF_rule,
  /*  606 */  _Binary_cmpOp_eFlagsReg_rule,
  /*  607 */  _Binary_cmpOpU_eFlagsRegU_rule,
  /*  608 */  _Binary_cmpOpUCF_eFlagsRegUCF_rule,
  /*  609 */  rRegI_rule,
  /*  610 */  rRegI_rule,
  /*  611 */  rRegI_rule,
  /*  612 */  rRegI_rule,
  /*  613 */  eRegP_rule,
  /*  614 */  rRegI_rule,
  /*  615 */  eRegP_rule,
  /*  616 */  eRegP_rule,
  /*  617 */  rRegI_rule,
  /*  618 */  _LoadI_memory__rule,
  /*  619 */  memory_rule,
  /*  620 */  memory_rule,
  /*  621 */  memory_rule,
  /*  622 */  memory_rule,
  /*  623 */  memory_rule,
  /*  624 */  eSIRegP_rule,
  /*  625 */  eSIRegP_rule,
  /*  626 */  pRegP_rule,
  /*  627 */  pRegP_rule,
  /*  628 */  pRegP_rule,
  /*  629 */  pRegP_rule,
  /*  630 */  pRegP_rule,
  /*  631 */  pRegP_rule,
  /*  632 */  pRegP_rule,
  /*  633 */  pRegP_rule,
  /*  634 */  eSIRegP_rule,
  /*  635 */  pRegP_rule,
  /*  636 */  pRegP_rule,
  /*  637 */  pRegP_rule,
  /*  638 */  pRegP_rule,
  /*  639 */  memory_rule,
  /*  640 */  memory_rule,
  /*  641 */  memory_rule,
  /*  642 */  memory_rule,
  /*  643 */  memory_rule,
  /*  644 */  memory_rule,
  /*  645 */  memory_rule,
  /*  646 */  memory_rule,
  /*  647 */  memory_rule,
  /*  648 */  memory_rule,
  /*  649 */  rRegI_rule,
  /*  650 */  rRegI_rule,
  /*  651 */  rRegI_rule,
  /*  652 */  memory_rule,
  /*  653 */  eRegP_rule,
  /*  654 */  immI_0_rule,
  /*  655 */  rRegI_rule,
  /*  656 */  rRegI_rule,
  /*  657 */  _RShiftL__MulL__ConvI2L_nadxRegI__eADXRegL_low_only_immI_32_rule,
  /*  658 */  _RShiftL__MulL_eADXRegL_low_only__ConvI2L_nadxRegI__immI_32_rule,
  /*  659 */  _RShiftL__MulL__ConvI2L_nadxRegI__eADXRegL_low_only_immI_32_63_rule,
  /*  660 */  _RShiftL__MulL_eADXRegL_low_only__ConvI2L_nadxRegI__immI_32_63_rule,
  /*  661 */  _LoadI_memory__rule,
  /*  662 */  rRegI_rule,
  /*  663 */  _LoadI_memory__rule,
  /*  664 */  _Binary_rRegI_rRegI_rule,
  /*  665 */  _ConvI2L_eAXRegI__rule,
  /*  666 */  _ConvI2L_nadxRegI__rule,
  /*  667 */  _AndL__ConvI2L_eAXRegI__immL_32bits_rule,
  /*  668 */  _AndL__ConvI2L_nadxRegI__immL_32bits_rule,
  /*  669 */  eADXRegL_rule,
  /*  670 */  eADXRegL_rule,
  /*  671 */  eADXRegL_rule,
  /*  672 */  eADXRegL_rule,
  /*  673 */  eADXRegL_rule,
  /*  674 */  eAXRegI_rule,
  /*  675 */  eRegL_rule,
  /*  676 */  eAXRegI_rule,
  /*  677 */  eAXRegI_rule,
  /*  678 */  eRegL_rule,
  /*  679 */  eADXRegL_rule,
  /*  680 */  eADXRegL_rule,
  /*  681 */  rRegI_rule,
  /*  682 */  rRegI_rule,
  /*  683 */  rRegI_rule,
  /*  684 */  rRegI_rule,
  /*  685 */  memory_rule,
  /*  686 */  rRegI_rule,
  /*  687 */  memory_rule,
  /*  688 */  rRegI_rule,
  /*  689 */  rRegI_rule,
  /*  690 */  rRegI_rule,
  /*  691 */  _LShiftI_xRegI_immI_24_rule,
  /*  692 */  _LShiftI_xRegI_immI_16_rule,
  /*  693 */  rRegI_rule,
  /*  694 */  rRegI_rule,
  /*  695 */  rRegI_rule,
  /*  696 */  rRegI_rule,
  /*  697 */  _LoadI_memory__rule,
  /*  698 */  memory_rule,
  /*  699 */  memory_rule,
  /*  700 */  memory_rule,
  /*  701 */  _XorI_rRegI_immI_M1_rule,
  /*  702 */  rRegI_rule,
  /*  703 */  _XorI_rRegI_immI_M1_rule,
  /*  704 */  _LoadI_memory__rule,
  /*  705 */  _SubI_immI_0_rRegI_rule,
  /*  706 */  rRegI_rule,
  /*  707 */  _SubI_immI_0__LoadI_memory__rule,
  /*  708 */  _LoadI_memory__rule,
  /*  709 */  _AddI_rRegI_immI_M1_rule,
  /*  710 */  rRegI_rule,
  /*  711 */  _AddI__LoadI_memory__immI_M1_rule,
  /*  712 */  _LoadI_memory__rule,
  /*  713 */  _AddI_rRegI_immI_M1_rule,
  /*  714 */  rRegI_rule,
  /*  715 */  _AddI__LoadI_memory__immI_M1_rule,
  /*  716 */  _LoadI_memory__rule,
  /*  717 */  rRegI_rule,
  /*  718 */  rRegI_rule,
  /*  719 */  _CastP2X_eRegP__rule,
  /*  720 */  rRegI_rule,
  /*  721 */  rRegI_rule,
  /*  722 */  _LoadI_memory__rule,
  /*  723 */  memory_rule,
  /*  724 */  memory_rule,
  /*  725 */  memory_rule,
  /*  726 */  0,
  /*  727 */  0,
  /*  728 */  0,
  /*  729 */  _LShiftI_rRegI_immI_1_rule,
  /*  730 */  _URShiftI_rRegI_immI_M1_rule,
  /*  731 */  _LShiftI_rRegI_immI8_rule,
  /*  732 */  _URShiftI_rRegI_immI8_rule,
  /*  733 */  _LShiftI_ncxRegI_eCXRegI_rule,
  /*  734 */  _URShiftI_ncxRegI__SubI_immI_0_eCXRegI_rule,
  /*  735 */  _LShiftI_ncxRegI_eCXRegI_rule,
  /*  736 */  _URShiftI_ncxRegI__SubI_immI_32_eCXRegI_rule,
  /*  737 */  0,
  /*  738 */  0,
  /*  739 */  0,
  /*  740 */  _URShiftI_rRegI_immI_1_rule,
  /*  741 */  _LShiftI_rRegI_immI_M1_rule,
  /*  742 */  _URShiftI_rRegI_immI8_rule,
  /*  743 */  _LShiftI_rRegI_immI8_rule,
  /*  744 */  _URShiftI_ncxRegI_eCXRegI_rule,
  /*  745 */  _LShiftI_ncxRegI__SubI_immI_0_eCXRegI_rule,
  /*  746 */  _URShiftI_ncxRegI_eCXRegI_rule,
  /*  747 */  _LShiftI_ncxRegI__SubI_immI_32_eCXRegI_rule,
  /*  748 */  rRegI_rule,
  /*  749 */  rRegI_rule,
  /*  750 */  rRegI_rule,
  /*  751 */  rRegI_rule,
  /*  752 */  _LoadI_memory__rule,
  /*  753 */  memory_rule,
  /*  754 */  memory_rule,
  /*  755 */  memory_rule,
  /*  756 */  0,
  /*  757 */  rRegI_rule,
  /*  758 */  0,
  /*  759 */  eRegP_rule,
  /*  760 */  ncxRegI_rule,
  /*  761 */  rRegI_rule,
  /*  762 */  _AndI__CmpLTMask_rRegI_rRegI_rRegI_rule,
  /*  763 */  _SubI_rRegI_rRegI_rule,
  /*  764 */  _AndI_rRegI__CmpLTMask_rRegI_rRegI_rule,
  /*  765 */  _SubI_rRegI_rRegI_rule,
  /*  766 */  _CmpLTMask_rRegI_rRegI_rule,
  /*  767 */  rRegI_rule,
  /*  768 */  rRegI_rule,
  /*  769 */  eRegL_rule,
  /*  770 */  eRegL_rule,
  /*  771 */  eRegL_rule,
  /*  772 */  _LoadL_load_long_memory__rule,
  /*  773 */  eRegL_rule,
  /*  774 */  eRegL_rule,
  /*  775 */  eRegL_rule,
  /*  776 */  immL0_rule,
  /*  777 */  eRegL_rule,
  /*  778 */  eRegL_rule,
  /*  779 */  eRegL_rule,
  /*  780 */  _LoadL_load_long_memory__rule,
  /*  781 */  _XorL_eRegL_immL_M1_rule,
  /*  782 */  eRegL_rule,
  /*  783 */  _XorL_eRegL_immL_M1_rule,
  /*  784 */  _LoadL_memory__rule,
  /*  785 */  _SubL_immL0_eRegL_rule,
  /*  786 */  eRegL_rule,
  /*  787 */  _SubL_immL0__LoadL_memory__rule,
  /*  788 */  _LoadL_memory__rule,
  /*  789 */  _AddL_eRegL_immL_M1_rule,
  /*  790 */  eRegL_rule,
  /*  791 */  _AddL__LoadL_memory__immL_M1_rule,
  /*  792 */  _LoadL_memory__rule,
  /*  793 */  _AddL_eRegL_immL_M1_rule,
  /*  794 */  eRegL_rule,
  /*  795 */  _AddL__LoadL_memory__immL_M1_rule,
  /*  796 */  _LoadL_memory__rule,
  /*  797 */  eRegL_rule,
  /*  798 */  eRegL_rule,
  /*  799 */  eRegL_rule,
  /*  800 */  _LoadL_load_long_memory__rule,
  /*  801 */  eRegL_rule,
  /*  802 */  eRegL_rule,
  /*  803 */  eRegL_rule,
  /*  804 */  eRegL_rule,
  /*  805 */  _LoadL_load_long_memory__rule,
  /*  806 */  eRegL_rule,
  /*  807 */  eRegL_rule,
  /*  808 */  eRegL_rule,
  /*  809 */  eRegL_rule,
  /*  810 */  eRegL_rule,
  /*  811 */  eRegL_rule,
  /*  812 */  eRegL_rule,
  /*  813 */  eRegL_rule,
  /*  814 */  eRegL_rule,
  /*  815 */  eRegL_rule,
  /*  816 */  eRegL_rule,
  /*  817 */  eRegL_rule,
  /*  818 */  regDPR_rule,
  /*  819 */  regDPR_rule,
  /*  820 */  regD_rule,
  /*  821 */  regD_rule,
  /*  822 */  regDPR_rule,
  /*  823 */  _SubD_regDPR_regDPR_rule,
  /*  824 */  regDPR_rule,
  /*  825 */  regDPR_rule,
  /*  826 */  _AddD_regDPR_regDPR_rule,
  /*  827 */  regDPR_rule,
  /*  828 */  _LoadD_memory__rule,
  /*  829 */  memory_rule,
  /*  830 */  memory_rule,
  /*  831 */  regDPR_rule,
  /*  832 */  regDPR_rule,
  /*  833 */  _AddD_regDPR_immDPR_rule,
  /*  834 */  regDPR_rule,
  /*  835 */  regDPR1_rule,
  /*  836 */  regDPR_rule,
  /*  837 */  regDPR_rule,
  /*  838 */  _LoadD_memory__rule,
  /*  839 */  regDPR_rule,
  /*  840 */  _LoadD_memory__rule,
  /*  841 */  _MulD_regDPR_regDPR_rule,
  /*  842 */  regDPR_rule,
  /*  843 */  _MulD_regDPR_regDPR_rule,
  /*  844 */  regDPR_rule,
  /*  845 */  regDPR1_rule,
  /*  846 */  regDPR_rule,
  /*  847 */  regD_rule,
  /*  848 */  regDPR_rule,
  /*  849 */  regD_rule,
  /*  850 */  regDPR_rule,
  /*  851 */  regFPR_rule,
  /*  852 */  regFPR_rule,
  /*  853 */  regF_rule,
  /*  854 */  regF_rule,
  /*  855 */  regFPR_rule,
  /*  856 */  regFPR_rule,
  /*  857 */  regFPR_rule,
  /*  858 */  regFPR_rule,
  /*  859 */  regFPR_rule,
  /*  860 */  _LoadF_memory__rule,
  /*  861 */  regFPR_rule,
  /*  862 */  _LoadF_memory__rule,
  /*  863 */  memory_rule,
  /*  864 */  memory_rule,
  /*  865 */  _LoadF_memory__rule,
  /*  866 */  memory_rule,
  /*  867 */  regFPR_rule,
  /*  868 */  regFPR_rule,
  /*  869 */  regFPR_rule,
  /*  870 */  regFPR_rule,
  /*  871 */  regFPR_rule,
  /*  872 */  _LoadF_memory__rule,
  /*  873 */  regFPR_rule,
  /*  874 */  _LoadF_memory__rule,
  /*  875 */  memory_rule,
  /*  876 */  regFPR_rule,
  /*  877 */  regFPR_rule,
  /*  878 */  _LoadF_memory__rule,
  /*  879 */  regFPR_rule,
  /*  880 */  _MulF__LoadF_memory__regFPR_rule,
  /*  881 */  regFPR_rule,
  /*  882 */  _MulF_regFPR__LoadF_memory__rule,
  /*  883 */  regFPR_rule,
  /*  884 */  _MulF_regFPR_regFPR_rule,
  /*  885 */  regFPR_rule,
  /*  886 */  _SubF_regFPR_regFPR_rule,
  /*  887 */  regFPR_rule,
  /*  888 */  regFPR_rule,
  /*  889 */  regFPR_rule,
  /*  890 */  regFPR_rule,
  /*  891 */  regF_rule,
  /*  892 */  regFPR_rule,
  /*  893 */  regDPR_rule,
  /*  894 */  regDPR_rule,
  /*  895 */  regDPR_rule,
  /*  896 */  regD_rule,
  /*  897 */  regFPR_rule,
  /*  898 */  regFPR_rule,
  /*  899 */  regF_rule,
  /*  900 */  regF_rule,
  /*  901 */  regDPR_rule,
  /*  902 */  regD_rule,
  /*  903 */  regDPR_rule,
  /*  904 */  regD_rule,
  /*  905 */  regFPR_rule,
  /*  906 */  regF_rule,
  /*  907 */  regFPR_rule,
  /*  908 */  regF_rule,
  /*  909 */  stackSlotI_rule,
  /*  910 */  rRegI_rule,
  /*  911 */  _LoadI_memory__rule,
  /*  912 */  rRegI_rule,
  /*  913 */  _LoadI_memory__rule,
  /*  914 */  stackSlotI_rule,
  /*  915 */  stackSlotI_rule,
  /*  916 */  _LoadI_memory__rule,
  /*  917 */  stackSlotI_rule,
  /*  918 */  _LoadI_memory__rule,
  /*  919 */  rRegI_rule,
  /*  920 */  rRegI_rule,
  /*  921 */  rRegI_rule,
  /*  922 */  _ConvI2L_rRegI__rule,
  /*  923 */  eRegL_rule,
  /*  924 */  eRegL_rule,
  /*  925 */  eRegL_rule,
  /*  926 */  eRegL_rule,
  /*  927 */  eRegL_rule,
  /*  928 */  eRegL_rule,
  /*  929 */  regFPR_rule,
  /*  930 */  regF_rule,
  /*  931 */  rRegI_rule,
  /*  932 */  regDPR_rule,
  /*  933 */  regD_rule,
  /*  934 */  regD_rule,
  /*  935 */  eRegL_rule,
  /*  936 */  eRegL_rule,
  /*  937 */  eBCXRegL_rule,
  /*  938 */  eBCXRegL_rule,
  /*  939 */  eCXRegI_rule,
  /*  940 */  eCXRegI_rule,
  /*  941 */  eCXRegI_rule,
  /*  942 */  eCXRegI_rule,
  /*  943 */  immI_rule,
  /*  944 */  _Binary_eDIRegP_eCXRegI_rule,
  /*  945 */  _Binary_eDIRegP_eCXRegI_rule,
  /*  946 */  _Binary_eDIRegP_eCXRegI_rule,
  /*  947 */  _Binary_eDIRegP_eCXRegI_rule,
  /*  948 */  _Binary_eDIRegP_eCXRegI_rule,
  /*  949 */  _Binary_eDIRegP_eCXRegI_rule,
  /*  950 */  _Binary_eSIRegP_eDXRegI_rule,
  /*  951 */  _Binary_eSIRegP_eDXRegI_rule,
  /*  952 */  _Binary_eDIRegP_eSIRegP_rule,
  /*  953 */  _Binary_eDIRegP_eSIRegP_rule,
  /*  954 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  955 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  956 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  957 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  958 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  959 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  960 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  961 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  962 */  eDIRegP_rule,
  /*  963 */  eDIRegP_rule,
  /*  964 */  eDIRegP_rule,
  /*  965 */  eDIRegP_rule,
  /*  966 */  eSIRegP_rule,
  /*  967 */  eSIRegP_rule,
  /*  968 */  eSIRegP_rule,
  /*  969 */  eSIRegP_rule,
  /*  970 */  eSIRegP_rule,
  /*  971 */  eSIRegP_rule,
  /*  972 */  eSIRegP_rule,
  /*  973 */  eSIRegP_rule,
  /*  974 */  rRegI_rule,
  /*  975 */  rRegI_rule,
  /*  976 */  _Binary_nadxRegI_eAXRegI_rule,
  /*  977 */  rRegI_rule,
  /*  978 */  0,
  /*  979 */  cmpOp_rule,
  /*  980 */  cmpOp_rule,
  /*  981 */  cmpOpU_rule,
  /*  982 */  cmpOpUCF_rule,
  /*  983 */  cmpOpUCF2_rule,
  /*  984 */  eSIRegP_rule,
  /*  985 */  0,
  /*  986 */  cmpOp_rule,
  /*  987 */  cmpOp_rule,
  /*  988 */  cmpOpU_rule,
  /*  989 */  cmpOpUCF_rule,
  /*  990 */  cmpOpUCF2_rule,
  /*  991 */  eRegL_rule,
  /*  992 */  cmpOp_rule,
  /*  993 */  cmpOpU_rule,
  /*  994 */  _Binary_cmpOp_flagsReg_long_LTGE_rule,
  /*  995 */  _Binary_cmpOp_flagsReg_long_LTGE_rule,
  /*  996 */  _Binary_cmpOpU_flagsReg_ulong_LTGE_rule,
  /*  997 */  _Binary_cmpOpU_flagsReg_ulong_LTGE_rule,
  /*  998 */  _Binary_cmpOp_flagsReg_long_LTGE_rule,
  /*  999 */  _Binary_cmpOp_flagsReg_long_LTGE_rule,
  /* 1000 */  _Binary_cmpOpU_flagsReg_ulong_LTGE_rule,
  /* 1001 */  _Binary_cmpOpU_flagsReg_ulong_LTGE_rule,
  /* 1002 */  _Binary_cmpOp_flagsReg_long_LTGE_rule,
  /* 1003 */  _Binary_cmpOpU_flagsReg_ulong_LTGE_rule,
  /* 1004 */  _Binary_cmpOp_flagsReg_long_LTGE_rule,
  /* 1005 */  _Binary_cmpOp_flagsReg_long_LTGE_rule,
  /* 1006 */  _Binary_cmpOp_flagsReg_long_LTGE_rule,
  /* 1007 */  _Binary_cmpOp_flagsReg_long_LTGE_rule,
  /* 1008 */  cmpOp_rule,
  /* 1009 */  cmpOpU_rule,
  /* 1010 */  _Binary_cmpOp_flagsReg_long_EQNE_rule,
  /* 1011 */  _Binary_cmpOp_flagsReg_long_EQNE_rule,
  /* 1012 */  _Binary_cmpOp_flagsReg_long_EQNE_rule,
  /* 1013 */  _Binary_cmpOp_flagsReg_long_EQNE_rule,
  /* 1014 */  _Binary_cmpOpU_flagsReg_ulong_EQNE_rule,
  /* 1015 */  _Binary_cmpOpU_flagsReg_ulong_EQNE_rule,
  /* 1016 */  _Binary_cmpOp_flagsReg_long_EQNE_rule,
  /* 1017 */  _Binary_cmpOpU_flagsReg_ulong_EQNE_rule,
  /* 1018 */  _Binary_cmpOp_flagsReg_long_EQNE_rule,
  /* 1019 */  _Binary_cmpOp_flagsReg_long_EQNE_rule,
  /* 1020 */  _Binary_cmpOp_flagsReg_long_EQNE_rule,
  /* 1021 */  _Binary_cmpOp_flagsReg_long_EQNE_rule,
  /* 1022 */  cmpOp_commute_rule,
  /* 1023 */  cmpOpU_commute_rule,
  /* 1024 */  _Binary_cmpOp_commute_flagsReg_long_LEGT_rule,
  /* 1025 */  _Binary_cmpOp_commute_flagsReg_long_LEGT_rule,
  /* 1026 */  _Binary_cmpOpU_commute_flagsReg_ulong_LEGT_rule,
  /* 1027 */  _Binary_cmpOpU_commute_flagsReg_ulong_LEGT_rule,
  /* 1028 */  _Binary_cmpOp_commute_flagsReg_long_LEGT_rule,
  /* 1029 */  _Binary_cmpOp_commute_flagsReg_long_LEGT_rule,
  /* 1030 */  _Binary_cmpOpU_commute_flagsReg_ulong_LEGT_rule,
  /* 1031 */  _Binary_cmpOpU_commute_flagsReg_ulong_LEGT_rule,
  /* 1032 */  _Binary_cmpOp_commute_flagsReg_long_LEGT_rule,
  /* 1033 */  _Binary_cmpOpU_commute_flagsReg_ulong_LEGT_rule,
  /* 1034 */  _Binary_cmpOp_commute_flagsReg_long_LEGT_rule,
  /* 1035 */  _Binary_cmpOp_commute_flagsReg_long_LEGT_rule,
  /* 1036 */  _Binary_cmpOp_commute_flagsReg_long_LEGT_rule,
  /* 1037 */  _Binary_cmpOp_commute_flagsReg_long_LEGT_rule,
  /* 1038 */  0,
  /* 1039 */  0,
  /* 1040 */  0,
  /* 1041 */  0,
  /* 1042 */  0,
  /* 1043 */  0,
  /* 1044 */  eRegP_no_EBP_rule,
  /* 1045 */  eRegP_no_EBP_rule,
  /* 1046 */  0,
  /* 1047 */  0,
  /* 1048 */  0,
  /* 1049 */  eRegL_rule,
  /* 1050 */  eRegL_rule,
  /* 1051 */  rRegI_rule,
  /* 1052 */  eRegP_no_EBP_rule,
  /* 1053 */  0,
  /* 1054 */  0,
  /* 1055 */  regF_rule,
  /* 1056 */  regF_rule,
  /* 1057 */  _LoadF_memory__rule,
  /* 1058 */  regF_rule,
  /* 1059 */  regF_rule,
  /* 1060 */  regF_rule,
  /* 1061 */  _LoadF_memory__rule,
  /* 1062 */  regF_rule,
  /* 1063 */  regD_rule,
  /* 1064 */  regD_rule,
  /* 1065 */  _LoadD_memory__rule,
  /* 1066 */  regD_rule,
  /* 1067 */  regD_rule,
  /* 1068 */  regD_rule,
  /* 1069 */  _LoadD_memory__rule,
  /* 1070 */  regD_rule,
  /* 1071 */  regF_rule,
  /* 1072 */  regF_rule,
  /* 1073 */  regF_rule,
  /* 1074 */  regF_rule,
  /* 1075 */  regF_rule,
  /* 1076 */  regF_rule,
  /* 1077 */  regD_rule,
  /* 1078 */  regD_rule,
  /* 1079 */  regD_rule,
  /* 1080 */  regD_rule,
  /* 1081 */  regD_rule,
  /* 1082 */  regD_rule,
  /* 1083 */  regF_rule,
  /* 1084 */  regF_rule,
  /* 1085 */  _LoadF_memory__rule,
  /* 1086 */  regF_rule,
  /* 1087 */  regF_rule,
  /* 1088 */  regF_rule,
  /* 1089 */  _LoadF_memory__rule,
  /* 1090 */  regF_rule,
  /* 1091 */  regD_rule,
  /* 1092 */  regD_rule,
  /* 1093 */  _LoadD_memory__rule,
  /* 1094 */  regD_rule,
  /* 1095 */  regD_rule,
  /* 1096 */  regD_rule,
  /* 1097 */  _LoadD_memory__rule,
  /* 1098 */  regD_rule,
  /* 1099 */  regF_rule,
  /* 1100 */  regF_rule,
  /* 1101 */  regF_rule,
  /* 1102 */  regF_rule,
  /* 1103 */  regF_rule,
  /* 1104 */  regF_rule,
  /* 1105 */  regD_rule,
  /* 1106 */  regD_rule,
  /* 1107 */  regD_rule,
  /* 1108 */  regD_rule,
  /* 1109 */  regD_rule,
  /* 1110 */  regD_rule,
  /* 1111 */  regF_rule,
  /* 1112 */  regD_rule,
  /* 1113 */  vlRegF_rule,
  /* 1114 */  memory_rule,
  /* 1115 */  memory_rule,
  /* 1116 */  kReg_rule,
  /* 1117 */  kReg_rule,
  /* 1118 */  kReg_rule,
  /* 1119 */  vec_rule,
  /* 1120 */  0,
  /* 1121 */  regD_rule,
  /* 1122 */  regF_rule,
  /* 1123 */  memory_rule,
  /* 1124 */  memory_rule,
  /* 1125 */  memory_rule,
  /* 1126 */  memory_rule,
  /* 1127 */  memory_rule,
  /* 1128 */  memory_rule,
  /* 1129 */  memory_rule,
  /* 1130 */  memory_rule,
  /* 1131 */  memory_rule,
  /* 1132 */  memory_rule,
  /* 1133 */  memory_rule,
  /* 1134 */  eRegL_rule,
  /* 1135 */  eRegL_rule,
  /* 1136 */  _Binary_vec_rRegI_rule,
  /* 1137 */  _Binary_vec_rRegI_rule,
  /* 1138 */  _Binary_vec_rRegI_rule,
  /* 1139 */  _Binary_vec_regF_rule,
  /* 1140 */  _Binary_vec_regF_rule,
  /* 1141 */  rRegI_rule,
  /* 1142 */  rRegI_rule,
  /* 1143 */  rRegI_rule,
  /* 1144 */  rRegI_rule,
  /* 1145 */  rRegI_rule,
  /* 1146 */  rRegI_rule,
  /* 1147 */  rRegI_rule,
  /* 1148 */  regF_rule,
  /* 1149 */  regF_rule,
  /* 1150 */  regF_rule,
  /* 1151 */  regF_rule,
  /* 1152 */  regF_rule,
  /* 1153 */  regF_rule,
  /* 1154 */  regF_rule,
  /* 1155 */  regF_rule,
  /* 1156 */  regF_rule,
  /* 1157 */  regF_rule,
  /* 1158 */  regF_rule,
  /* 1159 */  regF_rule,
  /* 1160 */  regF_rule,
  /* 1161 */  regF_rule,
  /* 1162 */  regD_rule,
  /* 1163 */  regD_rule,
  /* 1164 */  regD_rule,
  /* 1165 */  regD_rule,
  /* 1166 */  regD_rule,
  /* 1167 */  regD_rule,
  /* 1168 */  regD_rule,
  /* 1169 */  regD_rule,
  /* 1170 */  regD_rule,
  /* 1171 */  regD_rule,
  /* 1172 */  regD_rule,
  /* 1173 */  regD_rule,
  /* 1174 */  rRegI_rule,
  /* 1175 */  rRegI_rule,
  /* 1176 */  rRegI_rule,
  /* 1177 */  rRegI_rule,
  /* 1178 */  rRegI_rule,
  /* 1179 */  rRegI_rule,
  /* 1180 */  rRegI_rule,
  /* 1181 */  rRegI_rule,
  /* 1182 */  rRegI_rule,
  /* 1183 */  immF_rule,
  /* 1184 */  immF_rule,
  /* 1185 */  immF_rule,
  /* 1186 */  immF_rule,
  /* 1187 */  legRegF_rule,
  /* 1188 */  legRegF_rule,
  /* 1189 */  legRegF_rule,
  /* 1190 */  legRegF_rule,
  /* 1191 */  immD_rule,
  /* 1192 */  immD_rule,
  /* 1193 */  immD_rule,
  /* 1194 */  immD_rule,
  /* 1195 */  legRegD_rule,
  /* 1196 */  legRegD_rule,
  /* 1197 */  legRegD_rule,
  /* 1198 */  legRegD_rule,
  /* 1199 */  vec_rule,
  /* 1200 */  vec_rule,
  /* 1201 */  vec_rule,
  /* 1202 */  _LoadVector_memory__rule,
  /* 1203 */  vec_rule,
  /* 1204 */  vec_rule,
  /* 1205 */  vec_rule,
  /* 1206 */  _LoadVector_memory__rule,
  /* 1207 */  vec_rule,
  /* 1208 */  vec_rule,
  /* 1209 */  vec_rule,
  /* 1210 */  _LoadVector_memory__rule,
  /* 1211 */  vec_rule,
  /* 1212 */  vec_rule,
  /* 1213 */  vec_rule,
  /* 1214 */  _LoadVector_memory__rule,
  /* 1215 */  vec_rule,
  /* 1216 */  vec_rule,
  /* 1217 */  vec_rule,
  /* 1218 */  _LoadVector_memory__rule,
  /* 1219 */  vec_rule,
  /* 1220 */  vec_rule,
  /* 1221 */  vec_rule,
  /* 1222 */  _LoadVector_memory__rule,
  /* 1223 */  vec_rule,
  /* 1224 */  vec_rule,
  /* 1225 */  vec_rule,
  /* 1226 */  vec_rule,
  /* 1227 */  vec_rule,
  /* 1228 */  vec_rule,
  /* 1229 */  vec_rule,
  /* 1230 */  vec_rule,
  /* 1231 */  vec_rule,
  /* 1232 */  vec_rule,
  /* 1233 */  vec_rule,
  /* 1234 */  vec_rule,
  /* 1235 */  vec_rule,
  /* 1236 */  vec_rule,
  /* 1237 */  vec_rule,
  /* 1238 */  vec_rule,
  /* 1239 */  vec_rule,
  /* 1240 */  vec_rule,
  /* 1241 */  vec_rule,
  /* 1242 */  vec_rule,
  /* 1243 */  vec_rule,
  /* 1244 */  vec_rule,
  /* 1245 */  vec_rule,
  /* 1246 */  vec_rule,
  /* 1247 */  _LoadVector_memory__rule,
  /* 1248 */  vec_rule,
  /* 1249 */  vec_rule,
  /* 1250 */  vec_rule,
  /* 1251 */  _LoadVector_memory__rule,
  /* 1252 */  vec_rule,
  /* 1253 */  vec_rule,
  /* 1254 */  _LoadVector_memory__rule,
  /* 1255 */  vec_rule,
  /* 1256 */  vec_rule,
  /* 1257 */  vec_rule,
  /* 1258 */  vec_rule,
  /* 1259 */  vec_rule,
  /* 1260 */  vec_rule,
  /* 1261 */  vec_rule,
  /* 1262 */  _LoadVector_memory__rule,
  /* 1263 */  vec_rule,
  /* 1264 */  vec_rule,
  /* 1265 */  vec_rule,
  /* 1266 */  _LoadVector_memory__rule,
  /* 1267 */  vec_rule,
  /* 1268 */  vec_rule,
  /* 1269 */  vec_rule,
  /* 1270 */  vec_rule,
  /* 1271 */  vec_rule,
  /* 1272 */  vec_rule,
  /* 1273 */  vec_rule,
  /* 1274 */  vec_rule,
  /* 1275 */  vec_rule,
  /* 1276 */  vec_rule,
  /* 1277 */  vec_rule,
  /* 1278 */  vec_rule,
  /* 1279 */  legVec_rule,
  /* 1280 */  legVec_rule,
  /* 1281 */  vec_rule,
  /* 1282 */  vec_rule,
  /* 1283 */  legVec_rule,
  /* 1284 */  legVec_rule,
  /* 1285 */  vec_rule,
  /* 1286 */  vec_rule,
  /* 1287 */  vec_rule,
  /* 1288 */  vec_rule,
  /* 1289 */  vec_rule,
  /* 1290 */  vec_rule,
  /* 1291 */  vec_rule,
  /* 1292 */  vec_rule,
  /* 1293 */  _Binary_vec_vec_rule,
  /* 1294 */  _Binary_vec_vec_rule,
  /* 1295 */  _Binary_vec__LoadVector_memory__rule,
  /* 1296 */  _Binary_vec__LoadVector_memory__rule,
  /* 1297 */  regF_rule,
  /* 1298 */  regD_rule,
  /* 1299 */  vec_rule,
  /* 1300 */  vec_rule,
  /* 1301 */  vec_rule,
  /* 1302 */  vec_rule,
  /* 1303 */  rRegI_rule,
  /* 1304 */  rRegI_rule,
  /* 1305 */  rRegI_rule,
  /* 1306 */  rRegI_rule,
  /* 1307 */  vec_rule,
  /* 1308 */  vec_rule,
  /* 1309 */  vec_rule,
  /* 1310 */  vec_rule,
  /* 1311 */  vec_rule,
  /* 1312 */  vec_rule,
  /* 1313 */  vec_rule,
  /* 1314 */  vec_rule,
  /* 1315 */  vec_rule,
  /* 1316 */  vec_rule,
  /* 1317 */  vec_rule,
  /* 1318 */  vec_rule,
  /* 1319 */  vec_rule,
  /* 1320 */  vec_rule,
  /* 1321 */  vec_rule,
  /* 1322 */  vec_rule,
  /* 1323 */  vec_rule,
  /* 1324 */  vec_rule,
  /* 1325 */  vec_rule,
  /* 1326 */  vec_rule,
  /* 1327 */  vec_rule,
  /* 1328 */  vec_rule,
  /* 1329 */  vec_rule,
  /* 1330 */  vec_rule,
  /* 1331 */  vec_rule,
  /* 1332 */  vec_rule,
  /* 1333 */  vec_rule,
  /* 1334 */  vec_rule,
  /* 1335 */  vec_rule,
  /* 1336 */  vec_rule,
  /* 1337 */  vec_rule,
  /* 1338 */  vec_rule,
  /* 1339 */  vec_rule,
  /* 1340 */  vec_rule,
  /* 1341 */  vec_rule,
  /* 1342 */  vec_rule,
  /* 1343 */  vec_rule,
  /* 1344 */  vec_rule,
  /* 1345 */  vec_rule,
  /* 1346 */  vec_rule,
  /* 1347 */  vec_rule,
  /* 1348 */  vec_rule,
  /* 1349 */  vec_rule,
  /* 1350 */  vec_rule,
  /* 1351 */  vec_rule,
  /* 1352 */  vec_rule,
  /* 1353 */  vec_rule,
  /* 1354 */  vec_rule,
  /* 1355 */  vec_rule,
  /* 1356 */  vec_rule,
  /* 1357 */  vec_rule,
  /* 1358 */  vec_rule,
  /* 1359 */  vec_rule,
  /* 1360 */  vec_rule,
  /* 1361 */  vec_rule,
  /* 1362 */  vec_rule,
  /* 1363 */  vec_rule,
  /* 1364 */  vec_rule,
  /* 1365 */  vec_rule,
  /* 1366 */  vec_rule,
  /* 1367 */  vec_rule,
  /* 1368 */  vec_rule,
  /* 1369 */  vec_rule,
  /* 1370 */  vec_rule,
  /* 1371 */  _LoadVector_memory__rule,
  /* 1372 */  vec_rule,
  /* 1373 */  vec_rule,
  /* 1374 */  vec_rule,
  /* 1375 */  _LoadVector_memory__rule,
  /* 1376 */  vec_rule,
  /* 1377 */  vec_rule,
  /* 1378 */  vec_rule,
  /* 1379 */  _LoadVector_memory__rule,
  /* 1380 */  vec_rule,
  /* 1381 */  vec_rule,
  /* 1382 */  vec_rule,
  /* 1383 */  vec_rule,
  /* 1384 */  vec_rule,
  /* 1385 */  vec_rule,
  /* 1386 */  _Binary_legVec_legVec_rule,
  /* 1387 */  _Binary_vec_vec_rule,
  /* 1388 */  _Binary_vec_vec_rule,
  /* 1389 */  _Binary_legVec_legVec_rule,
  /* 1390 */  _Binary_legVec_legVec_rule,
  /* 1391 */  _Binary_legVec_legVec_rule,
  /* 1392 */  _Binary_vec_vec_rule,
  /* 1393 */  _Binary_vec_vec_rule,
  /* 1394 */  legVec_rule,
  /* 1395 */  legVec_rule,
  /* 1396 */  legVec_rule,
  /* 1397 */  legVec_rule,
  /* 1398 */  legVec_rule,
  /* 1399 */  legVec_rule,
  /* 1400 */  legVec_rule,
  /* 1401 */  legVec_rule,
  /* 1402 */  _Binary_vec_vec_rule,
  /* 1403 */  _Binary_legVec_legVec_rule,
  /* 1404 */  _Binary_legVec_legVec_rule,
  /* 1405 */  _Binary_legVec_legVec_rule,
  /* 1406 */  _Binary_vec_vec_rule,
  /* 1407 */  _Binary_vec_vec_rule,
  /* 1408 */  legVec_rule,
  /* 1409 */  vec_rule,
  /* 1410 */  vec_rule,
  /* 1411 */  vec_rule,
  /* 1412 */  vec_rule,
  /* 1413 */  vec_rule,
  /* 1414 */  vec_rule,
  /* 1415 */  vec_rule,
  /* 1416 */  vec_rule,
  /* 1417 */  vec_rule,
  /* 1418 */  kReg_rule,
  /* 1419 */  kReg_rule,
  /* 1420 */  vec_rule,
  /* 1421 */  legVec_rule,
  /* 1422 */  vec_rule,
  /* 1423 */  vec_rule,
  /* 1424 */  vec_rule,
  /* 1425 */  vec_rule,
  /* 1426 */  legVec_rule,
  /* 1427 */  vec_rule,
  /* 1428 */  vec_rule,
  /* 1429 */  vec_rule,
  /* 1430 */  vec_rule,
  /* 1431 */  vec_rule,
  /* 1432 */  vec_rule,
  /* 1433 */  vec_rule,
  /* 1434 */  vec_rule,
  /* 1435 */  vec_rule,
  /* 1436 */  vec_rule,
  /* 1437 */  vec_rule,
  /* 1438 */  vec_rule,
  /* 1439 */  vec_rule,
  /* 1440 */  _MulAddVS2VI_vec_vec_rule,
  /* 1441 */  vec_rule,
  /* 1442 */  vec_rule,
  /* 1443 */  vec_rule,
  /* 1444 */  vec_rule,
  /* 1445 */  vec_rule,
  /* 1446 */  vec_rule,
  /* 1447 */  vec_rule,
  /* 1448 */  vec_rule,
  /* 1449 */  vec_rule,
  /* 1450 */  _Binary_vec_vec_rule,
  /* 1451 */  _Binary_vec_vec_rule,
  /* 1452 */  vec_rule,
  /* 1453 */  vec_rule,
  /* 1454 */  vec_rule,
  /* 1455 */  vec_rule,
  /* 1456 */  memory_rule,
  /* 1457 */  memory_rule,
  /* 1458 */  memory_rule,
  /* 1459 */  memory_rule,
  /* 1460 */  vec_rule,
  /* 1461 */  vec_rule,
  /* 1462 */  vec_rule,
  /* 1463 */  vec_rule,
  /* 1464 */  vec_rule,
  /* 1465 */  vec_rule,
  /* 1466 */  vec_rule,
  /* 1467 */  vec_rule,
  /* 1468 */  vec_rule,
  /* 1469 */  _Binary_vec_vec_rule,
  /* 1470 */  _Binary_vec_vec_rule,
  /* 1471 */  _Binary_vec_vec_rule,
  /* 1472 */  _Binary_vec_vec_rule,
  /* 1473 */  _Binary_vec_vec_rule,
  /* 1474 */  _Binary_vec_vec_rule,
  /* 1475 */  _Binary_vec__LoadVector_memory__rule,
  /* 1476 */  _Binary_vec__LoadVector_memory__rule,
  /* 1477 */  _Binary_vec__LoadVector_memory__rule,
  /* 1478 */  _Binary_vec__LoadVector_memory__rule,
  /* 1479 */  _Binary_vec__LoadVector_memory__rule,
  /* 1480 */  _Binary_vec__LoadVector_memory__rule,
  /* 1481 */  _Binary_vec_vec_rule,
  /* 1482 */  _Binary_vec__LoadVector_memory__rule,
  /* 1483 */  _Binary_vec_vec_rule,
  /* 1484 */  _Binary_vec__LoadVector_memory__rule,
  /* 1485 */  _Binary_vec_vec_rule,
  /* 1486 */  _Binary_vec__LoadVector_memory__rule,
  /* 1487 */  _Binary_vec_vec_rule,
  /* 1488 */  _Binary_vec_vec_rule,
  /* 1489 */  _Binary_vec_vec_rule,
  /* 1490 */  _Binary_vec_vec_rule,
  /* 1491 */  _Binary_vec_vec_rule,
  /* 1492 */  _Binary_vec_vec_rule,
  /* 1493 */  _Binary_vec__LoadVector_memory__rule,
  /* 1494 */  _Binary_vec__LoadVector_memory__rule,
  /* 1495 */  _Binary_vec__LoadVector_memory__rule,
  /* 1496 */  _Binary_vec__LoadVector_memory__rule,
  /* 1497 */  _Binary_vec__LoadVector_memory__rule,
  /* 1498 */  _Binary_vec__LoadVector_memory__rule,
  /* 1499 */  _Binary_vec_vec_rule,
  /* 1500 */  _Binary_vec_vec_rule,
  /* 1501 */  _Binary_vec_vec_rule,
  /* 1502 */  _Binary_vec_vec_rule,
  /* 1503 */  _Binary_vec_vec_rule,
  /* 1504 */  _Binary_vec__LoadVector_memory__rule,
  /* 1505 */  _Binary_vec__LoadVector_memory__rule,
  /* 1506 */  _Binary_vec__LoadVector_memory__rule,
  /* 1507 */  _Binary_vec__LoadVector_memory__rule,
  /* 1508 */  _Binary_vec__LoadVector_memory__rule,
  /* 1509 */  vec_rule,
  /* 1510 */  vec_rule,
  /* 1511 */  _Binary_vec_vec_rule,
  /* 1512 */  _Binary_vec_vec_rule,
  /* 1513 */  _Binary_vec__LoadVector_memory__rule,
  /* 1514 */  _Binary_vec__LoadVector_memory__rule,
  /* 1515 */  _Binary_vec_immI8_rule,
  /* 1516 */  _Binary_vec_immI8_rule,
  /* 1517 */  _Binary_vec_vec_rule,
  /* 1518 */  _Binary_vec_vec_rule,
  /* 1519 */  _Binary_vec__LShiftCntV_immI8__rule,
  /* 1520 */  _Binary_vec__LShiftCntV_immI8__rule,
  /* 1521 */  _Binary_vec__LShiftCntV_immI8__rule,
  /* 1522 */  _Binary_vec_vec_rule,
  /* 1523 */  _Binary_vec_vec_rule,
  /* 1524 */  _Binary_vec_vec_rule,
  /* 1525 */  _Binary_vec_vec_rule,
  /* 1526 */  _Binary_vec_vec_rule,
  /* 1527 */  _Binary_vec_vec_rule,
  /* 1528 */  _Binary_vec__RShiftCntV_immI8__rule,
  /* 1529 */  _Binary_vec__RShiftCntV_immI8__rule,
  /* 1530 */  _Binary_vec__RShiftCntV_immI8__rule,
  /* 1531 */  _Binary_vec_vec_rule,
  /* 1532 */  _Binary_vec_vec_rule,
  /* 1533 */  _Binary_vec_vec_rule,
  /* 1534 */  _Binary_vec_vec_rule,
  /* 1535 */  _Binary_vec_vec_rule,
  /* 1536 */  _Binary_vec_vec_rule,
  /* 1537 */  _Binary_vec__RShiftCntV_immI8__rule,
  /* 1538 */  _Binary_vec__RShiftCntV_immI8__rule,
  /* 1539 */  _Binary_vec__RShiftCntV_immI8__rule,
  /* 1540 */  _Binary_vec_vec_rule,
  /* 1541 */  _Binary_vec_vec_rule,
  /* 1542 */  _Binary_vec_vec_rule,
  /* 1543 */  _Binary_vec_vec_rule,
  /* 1544 */  _Binary_vec_vec_rule,
  /* 1545 */  _Binary_vec_vec_rule,
  /* 1546 */  _Binary_vec_vec_rule,
  /* 1547 */  _Binary_vec__LoadVector_memory__rule,
  /* 1548 */  _Binary_vec_vec_rule,
  /* 1549 */  _Binary_vec__LoadVector_memory__rule,
  /* 1550 */  _Binary_vec_vec_rule,
  /* 1551 */  vec_rule,
  /* 1552 */  vec_rule,
  /* 1553 */  vec_rule,
  /* 1554 */  vec_rule,
  /* 1555 */  _Binary_vec_vec_rule,
  /* 1556 */  _Binary_vec_vec_rule,
  /* 1557 */  _Binary_vec_vec_rule,
  /* 1558 */  _Binary_vec_vec_rule,
  /* 1559 */  _Binary_vec_vec_rule,
  /* 1560 */  rRegI_rule,
  /* 1561 */  kReg_rule,
  /* 1562 */  kReg_rule,
  /* 1563 */  kReg_rule,
  /* 1564 */  vec_rule,
  /* 1565 */  vec_rule,
  /* 1566 */  regF_rule,
  /* 1567 */  regD_rule,
  /* 1568 */  vec_rule,
  /* 1569 */  vec_rule,
  /* 1570 */  vec_rule,
  /* 1571 */  vec_rule,
  /* 1572 */  vec_rule,
  /* 1573 */  vec_rule,
  /* 1574 */  vec_rule,
  /* 1575 */  vec_rule,
  /* 1576 */  vec_rule,
  /* 1577 */  vec_rule,
  /* 1578 */  vec_rule,
  /* 1579 */  vec_rule,
  /* 1580 */  vec_rule,
  /* 1581 */  vec_rule,
  /* 1582 */  vec_rule,
  /* 1583 */  vec_rule,
  /* 1584 */  _Binary_vec_vec_rule,
  /* 1585 */  _Binary_vec_vec_rule,
  /* 1586 */  _Binary_vec_vec_rule,
  /* 1587 */  _Binary_vec_vec_rule,
  /* 1588 */  _Binary_vec__LoadVector_memory__rule,
  /* 1589 */  _Binary_vec__LoadVector_memory__rule,
  /* 1590 */  _Binary_vec__LoadVector_memory__rule,
  /* 1591 */  _Binary_vec__LoadVector_memory__rule,
  /* 1592 */  _Binary_vec_vec_rule,
  /* 1593 */  memory_rule,
  /* 1594 */  memory_rule,
  /* 1595 */  memory_rule,
  // last instruction
  0 // no trailing comma
};

const        int   rightOp[] = {
  /*    0 */  0,
  /*    1 */  0,
  /*    2 */  0,
  /*    3 */  0,
  /*    4 */  0,
  /*    5 */  0,
  /*    6 */  0,
  /*    7 */  0,
  /*    8 */  0,
  /*    9 */  0,
  /*   10 */  0,
  /*   11 */  0,
  /*   12 */  0,
  /*   13 */  0,
  /*   14 */  0,
  /*   15 */  0,
  /*   16 */  0,
  /*   17 */  0,
  /*   18 */  0,
  /*   19 */  0,
  /*   20 */  0,
  /*   21 */  0,
  /*   22 */  0,
  /*   23 */  0,
  /*   24 */  0,
  /*   25 */  0,
  /*   26 */  0,
  /*   27 */  0,
  /*   28 */  0,
  /*   29 */  0,
  /*   30 */  0,
  /*   31 */  0,
  /*   32 */  0,
  /*   33 */  0,
  /*   34 */  0,
  /*   35 */  0,
  /*   36 */  0,
  /*   37 */  0,
  /*   38 */  0,
  /*   39 */  0,
  /*   40 */  0,
  /*   41 */  0,
  /*   42 */  0,
  /*   43 */  0,
  /*   44 */  0,
  /*   45 */  0,
  /*   46 */  0,
  /*   47 */  0,
  /*   48 */  0,
  /*   49 */  0,
  /*   50 */  0,
  /*   51 */  0,
  /*   52 */  0,
  /*   53 */  0,
  /*   54 */  0,
  /*   55 */  0,
  /*   56 */  0,
  /*   57 */  0,
  /*   58 */  0,
  /*   59 */  0,
  /*   60 */  0,
  /*   61 */  0,
  /*   62 */  0,
  /*   63 */  0,
  /*   64 */  0,
  /*   65 */  0,
  /*   66 */  0,
  /*   67 */  0,
  /*   68 */  0,
  /*   69 */  0,
  /*   70 */  0,
  /*   71 */  0,
  /*   72 */  0,
  /*   73 */  0,
  /*   74 */  0,
  /*   75 */  0,
  /*   76 */  0,
  /*   77 */  0,
  /*   78 */  0,
  /*   79 */  0,
  /*   80 */  0,
  /*   81 */  0,
  /*   82 */  0,
  /*   83 */  0,
  /*   84 */  0,
  /*   85 */  0,
  /*   86 */  0,
  /*   87 */  0,
  /*   88 */  0,
  /*   89 */  0,
  /*   90 */  0,
  /*   91 */  0,
  /*   92 */  0,
  /*   93 */  0,
  /*   94 */  0,
  /*   95 */  0,
  /*   96 */  0,
  /*   97 */  immI8_rule,
  /*   98 */  immI_rule,
  /*   99 */  rRegI_rule,
  /*  100 */  immI_rule,
  /*  101 */  rRegI_rule,
  /*  102 */  _LShiftI_rRegI_immI2_rule,
  /*  103 */  immI_rule,
  /*  104 */  0,
  /*  105 */  0,
  /*  106 */  immI_rule,
  /*  107 */  0,
  /*  108 */  0,
  /*  109 */  0,
  /*  110 */  0,
  /*  111 */  0,
  /*  112 */  0,
  /*  113 */  0,
  /*  114 */  0,
  /*  115 */  0,
  /*  116 */  0,
  /*  117 */  0,
  /*  118 */  0,
  /*  119 */  0,
  /*  120 */  0,
  /*  121 */  0,
  /*  122 */  0,
  /*  123 */  0,
  /*  124 */  0,
  /*  125 */  0,
  /*  126 */  0,
  /*  127 */  0,
  /*  128 */  0,
  /*  129 */  0,
  /*  130 */  0,
  /*  131 */  0,
  // last operand
  /*  132 */  0,
  /*  133 */  0,
  /*  134 */  0,
  // last operand class
  /*  135 */  rRegI_rule,
  /*  136 */  immI2_rule,
  /*  137 */  _LShiftI_rRegI_immI2_rule,
  /*  138 */  0,
  /*  139 */  0,
  /*  140 */  0,
  /*  141 */  0,
  /*  142 */  immI_rule,
  /*  143 */  0,
  /*  144 */  immI_24_rule,
  /*  145 */  0,
  /*  146 */  immI_24_rule,
  /*  147 */  immI_255_rule,
  /*  148 */  immI_rule,
  /*  149 */  immI_24_rule,
  /*  150 */  immI_16_rule,
  /*  151 */  immI_255_rule,
  /*  152 */  immI_65535_rule,
  /*  153 */  immU31_rule,
  /*  154 */  0,
  /*  155 */  0,
  /*  156 */  0,
  /*  157 */  0,
  /*  158 */  0,
  /*  159 */  eFlagsReg_rule,
  /*  160 */  rRegI_rule,
  /*  161 */  eFlagsRegU_rule,
  /*  162 */  eFlagsRegUCF_rule,
  /*  163 */  _LoadI_memory__rule,
  /*  164 */  eRegP_rule,
  /*  165 */  eFlagsRegU_rule,
  /*  166 */  regDPR_rule,
  /*  167 */  regFPR_rule,
  /*  168 */  regDPR_rule,
  /*  169 */  regFPR_rule,
  /*  170 */  regF_rule,
  /*  171 */  regD_rule,
  /*  172 */  eRegL_rule,
  /*  173 */  rRegI_rule,
  /*  174 */  _LoadI_memory__rule,
  /*  175 */  immI_rule,
  /*  176 */  immI_1_rule,
  /*  177 */  immI_M1_rule,
  /*  178 */  eBCXRegL_rule,
  /*  179 */  eCXRegP_rule,
  /*  180 */  eCXRegI_rule,
  /*  181 */  rRegI_rule,
  /*  182 */  rRegI_rule,
  /*  183 */  0,
  /*  184 */  eADXRegL_low_only_rule,
  /*  185 */  immI_32_rule,
  /*  186 */  _ConvI2L_nadxRegI__rule,
  /*  187 */  immI_32_rule,
  /*  188 */  immI_32_63_rule,
  /*  189 */  immI_32_63_rule,
  /*  190 */  0,
  /*  191 */  immL_32bits_rule,
  /*  192 */  immL_32bits_rule,
  /*  193 */  immI_1_rule,
  /*  194 */  immI8_rule,
  /*  195 */  immI_24_rule,
  /*  196 */  immI_16_rule,
  /*  197 */  rRegI_rule,
  /*  198 */  _LoadI_memory__rule,
  /*  199 */  immI_rule,
  /*  200 */  immI_M1_rule,
  /*  201 */  _LoadI_memory__rule,
  /*  202 */  immI_M1_rule,
  /*  203 */  0,
  /*  204 */  rRegI_rule,
  /*  205 */  _LoadI_memory__rule,
  /*  206 */  immI_rule,
  /*  207 */  immI_1_rule,
  /*  208 */  immI_M1_rule,
  /*  209 */  immI8_rule,
  /*  210 */  immI8_rule,
  /*  211 */  eCXRegI_rule,
  /*  212 */  eCXRegI_rule,
  /*  213 */  _SubI_immI_0_eCXRegI_rule,
  /*  214 */  eCXRegI_rule,
  /*  215 */  _SubI_immI_32_eCXRegI_rule,
  /*  216 */  immI_1_rule,
  /*  217 */  immI_M1_rule,
  /*  218 */  eCXRegI_rule,
  /*  219 */  _SubI_immI_0_eCXRegI_rule,
  /*  220 */  _SubI_immI_32_eCXRegI_rule,
  /*  221 */  rRegI_rule,
  /*  222 */  _LoadI_memory__rule,
  /*  223 */  immI_rule,
  /*  224 */  rRegI_rule,
  /*  225 */  rRegI_rule,
  /*  226 */  rRegI_rule,
  /*  227 */  _CmpLTMask_rRegI_rRegI_rule,
  /*  228 */  0,
  /*  229 */  immL_M1_rule,
  /*  230 */  eRegL_rule,
  /*  231 */  _LoadL_memory__rule,
  /*  232 */  immL_M1_rule,
  /*  233 */  immL_M1_rule,
  /*  234 */  0,
  /*  235 */  regDPR_rule,
  /*  236 */  regDPR_rule,
  /*  237 */  regDPR_rule,
  /*  238 */  0,
  /*  239 */  _LoadD_memory__rule,
  /*  240 */  0,
  /*  241 */  immDPR_rule,
  /*  242 */  regDPR_rule,
  /*  243 */  0,
  /*  244 */  regFPR_rule,
  /*  245 */  _LoadF_memory__rule,
  /*  246 */  regFPR_rule,
  /*  247 */  regFPR_rule,
  /*  248 */  0,
  /*  249 */  eCXRegI_rule,
  /*  250 */  eDXRegI_rule,
  /*  251 */  eSIRegP_rule,
  /*  252 */  eDXRegI_rule,
  /*  253 */  immI_rule,
  /*  254 */  eAXRegI_rule,
  /*  255 */  immI_rule,
  /*  256 */  memory_rule,
  /*  257 */  0,
  /*  258 */  eAXRegI_rule,
  /*  259 */  eAXRegP_rule,
  /*  260 */  flagsReg_long_LTGE_rule,
  /*  261 */  _LoadL_load_long_memory__rule,
  /*  262 */  flagsReg_ulong_LTGE_rule,
  /*  263 */  flagsReg_long_EQNE_rule,
  /*  264 */  flagsReg_ulong_EQNE_rule,
  /*  265 */  flagsReg_long_LEGT_rule,
  /*  266 */  flagsReg_ulong_LEGT_rule,
  /*  267 */  0,
  /*  268 */  0,
  /*  269 */  0,
  /*  270 */  kReg_rule,
  /*  271 */  immI_0_rule,
  /*  272 */  rRegI_rule,
  /*  273 */  vec_rule,
  /*  274 */  _Binary_vec_kReg_rule,
  /*  275 */  rRegI_rule,
  /*  276 */  regF_rule,
  /*  277 */  _LoadVector_memory__rule,
  /*  278 */  0,
  /*  279 */  0,
  /*  280 */  legVec_rule,
  /*  281 */  vec_rule,
  /*  282 */  immU8_rule,
  /*  283 */  immU8_rule,
  /*  284 */  immI8_rule,
  /*  285 */  _LShiftCntV_immI8__rule,
  /*  286 */  _RShiftCntV_immI8__rule,
  /*  287 */  kReg_rule,
  /*  288 */  kReg_rule,
  /*  289 */  kReg_rule,
  /*  290 */  _Binary_immU8_kReg_rule,
  /*  291 */  _Binary_vec__Binary_immU8_kReg_rule,
  /*  292 */  _Binary_immU8_kReg_rule,
  /*  293 */  _Binary_memory__Binary_immU8_kReg_rule,
  /*  294 */  eRegP_rule,
  // last internally defined operand
  /*  295 */  0,
  /*  296 */  0,
  /*  297 */  0,
  /*  298 */  0,
  /*  299 */  0,
  /*  300 */  0,
  /*  301 */  0,
  /*  302 */  0,
  /*  303 */  0,
  /*  304 */  0,
  /*  305 */  0,
  /*  306 */  0,
  /*  307 */  0,
  /*  308 */  0,
  /*  309 */  0,
  /*  310 */  0,
  /*  311 */  0,
  /*  312 */  0,
  /*  313 */  0,
  /*  314 */  0,
  /*  315 */  0,
  /*  316 */  0,
  /*  317 */  0,
  /*  318 */  0,
  /*  319 */  0,
  /*  320 */  0,
  /*  321 */  0,
  /*  322 */  0,
  /*  323 */  0,
  /*  324 */  0,
  /*  325 */  0,
  /*  326 */  0,
  /*  327 */  0,
  /*  328 */  0,
  /*  329 */  0,
  /*  330 */  0,
  /*  331 */  0,
  /*  332 */  0,
  /*  333 */  0,
  /*  334 */  0,
  /*  335 */  0,
  /*  336 */  0,
  /*  337 */  0,
  /*  338 */  0,
  /*  339 */  0,
  /*  340 */  0,
  /*  341 */  0,
  /*  342 */  0,
  /*  343 */  0,
  /*  344 */  0,
  /*  345 */  0,
  /*  346 */  0,
  /*  347 */  rRegI_rule,
  /*  348 */  immI_rule,
  /*  349 */  rRegI_rule,
  /*  350 */  immI_rule,
  /*  351 */  eAXRegI_rule,
  /*  352 */  rRegI_rule,
  /*  353 */  immI_rule,
  /*  354 */  regDPR_rule,
  /*  355 */  regDPR_rule,
  /*  356 */  regDPR_rule,
  /*  357 */  regD_rule,
  /*  358 */  regD_rule,
  /*  359 */  _LoadD_memory__rule,
  /*  360 */  _LoadD_memory__rule,
  /*  361 */  0,
  /*  362 */  0,
  /*  363 */  regFPR_rule,
  /*  364 */  regFPR_rule,
  /*  365 */  regFPR_rule,
  /*  366 */  regF_rule,
  /*  367 */  regF_rule,
  /*  368 */  _LoadF_memory__rule,
  /*  369 */  _LoadF_memory__rule,
  /*  370 */  0,
  /*  371 */  0,
  /*  372 */  0,
  /*  373 */  0,
  /*  374 */  0,
  /*  375 */  0,
  /*  376 */  0,
  /*  377 */  0,
  /*  378 */  0,
  /*  379 */  0,
  /*  380 */  0,
  /*  381 */  rRegI_rule,
  /*  382 */  immI_rule,
  /*  383 */  _LoadI_memory__rule,
  /*  384 */  immI_0_rule,
  /*  385 */  immI_0_rule,
  /*  386 */  immI_0_rule,
  /*  387 */  rRegI_rule,
  /*  388 */  immI_rule,
  /*  389 */  _LoadI_memory__rule,
  /*  390 */  immI_0_rule,
  /*  391 */  eRegP_rule,
  /*  392 */  immP_rule,
  /*  393 */  _LoadP_memory__rule,
  /*  394 */  _LoadP_memory__rule,
  /*  395 */  immP0_rule,
  /*  396 */  immI_0_rule,
  /*  397 */  immP0_rule,
  /*  398 */  immL0_rule,
  /*  399 */  eRegL_rule,
  /*  400 */  immL0_rule,
  /*  401 */  eRegL_rule,
  /*  402 */  immL0_rule,
  /*  403 */  eRegL_rule,
  /*  404 */  immL0_rule,
  /*  405 */  eRegL_rule,
  /*  406 */  immL0_rule,
  /*  407 */  eRegL_rule,
  /*  408 */  immL0_rule,
  /*  409 */  eRegL_rule,
  /*  410 */  eBXRegP_rule,
  /*  411 */  eAXRegP_rule,
  /*  412 */  eBXRegP_rule,
  /*  413 */  eAXRegP_rule,
  /*  414 */  0,
  /*  415 */  0,
  /*  416 */  0,
  /*  417 */  0,
  /*  418 */  0,
  /*  419 */  0,
  /*  420 */  0,
  /*  421 */  0,
  /*  422 */  0,
  /*  423 */  0,
  /*  424 */  0,
  /*  425 */  0,
  /*  426 */  0,
  /*  427 */  0,
  /*  428 */  0,
  /*  429 */  0,
  /*  430 */  0,
  /*  431 */  0,
  /*  432 */  0,
  /*  433 */  0,
  /*  434 */  0,
  /*  435 */  0,
  /*  436 */  0,
  /*  437 */  0,
  /*  438 */  0,
  /*  439 */  0,
  /*  440 */  0,
  /*  441 */  0,
  /*  442 */  0,
  /*  443 */  0,
  /*  444 */  0,
  /*  445 */  0,
  /*  446 */  0,
  /*  447 */  0,
  /*  448 */  0,
  /*  449 */  0,
  /*  450 */  0,
  /*  451 */  0,
  /*  452 */  0,
  /*  453 */  0,
  /*  454 */  0,
  /*  455 */  0,
  /*  456 */  0,
  /*  457 */  0,
  /*  458 */  0,
  /*  459 */  0,
  /*  460 */  0,
  /*  461 */  0,
  /*  462 */  0,
  /*  463 */  0,
  /*  464 */  0,
  /*  465 */  0,
  /*  466 */  0,
  /*  467 */  0,
  /*  468 */  0,
  /*  469 */  0,
  /*  470 */  0,
  /*  471 */  0,
  /*  472 */  0,
  /*  473 */  0,
  /*  474 */  0,
  /*  475 */  0,
  /*  476 */  0,
  /*  477 */  0,
  /*  478 */  0,
  /*  479 */  0,
  /*  480 */  0,
  /*  481 */  0,
  /*  482 */  0,
  /*  483 */  0,
  /*  484 */  0,
  /*  485 */  0,
  /*  486 */  0,
  /*  487 */  0,
  /*  488 */  0,
  /*  489 */  0,
  /*  490 */  0,
  /*  491 */  0,
  /*  492 */  0,
  /*  493 */  0,
  /*  494 */  0,
  /*  495 */  0,
  /*  496 */  0,
  /*  497 */  0,
  /*  498 */  0,
  /*  499 */  0,
  /*  500 */  0,
  /*  501 */  0,
  /*  502 */  0,
  /*  503 */  0,
  /*  504 */  0,
  /*  505 */  0,
  /*  506 */  0,
  /*  507 */  0,
  /*  508 */  0,
  /*  509 */  0,
  /*  510 */  0,
  /*  511 */  0,
  /*  512 */  0,
  /*  513 */  0,
  /*  514 */  0,
  /*  515 */  0,
  /*  516 */  0,
  /*  517 */  0,
  /*  518 */  0,
  /*  519 */  immI_24_rule,
  /*  520 */  0,
  /*  521 */  0,
  /*  522 */  immI_24_rule,
  /*  523 */  0,
  /*  524 */  0,
  /*  525 */  0,
  /*  526 */  0,
  /*  527 */  immI_24_rule,
  /*  528 */  immI_255_rule,
  /*  529 */  immI_16_rule,
  /*  530 */  immI_65535_rule,
  /*  531 */  0,
  /*  532 */  0,
  /*  533 */  0,
  /*  534 */  0,
  /*  535 */  immL_32bits_rule,
  /*  536 */  0,
  /*  537 */  0,
  /*  538 */  0,
  /*  539 */  0,
  /*  540 */  0,
  /*  541 */  0,
  /*  542 */  0,
  /*  543 */  0,
  /*  544 */  0,
  /*  545 */  0,
  /*  546 */  0,
  /*  547 */  0,
  /*  548 */  0,
  /*  549 */  0,
  /*  550 */  0,
  /*  551 */  0,
  /*  552 */  0,
  /*  553 */  xRegI_rule,
  /*  554 */  rRegI_rule,
  /*  555 */  rRegI_rule,
  /*  556 */  eRegL_rule,
  /*  557 */  _ConvL2I_eRegL__rule,
  /*  558 */  stackSlotL_rule,
  /*  559 */  stackSlotL_rule,
  /*  560 */  eRegL_rule,
  /*  561 */  anyRegP_rule,
  /*  562 */  immI_rule,
  /*  563 */  immI16_rule,
  /*  564 */  immP_rule,
  /*  565 */  immI8_rule,
  /*  566 */  regDPR1_rule,
  /*  567 */  _RoundDouble_regDPR1__rule,
  /*  568 */  regD_rule,
  /*  569 */  regF_rule,
  /*  570 */  regFPR1_rule,
  /*  571 */  _RoundFloat_regFPR1__rule,
  /*  572 */  _ConvD2F_regDPR1__rule,
  /*  573 */  immFPR_rule,
  /*  574 */  immF_rule,
  /*  575 */  0,
  /*  576 */  0,
  /*  577 */  0,
  /*  578 */  0,
  /*  579 */  0,
  /*  580 */  0,
  /*  581 */  0,
  /*  582 */  0,
  /*  583 */  0,
  /*  584 */  _Binary_rRegI_rRegI_rule,
  /*  585 */  _Binary_rRegI_rRegI_rule,
  /*  586 */  _Binary_rRegI_rRegI_rule,
  /*  587 */  _Binary_rRegI_rRegI_rule,
  /*  588 */  _Binary_rRegI_rRegI_rule,
  /*  589 */  _Binary_rRegI__LoadI_memory__rule,
  /*  590 */  _Binary_rRegI__LoadI_memory__rule,
  /*  591 */  _Binary_rRegI__LoadI_memory__rule,
  /*  592 */  _Binary_eRegP_eRegP_rule,
  /*  593 */  _Binary_eRegP_eRegP_rule,
  /*  594 */  _Binary_eRegP_eRegP_rule,
  /*  595 */  _Binary_eRegP_eRegP_rule,
  /*  596 */  _Binary_regDPR1_regDPR_rule,
  /*  597 */  _Binary_regFPR1_regFPR_rule,
  /*  598 */  _Binary_regDPR_regDPR_rule,
  /*  599 */  _Binary_regFPR_regFPR_rule,
  /*  600 */  _Binary_regF_regF_rule,
  /*  601 */  _Binary_regD_regD_rule,
  /*  602 */  _Binary_regF_regF_rule,
  /*  603 */  _Binary_regF_regF_rule,
  /*  604 */  _Binary_regD_regD_rule,
  /*  605 */  _Binary_regD_regD_rule,
  /*  606 */  _Binary_eRegL_eRegL_rule,
  /*  607 */  _Binary_eRegL_eRegL_rule,
  /*  608 */  _Binary_eRegL_eRegL_rule,
  /*  609 */  rRegI_rule,
  /*  610 */  immI_rule,
  /*  611 */  immI_1_rule,
  /*  612 */  immI_rule,
  /*  613 */  immI_rule,
  /*  614 */  immI_M1_rule,
  /*  615 */  rRegI_rule,
  /*  616 */  immI_rule,
  /*  617 */  _LoadI_memory__rule,
  /*  618 */  rRegI_rule,
  /*  619 */  _AddI__LoadI_memory__rRegI_rule,
  /*  620 */  _AddI_rRegI__LoadI_memory__rule,
  /*  621 */  _AddI__LoadI_memory__immI_rule,
  /*  622 */  _AddI__LoadI_memory__immI_1_rule,
  /*  623 */  _AddI__LoadI_memory__immI_M1_rule,
  /*  624 */  _Binary_eADXRegL_eBCXRegL_rule,
  /*  625 */  _Binary_eADXRegL_eBCXRegL_rule,
  /*  626 */  _Binary_eAXRegP_eCXRegP_rule,
  /*  627 */  _Binary_eAXRegP_eCXRegP_rule,
  /*  628 */  _Binary_eAXRegI_eCXRegI_rule,
  /*  629 */  _Binary_eAXRegI_eCXRegI_rule,
  /*  630 */  _Binary_eAXRegI_eCXRegI_rule,
  /*  631 */  _Binary_eAXRegI_eCXRegI_rule,
  /*  632 */  _Binary_eAXRegI_eCXRegI_rule,
  /*  633 */  _Binary_eAXRegI_eCXRegI_rule,
  /*  634 */  _Binary_eADXRegL_eBCXRegL_rule,
  /*  635 */  _Binary_eAXRegP_eCXRegP_rule,
  /*  636 */  _Binary_eAXRegI_eCXRegI_rule,
  /*  637 */  _Binary_eAXRegI_eCXRegI_rule,
  /*  638 */  _Binary_eAXRegI_eCXRegI_rule,
  /*  639 */  immI_rule,
  /*  640 */  xRegI_rule,
  /*  641 */  immI_rule,
  /*  642 */  rRegI_rule,
  /*  643 */  immI_rule,
  /*  644 */  rRegI_rule,
  /*  645 */  xRegI_rule,
  /*  646 */  rRegI_rule,
  /*  647 */  rRegI_rule,
  /*  648 */  pRegP_rule,
  /*  649 */  rRegI_rule,
  /*  650 */  immI_rule,
  /*  651 */  _LoadI_memory__rule,
  /*  652 */  _SubI__LoadI_memory__rRegI_rule,
  /*  653 */  _SubI_immI_0_rRegI_rule,
  /*  654 */  rRegI_rule,
  /*  655 */  rRegI_rule,
  /*  656 */  immI_rule,
  /*  657 */  0,
  /*  658 */  0,
  /*  659 */  0,
  /*  660 */  0,
  /*  661 */  immI_rule,
  /*  662 */  _LoadI_memory__rule,
  /*  663 */  rRegI_rule,
  /*  664 */  _Binary_rRegI_rRegI_rule,
  /*  665 */  _ConvI2L_nadxRegI__rule,
  /*  666 */  _ConvI2L_eAXRegI__rule,
  /*  667 */  _AndL__ConvI2L_nadxRegI__immL_32bits_rule,
  /*  668 */  _AndL__ConvI2L_eAXRegI__immL_32bits_rule,
  /*  669 */  eRegL_rule,
  /*  670 */  eRegL_rule,
  /*  671 */  eRegL_rule,
  /*  672 */  eRegL_rule,
  /*  673 */  immL_127_rule,
  /*  674 */  eCXRegI_rule,
  /*  675 */  eRegL_rule,
  /*  676 */  eCXRegI_rule,
  /*  677 */  eCXRegI_rule,
  /*  678 */  eRegL_rule,
  /*  679 */  immL32_rule,
  /*  680 */  immL32_rule,
  /*  681 */  immI_1_rule,
  /*  682 */  immI8_rule,
  /*  683 */  eCXRegI_rule,
  /*  684 */  immI_1_rule,
  /*  685 */  _RShiftI__LoadI_memory__immI_1_rule,
  /*  686 */  immI8_rule,
  /*  687 */  _RShiftI__LoadI_memory__immI8_rule,
  /*  688 */  eCXRegI_rule,
  /*  689 */  immI_1_rule,
  /*  690 */  immI8_rule,
  /*  691 */  immI_24_rule,
  /*  692 */  immI_16_rule,
  /*  693 */  eCXRegI_rule,
  /*  694 */  rRegI_rule,
  /*  695 */  immI_rule,
  /*  696 */  _LoadI_memory__rule,
  /*  697 */  rRegI_rule,
  /*  698 */  _AndI__LoadI_memory__rRegI_rule,
  /*  699 */  _AndI_rRegI__LoadI_memory__rule,
  /*  700 */  _AndI__LoadI_memory__immI_rule,
  /*  701 */  rRegI_rule,
  /*  702 */  _XorI_rRegI_immI_M1_rule,
  /*  703 */  _LoadI_memory__rule,
  /*  704 */  _XorI_rRegI_immI_M1_rule,
  /*  705 */  rRegI_rule,
  /*  706 */  _SubI_immI_0_rRegI_rule,
  /*  707 */  _LoadI_memory__rule,
  /*  708 */  _SubI_immI_0__LoadI_memory__rule,
  /*  709 */  rRegI_rule,
  /*  710 */  _AddI_rRegI_immI_M1_rule,
  /*  711 */  _LoadI_memory__rule,
  /*  712 */  _AddI__LoadI_memory__immI_M1_rule,
  /*  713 */  rRegI_rule,
  /*  714 */  _AddI_rRegI_immI_M1_rule,
  /*  715 */  _LoadI_memory__rule,
  /*  716 */  _AddI__LoadI_memory__immI_M1_rule,
  /*  717 */  rRegI_rule,
  /*  718 */  _CastP2X_eRegP__rule,
  /*  719 */  rRegI_rule,
  /*  720 */  immI_rule,
  /*  721 */  _LoadI_memory__rule,
  /*  722 */  rRegI_rule,
  /*  723 */  _OrI__LoadI_memory__rRegI_rule,
  /*  724 */  _OrI_rRegI__LoadI_memory__rule,
  /*  725 */  _OrI__LoadI_memory__immI_rule,
  /*  726 */  0,
  /*  727 */  0,
  /*  728 */  0,
  /*  729 */  _URShiftI_rRegI_immI_M1_rule,
  /*  730 */  _LShiftI_rRegI_immI_1_rule,
  /*  731 */  _URShiftI_rRegI_immI8_rule,
  /*  732 */  _LShiftI_rRegI_immI8_rule,
  /*  733 */  _URShiftI_ncxRegI__SubI_immI_0_eCXRegI_rule,
  /*  734 */  _LShiftI_ncxRegI_eCXRegI_rule,
  /*  735 */  _URShiftI_ncxRegI__SubI_immI_32_eCXRegI_rule,
  /*  736 */  _LShiftI_ncxRegI_eCXRegI_rule,
  /*  737 */  0,
  /*  738 */  0,
  /*  739 */  0,
  /*  740 */  _LShiftI_rRegI_immI_M1_rule,
  /*  741 */  _URShiftI_rRegI_immI_1_rule,
  /*  742 */  _LShiftI_rRegI_immI8_rule,
  /*  743 */  _URShiftI_rRegI_immI8_rule,
  /*  744 */  _LShiftI_ncxRegI__SubI_immI_0_eCXRegI_rule,
  /*  745 */  _URShiftI_ncxRegI_eCXRegI_rule,
  /*  746 */  _LShiftI_ncxRegI__SubI_immI_32_eCXRegI_rule,
  /*  747 */  _URShiftI_ncxRegI_eCXRegI_rule,
  /*  748 */  rRegI_rule,
  /*  749 */  immI_M1_rule,
  /*  750 */  immI_rule,
  /*  751 */  _LoadI_memory__rule,
  /*  752 */  rRegI_rule,
  /*  753 */  _XorI__LoadI_memory__rRegI_rule,
  /*  754 */  _XorI_rRegI__LoadI_memory__rule,
  /*  755 */  _XorI__LoadI_memory__immI_rule,
  /*  756 */  0,
  /*  757 */  0,
  /*  758 */  0,
  /*  759 */  0,
  /*  760 */  ncxRegI_rule,
  /*  761 */  immI_0_rule,
  /*  762 */  _SubI_rRegI_rRegI_rule,
  /*  763 */  _AndI__CmpLTMask_rRegI_rRegI_rRegI_rule,
  /*  764 */  _SubI_rRegI_rRegI_rule,
  /*  765 */  _AndI_rRegI__CmpLTMask_rRegI_rRegI_rule,
  /*  766 */  rRegI_rule,
  /*  767 */  _CmpLTMask_rRegI_rRegI_rule,
  /*  768 */  0,
  /*  769 */  eRegL_rule,
  /*  770 */  immL_rule,
  /*  771 */  _LoadL_load_long_memory__rule,
  /*  772 */  eRegL_rule,
  /*  773 */  eRegL_rule,
  /*  774 */  immL_rule,
  /*  775 */  _LoadL_load_long_memory__rule,
  /*  776 */  eRegL_rule,
  /*  777 */  eRegL_rule,
  /*  778 */  immL_rule,
  /*  779 */  _LoadL_load_long_memory__rule,
  /*  780 */  eRegL_rule,
  /*  781 */  eRegL_rule,
  /*  782 */  _XorL_eRegL_immL_M1_rule,
  /*  783 */  _LoadL_memory__rule,
  /*  784 */  _XorL_eRegL_immL_M1_rule,
  /*  785 */  eRegL_rule,
  /*  786 */  _SubL_immL0_eRegL_rule,
  /*  787 */  _LoadL_memory__rule,
  /*  788 */  _SubL_immL0__LoadL_memory__rule,
  /*  789 */  eRegL_rule,
  /*  790 */  _AddL_eRegL_immL_M1_rule,
  /*  791 */  _LoadL_memory__rule,
  /*  792 */  _AddL__LoadL_memory__immL_M1_rule,
  /*  793 */  eRegL_rule,
  /*  794 */  _AddL_eRegL_immL_M1_rule,
  /*  795 */  _LoadL_memory__rule,
  /*  796 */  _AddL__LoadL_memory__immL_M1_rule,
  /*  797 */  eRegL_rule,
  /*  798 */  immL_rule,
  /*  799 */  _LoadL_load_long_memory__rule,
  /*  800 */  eRegL_rule,
  /*  801 */  eRegL_rule,
  /*  802 */  immL_M1_rule,
  /*  803 */  immL_rule,
  /*  804 */  _LoadL_load_long_memory__rule,
  /*  805 */  eRegL_rule,
  /*  806 */  immI_1_rule,
  /*  807 */  immI_2_rule,
  /*  808 */  immI_3_rule,
  /*  809 */  immI_1_31_rule,
  /*  810 */  immI_32_63_rule,
  /*  811 */  eCXRegI_rule,
  /*  812 */  immI_1_31_rule,
  /*  813 */  immI_32_63_rule,
  /*  814 */  eCXRegI_rule,
  /*  815 */  immI_1_31_rule,
  /*  816 */  immI_32_63_rule,
  /*  817 */  eCXRegI_rule,
  /*  818 */  immDPR0_rule,
  /*  819 */  regDPR_rule,
  /*  820 */  regD_rule,
  /*  821 */  _LoadD_memory__rule,
  /*  822 */  regDPR_rule,
  /*  823 */  0,
  /*  824 */  _LoadD_memory__rule,
  /*  825 */  regDPR_rule,
  /*  826 */  0,
  /*  827 */  _LoadD_memory__rule,
  /*  828 */  regDPR_rule,
  /*  829 */  _RoundDouble__AddD__LoadD_memory__regDPR__rule,
  /*  830 */  _RoundDouble__AddD_regDPR__LoadD_memory___rule,
  /*  831 */  immDPR1_rule,
  /*  832 */  immDPR_rule,
  /*  833 */  0,
  /*  834 */  regDPR_rule,
  /*  835 */  regnotDPR1_rule,
  /*  836 */  immDPR_rule,
  /*  837 */  _LoadD_memory__rule,
  /*  838 */  regDPR_rule,
  /*  839 */  _LoadD_memory__rule,
  /*  840 */  regDPR_rule,
  /*  841 */  regDPR_rule,
  /*  842 */  _MulD_regDPR_regDPR_rule,
  /*  843 */  regDPR_rule,
  /*  844 */  regDPR_rule,
  /*  845 */  regnotDPR1_rule,
  /*  846 */  regDPR_rule,
  /*  847 */  regD_rule,
  /*  848 */  regDPR_rule,
  /*  849 */  regD_rule,
  /*  850 */  0,
  /*  851 */  immFPR0_rule,
  /*  852 */  regFPR_rule,
  /*  853 */  regF_rule,
  /*  854 */  _LoadF_memory__rule,
  /*  855 */  regFPR_rule,
  /*  856 */  regFPR_rule,
  /*  857 */  regFPR_rule,
  /*  858 */  regFPR_rule,
  /*  859 */  _LoadF_memory__rule,
  /*  860 */  regFPR_rule,
  /*  861 */  _LoadF_memory__rule,
  /*  862 */  regFPR_rule,
  /*  863 */  regFPR_rule,
  /*  864 */  _LoadF_memory__rule,
  /*  865 */  memory_rule,
  /*  866 */  memory_rule,
  /*  867 */  immFPR_rule,
  /*  868 */  immFPR_rule,
  /*  869 */  regFPR_rule,
  /*  870 */  regFPR_rule,
  /*  871 */  _LoadF_memory__rule,
  /*  872 */  regFPR_rule,
  /*  873 */  _LoadF_memory__rule,
  /*  874 */  regFPR_rule,
  /*  875 */  memory_rule,
  /*  876 */  immFPR_rule,
  /*  877 */  immFPR_rule,
  /*  878 */  regFPR_rule,
  /*  879 */  _LoadF_memory__rule,
  /*  880 */  regFPR_rule,
  /*  881 */  _MulF__LoadF_memory__regFPR_rule,
  /*  882 */  regFPR_rule,
  /*  883 */  _MulF_regFPR__LoadF_memory__rule,
  /*  884 */  regFPR_rule,
  /*  885 */  _MulF_regFPR_regFPR_rule,
  /*  886 */  regFPR_rule,
  /*  887 */  regFPR_rule,
  /*  888 */  regFPR_rule,
  /*  889 */  regFPR_rule,
  /*  890 */  regFPR_rule,
  /*  891 */  regF_rule,
  /*  892 */  0,
  /*  893 */  0,
  /*  894 */  0,
  /*  895 */  0,
  /*  896 */  0,
  /*  897 */  0,
  /*  898 */  0,
  /*  899 */  0,
  /*  900 */  0,
  /*  901 */  0,
  /*  902 */  0,
  /*  903 */  0,
  /*  904 */  0,
  /*  905 */  0,
  /*  906 */  0,
  /*  907 */  0,
  /*  908 */  0,
  /*  909 */  0,
  /*  910 */  0,
  /*  911 */  0,
  /*  912 */  0,
  /*  913 */  0,
  /*  914 */  0,
  /*  915 */  0,
  /*  916 */  0,
  /*  917 */  0,
  /*  918 */  0,
  /*  919 */  0,
  /*  920 */  0,
  /*  921 */  0,
  /*  922 */  immL_32bits_rule,
  /*  923 */  immL_32bits_rule,
  /*  924 */  0,
  /*  925 */  0,
  /*  926 */  0,
  /*  927 */  0,
  /*  928 */  0,
  /*  929 */  0,
  /*  930 */  0,
  /*  931 */  0,
  /*  932 */  0,
  /*  933 */  0,
  /*  934 */  0,
  /*  935 */  0,
  /*  936 */  0,
  /*  937 */  eBDPRegL_rule,
  /*  938 */  eBDPRegL_rule,
  /*  939 */  eDIRegP_rule,
  /*  940 */  eDIRegP_rule,
  /*  941 */  eDIRegP_rule,
  /*  942 */  eDIRegP_rule,
  /*  943 */  eRegP_rule,
  /*  944 */  _Binary_eSIRegP_eDXRegI_rule,
  /*  945 */  _Binary_eSIRegP_eDXRegI_rule,
  /*  946 */  _Binary_eSIRegP_eDXRegI_rule,
  /*  947 */  _Binary_eSIRegP_eDXRegI_rule,
  /*  948 */  _Binary_eSIRegP_eDXRegI_rule,
  /*  949 */  _Binary_eSIRegP_eDXRegI_rule,
  /*  950 */  _Binary_eDIRegP_eCXRegI_rule,
  /*  951 */  _Binary_eDIRegP_eCXRegI_rule,
  /*  952 */  eCXRegI_rule,
  /*  953 */  eCXRegI_rule,
  /*  954 */  _Binary_eSIRegP_immI_rule,
  /*  955 */  _Binary_eSIRegP_immI_rule,
  /*  956 */  _Binary_eSIRegP_immI_rule,
  /*  957 */  _Binary_eSIRegP_eAXRegI_rule,
  /*  958 */  _Binary_eSIRegP_eAXRegI_rule,
  /*  959 */  _Binary_eSIRegP_eAXRegI_rule,
  /*  960 */  eAXRegI_rule,
  /*  961 */  eAXRegI_rule,
  /*  962 */  eSIRegP_rule,
  /*  963 */  eSIRegP_rule,
  /*  964 */  eSIRegP_rule,
  /*  965 */  eSIRegP_rule,
  /*  966 */  eCXRegI_rule,
  /*  967 */  eCXRegI_rule,
  /*  968 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  969 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  970 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  971 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  972 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  973 */  _Binary_eDIRegP_eDXRegI_rule,
  /*  974 */  rRegI_rule,
  /*  975 */  rRegI_rule,
  /*  976 */  immI_rule,
  /*  977 */  0,
  /*  978 */  0,
  /*  979 */  eFlagsReg_rule,
  /*  980 */  eFlagsReg_rule,
  /*  981 */  eFlagsRegU_rule,
  /*  982 */  eFlagsRegUCF_rule,
  /*  983 */  eFlagsRegUCF_rule,
  /*  984 */  eAXRegP_rule,
  /*  985 */  0,
  /*  986 */  eFlagsReg_rule,
  /*  987 */  eFlagsReg_rule,
  /*  988 */  eFlagsRegU_rule,
  /*  989 */  eFlagsRegUCF_rule,
  /*  990 */  eFlagsRegUCF_rule,
  /*  991 */  eRegL_rule,
  /*  992 */  flagsReg_long_LTGE_rule,
  /*  993 */  flagsReg_ulong_LTGE_rule,
  /*  994 */  _Binary_eRegL_eRegL_rule,
  /*  995 */  _Binary_eRegL__LoadL_load_long_memory__rule,
  /*  996 */  _Binary_eRegL_eRegL_rule,
  /*  997 */  _Binary_eRegL__LoadL_load_long_memory__rule,
  /*  998 */  _Binary_rRegI_rRegI_rule,
  /*  999 */  _Binary_rRegI__LoadI_memory__rule,
  /* 1000 */  _Binary_rRegI_rRegI_rule,
  /* 1001 */  _Binary_rRegI__LoadI_memory__rule,
  /* 1002 */  _Binary_eRegP_eRegP_rule,
  /* 1003 */  _Binary_eRegP_eRegP_rule,
  /* 1004 */  _Binary_regDPR_regDPR_rule,
  /* 1005 */  _Binary_regD_regD_rule,
  /* 1006 */  _Binary_regFPR_regFPR_rule,
  /* 1007 */  _Binary_regF_regF_rule,
  /* 1008 */  flagsReg_long_EQNE_rule,
  /* 1009 */  flagsReg_ulong_EQNE_rule,
  /* 1010 */  _Binary_eRegL_eRegL_rule,
  /* 1011 */  _Binary_eRegL__LoadL_load_long_memory__rule,
  /* 1012 */  _Binary_rRegI_rRegI_rule,
  /* 1013 */  _Binary_rRegI__LoadI_memory__rule,
  /* 1014 */  _Binary_rRegI_rRegI_rule,
  /* 1015 */  _Binary_rRegI__LoadI_memory__rule,
  /* 1016 */  _Binary_eRegP_eRegP_rule,
  /* 1017 */  _Binary_eRegP_eRegP_rule,
  /* 1018 */  _Binary_regDPR_regDPR_rule,
  /* 1019 */  _Binary_regD_regD_rule,
  /* 1020 */  _Binary_regFPR_regFPR_rule,
  /* 1021 */  _Binary_regF_regF_rule,
  /* 1022 */  flagsReg_long_LEGT_rule,
  /* 1023 */  flagsReg_ulong_LEGT_rule,
  /* 1024 */  _Binary_eRegL_eRegL_rule,
  /* 1025 */  _Binary_eRegL__LoadL_load_long_memory__rule,
  /* 1026 */  _Binary_eRegL_eRegL_rule,
  /* 1027 */  _Binary_eRegL__LoadL_load_long_memory__rule,
  /* 1028 */  _Binary_rRegI_rRegI_rule,
  /* 1029 */  _Binary_rRegI__LoadI_memory__rule,
  /* 1030 */  _Binary_rRegI_rRegI_rule,
  /* 1031 */  _Binary_rRegI__LoadI_memory__rule,
  /* 1032 */  _Binary_eRegP_eRegP_rule,
  /* 1033 */  _Binary_eRegP_eRegP_rule,
  /* 1034 */  _Binary_regDPR_regDPR_rule,
  /* 1035 */  _Binary_regD_regD_rule,
  /* 1036 */  _Binary_regFPR_regFPR_rule,
  /* 1037 */  _Binary_regF_regF_rule,
  /* 1038 */  0,
  /* 1039 */  0,
  /* 1040 */  0,
  /* 1041 */  0,
  /* 1042 */  0,
  /* 1043 */  0,
  /* 1044 */  eBXRegP_rule,
  /* 1045 */  eAXRegP_rule,
  /* 1046 */  0,
  /* 1047 */  0,
  /* 1048 */  0,
  /* 1049 */  0,
  /* 1050 */  0,
  /* 1051 */  0,
  /* 1052 */  0,
  /* 1053 */  0,
  /* 1054 */  0,
  /* 1055 */  regF_rule,
  /* 1056 */  _LoadF_memory__rule,
  /* 1057 */  regF_rule,
  /* 1058 */  immF_rule,
  /* 1059 */  regF_rule,
  /* 1060 */  _LoadF_memory__rule,
  /* 1061 */  regF_rule,
  /* 1062 */  immF_rule,
  /* 1063 */  regD_rule,
  /* 1064 */  _LoadD_memory__rule,
  /* 1065 */  regD_rule,
  /* 1066 */  immD_rule,
  /* 1067 */  regD_rule,
  /* 1068 */  _LoadD_memory__rule,
  /* 1069 */  regD_rule,
  /* 1070 */  immD_rule,
  /* 1071 */  regF_rule,
  /* 1072 */  _LoadF_memory__rule,
  /* 1073 */  immF_rule,
  /* 1074 */  regF_rule,
  /* 1075 */  _LoadF_memory__rule,
  /* 1076 */  immF_rule,
  /* 1077 */  regD_rule,
  /* 1078 */  _LoadD_memory__rule,
  /* 1079 */  immD_rule,
  /* 1080 */  regD_rule,
  /* 1081 */  _LoadD_memory__rule,
  /* 1082 */  immD_rule,
  /* 1083 */  regF_rule,
  /* 1084 */  _LoadF_memory__rule,
  /* 1085 */  regF_rule,
  /* 1086 */  immF_rule,
  /* 1087 */  regF_rule,
  /* 1088 */  _LoadF_memory__rule,
  /* 1089 */  regF_rule,
  /* 1090 */  immF_rule,
  /* 1091 */  regD_rule,
  /* 1092 */  _LoadD_memory__rule,
  /* 1093 */  regD_rule,
  /* 1094 */  immD_rule,
  /* 1095 */  regD_rule,
  /* 1096 */  _LoadD_memory__rule,
  /* 1097 */  regD_rule,
  /* 1098 */  immD_rule,
  /* 1099 */  regF_rule,
  /* 1100 */  _LoadF_memory__rule,
  /* 1101 */  immF_rule,
  /* 1102 */  regF_rule,
  /* 1103 */  _LoadF_memory__rule,
  /* 1104 */  immF_rule,
  /* 1105 */  regD_rule,
  /* 1106 */  _LoadD_memory__rule,
  /* 1107 */  immD_rule,
  /* 1108 */  regD_rule,
  /* 1109 */  _LoadD_memory__rule,
  /* 1110 */  immD_rule,
  /* 1111 */  0,
  /* 1112 */  0,
  /* 1113 */  0,
  /* 1114 */  _ConvF2HF_regF__rule,
  /* 1115 */  _VectorCastF2HF_vec__rule,
  /* 1116 */  0,
  /* 1117 */  0,
  /* 1118 */  0,
  /* 1119 */  0,
  /* 1120 */  0,
  /* 1121 */  _Binary_regD_regD_rule,
  /* 1122 */  _Binary_regF_regF_rule,
  /* 1123 */  0,
  /* 1124 */  vec_rule,
  /* 1125 */  legVec_rule,
  /* 1126 */  vec_rule,
  /* 1127 */  _Binary_vec_kReg_rule,
  /* 1128 */  _Binary_rRegP_immI_0_rule,
  /* 1129 */  _Binary_rRegP_immI_0_rule,
  /* 1130 */  _Binary_rRegP_rRegI_rule,
  /* 1131 */  _Binary_rRegP_rRegI_rule,
  /* 1132 */  _Binary_vec_vec_rule,
  /* 1133 */  _Binary_vec__Binary_vec_kReg_rule,
  /* 1134 */  0,
  /* 1135 */  0,
  /* 1136 */  immU8_rule,
  /* 1137 */  immU8_rule,
  /* 1138 */  immU8_rule,
  /* 1139 */  immU8_rule,
  /* 1140 */  immU8_rule,
  /* 1141 */  legVec_rule,
  /* 1142 */  legVec_rule,
  /* 1143 */  legVec_rule,
  /* 1144 */  legVec_rule,
  /* 1145 */  legVec_rule,
  /* 1146 */  legVec_rule,
  /* 1147 */  legVec_rule,
  /* 1148 */  vec_rule,
  /* 1149 */  vec_rule,
  /* 1150 */  vec_rule,
  /* 1151 */  vec_rule,
  /* 1152 */  legVec_rule,
  /* 1153 */  legVec_rule,
  /* 1154 */  vec_rule,
  /* 1155 */  vec_rule,
  /* 1156 */  vec_rule,
  /* 1157 */  vec_rule,
  /* 1158 */  vec_rule,
  /* 1159 */  vec_rule,
  /* 1160 */  legVec_rule,
  /* 1161 */  legVec_rule,
  /* 1162 */  vec_rule,
  /* 1163 */  vec_rule,
  /* 1164 */  vec_rule,
  /* 1165 */  vec_rule,
  /* 1166 */  legVec_rule,
  /* 1167 */  legVec_rule,
  /* 1168 */  vec_rule,
  /* 1169 */  vec_rule,
  /* 1170 */  vec_rule,
  /* 1171 */  vec_rule,
  /* 1172 */  legVec_rule,
  /* 1173 */  legVec_rule,
  /* 1174 */  legVec_rule,
  /* 1175 */  legVec_rule,
  /* 1176 */  legVec_rule,
  /* 1177 */  legVec_rule,
  /* 1178 */  legVec_rule,
  /* 1179 */  legVec_rule,
  /* 1180 */  legVec_rule,
  /* 1181 */  vec_rule,
  /* 1182 */  legVec_rule,
  /* 1183 */  legVec_rule,
  /* 1184 */  legVec_rule,
  /* 1185 */  legVec_rule,
  /* 1186 */  legVec_rule,
  /* 1187 */  legVec_rule,
  /* 1188 */  legVec_rule,
  /* 1189 */  legVec_rule,
  /* 1190 */  legVec_rule,
  /* 1191 */  legVec_rule,
  /* 1192 */  legVec_rule,
  /* 1193 */  legVec_rule,
  /* 1194 */  legVec_rule,
  /* 1195 */  legVec_rule,
  /* 1196 */  legVec_rule,
  /* 1197 */  legVec_rule,
  /* 1198 */  legVec_rule,
  /* 1199 */  vec_rule,
  /* 1200 */  vec_rule,
  /* 1201 */  _LoadVector_memory__rule,
  /* 1202 */  vec_rule,
  /* 1203 */  vec_rule,
  /* 1204 */  vec_rule,
  /* 1205 */  _LoadVector_memory__rule,
  /* 1206 */  vec_rule,
  /* 1207 */  vec_rule,
  /* 1208 */  vec_rule,
  /* 1209 */  _LoadVector_memory__rule,
  /* 1210 */  vec_rule,
  /* 1211 */  vec_rule,
  /* 1212 */  vec_rule,
  /* 1213 */  _LoadVector_memory__rule,
  /* 1214 */  vec_rule,
  /* 1215 */  vec_rule,
  /* 1216 */  vec_rule,
  /* 1217 */  _LoadVector_memory__rule,
  /* 1218 */  vec_rule,
  /* 1219 */  vec_rule,
  /* 1220 */  vec_rule,
  /* 1221 */  _LoadVector_memory__rule,
  /* 1222 */  vec_rule,
  /* 1223 */  vec_rule,
  /* 1224 */  vec_rule,
  /* 1225 */  _LoadVector_memory__rule,
  /* 1226 */  vec_rule,
  /* 1227 */  vec_rule,
  /* 1228 */  _LoadVector_memory__rule,
  /* 1229 */  vec_rule,
  /* 1230 */  vec_rule,
  /* 1231 */  _LoadVector_memory__rule,
  /* 1232 */  vec_rule,
  /* 1233 */  vec_rule,
  /* 1234 */  _LoadVector_memory__rule,
  /* 1235 */  vec_rule,
  /* 1236 */  vec_rule,
  /* 1237 */  _LoadVector_memory__rule,
  /* 1238 */  vec_rule,
  /* 1239 */  vec_rule,
  /* 1240 */  _LoadVector_memory__rule,
  /* 1241 */  vec_rule,
  /* 1242 */  vec_rule,
  /* 1243 */  vec_rule,
  /* 1244 */  vec_rule,
  /* 1245 */  vec_rule,
  /* 1246 */  _LoadVector_memory__rule,
  /* 1247 */  vec_rule,
  /* 1248 */  vec_rule,
  /* 1249 */  vec_rule,
  /* 1250 */  _LoadVector_memory__rule,
  /* 1251 */  vec_rule,
  /* 1252 */  vec_rule,
  /* 1253 */  _LoadVector_memory__rule,
  /* 1254 */  vec_rule,
  /* 1255 */  vec_rule,
  /* 1256 */  vec_rule,
  /* 1257 */  vec_rule,
  /* 1258 */  vec_rule,
  /* 1259 */  vec_rule,
  /* 1260 */  vec_rule,
  /* 1261 */  _LoadVector_memory__rule,
  /* 1262 */  vec_rule,
  /* 1263 */  vec_rule,
  /* 1264 */  vec_rule,
  /* 1265 */  _LoadVector_memory__rule,
  /* 1266 */  vec_rule,
  /* 1267 */  vec_rule,
  /* 1268 */  vec_rule,
  /* 1269 */  _LoadVector_memory__rule,
  /* 1270 */  vec_rule,
  /* 1271 */  vec_rule,
  /* 1272 */  _LoadVector_memory__rule,
  /* 1273 */  vec_rule,
  /* 1274 */  vec_rule,
  /* 1275 */  vec_rule,
  /* 1276 */  vec_rule,
  /* 1277 */  vec_rule,
  /* 1278 */  vec_rule,
  /* 1279 */  legVec_rule,
  /* 1280 */  legVec_rule,
  /* 1281 */  vec_rule,
  /* 1282 */  vec_rule,
  /* 1283 */  legVec_rule,
  /* 1284 */  legVec_rule,
  /* 1285 */  vec_rule,
  /* 1286 */  vec_rule,
  /* 1287 */  vec_rule,
  /* 1288 */  vec_rule,
  /* 1289 */  _LoadVector_memory__rule,
  /* 1290 */  _LoadVector_memory__rule,
  /* 1291 */  vec_rule,
  /* 1292 */  vec_rule,
  /* 1293 */  kReg_rule,
  /* 1294 */  kReg_rule,
  /* 1295 */  kReg_rule,
  /* 1296 */  kReg_rule,
  /* 1297 */  _Binary_regF_regF_rule,
  /* 1298 */  _Binary_regD_regD_rule,
  /* 1299 */  _Binary_vec_vec_rule,
  /* 1300 */  _Binary_vec_vec_rule,
  /* 1301 */  _Binary_vec_vec_rule,
  /* 1302 */  _Binary_vec_vec_rule,
  /* 1303 */  rRegI_rule,
  /* 1304 */  rRegI_rule,
  /* 1305 */  _LoadI_memory__rule,
  /* 1306 */  _LoadI_memory__rule,
  /* 1307 */  vec_rule,
  /* 1308 */  vec_rule,
  /* 1309 */  vec_rule,
  /* 1310 */  vec_rule,
  /* 1311 */  vec_rule,
  /* 1312 */  vec_rule,
  /* 1313 */  vec_rule,
  /* 1314 */  vec_rule,
  /* 1315 */  vec_rule,
  /* 1316 */  vec_rule,
  /* 1317 */  vec_rule,
  /* 1318 */  vec_rule,
  /* 1319 */  vec_rule,
  /* 1320 */  vec_rule,
  /* 1321 */  vec_rule,
  /* 1322 */  vec_rule,
  /* 1323 */  vec_rule,
  /* 1324 */  vec_rule,
  /* 1325 */  vec_rule,
  /* 1326 */  vec_rule,
  /* 1327 */  vec_rule,
  /* 1328 */  _LShiftCntV_immI8__rule,
  /* 1329 */  _RShiftCntV_immI8__rule,
  /* 1330 */  _RShiftCntV_immI8__rule,
  /* 1331 */  vec_rule,
  /* 1332 */  vec_rule,
  /* 1333 */  _LShiftCntV_immI8__rule,
  /* 1334 */  _RShiftCntV_immI8__rule,
  /* 1335 */  vec_rule,
  /* 1336 */  vec_rule,
  /* 1337 */  vec_rule,
  /* 1338 */  vec_rule,
  /* 1339 */  vec_rule,
  /* 1340 */  vec_rule,
  /* 1341 */  vec_rule,
  /* 1342 */  vec_rule,
  /* 1343 */  vec_rule,
  /* 1344 */  vec_rule,
  /* 1345 */  vec_rule,
  /* 1346 */  vec_rule,
  /* 1347 */  vec_rule,
  /* 1348 */  vec_rule,
  /* 1349 */  vec_rule,
  /* 1350 */  vec_rule,
  /* 1351 */  vec_rule,
  /* 1352 */  vec_rule,
  /* 1353 */  vec_rule,
  /* 1354 */  vec_rule,
  /* 1355 */  vec_rule,
  /* 1356 */  vec_rule,
  /* 1357 */  vec_rule,
  /* 1358 */  vec_rule,
  /* 1359 */  vec_rule,
  /* 1360 */  vec_rule,
  /* 1361 */  vec_rule,
  /* 1362 */  vec_rule,
  /* 1363 */  vec_rule,
  /* 1364 */  vec_rule,
  /* 1365 */  vec_rule,
  /* 1366 */  vec_rule,
  /* 1367 */  vec_rule,
  /* 1368 */  vec_rule,
  /* 1369 */  vec_rule,
  /* 1370 */  _LoadVector_memory__rule,
  /* 1371 */  vec_rule,
  /* 1372 */  vec_rule,
  /* 1373 */  vec_rule,
  /* 1374 */  _LoadVector_memory__rule,
  /* 1375 */  vec_rule,
  /* 1376 */  vec_rule,
  /* 1377 */  vec_rule,
  /* 1378 */  _LoadVector_memory__rule,
  /* 1379 */  vec_rule,
  /* 1380 */  0,
  /* 1381 */  0,
  /* 1382 */  0,
  /* 1383 */  0,
  /* 1384 */  0,
  /* 1385 */  0,
  /* 1386 */  immI8_rule,
  /* 1387 */  immI8_rule,
  /* 1388 */  immI8_rule,
  /* 1389 */  immI8_rule,
  /* 1390 */  immI8_rule,
  /* 1391 */  immI8_rule,
  /* 1392 */  immI8_rule,
  /* 1393 */  immI8_rule,
  /* 1394 */  immU8_rule,
  /* 1395 */  immU8_rule,
  /* 1396 */  immI_rule,
  /* 1397 */  immI_rule,
  /* 1398 */  immU8_rule,
  /* 1399 */  immU8_rule,
  /* 1400 */  immU8_rule,
  /* 1401 */  immU8_rule,
  /* 1402 */  vec_rule,
  /* 1403 */  legVec_rule,
  /* 1404 */  legVec_rule,
  /* 1405 */  legVec_rule,
  /* 1406 */  vec_rule,
  /* 1407 */  kReg_rule,
  /* 1408 */  0,
  /* 1409 */  0,
  /* 1410 */  0,
  /* 1411 */  immI_1_rule,
  /* 1412 */  immI_2_rule,
  /* 1413 */  immI_4_rule,
  /* 1414 */  immI_8_rule,
  /* 1415 */  immI_8_rule,
  /* 1416 */  immI_4_rule,
  /* 1417 */  immI_8_rule,
  /* 1418 */  immI_rule,
  /* 1419 */  immI_rule,
  /* 1420 */  vec_rule,
  /* 1421 */  vec_rule,
  /* 1422 */  vec_rule,
  /* 1423 */  vec_rule,
  /* 1424 */  0,
  /* 1425 */  vec_rule,
  /* 1426 */  vec_rule,
  /* 1427 */  vec_rule,
  /* 1428 */  0,
  /* 1429 */  vec_rule,
  /* 1430 */  vec_rule,
  /* 1431 */  0,
  /* 1432 */  vec_rule,
  /* 1433 */  vec_rule,
  /* 1434 */  _Binary_vec_vec_rule,
  /* 1435 */  _Binary_vec__LoadVector_memory__rule,
  /* 1436 */  _Binary_vec_vec_rule,
  /* 1437 */  _Binary_vec__LoadVector_memory__rule,
  /* 1438 */  vec_rule,
  /* 1439 */  vec_rule,
  /* 1440 */  vec_rule,
  /* 1441 */  _MulAddVS2VI_vec_vec_rule,
  /* 1442 */  kReg_rule,
  /* 1443 */  kReg_rule,
  /* 1444 */  0,
  /* 1445 */  0,
  /* 1446 */  0,
  /* 1447 */  0,
  /* 1448 */  0,
  /* 1449 */  0,
  /* 1450 */  _Binary_vec_immU8_rule,
  /* 1451 */  _Binary__LoadVector_memory__immU8_rule,
  /* 1452 */  immI8_rule,
  /* 1453 */  immI8_rule,
  /* 1454 */  vec_rule,
  /* 1455 */  vec_rule,
  /* 1456 */  vec_rule,
  /* 1457 */  kReg_rule,
  /* 1458 */  _Binary_vec_vec_rule,
  /* 1459 */  _Binary_vec_kReg_rule,
  /* 1460 */  0,
  /* 1461 */  0,
  /* 1462 */  0,
  /* 1463 */  0,
  /* 1464 */  kReg_rule,
  /* 1465 */  0,
  /* 1466 */  0,
  /* 1467 */  0,
  /* 1468 */  0,
  /* 1469 */  kReg_rule,
  /* 1470 */  kReg_rule,
  /* 1471 */  kReg_rule,
  /* 1472 */  kReg_rule,
  /* 1473 */  kReg_rule,
  /* 1474 */  kReg_rule,
  /* 1475 */  kReg_rule,
  /* 1476 */  kReg_rule,
  /* 1477 */  kReg_rule,
  /* 1478 */  kReg_rule,
  /* 1479 */  kReg_rule,
  /* 1480 */  kReg_rule,
  /* 1481 */  kReg_rule,
  /* 1482 */  kReg_rule,
  /* 1483 */  kReg_rule,
  /* 1484 */  kReg_rule,
  /* 1485 */  kReg_rule,
  /* 1486 */  kReg_rule,
  /* 1487 */  kReg_rule,
  /* 1488 */  kReg_rule,
  /* 1489 */  kReg_rule,
  /* 1490 */  kReg_rule,
  /* 1491 */  kReg_rule,
  /* 1492 */  kReg_rule,
  /* 1493 */  kReg_rule,
  /* 1494 */  kReg_rule,
  /* 1495 */  kReg_rule,
  /* 1496 */  kReg_rule,
  /* 1497 */  kReg_rule,
  /* 1498 */  kReg_rule,
  /* 1499 */  kReg_rule,
  /* 1500 */  kReg_rule,
  /* 1501 */  kReg_rule,
  /* 1502 */  kReg_rule,
  /* 1503 */  kReg_rule,
  /* 1504 */  kReg_rule,
  /* 1505 */  kReg_rule,
  /* 1506 */  kReg_rule,
  /* 1507 */  kReg_rule,
  /* 1508 */  kReg_rule,
  /* 1509 */  kReg_rule,
  /* 1510 */  kReg_rule,
  /* 1511 */  kReg_rule,
  /* 1512 */  kReg_rule,
  /* 1513 */  kReg_rule,
  /* 1514 */  kReg_rule,
  /* 1515 */  kReg_rule,
  /* 1516 */  kReg_rule,
  /* 1517 */  kReg_rule,
  /* 1518 */  kReg_rule,
  /* 1519 */  kReg_rule,
  /* 1520 */  kReg_rule,
  /* 1521 */  kReg_rule,
  /* 1522 */  kReg_rule,
  /* 1523 */  kReg_rule,
  /* 1524 */  kReg_rule,
  /* 1525 */  kReg_rule,
  /* 1526 */  kReg_rule,
  /* 1527 */  kReg_rule,
  /* 1528 */  kReg_rule,
  /* 1529 */  kReg_rule,
  /* 1530 */  kReg_rule,
  /* 1531 */  kReg_rule,
  /* 1532 */  kReg_rule,
  /* 1533 */  kReg_rule,
  /* 1534 */  kReg_rule,
  /* 1535 */  kReg_rule,
  /* 1536 */  kReg_rule,
  /* 1537 */  kReg_rule,
  /* 1538 */  kReg_rule,
  /* 1539 */  kReg_rule,
  /* 1540 */  kReg_rule,
  /* 1541 */  kReg_rule,
  /* 1542 */  kReg_rule,
  /* 1543 */  kReg_rule,
  /* 1544 */  kReg_rule,
  /* 1545 */  kReg_rule,
  /* 1546 */  kReg_rule,
  /* 1547 */  kReg_rule,
  /* 1548 */  kReg_rule,
  /* 1549 */  kReg_rule,
  /* 1550 */  kReg_rule,
  /* 1551 */  kReg_rule,
  /* 1552 */  kReg_rule,
  /* 1553 */  kReg_rule,
  /* 1554 */  kReg_rule,
  /* 1555 */  _Binary_vec_kReg_rule,
  /* 1556 */  _Binary_vec_kReg_rule,
  /* 1557 */  _Binary__LoadVector_memory__kReg_rule,
  /* 1558 */  _Binary__LoadVector_memory__kReg_rule,
  /* 1559 */  _Binary_immI8_kReg_rule,
  /* 1560 */  0,
  /* 1561 */  kReg_rule,
  /* 1562 */  kReg_rule,
  /* 1563 */  kReg_rule,
  /* 1564 */  _Binary_vec__Binary_vec__Binary_immU8_kReg_rule,
  /* 1565 */  _Binary_vec__Binary_memory__Binary_immU8_kReg_rule,
  /* 1566 */  0,
  /* 1567 */  0,
  /* 1568 */  vec_rule,
  /* 1569 */  vec_rule,
  /* 1570 */  vec_rule,
  /* 1571 */  vec_rule,
  /* 1572 */  vec_rule,
  /* 1573 */  vec_rule,
  /* 1574 */  vec_rule,
  /* 1575 */  vec_rule,
  /* 1576 */  vec_rule,
  /* 1577 */  vec_rule,
  /* 1578 */  vec_rule,
  /* 1579 */  vec_rule,
  /* 1580 */  _LoadVector_memory__rule,
  /* 1581 */  _LoadVector_memory__rule,
  /* 1582 */  _LoadVector_memory__rule,
  /* 1583 */  _LoadVector_memory__rule,
  /* 1584 */  kReg_rule,
  /* 1585 */  kReg_rule,
  /* 1586 */  kReg_rule,
  /* 1587 */  kReg_rule,
  /* 1588 */  kReg_rule,
  /* 1589 */  kReg_rule,
  /* 1590 */  kReg_rule,
  /* 1591 */  kReg_rule,
  /* 1592 */  vec_rule,
  /* 1593 */  _Binary_eAXRegP_eRegP_rule,
  /* 1594 */  _Binary_eAXRegP_eRegP_rule,
  /* 1595 */  _Binary_eAXRegP_eRegP_rule,
  // last instruction
  0 // no trailing comma
};

const char        *ruleName[] = {
  /*    0 */  "UNIVERSE",
  /*    1 */  "LABEL",
  /*    2 */  "SREGI",
  /*    3 */  "SREGP",
  /*    4 */  "SREGF",
  /*    5 */  "SREGD",
  /*    6 */  "SREGL",
  /*    7 */  "METHOD",
  /*    8 */  "IMMI",
  /*    9 */  "IMMI_0",
  /*   10 */  "IMMI_1",
  /*   11 */  "IMMI_M1",
  /*   12 */  "IMMI2",
  /*   13 */  "IMMI8",
  /*   14 */  "IMMU8",
  /*   15 */  "IMMI16",
  /*   16 */  "IMMU31",
  /*   17 */  "IMMI_32",
  /*   18 */  "IMMI_1_31",
  /*   19 */  "IMMI_32_63",
  /*   20 */  "IMMI_2",
  /*   21 */  "IMMI_3",
  /*   22 */  "IMMI_4",
  /*   23 */  "IMMI_8",
  /*   24 */  "IMMP",
  /*   25 */  "IMMP0",
  /*   26 */  "IMML",
  /*   27 */  "IMML0",
  /*   28 */  "IMML_M1",
  /*   29 */  "IMML_127",
  /*   30 */  "IMML_32BITS",
  /*   31 */  "IMML32",
  /*   32 */  "IMMDPR0",
  /*   33 */  "IMMDPR1",
  /*   34 */  "IMMDPR",
  /*   35 */  "IMMD",
  /*   36 */  "IMMD0",
  /*   37 */  "IMMFPR0",
  /*   38 */  "IMMFPR1",
  /*   39 */  "IMMFPR",
  /*   40 */  "IMMF",
  /*   41 */  "IMMF0",
  /*   42 */  "IMMI_16",
  /*   43 */  "IMMI_24",
  /*   44 */  "IMMI_255",
  /*   45 */  "IMMI_65535",
  /*   46 */  "KREG",
  /*   47 */  "RREGI",
  /*   48 */  "XREGI",
  /*   49 */  "EAXREGI",
  /*   50 */  "EBXREGI",
  /*   51 */  "ECXREGI",
  /*   52 */  "EDXREGI",
  /*   53 */  "EDIREGI",
  /*   54 */  "NADXREGI",
  /*   55 */  "NCXREGI",
  /*   56 */  "ESIREGI",
  /*   57 */  "ANYREGP",
  /*   58 */  "EREGP",
  /*   59 */  "RREGP",
  /*   60 */  "EREGP_NO_EBP",
  /*   61 */  "PREGP",
  /*   62 */  "EAXREGP",
  /*   63 */  "EBXREGP",
  /*   64 */  "ECXREGP",
  /*   65 */  "EDXREGP",
  /*   66 */  "ESIREGP",
  /*   67 */  "EDIREGP",
  /*   68 */  "EREGL",
  /*   69 */  "EADXREGL",
  /*   70 */  "EBCXREGL",
  /*   71 */  "EBDPREGL",
  /*   72 */  "EADXREGL_LOW_ONLY",
  /*   73 */  "RFLAGSREG",
  /*   74 */  "EFLAGSREG",
  /*   75 */  "EFLAGSREGU",
  /*   76 */  "EFLAGSREGUCF",
  /*   77 */  "FLAGSREG_LONG_LTGE",
  /*   78 */  "FLAGSREG_LONG_EQNE",
  /*   79 */  "FLAGSREG_LONG_LEGT",
  /*   80 */  "FLAGSREG_ULONG_LTGE",
  /*   81 */  "FLAGSREG_ULONG_EQNE",
  /*   82 */  "FLAGSREG_ULONG_LEGT",
  /*   83 */  "REGDPR",
  /*   84 */  "REGDPR1",
  /*   85 */  "REGDPR2",
  /*   86 */  "REGNOTDPR1",
  /*   87 */  "REGFPR",
  /*   88 */  "REGFPR1",
  /*   89 */  "REGF",
  /*   90 */  "LEGREGF",
  /*   91 */  "VLREGF",
  /*   92 */  "REGD",
  /*   93 */  "LEGREGD",
  /*   94 */  "VLREGD",
  /*   95 */  "DIRECT",
  /*   96 */  "INDIRECT",
  /*   97 */  "INDOFFSET8",
  /*   98 */  "INDOFFSET32",
  /*   99 */  "INDOFFSET32X",
  /*  100 */  "INDINDEXOFFSET",
  /*  101 */  "INDINDEX",
  /*  102 */  "INDINDEXSCALE",
  /*  103 */  "INDINDEXSCALEOFFSET",
  /*  104 */  "LOAD_LONG_REGP",
  /*  105 */  "LOAD_LONG_INDIRECT",
  /*  106 */  "LOAD_LONG_INDOFFSET32",
  /*  107 */  "STACKSLOTP",
  /*  108 */  "STACKSLOTI",
  /*  109 */  "STACKSLOTF",
  /*  110 */  "STACKSLOTD",
  /*  111 */  "STACKSLOTL",
  /*  112 */  "CMPOP",
  /*  113 */  "CMPOPU",
  /*  114 */  "CMPOPUCF",
  /*  115 */  "CMPOPUCF2",
  /*  116 */  "CMPOP_FCMOV",
  /*  117 */  "CMPOP_COMMUTE",
  /*  118 */  "CMPOPU_COMMUTE",
  /*  119 */  "RXMM0",
  /*  120 */  "VEC",
  /*  121 */  "LEGVEC",
  /*  122 */  "VECS",
  /*  123 */  "LEGVECS",
  /*  124 */  "VECD",
  /*  125 */  "LEGVECD",
  /*  126 */  "VECX",
  /*  127 */  "LEGVECX",
  /*  128 */  "VECY",
  /*  129 */  "LEGVECY",
  /*  130 */  "VECZ",
  /*  131 */  "LEGVECZ",
  // last operand
  /*  132 */  "LOAD_LONG_MEMORY",
  /*  133 */  "MEMORY",
  /*  134 */  "LONG_MEMORY",
  // last operand class
  /*  135 */  "_AddP_eRegP_rRegI",
  /*  136 */  "_LShiftI_rRegI_immI2",
  /*  137 */  "_AddP_eRegP__LShiftI_rRegI_immI2",
  /*  138 */  "_LoadI_memory_",
  /*  139 */  "_LoadL_memory_",
  /*  140 */  "_LoadB_memory_",
  /*  141 */  "_LoadUB_memory_",
  /*  142 */  "_AndI__LoadUB_memory__immI",
  /*  143 */  "_LoadS_memory_",
  /*  144 */  "_LShiftI__LoadS_memory__immI_24",
  /*  145 */  "_LoadUS_memory_",
  /*  146 */  "_LShiftI__LoadUS_memory__immI_24",
  /*  147 */  "_AndI__LoadUS_memory__immI_255",
  /*  148 */  "_AndI__LoadUS_memory__immI",
  /*  149 */  "_LShiftI__LoadI_memory__immI_24",
  /*  150 */  "_LShiftI__LoadI_memory__immI_16",
  /*  151 */  "_AndI__LoadI_memory__immI_255",
  /*  152 */  "_AndI__LoadI_memory__immI_65535",
  /*  153 */  "_AndI__LoadI_memory__immU31",
  /*  154 */  "_ConvI2L__LoadI_memory__",
  /*  155 */  "_ConvL2I_eRegL_",
  /*  156 */  "_RoundDouble_regDPR1_",
  /*  157 */  "_RoundFloat_regFPR1_",
  /*  158 */  "_ConvD2F_regDPR1_",
  /*  159 */  "_Binary_cmpOp_eFlagsReg",
  /*  160 */  "_Binary_rRegI_rRegI",
  /*  161 */  "_Binary_cmpOpU_eFlagsRegU",
  /*  162 */  "_Binary_cmpOpUCF_eFlagsRegUCF",
  /*  163 */  "_Binary_rRegI__LoadI_memory_",
  /*  164 */  "_Binary_eRegP_eRegP",
  /*  165 */  "_Binary_cmpOp_fcmov_eFlagsRegU",
  /*  166 */  "_Binary_regDPR1_regDPR",
  /*  167 */  "_Binary_regFPR1_regFPR",
  /*  168 */  "_Binary_regDPR_regDPR",
  /*  169 */  "_Binary_regFPR_regFPR",
  /*  170 */  "_Binary_regF_regF",
  /*  171 */  "_Binary_regD_regD",
  /*  172 */  "_Binary_eRegL_eRegL",
  /*  173 */  "_AddI__LoadI_memory__rRegI",
  /*  174 */  "_AddI_rRegI__LoadI_memory_",
  /*  175 */  "_AddI__LoadI_memory__immI",
  /*  176 */  "_AddI__LoadI_memory__immI_1",
  /*  177 */  "_AddI__LoadI_memory__immI_M1",
  /*  178 */  "_Binary_eADXRegL_eBCXRegL",
  /*  179 */  "_Binary_eAXRegP_eCXRegP",
  /*  180 */  "_Binary_eAXRegI_eCXRegI",
  /*  181 */  "_SubI__LoadI_memory__rRegI",
  /*  182 */  "_SubI_immI_0_rRegI",
  /*  183 */  "_ConvI2L_nadxRegI_",
  /*  184 */  "_MulL__ConvI2L_nadxRegI__eADXRegL_low_only",
  /*  185 */  "_RShiftL__MulL__ConvI2L_nadxRegI__eADXRegL_low_only_immI_32",
  /*  186 */  "_MulL_eADXRegL_low_only__ConvI2L_nadxRegI_",
  /*  187 */  "_RShiftL__MulL_eADXRegL_low_only__ConvI2L_nadxRegI__immI_32",
  /*  188 */  "_RShiftL__MulL__ConvI2L_nadxRegI__eADXRegL_low_only_immI_32_63",
  /*  189 */  "_RShiftL__MulL_eADXRegL_low_only__ConvI2L_nadxRegI__immI_32_63",
  /*  190 */  "_ConvI2L_eAXRegI_",
  /*  191 */  "_AndL__ConvI2L_eAXRegI__immL_32bits",
  /*  192 */  "_AndL__ConvI2L_nadxRegI__immL_32bits",
  /*  193 */  "_RShiftI__LoadI_memory__immI_1",
  /*  194 */  "_RShiftI__LoadI_memory__immI8",
  /*  195 */  "_LShiftI_xRegI_immI_24",
  /*  196 */  "_LShiftI_xRegI_immI_16",
  /*  197 */  "_AndI__LoadI_memory__rRegI",
  /*  198 */  "_AndI_rRegI__LoadI_memory_",
  /*  199 */  "_AndI__LoadI_memory__immI",
  /*  200 */  "_XorI_rRegI_immI_M1",
  /*  201 */  "_SubI_immI_0__LoadI_memory_",
  /*  202 */  "_AddI_rRegI_immI_M1",
  /*  203 */  "_CastP2X_eRegP_",
  /*  204 */  "_OrI__LoadI_memory__rRegI",
  /*  205 */  "_OrI_rRegI__LoadI_memory_",
  /*  206 */  "_OrI__LoadI_memory__immI",
  /*  207 */  "_LShiftI_rRegI_immI_1",
  /*  208 */  "_URShiftI_rRegI_immI_M1",
  /*  209 */  "_LShiftI_rRegI_immI8",
  /*  210 */  "_URShiftI_rRegI_immI8",
  /*  211 */  "_LShiftI_ncxRegI_eCXRegI",
  /*  212 */  "_SubI_immI_0_eCXRegI",
  /*  213 */  "_URShiftI_ncxRegI__SubI_immI_0_eCXRegI",
  /*  214 */  "_SubI_immI_32_eCXRegI",
  /*  215 */  "_URShiftI_ncxRegI__SubI_immI_32_eCXRegI",
  /*  216 */  "_URShiftI_rRegI_immI_1",
  /*  217 */  "_LShiftI_rRegI_immI_M1",
  /*  218 */  "_URShiftI_ncxRegI_eCXRegI",
  /*  219 */  "_LShiftI_ncxRegI__SubI_immI_0_eCXRegI",
  /*  220 */  "_LShiftI_ncxRegI__SubI_immI_32_eCXRegI",
  /*  221 */  "_XorI__LoadI_memory__rRegI",
  /*  222 */  "_XorI_rRegI__LoadI_memory_",
  /*  223 */  "_XorI__LoadI_memory__immI",
  /*  224 */  "_CmpLTMask_rRegI_rRegI",
  /*  225 */  "_AndI__CmpLTMask_rRegI_rRegI_rRegI",
  /*  226 */  "_SubI_rRegI_rRegI",
  /*  227 */  "_AndI_rRegI__CmpLTMask_rRegI_rRegI",
  /*  228 */  "_LoadL_load_long_memory_",
  /*  229 */  "_XorL_eRegL_immL_M1",
  /*  230 */  "_SubL_immL0_eRegL",
  /*  231 */  "_SubL_immL0__LoadL_memory_",
  /*  232 */  "_AddL_eRegL_immL_M1",
  /*  233 */  "_AddL__LoadL_memory__immL_M1",
  /*  234 */  "_LoadD_memory_",
  /*  235 */  "_SubD_regDPR_regDPR",
  /*  236 */  "_AddD_regDPR_regDPR",
  /*  237 */  "_AddD__LoadD_memory__regDPR",
  /*  238 */  "_RoundDouble__AddD__LoadD_memory__regDPR_",
  /*  239 */  "_AddD_regDPR__LoadD_memory_",
  /*  240 */  "_RoundDouble__AddD_regDPR__LoadD_memory__",
  /*  241 */  "_AddD_regDPR_immDPR",
  /*  242 */  "_MulD_regDPR_regDPR",
  /*  243 */  "_LoadF_memory_",
  /*  244 */  "_MulF__LoadF_memory__regFPR",
  /*  245 */  "_MulF_regFPR__LoadF_memory_",
  /*  246 */  "_MulF_regFPR_regFPR",
  /*  247 */  "_SubF_regFPR_regFPR",
  /*  248 */  "_ConvI2L_rRegI_",
  /*  249 */  "_Binary_eDIRegP_eCXRegI",
  /*  250 */  "_Binary_eSIRegP_eDXRegI",
  /*  251 */  "_Binary_eDIRegP_eSIRegP",
  /*  252 */  "_Binary_eDIRegP_eDXRegI",
  /*  253 */  "_Binary_eSIRegP_immI",
  /*  254 */  "_Binary_eSIRegP_eAXRegI",
  /*  255 */  "_AndI_rRegI_immI",
  /*  256 */  "_AndI_rRegI_memory",
  /*  257 */  "_LoadP_memory_",
  /*  258 */  "_Binary_nadxRegI_eAXRegI",
  /*  259 */  "_PartialSubtypeCheck_eSIRegP_eAXRegP",
  /*  260 */  "_Binary_cmpOp_flagsReg_long_LTGE",
  /*  261 */  "_Binary_eRegL__LoadL_load_long_memory_",
  /*  262 */  "_Binary_cmpOpU_flagsReg_ulong_LTGE",
  /*  263 */  "_Binary_cmpOp_flagsReg_long_EQNE",
  /*  264 */  "_Binary_cmpOpU_flagsReg_ulong_EQNE",
  /*  265 */  "_Binary_cmpOp_commute_flagsReg_long_LEGT",
  /*  266 */  "_Binary_cmpOpU_commute_flagsReg_ulong_LEGT",
  /*  267 */  "_ConvF2HF_regF_",
  /*  268 */  "_VectorCastF2HF_vec_",
  /*  269 */  "_LoadVector_memory_",
  /*  270 */  "_Binary_vec_kReg",
  /*  271 */  "_Binary_rRegP_immI_0",
  /*  272 */  "_Binary_rRegP_rRegI",
  /*  273 */  "_Binary_vec_vec",
  /*  274 */  "_Binary_vec__Binary_vec_kReg",
  /*  275 */  "_Binary_vec_rRegI",
  /*  276 */  "_Binary_vec_regF",
  /*  277 */  "_Binary_vec__LoadVector_memory_",
  /*  278 */  "_LShiftCntV_immI8_",
  /*  279 */  "_RShiftCntV_immI8_",
  /*  280 */  "_Binary_legVec_legVec",
  /*  281 */  "_MulAddVS2VI_vec_vec",
  /*  282 */  "_Binary_vec_immU8",
  /*  283 */  "_Binary__LoadVector_memory__immU8",
  /*  284 */  "_Binary_vec_immI8",
  /*  285 */  "_Binary_vec__LShiftCntV_immI8_",
  /*  286 */  "_Binary_vec__RShiftCntV_immI8_",
  /*  287 */  "_Binary__LoadVector_memory__kReg",
  /*  288 */  "_Binary_immI8_kReg",
  /*  289 */  "_Binary_immU8_kReg",
  /*  290 */  "_Binary_vec__Binary_immU8_kReg",
  /*  291 */  "_Binary_vec__Binary_vec__Binary_immU8_kReg",
  /*  292 */  "_Binary_memory__Binary_immU8_kReg",
  /*  293 */  "_Binary_vec__Binary_memory__Binary_immU8_kReg",
  /*  294 */  "_Binary_eAXRegP_eRegP",
  // last internally defined operand
  /*  295 */  "storeSSI",
  /*  296 */  "storeSSP",
  /*  297 */  "storeSSL",
  /*  298 */  "MoveF2LEG",
  /*  299 */  "MoveLEG2F",
  /*  300 */  "MoveF2VL",
  /*  301 */  "MoveVL2F",
  /*  302 */  "MoveD2LEG",
  /*  303 */  "MoveLEG2D",
  /*  304 */  "MoveD2VL",
  /*  305 */  "MoveVL2D",
  /*  306 */  "leaP8",
  /*  307 */  "leaP32",
  /*  308 */  "leaPIdxOff",
  /*  309 */  "leaPIdxScale",
  /*  310 */  "leaPIdxScaleOff",
  /*  311 */  "loadConI",
  /*  312 */  "loadConI0",
  /*  313 */  "loadConP",
  /*  314 */  "loadConL",
  /*  315 */  "loadConL0",
  /*  316 */  "loadConFPR",
  /*  317 */  "loadConFPR0",
  /*  318 */  "loadConFPR1",
  /*  319 */  "loadConF",
  /*  320 */  "loadConF0",
  /*  321 */  "loadConDPR",
  /*  322 */  "loadConDPR0",
  /*  323 */  "loadConDPR1",
  /*  324 */  "loadConD",
  /*  325 */  "loadConD0",
  /*  326 */  "loadSSI",
  /*  327 */  "loadSSL",
  /*  328 */  "loadSSP",
  /*  329 */  "loadSSF",
  /*  330 */  "loadSSD",
  /*  331 */  "loadConL_low_only",
  /*  332 */  "MoveVec2Leg",
  /*  333 */  "MoveLeg2Vec",
  /*  334 */  "membar_volatile",
  /*  335 */  "castX2P",
  /*  336 */  "castP2X",
  /*  337 */  "checkCastPP",
  /*  338 */  "castPP",
  /*  339 */  "castII",
  /*  340 */  "castLL",
  /*  341 */  "castFF",
  /*  342 */  "castDD",
  /*  343 */  "castFF_PR",
  /*  344 */  "castDD_PR",
  /*  345 */  "movI_nocopy",
  /*  346 */  "movP_nocopy",
  /*  347 */  "overflowAddI_eReg",
  /*  348 */  "overflowAddI_rReg_imm",
  /*  349 */  "overflowSubI_rReg",
  /*  350 */  "overflowSubI_rReg_imm",
  /*  351 */  "overflowNegI_rReg",
  /*  352 */  "overflowMulI_rReg",
  /*  353 */  "overflowMulI_rReg_imm",
  /*  354 */  "cmpDPR_cc_P6",
  /*  355 */  "cmpDPR_cc_P6CF",
  /*  356 */  "cmpDPR_cc",
  /*  357 */  "cmpD_cc",
  /*  358 */  "cmpD_ccCF",
  /*  359 */  "cmpD_ccmem",
  /*  360 */  "cmpD_ccmemCF",
  /*  361 */  "absDPR_reg",
  /*  362 */  "negDPR_reg",
  /*  363 */  "cmpFPR_cc_P6",
  /*  364 */  "cmpFPR_cc_P6CF",
  /*  365 */  "cmpFPR_cc",
  /*  366 */  "cmpF_cc",
  /*  367 */  "cmpF_ccCF",
  /*  368 */  "cmpF_ccmem",
  /*  369 */  "cmpF_ccmemCF",
  /*  370 */  "absFPR_reg",
  /*  371 */  "negFPR_reg",
  /*  372 */  "MoveF2I_stack_reg",
  /*  373 */  "MoveF2I_reg_reg_sse",
  /*  374 */  "MoveI2FPR_stack_reg",
  /*  375 */  "MoveI2F_stack_reg_sse",
  /*  376 */  "MoveI2F_reg_reg_sse",
  /*  377 */  "MoveD2L_stack_reg",
  /*  378 */  "MoveL2DPR_stack_reg",
  /*  379 */  "MoveL2D_stack_reg_sse",
  /*  380 */  "MoveL2D_stack_reg_sse_partial",
  /*  381 */  "compI_eReg",
  /*  382 */  "compI_eReg_imm",
  /*  383 */  "compI_eReg_mem",
  /*  384 */  "testI_reg",
  /*  385 */  "testI_reg_imm",
  /*  386 */  "testI_reg_mem",
  /*  387 */  "compU_eReg",
  /*  388 */  "compU_eReg_imm",
  /*  389 */  "compU_eReg_mem",
  /*  390 */  "testU_reg",
  /*  391 */  "compP_eReg",
  /*  392 */  "compP_eReg_imm",
  /*  393 */  "compP_eReg_mem",
  /*  394 */  "compP_mem_eReg",
  /*  395 */  "testP_reg",
  /*  396 */  "testP_Reg_mem",
  /*  397 */  "partialSubtypeCheck_vs_Zero",
  /*  398 */  "cmpL_zero_flags_LTGE",
  /*  399 */  "cmpL_reg_flags_LTGE",
  /*  400 */  "cmpUL_zero_flags_LTGE",
  /*  401 */  "cmpUL_reg_flags_LTGE",
  /*  402 */  "cmpL_zero_flags_EQNE",
  /*  403 */  "cmpL_reg_flags_EQNE",
  /*  404 */  "cmpUL_zero_flags_EQNE",
  /*  405 */  "cmpUL_reg_flags_EQNE",
  /*  406 */  "cmpL_zero_flags_LEGT",
  /*  407 */  "cmpL_reg_flags_LEGT",
  /*  408 */  "cmpUL_zero_flags_LEGT",
  /*  409 */  "cmpUL_reg_flags_LEGT",
  /*  410 */  "cmpFastLock",
  /*  411 */  "cmpFastUnlock",
  /*  412 */  "cmpFastLockLightweight",
  /*  413 */  "cmpFastUnlockLightweight",
  /*  414 */  "absF_reg",
  /*  415 */  "absF_reg_reg",
  /*  416 */  "absD_reg",
  /*  417 */  "absD_reg_reg",
  /*  418 */  "negF_reg",
  /*  419 */  "negF_reg_reg",
  /*  420 */  "negD_reg",
  /*  421 */  "negD_reg_reg",
  /*  422 */  "vconvF2HF",
  /*  423 */  "convHF2F_reg_reg",
  /*  424 */  "vconvHF2F_reg_mem",
  /*  425 */  "vconvHF2F",
  /*  426 */  "reinterpret_mask",
  /*  427 */  "reinterpret",
  /*  428 */  "vreinterpret_expand4",
  /*  429 */  "vreinterpret_expand",
  /*  430 */  "reinterpret_shrink",
  /*  431 */  "vReplB_reg",
  /*  432 */  "ReplB_mem",
  /*  433 */  "vReplS_reg",
  /*  434 */  "ReplS_mem",
  /*  435 */  "ReplI_reg",
  /*  436 */  "ReplI_mem",
  /*  437 */  "ReplI_imm",
  /*  438 */  "ReplI_zero",
  /*  439 */  "ReplI_M1",
  /*  440 */  "ReplL_mem",
  /*  441 */  "ReplL_imm",
  /*  442 */  "ReplL_zero",
  /*  443 */  "ReplL_M1",
  /*  444 */  "vReplF_reg",
  /*  445 */  "ReplF_reg",
  /*  446 */  "ReplF_mem",
  /*  447 */  "ReplF_imm",
  /*  448 */  "ReplF_zero",
  /*  449 */  "vReplD_reg",
  /*  450 */  "ReplD_reg",
  /*  451 */  "ReplD_mem",
  /*  452 */  "ReplD_imm",
  /*  453 */  "ReplD_zero",
  /*  454 */  "vsqrtF_reg",
  /*  455 */  "vsqrtF_mem",
  /*  456 */  "vsqrtD_reg",
  /*  457 */  "vsqrtD_mem",
  /*  458 */  "vshiftcnt",
  /*  459 */  "vshiftcnt_0",
  /*  460 */  "vcastBtoX",
  /*  461 */  "vcastBtoD",
  /*  462 */  "castStoX",
  /*  463 */  "vcastStoX_evex",
  /*  464 */  "castItoX",
  /*  465 */  "vcastItoX_evex",
  /*  466 */  "vcastLtoBS",
  /*  467 */  "vcastLtoX_evex",
  /*  468 */  "vcastFtoD_reg",
  /*  469 */  "vcastDtoF_reg",
  /*  470 */  "vucast",
  /*  471 */  "vucast_0",
  /*  472 */  "vucast_1",
  /*  473 */  "vabsB_reg",
  /*  474 */  "vabsS_reg",
  /*  475 */  "vabsI_reg",
  /*  476 */  "vabsL_reg",
  /*  477 */  "vabsnegF",
  /*  478 */  "vabsnegF_0",
  /*  479 */  "vabsneg4F",
  /*  480 */  "vabsneg4F_0",
  /*  481 */  "vabsnegD",
  /*  482 */  "vabsnegD_0",
  /*  483 */  "vmaskcast_evex",
  /*  484 */  "vmaskcast",
  /*  485 */  "vmaskcast_avx",
  /*  486 */  "loadIotaIndices",
  /*  487 */  "loadShuffleB",
  /*  488 */  "loadShuffleS_evex",
  /*  489 */  "loadShuffleI_avx",
  /*  490 */  "loadShuffleL_evex",
  /*  491 */  "vpopcount_integral_reg_evex",
  /*  492 */  "vpopcount_integral_reg_evex_0",
  /*  493 */  "vcount_leading_zeros_IL_reg_evex",
  /*  494 */  "castMM",
  /*  495 */  "castVV",
  /*  496 */  "castVVLeg",
  /*  497 */  "bytes_reverse_int",
  /*  498 */  "bytes_reverse_long",
  /*  499 */  "bytes_reverse_unsigned_short",
  /*  500 */  "bytes_reverse_short",
  /*  501 */  "countLeadingZerosI",
  /*  502 */  "countLeadingZerosI_bsr",
  /*  503 */  "countLeadingZerosL",
  /*  504 */  "countLeadingZerosL_bsr",
  /*  505 */  "countTrailingZerosI",
  /*  506 */  "countTrailingZerosI_bsf",
  /*  507 */  "countTrailingZerosL",
  /*  508 */  "countTrailingZerosL_bsf",
  /*  509 */  "popCountI",
  /*  510 */  "popCountI_mem",
  /*  511 */  "popCountL",
  /*  512 */  "popCountL_mem",
  /*  513 */  "loadB",
  /*  514 */  "loadB2L",
  /*  515 */  "loadUB",
  /*  516 */  "loadUB2L",
  /*  517 */  "loadUB2L_immI",
  /*  518 */  "loadS",
  /*  519 */  "loadS2B",
  /*  520 */  "loadS2L",
  /*  521 */  "loadUS",
  /*  522 */  "loadUS2B",
  /*  523 */  "loadUS2L",
  /*  524 */  "loadUS2L_immI_255",
  /*  525 */  "loadUS2L_immI",
  /*  526 */  "loadI",
  /*  527 */  "loadI2B",
  /*  528 */  "loadI2UB",
  /*  529 */  "loadI2S",
  /*  530 */  "loadI2US",
  /*  531 */  "loadI2L",
  /*  532 */  "loadI2L_immI_255",
  /*  533 */  "loadI2L_immI_65535",
  /*  534 */  "loadI2L_immU31",
  /*  535 */  "loadUI2L",
  /*  536 */  "loadL",
  /*  537 */  "loadL_volatile",
  /*  538 */  "loadLX_volatile",
  /*  539 */  "loadLX_reg_volatile",
  /*  540 */  "loadRange",
  /*  541 */  "loadP",
  /*  542 */  "loadKlass",
  /*  543 */  "loadDPR",
  /*  544 */  "loadD",
  /*  545 */  "loadD_partial",
  /*  546 */  "loadF",
  /*  547 */  "loadFPR",
  /*  548 */  "prefetchAlloc0",
  /*  549 */  "prefetchAlloc",
  /*  550 */  "prefetchAllocNTA",
  /*  551 */  "prefetchAllocT0",
  /*  552 */  "prefetchAllocT2",
  /*  553 */  "storeB",
  /*  554 */  "storeC",
  /*  555 */  "storeI",
  /*  556 */  "storeL",
  /*  557 */  "storeL2I",
  /*  558 */  "storeL_volatile",
  /*  559 */  "storeLX_volatile",
  /*  560 */  "storeLX_reg_volatile",
  /*  561 */  "storeP",
  /*  562 */  "storeImmI",
  /*  563 */  "storeImmI16",
  /*  564 */  "storeImmP",
  /*  565 */  "storeImmB",
  /*  566 */  "storeDPR",
  /*  567 */  "storeDPR_rounded",
  /*  568 */  "storeD",
  /*  569 */  "storeF",
  /*  570 */  "storeFPR",
  /*  571 */  "storeFPR_rounded",
  /*  572 */  "storeFPR_Drounded",
  /*  573 */  "storeFPR_imm",
  /*  574 */  "storeF_imm",
  /*  575 */  "membar_acquire",
  /*  576 */  "membar_acquire_0",
  /*  577 */  "membar_acquire_lock",
  /*  578 */  "membar_release",
  /*  579 */  "membar_release_0",
  /*  580 */  "membar_release_lock",
  /*  581 */  "unnecessary_membar_volatile",
  /*  582 */  "membar_storestore",
  /*  583 */  "membar_storestore_0",
  /*  584 */  "jmovI_reg",
  /*  585 */  "jmovI_regU",
  /*  586 */  "cmovI_reg",
  /*  587 */  "cmovI_regU",
  /*  588 */  "cmovI_regUCF",
  /*  589 */  "cmovI_mem",
  /*  590 */  "cmovI_memU",
  /*  591 */  "cmovI_memUCF",
  /*  592 */  "cmovP_reg",
  /*  593 */  "cmovP_reg_nonP6",
  /*  594 */  "cmovP_regU",
  /*  595 */  "cmovP_regUCF",
  /*  596 */  "fcmovDPR_regU",
  /*  597 */  "fcmovFPR_regU",
  /*  598 */  "fcmovDPR_regS",
  /*  599 */  "fcmovFPR_regS",
  /*  600 */  "fcmovF_regS",
  /*  601 */  "fcmovD_regS",
  /*  602 */  "fcmovF_regU",
  /*  603 */  "fcmovF_regUCF",
  /*  604 */  "fcmovD_regU",
  /*  605 */  "fcmovD_regUCF",
  /*  606 */  "cmovL_reg",
  /*  607 */  "cmovL_regU",
  /*  608 */  "cmovL_regUCF",
  /*  609 */  "addI_eReg",
  /*  610 */  "addI_eReg_imm",
  /*  611 */  "incI_eReg",
  /*  612 */  "leaI_eReg_immI",
  /*  613 */  "leaP_eReg_immI",
  /*  614 */  "decI_eReg",
  /*  615 */  "addP_eReg",
  /*  616 */  "addP_eReg_imm",
  /*  617 */  "addI_eReg_mem",
  /*  618 */  "addI_eReg_mem_0",
  /*  619 */  "addI_mem_eReg",
  /*  620 */  "addI_mem_eReg_0",
  /*  621 */  "addI_mem_imm",
  /*  622 */  "incI_mem",
  /*  623 */  "decI_mem",
  /*  624 */  "compareAndSwapL",
  /*  625 */  "compareAndSwapL_0",
  /*  626 */  "compareAndSwapP",
  /*  627 */  "compareAndSwapP_0",
  /*  628 */  "compareAndSwapB",
  /*  629 */  "compareAndSwapB_0",
  /*  630 */  "compareAndSwapS",
  /*  631 */  "compareAndSwapS_0",
  /*  632 */  "compareAndSwapI",
  /*  633 */  "compareAndSwapI_0",
  /*  634 */  "compareAndExchangeL",
  /*  635 */  "compareAndExchangeP",
  /*  636 */  "compareAndExchangeB",
  /*  637 */  "compareAndExchangeS",
  /*  638 */  "compareAndExchangeI",
  /*  639 */  "xaddB_no_res",
  /*  640 */  "xaddB",
  /*  641 */  "xaddS_no_res",
  /*  642 */  "xaddS",
  /*  643 */  "xaddI_no_res",
  /*  644 */  "xaddI",
  /*  645 */  "xchgB",
  /*  646 */  "xchgS",
  /*  647 */  "xchgI",
  /*  648 */  "xchgP",
  /*  649 */  "subI_eReg",
  /*  650 */  "subI_eReg_imm",
  /*  651 */  "subI_eReg_mem",
  /*  652 */  "subI_mem_eReg",
  /*  653 */  "subP_eReg",
  /*  654 */  "negI_eReg",
  /*  655 */  "mulI_eReg",
  /*  656 */  "mulI_eReg_imm",
  /*  657 */  "mulI_imm_high",
  /*  658 */  "mulI_imm_high_0",
  /*  659 */  "mulI_imm_RShift_high",
  /*  660 */  "mulI_imm_RShift_high_0",
  /*  661 */  "mulI_mem_imm",
  /*  662 */  "mulI",
  /*  663 */  "mulI_0",
  /*  664 */  "mulAddS2I_rReg",
  /*  665 */  "mulI2L",
  /*  666 */  "mulI2L_0",
  /*  667 */  "mulIS_eReg",
  /*  668 */  "mulIS_eReg_0",
  /*  669 */  "mulL_eReg",
  /*  670 */  "mulL_eReg_lhi0",
  /*  671 */  "mulL_eReg_rhi0",
  /*  672 */  "mulL_eReg_hi0",
  /*  673 */  "mulL_eReg_con",
  /*  674 */  "divI_eReg",
  /*  675 */  "divL_eReg",
  /*  676 */  "divModI_eReg_divmod",
  /*  677 */  "modI_eReg",
  /*  678 */  "modL_eReg",
  /*  679 */  "divL_eReg_imm32",
  /*  680 */  "modL_eReg_imm32",
  /*  681 */  "shlI_eReg_1",
  /*  682 */  "salI_eReg_imm",
  /*  683 */  "salI_eReg_CL",
  /*  684 */  "sarI_eReg_1",
  /*  685 */  "sarI_mem_1",
  /*  686 */  "sarI_eReg_imm",
  /*  687 */  "sarI_mem_imm",
  /*  688 */  "sarI_eReg_CL",
  /*  689 */  "shrI_eReg_1",
  /*  690 */  "shrI_eReg_imm",
  /*  691 */  "i2b",
  /*  692 */  "i2s",
  /*  693 */  "shrI_eReg_CL",
  /*  694 */  "andI_eReg",
  /*  695 */  "andI_eReg_imm",
  /*  696 */  "andI_eReg_mem",
  /*  697 */  "andI_eReg_mem_0",
  /*  698 */  "andI_mem_eReg",
  /*  699 */  "andI_mem_eReg_0",
  /*  700 */  "andI_mem_imm",
  /*  701 */  "andnI_rReg_rReg_rReg",
  /*  702 */  "andnI_rReg_rReg_rReg_0",
  /*  703 */  "andnI_rReg_rReg_mem",
  /*  704 */  "andnI_rReg_rReg_mem_0",
  /*  705 */  "blsiI_rReg_rReg",
  /*  706 */  "blsiI_rReg_rReg_0",
  /*  707 */  "blsiI_rReg_mem",
  /*  708 */  "blsiI_rReg_mem_0",
  /*  709 */  "blsmskI_rReg_rReg",
  /*  710 */  "blsmskI_rReg_rReg_0",
  /*  711 */  "blsmskI_rReg_mem",
  /*  712 */  "blsmskI_rReg_mem_0",
  /*  713 */  "blsrI_rReg_rReg",
  /*  714 */  "blsrI_rReg_rReg_0",
  /*  715 */  "blsrI_rReg_mem",
  /*  716 */  "blsrI_rReg_mem_0",
  /*  717 */  "orI_eReg",
  /*  718 */  "orI_eReg_castP2X",
  /*  719 */  "orI_eReg_castP2X_0",
  /*  720 */  "orI_eReg_imm",
  /*  721 */  "orI_eReg_mem",
  /*  722 */  "orI_eReg_mem_0",
  /*  723 */  "orI_mem_eReg",
  /*  724 */  "orI_mem_eReg_0",
  /*  725 */  "orI_mem_imm",
  /*  726 */  "rolI_eReg_imm1",
  /*  727 */  "rolI_eReg_imm8",
  /*  728 */  "rolI_eReg_CL",
  /*  729 */  "rolI_eReg_i1",
  /*  730 */  "rolI_eReg_i1_0",
  /*  731 */  "rolI_eReg_i8",
  /*  732 */  "rolI_eReg_i8_0",
  /*  733 */  "rolI_eReg_Var_C0",
  /*  734 */  "rolI_eReg_Var_C0_0",
  /*  735 */  "rolI_eReg_Var_C32",
  /*  736 */  "rolI_eReg_Var_C32_0",
  /*  737 */  "rorI_eReg_imm1",
  /*  738 */  "rorI_eReg_imm8",
  /*  739 */  "rorI_eReg_CL",
  /*  740 */  "rorI_eReg_i1",
  /*  741 */  "rorI_eReg_i1_0",
  /*  742 */  "rorI_eReg_i8",
  /*  743 */  "rorI_eReg_i8_0",
  /*  744 */  "rorI_eReg_Var_C0",
  /*  745 */  "rorI_eReg_Var_C0_0",
  /*  746 */  "rorI_eReg_Var_C32",
  /*  747 */  "rorI_eReg_Var_C32_0",
  /*  748 */  "xorI_eReg",
  /*  749 */  "xorI_eReg_im1",
  /*  750 */  "xorI_eReg_imm",
  /*  751 */  "xorI_eReg_mem",
  /*  752 */  "xorI_eReg_mem_0",
  /*  753 */  "xorI_mem_eReg",
  /*  754 */  "xorI_mem_eReg_0",
  /*  755 */  "xorI_mem_imm",
  /*  756 */  "ci2b",
  /*  757 */  "convI2B",
  /*  758 */  "cp2b",
  /*  759 */  "convP2B",
  /*  760 */  "cmpLTMask",
  /*  761 */  "cmpLTMask0",
  /*  762 */  "cadd_cmpLTMask",
  /*  763 */  "cadd_cmpLTMask_1",
  /*  764 */  "cadd_cmpLTMask_0",
  /*  765 */  "cadd_cmpLTMask_2",
  /*  766 */  "and_cmpLTMask",
  /*  767 */  "and_cmpLTMask_0",
  /*  768 */  "absI_rReg",
  /*  769 */  "addL_eReg",
  /*  770 */  "addL_eReg_imm",
  /*  771 */  "addL_eReg_mem",
  /*  772 */  "addL_eReg_mem_0",
  /*  773 */  "subL_eReg",
  /*  774 */  "subL_eReg_imm",
  /*  775 */  "subL_eReg_mem",
  /*  776 */  "negL_eReg",
  /*  777 */  "andL_eReg",
  /*  778 */  "andL_eReg_imm",
  /*  779 */  "andL_eReg_mem",
  /*  780 */  "andL_eReg_mem_0",
  /*  781 */  "andnL_eReg_eReg_eReg",
  /*  782 */  "andnL_eReg_eReg_eReg_0",
  /*  783 */  "andnL_eReg_eReg_mem",
  /*  784 */  "andnL_eReg_eReg_mem_0",
  /*  785 */  "blsiL_eReg_eReg",
  /*  786 */  "blsiL_eReg_eReg_0",
  /*  787 */  "blsiL_eReg_mem",
  /*  788 */  "blsiL_eReg_mem_0",
  /*  789 */  "blsmskL_eReg_eReg",
  /*  790 */  "blsmskL_eReg_eReg_0",
  /*  791 */  "blsmskL_eReg_mem",
  /*  792 */  "blsmskL_eReg_mem_0",
  /*  793 */  "blsrL_eReg_eReg",
  /*  794 */  "blsrL_eReg_eReg_0",
  /*  795 */  "blsrL_eReg_mem",
  /*  796 */  "blsrL_eReg_mem_0",
  /*  797 */  "orl_eReg",
  /*  798 */  "orl_eReg_imm",
  /*  799 */  "orl_eReg_mem",
  /*  800 */  "orl_eReg_mem_0",
  /*  801 */  "xorl_eReg",
  /*  802 */  "xorl_eReg_im1",
  /*  803 */  "xorl_eReg_imm",
  /*  804 */  "xorl_eReg_mem",
  /*  805 */  "xorl_eReg_mem_0",
  /*  806 */  "shlL_eReg_1",
  /*  807 */  "shlL_eReg_2",
  /*  808 */  "shlL_eReg_3",
  /*  809 */  "shlL_eReg_1_31",
  /*  810 */  "shlL_eReg_32_63",
  /*  811 */  "salL_eReg_CL",
  /*  812 */  "shrL_eReg_1_31",
  /*  813 */  "shrL_eReg_32_63",
  /*  814 */  "shrL_eReg_CL",
  /*  815 */  "sarL_eReg_1_31",
  /*  816 */  "sarL_eReg_32_63",
  /*  817 */  "sarL_eReg_CL",
  /*  818 */  "cmpDPR_0",
  /*  819 */  "cmpDPR_reg",
  /*  820 */  "cmpD_reg",
  /*  821 */  "cmpD_regmem",
  /*  822 */  "subDPR_reg",
  /*  823 */  "subDPR_reg_round",
  /*  824 */  "subDPR_reg_mem",
  /*  825 */  "addDPR_reg",
  /*  826 */  "addDPR_reg_round",
  /*  827 */  "addDPR_reg_mem",
  /*  828 */  "addDPR_reg_mem_0",
  /*  829 */  "addDPR_mem_reg",
  /*  830 */  "addDPR_mem_reg_0",
  /*  831 */  "addDPR_reg_imm1",
  /*  832 */  "addDPR_reg_imm",
  /*  833 */  "addDPR_reg_imm_round",
  /*  834 */  "mulDPR_reg",
  /*  835 */  "strictfp_mulDPR_reg",
  /*  836 */  "mulDPR_reg_imm",
  /*  837 */  "mulDPR_reg_mem",
  /*  838 */  "mulDPR_reg_mem_0",
  /*  839 */  "mulDPR_reg_mem_cisc",
  /*  840 */  "mulDPR_reg_mem_cisc_0",
  /*  841 */  "addDPR_mulDPR_reg",
  /*  842 */  "addDPR_mulDPR_reg_0",
  /*  843 */  "subDPR_mulDPR_reg",
  /*  844 */  "divDPR_reg",
  /*  845 */  "strictfp_divDPR_reg",
  /*  846 */  "modDPR_reg",
  /*  847 */  "modD_reg",
  /*  848 */  "atanDPR_reg",
  /*  849 */  "atanD_reg",
  /*  850 */  "sqrtDPR_reg",
  /*  851 */  "cmpFPR_0",
  /*  852 */  "cmpFPR_reg",
  /*  853 */  "cmpF_reg",
  /*  854 */  "cmpF_regmem",
  /*  855 */  "subFPR24_reg",
  /*  856 */  "subFPR_reg",
  /*  857 */  "addFPR24_reg",
  /*  858 */  "addFPR_reg",
  /*  859 */  "addFPR24_reg_mem",
  /*  860 */  "addFPR24_reg_mem_0",
  /*  861 */  "addFPR_reg_mem",
  /*  862 */  "addFPR_reg_mem_0",
  /*  863 */  "addFPR24_mem_reg",
  /*  864 */  "addFPR24_mem_cisc",
  /*  865 */  "addFPR24_mem_cisc_0",
  /*  866 */  "addFPR24_mem_mem",
  /*  867 */  "addFPR24_reg_imm",
  /*  868 */  "addFPR_reg_imm",
  /*  869 */  "mulFPR24_reg",
  /*  870 */  "mulFPR_reg",
  /*  871 */  "mulFPR24_reg_mem",
  /*  872 */  "mulFPR24_reg_mem_0",
  /*  873 */  "mulFPR_reg_mem",
  /*  874 */  "mulFPR_reg_mem_0",
  /*  875 */  "mulFPR24_mem_mem",
  /*  876 */  "mulFPR24_reg_imm",
  /*  877 */  "mulFPR_reg_imm",
  /*  878 */  "mulFPR_reg_load1",
  /*  879 */  "mulFPR_reg_load1_0",
  /*  880 */  "addFPR_mulFPR_reg_load1",
  /*  881 */  "addFPR_mulFPR_reg_load1_1",
  /*  882 */  "addFPR_mulFPR_reg_load1_0",
  /*  883 */  "addFPR_mulFPR_reg_load1_2",
  /*  884 */  "addFPR_mulFPR_reg",
  /*  885 */  "addFPR_mulFPR_reg_0",
  /*  886 */  "subFPR_divFPR_reg",
  /*  887 */  "divFPR24_reg",
  /*  888 */  "divFPR_reg",
  /*  889 */  "modFPR24_reg",
  /*  890 */  "modFPR_reg",
  /*  891 */  "modF_reg",
  /*  892 */  "roundFloat_mem_reg",
  /*  893 */  "roundDouble_mem_reg",
  /*  894 */  "convDPR2FPR_reg",
  /*  895 */  "convDPR2F_reg",
  /*  896 */  "convD2F_reg",
  /*  897 */  "convFPR2DPR_reg_reg",
  /*  898 */  "convFPR2D_reg",
  /*  899 */  "convF2DPR_reg",
  /*  900 */  "convF2D_reg",
  /*  901 */  "convDPR2I_reg_reg",
  /*  902 */  "convD2I_reg_reg",
  /*  903 */  "convDPR2L_reg_reg",
  /*  904 */  "convD2L_reg_reg",
  /*  905 */  "convFPR2I_reg_reg",
  /*  906 */  "convF2I_reg",
  /*  907 */  "convFPR2L_reg_reg",
  /*  908 */  "convF2L_reg_reg",
  /*  909 */  "convI2DPR_reg",
  /*  910 */  "convI2D_reg",
  /*  911 */  "convI2D_mem",
  /*  912 */  "convXI2D_reg",
  /*  913 */  "convI2DPR_mem",
  /*  914 */  "conv24I2FPR_reg",
  /*  915 */  "convI2FPR_SSF",
  /*  916 */  "convI2FPR_SSF_mem",
  /*  917 */  "convI2FPR_reg",
  /*  918 */  "convI2FPR_mem",
  /*  919 */  "convI2F_reg",
  /*  920 */  "convXI2F_reg",
  /*  921 */  "convI2L_reg",
  /*  922 */  "convI2L_reg_zex",
  /*  923 */  "zerox_long",
  /*  924 */  "convL2DPR_reg",
  /*  925 */  "convL2D_reg",
  /*  926 */  "convL2F_reg",
  /*  927 */  "convL2FPR_reg",
  /*  928 */  "convL2I_reg",
  /*  929 */  "MoveFPR2I_reg_stack",
  /*  930 */  "MoveF2I_reg_stack_sse",
  /*  931 */  "MoveI2F_reg_stack",
  /*  932 */  "MoveDPR2L_reg_stack",
  /*  933 */  "MoveD2L_reg_stack_sse",
  /*  934 */  "MoveD2L_reg_reg_sse",
  /*  935 */  "MoveL2D_reg_stack",
  /*  936 */  "MoveL2D_reg_reg_sse",
  /*  937 */  "compressBitsL_reg",
  /*  938 */  "expandBitsL_reg",
  /*  939 */  "rep_stos",
  /*  940 */  "rep_stos_evex",
  /*  941 */  "rep_stos_large",
  /*  942 */  "rep_stos_large_evex",
  /*  943 */  "rep_stos_im",
  /*  944 */  "string_compareL",
  /*  945 */  "string_compareL_evex",
  /*  946 */  "string_compareU",
  /*  947 */  "string_compareU_evex",
  /*  948 */  "string_compareLU",
  /*  949 */  "string_compareLU_evex",
  /*  950 */  "string_compareUL",
  /*  951 */  "string_compareUL_evex",
  /*  952 */  "string_equals",
  /*  953 */  "string_equals_evex",
  /*  954 */  "string_indexof_conL",
  /*  955 */  "string_indexof_conU",
  /*  956 */  "string_indexof_conUL",
  /*  957 */  "string_indexofL",
  /*  958 */  "string_indexofU",
  /*  959 */  "string_indexofUL",
  /*  960 */  "string_indexof_char",
  /*  961 */  "stringL_indexof_char",
  /*  962 */  "array_equalsB",
  /*  963 */  "array_equalsB_evex",
  /*  964 */  "array_equalsC",
  /*  965 */  "array_equalsC_evex",
  /*  966 */  "count_positives",
  /*  967 */  "count_positives_evex",
  /*  968 */  "string_compress",
  /*  969 */  "string_compress_evex",
  /*  970 */  "string_inflate",
  /*  971 */  "string_inflate_evex",
  /*  972 */  "encode_iso_array",
  /*  973 */  "encode_ascii_array",
  /*  974 */  "minI_eReg",
  /*  975 */  "maxI_eReg",
  /*  976 */  "loopLimit_eReg",
  /*  977 */  "jumpXtnd",
  /*  978 */  "jmpDir",
  /*  979 */  "jmpCon",
  /*  980 */  "jmpLoopEnd",
  /*  981 */  "jmpConU",
  /*  982 */  "jmpConUCF",
  /*  983 */  "jmpConUCF2",
  /*  984 */  "partialSubtypeCheck",
  /*  985 */  "jmpDir_short",
  /*  986 */  "jmpCon_short",
  /*  987 */  "jmpLoopEnd_short",
  /*  988 */  "jmpConU_short",
  /*  989 */  "jmpConUCF_short",
  /*  990 */  "jmpConUCF2_short",
  /*  991 */  "cmpL3_reg_reg",
  /*  992 */  "cmpL_LTGE",
  /*  993 */  "cmpUL_LTGE",
  /*  994 */  "cmovLL_reg_LTGE",
  /*  995 */  "cmovLL_mem_LTGE",
  /*  996 */  "cmovLL_reg_LTGE_U",
  /*  997 */  "cmovLL_mem_LTGE_U",
  /*  998 */  "cmovII_reg_LTGE",
  /*  999 */  "cmovII_mem_LTGE",
  /* 1000 */  "cmovII_reg_LTGE_U",
  /* 1001 */  "cmovII_mem_LTGE_U",
  /* 1002 */  "cmovPP_reg_LTGE",
  /* 1003 */  "cmovPP_reg_LTGE_U",
  /* 1004 */  "cmovDDPR_reg_LTGE",
  /* 1005 */  "cmovDD_reg_LTGE",
  /* 1006 */  "cmovFFPR_reg_LTGE",
  /* 1007 */  "cmovFF_reg_LTGE",
  /* 1008 */  "cmpL_EQNE",
  /* 1009 */  "cmpUL_EQNE",
  /* 1010 */  "cmovLL_reg_EQNE",
  /* 1011 */  "cmovLL_mem_EQNE",
  /* 1012 */  "cmovII_reg_EQNE",
  /* 1013 */  "cmovII_mem_EQNE",
  /* 1014 */  "cmovII_reg_EQNE_U",
  /* 1015 */  "cmovII_mem_EQNE_U",
  /* 1016 */  "cmovPP_reg_EQNE",
  /* 1017 */  "cmovPP_reg_EQNE_U",
  /* 1018 */  "cmovDDPR_reg_EQNE",
  /* 1019 */  "cmovDD_reg_EQNE",
  /* 1020 */  "cmovFFPR_reg_EQNE",
  /* 1021 */  "cmovFF_reg_EQNE",
  /* 1022 */  "cmpL_LEGT",
  /* 1023 */  "cmpUL_LEGT",
  /* 1024 */  "cmovLL_reg_LEGT",
  /* 1025 */  "cmovLL_mem_LEGT",
  /* 1026 */  "cmovLL_reg_LEGT_U",
  /* 1027 */  "cmovLL_mem_LEGT_U",
  /* 1028 */  "cmovII_reg_LEGT",
  /* 1029 */  "cmovII_mem_LEGT",
  /* 1030 */  "cmovII_reg_LEGT_U",
  /* 1031 */  "cmovII_mem_LEGT_U",
  /* 1032 */  "cmovPP_reg_LEGT",
  /* 1033 */  "cmovPP_reg_LEGT_U",
  /* 1034 */  "cmovDDPR_reg_LEGT",
  /* 1035 */  "cmovDD_reg_LEGT",
  /* 1036 */  "cmovFFPR_reg_LEGT",
  /* 1037 */  "cmovFF_reg_LEGT",
  /* 1038 */  "CallStaticJavaDirect",
  /* 1039 */  "CallDynamicJavaDirect",
  /* 1040 */  "CallRuntimeDirect",
  /* 1041 */  "CallLeafDirect",
  /* 1042 */  "CallLeafNoFPDirect",
  /* 1043 */  "Ret",
  /* 1044 */  "TailCalljmpInd",
  /* 1045 */  "tailjmpInd",
  /* 1046 */  "ForwardExceptionjmp",
  /* 1047 */  "CreateException",
  /* 1048 */  "RethrowException",
  /* 1049 */  "mask_all_evexL_LT32",
  /* 1050 */  "mask_all_evexL_GT32",
  /* 1051 */  "mask_all_evexI_GT32",
  /* 1052 */  "safePoint_poll_tls",
  /* 1053 */  "tlsLoadP",
  /* 1054 */  "ShouldNotReachHere",
  /* 1055 */  "addF_reg",
  /* 1056 */  "addF_mem",
  /* 1057 */  "addF_mem_0",
  /* 1058 */  "addF_imm",
  /* 1059 */  "addF_reg_reg",
  /* 1060 */  "addF_reg_mem",
  /* 1061 */  "addF_reg_mem_0",
  /* 1062 */  "addF_reg_imm",
  /* 1063 */  "addD_reg",
  /* 1064 */  "addD_mem",
  /* 1065 */  "addD_mem_0",
  /* 1066 */  "addD_imm",
  /* 1067 */  "addD_reg_reg",
  /* 1068 */  "addD_reg_mem",
  /* 1069 */  "addD_reg_mem_0",
  /* 1070 */  "addD_reg_imm",
  /* 1071 */  "subF_reg",
  /* 1072 */  "subF_mem",
  /* 1073 */  "subF_imm",
  /* 1074 */  "subF_reg_reg",
  /* 1075 */  "subF_reg_mem",
  /* 1076 */  "subF_reg_imm",
  /* 1077 */  "subD_reg",
  /* 1078 */  "subD_mem",
  /* 1079 */  "subD_imm",
  /* 1080 */  "subD_reg_reg",
  /* 1081 */  "subD_reg_mem",
  /* 1082 */  "subD_reg_imm",
  /* 1083 */  "mulF_reg",
  /* 1084 */  "mulF_mem",
  /* 1085 */  "mulF_mem_0",
  /* 1086 */  "mulF_imm",
  /* 1087 */  "mulF_reg_reg",
  /* 1088 */  "mulF_reg_mem",
  /* 1089 */  "mulF_reg_mem_0",
  /* 1090 */  "mulF_reg_imm",
  /* 1091 */  "mulD_reg",
  /* 1092 */  "mulD_mem",
  /* 1093 */  "mulD_mem_0",
  /* 1094 */  "mulD_imm",
  /* 1095 */  "mulD_reg_reg",
  /* 1096 */  "mulD_reg_mem",
  /* 1097 */  "mulD_reg_mem_0",
  /* 1098 */  "mulD_reg_imm",
  /* 1099 */  "divF_reg",
  /* 1100 */  "divF_mem",
  /* 1101 */  "divF_imm",
  /* 1102 */  "divF_reg_reg",
  /* 1103 */  "divF_reg_mem",
  /* 1104 */  "divF_reg_imm",
  /* 1105 */  "divD_reg",
  /* 1106 */  "divD_mem",
  /* 1107 */  "divD_imm",
  /* 1108 */  "divD_reg_reg",
  /* 1109 */  "divD_reg_mem",
  /* 1110 */  "divD_reg_imm",
  /* 1111 */  "sqrtF_reg",
  /* 1112 */  "sqrtD_reg",
  /* 1113 */  "convF2HF_reg_reg",
  /* 1114 */  "convF2HF_mem_reg",
  /* 1115 */  "vconvF2HF_mem_reg",
  /* 1116 */  "reinterpret_mask_W2B",
  /* 1117 */  "reinterpret_mask_D2B",
  /* 1118 */  "reinterpret_mask_Q2B",
  /* 1119 */  "reinterpret_expand",
  /* 1120 */  "onspinwait",
  /* 1121 */  "fmaD_reg",
  /* 1122 */  "fmaF_reg",
  /* 1123 */  "loadV",
  /* 1124 */  "storeV",
  /* 1125 */  "gather",
  /* 1126 */  "evgather",
  /* 1127 */  "evgather_masked",
  /* 1128 */  "vgather_subwordLE8B",
  /* 1129 */  "vgather_subwordGT8B",
  /* 1130 */  "vgather_subwordLE8B_off",
  /* 1131 */  "vgather_subwordGT8B_off",
  /* 1132 */  "scatter",
  /* 1133 */  "scatter_masked",
  /* 1134 */  "ReplL_reg",
  /* 1135 */  "ReplL_reg_leg",
  /* 1136 */  "insert",
  /* 1137 */  "insert32",
  /* 1138 */  "insert64",
  /* 1139 */  "insertF",
  /* 1140 */  "vinsertF",
  /* 1141 */  "reductionI",
  /* 1142 */  "reductionI_0",
  /* 1143 */  "reductionI_1",
  /* 1144 */  "reductionI_2",
  /* 1145 */  "reductionI_3",
  /* 1146 */  "reductionI_4",
  /* 1147 */  "reductionI_5",
  /* 1148 */  "reductionF128",
  /* 1149 */  "reductionF128_0",
  /* 1150 */  "reduction8F",
  /* 1151 */  "reduction8F_0",
  /* 1152 */  "reduction16F",
  /* 1153 */  "reduction16F_0",
  /* 1154 */  "unordered_reduction2F",
  /* 1155 */  "unordered_reduction2F_0",
  /* 1156 */  "unordered_reduction4F",
  /* 1157 */  "unordered_reduction4F_0",
  /* 1158 */  "unordered_reduction8F",
  /* 1159 */  "unordered_reduction8F_0",
  /* 1160 */  "unordered_reduction16F",
  /* 1161 */  "unordered_reduction16F_0",
  /* 1162 */  "reduction2D",
  /* 1163 */  "reduction2D_0",
  /* 1164 */  "reduction4D",
  /* 1165 */  "reduction4D_0",
  /* 1166 */  "reduction8D",
  /* 1167 */  "reduction8D_0",
  /* 1168 */  "unordered_reduction2D",
  /* 1169 */  "unordered_reduction2D_0",
  /* 1170 */  "unordered_reduction4D",
  /* 1171 */  "unordered_reduction4D_0",
  /* 1172 */  "unordered_reduction8D",
  /* 1173 */  "unordered_reduction8D_0",
  /* 1174 */  "reductionS",
  /* 1175 */  "reductionS_0",
  /* 1176 */  "reductionS_1",
  /* 1177 */  "reductionS_2",
  /* 1178 */  "reductionS_3",
  /* 1179 */  "reductionS_4",
  /* 1180 */  "reductionS_5",
  /* 1181 */  "mul_reductionB",
  /* 1182 */  "mul_reduction64B",
  /* 1183 */  "minmax_reduction2F",
  /* 1184 */  "minmax_reduction2F_0",
  /* 1185 */  "minmax_reductionF",
  /* 1186 */  "minmax_reductionF_0",
  /* 1187 */  "minmax_reduction2F_av",
  /* 1188 */  "minmax_reduction2F_av_0",
  /* 1189 */  "minmax_reductionF_av",
  /* 1190 */  "minmax_reductionF_av_0",
  /* 1191 */  "minmax_reduction2D",
  /* 1192 */  "minmax_reduction2D_0",
  /* 1193 */  "minmax_reductionD",
  /* 1194 */  "minmax_reductionD_0",
  /* 1195 */  "minmax_reduction2D_av",
  /* 1196 */  "minmax_reduction2D_av_0",
  /* 1197 */  "minmax_reductionD_av",
  /* 1198 */  "minmax_reductionD_av_0",
  /* 1199 */  "vaddB",
  /* 1200 */  "vaddB_reg",
  /* 1201 */  "vaddB_mem",
  /* 1202 */  "vaddB_mem_0",
  /* 1203 */  "vaddS",
  /* 1204 */  "vaddS_reg",
  /* 1205 */  "vaddS_mem",
  /* 1206 */  "vaddS_mem_0",
  /* 1207 */  "vaddI",
  /* 1208 */  "vaddI_reg",
  /* 1209 */  "vaddI_mem",
  /* 1210 */  "vaddI_mem_0",
  /* 1211 */  "vaddL",
  /* 1212 */  "vaddL_reg",
  /* 1213 */  "vaddL_mem",
  /* 1214 */  "vaddL_mem_0",
  /* 1215 */  "vaddF",
  /* 1216 */  "vaddF_reg",
  /* 1217 */  "vaddF_mem",
  /* 1218 */  "vaddF_mem_0",
  /* 1219 */  "vaddD",
  /* 1220 */  "vaddD_reg",
  /* 1221 */  "vaddD_mem",
  /* 1222 */  "vaddD_mem_0",
  /* 1223 */  "vsubB",
  /* 1224 */  "vsubB_reg",
  /* 1225 */  "vsubB_mem",
  /* 1226 */  "vsubS",
  /* 1227 */  "vsubS_reg",
  /* 1228 */  "vsubS_mem",
  /* 1229 */  "vsubI",
  /* 1230 */  "vsubI_reg",
  /* 1231 */  "vsubI_mem",
  /* 1232 */  "vsubL",
  /* 1233 */  "vsubL_reg",
  /* 1234 */  "vsubL_mem",
  /* 1235 */  "vsubF",
  /* 1236 */  "vsubF_reg",
  /* 1237 */  "vsubF_mem",
  /* 1238 */  "vsubD",
  /* 1239 */  "vsubD_reg",
  /* 1240 */  "vsubD_mem",
  /* 1241 */  "vmul8B",
  /* 1242 */  "vmulB",
  /* 1243 */  "vmulB_reg",
  /* 1244 */  "vmulS",
  /* 1245 */  "vmulS_reg",
  /* 1246 */  "vmulS_mem",
  /* 1247 */  "vmulS_mem_0",
  /* 1248 */  "vmulI",
  /* 1249 */  "vmulI_reg",
  /* 1250 */  "vmulI_mem",
  /* 1251 */  "vmulI_mem_0",
  /* 1252 */  "evmulL_reg",
  /* 1253 */  "evmulL_mem",
  /* 1254 */  "evmulL_mem_0",
  /* 1255 */  "vmulL",
  /* 1256 */  "vmulL_reg",
  /* 1257 */  "vmuludq_reg",
  /* 1258 */  "vmuldq_reg",
  /* 1259 */  "vmulF",
  /* 1260 */  "vmulF_reg",
  /* 1261 */  "vmulF_mem",
  /* 1262 */  "vmulF_mem_0",
  /* 1263 */  "vmulD",
  /* 1264 */  "vmulD_reg",
  /* 1265 */  "vmulD_mem",
  /* 1266 */  "vmulD_mem_0",
  /* 1267 */  "vdivF",
  /* 1268 */  "vdivF_reg",
  /* 1269 */  "vdivF_mem",
  /* 1270 */  "vdivD",
  /* 1271 */  "vdivD_reg",
  /* 1272 */  "vdivD_mem",
  /* 1273 */  "minmax_reg_sse",
  /* 1274 */  "minmax_reg_sse_0",
  /* 1275 */  "vminmax_reg",
  /* 1276 */  "vminmax_reg_0",
  /* 1277 */  "minmaxL_reg_sse",
  /* 1278 */  "minmaxL_reg_sse_0",
  /* 1279 */  "vminmaxL_reg_avx",
  /* 1280 */  "vminmaxL_reg_avx_0",
  /* 1281 */  "vminmaxL_reg_evex",
  /* 1282 */  "vminmaxL_reg_evex_0",
  /* 1283 */  "minmaxFP_reg",
  /* 1284 */  "minmaxFP_reg_0",
  /* 1285 */  "evminmaxFP_reg_eavx",
  /* 1286 */  "evminmaxFP_reg_eavx_0",
  /* 1287 */  "vector_uminmax_reg",
  /* 1288 */  "vector_uminmax_reg_0",
  /* 1289 */  "vector_uminmax_mem",
  /* 1290 */  "vector_uminmax_mem_0",
  /* 1291 */  "vector_uminmaxq_reg",
  /* 1292 */  "vector_uminmaxq_reg_0",
  /* 1293 */  "vector_uminmax_reg_masked",
  /* 1294 */  "vector_uminmax_reg_masked_0",
  /* 1295 */  "vector_uminmax_mem_masked",
  /* 1296 */  "vector_uminmax_mem_masked_0",
  /* 1297 */  "signumF_reg",
  /* 1298 */  "signumD_reg",
  /* 1299 */  "signumV_reg_avx",
  /* 1300 */  "signumV_reg_avx_0",
  /* 1301 */  "signumV_reg_evex",
  /* 1302 */  "signumV_reg_evex_0",
  /* 1303 */  "compressBitsI_reg",
  /* 1304 */  "expandBitsI_reg",
  /* 1305 */  "compressBitsI_mem",
  /* 1306 */  "expandBitsI_mem",
  /* 1307 */  "vshiftB",
  /* 1308 */  "vshiftB_0",
  /* 1309 */  "vshiftB_1",
  /* 1310 */  "vshift16B",
  /* 1311 */  "vshift16B_0",
  /* 1312 */  "vshift16B_1",
  /* 1313 */  "vshift16B_avx",
  /* 1314 */  "vshift16B_avx_0",
  /* 1315 */  "vshift16B_avx_1",
  /* 1316 */  "vshift32B_avx",
  /* 1317 */  "vshift32B_avx_0",
  /* 1318 */  "vshift32B_avx_1",
  /* 1319 */  "vshift64B_avx",
  /* 1320 */  "vshift64B_avx_0",
  /* 1321 */  "vshift64B_avx_1",
  /* 1322 */  "vshiftS",
  /* 1323 */  "vshiftS_0",
  /* 1324 */  "vshiftS_1",
  /* 1325 */  "vshiftI",
  /* 1326 */  "vshiftI_0",
  /* 1327 */  "vshiftI_1",
  /* 1328 */  "vshiftI_imm",
  /* 1329 */  "vshiftI_imm_0",
  /* 1330 */  "vshiftI_imm_1",
  /* 1331 */  "vshiftL",
  /* 1332 */  "vshiftL_0",
  /* 1333 */  "vshiftL_imm",
  /* 1334 */  "vshiftL_imm_0",
  /* 1335 */  "vshiftL_arith_reg",
  /* 1336 */  "vshiftL_arith_reg_evex",
  /* 1337 */  "vshift8B_var_nobw",
  /* 1338 */  "vshift8B_var_nobw_0",
  /* 1339 */  "vshift8B_var_nobw_1",
  /* 1340 */  "vshift16B_var_nobw",
  /* 1341 */  "vshift16B_var_nobw_0",
  /* 1342 */  "vshift16B_var_nobw_1",
  /* 1343 */  "vshift32B_var_nobw",
  /* 1344 */  "vshift32B_var_nobw_0",
  /* 1345 */  "vshift32B_var_nobw_1",
  /* 1346 */  "vshiftB_var_evex_bw",
  /* 1347 */  "vshiftB_var_evex_bw_0",
  /* 1348 */  "vshiftB_var_evex_bw_1",
  /* 1349 */  "vshift64B_var_evex_bw",
  /* 1350 */  "vshift64B_var_evex_bw_0",
  /* 1351 */  "vshift64B_var_evex_bw_1",
  /* 1352 */  "vshift8S_var_nobw",
  /* 1353 */  "vshift8S_var_nobw_0",
  /* 1354 */  "vshift8S_var_nobw_1",
  /* 1355 */  "vshift16S_var_nobw",
  /* 1356 */  "vshift16S_var_nobw_0",
  /* 1357 */  "vshift16S_var_nobw_1",
  /* 1358 */  "vshift16S_var_evex_bw",
  /* 1359 */  "vshift16S_var_evex_bw_0",
  /* 1360 */  "vshift16S_var_evex_bw_1",
  /* 1361 */  "vshiftI_var",
  /* 1362 */  "vshiftI_var_0",
  /* 1363 */  "vshiftI_var_1",
  /* 1364 */  "vshiftL_var",
  /* 1365 */  "vshiftL_var_0",
  /* 1366 */  "vshiftL_arith_var",
  /* 1367 */  "vshiftL_arith_var_evex",
  /* 1368 */  "vand",
  /* 1369 */  "vand_reg",
  /* 1370 */  "vand_mem",
  /* 1371 */  "vand_mem_0",
  /* 1372 */  "vor",
  /* 1373 */  "vor_reg",
  /* 1374 */  "vor_mem",
  /* 1375 */  "vor_mem_0",
  /* 1376 */  "vxor",
  /* 1377 */  "vxor_reg",
  /* 1378 */  "vxor_mem",
  /* 1379 */  "vxor_mem_0",
  /* 1380 */  "vcastStoX",
  /* 1381 */  "vcastItoX",
  /* 1382 */  "castFtoX_reg_avx",
  /* 1383 */  "castFtoX_reg_evex",
  /* 1384 */  "castDtoX_reg_avx",
  /* 1385 */  "castDtoX_reg_evex",
  /* 1386 */  "vcmpFD",
  /* 1387 */  "evcmpFD64",
  /* 1388 */  "evcmpFD",
  /* 1389 */  "vcmp_direct",
  /* 1390 */  "vcmp_negate",
  /* 1391 */  "vcmpu",
  /* 1392 */  "vcmp64",
  /* 1393 */  "evcmp",
  /* 1394 */  "extractI",
  /* 1395 */  "extractI_0",
  /* 1396 */  "vextractI",
  /* 1397 */  "vextractI_0",
  /* 1398 */  "extractF",
  /* 1399 */  "vextractF",
  /* 1400 */  "extractD",
  /* 1401 */  "vextractD",
  /* 1402 */  "blendvp",
  /* 1403 */  "vblendvpI",
  /* 1404 */  "vblendvpFD",
  /* 1405 */  "vblendvp",
  /* 1406 */  "evblendvp64",
  /* 1407 */  "evblendvp64_masked",
  /* 1408 */  "loadMask",
  /* 1409 */  "loadMask64",
  /* 1410 */  "loadMask_evex",
  /* 1411 */  "vstoreMask1B",
  /* 1412 */  "vstoreMask2B",
  /* 1413 */  "vstoreMask4B",
  /* 1414 */  "storeMask8B",
  /* 1415 */  "storeMask8B_avx",
  /* 1416 */  "vstoreMask4B_evex_novectmask",
  /* 1417 */  "vstoreMask8B_evex_novectmask",
  /* 1418 */  "vstoreMask_evex_vectmask",
  /* 1419 */  "vstoreMask_evex",
  /* 1420 */  "rearrangeB",
  /* 1421 */  "rearrangeB_avx",
  /* 1422 */  "rearrangeB_evex",
  /* 1423 */  "rearrangeB_evex_vbmi",
  /* 1424 */  "loadShuffleS",
  /* 1425 */  "rearrangeS",
  /* 1426 */  "rearrangeS_avx",
  /* 1427 */  "rearrangeS_evex",
  /* 1428 */  "loadShuffleI",
  /* 1429 */  "rearrangeI",
  /* 1430 */  "rearrangeI_avx",
  /* 1431 */  "loadShuffleL",
  /* 1432 */  "rearrangeL",
  /* 1433 */  "rearrangeL_evex",
  /* 1434 */  "vfmaF_reg",
  /* 1435 */  "vfmaF_mem",
  /* 1436 */  "vfmaD_reg",
  /* 1437 */  "vfmaD_mem",
  /* 1438 */  "vmuladdS2I_reg_sse",
  /* 1439 */  "vmuladdS2I_reg_avx",
  /* 1440 */  "vmuladdaddS2I_reg",
  /* 1441 */  "vmuladdaddS2I_reg_0",
  /* 1442 */  "vpopcount_integral_reg_evex_masked",
  /* 1443 */  "vpopcount_integral_reg_evex_masked_0",
  /* 1444 */  "vpopcount_avx_reg",
  /* 1445 */  "vpopcount_avx_reg_0",
  /* 1446 */  "vcount_trailing_zeros_reg_evex",
  /* 1447 */  "vcount_trailing_zeros_short_reg_evex",
  /* 1448 */  "vcount_trailing_zeros_byte_reg_evex",
  /* 1449 */  "vcount_trailing_zeros_reg_avx",
  /* 1450 */  "vpternlog",
  /* 1451 */  "vpternlog_mem",
  /* 1452 */  "vprotate_immI8",
  /* 1453 */  "vprotate_immI8_0",
  /* 1454 */  "vprorate",
  /* 1455 */  "vprorate_0",
  /* 1456 */  "vmasked_load_avx_non_subword",
  /* 1457 */  "vmasked_load_evex",
  /* 1458 */  "vmasked_store_avx_non_subword",
  /* 1459 */  "vmasked_store_evex",
  /* 1460 */  "vreverse_reg",
  /* 1461 */  "vreverse_reg_gfni",
  /* 1462 */  "vreverse_byte_reg",
  /* 1463 */  "vreverse_byte64_reg",
  /* 1464 */  "vcount_leading_zeros_IL_reg_evex_masked",
  /* 1465 */  "vcount_leading_zeros_short_reg_evex",
  /* 1466 */  "vcount_leading_zeros_byte_reg_evex",
  /* 1467 */  "vcount_leading_zeros_int_reg_avx",
  /* 1468 */  "vcount_leading_zeros_reg_avx",
  /* 1469 */  "vadd_reg_masked",
  /* 1470 */  "vadd_reg_masked_0",
  /* 1471 */  "vadd_reg_masked_1",
  /* 1472 */  "vadd_reg_masked_2",
  /* 1473 */  "vadd_reg_masked_3",
  /* 1474 */  "vadd_reg_masked_4",
  /* 1475 */  "vadd_mem_masked",
  /* 1476 */  "vadd_mem_masked_0",
  /* 1477 */  "vadd_mem_masked_1",
  /* 1478 */  "vadd_mem_masked_2",
  /* 1479 */  "vadd_mem_masked_3",
  /* 1480 */  "vadd_mem_masked_4",
  /* 1481 */  "vxor_reg_masked",
  /* 1482 */  "vxor_mem_masked",
  /* 1483 */  "vor_reg_masked",
  /* 1484 */  "vor_mem_masked",
  /* 1485 */  "vand_reg_masked",
  /* 1486 */  "vand_mem_masked",
  /* 1487 */  "vsub_reg_masked",
  /* 1488 */  "vsub_reg_masked_0",
  /* 1489 */  "vsub_reg_masked_1",
  /* 1490 */  "vsub_reg_masked_2",
  /* 1491 */  "vsub_reg_masked_3",
  /* 1492 */  "vsub_reg_masked_4",
  /* 1493 */  "vsub_mem_masked",
  /* 1494 */  "vsub_mem_masked_0",
  /* 1495 */  "vsub_mem_masked_1",
  /* 1496 */  "vsub_mem_masked_2",
  /* 1497 */  "vsub_mem_masked_3",
  /* 1498 */  "vsub_mem_masked_4",
  /* 1499 */  "vmul_reg_masked",
  /* 1500 */  "vmul_reg_masked_0",
  /* 1501 */  "vmul_reg_masked_1",
  /* 1502 */  "vmul_reg_masked_2",
  /* 1503 */  "vmul_reg_masked_3",
  /* 1504 */  "vmul_mem_masked",
  /* 1505 */  "vmul_mem_masked_0",
  /* 1506 */  "vmul_mem_masked_1",
  /* 1507 */  "vmul_mem_masked_2",
  /* 1508 */  "vmul_mem_masked_3",
  /* 1509 */  "vsqrt_reg_masked",
  /* 1510 */  "vsqrt_reg_masked_0",
  /* 1511 */  "vdiv_reg_masked",
  /* 1512 */  "vdiv_reg_masked_0",
  /* 1513 */  "vdiv_mem_masked",
  /* 1514 */  "vdiv_mem_masked_0",
  /* 1515 */  "vrol_imm_masked",
  /* 1516 */  "vrol_imm_masked_0",
  /* 1517 */  "vrol_reg_masked",
  /* 1518 */  "vrol_reg_masked_0",
  /* 1519 */  "vlshift_imm_masked",
  /* 1520 */  "vlshift_imm_masked_0",
  /* 1521 */  "vlshift_imm_masked_1",
  /* 1522 */  "vlshift_reg_masked",
  /* 1523 */  "vlshift_reg_masked_0",
  /* 1524 */  "vlshift_reg_masked_1",
  /* 1525 */  "vlshiftv_reg_masked",
  /* 1526 */  "vlshiftv_reg_masked_0",
  /* 1527 */  "vlshiftv_reg_masked_1",
  /* 1528 */  "vrshift_imm_masked",
  /* 1529 */  "vrshift_imm_masked_0",
  /* 1530 */  "vrshift_imm_masked_1",
  /* 1531 */  "vrshift_reg_masked",
  /* 1532 */  "vrshift_reg_masked_0",
  /* 1533 */  "vrshift_reg_masked_1",
  /* 1534 */  "vrshiftv_reg_masked",
  /* 1535 */  "vrshiftv_reg_masked_0",
  /* 1536 */  "vrshiftv_reg_masked_1",
  /* 1537 */  "vurshift_imm_masked",
  /* 1538 */  "vurshift_imm_masked_0",
  /* 1539 */  "vurshift_imm_masked_1",
  /* 1540 */  "vurshift_reg_masked",
  /* 1541 */  "vurshift_reg_masked_0",
  /* 1542 */  "vurshift_reg_masked_1",
  /* 1543 */  "vurshiftv_reg_masked",
  /* 1544 */  "vurshiftv_reg_masked_0",
  /* 1545 */  "vurshiftv_reg_masked_1",
  /* 1546 */  "vmaxv_reg_masked",
  /* 1547 */  "vmaxv_mem_masked",
  /* 1548 */  "vminv_reg_masked",
  /* 1549 */  "vminv_mem_masked",
  /* 1550 */  "vrearrangev_reg_masked",
  /* 1551 */  "vabs_masked",
  /* 1552 */  "vabs_masked_0",
  /* 1553 */  "vabs_masked_1",
  /* 1554 */  "vabs_masked_2",
  /* 1555 */  "vfma_reg_masked",
  /* 1556 */  "vfma_reg_masked_0",
  /* 1557 */  "vfma_mem_masked",
  /* 1558 */  "vfma_mem_masked_0",
  /* 1559 */  "evcmp_masked",
  /* 1560 */  "mask_all_evexI_LE32",
  /* 1561 */  "mask_opers_evex",
  /* 1562 */  "mask_opers_evex_0",
  /* 1563 */  "mask_opers_evex_1",
  /* 1564 */  "vternlog_reg_masked",
  /* 1565 */  "vternlogd_mem_masked",
  /* 1566 */  "FloatClassCheck_reg_reg_vfpclass",
  /* 1567 */  "DoubleClassCheck_reg_reg_vfpclass",
  /* 1568 */  "vector_addsub_saturating_subword_reg",
  /* 1569 */  "vector_addsub_saturating_subword_reg_0",
  /* 1570 */  "vector_addsub_saturating_unsigned_subword_reg",
  /* 1571 */  "vector_addsub_saturating_unsigned_subword_reg_0",
  /* 1572 */  "vector_addsub_saturating_reg_evex",
  /* 1573 */  "vector_addsub_saturating_reg_evex_0",
  /* 1574 */  "vector_addsub_saturating_reg_avx",
  /* 1575 */  "vector_addsub_saturating_reg_avx_0",
  /* 1576 */  "vector_add_saturating_unsigned_reg_evex",
  /* 1577 */  "vector_add_saturating_unsigned_reg_avx",
  /* 1578 */  "vector_sub_saturating_unsigned_reg_evex",
  /* 1579 */  "vector_sub_saturating_unsigned_reg_avx",
  /* 1580 */  "vector_addsub_saturating_subword_mem",
  /* 1581 */  "vector_addsub_saturating_subword_mem_0",
  /* 1582 */  "vector_addsub_saturating_unsigned_subword_mem",
  /* 1583 */  "vector_addsub_saturating_unsigned_subword_mem_0",
  /* 1584 */  "vector_addsub_saturating_subword_masked_reg",
  /* 1585 */  "vector_addsub_saturating_subword_masked_reg_0",
  /* 1586 */  "vector_addsub_saturating_unsigned_subword_masked_reg",
  /* 1587 */  "vector_addsub_saturating_unsigned_subword_masked_reg_0",
  /* 1588 */  "vector_addsub_saturating_subword_masked_mem",
  /* 1589 */  "vector_addsub_saturating_subword_masked_mem_0",
  /* 1590 */  "vector_addsub_saturating_unsigned_subword_masked_mem",
  /* 1591 */  "vector_addsub_saturating_unsigned_subword_masked_mem_0",
  /* 1592 */  "vector_selectfrom_twovectors_reg_evex",
  /* 1593 */  "compareAndSwapP_shenandoah",
  /* 1594 */  "compareAndSwapP_shenandoah_0",
  /* 1595 */  "compareAndExchangeP_shenandoah",
  // last instruction
  "invalid rule name" // no trailing comma
};

const        bool  swallowed[] = {
  /*    0 */  false,
  /*    1 */  false,
  /*    2 */  false,
  /*    3 */  false,
  /*    4 */  false,
  /*    5 */  false,
  /*    6 */  false,
  /*    7 */  false,
  /*    8 */  true,
  /*    9 */  true,
  /*   10 */  true,
  /*   11 */  true,
  /*   12 */  true,
  /*   13 */  true,
  /*   14 */  true,
  /*   15 */  true,
  /*   16 */  true,
  /*   17 */  true,
  /*   18 */  true,
  /*   19 */  true,
  /*   20 */  true,
  /*   21 */  true,
  /*   22 */  true,
  /*   23 */  true,
  /*   24 */  true,
  /*   25 */  true,
  /*   26 */  true,
  /*   27 */  true,
  /*   28 */  true,
  /*   29 */  true,
  /*   30 */  true,
  /*   31 */  true,
  /*   32 */  true,
  /*   33 */  true,
  /*   34 */  true,
  /*   35 */  true,
  /*   36 */  true,
  /*   37 */  true,
  /*   38 */  true,
  /*   39 */  true,
  /*   40 */  true,
  /*   41 */  true,
  /*   42 */  true,
  /*   43 */  true,
  /*   44 */  true,
  /*   45 */  true,
  /*   46 */  false,
  /*   47 */  false,
  /*   48 */  false,
  /*   49 */  false,
  /*   50 */  false,
  /*   51 */  false,
  /*   52 */  false,
  /*   53 */  false,
  /*   54 */  false,
  /*   55 */  false,
  /*   56 */  false,
  /*   57 */  false,
  /*   58 */  false,
  /*   59 */  false,
  /*   60 */  false,
  /*   61 */  false,
  /*   62 */  false,
  /*   63 */  false,
  /*   64 */  false,
  /*   65 */  false,
  /*   66 */  false,
  /*   67 */  false,
  /*   68 */  false,
  /*   69 */  false,
  /*   70 */  false,
  /*   71 */  false,
  /*   72 */  false,
  /*   73 */  false,
  /*   74 */  false,
  /*   75 */  false,
  /*   76 */  false,
  /*   77 */  false,
  /*   78 */  false,
  /*   79 */  false,
  /*   80 */  false,
  /*   81 */  false,
  /*   82 */  false,
  /*   83 */  false,
  /*   84 */  false,
  /*   85 */  false,
  /*   86 */  false,
  /*   87 */  false,
  /*   88 */  false,
  /*   89 */  false,
  /*   90 */  false,
  /*   91 */  false,
  /*   92 */  false,
  /*   93 */  false,
  /*   94 */  false,
  /*   95 */  true,
  /*   96 */  false,
  /*   97 */  false,
  /*   98 */  false,
  /*   99 */  false,
  /*  100 */  false,
  /*  101 */  false,
  /*  102 */  false,
  /*  103 */  false,
  /*  104 */  false,
  /*  105 */  false,
  /*  106 */  false,
  /*  107 */  false,
  /*  108 */  false,
  /*  109 */  false,
  /*  110 */  false,
  /*  111 */  false,
  /*  112 */  true,
  /*  113 */  true,
  /*  114 */  true,
  /*  115 */  true,
  /*  116 */  true,
  /*  117 */  true,
  /*  118 */  true,
  /*  119 */  false,
  /*  120 */  false,
  /*  121 */  false,
  /*  122 */  false,
  /*  123 */  false,
  /*  124 */  false,
  /*  125 */  false,
  /*  126 */  false,
  /*  127 */  false,
  /*  128 */  false,
  /*  129 */  false,
  /*  130 */  false,
  /*  131 */  false,
  // last operand
  /*  132 */  false,
  /*  133 */  false,
  /*  134 */  false,
  // last operand class
  /*  135 */  false,
  /*  136 */  false,
  /*  137 */  false,
  /*  138 */  false,
  /*  139 */  false,
  /*  140 */  false,
  /*  141 */  false,
  /*  142 */  false,
  /*  143 */  false,
  /*  144 */  false,
  /*  145 */  false,
  /*  146 */  false,
  /*  147 */  false,
  /*  148 */  false,
  /*  149 */  false,
  /*  150 */  false,
  /*  151 */  false,
  /*  152 */  false,
  /*  153 */  false,
  /*  154 */  false,
  /*  155 */  false,
  /*  156 */  false,
  /*  157 */  false,
  /*  158 */  false,
  /*  159 */  false,
  /*  160 */  false,
  /*  161 */  false,
  /*  162 */  false,
  /*  163 */  false,
  /*  164 */  false,
  /*  165 */  false,
  /*  166 */  false,
  /*  167 */  false,
  /*  168 */  false,
  /*  169 */  false,
  /*  170 */  false,
  /*  171 */  false,
  /*  172 */  false,
  /*  173 */  false,
  /*  174 */  false,
  /*  175 */  false,
  /*  176 */  false,
  /*  177 */  false,
  /*  178 */  false,
  /*  179 */  false,
  /*  180 */  false,
  /*  181 */  false,
  /*  182 */  false,
  /*  183 */  false,
  /*  184 */  false,
  /*  185 */  false,
  /*  186 */  false,
  /*  187 */  false,
  /*  188 */  false,
  /*  189 */  false,
  /*  190 */  false,
  /*  191 */  false,
  /*  192 */  false,
  /*  193 */  false,
  /*  194 */  false,
  /*  195 */  false,
  /*  196 */  false,
  /*  197 */  false,
  /*  198 */  false,
  /*  199 */  false,
  /*  200 */  false,
  /*  201 */  false,
  /*  202 */  false,
  /*  203 */  false,
  /*  204 */  false,
  /*  205 */  false,
  /*  206 */  false,
  /*  207 */  false,
  /*  208 */  false,
  /*  209 */  false,
  /*  210 */  false,
  /*  211 */  false,
  /*  212 */  false,
  /*  213 */  false,
  /*  214 */  false,
  /*  215 */  false,
  /*  216 */  false,
  /*  217 */  false,
  /*  218 */  false,
  /*  219 */  false,
  /*  220 */  false,
  /*  221 */  false,
  /*  222 */  false,
  /*  223 */  false,
  /*  224 */  false,
  /*  225 */  false,
  /*  226 */  false,
  /*  227 */  false,
  /*  228 */  false,
  /*  229 */  false,
  /*  230 */  false,
  /*  231 */  false,
  /*  232 */  false,
  /*  233 */  false,
  /*  234 */  false,
  /*  235 */  false,
  /*  236 */  false,
  /*  237 */  false,
  /*  238 */  false,
  /*  239 */  false,
  /*  240 */  false,
  /*  241 */  false,
  /*  242 */  false,
  /*  243 */  false,
  /*  244 */  false,
  /*  245 */  false,
  /*  246 */  false,
  /*  247 */  false,
  /*  248 */  false,
  /*  249 */  false,
  /*  250 */  false,
  /*  251 */  false,
  /*  252 */  false,
  /*  253 */  false,
  /*  254 */  false,
  /*  255 */  false,
  /*  256 */  false,
  /*  257 */  false,
  /*  258 */  false,
  /*  259 */  false,
  /*  260 */  false,
  /*  261 */  false,
  /*  262 */  false,
  /*  263 */  false,
  /*  264 */  false,
  /*  265 */  false,
  /*  266 */  false,
  /*  267 */  false,
  /*  268 */  false,
  /*  269 */  false,
  /*  270 */  false,
  /*  271 */  false,
  /*  272 */  false,
  /*  273 */  false,
  /*  274 */  false,
  /*  275 */  false,
  /*  276 */  false,
  /*  277 */  false,
  /*  278 */  false,
  /*  279 */  false,
  /*  280 */  false,
  /*  281 */  false,
  /*  282 */  false,
  /*  283 */  false,
  /*  284 */  false,
  /*  285 */  false,
  /*  286 */  false,
  /*  287 */  false,
  /*  288 */  false,
  /*  289 */  false,
  /*  290 */  false,
  /*  291 */  false,
  /*  292 */  false,
  /*  293 */  false,
  /*  294 */  false,
  // last internally defined operand
  /*  295 */  false,
  /*  296 */  false,
  /*  297 */  false,
  /*  298 */  false,
  /*  299 */  false,
  /*  300 */  false,
  /*  301 */  false,
  /*  302 */  false,
  /*  303 */  false,
  /*  304 */  false,
  /*  305 */  false,
  /*  306 */  false,
  /*  307 */  false,
  /*  308 */  false,
  /*  309 */  false,
  /*  310 */  false,
  /*  311 */  false,
  /*  312 */  false,
  /*  313 */  false,
  /*  314 */  false,
  /*  315 */  false,
  /*  316 */  false,
  /*  317 */  false,
  /*  318 */  false,
  /*  319 */  false,
  /*  320 */  false,
  /*  321 */  false,
  /*  322 */  false,
  /*  323 */  false,
  /*  324 */  false,
  /*  325 */  false,
  /*  326 */  false,
  /*  327 */  false,
  /*  328 */  false,
  /*  329 */  false,
  /*  330 */  false,
  /*  331 */  false,
  /*  332 */  false,
  /*  333 */  false,
  /*  334 */  false,
  /*  335 */  false,
  /*  336 */  false,
  /*  337 */  false,
  /*  338 */  false,
  /*  339 */  false,
  /*  340 */  false,
  /*  341 */  false,
  /*  342 */  false,
  /*  343 */  false,
  /*  344 */  false,
  /*  345 */  false,
  /*  346 */  false,
  /*  347 */  false,
  /*  348 */  false,
  /*  349 */  false,
  /*  350 */  false,
  /*  351 */  false,
  /*  352 */  false,
  /*  353 */  false,
  /*  354 */  false,
  /*  355 */  false,
  /*  356 */  false,
  /*  357 */  false,
  /*  358 */  false,
  /*  359 */  false,
  /*  360 */  false,
  /*  361 */  false,
  /*  362 */  false,
  /*  363 */  false,
  /*  364 */  false,
  /*  365 */  false,
  /*  366 */  false,
  /*  367 */  false,
  /*  368 */  false,
  /*  369 */  false,
  /*  370 */  false,
  /*  371 */  false,
  /*  372 */  false,
  /*  373 */  false,
  /*  374 */  false,
  /*  375 */  false,
  /*  376 */  false,
  /*  377 */  false,
  /*  378 */  false,
  /*  379 */  false,
  /*  380 */  false,
  /*  381 */  false,
  /*  382 */  false,
  /*  383 */  false,
  /*  384 */  false,
  /*  385 */  false,
  /*  386 */  false,
  /*  387 */  false,
  /*  388 */  false,
  /*  389 */  false,
  /*  390 */  false,
  /*  391 */  false,
  /*  392 */  false,
  /*  393 */  false,
  /*  394 */  false,
  /*  395 */  false,
  /*  396 */  false,
  /*  397 */  false,
  /*  398 */  false,
  /*  399 */  false,
  /*  400 */  false,
  /*  401 */  false,
  /*  402 */  false,
  /*  403 */  false,
  /*  404 */  false,
  /*  405 */  false,
  /*  406 */  false,
  /*  407 */  false,
  /*  408 */  false,
  /*  409 */  false,
  /*  410 */  false,
  /*  411 */  false,
  /*  412 */  false,
  /*  413 */  false,
  /*  414 */  false,
  /*  415 */  false,
  /*  416 */  false,
  /*  417 */  false,
  /*  418 */  false,
  /*  419 */  false,
  /*  420 */  false,
  /*  421 */  false,
  /*  422 */  false,
  /*  423 */  false,
  /*  424 */  false,
  /*  425 */  false,
  /*  426 */  false,
  /*  427 */  false,
  /*  428 */  false,
  /*  429 */  false,
  /*  430 */  false,
  /*  431 */  false,
  /*  432 */  false,
  /*  433 */  false,
  /*  434 */  false,
  /*  435 */  false,
  /*  436 */  false,
  /*  437 */  false,
  /*  438 */  false,
  /*  439 */  false,
  /*  440 */  false,
  /*  441 */  false,
  /*  442 */  false,
  /*  443 */  false,
  /*  444 */  false,
  /*  445 */  false,
  /*  446 */  false,
  /*  447 */  false,
  /*  448 */  false,
  /*  449 */  false,
  /*  450 */  false,
  /*  451 */  false,
  /*  452 */  false,
  /*  453 */  false,
  /*  454 */  false,
  /*  455 */  false,
  /*  456 */  false,
  /*  457 */  false,
  /*  458 */  false,
  /*  459 */  false,
  /*  460 */  false,
  /*  461 */  false,
  /*  462 */  false,
  /*  463 */  false,
  /*  464 */  false,
  /*  465 */  false,
  /*  466 */  false,
  /*  467 */  false,
  /*  468 */  false,
  /*  469 */  false,
  /*  470 */  false,
  /*  471 */  false,
  /*  472 */  false,
  /*  473 */  false,
  /*  474 */  false,
  /*  475 */  false,
  /*  476 */  false,
  /*  477 */  false,
  /*  478 */  false,
  /*  479 */  false,
  /*  480 */  false,
  /*  481 */  false,
  /*  482 */  false,
  /*  483 */  false,
  /*  484 */  false,
  /*  485 */  false,
  /*  486 */  false,
  /*  487 */  false,
  /*  488 */  false,
  /*  489 */  false,
  /*  490 */  false,
  /*  491 */  false,
  /*  492 */  false,
  /*  493 */  false,
  /*  494 */  false,
  /*  495 */  false,
  /*  496 */  false,
  /*  497 */  false,
  /*  498 */  false,
  /*  499 */  false,
  /*  500 */  false,
  /*  501 */  false,
  /*  502 */  false,
  /*  503 */  false,
  /*  504 */  false,
  /*  505 */  false,
  /*  506 */  false,
  /*  507 */  false,
  /*  508 */  false,
  /*  509 */  false,
  /*  510 */  false,
  /*  511 */  false,
  /*  512 */  false,
  /*  513 */  false,
  /*  514 */  false,
  /*  515 */  false,
  /*  516 */  false,
  /*  517 */  false,
  /*  518 */  false,
  /*  519 */  false,
  /*  520 */  false,
  /*  521 */  false,
  /*  522 */  false,
  /*  523 */  false,
  /*  524 */  false,
  /*  525 */  false,
  /*  526 */  false,
  /*  527 */  false,
  /*  528 */  false,
  /*  529 */  false,
  /*  530 */  false,
  /*  531 */  false,
  /*  532 */  false,
  /*  533 */  false,
  /*  534 */  false,
  /*  535 */  false,
  /*  536 */  false,
  /*  537 */  false,
  /*  538 */  false,
  /*  539 */  false,
  /*  540 */  false,
  /*  541 */  false,
  /*  542 */  false,
  /*  543 */  false,
  /*  544 */  false,
  /*  545 */  false,
  /*  546 */  false,
  /*  547 */  false,
  /*  548 */  false,
  /*  549 */  false,
  /*  550 */  false,
  /*  551 */  false,
  /*  552 */  false,
  /*  553 */  false,
  /*  554 */  false,
  /*  555 */  false,
  /*  556 */  false,
  /*  557 */  false,
  /*  558 */  false,
  /*  559 */  false,
  /*  560 */  false,
  /*  561 */  false,
  /*  562 */  false,
  /*  563 */  false,
  /*  564 */  false,
  /*  565 */  false,
  /*  566 */  false,
  /*  567 */  false,
  /*  568 */  false,
  /*  569 */  false,
  /*  570 */  false,
  /*  571 */  false,
  /*  572 */  false,
  /*  573 */  false,
  /*  574 */  false,
  /*  575 */  false,
  /*  576 */  false,
  /*  577 */  false,
  /*  578 */  false,
  /*  579 */  false,
  /*  580 */  false,
  /*  581 */  false,
  /*  582 */  false,
  /*  583 */  false,
  /*  584 */  false,
  /*  585 */  false,
  /*  586 */  false,
  /*  587 */  false,
  /*  588 */  false,
  /*  589 */  false,
  /*  590 */  false,
  /*  591 */  false,
  /*  592 */  false,
  /*  593 */  false,
  /*  594 */  false,
  /*  595 */  false,
  /*  596 */  false,
  /*  597 */  false,
  /*  598 */  false,
  /*  599 */  false,
  /*  600 */  false,
  /*  601 */  false,
  /*  602 */  false,
  /*  603 */  false,
  /*  604 */  false,
  /*  605 */  false,
  /*  606 */  false,
  /*  607 */  false,
  /*  608 */  false,
  /*  609 */  false,
  /*  610 */  false,
  /*  611 */  false,
  /*  612 */  false,
  /*  613 */  false,
  /*  614 */  false,
  /*  615 */  false,
  /*  616 */  false,
  /*  617 */  false,
  /*  618 */  false,
  /*  619 */  false,
  /*  620 */  false,
  /*  621 */  false,
  /*  622 */  false,
  /*  623 */  false,
  /*  624 */  false,
  /*  625 */  false,
  /*  626 */  false,
  /*  627 */  false,
  /*  628 */  false,
  /*  629 */  false,
  /*  630 */  false,
  /*  631 */  false,
  /*  632 */  false,
  /*  633 */  false,
  /*  634 */  false,
  /*  635 */  false,
  /*  636 */  false,
  /*  637 */  false,
  /*  638 */  false,
  /*  639 */  false,
  /*  640 */  false,
  /*  641 */  false,
  /*  642 */  false,
  /*  643 */  false,
  /*  644 */  false,
  /*  645 */  false,
  /*  646 */  false,
  /*  647 */  false,
  /*  648 */  false,
  /*  649 */  false,
  /*  650 */  false,
  /*  651 */  false,
  /*  652 */  false,
  /*  653 */  false,
  /*  654 */  false,
  /*  655 */  false,
  /*  656 */  false,
  /*  657 */  false,
  /*  658 */  false,
  /*  659 */  false,
  /*  660 */  false,
  /*  661 */  false,
  /*  662 */  false,
  /*  663 */  false,
  /*  664 */  false,
  /*  665 */  false,
  /*  666 */  false,
  /*  667 */  false,
  /*  668 */  false,
  /*  669 */  false,
  /*  670 */  false,
  /*  671 */  false,
  /*  672 */  false,
  /*  673 */  false,
  /*  674 */  false,
  /*  675 */  false,
  /*  676 */  false,
  /*  677 */  false,
  /*  678 */  false,
  /*  679 */  false,
  /*  680 */  false,
  /*  681 */  false,
  /*  682 */  false,
  /*  683 */  false,
  /*  684 */  false,
  /*  685 */  false,
  /*  686 */  false,
  /*  687 */  false,
  /*  688 */  false,
  /*  689 */  false,
  /*  690 */  false,
  /*  691 */  false,
  /*  692 */  false,
  /*  693 */  false,
  /*  694 */  false,
  /*  695 */  false,
  /*  696 */  false,
  /*  697 */  false,
  /*  698 */  false,
  /*  699 */  false,
  /*  700 */  false,
  /*  701 */  false,
  /*  702 */  false,
  /*  703 */  false,
  /*  704 */  false,
  /*  705 */  false,
  /*  706 */  false,
  /*  707 */  false,
  /*  708 */  false,
  /*  709 */  false,
  /*  710 */  false,
  /*  711 */  false,
  /*  712 */  false,
  /*  713 */  false,
  /*  714 */  false,
  /*  715 */  false,
  /*  716 */  false,
  /*  717 */  false,
  /*  718 */  false,
  /*  719 */  false,
  /*  720 */  false,
  /*  721 */  false,
  /*  722 */  false,
  /*  723 */  false,
  /*  724 */  false,
  /*  725 */  false,
  /*  726 */  false,
  /*  727 */  false,
  /*  728 */  false,
  /*  729 */  false,
  /*  730 */  false,
  /*  731 */  false,
  /*  732 */  false,
  /*  733 */  false,
  /*  734 */  false,
  /*  735 */  false,
  /*  736 */  false,
  /*  737 */  false,
  /*  738 */  false,
  /*  739 */  false,
  /*  740 */  false,
  /*  741 */  false,
  /*  742 */  false,
  /*  743 */  false,
  /*  744 */  false,
  /*  745 */  false,
  /*  746 */  false,
  /*  747 */  false,
  /*  748 */  false,
  /*  749 */  false,
  /*  750 */  false,
  /*  751 */  false,
  /*  752 */  false,
  /*  753 */  false,
  /*  754 */  false,
  /*  755 */  false,
  /*  756 */  false,
  /*  757 */  false,
  /*  758 */  false,
  /*  759 */  false,
  /*  760 */  false,
  /*  761 */  false,
  /*  762 */  false,
  /*  763 */  false,
  /*  764 */  false,
  /*  765 */  false,
  /*  766 */  false,
  /*  767 */  false,
  /*  768 */  false,
  /*  769 */  false,
  /*  770 */  false,
  /*  771 */  false,
  /*  772 */  false,
  /*  773 */  false,
  /*  774 */  false,
  /*  775 */  false,
  /*  776 */  false,
  /*  777 */  false,
  /*  778 */  false,
  /*  779 */  false,
  /*  780 */  false,
  /*  781 */  false,
  /*  782 */  false,
  /*  783 */  false,
  /*  784 */  false,
  /*  785 */  false,
  /*  786 */  false,
  /*  787 */  false,
  /*  788 */  false,
  /*  789 */  false,
  /*  790 */  false,
  /*  791 */  false,
  /*  792 */  false,
  /*  793 */  false,
  /*  794 */  false,
  /*  795 */  false,
  /*  796 */  false,
  /*  797 */  false,
  /*  798 */  false,
  /*  799 */  false,
  /*  800 */  false,
  /*  801 */  false,
  /*  802 */  false,
  /*  803 */  false,
  /*  804 */  false,
  /*  805 */  false,
  /*  806 */  false,
  /*  807 */  false,
  /*  808 */  false,
  /*  809 */  false,
  /*  810 */  false,
  /*  811 */  false,
  /*  812 */  false,
  /*  813 */  false,
  /*  814 */  false,
  /*  815 */  false,
  /*  816 */  false,
  /*  817 */  false,
  /*  818 */  false,
  /*  819 */  false,
  /*  820 */  false,
  /*  821 */  false,
  /*  822 */  false,
  /*  823 */  false,
  /*  824 */  false,
  /*  825 */  false,
  /*  826 */  false,
  /*  827 */  false,
  /*  828 */  false,
  /*  829 */  false,
  /*  830 */  false,
  /*  831 */  false,
  /*  832 */  false,
  /*  833 */  false,
  /*  834 */  false,
  /*  835 */  false,
  /*  836 */  false,
  /*  837 */  false,
  /*  838 */  false,
  /*  839 */  false,
  /*  840 */  false,
  /*  841 */  false,
  /*  842 */  false,
  /*  843 */  false,
  /*  844 */  false,
  /*  845 */  false,
  /*  846 */  false,
  /*  847 */  false,
  /*  848 */  false,
  /*  849 */  false,
  /*  850 */  false,
  /*  851 */  false,
  /*  852 */  false,
  /*  853 */  false,
  /*  854 */  false,
  /*  855 */  false,
  /*  856 */  false,
  /*  857 */  false,
  /*  858 */  false,
  /*  859 */  false,
  /*  860 */  false,
  /*  861 */  false,
  /*  862 */  false,
  /*  863 */  false,
  /*  864 */  false,
  /*  865 */  false,
  /*  866 */  false,
  /*  867 */  false,
  /*  868 */  false,
  /*  869 */  false,
  /*  870 */  false,
  /*  871 */  false,
  /*  872 */  false,
  /*  873 */  false,
  /*  874 */  false,
  /*  875 */  false,
  /*  876 */  false,
  /*  877 */  false,
  /*  878 */  false,
  /*  879 */  false,
  /*  880 */  false,
  /*  881 */  false,
  /*  882 */  false,
  /*  883 */  false,
  /*  884 */  false,
  /*  885 */  false,
  /*  886 */  false,
  /*  887 */  false,
  /*  888 */  false,
  /*  889 */  false,
  /*  890 */  false,
  /*  891 */  false,
  /*  892 */  false,
  /*  893 */  false,
  /*  894 */  false,
  /*  895 */  false,
  /*  896 */  false,
  /*  897 */  false,
  /*  898 */  false,
  /*  899 */  false,
  /*  900 */  false,
  /*  901 */  false,
  /*  902 */  false,
  /*  903 */  false,
  /*  904 */  false,
  /*  905 */  false,
  /*  906 */  false,
  /*  907 */  false,
  /*  908 */  false,
  /*  909 */  false,
  /*  910 */  false,
  /*  911 */  false,
  /*  912 */  false,
  /*  913 */  false,
  /*  914 */  false,
  /*  915 */  false,
  /*  916 */  false,
  /*  917 */  false,
  /*  918 */  false,
  /*  919 */  false,
  /*  920 */  false,
  /*  921 */  false,
  /*  922 */  false,
  /*  923 */  false,
  /*  924 */  false,
  /*  925 */  false,
  /*  926 */  false,
  /*  927 */  false,
  /*  928 */  false,
  /*  929 */  false,
  /*  930 */  false,
  /*  931 */  false,
  /*  932 */  false,
  /*  933 */  false,
  /*  934 */  false,
  /*  935 */  false,
  /*  936 */  false,
  /*  937 */  false,
  /*  938 */  false,
  /*  939 */  false,
  /*  940 */  false,
  /*  941 */  false,
  /*  942 */  false,
  /*  943 */  false,
  /*  944 */  false,
  /*  945 */  false,
  /*  946 */  false,
  /*  947 */  false,
  /*  948 */  false,
  /*  949 */  false,
  /*  950 */  false,
  /*  951 */  false,
  /*  952 */  false,
  /*  953 */  false,
  /*  954 */  false,
  /*  955 */  false,
  /*  956 */  false,
  /*  957 */  false,
  /*  958 */  false,
  /*  959 */  false,
  /*  960 */  false,
  /*  961 */  false,
  /*  962 */  false,
  /*  963 */  false,
  /*  964 */  false,
  /*  965 */  false,
  /*  966 */  false,
  /*  967 */  false,
  /*  968 */  false,
  /*  969 */  false,
  /*  970 */  false,
  /*  971 */  false,
  /*  972 */  false,
  /*  973 */  false,
  /*  974 */  false,
  /*  975 */  false,
  /*  976 */  false,
  /*  977 */  false,
  /*  978 */  false,
  /*  979 */  false,
  /*  980 */  false,
  /*  981 */  false,
  /*  982 */  false,
  /*  983 */  false,
  /*  984 */  false,
  /*  985 */  false,
  /*  986 */  false,
  /*  987 */  false,
  /*  988 */  false,
  /*  989 */  false,
  /*  990 */  false,
  /*  991 */  false,
  /*  992 */  false,
  /*  993 */  false,
  /*  994 */  false,
  /*  995 */  false,
  /*  996 */  false,
  /*  997 */  false,
  /*  998 */  false,
  /*  999 */  false,
  /* 1000 */  false,
  /* 1001 */  false,
  /* 1002 */  false,
  /* 1003 */  false,
  /* 1004 */  false,
  /* 1005 */  false,
  /* 1006 */  false,
  /* 1007 */  false,
  /* 1008 */  false,
  /* 1009 */  false,
  /* 1010 */  false,
  /* 1011 */  false,
  /* 1012 */  false,
  /* 1013 */  false,
  /* 1014 */  false,
  /* 1015 */  false,
  /* 1016 */  false,
  /* 1017 */  false,
  /* 1018 */  false,
  /* 1019 */  false,
  /* 1020 */  false,
  /* 1021 */  false,
  /* 1022 */  false,
  /* 1023 */  false,
  /* 1024 */  false,
  /* 1025 */  false,
  /* 1026 */  false,
  /* 1027 */  false,
  /* 1028 */  false,
  /* 1029 */  false,
  /* 1030 */  false,
  /* 1031 */  false,
  /* 1032 */  false,
  /* 1033 */  false,
  /* 1034 */  false,
  /* 1035 */  false,
  /* 1036 */  false,
  /* 1037 */  false,
  /* 1038 */  false,
  /* 1039 */  false,
  /* 1040 */  false,
  /* 1041 */  false,
  /* 1042 */  false,
  /* 1043 */  false,
  /* 1044 */  false,
  /* 1045 */  false,
  /* 1046 */  false,
  /* 1047 */  false,
  /* 1048 */  false,
  /* 1049 */  false,
  /* 1050 */  false,
  /* 1051 */  false,
  /* 1052 */  false,
  /* 1053 */  false,
  /* 1054 */  false,
  /* 1055 */  false,
  /* 1056 */  false,
  /* 1057 */  false,
  /* 1058 */  false,
  /* 1059 */  false,
  /* 1060 */  false,
  /* 1061 */  false,
  /* 1062 */  false,
  /* 1063 */  false,
  /* 1064 */  false,
  /* 1065 */  false,
  /* 1066 */  false,
  /* 1067 */  false,
  /* 1068 */  false,
  /* 1069 */  false,
  /* 1070 */  false,
  /* 1071 */  false,
  /* 1072 */  false,
  /* 1073 */  false,
  /* 1074 */  false,
  /* 1075 */  false,
  /* 1076 */  false,
  /* 1077 */  false,
  /* 1078 */  false,
  /* 1079 */  false,
  /* 1080 */  false,
  /* 1081 */  false,
  /* 1082 */  false,
  /* 1083 */  false,
  /* 1084 */  false,
  /* 1085 */  false,
  /* 1086 */  false,
  /* 1087 */  false,
  /* 1088 */  false,
  /* 1089 */  false,
  /* 1090 */  false,
  /* 1091 */  false,
  /* 1092 */  false,
  /* 1093 */  false,
  /* 1094 */  false,
  /* 1095 */  false,
  /* 1096 */  false,
  /* 1097 */  false,
  /* 1098 */  false,
  /* 1099 */  false,
  /* 1100 */  false,
  /* 1101 */  false,
  /* 1102 */  false,
  /* 1103 */  false,
  /* 1104 */  false,
  /* 1105 */  false,
  /* 1106 */  false,
  /* 1107 */  false,
  /* 1108 */  false,
  /* 1109 */  false,
  /* 1110 */  false,
  /* 1111 */  false,
  /* 1112 */  false,
  /* 1113 */  false,
  /* 1114 */  false,
  /* 1115 */  false,
  /* 1116 */  false,
  /* 1117 */  false,
  /* 1118 */  false,
  /* 1119 */  false,
  /* 1120 */  false,
  /* 1121 */  false,
  /* 1122 */  false,
  /* 1123 */  false,
  /* 1124 */  false,
  /* 1125 */  false,
  /* 1126 */  false,
  /* 1127 */  false,
  /* 1128 */  false,
  /* 1129 */  false,
  /* 1130 */  false,
  /* 1131 */  false,
  /* 1132 */  false,
  /* 1133 */  false,
  /* 1134 */  false,
  /* 1135 */  false,
  /* 1136 */  false,
  /* 1137 */  false,
  /* 1138 */  false,
  /* 1139 */  false,
  /* 1140 */  false,
  /* 1141 */  false,
  /* 1142 */  false,
  /* 1143 */  false,
  /* 1144 */  false,
  /* 1145 */  false,
  /* 1146 */  false,
  /* 1147 */  false,
  /* 1148 */  false,
  /* 1149 */  false,
  /* 1150 */  false,
  /* 1151 */  false,
  /* 1152 */  false,
  /* 1153 */  false,
  /* 1154 */  false,
  /* 1155 */  false,
  /* 1156 */  false,
  /* 1157 */  false,
  /* 1158 */  false,
  /* 1159 */  false,
  /* 1160 */  false,
  /* 1161 */  false,
  /* 1162 */  false,
  /* 1163 */  false,
  /* 1164 */  false,
  /* 1165 */  false,
  /* 1166 */  false,
  /* 1167 */  false,
  /* 1168 */  false,
  /* 1169 */  false,
  /* 1170 */  false,
  /* 1171 */  false,
  /* 1172 */  false,
  /* 1173 */  false,
  /* 1174 */  false,
  /* 1175 */  false,
  /* 1176 */  false,
  /* 1177 */  false,
  /* 1178 */  false,
  /* 1179 */  false,
  /* 1180 */  false,
  /* 1181 */  false,
  /* 1182 */  false,
  /* 1183 */  false,
  /* 1184 */  false,
  /* 1185 */  false,
  /* 1186 */  false,
  /* 1187 */  false,
  /* 1188 */  false,
  /* 1189 */  false,
  /* 1190 */  false,
  /* 1191 */  false,
  /* 1192 */  false,
  /* 1193 */  false,
  /* 1194 */  false,
  /* 1195 */  false,
  /* 1196 */  false,
  /* 1197 */  false,
  /* 1198 */  false,
  /* 1199 */  false,
  /* 1200 */  false,
  /* 1201 */  false,
  /* 1202 */  false,
  /* 1203 */  false,
  /* 1204 */  false,
  /* 1205 */  false,
  /* 1206 */  false,
  /* 1207 */  false,
  /* 1208 */  false,
  /* 1209 */  false,
  /* 1210 */  false,
  /* 1211 */  false,
  /* 1212 */  false,
  /* 1213 */  false,
  /* 1214 */  false,
  /* 1215 */  false,
  /* 1216 */  false,
  /* 1217 */  false,
  /* 1218 */  false,
  /* 1219 */  false,
  /* 1220 */  false,
  /* 1221 */  false,
  /* 1222 */  false,
  /* 1223 */  false,
  /* 1224 */  false,
  /* 1225 */  false,
  /* 1226 */  false,
  /* 1227 */  false,
  /* 1228 */  false,
  /* 1229 */  false,
  /* 1230 */  false,
  /* 1231 */  false,
  /* 1232 */  false,
  /* 1233 */  false,
  /* 1234 */  false,
  /* 1235 */  false,
  /* 1236 */  false,
  /* 1237 */  false,
  /* 1238 */  false,
  /* 1239 */  false,
  /* 1240 */  false,
  /* 1241 */  false,
  /* 1242 */  false,
  /* 1243 */  false,
  /* 1244 */  false,
  /* 1245 */  false,
  /* 1246 */  false,
  /* 1247 */  false,
  /* 1248 */  false,
  /* 1249 */  false,
  /* 1250 */  false,
  /* 1251 */  false,
  /* 1252 */  false,
  /* 1253 */  false,
  /* 1254 */  false,
  /* 1255 */  false,
  /* 1256 */  false,
  /* 1257 */  false,
  /* 1258 */  false,
  /* 1259 */  false,
  /* 1260 */  false,
  /* 1261 */  false,
  /* 1262 */  false,
  /* 1263 */  false,
  /* 1264 */  false,
  /* 1265 */  false,
  /* 1266 */  false,
  /* 1267 */  false,
  /* 1268 */  false,
  /* 1269 */  false,
  /* 1270 */  false,
  /* 1271 */  false,
  /* 1272 */  false,
  /* 1273 */  false,
  /* 1274 */  false,
  /* 1275 */  false,
  /* 1276 */  false,
  /* 1277 */  false,
  /* 1278 */  false,
  /* 1279 */  false,
  /* 1280 */  false,
  /* 1281 */  false,
  /* 1282 */  false,
  /* 1283 */  false,
  /* 1284 */  false,
  /* 1285 */  false,
  /* 1286 */  false,
  /* 1287 */  false,
  /* 1288 */  false,
  /* 1289 */  false,
  /* 1290 */  false,
  /* 1291 */  false,
  /* 1292 */  false,
  /* 1293 */  false,
  /* 1294 */  false,
  /* 1295 */  false,
  /* 1296 */  false,
  /* 1297 */  false,
  /* 1298 */  false,
  /* 1299 */  false,
  /* 1300 */  false,
  /* 1301 */  false,
  /* 1302 */  false,
  /* 1303 */  false,
  /* 1304 */  false,
  /* 1305 */  false,
  /* 1306 */  false,
  /* 1307 */  false,
  /* 1308 */  false,
  /* 1309 */  false,
  /* 1310 */  false,
  /* 1311 */  false,
  /* 1312 */  false,
  /* 1313 */  false,
  /* 1314 */  false,
  /* 1315 */  false,
  /* 1316 */  false,
  /* 1317 */  false,
  /* 1318 */  false,
  /* 1319 */  false,
  /* 1320 */  false,
  /* 1321 */  false,
  /* 1322 */  false,
  /* 1323 */  false,
  /* 1324 */  false,
  /* 1325 */  false,
  /* 1326 */  false,
  /* 1327 */  false,
  /* 1328 */  false,
  /* 1329 */  false,
  /* 1330 */  false,
  /* 1331 */  false,
  /* 1332 */  false,
  /* 1333 */  false,
  /* 1334 */  false,
  /* 1335 */  false,
  /* 1336 */  false,
  /* 1337 */  false,
  /* 1338 */  false,
  /* 1339 */  false,
  /* 1340 */  false,
  /* 1341 */  false,
  /* 1342 */  false,
  /* 1343 */  false,
  /* 1344 */  false,
  /* 1345 */  false,
  /* 1346 */  false,
  /* 1347 */  false,
  /* 1348 */  false,
  /* 1349 */  false,
  /* 1350 */  false,
  /* 1351 */  false,
  /* 1352 */  false,
  /* 1353 */  false,
  /* 1354 */  false,
  /* 1355 */  false,
  /* 1356 */  false,
  /* 1357 */  false,
  /* 1358 */  false,
  /* 1359 */  false,
  /* 1360 */  false,
  /* 1361 */  false,
  /* 1362 */  false,
  /* 1363 */  false,
  /* 1364 */  false,
  /* 1365 */  false,
  /* 1366 */  false,
  /* 1367 */  false,
  /* 1368 */  false,
  /* 1369 */  false,
  /* 1370 */  false,
  /* 1371 */  false,
  /* 1372 */  false,
  /* 1373 */  false,
  /* 1374 */  false,
  /* 1375 */  false,
  /* 1376 */  false,
  /* 1377 */  false,
  /* 1378 */  false,
  /* 1379 */  false,
  /* 1380 */  false,
  /* 1381 */  false,
  /* 1382 */  false,
  /* 1383 */  false,
  /* 1384 */  false,
  /* 1385 */  false,
  /* 1386 */  false,
  /* 1387 */  false,
  /* 1388 */  false,
  /* 1389 */  false,
  /* 1390 */  false,
  /* 1391 */  false,
  /* 1392 */  false,
  /* 1393 */  false,
  /* 1394 */  false,
  /* 1395 */  false,
  /* 1396 */  false,
  /* 1397 */  false,
  /* 1398 */  false,
  /* 1399 */  false,
  /* 1400 */  false,
  /* 1401 */  false,
  /* 1402 */  false,
  /* 1403 */  false,
  /* 1404 */  false,
  /* 1405 */  false,
  /* 1406 */  false,
  /* 1407 */  false,
  /* 1408 */  false,
  /* 1409 */  false,
  /* 1410 */  false,
  /* 1411 */  false,
  /* 1412 */  false,
  /* 1413 */  false,
  /* 1414 */  false,
  /* 1415 */  false,
  /* 1416 */  false,
  /* 1417 */  false,
  /* 1418 */  false,
  /* 1419 */  false,
  /* 1420 */  false,
  /* 1421 */  false,
  /* 1422 */  false,
  /* 1423 */  false,
  /* 1424 */  false,
  /* 1425 */  false,
  /* 1426 */  false,
  /* 1427 */  false,
  /* 1428 */  false,
  /* 1429 */  false,
  /* 1430 */  false,
  /* 1431 */  false,
  /* 1432 */  false,
  /* 1433 */  false,
  /* 1434 */  false,
  /* 1435 */  false,
  /* 1436 */  false,
  /* 1437 */  false,
  /* 1438 */  false,
  /* 1439 */  false,
  /* 1440 */  false,
  /* 1441 */  false,
  /* 1442 */  false,
  /* 1443 */  false,
  /* 1444 */  false,
  /* 1445 */  false,
  /* 1446 */  false,
  /* 1447 */  false,
  /* 1448 */  false,
  /* 1449 */  false,
  /* 1450 */  false,
  /* 1451 */  false,
  /* 1452 */  false,
  /* 1453 */  false,
  /* 1454 */  false,
  /* 1455 */  false,
  /* 1456 */  false,
  /* 1457 */  false,
  /* 1458 */  false,
  /* 1459 */  false,
  /* 1460 */  false,
  /* 1461 */  false,
  /* 1462 */  false,
  /* 1463 */  false,
  /* 1464 */  false,
  /* 1465 */  false,
  /* 1466 */  false,
  /* 1467 */  false,
  /* 1468 */  false,
  /* 1469 */  false,
  /* 1470 */  false,
  /* 1471 */  false,
  /* 1472 */  false,
  /* 1473 */  false,
  /* 1474 */  false,
  /* 1475 */  false,
  /* 1476 */  false,
  /* 1477 */  false,
  /* 1478 */  false,
  /* 1479 */  false,
  /* 1480 */  false,
  /* 1481 */  false,
  /* 1482 */  false,
  /* 1483 */  false,
  /* 1484 */  false,
  /* 1485 */  false,
  /* 1486 */  false,
  /* 1487 */  false,
  /* 1488 */  false,
  /* 1489 */  false,
  /* 1490 */  false,
  /* 1491 */  false,
  /* 1492 */  false,
  /* 1493 */  false,
  /* 1494 */  false,
  /* 1495 */  false,
  /* 1496 */  false,
  /* 1497 */  false,
  /* 1498 */  false,
  /* 1499 */  false,
  /* 1500 */  false,
  /* 1501 */  false,
  /* 1502 */  false,
  /* 1503 */  false,
  /* 1504 */  false,
  /* 1505 */  false,
  /* 1506 */  false,
  /* 1507 */  false,
  /* 1508 */  false,
  /* 1509 */  false,
  /* 1510 */  false,
  /* 1511 */  false,
  /* 1512 */  false,
  /* 1513 */  false,
  /* 1514 */  false,
  /* 1515 */  false,
  /* 1516 */  false,
  /* 1517 */  false,
  /* 1518 */  false,
  /* 1519 */  false,
  /* 1520 */  false,
  /* 1521 */  false,
  /* 1522 */  false,
  /* 1523 */  false,
  /* 1524 */  false,
  /* 1525 */  false,
  /* 1526 */  false,
  /* 1527 */  false,
  /* 1528 */  false,
  /* 1529 */  false,
  /* 1530 */  false,
  /* 1531 */  false,
  /* 1532 */  false,
  /* 1533 */  false,
  /* 1534 */  false,
  /* 1535 */  false,
  /* 1536 */  false,
  /* 1537 */  false,
  /* 1538 */  false,
  /* 1539 */  false,
  /* 1540 */  false,
  /* 1541 */  false,
  /* 1542 */  false,
  /* 1543 */  false,
  /* 1544 */  false,
  /* 1545 */  false,
  /* 1546 */  false,
  /* 1547 */  false,
  /* 1548 */  false,
  /* 1549 */  false,
  /* 1550 */  false,
  /* 1551 */  false,
  /* 1552 */  false,
  /* 1553 */  false,
  /* 1554 */  false,
  /* 1555 */  false,
  /* 1556 */  false,
  /* 1557 */  false,
  /* 1558 */  false,
  /* 1559 */  false,
  /* 1560 */  false,
  /* 1561 */  false,
  /* 1562 */  false,
  /* 1563 */  false,
  /* 1564 */  false,
  /* 1565 */  false,
  /* 1566 */  false,
  /* 1567 */  false,
  /* 1568 */  false,
  /* 1569 */  false,
  /* 1570 */  false,
  /* 1571 */  false,
  /* 1572 */  false,
  /* 1573 */  false,
  /* 1574 */  false,
  /* 1575 */  false,
  /* 1576 */  false,
  /* 1577 */  false,
  /* 1578 */  false,
  /* 1579 */  false,
  /* 1580 */  false,
  /* 1581 */  false,
  /* 1582 */  false,
  /* 1583 */  false,
  /* 1584 */  false,
  /* 1585 */  false,
  /* 1586 */  false,
  /* 1587 */  false,
  /* 1588 */  false,
  /* 1589 */  false,
  /* 1590 */  false,
  /* 1591 */  false,
  /* 1592 */  false,
  /* 1593 */  false,
  /* 1594 */  false,
  /* 1595 */  false,
  // last instruction
  false // no trailing comma
};

// Mapping from machine-independent opcode to boolean
const        char must_clone[] = {
  0, // Node: 0
  0, // Set: 1
  0, // RegN: 2
  0, // RegI: 3
  0, // RegP: 4
  0, // RegF: 5
  0, // RegD: 6
  0, // RegL: 7
  0, // VecA: 8
  0, // VecS: 9
  0, // VecD: 10
  0, // VecX: 11
  0, // VecY: 12
  0, // VecZ: 13
  0, // RegVectMask: 14
  0, // RegFlags: 15
  0, // _last_machine_leaf: 16
  0, // AbsD: 17
  0, // AbsF: 18
  0, // AbsI: 19
  0, // AbsL: 20
  0, // AddD: 21
  0, // AddF: 22
  0, // AddI: 23
  0, // AddL: 24
  0, // AddP: 25
  0, // Allocate: 26
  0, // AllocateArray: 27
  0, // AndI: 28
  0, // AndL: 29
  0, // ArrayCopy: 30
  0, // AryEq: 31
  0, // AtanD: 32
  1, // Binary: 33
  0, // Blackhole: 34
  1, // Bool: 35
  0, // BoxLock: 36
  0, // ReverseBytesI: 37
  0, // ReverseBytesL: 38
  0, // ReverseBytesUS: 39
  0, // ReverseBytesS: 40
  0, // ReverseBytesV: 41
  0, // CProj: 42
  0, // CacheWB: 43
  0, // CacheWBPreSync: 44
  0, // CacheWBPostSync: 45
  0, // CallDynamicJava: 46
  0, // CallJava: 47
  0, // CallLeaf: 48
  0, // CallLeafNoFP: 49
  0, // CallLeafVector: 50
  0, // CallRuntime: 51
  0, // CallStaticJava: 52
  0, // CastDD: 53
  0, // CastFF: 54
  0, // CastII: 55
  0, // CastLL: 56
  0, // CastVV: 57
  0, // CastX2P: 58
  0, // CastP2X: 59
  0, // CastPP: 60
  0, // Catch: 61
  0, // CatchProj: 62
  0, // CheckCastPP: 63
  0, // ClearArray: 64
  0, // CompressBits: 65
  0, // ExpandBits: 66
  0, // CompressBitsV: 67
  0, // ExpandBitsV: 68
  0, // ConstraintCast: 69
  0, // CMoveD: 70
  0, // CMoveF: 71
  0, // CMoveI: 72
  0, // CMoveL: 73
  0, // CMoveP: 74
  0, // CMoveN: 75
  1, // CmpN: 76
  1, // CmpD: 77
  0, // CmpD3: 78
  1, // CmpF: 79
  0, // CmpF3: 80
  1, // CmpI: 81
  1, // CmpL: 82
  0, // CmpL3: 83
  0, // CmpLTMask: 84
  1, // CmpP: 85
  1, // CmpU: 86
  0, // CmpU3: 87
  1, // CmpUL: 88
  0, // CmpUL3: 89
  0, // CompareAndSwapB: 90
  0, // CompareAndSwapS: 91
  0, // CompareAndSwapI: 92
  0, // CompareAndSwapL: 93
  0, // CompareAndSwapP: 94
  0, // CompareAndSwapN: 95
  0, // WeakCompareAndSwapB: 96
  0, // WeakCompareAndSwapS: 97
  0, // WeakCompareAndSwapI: 98
  0, // WeakCompareAndSwapL: 99
  0, // WeakCompareAndSwapP: 100
  0, // WeakCompareAndSwapN: 101
  0, // CompareAndExchangeB: 102
  0, // CompareAndExchangeS: 103
  0, // CompareAndExchangeI: 104
  0, // CompareAndExchangeL: 105
  0, // CompareAndExchangeP: 106
  0, // CompareAndExchangeN: 107
  0, // GetAndAddB: 108
  0, // GetAndAddS: 109
  0, // GetAndAddI: 110
  0, // GetAndAddL: 111
  0, // GetAndSetB: 112
  0, // GetAndSetS: 113
  0, // GetAndSetI: 114
  0, // GetAndSetL: 115
  0, // GetAndSetP: 116
  0, // GetAndSetN: 117
  0, // Con: 118
  0, // ConN: 119
  0, // ConNKlass: 120
  0, // ConD: 121
  0, // ConF: 122
  0, // ConI: 123
  0, // ConL: 124
  0, // ConP: 125
  0, // Conv2B: 126
  0, // ConvD2F: 127
  0, // ConvD2I: 128
  0, // ConvD2L: 129
  0, // ConvF2D: 130
  0, // ConvF2I: 131
  0, // ConvF2L: 132
  0, // ConvI2D: 133
  0, // ConvI2F: 134
  0, // ConvI2L: 135
  0, // ConvL2D: 136
  0, // ConvL2F: 137
  0, // ConvL2I: 138
  0, // ConvF2HF: 139
  0, // ConvHF2F: 140
  0, // CountedLoop: 141
  0, // CountedLoopEnd: 142
  0, // OuterStripMinedLoop: 143
  0, // OuterStripMinedLoopEnd: 144
  0, // LongCountedLoop: 145
  0, // LongCountedLoopEnd: 146
  0, // CountLeadingZerosI: 147
  0, // CountLeadingZerosL: 148
  0, // CountLeadingZerosV: 149
  0, // CountTrailingZerosI: 150
  0, // CountTrailingZerosL: 151
  0, // CountTrailingZerosV: 152
  0, // CreateEx: 153
  0, // DecodeN: 154
  0, // DecodeNKlass: 155
  0, // DivD: 156
  0, // DivF: 157
  0, // DivI: 158
  0, // DivL: 159
  0, // UDivI: 160
  0, // UDivL: 161
  0, // DivMod: 162
  0, // DivModI: 163
  0, // DivModL: 164
  0, // UDivModI: 165
  0, // UDivModL: 166
  0, // EncodeISOArray: 167
  0, // EncodeP: 168
  0, // EncodePKlass: 169
  1, // FastLock: 170
  1, // FastUnlock: 171
  0, // FmaD: 172
  0, // FmaF: 173
  0, // ForwardException: 174
  0, // Goto: 175
  0, // Halt: 176
  0, // CountPositives: 177
  0, // If: 178
  0, // RangeCheck: 179
  0, // IfFalse: 180
  0, // IfTrue: 181
  0, // Initialize: 182
  0, // JProj: 183
  0, // Jump: 184
  0, // JumpProj: 185
  0, // LShiftI: 186
  0, // LShiftL: 187
  0, // LoadB: 188
  0, // LoadUB: 189
  0, // LoadUS: 190
  0, // LoadD: 191
  0, // LoadD_unaligned: 192
  0, // LoadF: 193
  0, // LoadI: 194
  0, // LoadKlass: 195
  0, // LoadNKlass: 196
  0, // LoadL: 197
  0, // LoadL_unaligned: 198
  0, // LoadP: 199
  0, // LoadN: 200
  0, // LoadRange: 201
  0, // LoadS: 202
  0, // Lock: 203
  0, // Loop: 204
  0, // LoopLimit: 205
  0, // Mach: 206
  0, // MachNullCheck: 207
  0, // MachProj: 208
  0, // MulAddS2I: 209
  0, // MaxI: 210
  0, // MaxL: 211
  0, // MaxD: 212
  0, // MaxF: 213
  0, // MemBarAcquire: 214
  0, // LoadFence: 215
  0, // MemBarAcquireLock: 216
  0, // MemBarCPUOrder: 217
  0, // MemBarRelease: 218
  0, // StoreFence: 219
  0, // StoreStoreFence: 220
  0, // MemBarReleaseLock: 221
  0, // MemBarVolatile: 222
  0, // MemBarStoreStore: 223
  0, // MergeMem: 224
  0, // MinI: 225
  0, // MinL: 226
  0, // MinF: 227
  0, // MinD: 228
  0, // ModD: 229
  0, // ModF: 230
  0, // ModI: 231
  0, // ModL: 232
  0, // UModI: 233
  0, // UModL: 234
  0, // MoveI2F: 235
  0, // MoveF2I: 236
  0, // MoveL2D: 237
  0, // MoveD2L: 238
  0, // IsInfiniteF: 239
  0, // IsFiniteF: 240
  0, // IsInfiniteD: 241
  0, // IsFiniteD: 242
  0, // MulD: 243
  0, // MulF: 244
  0, // MulHiL: 245
  0, // UMulHiL: 246
  0, // MulI: 247
  0, // MulL: 248
  0, // Multi: 249
  0, // NegI: 250
  0, // NegL: 251
  0, // NegD: 252
  0, // NegF: 253
  0, // NeverBranch: 254
  0, // OnSpinWait: 255
  0, // Opaque1: 256
  0, // OpaqueLoopInit: 257
  0, // OpaqueLoopStride: 258
  0, // OpaqueZeroTripGuard: 259
  0, // OpaqueNotNull: 260
  0, // OpaqueInitializedAssertionPredicate: 261
  0, // OpaqueTemplateAssertionPredicate: 262
  0, // ProfileBoolean: 263
  0, // OrI: 264
  0, // OrL: 265
  1, // OverflowAddI: 266
  1, // OverflowSubI: 267
  1, // OverflowMulI: 268
  1, // OverflowAddL: 269
  1, // OverflowSubL: 270
  1, // OverflowMulL: 271
  0, // PCTable: 272
  0, // Parm: 273
  0, // ParsePredicate: 274
  0, // PartialSubtypeCheck: 275
  0, // SubTypeCheck: 276
  0, // Phi: 277
  0, // PopCountI: 278
  0, // PopCountL: 279
  0, // PopCountVI: 280
  0, // PopCountVL: 281
  0, // PopulateIndex: 282
  0, // PrefetchAllocation: 283
  0, // Proj: 284
  0, // RShiftI: 285
  0, // RShiftL: 286
  0, // Region: 287
  0, // Rethrow: 288
  0, // Return: 289
  0, // ReverseI: 290
  0, // ReverseL: 291
  0, // ReverseV: 292
  0, // Root: 293
  0, // RoundDouble: 294
  0, // RoundDoubleMode: 295
  0, // RoundDoubleModeV: 296
  0, // RoundFloat: 297
  0, // RotateLeft: 298
  0, // RotateLeftV: 299
  0, // RotateRight: 300
  0, // RotateRightV: 301
  0, // SafePoint: 302
  0, // SafePointScalarObject: 303
  0, // SafePointScalarMerge: 304
  0, // ShenandoahCompareAndExchangeP: 305
  0, // ShenandoahCompareAndExchangeN: 306
  0, // ShenandoahCompareAndSwapN: 307
  0, // ShenandoahCompareAndSwapP: 308
  0, // ShenandoahWeakCompareAndSwapN: 309
  0, // ShenandoahWeakCompareAndSwapP: 310
  0, // ShenandoahLoadReferenceBarrier: 311
  0, // SCMemProj: 312
  0, // CopySignD: 313
  0, // CopySignF: 314
  0, // SaturatingAddV: 315
  0, // SaturatingSubV: 316
  0, // SignumD: 317
  0, // SignumF: 318
  0, // SignumVF: 319
  0, // SignumVD: 320
  0, // SqrtD: 321
  0, // SqrtF: 322
  0, // RoundF: 323
  0, // RoundD: 324
  0, // Start: 325
  0, // StartOSR: 326
  0, // StoreB: 327
  0, // StoreC: 328
  0, // StoreD: 329
  0, // StoreF: 330
  0, // StoreI: 331
  0, // StoreL: 332
  0, // StoreP: 333
  0, // StoreN: 334
  0, // StoreNKlass: 335
  0, // StrComp: 336
  0, // StrCompressedCopy: 337
  0, // StrEquals: 338
  0, // StrIndexOf: 339
  0, // StrIndexOfChar: 340
  0, // StrInflatedCopy: 341
  0, // SubD: 342
  0, // SubF: 343
  0, // SubI: 344
  0, // SubL: 345
  0, // TailCall: 346
  0, // TailJump: 347
  0, // MacroLogicV: 348
  0, // ThreadLocal: 349
  0, // Unlock: 350
  0, // URShiftB: 351
  0, // URShiftS: 352
  0, // URShiftI: 353
  0, // URShiftL: 354
  0, // XorI: 355
  0, // XorL: 356
  0, // Vector: 357
  0, // AddVB: 358
  0, // AddVS: 359
  0, // AddVI: 360
  0, // AddReductionVI: 361
  0, // AddVL: 362
  0, // AddReductionVL: 363
  0, // AddVF: 364
  0, // AddReductionVF: 365
  0, // AddVD: 366
  0, // AddReductionVD: 367
  0, // SubVB: 368
  0, // SubVS: 369
  0, // SubVI: 370
  0, // SubVL: 371
  0, // SubVF: 372
  0, // SubVD: 373
  0, // MulVB: 374
  0, // MulVS: 375
  0, // MulVI: 376
  0, // MulReductionVI: 377
  0, // MulVL: 378
  0, // MulReductionVL: 379
  0, // MulVF: 380
  0, // MulReductionVF: 381
  0, // MulVD: 382
  0, // MulReductionVD: 383
  0, // MulAddVS2VI: 384
  0, // FmaVD: 385
  0, // FmaVF: 386
  0, // DivVF: 387
  0, // DivVD: 388
  0, // AbsVB: 389
  0, // AbsVS: 390
  0, // AbsVI: 391
  0, // AbsVL: 392
  0, // AbsVF: 393
  0, // AbsVD: 394
  0, // NegVI: 395
  0, // NegVL: 396
  0, // NegVF: 397
  0, // NegVD: 398
  0, // SqrtVD: 399
  0, // SqrtVF: 400
  0, // LShiftCntV: 401
  0, // RShiftCntV: 402
  0, // LShiftVB: 403
  0, // LShiftVS: 404
  0, // LShiftVI: 405
  0, // LShiftVL: 406
  0, // RShiftVB: 407
  0, // RShiftVS: 408
  0, // RShiftVI: 409
  0, // RShiftVL: 410
  0, // URShiftVB: 411
  0, // URShiftVS: 412
  0, // URShiftVI: 413
  0, // URShiftVL: 414
  0, // AndV: 415
  0, // AndReductionV: 416
  0, // OrV: 417
  0, // OrReductionV: 418
  0, // XorV: 419
  0, // XorReductionV: 420
  0, // MinV: 421
  0, // MaxV: 422
  0, // UMinV: 423
  0, // UMaxV: 424
  0, // MinReductionV: 425
  0, // MaxReductionV: 426
  0, // CompressV: 427
  0, // CompressM: 428
  0, // ExpandV: 429
  0, // LoadVector: 430
  0, // LoadVectorGather: 431
  0, // LoadVectorGatherMasked: 432
  0, // StoreVector: 433
  0, // StoreVectorScatter: 434
  0, // StoreVectorScatterMasked: 435
  0, // LoadVectorMasked: 436
  0, // StoreVectorMasked: 437
  0, // VerifyVectorAlignment: 438
  0, // VectorCmpMasked: 439
  0, // VectorMaskGen: 440
  0, // VectorMaskOp: 441
  0, // VectorMaskTrueCount: 442
  0, // VectorMaskFirstTrue: 443
  0, // VectorMaskLastTrue: 444
  0, // VectorMaskToLong: 445
  0, // VectorLongToMask: 446
  0, // Pack: 447
  0, // PackB: 448
  0, // PackS: 449
  0, // PackI: 450
  0, // PackL: 451
  0, // PackF: 452
  0, // PackD: 453
  0, // Pack2L: 454
  0, // Pack2D: 455
  0, // Replicate: 456
  0, // RoundVF: 457
  0, // RoundVD: 458
  0, // Extract: 459
  0, // ExtractB: 460
  0, // ExtractUB: 461
  0, // ExtractC: 462
  0, // ExtractS: 463
  0, // ExtractI: 464
  0, // ExtractL: 465
  0, // ExtractF: 466
  0, // ExtractD: 467
  0, // Digit: 468
  0, // LowerCase: 469
  0, // UpperCase: 470
  0, // Whitespace: 471
  0, // SelectFromTwoVector: 472
  0, // VectorBox: 473
  0, // VectorBoxAllocate: 474
  0, // VectorUnbox: 475
  0, // VectorMaskWrapper: 476
  0, // VectorMaskCmp: 477
  0, // VectorMaskCast: 478
  1, // VectorTest: 479
  0, // VectorBlend: 480
  0, // VectorRearrange: 481
  0, // VectorLoadMask: 482
  0, // VectorLoadShuffle: 483
  0, // VectorLoadConst: 484
  0, // VectorStoreMask: 485
  0, // VectorReinterpret: 486
  0, // VectorCast: 487
  0, // VectorCastB2X: 488
  0, // VectorCastS2X: 489
  0, // VectorCastI2X: 490
  0, // VectorCastL2X: 491
  0, // VectorCastF2X: 492
  0, // VectorCastD2X: 493
  0, // VectorCastF2HF: 494
  0, // VectorCastHF2F: 495
  0, // VectorUCastB2X: 496
  0, // VectorUCastS2X: 497
  0, // VectorUCastI2X: 498
  0, // VectorizedHashCode: 499
  0, // VectorInsert: 500
  0, // MaskAll: 501
  0, // AndVMask: 502
  0, // OrVMask: 503
  0 // no trailing comma // XorVMask: 504
};
//  The following instructions can cisc-spill
//  popCountI can cisc-spill operand 1 to popCountI_mem
//  popCountL can cisc-spill operand 1 to popCountL_mem
//  cmovI_reg can cisc-spill operand 4 to cmovI_mem
//  cmovI_regU can cisc-spill operand 4 to cmovI_memU
//  cmovI_regUCF can cisc-spill operand 4 to cmovI_memUCF
//  addI_eReg can cisc-spill operand 2 to addI_eReg_mem
//  subI_eReg can cisc-spill operand 2 to subI_eReg_mem
//  mulI_eReg can cisc-spill operand 2 to mulI
//  mulI_eReg_imm can cisc-spill operand 1 to mulI_mem_imm
//  i2b can cisc-spill operand 1 to loadI2B
//  i2s can cisc-spill operand 1 to loadI2S
//  andI_eReg can cisc-spill operand 2 to andI_eReg_mem
//  andnI_rReg_rReg_rReg can cisc-spill operand 3 to andnI_rReg_rReg_mem
//  andnI_rReg_rReg_rReg_0 can cisc-spill operand 1 to andnI_rReg_rReg_mem_0
//  orI_eReg can cisc-spill operand 2 to orI_eReg_mem
//  xorI_eReg can cisc-spill operand 2 to xorI_eReg_mem
//  addL_eReg can cisc-spill operand 2 to addL_eReg_mem
//  subL_eReg can cisc-spill operand 2 to subL_eReg_mem
//  andL_eReg can cisc-spill operand 2 to andL_eReg_mem
//  andnL_eReg_eReg_eReg can cisc-spill operand 3 to andnL_eReg_eReg_mem
//  andnL_eReg_eReg_eReg_0 can cisc-spill operand 1 to andnL_eReg_eReg_mem_0
//  orl_eReg can cisc-spill operand 2 to orl_eReg_mem
//  xorl_eReg can cisc-spill operand 2 to xorl_eReg_mem
//  cmpD_cc can cisc-spill operand 2 to cmpD_ccmem
//  cmpD_ccCF can cisc-spill operand 2 to cmpD_ccmemCF
//  cmpD_reg can cisc-spill operand 2 to cmpD_regmem
//  subDPR_reg can cisc-spill operand 2 to subDPR_reg_mem
//  addDPR_reg can cisc-spill operand 2 to addDPR_reg_mem
//  mulDPR_reg can cisc-spill operand 2 to mulDPR_reg_mem
//  cmpF_cc can cisc-spill operand 2 to cmpF_ccmem
//  cmpF_ccCF can cisc-spill operand 2 to cmpF_ccmemCF
//  cmpF_reg can cisc-spill operand 2 to cmpF_regmem
//  addFPR24_reg can cisc-spill operand 2 to addFPR24_reg_mem
//  addFPR_reg can cisc-spill operand 2 to addFPR_reg_mem
//  addFPR24_reg_mem can cisc-spill operand 1 to addFPR24_mem_cisc
//  addFPR24_reg_mem_0 can cisc-spill operand 2 to addFPR24_mem_cisc_0
//  addFPR24_mem_reg can cisc-spill operand 2 to addFPR24_mem_cisc
//  mulFPR24_reg can cisc-spill operand 2 to mulFPR24_reg_mem
//  mulFPR_reg can cisc-spill operand 2 to mulFPR_reg_mem
//  addFPR_mulFPR_reg can cisc-spill operand 1 to addFPR_mulFPR_reg_load1
//  addFPR_mulFPR_reg_0 can cisc-spill operand 2 to addFPR_mulFPR_reg_load1_1
//  convI2L_reg can cisc-spill operand 1 to loadI2L
//  convI2L_reg_zex can cisc-spill operand 1 to loadUI2L
//  compI_eReg can cisc-spill operand 2 to compI_eReg_mem
//  compU_eReg can cisc-spill operand 2 to compU_eReg_mem
//  compP_eReg can cisc-spill operand 2 to compP_eReg_mem
//  cmovLL_reg_LTGE can cisc-spill operand 4 to cmovLL_mem_LTGE
//  cmovLL_reg_LTGE_U can cisc-spill operand 4 to cmovLL_mem_LTGE_U
//  cmovII_reg_LTGE can cisc-spill operand 4 to cmovII_mem_LTGE
//  cmovII_reg_LTGE_U can cisc-spill operand 4 to cmovII_mem_LTGE_U
//  cmovLL_reg_EQNE can cisc-spill operand 4 to cmovLL_mem_EQNE
//  cmovII_reg_EQNE can cisc-spill operand 4 to cmovII_mem_EQNE
//  cmovII_reg_EQNE_U can cisc-spill operand 4 to cmovII_mem_EQNE_U
//  cmovLL_reg_LEGT can cisc-spill operand 4 to cmovLL_mem_LEGT
//  cmovLL_reg_LEGT_U can cisc-spill operand 4 to cmovLL_mem_LEGT_U
//  cmovII_reg_LEGT can cisc-spill operand 4 to cmovII_mem_LEGT
//  cmovII_reg_LEGT_U can cisc-spill operand 4 to cmovII_mem_LEGT_U
//  addF_reg can cisc-spill operand 2 to addF_mem
//  addF_reg_reg can cisc-spill operand 2 to addF_reg_mem
//  addD_reg can cisc-spill operand 2 to addD_mem
//  addD_reg_reg can cisc-spill operand 2 to addD_reg_mem
//  subF_reg can cisc-spill operand 2 to subF_mem
//  subF_reg_reg can cisc-spill operand 2 to subF_reg_mem
//  subD_reg can cisc-spill operand 2 to subD_mem
//  subD_reg_reg can cisc-spill operand 2 to subD_reg_mem
//  mulF_reg can cisc-spill operand 2 to mulF_mem
//  mulF_reg_reg can cisc-spill operand 2 to mulF_reg_mem
//  mulD_reg can cisc-spill operand 2 to mulD_mem
//  mulD_reg_reg can cisc-spill operand 2 to mulD_reg_mem
//  divF_reg can cisc-spill operand 2 to divF_mem
//  divF_reg_reg can cisc-spill operand 2 to divF_reg_mem
//  divD_reg can cisc-spill operand 2 to divD_mem
//  divD_reg_reg can cisc-spill operand 2 to divD_reg_mem
//  ReplI_reg can cisc-spill operand 1 to ReplI_mem
//  vReplF_reg can cisc-spill operand 1 to ReplF_mem
//  vReplD_reg can cisc-spill operand 1 to ReplD_mem
//  compressBitsI_reg can cisc-spill operand 2 to compressBitsI_mem
//  expandBitsI_reg can cisc-spill operand 2 to expandBitsI_mem



// An array of character pointers to machine register names.
const char *Matcher::regName[REG_COUNT] = {
  "ECX",
  "EBX",
  "EBP",
  "EDI",
  "EAX",
  "EDX",
  "ESI",
  "ESP",
  "FPR0L",
  "FPR0H",
  "FPR1L",
  "FPR1H",
  "FPR2L",
  "FPR2H",
  "FPR3L",
  "FPR3H",
  "FPR4L",
  "FPR4H",
  "FPR5L",
  "FPR5H",
  "FPR6L",
  "FPR6H",
  "FPR7L",
  "FPR7H",
  "FILL0",
  "FILL1",
  "FILL2",
  "FILL3",
  "FILL4",
  "FILL5",
  "FILL6",
  "FILL7",
  "XMM0",
  "XMM0b",
  "XMM0c",
  "XMM0d",
  "XMM0e",
  "XMM0f",
  "XMM0g",
  "XMM0h",
  "XMM0i",
  "XMM0j",
  "XMM0k",
  "XMM0l",
  "XMM0m",
  "XMM0n",
  "XMM0o",
  "XMM0p",
  "XMM1",
  "XMM1b",
  "XMM1c",
  "XMM1d",
  "XMM1e",
  "XMM1f",
  "XMM1g",
  "XMM1h",
  "XMM1i",
  "XMM1j",
  "XMM1k",
  "XMM1l",
  "XMM1m",
  "XMM1n",
  "XMM1o",
  "XMM1p",
  "XMM2",
  "XMM2b",
  "XMM2c",
  "XMM2d",
  "XMM2e",
  "XMM2f",
  "XMM2g",
  "XMM2h",
  "XMM2i",
  "XMM2j",
  "XMM2k",
  "XMM2l",
  "XMM2m",
  "XMM2n",
  "XMM2o",
  "XMM2p",
  "XMM3",
  "XMM3b",
  "XMM3c",
  "XMM3d",
  "XMM3e",
  "XMM3f",
  "XMM3g",
  "XMM3h",
  "XMM3i",
  "XMM3j",
  "XMM3k",
  "XMM3l",
  "XMM3m",
  "XMM3n",
  "XMM3o",
  "XMM3p",
  "XMM4",
  "XMM4b",
  "XMM4c",
  "XMM4d",
  "XMM4e",
  "XMM4f",
  "XMM4g",
  "XMM4h",
  "XMM4i",
  "XMM4j",
  "XMM4k",
  "XMM4l",
  "XMM4m",
  "XMM4n",
  "XMM4o",
  "XMM4p",
  "XMM5",
  "XMM5b",
  "XMM5c",
  "XMM5d",
  "XMM5e",
  "XMM5f",
  "XMM5g",
  "XMM5h",
  "XMM5i",
  "XMM5j",
  "XMM5k",
  "XMM5l",
  "XMM5m",
  "XMM5n",
  "XMM5o",
  "XMM5p",
  "XMM6",
  "XMM6b",
  "XMM6c",
  "XMM6d",
  "XMM6e",
  "XMM6f",
  "XMM6g",
  "XMM6h",
  "XMM6i",
  "XMM6j",
  "XMM6k",
  "XMM6l",
  "XMM6m",
  "XMM6n",
  "XMM6o",
  "XMM6p",
  "XMM7",
  "XMM7b",
  "XMM7c",
  "XMM7d",
  "XMM7e",
  "XMM7f",
  "XMM7g",
  "XMM7h",
  "XMM7i",
  "XMM7j",
  "XMM7k",
  "XMM7l",
  "XMM7m",
  "XMM7n",
  "XMM7o",
  "XMM7p",
  "K7",
  "K7_H",
  "K6",
  "K6_H",
  "K5",
  "K5_H",
  "K4",
  "K4_H",
  "K3",
  "K3_H",
  "K2",
  "K2_H",
  "K1",
  "K1_H",
  "RFLAGS" // no trailing comma
};

// An array of character pointers to machine register names.
const VMReg OptoReg::opto2vm[REG_COUNT] = {
	rcx->as_VMReg(),
	rbx->as_VMReg(),
	rbp->as_VMReg(),
	rdi->as_VMReg(),
	rax->as_VMReg(),
	rdx->as_VMReg(),
	rsi->as_VMReg(),
	rsp->as_VMReg(),
	VMRegImpl::Bad(),
	VMRegImpl::Bad(),
	as_FloatRegister(0)->as_VMReg(),
	as_FloatRegister(0)->as_VMReg()->next(),
	as_FloatRegister(1)->as_VMReg(),
	as_FloatRegister(1)->as_VMReg()->next(),
	as_FloatRegister(2)->as_VMReg(),
	as_FloatRegister(2)->as_VMReg()->next(),
	as_FloatRegister(3)->as_VMReg(),
	as_FloatRegister(3)->as_VMReg()->next(),
	as_FloatRegister(4)->as_VMReg(),
	as_FloatRegister(4)->as_VMReg()->next(),
	as_FloatRegister(5)->as_VMReg(),
	as_FloatRegister(5)->as_VMReg()->next(),
	as_FloatRegister(6)->as_VMReg(),
	as_FloatRegister(6)->as_VMReg()->next(),
	VMRegImpl::Bad(),
	VMRegImpl::Bad(),
	VMRegImpl::Bad(),
	VMRegImpl::Bad(),
	VMRegImpl::Bad(),
	VMRegImpl::Bad(),
	VMRegImpl::Bad(),
	VMRegImpl::Bad(),
	xmm0->as_VMReg(),
	xmm0->as_VMReg()->next(1),
	xmm0->as_VMReg()->next(2),
	xmm0->as_VMReg()->next(3),
	xmm0->as_VMReg()->next(4),
	xmm0->as_VMReg()->next(5),
	xmm0->as_VMReg()->next(6),
	xmm0->as_VMReg()->next(7),
	xmm0->as_VMReg()->next(8),
	xmm0->as_VMReg()->next(9),
	xmm0->as_VMReg()->next(10),
	xmm0->as_VMReg()->next(11),
	xmm0->as_VMReg()->next(12),
	xmm0->as_VMReg()->next(13),
	xmm0->as_VMReg()->next(14),
	xmm0->as_VMReg()->next(15),
	xmm1->as_VMReg(),
	xmm1->as_VMReg()->next(1),
	xmm1->as_VMReg()->next(2),
	xmm1->as_VMReg()->next(3),
	xmm1->as_VMReg()->next(4),
	xmm1->as_VMReg()->next(5),
	xmm1->as_VMReg()->next(6),
	xmm1->as_VMReg()->next(7),
	xmm1->as_VMReg()->next(8),
	xmm1->as_VMReg()->next(9),
	xmm1->as_VMReg()->next(10),
	xmm1->as_VMReg()->next(11),
	xmm1->as_VMReg()->next(12),
	xmm1->as_VMReg()->next(13),
	xmm1->as_VMReg()->next(14),
	xmm1->as_VMReg()->next(15),
	xmm2->as_VMReg(),
	xmm2->as_VMReg()->next(1),
	xmm2->as_VMReg()->next(2),
	xmm2->as_VMReg()->next(3),
	xmm2->as_VMReg()->next(4),
	xmm2->as_VMReg()->next(5),
	xmm2->as_VMReg()->next(6),
	xmm2->as_VMReg()->next(7),
	xmm2->as_VMReg()->next(8),
	xmm2->as_VMReg()->next(9),
	xmm2->as_VMReg()->next(10),
	xmm2->as_VMReg()->next(11),
	xmm2->as_VMReg()->next(12),
	xmm2->as_VMReg()->next(13),
	xmm2->as_VMReg()->next(14),
	xmm2->as_VMReg()->next(15),
	xmm3->as_VMReg(),
	xmm3->as_VMReg()->next(1),
	xmm3->as_VMReg()->next(2),
	xmm3->as_VMReg()->next(3),
	xmm3->as_VMReg()->next(4),
	xmm3->as_VMReg()->next(5),
	xmm3->as_VMReg()->next(6),
	xmm3->as_VMReg()->next(7),
	xmm3->as_VMReg()->next(8),
	xmm3->as_VMReg()->next(9),
	xmm3->as_VMReg()->next(10),
	xmm3->as_VMReg()->next(11),
	xmm3->as_VMReg()->next(12),
	xmm3->as_VMReg()->next(13),
	xmm3->as_VMReg()->next(14),
	xmm3->as_VMReg()->next(15),
	xmm4->as_VMReg(),
	xmm4->as_VMReg()->next(1),
	xmm4->as_VMReg()->next(2),
	xmm4->as_VMReg()->next(3),
	xmm4->as_VMReg()->next(4),
	xmm4->as_VMReg()->next(5),
	xmm4->as_VMReg()->next(6),
	xmm4->as_VMReg()->next(7),
	xmm4->as_VMReg()->next(8),
	xmm4->as_VMReg()->next(9),
	xmm4->as_VMReg()->next(10),
	xmm4->as_VMReg()->next(11),
	xmm4->as_VMReg()->next(12),
	xmm4->as_VMReg()->next(13),
	xmm4->as_VMReg()->next(14),
	xmm4->as_VMReg()->next(15),
	xmm5->as_VMReg(),
	xmm5->as_VMReg()->next(1),
	xmm5->as_VMReg()->next(2),
	xmm5->as_VMReg()->next(3),
	xmm5->as_VMReg()->next(4),
	xmm5->as_VMReg()->next(5),
	xmm5->as_VMReg()->next(6),
	xmm5->as_VMReg()->next(7),
	xmm5->as_VMReg()->next(8),
	xmm5->as_VMReg()->next(9),
	xmm5->as_VMReg()->next(10),
	xmm5->as_VMReg()->next(11),
	xmm5->as_VMReg()->next(12),
	xmm5->as_VMReg()->next(13),
	xmm5->as_VMReg()->next(14),
	xmm5->as_VMReg()->next(15),
	xmm6->as_VMReg(),
	xmm6->as_VMReg()->next(1),
	xmm6->as_VMReg()->next(2),
	xmm6->as_VMReg()->next(3),
	xmm6->as_VMReg()->next(4),
	xmm6->as_VMReg()->next(5),
	xmm6->as_VMReg()->next(6),
	xmm6->as_VMReg()->next(7),
	xmm6->as_VMReg()->next(8),
	xmm6->as_VMReg()->next(9),
	xmm6->as_VMReg()->next(10),
	xmm6->as_VMReg()->next(11),
	xmm6->as_VMReg()->next(12),
	xmm6->as_VMReg()->next(13),
	xmm6->as_VMReg()->next(14),
	xmm6->as_VMReg()->next(15),
	xmm7->as_VMReg(),
	xmm7->as_VMReg()->next(1),
	xmm7->as_VMReg()->next(2),
	xmm7->as_VMReg()->next(3),
	xmm7->as_VMReg()->next(4),
	xmm7->as_VMReg()->next(5),
	xmm7->as_VMReg()->next(6),
	xmm7->as_VMReg()->next(7),
	xmm7->as_VMReg()->next(8),
	xmm7->as_VMReg()->next(9),
	xmm7->as_VMReg()->next(10),
	xmm7->as_VMReg()->next(11),
	xmm7->as_VMReg()->next(12),
	xmm7->as_VMReg()->next(13),
	xmm7->as_VMReg()->next(14),
	xmm7->as_VMReg()->next(15),
	k7->as_VMReg(),
	k7->as_VMReg()->next(),
	k6->as_VMReg(),
	k6->as_VMReg()->next(),
	k5->as_VMReg(),
	k5->as_VMReg()->next(),
	k4->as_VMReg(),
	k4->as_VMReg()->next(),
	k3->as_VMReg(),
	k3->as_VMReg()->next(),
	k2->as_VMReg(),
	k2->as_VMReg()->next(),
	k1->as_VMReg(),
	k1->as_VMReg()->next(),
	VMRegImpl::Bad() // no trailing comma
	};

 OptoReg::Name OptoReg::vm2opto[ConcreteRegisterImpl::number_of_registers];

// An array of the machine register encode values
const unsigned char Matcher::_regEncode[REG_COUNT] = {
  (unsigned char)'\x1',  // ECX
  (unsigned char)'\x3',  // EBX
  (unsigned char)'\x5',  // EBP
  (unsigned char)'\x7',  // EDI
  (unsigned char)'\x0',  // EAX
  (unsigned char)'\x2',  // EDX
  (unsigned char)'\x6',  // ESI
  (unsigned char)'\x4',  // ESP
  (unsigned char)'\x0',  // FPR0L
  (unsigned char)'\x0',  // FPR0H
  (unsigned char)'\x1',  // FPR1L
  (unsigned char)'\x1',  // FPR1H
  (unsigned char)'\x2',  // FPR2L
  (unsigned char)'\x2',  // FPR2H
  (unsigned char)'\x3',  // FPR3L
  (unsigned char)'\x3',  // FPR3H
  (unsigned char)'\x4',  // FPR4L
  (unsigned char)'\x4',  // FPR4H
  (unsigned char)'\x5',  // FPR5L
  (unsigned char)'\x5',  // FPR5H
  (unsigned char)'\x6',  // FPR6L
  (unsigned char)'\x6',  // FPR6H
  (unsigned char)'\x7',  // FPR7L
  (unsigned char)'\x7',  // FPR7H
  (unsigned char)'\x8',  // FILL0
  (unsigned char)'\x9',  // FILL1
  (unsigned char)'\xA',  // FILL2
  (unsigned char)'\xB',  // FILL3
  (unsigned char)'\xC',  // FILL4
  (unsigned char)'\xD',  // FILL5
  (unsigned char)'\xE',  // FILL6
  (unsigned char)'\xF',  // FILL7
  (unsigned char)'\x0',  // XMM0
  (unsigned char)'\x0',  // XMM0b
  (unsigned char)'\x0',  // XMM0c
  (unsigned char)'\x0',  // XMM0d
  (unsigned char)'\x0',  // XMM0e
  (unsigned char)'\x0',  // XMM0f
  (unsigned char)'\x0',  // XMM0g
  (unsigned char)'\x0',  // XMM0h
  (unsigned char)'\x0',  // XMM0i
  (unsigned char)'\x0',  // XMM0j
  (unsigned char)'\x0',  // XMM0k
  (unsigned char)'\x0',  // XMM0l
  (unsigned char)'\x0',  // XMM0m
  (unsigned char)'\x0',  // XMM0n
  (unsigned char)'\x0',  // XMM0o
  (unsigned char)'\x0',  // XMM0p
  (unsigned char)'\x1',  // XMM1
  (unsigned char)'\x1',  // XMM1b
  (unsigned char)'\x1',  // XMM1c
  (unsigned char)'\x1',  // XMM1d
  (unsigned char)'\x1',  // XMM1e
  (unsigned char)'\x1',  // XMM1f
  (unsigned char)'\x1',  // XMM1g
  (unsigned char)'\x1',  // XMM1h
  (unsigned char)'\x1',  // XMM1i
  (unsigned char)'\x1',  // XMM1j
  (unsigned char)'\x1',  // XMM1k
  (unsigned char)'\x1',  // XMM1l
  (unsigned char)'\x1',  // XMM1m
  (unsigned char)'\x1',  // XMM1n
  (unsigned char)'\x1',  // XMM1o
  (unsigned char)'\x1',  // XMM1p
  (unsigned char)'\x2',  // XMM2
  (unsigned char)'\x2',  // XMM2b
  (unsigned char)'\x2',  // XMM2c
  (unsigned char)'\x2',  // XMM2d
  (unsigned char)'\x2',  // XMM2e
  (unsigned char)'\x2',  // XMM2f
  (unsigned char)'\x2',  // XMM2g
  (unsigned char)'\x2',  // XMM2h
  (unsigned char)'\x2',  // XMM2i
  (unsigned char)'\x2',  // XMM2j
  (unsigned char)'\x2',  // XMM2k
  (unsigned char)'\x2',  // XMM2l
  (unsigned char)'\x2',  // XMM2m
  (unsigned char)'\x2',  // XMM2n
  (unsigned char)'\x2',  // XMM2o
  (unsigned char)'\x2',  // XMM2p
  (unsigned char)'\x3',  // XMM3
  (unsigned char)'\x3',  // XMM3b
  (unsigned char)'\x3',  // XMM3c
  (unsigned char)'\x3',  // XMM3d
  (unsigned char)'\x3',  // XMM3e
  (unsigned char)'\x3',  // XMM3f
  (unsigned char)'\x3',  // XMM3g
  (unsigned char)'\x3',  // XMM3h
  (unsigned char)'\x3',  // XMM3i
  (unsigned char)'\x3',  // XMM3j
  (unsigned char)'\x3',  // XMM3k
  (unsigned char)'\x3',  // XMM3l
  (unsigned char)'\x3',  // XMM3m
  (unsigned char)'\x3',  // XMM3n
  (unsigned char)'\x3',  // XMM3o
  (unsigned char)'\x3',  // XMM3p
  (unsigned char)'\x4',  // XMM4
  (unsigned char)'\x4',  // XMM4b
  (unsigned char)'\x4',  // XMM4c
  (unsigned char)'\x4',  // XMM4d
  (unsigned char)'\x4',  // XMM4e
  (unsigned char)'\x4',  // XMM4f
  (unsigned char)'\x4',  // XMM4g
  (unsigned char)'\x4',  // XMM4h
  (unsigned char)'\x4',  // XMM4i
  (unsigned char)'\x4',  // XMM4j
  (unsigned char)'\x4',  // XMM4k
  (unsigned char)'\x4',  // XMM4l
  (unsigned char)'\x4',  // XMM4m
  (unsigned char)'\x4',  // XMM4n
  (unsigned char)'\x4',  // XMM4o
  (unsigned char)'\x4',  // XMM4p
  (unsigned char)'\x5',  // XMM5
  (unsigned char)'\x5',  // XMM5b
  (unsigned char)'\x5',  // XMM5c
  (unsigned char)'\x5',  // XMM5d
  (unsigned char)'\x5',  // XMM5e
  (unsigned char)'\x5',  // XMM5f
  (unsigned char)'\x5',  // XMM5g
  (unsigned char)'\x5',  // XMM5h
  (unsigned char)'\x5',  // XMM5i
  (unsigned char)'\x5',  // XMM5j
  (unsigned char)'\x5',  // XMM5k
  (unsigned char)'\x5',  // XMM5l
  (unsigned char)'\x5',  // XMM5m
  (unsigned char)'\x5',  // XMM5n
  (unsigned char)'\x5',  // XMM5o
  (unsigned char)'\x5',  // XMM5p
  (unsigned char)'\x6',  // XMM6
  (unsigned char)'\x6',  // XMM6b
  (unsigned char)'\x6',  // XMM6c
  (unsigned char)'\x6',  // XMM6d
  (unsigned char)'\x6',  // XMM6e
  (unsigned char)'\x6',  // XMM6f
  (unsigned char)'\x6',  // XMM6g
  (unsigned char)'\x6',  // XMM6h
  (unsigned char)'\x6',  // XMM6i
  (unsigned char)'\x6',  // XMM6j
  (unsigned char)'\x6',  // XMM6k
  (unsigned char)'\x6',  // XMM6l
  (unsigned char)'\x6',  // XMM6m
  (unsigned char)'\x6',  // XMM6n
  (unsigned char)'\x6',  // XMM6o
  (unsigned char)'\x6',  // XMM6p
  (unsigned char)'\x7',  // XMM7
  (unsigned char)'\x7',  // XMM7b
  (unsigned char)'\x7',  // XMM7c
  (unsigned char)'\x7',  // XMM7d
  (unsigned char)'\x7',  // XMM7e
  (unsigned char)'\x7',  // XMM7f
  (unsigned char)'\x7',  // XMM7g
  (unsigned char)'\x7',  // XMM7h
  (unsigned char)'\x7',  // XMM7i
  (unsigned char)'\x7',  // XMM7j
  (unsigned char)'\x7',  // XMM7k
  (unsigned char)'\x7',  // XMM7l
  (unsigned char)'\x7',  // XMM7m
  (unsigned char)'\x7',  // XMM7n
  (unsigned char)'\x7',  // XMM7o
  (unsigned char)'\x7',  // XMM7p
  (unsigned char)'\x7',  // K7
  (unsigned char)'\x7',  // K7_H
  (unsigned char)'\x6',  // K6
  (unsigned char)'\x6',  // K6_H
  (unsigned char)'\x5',  // K5
  (unsigned char)'\x5',  // K5_H
  (unsigned char)'\x4',  // K4
  (unsigned char)'\x4',  // K4_H
  (unsigned char)'\x3',  // K3
  (unsigned char)'\x3',  // K3_H
  (unsigned char)'\x2',  // K2
  (unsigned char)'\x2',  // K2_H
  (unsigned char)'\x1',  // K1
  (unsigned char)'\x1',  // K1_H
  (unsigned char)'\x8' // no trailing comma  // RFLAGS
};


//------------------Define classes derived from MachOper---------------------
MachOper  *labelOper::clone() const {
  return  new labelOper(_label, _block_num);
}
uint labelOper::opcode() const { return LABEL; }

const RegMask *sRegIOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &(Compile::current()->FIRST_STACK_mask());
}

const RegMask *sRegPOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &(Compile::current()->FIRST_STACK_mask());
}

const RegMask *sRegFOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &(Compile::current()->FIRST_STACK_mask());
}

const RegMask *sRegDOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &(Compile::current()->FIRST_STACK_mask());
}

const RegMask *sRegLOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &(Compile::current()->FIRST_STACK_mask());
}

MachOper  *methodOper::clone() const {
  return  new methodOper(_method);
}
uint methodOper::opcode() const { return METHOD; }

const RegMask *kRegOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &VECTMASK_REG_mask();
}

const RegMask *rRegIOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_REG_mask();
}

const RegMask *xRegIOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_X_REG_mask();
}

const RegMask *eAXRegIOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &EAX_REG_mask();
}

const RegMask *eBXRegIOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &EBX_REG_mask();
}

const RegMask *eCXRegIOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &ECX_REG_mask();
}

const RegMask *eDXRegIOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &EDX_REG_mask();
}

const RegMask *eDIRegIOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &EDI_REG_mask();
}

const RegMask *nadxRegIOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &NADX_REG_mask();
}

const RegMask *ncxRegIOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &NCX_REG_mask();
}

const RegMask *eSIRegIOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &ESI_REG_mask();
}

const RegMask *anyRegPOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &ANY_REG_mask();
}

const RegMask *eRegPOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_REG_mask();
}

const RegMask *rRegPOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_REG_mask();
}

const RegMask *eRegP_no_EBPOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_REG_NO_EBP_mask();
}

const RegMask *pRegPOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &P_REG_mask();
}

const RegMask *eAXRegPOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &EAX_REG_mask();
}

const RegMask *eBXRegPOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &EBX_REG_mask();
}

const RegMask *eCXRegPOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &ECX_REG_mask();
}

const RegMask *eDXRegPOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &EDX_REG_mask();
}

const RegMask *eSIRegPOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &ESI_REG_mask();
}

const RegMask *eDIRegPOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &EDI_REG_mask();
}

const RegMask *eRegLOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &LONG_REG_mask();
}

const RegMask *eADXRegLOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &EADX_REG_mask();
}

const RegMask *eBCXRegLOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &EBCX_REG_mask();
}

const RegMask *eBDPRegLOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &EBPD_REG_mask();
}

const RegMask *eADXRegL_low_onlyOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &EADX_REG_mask();
}

const RegMask *rFlagsRegOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_FLAGS_mask();
}

const RegMask *eFlagsRegOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_FLAGS_mask();
}

const RegMask *eFlagsRegUOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_FLAGS_mask();
}

const RegMask *eFlagsRegUCFOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_FLAGS_mask();
}

const RegMask *flagsReg_long_LTGEOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_FLAGS_mask();
}

const RegMask *flagsReg_long_EQNEOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_FLAGS_mask();
}

const RegMask *flagsReg_long_LEGTOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_FLAGS_mask();
}

const RegMask *flagsReg_ulong_LTGEOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_FLAGS_mask();
}

const RegMask *flagsReg_ulong_EQNEOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_FLAGS_mask();
}

const RegMask *flagsReg_ulong_LEGTOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_FLAGS_mask();
}

const RegMask *regDPROper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &FP_DBL_REG_mask();
}

const RegMask *regDPR1Oper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &FP_DBL_REG0_mask();
}

const RegMask *regDPR2Oper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &FP_DBL_REG1_mask();
}

const RegMask *regnotDPR1Oper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &FP_DBL_NOTREG0_mask();
}

const RegMask *regFPROper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &FP_FLT_REG_mask();
}

const RegMask *regFPR1Oper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &FP_FLT_REG0_mask();
}

const RegMask *regFOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &FLOAT_REG_LEGACY_mask();
}

const RegMask *legRegFOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &FLOAT_REG_LEGACY_mask();
}

const RegMask *vlRegFOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &FLOAT_REG_VL_mask();
}

const RegMask *regDOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &DOUBLE_REG_LEGACY_mask();
}

const RegMask *legRegDOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &DOUBLE_REG_LEGACY_mask();
}

const RegMask *vlRegDOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &DOUBLE_REG_VL_mask();
}

const RegMask *indirectOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_REG_mask();
}

const RegMask *indOffset8Oper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_REG_mask();
}

const RegMask *indOffset32Oper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_REG_mask();
}

const RegMask *indOffset32XOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &INT_REG_mask();
}

const RegMask *indIndexOffsetOper::in_RegMask(int index) const {
  assert(0 <= index && index < 2, "index out of range");
  return &INT_REG_mask();
}

const RegMask *indIndexOper::in_RegMask(int index) const {
  assert(0 <= index && index < 2, "index out of range");
  return &INT_REG_mask();
}

const RegMask *indIndexScaleOper::in_RegMask(int index) const {
  assert(0 <= index && index < 2, "index out of range");
  return &INT_REG_mask();
}

const RegMask *indIndexScaleOffsetOper::in_RegMask(int index) const {
  assert(0 <= index && index < 2, "index out of range");
  return &INT_REG_mask();
}

const RegMask *load_long_RegPOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &ESI_REG_mask();
}

const RegMask *load_long_indirectOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &ESI_REG_mask();
}

const RegMask *load_long_indOffset32Oper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &ESI_REG_mask();
}

const RegMask *stackSlotPOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &(Compile::current()->FIRST_STACK_mask());
}

const RegMask *stackSlotIOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &(Compile::current()->FIRST_STACK_mask());
}

const RegMask *stackSlotFOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &(Compile::current()->FIRST_STACK_mask());
}

const RegMask *stackSlotDOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &(Compile::current()->FIRST_STACK_mask());
}

const RegMask *stackSlotLOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &(Compile::current()->FIRST_STACK_mask());
}

const RegMask *rxmm0Oper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &XMM0_REG_mask();
}

const RegMask *vecOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &RegMask::Empty;
}

const RegMask *legVecOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &RegMask::Empty;
}

const RegMask *vecSOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &VECTORS_REG_VLBWDQ_mask();
}

const RegMask *legVecSOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &VECTORS_REG_LEGACY_mask();
}

const RegMask *vecDOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &VECTORD_REG_VLBWDQ_mask();
}

const RegMask *legVecDOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &VECTORD_REG_LEGACY_mask();
}

const RegMask *vecXOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &VECTORX_REG_VLBWDQ_mask();
}

const RegMask *legVecXOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &VECTORX_REG_LEGACY_mask();
}

const RegMask *vecYOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &VECTORY_REG_VLBWDQ_mask();
}

const RegMask *legVecYOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &VECTORY_REG_LEGACY_mask();
}

const RegMask *vecZOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &VECTORZ_REG_mask();
}

const RegMask *legVecZOper::in_RegMask(int index) const {
  assert(0 <= index && index < 1, "index out of range");
  return &VECTORZ_REG_LEGACY_mask();
}

//------------------Define members for classes derived from MachNode----------

void popCountINode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *popCountINode::cisc_version(int offset) {
  popCountI_memNode *node = new popCountI_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void popCountLNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_LONG_REG_mask();
}

// Build CISC version of this instruction
MachNode *popCountLNode::cisc_version(int offset) {
  popCountL_memNode *node = new popCountL_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmovI_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *cmovI_regNode::cisc_version(int offset) {
  cmovI_memNode *node = new cmovI_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmovI_regUNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *cmovI_regUNode::cisc_version(int offset) {
  cmovI_memUNode *node = new cmovI_memUNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmovI_regUCFNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *cmovI_regUCFNode::cisc_version(int offset) {
  cmovI_memUCFNode *node = new cmovI_memUCFNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void addI_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *addI_eRegNode::cisc_version(int offset) {
  addI_eReg_memNode *node = new addI_eReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void subI_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *subI_eRegNode::cisc_version(int offset) {
  subI_eReg_memNode *node = new subI_eReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void mulI_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *mulI_eRegNode::cisc_version(int offset) {
  mulINode *node = new mulINode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void mulI_eReg_immNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *mulI_eReg_immNode::cisc_version(int offset) {
  mulI_mem_immNode *node = new mulI_mem_immNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void i2bNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_X_REG_mask();
}

// Build CISC version of this instruction
MachNode *i2bNode::cisc_version(int offset) {
  loadI2BNode *node = new loadI2BNode();
  node->_num_opnds = 3;

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void i2sNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_X_REG_mask();
}

// Build CISC version of this instruction
MachNode *i2sNode::cisc_version(int offset) {
  loadI2SNode *node = new loadI2SNode();
  node->_num_opnds = 3;

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void andI_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *andI_eRegNode::cisc_version(int offset) {
  andI_eReg_memNode *node = new andI_eReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void andnI_rReg_rReg_rRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *andnI_rReg_rReg_rRegNode::cisc_version(int offset) {
  andnI_rReg_rReg_memNode *node = new andnI_rReg_rReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void andnI_rReg_rReg_rReg_0Node::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *andnI_rReg_rReg_rReg_0Node::cisc_version(int offset) {
  andnI_rReg_rReg_mem_0Node *node = new andnI_rReg_rReg_mem_0Node();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void orI_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *orI_eRegNode::cisc_version(int offset) {
  orI_eReg_memNode *node = new orI_eReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void xorI_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *xorI_eRegNode::cisc_version(int offset) {
  xorI_eReg_memNode *node = new xorI_eReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void addL_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_LONG_REG_mask();
}

// Build CISC version of this instruction
MachNode *addL_eRegNode::cisc_version(int offset) {
  addL_eReg_memNode *node = new addL_eReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void subL_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_LONG_REG_mask();
}

// Build CISC version of this instruction
MachNode *subL_eRegNode::cisc_version(int offset) {
  subL_eReg_memNode *node = new subL_eReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void andL_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_LONG_REG_mask();
}

// Build CISC version of this instruction
MachNode *andL_eRegNode::cisc_version(int offset) {
  andL_eReg_memNode *node = new andL_eReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void andnL_eReg_eReg_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_LONG_REG_mask();
}

// Build CISC version of this instruction
MachNode *andnL_eReg_eReg_eRegNode::cisc_version(int offset) {
  andnL_eReg_eReg_memNode *node = new andnL_eReg_eReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void andnL_eReg_eReg_eReg_0Node::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_LONG_REG_mask();
}

// Build CISC version of this instruction
MachNode *andnL_eReg_eReg_eReg_0Node::cisc_version(int offset) {
  andnL_eReg_eReg_mem_0Node *node = new andnL_eReg_eReg_mem_0Node();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void orl_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_LONG_REG_mask();
}

// Build CISC version of this instruction
MachNode *orl_eRegNode::cisc_version(int offset) {
  orl_eReg_memNode *node = new orl_eReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void xorl_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_LONG_REG_mask();
}

// Build CISC version of this instruction
MachNode *xorl_eRegNode::cisc_version(int offset) {
  xorl_eReg_memNode *node = new xorl_eReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmpD_ccNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_DOUBLE_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *cmpD_ccNode::cisc_version(int offset) {
  cmpD_ccmemNode *node = new cmpD_ccmemNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmpD_ccCFNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_DOUBLE_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *cmpD_ccCFNode::cisc_version(int offset) {
  cmpD_ccmemCFNode *node = new cmpD_ccmemCFNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmpD_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_DOUBLE_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *cmpD_regNode::cisc_version(int offset) {
  cmpD_regmemNode *node = new cmpD_regmemNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void subDPR_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FP_DBL_REG_mask();
}

// Build CISC version of this instruction
MachNode *subDPR_regNode::cisc_version(int offset) {
  subDPR_reg_memNode *node = new subDPR_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void addDPR_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FP_DBL_REG_mask();
}

// Build CISC version of this instruction
MachNode *addDPR_regNode::cisc_version(int offset) {
  addDPR_reg_memNode *node = new addDPR_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void mulDPR_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FP_DBL_REG_mask();
}

// Build CISC version of this instruction
MachNode *mulDPR_regNode::cisc_version(int offset) {
  mulDPR_reg_memNode *node = new mulDPR_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmpF_ccNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FLOAT_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *cmpF_ccNode::cisc_version(int offset) {
  cmpF_ccmemNode *node = new cmpF_ccmemNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmpF_ccCFNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FLOAT_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *cmpF_ccCFNode::cisc_version(int offset) {
  cmpF_ccmemCFNode *node = new cmpF_ccmemCFNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmpF_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FLOAT_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *cmpF_regNode::cisc_version(int offset) {
  cmpF_regmemNode *node = new cmpF_regmemNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void addFPR24_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FP_FLT_REG_mask();
}

// Build CISC version of this instruction
MachNode *addFPR24_regNode::cisc_version(int offset) {
  addFPR24_reg_memNode *node = new addFPR24_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void addFPR_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FP_FLT_REG_mask();
}

// Build CISC version of this instruction
MachNode *addFPR_regNode::cisc_version(int offset) {
  addFPR_reg_memNode *node = new addFPR_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void addFPR24_reg_memNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FP_FLT_REG_mask();
}

// Build CISC version of this instruction
MachNode *addFPR24_reg_memNode::cisc_version(int offset) {
  addFPR24_mem_ciscNode *node = new addFPR24_mem_ciscNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void addFPR24_reg_mem_0Node::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FP_FLT_REG_mask();
}

// Build CISC version of this instruction
MachNode *addFPR24_reg_mem_0Node::cisc_version(int offset) {
  addFPR24_mem_cisc_0Node *node = new addFPR24_mem_cisc_0Node();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void addFPR24_mem_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FP_FLT_REG_mask();
}

// Build CISC version of this instruction
MachNode *addFPR24_mem_regNode::cisc_version(int offset) {
  addFPR24_mem_ciscNode *node = new addFPR24_mem_ciscNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void mulFPR24_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FP_FLT_REG_mask();
}

// Build CISC version of this instruction
MachNode *mulFPR24_regNode::cisc_version(int offset) {
  mulFPR24_reg_memNode *node = new mulFPR24_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void mulFPR_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FP_FLT_REG_mask();
}

// Build CISC version of this instruction
MachNode *mulFPR_regNode::cisc_version(int offset) {
  mulFPR_reg_memNode *node = new mulFPR_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void addFPR_mulFPR_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FP_FLT_REG_mask();
}

// Build CISC version of this instruction
MachNode *addFPR_mulFPR_regNode::cisc_version(int offset) {
  addFPR_mulFPR_reg_load1Node *node = new addFPR_mulFPR_reg_load1Node();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void addFPR_mulFPR_reg_0Node::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FP_FLT_REG_mask();
}

// Build CISC version of this instruction
MachNode *addFPR_mulFPR_reg_0Node::cisc_version(int offset) {
  addFPR_mulFPR_reg_load1_1Node *node = new addFPR_mulFPR_reg_load1_1Node();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void convI2L_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *convI2L_regNode::cisc_version(int offset) {
  loadI2LNode *node = new loadI2LNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void convI2L_reg_zexNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *convI2L_reg_zexNode::cisc_version(int offset) {
  loadUI2LNode *node = new loadUI2LNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void compI_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *compI_eRegNode::cisc_version(int offset) {
  compI_eReg_memNode *node = new compI_eReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void compU_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *compU_eRegNode::cisc_version(int offset) {
  compU_eReg_memNode *node = new compU_eReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void compP_eRegNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *compP_eRegNode::cisc_version(int offset) {
  compP_eReg_memNode *node = new compP_eReg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}

// Build short branch version of this instruction
MachNode *jmpDirNode::short_branch_version() {
  jmpDir_shortNode *node = new jmpDir_shortNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  return node;
}

// Build short branch version of this instruction
MachNode *jmpConNode::short_branch_version() {
  jmpCon_shortNode *node = new jmpCon_shortNode();
  node->_prob = _prob;
  node->_fcnt = _fcnt;

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  return node;
}

// Build short branch version of this instruction
MachNode *jmpLoopEndNode::short_branch_version() {
  jmpLoopEnd_shortNode *node = new jmpLoopEnd_shortNode();
  node->_prob = _prob;
  node->_fcnt = _fcnt;

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  return node;
}

// Build short branch version of this instruction
MachNode *jmpConUNode::short_branch_version() {
  jmpConU_shortNode *node = new jmpConU_shortNode();
  node->_prob = _prob;
  node->_fcnt = _fcnt;

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  return node;
}

// Build short branch version of this instruction
MachNode *jmpConUCFNode::short_branch_version() {
  jmpConUCF_shortNode *node = new jmpConUCF_shortNode();
  node->_prob = _prob;
  node->_fcnt = _fcnt;

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  return node;
}

// Build short branch version of this instruction
MachNode *jmpConUCF2Node::short_branch_version() {
  jmpConUCF2_shortNode *node = new jmpConUCF2_shortNode();
  node->_prob = _prob;
  node->_fcnt = _fcnt;

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  return node;
}


void cmovLL_reg_LTGENode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_LONG_REG_mask();
}

// Build CISC version of this instruction
MachNode *cmovLL_reg_LTGENode::cisc_version(int offset) {
  cmovLL_mem_LTGENode *node = new cmovLL_mem_LTGENode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmovLL_reg_LTGE_UNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_LONG_REG_mask();
}

// Build CISC version of this instruction
MachNode *cmovLL_reg_LTGE_UNode::cisc_version(int offset) {
  cmovLL_mem_LTGE_UNode *node = new cmovLL_mem_LTGE_UNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmovII_reg_LTGENode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *cmovII_reg_LTGENode::cisc_version(int offset) {
  cmovII_mem_LTGENode *node = new cmovII_mem_LTGENode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmovII_reg_LTGE_UNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *cmovII_reg_LTGE_UNode::cisc_version(int offset) {
  cmovII_mem_LTGE_UNode *node = new cmovII_mem_LTGE_UNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmovLL_reg_EQNENode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_LONG_REG_mask();
}

// Build CISC version of this instruction
MachNode *cmovLL_reg_EQNENode::cisc_version(int offset) {
  cmovLL_mem_EQNENode *node = new cmovLL_mem_EQNENode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmovII_reg_EQNENode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *cmovII_reg_EQNENode::cisc_version(int offset) {
  cmovII_mem_EQNENode *node = new cmovII_mem_EQNENode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmovII_reg_EQNE_UNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *cmovII_reg_EQNE_UNode::cisc_version(int offset) {
  cmovII_mem_EQNE_UNode *node = new cmovII_mem_EQNE_UNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmovLL_reg_LEGTNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_LONG_REG_mask();
}

// Build CISC version of this instruction
MachNode *cmovLL_reg_LEGTNode::cisc_version(int offset) {
  cmovLL_mem_LEGTNode *node = new cmovLL_mem_LEGTNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmovLL_reg_LEGT_UNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_LONG_REG_mask();
}

// Build CISC version of this instruction
MachNode *cmovLL_reg_LEGT_UNode::cisc_version(int offset) {
  cmovLL_mem_LEGT_UNode *node = new cmovLL_mem_LEGT_UNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmovII_reg_LEGTNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *cmovII_reg_LEGTNode::cisc_version(int offset) {
  cmovII_mem_LEGTNode *node = new cmovII_mem_LEGTNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void cmovII_reg_LEGT_UNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *cmovII_reg_LEGT_UNode::cisc_version(int offset) {
  cmovII_mem_LEGT_UNode *node = new cmovII_mem_LEGT_UNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void addF_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FLOAT_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *addF_regNode::cisc_version(int offset) {
  addF_memNode *node = new addF_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void addF_reg_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FLOAT_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *addF_reg_regNode::cisc_version(int offset) {
  addF_reg_memNode *node = new addF_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void addD_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_DOUBLE_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *addD_regNode::cisc_version(int offset) {
  addD_memNode *node = new addD_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void addD_reg_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_DOUBLE_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *addD_reg_regNode::cisc_version(int offset) {
  addD_reg_memNode *node = new addD_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void subF_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FLOAT_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *subF_regNode::cisc_version(int offset) {
  subF_memNode *node = new subF_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void subF_reg_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FLOAT_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *subF_reg_regNode::cisc_version(int offset) {
  subF_reg_memNode *node = new subF_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void subD_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_DOUBLE_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *subD_regNode::cisc_version(int offset) {
  subD_memNode *node = new subD_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void subD_reg_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_DOUBLE_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *subD_reg_regNode::cisc_version(int offset) {
  subD_reg_memNode *node = new subD_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void mulF_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FLOAT_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *mulF_regNode::cisc_version(int offset) {
  mulF_memNode *node = new mulF_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void mulF_reg_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FLOAT_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *mulF_reg_regNode::cisc_version(int offset) {
  mulF_reg_memNode *node = new mulF_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void mulD_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_DOUBLE_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *mulD_regNode::cisc_version(int offset) {
  mulD_memNode *node = new mulD_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void mulD_reg_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_DOUBLE_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *mulD_reg_regNode::cisc_version(int offset) {
  mulD_reg_memNode *node = new mulD_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void divF_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FLOAT_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *divF_regNode::cisc_version(int offset) {
  divF_memNode *node = new divF_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void divF_reg_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FLOAT_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *divF_reg_regNode::cisc_version(int offset) {
  divF_reg_memNode *node = new divF_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void divD_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_DOUBLE_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *divD_regNode::cisc_version(int offset) {
  divD_memNode *node = new divD_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void divD_reg_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_DOUBLE_REG_LEGACY_mask();
}

// Build CISC version of this instruction
MachNode *divD_reg_regNode::cisc_version(int offset) {
  divD_reg_memNode *node = new divD_reg_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void ReplI_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *ReplI_regNode::cisc_version(int offset) {
  ReplI_memNode *node = new ReplI_memNode();
  node->_bottom_type = bottom_type();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void vReplF_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_FLOAT_REG_VL_mask();
}

// Build CISC version of this instruction
MachNode *vReplF_regNode::cisc_version(int offset) {
  ReplF_memNode *node = new ReplF_memNode();
  node->_bottom_type = bottom_type();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void vReplD_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_DOUBLE_REG_VL_mask();
}

// Build CISC version of this instruction
MachNode *vReplD_regNode::cisc_version(int offset) {
  ReplD_memNode *node = new ReplD_memNode();
  node->_bottom_type = bottom_type();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void compressBitsI_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *compressBitsI_regNode::cisc_version(int offset) {
  compressBitsI_memNode *node = new compressBitsI_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}


void expandBitsI_regNode::use_cisc_RegMask() {
  _cisc_RegMask = &STACK_OR_INT_REG_mask();
}

// Build CISC version of this instruction
MachNode *expandBitsI_regNode::cisc_version(int offset) {
  expandBitsI_memNode *node = new expandBitsI_memNode();

  // Copy _idx, inputs and operands to new node
  fill_new_machnode(node);
  // Construct operand to access [stack_pointer + offset]
  node->set_opnd_array(cisc_operand(), new indOffset32Oper(offset));

  return node;
}

void jmpDirNode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(1));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void jmpDirNode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(1));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void jmpConNode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void jmpConNode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void jmpLoopEndNode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void jmpLoopEndNode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void jmpConUNode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void jmpConUNode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void jmpConUCFNode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void jmpConUCFNode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void jmpConUCF2Node::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void jmpConUCF2Node::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void jmpDir_shortNode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(1));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void jmpDir_shortNode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(1));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void jmpCon_shortNode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void jmpCon_shortNode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void jmpLoopEnd_shortNode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void jmpLoopEnd_shortNode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void jmpConU_shortNode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void jmpConU_shortNode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void jmpConUCF_shortNode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void jmpConUCF_shortNode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void jmpConUCF2_shortNode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void jmpConUCF2_shortNode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void cmpL_LTGENode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void cmpL_LTGENode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void cmpUL_LTGENode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void cmpUL_LTGENode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void cmpL_EQNENode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void cmpL_EQNENode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void cmpUL_EQNENode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void cmpUL_EQNENode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void cmpL_LEGTNode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void cmpL_LEGTNode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void cmpUL_LEGTNode::label_set( Label* label, uint block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  oper->_label     = label;
  oper->_block_num = block_num;
}
void cmpUL_LEGTNode::save_label( Label** label, uint* block_num ) {
  labelOper* oper  = (labelOper*)(opnd_array(3));
  *label = oper->_label;
  *block_num = oper->_block_num;
}
void CallStaticJavaDirectNode::method_set( intptr_t method ) {
  ((methodOper*)opnd_array(1))->_method = method;
}

void CallDynamicJavaDirectNode::method_set( intptr_t method ) {
  ((methodOper*)opnd_array(1))->_method = method;
}

void CallRuntimeDirectNode::method_set( intptr_t method ) {
  ((methodOper*)opnd_array(1))->_method = method;
}

void CallLeafDirectNode::method_set( intptr_t method ) {
  ((methodOper*)opnd_array(1))->_method = method;
}

void CallLeafNoFPDirectNode::method_set( intptr_t method ) {
  ((methodOper*)opnd_array(1))->_method = method;
}

int popCountI_memNode::reloc() const {
  return 1;
}

int popCountL_memNode::reloc() const {
  return 1;
}

int loadBNode::reloc() const {
  return 1;
}

int loadB2LNode::reloc() const {
  return 1;
}

int loadUBNode::reloc() const {
  return 1;
}

int loadUB2LNode::reloc() const {
  return 1;
}

int loadUB2L_immINode::reloc() const {
  return 1;
}

int loadSNode::reloc() const {
  return 1;
}

int loadS2BNode::reloc() const {
  return 1;
}

int loadS2LNode::reloc() const {
  return 1;
}

int loadUSNode::reloc() const {
  return 1;
}

int loadUS2BNode::reloc() const {
  return 1;
}

int loadUS2LNode::reloc() const {
  return 1;
}

int loadUS2L_immI_255Node::reloc() const {
  return 1;
}

int loadUS2L_immINode::reloc() const {
  return 1;
}

int loadINode::reloc() const {
  return 1;
}

int loadI2BNode::reloc() const {
  return 1;
}

int loadI2UBNode::reloc() const {
  return 1;
}

int loadI2SNode::reloc() const {
  return 1;
}

int loadI2USNode::reloc() const {
  return 1;
}

int loadI2LNode::reloc() const {
  return 1;
}

int loadI2L_immI_255Node::reloc() const {
  return 1;
}

int loadI2L_immI_65535Node::reloc() const {
  return 1;
}

int loadI2L_immU31Node::reloc() const {
  return 1;
}

int loadUI2LNode::reloc() const {
  return 1;
}

int loadLNode::reloc() const {
  return 1;
}

int loadL_volatileNode::reloc() const {
  return 1;
}

int loadLX_volatileNode::reloc() const {
  return 1;
}

int loadLX_reg_volatileNode::reloc() const {
  return 1;
}

int loadRangeNode::reloc() const {
  return 1;
}

int loadPNode::reloc() const {
  return 1;
}

int loadKlassNode::reloc() const {
  return 1;
}

int loadDPRNode::reloc() const {
  return 1;
}

int loadDNode::reloc() const {
  return 1;
}

int loadD_partialNode::reloc() const {
  return 1;
}

int loadFNode::reloc() const {
  return 1;
}

int loadFPRNode::reloc() const {
  return 1;
}

int loadConPNode::reloc() const {
  return 1;
}

int loadConFPRNode::reloc() const {
  return 2;
}

int loadConFPR0Node::reloc() const {
  return 2;
}

int loadConFPR1Node::reloc() const {
  return 2;
}

int loadConFNode::reloc() const {
  return 2;
}

int loadConF0Node::reloc() const {
  return 2;
}

int loadConDPRNode::reloc() const {
  return 2;
}

int loadConDPR0Node::reloc() const {
  return 2;
}

int loadConDPR1Node::reloc() const {
  return 2;
}

int loadConDNode::reloc() const {
  return 2;
}

int loadConD0Node::reloc() const {
  return 2;
}

int prefetchAlloc0Node::reloc() const {
  return 1;
}

int prefetchAllocNode::reloc() const {
  return 1;
}

int prefetchAllocNTANode::reloc() const {
  return 1;
}

int prefetchAllocT0Node::reloc() const {
  return 1;
}

int prefetchAllocT2Node::reloc() const {
  return 1;
}

int storeBNode::reloc() const {
  return 2;
}

int storeCNode::reloc() const {
  return 2;
}

int storeINode::reloc() const {
  return 2;
}

int storeLNode::reloc() const {
  return 2;
}

int storeL2INode::reloc() const {
  return 2;
}

int storeL_volatileNode::reloc() const {
  return 2;
}

int storeLX_volatileNode::reloc() const {
  return 2;
}

int storeLX_reg_volatileNode::reloc() const {
  return 2;
}

int storePNode::reloc() const {
  return 2;
}

int storeImmINode::reloc() const {
  return 2;
}

int storeImmI16Node::reloc() const {
  return 2;
}

int storeImmPNode::reloc() const {
  return 3;
}

int storeImmBNode::reloc() const {
  return 2;
}

int storeDPRNode::reloc() const {
  return 2;
}

int storeDPR_roundedNode::reloc() const {
  return 2;
}

int storeDNode::reloc() const {
  return 2;
}

int storeFNode::reloc() const {
  return 2;
}

int storeFPRNode::reloc() const {
  return 2;
}

int storeFPR_roundedNode::reloc() const {
  return 2;
}

int storeFPR_DroundedNode::reloc() const {
  return 2;
}

int storeFPR_immNode::reloc() const {
  return 3;
}

int storeF_immNode::reloc() const {
  return 3;
}

int cmovI_memNode::reloc() const {
  return 1;
}

int cmovI_memUNode::reloc() const {
  return 1;
}

int cmovI_memUCFNode::reloc() const {
  return 1;
}

int addI_eReg_memNode::reloc() const {
  return 1;
}

int addI_eReg_mem_0Node::reloc() const {
  return 1;
}

int addI_mem_eRegNode::reloc() const {
  return 3;
}

int addI_mem_eReg_0Node::reloc() const {
  return 3;
}

int addI_mem_immNode::reloc() const {
  return 3;
}

int incI_memNode::reloc() const {
  return 3;
}

int decI_memNode::reloc() const {
  return 3;
}

int xaddB_no_resNode::reloc() const {
  return 1;
}

int xaddBNode::reloc() const {
  return 1;
}

int xaddS_no_resNode::reloc() const {
  return 1;
}

int xaddSNode::reloc() const {
  return 1;
}

int xaddI_no_resNode::reloc() const {
  return 1;
}

int xaddINode::reloc() const {
  return 1;
}

int xchgBNode::reloc() const {
  return 1;
}

int xchgSNode::reloc() const {
  return 1;
}

int xchgINode::reloc() const {
  return 1;
}

int xchgPNode::reloc() const {
  return 1;
}

int subI_eReg_memNode::reloc() const {
  return 1;
}

int subI_mem_eRegNode::reloc() const {
  return 3;
}

int mulI_mem_immNode::reloc() const {
  return 1;
}

int mulINode::reloc() const {
  return 1;
}

int mulI_0Node::reloc() const {
  return 1;
}

int sarI_mem_1Node::reloc() const {
  return 3;
}

int sarI_mem_immNode::reloc() const {
  return 3;
}

int andI_eReg_memNode::reloc() const {
  return 1;
}

int andI_eReg_mem_0Node::reloc() const {
  return 1;
}

int andI_mem_eRegNode::reloc() const {
  return 3;
}

int andI_mem_eReg_0Node::reloc() const {
  return 3;
}

int andI_mem_immNode::reloc() const {
  return 3;
}

int andnI_rReg_rReg_memNode::reloc() const {
  return 1;
}

int andnI_rReg_rReg_mem_0Node::reloc() const {
  return 1;
}

int blsiI_rReg_memNode::reloc() const {
  return 2;
}

int blsiI_rReg_mem_0Node::reloc() const {
  return 2;
}

int blsmskI_rReg_memNode::reloc() const {
  return 2;
}

int blsmskI_rReg_mem_0Node::reloc() const {
  return 2;
}

int blsrI_rReg_memNode::reloc() const {
  return 2;
}

int blsrI_rReg_mem_0Node::reloc() const {
  return 2;
}

int orI_eReg_memNode::reloc() const {
  return 1;
}

int orI_eReg_mem_0Node::reloc() const {
  return 1;
}

int orI_mem_eRegNode::reloc() const {
  return 3;
}

int orI_mem_eReg_0Node::reloc() const {
  return 3;
}

int orI_mem_immNode::reloc() const {
  return 3;
}

int xorI_eReg_memNode::reloc() const {
  return 1;
}

int xorI_eReg_mem_0Node::reloc() const {
  return 1;
}

int xorI_mem_eRegNode::reloc() const {
  return 3;
}

int xorI_mem_eReg_0Node::reloc() const {
  return 3;
}

int xorI_mem_immNode::reloc() const {
  return 3;
}

int addL_eReg_memNode::reloc() const {
  return 1;
}

int addL_eReg_mem_0Node::reloc() const {
  return 1;
}

int subL_eReg_memNode::reloc() const {
  return 1;
}

int andL_eReg_memNode::reloc() const {
  return 1;
}

int andL_eReg_mem_0Node::reloc() const {
  return 1;
}

int andnL_eReg_eReg_memNode::reloc() const {
  return 1;
}

int andnL_eReg_eReg_mem_0Node::reloc() const {
  return 1;
}

int blsiL_eReg_memNode::reloc() const {
  return 2;
}

int blsiL_eReg_mem_0Node::reloc() const {
  return 2;
}

int blsmskL_eReg_memNode::reloc() const {
  return 2;
}

int blsmskL_eReg_mem_0Node::reloc() const {
  return 2;
}

int blsrL_eReg_memNode::reloc() const {
  return 2;
}

int blsrL_eReg_mem_0Node::reloc() const {
  return 2;
}

int orl_eReg_memNode::reloc() const {
  return 1;
}

int orl_eReg_mem_0Node::reloc() const {
  return 1;
}

int xorl_eReg_memNode::reloc() const {
  return 1;
}

int xorl_eReg_mem_0Node::reloc() const {
  return 1;
}

int cmpDPR_0Node::reloc() const {
  return 1;
}

int cmpD_ccmemNode::reloc() const {
  return 1;
}

int cmpD_ccmemCFNode::reloc() const {
  return 1;
}

int cmpD_regmemNode::reloc() const {
  return 1;
}

int subDPR_reg_memNode::reloc() const {
  return 1;
}

int addDPR_reg_memNode::reloc() const {
  return 1;
}

int addDPR_reg_mem_0Node::reloc() const {
  return 1;
}

int addDPR_mem_regNode::reloc() const {
  return 3;
}

int addDPR_mem_reg_0Node::reloc() const {
  return 3;
}

int addDPR_reg_imm1Node::reloc() const {
  return 1;
}

int addDPR_reg_immNode::reloc() const {
  return 1;
}

int addDPR_reg_imm_roundNode::reloc() const {
  return 1;
}

int mulDPR_reg_immNode::reloc() const {
  return 1;
}

int mulDPR_reg_memNode::reloc() const {
  return 1;
}

int mulDPR_reg_mem_0Node::reloc() const {
  return 1;
}

int mulDPR_reg_mem_ciscNode::reloc() const {
  return 1;
}

int mulDPR_reg_mem_cisc_0Node::reloc() const {
  return 1;
}

int cmpFPR_0Node::reloc() const {
  return 1;
}

int cmpF_ccmemNode::reloc() const {
  return 1;
}

int cmpF_ccmemCFNode::reloc() const {
  return 1;
}

int cmpF_regmemNode::reloc() const {
  return 1;
}

int addFPR24_reg_memNode::reloc() const {
  return 1;
}

int addFPR24_reg_mem_0Node::reloc() const {
  return 1;
}

int addFPR_reg_memNode::reloc() const {
  return 1;
}

int addFPR_reg_mem_0Node::reloc() const {
  return 1;
}

int addFPR24_mem_regNode::reloc() const {
  return 1;
}

int addFPR24_mem_ciscNode::reloc() const {
  return 2;
}

int addFPR24_mem_cisc_0Node::reloc() const {
  return 2;
}

int addFPR24_mem_memNode::reloc() const {
  return 2;
}

int addFPR24_reg_immNode::reloc() const {
  return 1;
}

int addFPR_reg_immNode::reloc() const {
  return 1;
}

int mulFPR24_reg_memNode::reloc() const {
  return 1;
}

int mulFPR24_reg_mem_0Node::reloc() const {
  return 1;
}

int mulFPR_reg_memNode::reloc() const {
  return 1;
}

int mulFPR_reg_mem_0Node::reloc() const {
  return 1;
}

int mulFPR24_mem_memNode::reloc() const {
  return 2;
}

int mulFPR24_reg_immNode::reloc() const {
  return 1;
}

int mulFPR_reg_immNode::reloc() const {
  return 1;
}

int mulFPR_reg_load1Node::reloc() const {
  return 1;
}

int mulFPR_reg_load1_0Node::reloc() const {
  return 1;
}

int addFPR_mulFPR_reg_load1Node::reloc() const {
  return 1;
}

int addFPR_mulFPR_reg_load1_1Node::reloc() const {
  return 1;
}

int addFPR_mulFPR_reg_load1_0Node::reloc() const {
  return 1;
}

int addFPR_mulFPR_reg_load1_2Node::reloc() const {
  return 1;
}

int convI2D_memNode::reloc() const {
  return 1;
}

int convI2DPR_memNode::reloc() const {
  return 1;
}

int convI2FPR_SSF_memNode::reloc() const {
  return 1;
}

int convI2FPR_memNode::reloc() const {
  return 1;
}

int compI_eReg_memNode::reloc() const {
  return 1;
}

int testI_reg_memNode::reloc() const {
  return 1;
}

int compU_eReg_memNode::reloc() const {
  return 1;
}

int compP_eReg_immNode::reloc() const {
  return 1;
}

int compP_eReg_memNode::reloc() const {
  return 1;
}

int compP_mem_eRegNode::reloc() const {
  return 1;
}

int testP_regNode::reloc() const {
  return 1;
}

int testP_Reg_memNode::reloc() const {
  return 1;
}

int partialSubtypeCheck_vs_ZeroNode::reloc() const {
  return 1;
}

int cmovLL_mem_LTGENode::reloc() const {
  return 1;
}

int cmovLL_mem_LTGE_UNode::reloc() const {
  return 1;
}

int cmovII_mem_LTGENode::reloc() const {
  return 1;
}

int cmovII_mem_LTGE_UNode::reloc() const {
  return 1;
}

int cmovLL_mem_EQNENode::reloc() const {
  return 1;
}

int cmovII_mem_EQNENode::reloc() const {
  return 1;
}

int cmovII_mem_EQNE_UNode::reloc() const {
  return 1;
}

int cmovLL_mem_LEGTNode::reloc() const {
  return 1;
}

int cmovLL_mem_LEGT_UNode::reloc() const {
  return 1;
}

int cmovII_mem_LEGTNode::reloc() const {
  return 1;
}

int cmovII_mem_LEGT_UNode::reloc() const {
  return 1;
}

int CallStaticJavaDirectNode::reloc() const {
  return 1;
}

int CallDynamicJavaDirectNode::reloc() const {
  return 1;
}

int CallRuntimeDirectNode::reloc() const {
  return 1;
}

int CallLeafDirectNode::reloc() const {
  return 1;
}

int CallLeafNoFPDirectNode::reloc() const {
  return 1;
}

int RetNode::reloc() const {
  return 1;
}

int TailCalljmpIndNode::reloc() const {
  return 1;
}

int tailjmpIndNode::reloc() const {
  return 1;
}

int ForwardExceptionjmpNode::reloc() const {
  return 1;
}

int RethrowExceptionNode::reloc() const {
  return 1;
}

int safePoint_poll_tlsNode::reloc() const {
  return 1;
}

int addF_memNode::reloc() const {
  return 1;
}

int addF_mem_0Node::reloc() const {
  return 1;
}

int addF_immNode::reloc() const {
  return 1;
}

int addF_reg_memNode::reloc() const {
  return 1;
}

int addF_reg_mem_0Node::reloc() const {
  return 1;
}

int addF_reg_immNode::reloc() const {
  return 1;
}

int addD_memNode::reloc() const {
  return 1;
}

int addD_mem_0Node::reloc() const {
  return 1;
}

int addD_immNode::reloc() const {
  return 1;
}

int addD_reg_memNode::reloc() const {
  return 1;
}

int addD_reg_mem_0Node::reloc() const {
  return 1;
}

int addD_reg_immNode::reloc() const {
  return 1;
}

int subF_memNode::reloc() const {
  return 1;
}

int subF_immNode::reloc() const {
  return 1;
}

int subF_reg_memNode::reloc() const {
  return 1;
}

int subF_reg_immNode::reloc() const {
  return 1;
}

int subD_memNode::reloc() const {
  return 1;
}

int subD_immNode::reloc() const {
  return 1;
}

int subD_reg_memNode::reloc() const {
  return 1;
}

int subD_reg_immNode::reloc() const {
  return 1;
}

int mulF_memNode::reloc() const {
  return 1;
}

int mulF_mem_0Node::reloc() const {
  return 1;
}

int mulF_immNode::reloc() const {
  return 1;
}

int mulF_reg_memNode::reloc() const {
  return 1;
}

int mulF_reg_mem_0Node::reloc() const {
  return 1;
}

int mulF_reg_immNode::reloc() const {
  return 1;
}

int mulD_memNode::reloc() const {
  return 1;
}

int mulD_mem_0Node::reloc() const {
  return 1;
}

int mulD_immNode::reloc() const {
  return 1;
}

int mulD_reg_memNode::reloc() const {
  return 1;
}

int mulD_reg_mem_0Node::reloc() const {
  return 1;
}

int mulD_reg_immNode::reloc() const {
  return 1;
}

int divF_memNode::reloc() const {
  return 1;
}

int divF_immNode::reloc() const {
  return 1;
}

int divF_reg_memNode::reloc() const {
  return 1;
}

int divF_reg_immNode::reloc() const {
  return 1;
}

int divD_memNode::reloc() const {
  return 1;
}

int divD_immNode::reloc() const {
  return 1;
}

int divD_reg_memNode::reloc() const {
  return 1;
}

int divD_reg_immNode::reloc() const {
  return 1;
}

int convF2HF_mem_regNode::reloc() const {
  return 2;
}

int vconvF2HF_mem_regNode::reloc() const {
  return 2;
}

int vconvHF2F_reg_memNode::reloc() const {
  return 1;
}

int loadVNode::reloc() const {
  return 1;
}

int storeVNode::reloc() const {
  return 2;
}

int gatherNode::reloc() const {
  return 1;
}

int evgatherNode::reloc() const {
  return 1;
}

int evgather_maskedNode::reloc() const {
  return 1;
}

int vgather_subwordLE8BNode::reloc() const {
  return 1;
}

int vgather_subwordGT8BNode::reloc() const {
  return 1;
}

int vgather_subwordLE8B_offNode::reloc() const {
  return 1;
}

int vgather_subwordGT8B_offNode::reloc() const {
  return 1;
}

int scatterNode::reloc() const {
  return 2;
}

int scatter_maskedNode::reloc() const {
  return 2;
}

int ReplB_memNode::reloc() const {
  return 1;
}

int ReplS_memNode::reloc() const {
  return 1;
}

int ReplI_memNode::reloc() const {
  return 1;
}

int ReplL_memNode::reloc() const {
  return 1;
}

int ReplF_memNode::reloc() const {
  return 1;
}

int ReplF_immNode::reloc() const {
  return 1;
}

int ReplF_zeroNode::reloc() const {
  return 1;
}

int ReplD_memNode::reloc() const {
  return 1;
}

int ReplD_immNode::reloc() const {
  return 1;
}

int ReplD_zeroNode::reloc() const {
  return 1;
}

int minmax_reduction2FNode::reloc() const {
  return 1;
}

int minmax_reduction2F_0Node::reloc() const {
  return 1;
}

int minmax_reductionFNode::reloc() const {
  return 1;
}

int minmax_reductionF_0Node::reloc() const {
  return 1;
}

int minmax_reduction2DNode::reloc() const {
  return 1;
}

int minmax_reduction2D_0Node::reloc() const {
  return 1;
}

int minmax_reductionDNode::reloc() const {
  return 1;
}

int minmax_reductionD_0Node::reloc() const {
  return 1;
}

int vaddB_memNode::reloc() const {
  return 1;
}

int vaddB_mem_0Node::reloc() const {
  return 1;
}

int vaddS_memNode::reloc() const {
  return 1;
}

int vaddS_mem_0Node::reloc() const {
  return 1;
}

int vaddI_memNode::reloc() const {
  return 1;
}

int vaddI_mem_0Node::reloc() const {
  return 1;
}

int vaddL_memNode::reloc() const {
  return 1;
}

int vaddL_mem_0Node::reloc() const {
  return 1;
}

int vaddF_memNode::reloc() const {
  return 1;
}

int vaddF_mem_0Node::reloc() const {
  return 1;
}

int vaddD_memNode::reloc() const {
  return 1;
}

int vaddD_mem_0Node::reloc() const {
  return 1;
}

int vsubB_memNode::reloc() const {
  return 1;
}

int vsubS_memNode::reloc() const {
  return 1;
}

int vsubI_memNode::reloc() const {
  return 1;
}

int vsubL_memNode::reloc() const {
  return 1;
}

int vsubF_memNode::reloc() const {
  return 1;
}

int vsubD_memNode::reloc() const {
  return 1;
}

int vmulS_memNode::reloc() const {
  return 1;
}

int vmulS_mem_0Node::reloc() const {
  return 1;
}

int vmulI_memNode::reloc() const {
  return 1;
}

int vmulI_mem_0Node::reloc() const {
  return 1;
}

int evmulL_memNode::reloc() const {
  return 1;
}

int evmulL_mem_0Node::reloc() const {
  return 1;
}

int vmulF_memNode::reloc() const {
  return 1;
}

int vmulF_mem_0Node::reloc() const {
  return 1;
}

int vmulD_memNode::reloc() const {
  return 1;
}

int vmulD_mem_0Node::reloc() const {
  return 1;
}

int vdivF_memNode::reloc() const {
  return 1;
}

int vdivD_memNode::reloc() const {
  return 1;
}

int vector_uminmax_memNode::reloc() const {
  return 1;
}

int vector_uminmax_mem_0Node::reloc() const {
  return 1;
}

int vector_uminmax_mem_maskedNode::reloc() const {
  return 1;
}

int vector_uminmax_mem_masked_0Node::reloc() const {
  return 1;
}

int compressBitsI_memNode::reloc() const {
  return 1;
}

int expandBitsI_memNode::reloc() const {
  return 1;
}

int vsqrtF_memNode::reloc() const {
  return 1;
}

int vsqrtD_memNode::reloc() const {
  return 1;
}

int vand_memNode::reloc() const {
  return 1;
}

int vand_mem_0Node::reloc() const {
  return 1;
}

int vor_memNode::reloc() const {
  return 1;
}

int vor_mem_0Node::reloc() const {
  return 1;
}

int vxor_memNode::reloc() const {
  return 1;
}

int vxor_mem_0Node::reloc() const {
  return 1;
}

int vfmaF_memNode::reloc() const {
  return 1;
}

int vfmaD_memNode::reloc() const {
  return 1;
}

int vpternlog_memNode::reloc() const {
  return 1;
}

int vmasked_load_avx_non_subwordNode::reloc() const {
  return 1;
}

int vmasked_load_evexNode::reloc() const {
  return 1;
}

int vmasked_store_avx_non_subwordNode::reloc() const {
  return 2;
}

int vmasked_store_evexNode::reloc() const {
  return 2;
}

int vadd_mem_maskedNode::reloc() const {
  return 1;
}

int vadd_mem_masked_0Node::reloc() const {
  return 1;
}

int vadd_mem_masked_1Node::reloc() const {
  return 1;
}

int vadd_mem_masked_2Node::reloc() const {
  return 1;
}

int vadd_mem_masked_3Node::reloc() const {
  return 1;
}

int vadd_mem_masked_4Node::reloc() const {
  return 1;
}

int vxor_mem_maskedNode::reloc() const {
  return 1;
}

int vor_mem_maskedNode::reloc() const {
  return 1;
}

int vand_mem_maskedNode::reloc() const {
  return 1;
}

int vsub_mem_maskedNode::reloc() const {
  return 1;
}

int vsub_mem_masked_0Node::reloc() const {
  return 1;
}

int vsub_mem_masked_1Node::reloc() const {
  return 1;
}

int vsub_mem_masked_2Node::reloc() const {
  return 1;
}

int vsub_mem_masked_3Node::reloc() const {
  return 1;
}

int vsub_mem_masked_4Node::reloc() const {
  return 1;
}

int vmul_mem_maskedNode::reloc() const {
  return 1;
}

int vmul_mem_masked_0Node::reloc() const {
  return 1;
}

int vmul_mem_masked_1Node::reloc() const {
  return 1;
}

int vmul_mem_masked_2Node::reloc() const {
  return 1;
}

int vmul_mem_masked_3Node::reloc() const {
  return 1;
}

int vdiv_mem_maskedNode::reloc() const {
  return 1;
}

int vdiv_mem_masked_0Node::reloc() const {
  return 1;
}

int vmaxv_mem_maskedNode::reloc() const {
  return 1;
}

int vminv_mem_maskedNode::reloc() const {
  return 1;
}

int vfma_mem_maskedNode::reloc() const {
  return 1;
}

int vfma_mem_masked_0Node::reloc() const {
  return 1;
}

int vternlogd_mem_maskedNode::reloc() const {
  return 1;
}

int vector_addsub_saturating_subword_memNode::reloc() const {
  return 1;
}

int vector_addsub_saturating_subword_mem_0Node::reloc() const {
  return 1;
}

int vector_addsub_saturating_unsigned_subword_memNode::reloc() const {
  return 1;
}

int vector_addsub_saturating_unsigned_subword_mem_0Node::reloc() const {
  return 1;
}

int vector_addsub_saturating_subword_masked_memNode::reloc() const {
  return 1;
}

int vector_addsub_saturating_subword_masked_mem_0Node::reloc() const {
  return 1;
}

int vector_addsub_saturating_unsigned_subword_masked_memNode::reloc() const {
  return 1;
}

int vector_addsub_saturating_unsigned_subword_masked_mem_0Node::reloc() const {
  return 1;
}

int compareAndSwapP_shenandoahNode::reloc() const {
  return 1;
}

int compareAndSwapP_shenandoah_0Node::reloc() const {
  return 1;
}

int compareAndExchangeP_shenandoahNode::reloc() const {
  return 1;
}


void MoveF2LEGNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    ShouldNotReachHere();
  
#line 16117 "ad_x86.cpp"
  }
}

void MoveLEG2FNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4933 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    ShouldNotReachHere();
  
#line 16131 "ad_x86.cpp"
  }
}

void MoveF2VLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4943 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    ShouldNotReachHere();
  
#line 16145 "ad_x86.cpp"
  }
}

void MoveVL2FNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4953 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    ShouldNotReachHere();
  
#line 16159 "ad_x86.cpp"
  }
}

void MoveD2LEGNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4965 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    ShouldNotReachHere();
  
#line 16173 "ad_x86.cpp"
  }
}

void MoveLEG2DNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4975 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    ShouldNotReachHere();
  
#line 16187 "ad_x86.cpp"
  }
}

void MoveD2VLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4985 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    ShouldNotReachHere();
  
#line 16201 "ad_x86.cpp"
  }
}

void MoveVL2DNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4995 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    ShouldNotReachHere();
  
#line 16215 "ad_x86.cpp"
  }
}

void bytes_reverse_intNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x0F /*primary()*/));
  
#line 16229 "ad_x86.cpp"
  }
  {

#line 1673 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_cc(masm, (0xC8 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 16237 "ad_x86.cpp"
  }
}

void bytes_reverse_longNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 1677 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int destlo = opnd_array(1)->reg(ra_,this,idx1)/* dst */;
    int desthi = HIGH_FROM_LOW_ENC(destlo);
    // bswap lo
    emit_opcode(masm, 0x0F);
    emit_cc(masm, 0xC8, destlo);
    // bswap hi
    emit_opcode(masm, 0x0F);
    emit_cc(masm, 0xC8, desthi);
    // xchg lo and hi
    emit_opcode(masm, 0x87);
    emit_rm(masm, 0x3, destlo, desthi);
  
#line 16261 "ad_x86.cpp"
  }
}

void bytes_reverse_unsigned_shortNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 5029 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ bswapl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */);
    __ shrl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */, 16);
  
#line 16276 "ad_x86.cpp"
  }
}

void bytes_reverse_shortNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 5042 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ bswapl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */);
    __ sarl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */, 16);
  
#line 16291 "ad_x86.cpp"
  }
}

void countLeadingZerosINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 5058 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ lzcntl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 16305 "ad_x86.cpp"
  }
}

void countLeadingZerosI_bsrNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 5075 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(0)->as_Register(ra_,this)/* dst */;
    Register Rsrc = opnd_array(1)->as_Register(ra_,this,idx1)/* src */;
    Label skip;
    __ bsrl(Rdst, Rsrc);
    __ jccb(Assembler::notZero, skip);
    __ movl(Rdst, -1);
    __ bind(skip);
    __ negl(Rdst);
    __ addl(Rdst, BitsPerInt - 1);
  
#line 16327 "ad_x86.cpp"
  }
}

void countLeadingZerosLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 5099 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(2)->as_Register(ra_,this,idx2)/* dst */;
    Register Rsrc = opnd_array(1)->as_Register(ra_,this,idx1)/* src */;
    Label done;
    __ lzcntl(Rdst, HIGH_FROM_LOW(Rsrc));
    __ jccb(Assembler::carryClear, done);
    __ lzcntl(Rdst, Rsrc);
    __ addl(Rdst, BitsPerInt);
    __ bind(done);
  
#line 16349 "ad_x86.cpp"
  }
}

void countLeadingZerosL_bsrNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 5128 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(2)->as_Register(ra_,this,idx2)/* dst */;
    Register Rsrc = opnd_array(1)->as_Register(ra_,this,idx1)/* src */;
    Label msw_is_zero;
    Label not_zero;
    __ bsrl(Rdst, HIGH_FROM_LOW(Rsrc));
    __ jccb(Assembler::zero, msw_is_zero);
    __ addl(Rdst, BitsPerInt);
    __ jmpb(not_zero);
    __ bind(msw_is_zero);
    __ bsrl(Rdst, Rsrc);
    __ jccb(Assembler::notZero, not_zero);
    __ movl(Rdst, -1);
    __ bind(not_zero);
    __ negl(Rdst);
    __ addl(Rdst, BitsPerLong - 1);
  
#line 16378 "ad_x86.cpp"
  }
}

void countTrailingZerosINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 5154 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ tzcntl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 16392 "ad_x86.cpp"
  }
}

void countTrailingZerosI_bsfNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 5169 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(0)->as_Register(ra_,this)/* dst */;
    Label done;
    __ bsfl(Rdst, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
    __ jccb(Assembler::notZero, done);
    __ movl(Rdst, BitsPerInt);
    __ bind(done);
  
#line 16411 "ad_x86.cpp"
  }
}

void countTrailingZerosLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 5190 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(2)->as_Register(ra_,this,idx2)/* dst */;
    Register Rsrc = opnd_array(1)->as_Register(ra_,this,idx1)/* src */;
    Label done;
    __ tzcntl(Rdst, Rsrc);
    __ jccb(Assembler::carryClear, done);
    __ tzcntl(Rdst, HIGH_FROM_LOW(Rsrc));
    __ addl(Rdst, BitsPerInt);
    __ bind(done);
  
#line 16433 "ad_x86.cpp"
  }
}

void countTrailingZerosL_bsfNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 5216 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(2)->as_Register(ra_,this,idx2)/* dst */;
    Register Rsrc = opnd_array(1)->as_Register(ra_,this,idx1)/* src */;
    Label msw_not_zero;
    Label done;
    __ bsfl(Rdst, Rsrc);
    __ jccb(Assembler::notZero, done);
    __ bsfl(Rdst, HIGH_FROM_LOW(Rsrc));
    __ jccb(Assembler::notZero, msw_not_zero);
    __ movl(Rdst, BitsPerInt);
    __ bind(msw_not_zero);
    __ addl(Rdst, BitsPerInt);
    __ bind(done);
  
#line 16459 "ad_x86.cpp"
  }
}

void popCountINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 5242 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ popcntl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 16473 "ad_x86.cpp"
  }
}

void popCountI_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5254 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ popcntl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 16487 "ad_x86.cpp"
  }
}

void popCountLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 5269 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ popcntl(opnd_array(2)->as_Register(ra_,this,idx2)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
    __ popcntl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* src */));
    __ addl(opnd_array(2)->as_Register(ra_,this,idx2)/* dst */, opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */);
  
#line 16505 "ad_x86.cpp"
  }
}

void popCountL_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 5286 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    //__ popcntl($dst$$Register, $mem$$Address$$first);
    //__ popcntl($tmp$$Register, $mem$$Address$$second);
    __ popcntl(opnd_array(2)->as_Register(ra_,this,idx2)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), relocInfo::none));
    __ popcntl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1)+ 4, relocInfo::none));
    __ addl(opnd_array(2)->as_Register(ra_,this,idx2)/* dst */, opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */);
  
#line 16525 "ad_x86.cpp"
  }
}

void loadBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5306 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movsbl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 16539 "ad_x86.cpp"
  }
}

void loadB2LNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5323 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movsbl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ movl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), opnd_array(0)->as_Register(ra_,this)/* dst */); // This is always a different register.
    __ sarl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), 7); // 24+1 MSB are already signed extended.
  
#line 16555 "ad_x86.cpp"
  }
}

void loadUBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5339 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movzbl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 16569 "ad_x86.cpp"
  }
}

void loadUB2LNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5355 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(0)->as_Register(ra_,this)/* dst */;
    __ movzbl(Rdst, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ xorl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rdst));
  
#line 16585 "ad_x86.cpp"
  }
}

void loadUB2L_immINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 5372 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(0)->as_Register(ra_,this)/* dst */;
    __ movzbl(Rdst, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ xorl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rdst));
    __ andl(Rdst, opnd_array(2)->constant()& right_n_bits(8));
  
#line 16603 "ad_x86.cpp"
  }
}

void loadSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movswl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 16617 "ad_x86.cpp"
  }
}

void loadS2BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// twentyfour
  {

#line 5401 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movsbl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 16632 "ad_x86.cpp"
  }
}

void loadS2LNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5417 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movswl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ movl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), opnd_array(0)->as_Register(ra_,this)/* dst */); // This is always a different register.
    __ sarl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), 15); // 16+1 MSB are already signed extended.
  
#line 16648 "ad_x86.cpp"
  }
}

void loadUSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5433 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movzwl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 16662 "ad_x86.cpp"
  }
}

void loadUS2BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// twentyfour
  {

#line 5446 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movsbl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 16677 "ad_x86.cpp"
  }
}

void loadUS2LNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5461 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movzwl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ xorl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */));
  
#line 16692 "ad_x86.cpp"
  }
}

void loadUS2L_immI_255Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 5476 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(0)->as_Register(ra_,this)/* dst */;
    __ movzbl(Rdst, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ xorl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rdst));
  
#line 16709 "ad_x86.cpp"
  }
}

void loadUS2L_immINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 5492 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(0)->as_Register(ra_,this)/* dst */;
    __ movzwl(Rdst, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ xorl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rdst));
    __ andl(Rdst, opnd_array(2)->constant()& right_n_bits(16));
  
#line 16727 "ad_x86.cpp"
  }
}

void loadINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5508 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 16741 "ad_x86.cpp"
  }
}

void loadI2BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// twentyfour
  {

#line 5521 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movsbl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 16756 "ad_x86.cpp"
  }
}

void loadI2UBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 5533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movzbl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 16771 "ad_x86.cpp"
  }
}

void loadI2SNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// sixteen
  {

#line 5545 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movswl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 16786 "ad_x86.cpp"
  }
}

void loadI2USNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 5557 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movzwl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 16801 "ad_x86.cpp"
  }
}

void loadI2LNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5573 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ movl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), opnd_array(0)->as_Register(ra_,this)/* dst */); // This is always a different register.
    __ sarl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), 31);
  
#line 16817 "ad_x86.cpp"
  }
}

void loadI2L_immI_255Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 5589 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(0)->as_Register(ra_,this)/* dst */;
    __ movzbl(Rdst, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ xorl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rdst));
  
#line 16834 "ad_x86.cpp"
  }
}

void loadI2L_immI_65535Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 5604 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(0)->as_Register(ra_,this)/* dst */;
    __ movzwl(Rdst, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ xorl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rdst));
  
#line 16851 "ad_x86.cpp"
  }
}

void loadI2L_immU31Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 5620 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(0)->as_Register(ra_,this)/* dst */;
    __ movl(Rdst, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ xorl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rdst));
    __ andl(Rdst, opnd_array(2)->constant());
  
#line 16869 "ad_x86.cpp"
  }
}

void loadUI2LNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 5638 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ xorl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */));
  
#line 16885 "ad_x86.cpp"
  }
}

void loadLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5656 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Address Amemlo = Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), relocInfo::none);
    Address Amemhi = Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1)+ 4, relocInfo::none);
    __ movl(opnd_array(0)->as_Register(ra_,this)/* dst */, Amemlo);
    __ movl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), Amemhi);
  
#line 16902 "ad_x86.cpp"
  }
}

void loadL_volatileNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 3012 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm,0xDF);
    int rm_byte_opcode = 0x05;
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
    store_to_stackslot( masm, 0x0DF, 0x07, opnd_array(0)->disp(ra_,this,0) );
  
#line 16924 "ad_x86.cpp"
  }
}

void loadLX_volatileNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// tmp
  {

#line 5687 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdbl(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* tmp */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ movdbl(Address(rsp, opnd_array(0)->disp(ra_,this,0)), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* tmp */);
  
#line 16940 "ad_x86.cpp"
  }
}

void loadLX_reg_volatileNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// tmp
  {

#line 5703 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdbl(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* tmp */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ movdl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* tmp */);
    __ psrlq(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* tmp */, 32);
    __ movdl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* tmp */);
  
#line 16958 "ad_x86.cpp"
  }
}

void loadRangeNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 16972 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8B /*primary()*/));
  
#line 16980 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 16994 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17002 "ad_x86.cpp"
  }
}

void loadPNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17016 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8B /*primary()*/));
  
#line 17024 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 17038 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17046 "ad_x86.cpp"
  }
}

void loadKlassNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17060 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8B /*primary()*/));
  
#line 17068 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 17082 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17090 "ad_x86.cpp"
  }
}

void loadDPRNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17104 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDD /*primary()*/));
  
#line 17112 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 17126 "ad_x86.cpp"
  }
  {

#line 2328 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 17135 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17143 "ad_x86.cpp"
  }
}

void loadDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5766 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdbl (opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 17157 "ad_x86.cpp"
  }
}

void loadD_partialNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5777 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdbl (opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 17171 "ad_x86.cpp"
  }
}

void loadFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 5790 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movflt (opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 17185 "ad_x86.cpp"
  }
}

void loadFPRNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17199 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*primary()*/));
  
#line 17207 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 17221 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 17230 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17238 "ad_x86.cpp"
  }
}

void leaP8Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17252 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8D /*primary()*/));
  
#line 17260 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 17274 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17282 "ad_x86.cpp"
  }
}

void leaP32Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17296 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8D /*primary()*/));
  
#line 17304 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 17318 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17326 "ad_x86.cpp"
  }
}

void leaPIdxOffNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17340 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8D /*primary()*/));
  
#line 17348 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 17362 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17370 "ad_x86.cpp"
  }
}

void leaPIdxScaleNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17384 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8D /*primary()*/));
  
#line 17392 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 17406 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17414 "ad_x86.cpp"
  }
}

void leaPIdxScaleOffNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17428 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8D /*primary()*/));
  
#line 17436 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 17450 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17458 "ad_x86.cpp"
  }
}

void loadConINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17472 "ad_x86.cpp"
  }
  {

#line 1869 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Load immediate does not have a zero or sign extended version
    // for 8-bit immediates
    emit_opcode(masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32(masm, opnd_array(1)->constant());
  
#line 17483 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17491 "ad_x86.cpp"
  }
}

void loadConI0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x33 /*primary()*/));
  
#line 17505 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(0)->reg(ra_,this)/* dst */, opnd_array(0)->reg(ra_,this)/* dst */);
  
#line 17513 "ad_x86.cpp"
  }
}

void loadConPNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17527 "ad_x86.cpp"
  }
  {

#line 1876 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Load immediate does not have a zero or sign extended version
    // for 8-bit immediates
    emit_opcode(masm, (0xB8 /*primary()*/) + opnd_array(0)->reg(ra_,this)/* dst */);
    
if ( opnd_array(1)->constant_reloc() != relocInfo::none ) {
  emit_d32_reloc(masm, opnd_array(1)->constant(), opnd_array(1)->constant_reloc(), 0);
} else {
  emit_d32(masm, opnd_array(1)->constant());
};
  
#line 17543 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17551 "ad_x86.cpp"
  }
}

void loadConLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1883 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Load immediate does not have a zero or sign extended version
    // for 8-bit immediates
    int dst_enc = opnd_array(0)->reg(ra_,this)/* dst */;
    int src_con = opnd_array(1)->constantL() & 0x0FFFFFFFFL;
    if (src_con == 0) {
      // xor dst, dst
      emit_opcode(masm, 0x33);
      emit_rm(masm, 0x3, dst_enc, dst_enc);
    } else {
      emit_opcode(masm, (0xB8 /*primary()*/) + dst_enc);
      emit_d32(masm, src_con);
    }
  
#line 17576 "ad_x86.cpp"
  }
  {

#line 1898 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Load immediate does not have a zero or sign extended version
    // for 8-bit immediates
    int dst_enc = opnd_array(0)->reg(ra_,this)/* dst */ + 2;
    int src_con = ((julong)(opnd_array(1)->constantL())) >> 32;
    if (src_con == 0) {
      // xor dst, dst
      emit_opcode(masm, 0x33);
      emit_rm(masm, 0x3, dst_enc, dst_enc);
    } else {
      emit_opcode(masm, (0xB8 /*primary()*/) + dst_enc);
      emit_d32(masm, src_con);
    }
  
#line 17595 "ad_x86.cpp"
  }
}

void loadConL0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1927 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x33 /*primary()*/));
    emit_rm(masm, 0x3, opnd_array(0)->reg(ra_,this)/* dst */, opnd_array(0)->reg(ra_,this)/* dst */);
  
#line 17610 "ad_x86.cpp"
  }
  {

#line 1932 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x33 /*secondary()*/));
    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(0)->reg(ra_,this)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(0)->reg(ra_,this)/* dst */));
  
#line 17619 "ad_x86.cpp"
  }
}

void loadConFPRNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// con
  {

#line 5919 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fld_s(InternalAddress(__ code()->consts()->start() + constant_offset()));
    __ fstp_d(opnd_array(0)->reg(ra_,this)/* dst */);
  
#line 17634 "ad_x86.cpp"
  }
}

void loadConFPRNode::eval_constant(Compile* C) {
  {

#line 5920 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(1));
#line 17643 "ad_x86.cpp"
  }
}
void loadConFPR0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// con
  {

#line 5932 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fldz();
    __ fstp_d(opnd_array(0)->reg(ra_,this)/* dst */);
  
#line 17657 "ad_x86.cpp"
  }
}

void loadConFPR1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// con
  {

#line 5945 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fld1();
    __ fstp_d(opnd_array(0)->reg(ra_,this)/* dst */);
  
#line 17672 "ad_x86.cpp"
  }
}

void loadConFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// con
  {

#line 5957 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movflt(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 17686 "ad_x86.cpp"
  }
}

void loadConFNode::eval_constant(Compile* C) {
  {

#line 5958 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(1));
#line 17695 "ad_x86.cpp"
  }
}
void loadConF0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 5968 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ xorps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */);
  
#line 17708 "ad_x86.cpp"
  }
}

void loadConDPRNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// con
  {

#line 5981 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fld_d(InternalAddress(__ code()->consts()->start() + constant_offset()));
    __ fstp_d(opnd_array(0)->reg(ra_,this)/* dst */);
  
#line 17723 "ad_x86.cpp"
  }
}

void loadConDPRNode::eval_constant(Compile* C) {
  {

#line 5982 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(1));
#line 17732 "ad_x86.cpp"
  }
}
void loadConDPR0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// con
  {

#line 5995 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fldz();
    __ fstp_d(opnd_array(0)->reg(ra_,this)/* dst */);
  
#line 17746 "ad_x86.cpp"
  }
}

void loadConDPR1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// con
  {

#line 6009 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fld1();
    __ fstp_d(opnd_array(0)->reg(ra_,this)/* dst */);
  
#line 17761 "ad_x86.cpp"
  }
}

void loadConDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// con
  {

#line 6021 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdbl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 17775 "ad_x86.cpp"
  }
}

void loadConDNode::eval_constant(Compile* C) {
  {

#line 6022 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(1));
#line 17784 "ad_x86.cpp"
  }
}
void loadConD0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 6032 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ xorpd (opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */);
  
#line 17797 "ad_x86.cpp"
  }
}

void loadSSINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17811 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8B /*primary()*/));
  
#line 17819 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 17833 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17841 "ad_x86.cpp"
  }
}

void loadSSLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17855 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8B /*primary()*/));
  
#line 17863 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 17877 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8B /*secondary()*/));
  
#line 17885 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(0)->reg(ra_,this)/* dst */);  // Hi register of pair, computed from lo
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1) + 4;      // Offset is 4 further in memory
    assert( opnd_array(1)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 17899 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17907 "ad_x86.cpp"
  }
}

void loadSSPNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17921 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8B /*primary()*/));
  
#line 17929 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 17943 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 17951 "ad_x86.cpp"
  }
}

void loadSSFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 17965 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*primary()*/));
  
#line 17973 "ad_x86.cpp"
  }
  {

#line 2136 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    assert( opnd_array(1)->disp_reloc() == relocInfo::none, "No oops here because no reloc info allowed" );
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, relocInfo::none);
  
#line 17987 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 17996 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 18004 "ad_x86.cpp"
  }
}

void loadSSDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 18018 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDD /*primary()*/));
  
#line 18026 "ad_x86.cpp"
  }
  {

#line 2136 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    assert( opnd_array(1)->disp_reloc() == relocInfo::none, "No oops here because no reloc info allowed" );
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, relocInfo::none);
  
#line 18040 "ad_x86.cpp"
  }
  {

#line 2328 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 18049 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 18057 "ad_x86.cpp"
  }
}

void prefetchAlloc0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// 
  // User did not define which encode class to use.
}

uint prefetchAlloc0Node::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void prefetchAllocNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// 
  {

#line 6116 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ prefetchw(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 18083 "ad_x86.cpp"
  }
}

void prefetchAllocNTANode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// 
  {

#line 6128 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ prefetchnta(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 18097 "ad_x86.cpp"
  }
}

void prefetchAllocT0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// 
  {

#line 6140 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ prefetcht0(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 18111 "ad_x86.cpp"
  }
}

void prefetchAllocT2Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// 
  {

#line 6152 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ prefetcht2(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 18125 "ad_x86.cpp"
  }
}

void storeBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 18140 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x88 /*primary()*/));
  
#line 18148 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* src */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 18162 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 18170 "ad_x86.cpp"
  }
}

void storeCNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 18185 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x66 /*secondary()*/));
  
#line 18193 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x89 /*primary()*/));
  
#line 18201 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* src */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 18215 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 18223 "ad_x86.cpp"
  }
}

void storeINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 18238 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x89 /*primary()*/));
  
#line 18246 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* src */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 18260 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 18268 "ad_x86.cpp"
  }
}

void storeLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 18283 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x89 /*primary()*/));
  
#line 18291 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* src */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 18305 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x89 /*secondary()*/));
  
#line 18313 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* src */);  // Hi register of pair, computed from lo
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1) + 4;      // Offset is 4 further in memory
    assert( opnd_array(1)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 18327 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 18335 "ad_x86.cpp"
  }
}

void storeL2INode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6211 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movl(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_Register(ra_,this,idx2)/* src */);
  
#line 18350 "ad_x86.cpp"
  }
}

void storeL_volatileNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 18365 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x3B /*primary()*/));
  
#line 18373 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = (EAX_enc);
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 18387 "ad_x86.cpp"
  }
  {

#line 3028 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0x0DF, 0x05, opnd_array(2)->disp(ra_,this,idx2) );
    __ set_inst_mark();            // Mark start of FIST in case $mem has an oop
    emit_opcode(masm,0xDF);
    int rm_byte_opcode = 0x07;
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
    __ clear_inst_mark();
  
#line 18405 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 18413 "ad_x86.cpp"
  }
}

void storeLX_volatileNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 6242 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ cmpl(rax, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ movdbl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */, Address(rsp, opnd_array(2)->disp(ra_,this,idx2)));
    __ movdbl(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */);
  
#line 18431 "ad_x86.cpp"
  }
}

void storeLX_reg_volatileNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  {

#line 6260 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ cmpl(rax, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ movdl(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(2)->as_Register(ra_,this,idx2)/* src */);
    __ movdl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp2 */, HIGH_FROM_LOW(opnd_array(2)->as_Register(ra_,this,idx2)/* src */));
    __ punpckldq(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp2 */);
    __ movdbl(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */);
  
#line 18452 "ad_x86.cpp"
  }
}

void storePNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 18467 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x89 /*primary()*/));
  
#line 18475 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* src */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 18489 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 18497 "ad_x86.cpp"
  }
}

void storeImmINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 18512 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xC7 /*primary()*/));
  
#line 18520 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 18534 "ad_x86.cpp"
  }
  {

#line 1949 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Output immediate
    emit_d32(masm, opnd_array(2)->constant());
  
#line 18543 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 18551 "ad_x86.cpp"
  }
}

void storeImmI16Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 18566 "ad_x86.cpp"
  }
  {

#line 1552 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm,0x66);
  
#line 18574 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xC7 /*primary()*/));
  
#line 18582 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 18596 "ad_x86.cpp"
  }
  {

#line 1968 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Output immediate
    emit_d16(masm, opnd_array(2)->constant());
  
#line 18605 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 18613 "ad_x86.cpp"
  }
}

void storeImmPNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 18628 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xC7 /*primary()*/));
  
#line 18636 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 18650 "ad_x86.cpp"
  }
  {

#line 1949 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Output immediate
    
if ( opnd_array(2)->constant_reloc() != relocInfo::none ) {
  emit_d32_reloc(masm, opnd_array(2)->constant(), opnd_array(2)->constant_reloc(), 0);
} else {
  emit_d32(masm, opnd_array(2)->constant());
};
  
#line 18664 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 18672 "ad_x86.cpp"
  }
}

void storeImmBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 18687 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xC6 /*primary()*/));
  
#line 18695 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 18709 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 18724 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 18732 "ad_x86.cpp"
  }
}

void storeDPRNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2190 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // If src is FPR1, we can just FST to store it.
    // Else we need to FLD it to FPR1, then FSTP to store/pop it.
    int reg_encoding = 0x2; // Just store
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    if( opnd_array(2)->reg(ra_,this,idx2)/* src */ != FPR1L_enc ) {
      reg_encoding = 0x3;  // Store & pop
      emit_opcode( masm, 0xD9 ); // FLD (i.e., push it)
      emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );
    }
    __ set_inst_mark();       // Mark start of opcode for reloc info in mem operand
    emit_opcode(masm,(0xDD /*primary()*/));
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
    __ clear_inst_mark();
  
#line 18763 "ad_x86.cpp"
  }
}

void storeDPR_roundedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2190 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // If src is FPR1, we can just FST to store it.
    // Else we need to FLD it to FPR1, then FSTP to store/pop it.
    int reg_encoding = 0x2; // Just store
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    if( opnd_array(2)->reg(ra_,this,idx2)/* src */ != FPR1L_enc ) {
      reg_encoding = 0x3;  // Store & pop
      emit_opcode( masm, 0xD9 ); // FLD (i.e., push it)
      emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );
    }
    __ set_inst_mark();       // Mark start of opcode for reloc info in mem operand
    emit_opcode(masm,(0xDD /*primary()*/));
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
    __ clear_inst_mark();
  
#line 18794 "ad_x86.cpp"
  }
}

void storeDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6358 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdbl(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 18809 "ad_x86.cpp"
  }
}

void storeFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6371 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movflt(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 18824 "ad_x86.cpp"
  }
}

void storeFPRNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2190 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // If src is FPR1, we can just FST to store it.
    // Else we need to FLD it to FPR1, then FSTP to store/pop it.
    int reg_encoding = 0x2; // Just store
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    if( opnd_array(2)->reg(ra_,this,idx2)/* src */ != FPR1L_enc ) {
      reg_encoding = 0x3;  // Store & pop
      emit_opcode( masm, 0xD9 ); // FLD (i.e., push it)
      emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );
    }
    __ set_inst_mark();       // Mark start of opcode for reloc info in mem operand
    emit_opcode(masm,(0xD9 /*primary()*/));
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
    __ clear_inst_mark();
  
#line 18855 "ad_x86.cpp"
  }
}

void storeFPR_roundedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2190 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // If src is FPR1, we can just FST to store it.
    // Else we need to FLD it to FPR1, then FSTP to store/pop it.
    int reg_encoding = 0x2; // Just store
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    if( opnd_array(2)->reg(ra_,this,idx2)/* src */ != FPR1L_enc ) {
      reg_encoding = 0x3;  // Store & pop
      emit_opcode( masm, 0xD9 ); // FLD (i.e., push it)
      emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );
    }
    __ set_inst_mark();       // Mark start of opcode for reloc info in mem operand
    emit_opcode(masm,(0xD9 /*primary()*/));
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
    __ clear_inst_mark();
  
#line 18886 "ad_x86.cpp"
  }
}

void storeFPR_DroundedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2190 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // If src is FPR1, we can just FST to store it.
    // Else we need to FLD it to FPR1, then FSTP to store/pop it.
    int reg_encoding = 0x2; // Just store
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    if( opnd_array(2)->reg(ra_,this,idx2)/* src */ != FPR1L_enc ) {
      reg_encoding = 0x3;  // Store & pop
      emit_opcode( masm, 0xD9 ); // FLD (i.e., push it)
      emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );
    }
    __ set_inst_mark();       // Mark start of opcode for reloc info in mem operand
    emit_opcode(masm,(0xD9 /*primary()*/));
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
    __ clear_inst_mark();
  
#line 18917 "ad_x86.cpp"
  }
}

void storeFPR_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 18932 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xC7 /*primary()*/));
  
#line 18940 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 18954 "ad_x86.cpp"
  }
  {

#line 1954 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Output Float immediate bits
    jfloat jf = opnd_array(2)->constantF();
    int    jf_as_bits = jint_cast( jf );
    emit_d32(masm, jf_as_bits);
  
#line 18965 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 18973 "ad_x86.cpp"
  }
}

void storeF_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 18988 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xC7 /*primary()*/));
  
#line 18996 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 19010 "ad_x86.cpp"
  }
  {

#line 1961 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Output Float immediate bits
    jfloat jf = opnd_array(2)->constantF();
    int    jf_as_bits = jint_cast( jf );
    emit_d32(masm, jf_as_bits);
  
#line 19021 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 19029 "ad_x86.cpp"
  }
}

void storeSSINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2355 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, (0x89 /*primary()*/), opnd_array(1)->reg(ra_,this,idx1)/* src */, opnd_array(0)->disp(ra_,this,0) );
  
#line 19043 "ad_x86.cpp"
  }
}

void storeSSPNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2355 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, (0x89 /*primary()*/), opnd_array(1)->reg(ra_,this,idx1)/* src */, opnd_array(0)->disp(ra_,this,0) );
  
#line 19057 "ad_x86.cpp"
  }
}

void storeSSLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 19071 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x89 /*primary()*/));
  
#line 19079 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* src */;
    int base  = opnd_array(0)->base(ra_,this,idx0);
    int index = opnd_array(0)->index(ra_,this,idx0);
    int scale = opnd_array(0)->scale();
    int displace = opnd_array(0)->disp(ra_,this,0);
    relocInfo::relocType disp_reloc = opnd_array(0)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 19093 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x89 /*secondary()*/));
  
#line 19101 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src */);  // Hi register of pair, computed from lo
    int base  = opnd_array(0)->base(ra_,this,idx0);
    int index = opnd_array(0)->index(ra_,this,idx0);
    int scale = opnd_array(0)->scale();
    int displace = opnd_array(0)->disp(ra_,this,0) + 4;      // Offset is 4 further in memory
    assert( opnd_array(0)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 19115 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 19123 "ad_x86.cpp"
  }
}

void membar_acquireNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  // User did not define which encode class to use.
}

uint membar_acquireNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void membar_acquire_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  // User did not define which encode class to use.
}

uint membar_acquire_0Node::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void membar_acquire_lockNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  // User did not define which encode class to use.
}

uint membar_acquire_lockNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void membar_releaseNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  // User did not define which encode class to use.
}

uint membar_releaseNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void membar_release_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  // User did not define which encode class to use.
}

uint membar_release_0Node::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void membar_release_lockNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  // User did not define which encode class to use.
}

uint membar_release_lockNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void membar_volatileNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  {

#line 6526 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ membar(Assembler::StoreLoad);
  
#line 19209 "ad_x86.cpp"
  }
}

void unnecessary_membar_volatileNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  // User did not define which encode class to use.
}

uint unnecessary_membar_volatileNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void membar_storestoreNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  // User did not define which encode class to use.
}

uint membar_storestoreNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void membar_storestore_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  // User did not define which encode class to use.
}

uint membar_storestore_0Node::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void castX2PNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  // User did not define which encode class to use.
}

void castP2XNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1915 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    encode_Copy( masm, opnd_array(0)->reg(ra_,this)/* dst */, opnd_array(1)->reg(ra_,this,idx1)/* src */ );
  
#line 19266 "ad_x86.cpp"
  }
}

void jmovI_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 6580 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label Lskip;
    // Invert sense of branch from sense of CMOV
    __ jccb((Assembler::Condition)(opnd_array(1)->ccode()^1), Lskip);
    __ movl(opnd_array(3)->as_Register(ra_,this,idx3)/* dst */, opnd_array(4)->as_Register(ra_,this,idx4)/* src */);
    __ bind(Lskip);
  
#line 19287 "ad_x86.cpp"
  }
}

void jmovI_regUNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 6597 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label Lskip;
    // Invert sense of branch from sense of CMOV
    __ jccb((Assembler::Condition)(opnd_array(1)->ccode()^1), Lskip);
    __ movl(opnd_array(3)->as_Register(ra_,this,idx3)/* dst */, opnd_array(4)->as_Register(ra_,this,idx4)/* src */);
    __ bind(Lskip);
  
#line 19308 "ad_x86.cpp"
  }
}

void cmovI_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 19326 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 19334 "ad_x86.cpp"
  }
}

void cmovI_regUNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 19352 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 19360 "ad_x86.cpp"
  }
}

void cmovI_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 19377 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 19386 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(3)->reg(ra_,this,idx3)/* dst */;
    int base  = opnd_array(4)->base(ra_,this,idx4);
    int index = opnd_array(4)->index(ra_,this,idx4);
    int scale = opnd_array(4)->scale();
    int displace = opnd_array(4)->disp(ra_,this,idx4);
    relocInfo::relocType disp_reloc = opnd_array(4)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 19400 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 19408 "ad_x86.cpp"
  }
}

void cmovI_memUNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 19425 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 19434 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(3)->reg(ra_,this,idx3)/* dst */;
    int base  = opnd_array(4)->base(ra_,this,idx4);
    int index = opnd_array(4)->index(ra_,this,idx4);
    int scale = opnd_array(4)->scale();
    int displace = opnd_array(4)->disp(ra_,this,idx4);
    relocInfo::relocType disp_reloc = opnd_array(4)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 19448 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 19456 "ad_x86.cpp"
  }
}

void cmovP_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 19474 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 19482 "ad_x86.cpp"
  }
}

void cmovP_reg_nonP6Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1707 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Invert sense of branch from sense of CMOV
    emit_cc( masm, 0x70, (opnd_array(1)->ccode()^1) );
    emit_d8( masm, (0x2) );
  
#line 19501 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8b /*primary()*/));
  
#line 19509 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 19517 "ad_x86.cpp"
  }
}

void cmovP_regUNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 19535 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 19543 "ad_x86.cpp"
  }
}

void fcmovDPR_regUNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1700 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int op = 0xDA00 + opnd_array(1)->ccode() + (opnd_array(4)->reg(ra_,this,idx4)/* src */-1);
    emit_d8(masm, op >> 8 );
    emit_d8(masm, op & 255);
  
#line 19562 "ad_x86.cpp"
  }
}

void fcmovFPR_regUNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1700 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int op = 0xDA00 + opnd_array(1)->ccode() + (opnd_array(4)->reg(ra_,this,idx4)/* src */-1);
    emit_d8(masm, op >> 8 );
    emit_d8(masm, op & 255);
  
#line 19581 "ad_x86.cpp"
  }
}

void fcmovDPR_regSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1707 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Invert sense of branch from sense of CMOV
    emit_cc( masm, 0x70, (opnd_array(1)->ccode()^1) );
    emit_d8( masm, (0x4) );
  
#line 19600 "ad_x86.cpp"
  }
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(4)->reg(ra_,this,idx4)/* src */ );   // FLD ST(i-1)
  
#line 19609 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xdd /*primary()*/));
  
#line 19617 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x3 /*secondary()*/), opnd_array(3)->reg(ra_,this,idx3)/* dst */ );
  
#line 19625 "ad_x86.cpp"
  }
}

void fcmovFPR_regSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1707 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Invert sense of branch from sense of CMOV
    emit_cc( masm, 0x70, (opnd_array(1)->ccode()^1) );
    emit_d8( masm, (0x4) );
  
#line 19644 "ad_x86.cpp"
  }
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(4)->reg(ra_,this,idx4)/* src */ );
  
#line 19653 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xdd /*primary()*/));
  
#line 19661 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x3 /*secondary()*/), opnd_array(3)->reg(ra_,this,idx3)/* dst */ );
  
#line 19669 "ad_x86.cpp"
  }
}

void fcmovF_regSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 6796 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label skip;
    // Invert sense of branch from sense of CMOV
    __ jccb((Assembler::Condition)(opnd_array(1)->ccode()^1), skip);
    __ movflt(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* src */);
    __ bind(skip);
  
#line 19690 "ad_x86.cpp"
  }
}

void fcmovD_regSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 6814 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label skip;
    // Invert sense of branch from sense of CMOV
    __ jccb((Assembler::Condition)(opnd_array(1)->ccode()^1), skip);
    __ movdbl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* src */);
    __ bind(skip);
  
#line 19711 "ad_x86.cpp"
  }
}

void fcmovF_regUNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 6832 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label skip;
    // Invert sense of branch from sense of CMOV
    __ jccb((Assembler::Condition)(opnd_array(1)->ccode()^1), skip);
    __ movflt(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* src */);
    __ bind(skip);
  
#line 19732 "ad_x86.cpp"
  }
}

void fcmovD_regUNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 6859 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label skip;
    // Invert sense of branch from sense of CMOV
    __ jccb((Assembler::Condition)(opnd_array(1)->ccode()^1), skip);
    __ movdbl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* src */);
    __ bind(skip);
  
#line 19753 "ad_x86.cpp"
  }
}

void cmovL_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 19771 "ad_x86.cpp"
  }
  {

#line 1937 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 19779 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 19788 "ad_x86.cpp"
  }
  {

#line 1941 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(3)->reg(ra_,this,idx3)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(4)->reg(ra_,this,idx4)/* src */));
  
#line 19796 "ad_x86.cpp"
  }
}

void cmovL_regUNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 19814 "ad_x86.cpp"
  }
  {

#line 1937 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 19822 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 19831 "ad_x86.cpp"
  }
  {

#line 1941 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(3)->reg(ra_,this,idx3)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(4)->reg(ra_,this,idx4)/* src */));
  
#line 19839 "ad_x86.cpp"
  }
}

void addI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x03 /*primary()*/));
  
#line 19854 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 19862 "ad_x86.cpp"
  }
}

uint addI_eRegNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void addI_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1628 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x81 /*primary()*/) | 0x02);    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x81 /*primary()*/));
    }
    // Emit r/m byte with secondary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x00 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
  
#line 19890 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 19905 "ad_x86.cpp"
  }
}

void incI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1612 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x40 /*primary()*/) + opnd_array(1)->reg(ra_,this,idx1)/* dst */);
  
#line 19920 "ad_x86.cpp"
  }
}

uint incI_eRegNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 1, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 1);
}

void leaI_eReg_immINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src0
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 19940 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8D /*primary()*/));
  
#line 19948 "ad_x86.cpp"
  }
  {

#line 2156 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base         = opnd_array(1)->reg(ra_,this,idx1)/* src0 */;      // 0xFFFFFFFF indicates no base
    int index        = 0x04;            // 0x04 indicates no index
    int scale        = 0x00;            // 0x00 indicates no scale
    int displace     = opnd_array(2)->constant(); // 0x00 indicates no displacement
    relocInfo::relocType disp_reloc = relocInfo::none;
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 19962 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 19970 "ad_x86.cpp"
  }
}

void leaP_eReg_immINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src0
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 19985 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8D /*primary()*/));
  
#line 19993 "ad_x86.cpp"
  }
  {

#line 2156 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base         = opnd_array(1)->reg(ra_,this,idx1)/* src0 */;      // 0xFFFFFFFF indicates no base
    int index        = 0x04;            // 0x04 indicates no index
    int scale        = 0x00;            // 0x00 indicates no scale
    int displace     = opnd_array(2)->constant(); // 0x00 indicates no displacement
    relocInfo::relocType disp_reloc = relocInfo::none;
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 20007 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 20015 "ad_x86.cpp"
  }
}

void decI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1612 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x48 /*primary()*/) + opnd_array(1)->reg(ra_,this,idx1)/* dst */);
  
#line 20030 "ad_x86.cpp"
  }
}

uint decI_eRegNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 1, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 1);
}

void addP_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x03 /*primary()*/));
  
#line 20050 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 20058 "ad_x86.cpp"
  }
}

uint addP_eRegNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void addP_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1628 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x81 /*primary()*/) | 0x02);    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x81 /*primary()*/));
    }
    // Emit r/m byte with secondary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x00 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
  
#line 20086 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 20101 "ad_x86.cpp"
  }
}

void addI_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 20116 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x03 /*primary()*/));
  
#line 20124 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* dst */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 20138 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 20146 "ad_x86.cpp"
  }
}

void addI_eReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 20161 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x03 /*primary()*/));
  
#line 20169 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 20183 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 20191 "ad_x86.cpp"
  }
}

void addI_mem_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 20206 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x01 /*primary()*/));
  
#line 20214 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* src */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 20228 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 20236 "ad_x86.cpp"
  }
}

void addI_mem_eReg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 20251 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x01 /*primary()*/));
  
#line 20259 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* src */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 20273 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 20281 "ad_x86.cpp"
  }
}

void addI_mem_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 20296 "ad_x86.cpp"
  }
  {

#line 1618 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x81 /*primary()*/) | 0x02);
    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x81 /*primary()*/));
    }
  
#line 20310 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 20324 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 20339 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 20347 "ad_x86.cpp"
  }
}

void incI_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 20362 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xFF /*primary()*/));
  
#line 20370 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 20384 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 20392 "ad_x86.cpp"
  }
}

void decI_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 20407 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xFF /*primary()*/));
  
#line 20415 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x01);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 20429 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 20437 "ad_x86.cpp"
  }
}

void checkCastPPNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  // User did not define which encode class to use.
}

uint checkCastPPNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void castPPNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  // User did not define which encode class to use.
}

void castIINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  // User did not define which encode class to use.
}

void castLLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  // User did not define which encode class to use.
}

void castFFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  // User did not define which encode class to use.
}

void castDDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  // User did not define which encode class to use.
}

void castFF_PRNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  // User did not define which encode class to use.
}

void castDD_PRNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  // User did not define which encode class to use.
}

void compareAndSwapLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 1992 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"


    // XCHG  rbx,ecx
    emit_opcode(masm,0x87);
    emit_opcode(masm,0xD9);
    // [Lock]
    emit_opcode(masm,0xF0);
    // CMPXCHG8 [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xC7);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
    // XCHG  rbx,ecx
    emit_opcode(masm,0x87);
    emit_opcode(masm,0xD9);
  
#line 20526 "ad_x86.cpp"
  }
  {

#line 2041 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int res_encoding = opnd_array(0)->reg(ra_,this)/* res */;

    // MOV  res,0
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 0 );
    // JNE,s  fail
    emit_opcode(masm,0x75);
    emit_d8(masm, 5 );
    // MOV  res,1
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 1 );
    // fail:
  
#line 20545 "ad_x86.cpp"
  }
}

void compareAndSwapL_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 1992 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"


    // XCHG  rbx,ecx
    emit_opcode(masm,0x87);
    emit_opcode(masm,0xD9);
    // [Lock]
    emit_opcode(masm,0xF0);
    // CMPXCHG8 [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xC7);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
    // XCHG  rbx,ecx
    emit_opcode(masm,0x87);
    emit_opcode(masm,0xD9);
  
#line 20573 "ad_x86.cpp"
  }
  {

#line 2041 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int res_encoding = opnd_array(0)->reg(ra_,this)/* res */;

    // MOV  res,0
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 0 );
    // JNE,s  fail
    emit_opcode(masm,0x75);
    emit_d8(masm, 5 );
    // MOV  res,1
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 1 );
    // fail:
  
#line 20592 "ad_x86.cpp"
  }
}

void compareAndSwapPNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 2008 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // [Lock]
    emit_opcode(masm,0xF0);

    // CMPXCHG [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xB1);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
  
#line 20614 "ad_x86.cpp"
  }
  {

#line 2041 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int res_encoding = opnd_array(0)->reg(ra_,this)/* res */;

    // MOV  res,0
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 0 );
    // JNE,s  fail
    emit_opcode(masm,0x75);
    emit_d8(masm, 5 );
    // MOV  res,1
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 1 );
    // fail:
  
#line 20633 "ad_x86.cpp"
  }
}

void compareAndSwapP_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 2008 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // [Lock]
    emit_opcode(masm,0xF0);

    // CMPXCHG [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xB1);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
  
#line 20655 "ad_x86.cpp"
  }
  {

#line 2041 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int res_encoding = opnd_array(0)->reg(ra_,this)/* res */;

    // MOV  res,0
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 0 );
    // JNE,s  fail
    emit_opcode(masm,0x75);
    emit_d8(masm, 5 );
    // MOV  res,1
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 1 );
    // fail:
  
#line 20674 "ad_x86.cpp"
  }
}

void compareAndSwapBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 2018 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // [Lock]
    emit_opcode(masm,0xF0);

    // CMPXCHGB [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xB0);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
  
#line 20696 "ad_x86.cpp"
  }
  {

#line 2041 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int res_encoding = opnd_array(0)->reg(ra_,this)/* res */;

    // MOV  res,0
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 0 );
    // JNE,s  fail
    emit_opcode(masm,0x75);
    emit_d8(masm, 5 );
    // MOV  res,1
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 1 );
    // fail:
  
#line 20715 "ad_x86.cpp"
  }
}

void compareAndSwapB_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 2018 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // [Lock]
    emit_opcode(masm,0xF0);

    // CMPXCHGB [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xB0);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
  
#line 20737 "ad_x86.cpp"
  }
  {

#line 2041 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int res_encoding = opnd_array(0)->reg(ra_,this)/* res */;

    // MOV  res,0
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 0 );
    // JNE,s  fail
    emit_opcode(masm,0x75);
    emit_d8(masm, 5 );
    // MOV  res,1
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 1 );
    // fail:
  
#line 20756 "ad_x86.cpp"
  }
}

void compareAndSwapSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 2028 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // [Lock]
    emit_opcode(masm,0xF0);

    // 16-bit mode
    emit_opcode(masm, 0x66);

    // CMPXCHGW [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xB1);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
  
#line 20781 "ad_x86.cpp"
  }
  {

#line 2041 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int res_encoding = opnd_array(0)->reg(ra_,this)/* res */;

    // MOV  res,0
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 0 );
    // JNE,s  fail
    emit_opcode(masm,0x75);
    emit_d8(masm, 5 );
    // MOV  res,1
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 1 );
    // fail:
  
#line 20800 "ad_x86.cpp"
  }
}

void compareAndSwapS_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 2028 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // [Lock]
    emit_opcode(masm,0xF0);

    // 16-bit mode
    emit_opcode(masm, 0x66);

    // CMPXCHGW [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xB1);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
  
#line 20825 "ad_x86.cpp"
  }
  {

#line 2041 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int res_encoding = opnd_array(0)->reg(ra_,this)/* res */;

    // MOV  res,0
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 0 );
    // JNE,s  fail
    emit_opcode(masm,0x75);
    emit_d8(masm, 5 );
    // MOV  res,1
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 1 );
    // fail:
  
#line 20844 "ad_x86.cpp"
  }
}

void compareAndSwapINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 2008 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // [Lock]
    emit_opcode(masm,0xF0);

    // CMPXCHG [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xB1);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
  
#line 20866 "ad_x86.cpp"
  }
  {

#line 2041 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int res_encoding = opnd_array(0)->reg(ra_,this)/* res */;

    // MOV  res,0
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 0 );
    // JNE,s  fail
    emit_opcode(masm,0x75);
    emit_d8(masm, 5 );
    // MOV  res,1
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 1 );
    // fail:
  
#line 20885 "ad_x86.cpp"
  }
}

void compareAndSwapI_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 2008 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // [Lock]
    emit_opcode(masm,0xF0);

    // CMPXCHG [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xB1);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
  
#line 20907 "ad_x86.cpp"
  }
  {

#line 2041 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int res_encoding = opnd_array(0)->reg(ra_,this)/* res */;

    // MOV  res,0
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 0 );
    // JNE,s  fail
    emit_opcode(masm,0x75);
    emit_d8(masm, 5 );
    // MOV  res,1
    emit_opcode( masm, 0xB8 + res_encoding);
    emit_d32( masm, 1 );
    // fail:
  
#line 20926 "ad_x86.cpp"
  }
}

void compareAndExchangeLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 1992 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"


    // XCHG  rbx,ecx
    emit_opcode(masm,0x87);
    emit_opcode(masm,0xD9);
    // [Lock]
    emit_opcode(masm,0xF0);
    // CMPXCHG8 [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xC7);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
    // XCHG  rbx,ecx
    emit_opcode(masm,0x87);
    emit_opcode(masm,0xD9);
  
#line 20954 "ad_x86.cpp"
  }
}

void compareAndExchangePNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 2008 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // [Lock]
    emit_opcode(masm,0xF0);

    // CMPXCHG [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xB1);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
  
#line 20976 "ad_x86.cpp"
  }
}

void compareAndExchangeBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 2018 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // [Lock]
    emit_opcode(masm,0xF0);

    // CMPXCHGB [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xB0);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
  
#line 20998 "ad_x86.cpp"
  }
}

void compareAndExchangeSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 2028 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // [Lock]
    emit_opcode(masm,0xF0);

    // 16-bit mode
    emit_opcode(masm, 0x66);

    // CMPXCHGW [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xB1);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
  
#line 21023 "ad_x86.cpp"
  }
}

void compareAndExchangeINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  {

#line 2008 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // [Lock]
    emit_opcode(masm,0xF0);

    // CMPXCHG [Eptr]
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xB1);
    emit_rm( masm, 0x0, 1, opnd_array(1)->reg(ra_,this,idx1)/* mem_ptr */ );
  
#line 21045 "ad_x86.cpp"
  }
}

void xaddB_no_resNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// add
  {

#line 7240 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ lock();
    __ addb(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->constant());
  
#line 21061 "ad_x86.cpp"
  }
}

void xaddBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// newval
  {

#line 7252 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ lock();
    __ xaddb(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_Register(ra_,this,idx2)/* newval */);
  
#line 21077 "ad_x86.cpp"
  }
}

void xaddS_no_resNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// add
  {

#line 7264 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ lock();
    __ addw(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->constant());
  
#line 21093 "ad_x86.cpp"
  }
}

void xaddSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// newval
  {

#line 7275 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ lock();
    __ xaddw(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_Register(ra_,this,idx2)/* newval */);
  
#line 21109 "ad_x86.cpp"
  }
}

void xaddI_no_resNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// add
  {

#line 7287 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ lock();
    __ addl(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->constant());
  
#line 21125 "ad_x86.cpp"
  }
}

void xaddINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// newval
  {

#line 7298 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ lock();
    __ xaddl(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_Register(ra_,this,idx2)/* newval */);
  
#line 21141 "ad_x86.cpp"
  }
}

void xchgBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// newval
  {

#line 7309 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ xchgb(opnd_array(2)->as_Register(ra_,this,idx2)/* newval */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 21156 "ad_x86.cpp"
  }
}

void xchgSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// newval
  {

#line 7318 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ xchgw(opnd_array(2)->as_Register(ra_,this,idx2)/* newval */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 21171 "ad_x86.cpp"
  }
}

void xchgINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// newval
  {

#line 7327 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ xchgl(opnd_array(2)->as_Register(ra_,this,idx2)/* newval */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 21186 "ad_x86.cpp"
  }
}

void xchgPNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// newval
  {

#line 7336 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ xchgl(opnd_array(2)->as_Register(ra_,this,idx2)/* newval */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 21201 "ad_x86.cpp"
  }
}

void subI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x2B /*primary()*/));
  
#line 21216 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 21224 "ad_x86.cpp"
  }
}

uint subI_eRegNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void subI_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1628 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x81 /*primary()*/) | 0x02);    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x81 /*primary()*/));
    }
    // Emit r/m byte with secondary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x05 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
  
#line 21252 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 21267 "ad_x86.cpp"
  }
}

void subI_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 21282 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x2B /*primary()*/));
  
#line 21290 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* dst */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 21304 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 21312 "ad_x86.cpp"
  }
}

void subI_mem_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 21327 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x29 /*primary()*/));
  
#line 21335 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* src */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 21349 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 21357 "ad_x86.cpp"
  }
}

void subP_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x2B /*primary()*/));
  
#line 21373 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(3)->reg(ra_,this,idx3)/* src */);
  
#line 21381 "ad_x86.cpp"
  }
}

uint subP_eRegNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void negI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// zero
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xF7 /*primary()*/));
  
#line 21401 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x03 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* dst */ );
  
#line 21409 "ad_x86.cpp"
  }
}

uint negI_eRegNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void mulI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x0F /*secondary()*/));
  
#line 21429 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xAF /*primary()*/));
  
#line 21437 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 21445 "ad_x86.cpp"
  }
}

uint mulI_eRegNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 3, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 3);
}

void mulI_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// imm
  {

#line 1618 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x69 /*primary()*/) | 0x02);
    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x69 /*primary()*/));
    }
  
#line 21471 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(0)->reg(ra_,this)/* dst */, opnd_array(1)->reg(ra_,this,idx1)/* src */);
  
#line 21479 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 21494 "ad_x86.cpp"
  }
}

void loadConL_low_onlyNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1883 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Load immediate does not have a zero or sign extended version
    // for 8-bit immediates
    int dst_enc = opnd_array(0)->reg(ra_,this)/* dst */;
    int src_con = opnd_array(1)->constantL() & 0x0FFFFFFFFL;
    if (src_con == 0) {
      // xor dst, dst
      emit_opcode(masm, 0x33);
      emit_rm(masm, 0x3, dst_enc, dst_enc);
    } else {
      emit_opcode(masm, (0xB8 /*primary()*/) + dst_enc);
      emit_d32(masm, src_con);
    }
  
#line 21519 "ad_x86.cpp"
  }
}

void mulI_imm_highNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cnt
  {

#line 2667 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // IMUL   EDX:EAX,$src1
    emit_opcode( masm, 0xF7 );
    emit_rm( masm, 0x3, 0x5, opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
    // SAR    EDX,$cnt-32
    int shift_count = ((int)opnd_array(3)->constant()) - 32;
    if (shift_count > 0) {
      emit_opcode(masm, 0xC1);
      emit_rm(masm, 0x3, 7, opnd_array(0)->reg(ra_,this)/* dst */ );
      emit_d8(masm, shift_count);
    }
  
#line 21544 "ad_x86.cpp"
  }
}

void mulI_imm_high_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cnt
  {

#line 2667 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // IMUL   EDX:EAX,$src1
    emit_opcode( masm, 0xF7 );
    emit_rm( masm, 0x3, 0x5, opnd_array(2)->reg(ra_,this,idx2)/* src1 */ );
    // SAR    EDX,$cnt-32
    int shift_count = ((int)opnd_array(3)->constant()) - 32;
    if (shift_count > 0) {
      emit_opcode(masm, 0xC1);
      emit_rm(masm, 0x3, 7, opnd_array(0)->reg(ra_,this)/* dst */ );
      emit_d8(masm, shift_count);
    }
  
#line 21569 "ad_x86.cpp"
  }
}

void mulI_imm_RShift_highNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cnt
  {

#line 2667 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // IMUL   EDX:EAX,$src1
    emit_opcode( masm, 0xF7 );
    emit_rm( masm, 0x3, 0x5, opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
    // SAR    EDX,$cnt-32
    int shift_count = ((int)opnd_array(3)->constant()) - 32;
    if (shift_count > 0) {
      emit_opcode(masm, 0xC1);
      emit_rm(masm, 0x3, 7, opnd_array(0)->reg(ra_,this)/* dst */ );
      emit_d8(masm, shift_count);
    }
  
#line 21594 "ad_x86.cpp"
  }
}

void mulI_imm_RShift_high_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cnt
  {

#line 2667 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // IMUL   EDX:EAX,$src1
    emit_opcode( masm, 0xF7 );
    emit_rm( masm, 0x3, 0x5, opnd_array(2)->reg(ra_,this,idx2)/* src1 */ );
    // SAR    EDX,$cnt-32
    int shift_count = ((int)opnd_array(3)->constant()) - 32;
    if (shift_count > 0) {
      emit_opcode(masm, 0xC1);
      emit_rm(masm, 0x3, 7, opnd_array(0)->reg(ra_,this)/* dst */ );
      emit_d8(masm, shift_count);
    }
  
#line 21619 "ad_x86.cpp"
  }
}

void mulI_mem_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// imm
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 21634 "ad_x86.cpp"
  }
  {

#line 1618 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x69 /*primary()*/) | 0x02);
    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x69 /*primary()*/));
    }
  
#line 21648 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 21662 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 21677 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 21685 "ad_x86.cpp"
  }
}

void mulINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 21700 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x0F /*secondary()*/));
  
#line 21708 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xAF /*primary()*/));
  
#line 21716 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* dst */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 21730 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 21738 "ad_x86.cpp"
  }
}

void mulI_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 21753 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x0F /*secondary()*/));
  
#line 21761 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xAF /*primary()*/));
  
#line 21769 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 21783 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 21791 "ad_x86.cpp"
  }
}

void mulI2LNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  {

#line 2693 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Basic idea: long = (long)int * (long)int
    // IMUL EDX:EAX, src
    emit_opcode( masm, 0xF7 );
    emit_rm( masm, 0x3, 0x5, opnd_array(2)->reg(ra_,this,idx2)/* src1 */);
  
#line 21809 "ad_x86.cpp"
  }
}

void mulI2L_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2693 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Basic idea: long = (long)int * (long)int
    // IMUL EDX:EAX, src
    emit_opcode( masm, 0xF7 );
    emit_rm( masm, 0x3, 0x5, opnd_array(1)->reg(ra_,this,idx1)/* src1 */);
  
#line 21827 "ad_x86.cpp"
  }
}

void mulIS_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src1
  {

#line 2700 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Basic Idea:  long = (int & 0xffffffffL) * (int & 0xffffffffL)
    // MUL EDX:EAX, src
    emit_opcode( masm, 0xF7 );
    emit_rm( masm, 0x3, 0x4, opnd_array(3)->reg(ra_,this,idx3)/* src1 */);
  
#line 21846 "ad_x86.cpp"
  }
}

void mulIS_eReg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src
  {

#line 2700 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Basic Idea:  long = (int & 0xffffffffL) * (int & 0xffffffffL)
    // MUL EDX:EAX, src
    emit_opcode( masm, 0xF7 );
    emit_rm( masm, 0x3, 0x4, opnd_array(1)->reg(ra_,this,idx1)/* src1 */);
  
#line 21865 "ad_x86.cpp"
  }
}

void mulL_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 2707 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Basic idea: lo(result) = lo(x_lo * y_lo)
    //             hi(result) = hi(x_lo * y_lo) + lo(x_hi * y_lo) + lo(x_lo * y_hi)
    // MOV    $tmp,$src.lo
    encode_Copy( masm, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, opnd_array(2)->reg(ra_,this,idx2)/* src */ );
    // IMUL   $tmp,EDX
    emit_opcode( masm, 0x0F );
    emit_opcode( masm, 0xAF );
    emit_rm( masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */) );
    // MOV    EDX,$src.hi
    encode_Copy( masm, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* src */) );
    // IMUL   EDX,EAX
    emit_opcode( masm, 0x0F );
    emit_opcode( masm, 0xAF );
    emit_rm( masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
    // ADD    $tmp,EDX
    emit_opcode( masm, 0x03 );
    emit_rm( masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */) );
    // MUL   EDX:EAX,$src.lo
    emit_opcode( masm, 0xF7 );
    emit_rm( masm, 0x3, 0x4, opnd_array(2)->reg(ra_,this,idx2)/* src */ );
    // ADD    EDX,ESI
    emit_opcode( masm, 0x03 );
    emit_rm( masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */), opnd_array(3)->reg(ra_,this,idx3)/* tmp */ );
  
#line 21903 "ad_x86.cpp"
  }
}

void mulL_eReg_lhi0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 7572 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW(opnd_array(2)->as_Register(ra_,this,idx2)/* src */));
    __ imull(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */, rax);
    __ mull(opnd_array(2)->as_Register(ra_,this,idx2)/* src */);
    __ addl(rdx, opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */);
  
#line 21922 "ad_x86.cpp"
  }
}

void mulL_eReg_rhi0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 7593 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */, opnd_array(2)->as_Register(ra_,this,idx2)/* src */);
    __ imull(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */, rdx);
    __ mull(opnd_array(2)->as_Register(ra_,this,idx2)/* src */);
    __ addl(rdx, opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */);
  
#line 21941 "ad_x86.cpp"
  }
}

void mulL_eReg_hi0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 7611 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ mull(opnd_array(2)->as_Register(ra_,this,idx2)/* src */);
  
#line 21956 "ad_x86.cpp"
  }
}

void mulL_eReg_conNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 2733 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Basic idea: lo(result) = lo(src * y_lo)
    //             hi(result) = hi(src * y_lo) + lo(src * y_hi)
    // IMUL   $tmp,EDX,$src
    emit_opcode( masm, 0x6B );
    emit_rm( masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */) );
    emit_d8( masm, (int)opnd_array(2)->constantL() );
    // MOV    EDX,$src
    emit_opcode(masm, 0xB8 + EDX_enc);
    emit_d32( masm, (int)opnd_array(2)->constantL() );
    // MUL   EDX:EAX,EDX
    emit_opcode( masm, 0xF7 );
    emit_rm( masm, 0x3, 0x4, EDX_enc );
    // ADD    EDX,ESI
    emit_opcode( masm, 0x03 );
    emit_rm( masm, 0x3, EDX_enc, opnd_array(3)->reg(ra_,this,idx3)/* tmp */ );
  
#line 21986 "ad_x86.cpp"
  }
}

uint mulL_eReg_conNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 12, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 12);
}

void divI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// rax
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// div
  {

#line 1570 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Full implementation of Java idiv and irem; checks for
    // special case as described in JVM spec., p.243 & p.271.
    //
    //         normal case                           special case
    //
    // input : rax,: dividend                         min_int
    //         reg: divisor                          -1
    //
    // output: rax,: quotient  (= rax, idiv reg)       min_int
    //         rdx: remainder (= rax, irem reg)       0
    //
    //  Code sequnce:
    //
    //  81 F8 00 00 00 80    cmp         rax,80000000h
    //  0F 85 0B 00 00 00    jne         normal_case
    //  33 D2                xor         rdx,edx
    //  83 F9 FF             cmp         rcx,0FFh
    //  0F 84 03 00 00 00    je          done
    //                  normal_case:
    //  99                   cdq
    //  F7 F9                idiv        rax,ecx
    //                  done:
    //
    emit_opcode(masm,0x81); emit_d8(masm,0xF8);
    emit_opcode(masm,0x00); emit_d8(masm,0x00);
    emit_opcode(masm,0x00); emit_d8(masm,0x80);                     // cmp rax,80000000h
    emit_opcode(masm,0x0F); emit_d8(masm,0x85);
    emit_opcode(masm,0x0B); emit_d8(masm,0x00);
    emit_opcode(masm,0x00); emit_d8(masm,0x00);                     // jne normal_case
    emit_opcode(masm,0x33); emit_d8(masm,0xD2);                     // xor rdx,edx
    emit_opcode(masm,0x83); emit_d8(masm,0xF9); emit_d8(masm,0xFF); // cmp rcx,0FFh
    emit_opcode(masm,0x0F); emit_d8(masm,0x84);
    emit_opcode(masm,0x03); emit_d8(masm,0x00);
    emit_opcode(masm,0x00); emit_d8(masm,0x00);                     // je done
    // normal_case:
    emit_opcode(masm,0x99);                                         // cdq
    // idiv (note: must be emitted by the user of this rule)
    // normal:
  
#line 22043 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xF7 /*primary()*/));
  
#line 22051 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x7 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* div */ );
  
#line 22059 "ad_x86.cpp"
  }
}

uint divI_eRegNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 26, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 26);
}

void divL_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2751 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // PUSH src1.hi
    emit_opcode(masm, HIGH_FROM_LOW_ENC(0x50+opnd_array(1)->reg(ra_,this,idx1)/* src1 */) );
    // PUSH src1.lo
    emit_opcode(masm,               0x50+opnd_array(1)->reg(ra_,this,idx1)/* src1 */  );
    // PUSH src2.hi
    emit_opcode(masm, HIGH_FROM_LOW_ENC(0x50+opnd_array(2)->reg(ra_,this,idx2)/* src2 */) );
    // PUSH src2.lo
    emit_opcode(masm,               0x50+opnd_array(2)->reg(ra_,this,idx2)/* src2 */  );
    // CALL directly to the runtime
    __ set_inst_mark();
    emit_opcode(masm,0xE8);       // Call into runtime
    emit_d32_reloc(masm, (CAST_FROM_FN_PTR(address, SharedRuntime::ldiv) - __ pc()) - 4, runtime_call_Relocation::spec(), RELOC_IMM32 );
    __ clear_inst_mark();
    __ post_call_nop();
    // Restore stack
    emit_opcode(masm, 0x83); // add  SP, #framesize
    emit_rm(masm, 0x3, 0x00, ESP_enc);
    emit_d8(masm, 4*4);
  
#line 22096 "ad_x86.cpp"
  }
}

void divModI_eReg_divmodNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// div
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// rdx
  {

#line 1570 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Full implementation of Java idiv and irem; checks for
    // special case as described in JVM spec., p.243 & p.271.
    //
    //         normal case                           special case
    //
    // input : rax,: dividend                         min_int
    //         reg: divisor                          -1
    //
    // output: rax,: quotient  (= rax, idiv reg)       min_int
    //         rdx: remainder (= rax, irem reg)       0
    //
    //  Code sequnce:
    //
    //  81 F8 00 00 00 80    cmp         rax,80000000h
    //  0F 85 0B 00 00 00    jne         normal_case
    //  33 D2                xor         rdx,edx
    //  83 F9 FF             cmp         rcx,0FFh
    //  0F 84 03 00 00 00    je          done
    //                  normal_case:
    //  99                   cdq
    //  F7 F9                idiv        rax,ecx
    //                  done:
    //
    emit_opcode(masm,0x81); emit_d8(masm,0xF8);
    emit_opcode(masm,0x00); emit_d8(masm,0x00);
    emit_opcode(masm,0x00); emit_d8(masm,0x80);                     // cmp rax,80000000h
    emit_opcode(masm,0x0F); emit_d8(masm,0x85);
    emit_opcode(masm,0x0B); emit_d8(masm,0x00);
    emit_opcode(masm,0x00); emit_d8(masm,0x00);                     // jne normal_case
    emit_opcode(masm,0x33); emit_d8(masm,0xD2);                     // xor rdx,edx
    emit_opcode(masm,0x83); emit_d8(masm,0xF9); emit_d8(masm,0xFF); // cmp rcx,0FFh
    emit_opcode(masm,0x0F); emit_d8(masm,0x84);
    emit_opcode(masm,0x03); emit_d8(masm,0x00);
    emit_opcode(masm,0x00); emit_d8(masm,0x00);                     // je done
    // normal_case:
    emit_opcode(masm,0x99);                                         // cdq
    // idiv (note: must be emitted by the user of this rule)
    // normal:
  
#line 22148 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xF7 /*primary()*/));
  
#line 22156 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x7 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* div */ );
  
#line 22164 "ad_x86.cpp"
  }
}

uint divModI_eReg_divmodNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 26, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 26);
}

void modI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// rax
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// div
  {

#line 1570 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Full implementation of Java idiv and irem; checks for
    // special case as described in JVM spec., p.243 & p.271.
    //
    //         normal case                           special case
    //
    // input : rax,: dividend                         min_int
    //         reg: divisor                          -1
    //
    // output: rax,: quotient  (= rax, idiv reg)       min_int
    //         rdx: remainder (= rax, irem reg)       0
    //
    //  Code sequnce:
    //
    //  81 F8 00 00 00 80    cmp         rax,80000000h
    //  0F 85 0B 00 00 00    jne         normal_case
    //  33 D2                xor         rdx,edx
    //  83 F9 FF             cmp         rcx,0FFh
    //  0F 84 03 00 00 00    je          done
    //                  normal_case:
    //  99                   cdq
    //  F7 F9                idiv        rax,ecx
    //                  done:
    //
    emit_opcode(masm,0x81); emit_d8(masm,0xF8);
    emit_opcode(masm,0x00); emit_d8(masm,0x00);
    emit_opcode(masm,0x00); emit_d8(masm,0x80);                     // cmp rax,80000000h
    emit_opcode(masm,0x0F); emit_d8(masm,0x85);
    emit_opcode(masm,0x0B); emit_d8(masm,0x00);
    emit_opcode(masm,0x00); emit_d8(masm,0x00);                     // jne normal_case
    emit_opcode(masm,0x33); emit_d8(masm,0xD2);                     // xor rdx,edx
    emit_opcode(masm,0x83); emit_d8(masm,0xF9); emit_d8(masm,0xFF); // cmp rcx,0FFh
    emit_opcode(masm,0x0F); emit_d8(masm,0x84);
    emit_opcode(masm,0x03); emit_d8(masm,0x00);
    emit_opcode(masm,0x00); emit_d8(masm,0x00);                     // je done
    // normal_case:
    emit_opcode(masm,0x99);                                         // cdq
    // idiv (note: must be emitted by the user of this rule)
    // normal:
  
#line 22221 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xF7 /*primary()*/));
  
#line 22229 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x7 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* div */ );
  
#line 22237 "ad_x86.cpp"
  }
}

uint modI_eRegNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 26, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 26);
}

void modL_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2772 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // PUSH src1.hi
    emit_opcode(masm, HIGH_FROM_LOW_ENC(0x50+opnd_array(1)->reg(ra_,this,idx1)/* src1 */) );
    // PUSH src1.lo
    emit_opcode(masm,               0x50+opnd_array(1)->reg(ra_,this,idx1)/* src1 */  );
    // PUSH src2.hi
    emit_opcode(masm, HIGH_FROM_LOW_ENC(0x50+opnd_array(2)->reg(ra_,this,idx2)/* src2 */) );
    // PUSH src2.lo
    emit_opcode(masm,               0x50+opnd_array(2)->reg(ra_,this,idx2)/* src2 */  );
    // CALL directly to the runtime
    __ set_inst_mark();
    emit_opcode(masm,0xE8);       // Call into runtime
    emit_d32_reloc(masm, (CAST_FROM_FN_PTR(address, SharedRuntime::lrem ) - __ pc()) - 4, runtime_call_Relocation::spec(), RELOC_IMM32 );
    __ clear_inst_mark();
    __ post_call_nop();
    // Restore stack
    emit_opcode(masm, 0x83); // add  SP, #framesize
    emit_rm(masm, 0x3, 0x00, ESP_enc);
    emit_d8(masm, 4*4);
  
#line 22274 "ad_x86.cpp"
  }
}

void divL_eReg_imm32Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// imm
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp2
  {

#line 7742 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int con = (int)opnd_array(2)->constantL();
    assert(con != 0 && con != -1 && con != min_jint, "wrong divisor");
    int pcon = (con > 0) ? con : -con;
    Label Lfast, Lpos, Ldone;

    __ movl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */, pcon);
    __ xorl(opnd_array(4)->as_Register(ra_,this,idx4)/* tmp2 */,opnd_array(4)->as_Register(ra_,this,idx4)/* tmp2 */);
    __ cmpl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */));
    __ jccb(Assembler::above, Lfast); // result fits into 32 bit

    __ movl(opnd_array(4)->as_Register(ra_,this,idx4)/* tmp2 */, opnd_array(1)->as_Register(ra_,this,idx1)/* dst */); // save
    __ movl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */, HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */));
    __ movl(HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */),0); // preserve flags
    __ jccb(Assembler::lessEqual, Lpos); // result is positive

    // Negative dividend.
    // convert value to positive to use unsigned division
    __ lneg(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */, opnd_array(4)->as_Register(ra_,this,idx4)/* tmp2 */);
    __ divl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */);
    __ xchgl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */, opnd_array(4)->as_Register(ra_,this,idx4)/* tmp2 */);
    __ divl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */);
    // revert result back to negative
    __ lneg(opnd_array(4)->as_Register(ra_,this,idx4)/* tmp2 */, opnd_array(1)->as_Register(ra_,this,idx1)/* dst */);
    __ jmpb(Ldone);

    __ bind(Lpos);
    __ divl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */); // Use unsigned division
    __ xchgl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */, opnd_array(4)->as_Register(ra_,this,idx4)/* tmp2 */);
    // Fallthrow for final divide, tmp2 has 32 bit hi result

    __ bind(Lfast);
    // fast path: src is positive
    __ divl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */); // Use unsigned division

    __ bind(Ldone);
    __ movl(HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */),opnd_array(4)->as_Register(ra_,this,idx4)/* tmp2 */);
    if (con < 0) {
      __ lneg(HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */), opnd_array(1)->as_Register(ra_,this,idx1)/* dst */);
    }
  
#line 22329 "ad_x86.cpp"
  }
}

void modL_eReg_imm32Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// imm
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp2
  {

#line 7812 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int con = (int)opnd_array(2)->constantL();
    assert(con != 0 && con != -1 && con != min_jint, "wrong divisor");
    int pcon = (con > 0) ? con : -con;
    Label  Lfast, Lpos, Ldone;

    __ movl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */, pcon);
    __ cmpl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */));
    __ jccb(Assembler::above, Lfast); // src is positive and result fits into 32 bit

    __ movl(opnd_array(4)->as_Register(ra_,this,idx4)/* tmp2 */, opnd_array(1)->as_Register(ra_,this,idx1)/* dst */); // save
    __ movl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */, HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */));
    __ movl(HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */),0); // preserve flags
    __ jccb(Assembler::lessEqual, Lpos); // result is positive

    // Negative dividend.
    // convert value to positive to use unsigned division
    __ lneg(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */, opnd_array(4)->as_Register(ra_,this,idx4)/* tmp2 */);
    __ divl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */);
    __ movl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */, opnd_array(4)->as_Register(ra_,this,idx4)/* tmp2 */);
    __ divl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */);
    // revert remainder back to negative
    __ negl(HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */));
    __ jmpb(Ldone);

    __ bind(Lpos);
    __ divl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */);
    __ movl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */, opnd_array(4)->as_Register(ra_,this,idx4)/* tmp2 */);

    __ bind(Lfast);
    // fast path: src is positive
    __ divl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */);

    __ bind(Ldone);
    __ movl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */, HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */));
    __ sarl(HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */), 31); // result sign

  
#line 22381 "ad_x86.cpp"
  }
}

void shlI_eReg_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD1 /*primary()*/));
  
#line 22396 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x4 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 22404 "ad_x86.cpp"
  }
}

uint shlI_eReg_1Node::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void salI_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 1863 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xC1 /*primary()*/));
    emit_rm(masm, 0x3, (0x4 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
    emit_d8(masm, opnd_array(2)->constant());
  
#line 22426 "ad_x86.cpp"
  }
}

uint salI_eReg_immNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 3, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 3);
}

void salI_eReg_CLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD3 /*primary()*/));
  
#line 22446 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x4 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 22454 "ad_x86.cpp"
  }
}

uint salI_eReg_CLNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void sarI_eReg_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD1 /*primary()*/));
  
#line 22474 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x7 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 22482 "ad_x86.cpp"
  }
}

uint sarI_eReg_1Node::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void sarI_mem_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 22502 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD1 /*primary()*/));
  
#line 22510 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x7 /*secondary()*/);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 22524 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 22532 "ad_x86.cpp"
  }
}

void sarI_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 1863 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xC1 /*primary()*/));
    emit_rm(masm, 0x3, (0x7 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
    emit_d8(masm, opnd_array(2)->constant());
  
#line 22549 "ad_x86.cpp"
  }
}

uint sarI_eReg_immNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 3, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 3);
}

void sarI_mem_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 22569 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xC1 /*primary()*/));
  
#line 22577 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x7 /*secondary()*/);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 22591 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 22606 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 22614 "ad_x86.cpp"
  }
}

void sarI_eReg_CLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD3 /*primary()*/));
  
#line 22629 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x7 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 22637 "ad_x86.cpp"
  }
}

uint sarI_eReg_CLNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void shrI_eReg_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD1 /*primary()*/));
  
#line 22657 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x5 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 22665 "ad_x86.cpp"
  }
}

uint shrI_eReg_1Node::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void shrI_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 1863 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xC1 /*primary()*/));
    emit_rm(masm, 0x3, (0x5 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
    emit_d8(masm, opnd_array(2)->constant());
  
#line 22687 "ad_x86.cpp"
  }
}

uint shrI_eReg_immNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 3, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 3);
}

void i2bNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// twentyfour
  {

#line 7979 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movsbl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 22707 "ad_x86.cpp"
  }
}

uint i2bNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 3, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 3);
}

void i2sNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// sixteen
  {

#line 7992 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movswl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 22727 "ad_x86.cpp"
  }
}

uint i2sNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 3, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 3);
}

void shrI_eReg_CLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD3 /*primary()*/));
  
#line 22747 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x5 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 22755 "ad_x86.cpp"
  }
}

uint shrI_eReg_CLNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void andI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x23 /*primary()*/));
  
#line 22775 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 22783 "ad_x86.cpp"
  }
}

uint andI_eRegNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void andI_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1628 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x81 /*primary()*/) | 0x02);    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x81 /*primary()*/));
    }
    // Emit r/m byte with secondary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x04 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
  
#line 22811 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 22826 "ad_x86.cpp"
  }
}

void andI_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 22841 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x23 /*primary()*/));
  
#line 22849 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* dst */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 22863 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 22871 "ad_x86.cpp"
  }
}

void andI_eReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 22886 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x23 /*primary()*/));
  
#line 22894 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 22908 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 22916 "ad_x86.cpp"
  }
}

void andI_mem_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 22931 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x21 /*primary()*/));
  
#line 22939 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* src */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 22953 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 22961 "ad_x86.cpp"
  }
}

void andI_mem_eReg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 22976 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x21 /*primary()*/));
  
#line 22984 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* src */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 22998 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 23006 "ad_x86.cpp"
  }
}

void andI_mem_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 23021 "ad_x86.cpp"
  }
  {

#line 1618 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x81 /*primary()*/) | 0x02);
    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x81 /*primary()*/));
    }
  
#line 23035 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x4 /*secondary()*/);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 23049 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 23064 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 23072 "ad_x86.cpp"
  }
}

void andnI_rReg_rReg_rRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src2
  {

#line 8084 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ andnl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* src2 */);
  
#line 23088 "ad_x86.cpp"
  }
}

void andnI_rReg_rReg_rReg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// minus_1
  {

#line 8084 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ andnl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(2)->as_Register(ra_,this,idx2)/* src1 */, opnd_array(1)->as_Register(ra_,this,idx1)/* src2 */);
  
#line 23104 "ad_x86.cpp"
  }
}

void andnI_rReg_rReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src2
  {

#line 8098 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ andnl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(3)->base(ra_,this,idx3), opnd_array(3)->index(ra_,this,idx3), opnd_array(3)->scale(), opnd_array(3)->disp(ra_,this,idx3), opnd_array(3)->disp_reloc()));
  
#line 23120 "ad_x86.cpp"
  }
}

void andnI_rReg_rReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// minus_1
  {

#line 8098 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ andnl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(2)->as_Register(ra_,this,idx2)/* src1 */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 23136 "ad_x86.cpp"
  }
}

void blsiI_rReg_rRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// imm_zero
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 8111 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ blsil(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(2)->as_Register(ra_,this,idx2)/* src */);
  
#line 23151 "ad_x86.cpp"
  }
}

void blsiI_rReg_rReg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// imm_zero
  {

#line 8111 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ blsil(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 23166 "ad_x86.cpp"
  }
}

void blsiI_rReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// imm_zero
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 8125 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ blsil(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 23181 "ad_x86.cpp"
  }
}

void blsiI_rReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// imm_zero
  {

#line 8125 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ blsil(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 23196 "ad_x86.cpp"
  }
}

void blsmskI_rReg_rRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  {

#line 8139 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ blsmskl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 23211 "ad_x86.cpp"
  }
}

void blsmskI_rReg_rReg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  {

#line 8139 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ blsmskl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 23226 "ad_x86.cpp"
  }
}

void blsmskI_rReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  {

#line 8155 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ blsmskl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 23241 "ad_x86.cpp"
  }
}

void blsmskI_rReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  {

#line 8155 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ blsmskl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 23256 "ad_x86.cpp"
  }
}

void blsrI_rReg_rRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  {

#line 8170 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ blsrl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 23271 "ad_x86.cpp"
  }
}

void blsrI_rReg_rReg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  {

#line 8170 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ blsrl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 23286 "ad_x86.cpp"
  }
}

void blsrI_rReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  {

#line 8186 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ blsrl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 23301 "ad_x86.cpp"
  }
}

void blsrI_rReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  {

#line 8186 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ blsrl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 23316 "ad_x86.cpp"
  }
}

void orI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x0B /*primary()*/));
  
#line 23331 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 23339 "ad_x86.cpp"
  }
}

uint orI_eRegNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void orI_eReg_castP2XNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x0B /*primary()*/));
  
#line 23359 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 23367 "ad_x86.cpp"
  }
}

uint orI_eReg_castP2XNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void orI_eReg_castP2X_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x0B /*primary()*/));
  
#line 23387 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(2)->reg(ra_,this,idx2)/* dst */, opnd_array(1)->reg(ra_,this,idx1)/* src */);
  
#line 23395 "ad_x86.cpp"
  }
}

uint orI_eReg_castP2X_0Node::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void orI_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1628 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x81 /*primary()*/) | 0x02);    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x81 /*primary()*/));
    }
    // Emit r/m byte with secondary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x01 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
  
#line 23423 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 23438 "ad_x86.cpp"
  }
}

void orI_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 23453 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x0B /*primary()*/));
  
#line 23461 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* dst */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 23475 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 23483 "ad_x86.cpp"
  }
}

void orI_eReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 23498 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x0B /*primary()*/));
  
#line 23506 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 23520 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 23528 "ad_x86.cpp"
  }
}

void orI_mem_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 23543 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x09 /*primary()*/));
  
#line 23551 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* src */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 23565 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 23573 "ad_x86.cpp"
  }
}

void orI_mem_eReg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 23588 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x09 /*primary()*/));
  
#line 23596 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* src */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 23610 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 23618 "ad_x86.cpp"
  }
}

void orI_mem_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 23633 "ad_x86.cpp"
  }
  {

#line 1618 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x81 /*primary()*/) | 0x02);
    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x81 /*primary()*/));
    }
  
#line 23647 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x1 /*secondary()*/);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 23661 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 23676 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 23684 "ad_x86.cpp"
  }
}

void rolI_eReg_imm1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// shift
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD1 /*primary()*/));
  
#line 23699 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 23707 "ad_x86.cpp"
  }
}

void rolI_eReg_imm8Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// shift
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  {

#line 1863 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xC1 /*primary()*/));
    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
    emit_d8(masm, opnd_array(2)->constant());
  
#line 23724 "ad_x86.cpp"
  }
}

void rolI_eReg_CLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// shift
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD3 /*primary()*/));
  
#line 23739 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 23747 "ad_x86.cpp"
  }
}

void rorI_eReg_imm1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// shift
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD1 /*primary()*/));
  
#line 23762 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 23770 "ad_x86.cpp"
  }
}

void rorI_eReg_imm8Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// shift
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  {

#line 1863 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xC1 /*primary()*/));
    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
    emit_d8(masm, opnd_array(2)->constant());
  
#line 23787 "ad_x86.cpp"
  }
}

void rorI_eReg_CLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// shift
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD3 /*primary()*/));
  
#line 23802 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 23810 "ad_x86.cpp"
  }
}

void xorI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x33 /*primary()*/));
  
#line 23825 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 23833 "ad_x86.cpp"
  }
}

uint xorI_eRegNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void xorI_eReg_im1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// imm
  {

#line 8419 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

     __ notl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */);
  
#line 23853 "ad_x86.cpp"
  }
}

uint xorI_eReg_im1Node::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void xorI_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1628 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x81 /*primary()*/) | 0x02);    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x81 /*primary()*/));
    }
    // Emit r/m byte with secondary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x06 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
  
#line 23881 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 23896 "ad_x86.cpp"
  }
}

void xorI_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 23911 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x33 /*primary()*/));
  
#line 23919 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* dst */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 23933 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 23941 "ad_x86.cpp"
  }
}

void xorI_eReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 23956 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x33 /*primary()*/));
  
#line 23964 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 23978 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 23986 "ad_x86.cpp"
  }
}

void xorI_mem_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 24001 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x31 /*primary()*/));
  
#line 24009 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* src */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 24023 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 24031 "ad_x86.cpp"
  }
}

void xorI_mem_eReg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 24046 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x31 /*primary()*/));
  
#line 24054 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* src */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 24068 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 24076 "ad_x86.cpp"
  }
}

void xorI_mem_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 24091 "ad_x86.cpp"
  }
  {

#line 1618 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x81 /*primary()*/) | 0x02);
    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x81 /*primary()*/));
    }
  
#line 24105 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x6 /*secondary()*/);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 24119 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 24134 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 24142 "ad_x86.cpp"
  }
}

void movI_nocopyNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1915 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    encode_Copy( masm, opnd_array(0)->reg(ra_,this)/* dst */, opnd_array(1)->reg(ra_,this,idx1)/* src */ );
  
#line 24156 "ad_x86.cpp"
  }
}

void ci2bNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  {

#line 2210 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // NEG $dst
    emit_opcode(masm,0xF7);
    emit_rm(masm, 0x3, 0x03, opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 24173 "ad_x86.cpp"
  }
  {

#line 1560 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm,(0x13));
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 24182 "ad_x86.cpp"
  }
}

uint ci2bNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 4, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 4);
}

void movP_nocopyNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1915 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    encode_Copy( masm, opnd_array(0)->reg(ra_,this)/* dst */, opnd_array(1)->reg(ra_,this,idx1)/* src */ );
  
#line 24201 "ad_x86.cpp"
  }
}

void cp2bNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cr
  {

#line 2210 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // NEG $dst
    emit_opcode(masm,0xF7);
    emit_rm(masm, 0x3, 0x03, opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 24218 "ad_x86.cpp"
  }
  {

#line 1560 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm,(0x13));
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 24227 "ad_x86.cpp"
  }
}

void cmpLTMaskNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// p
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// q
  {

#line 8537 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rp = opnd_array(1)->as_Register(ra_,this,idx1)/* p */;
    Register Rq = opnd_array(2)->as_Register(ra_,this,idx2)/* q */;
    Register Rd = opnd_array(0)->as_Register(ra_,this)/* dst */;
    Label done;
    __ xorl(Rd, Rd);
    __ cmpl(Rp, Rq);
    __ setb(Assembler::less, Rd);
    __ negl(Rd);
  
#line 24249 "ad_x86.cpp"
  }
}

void cmpLTMask0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  {

#line 8557 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

  __ sarl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */, 31);
  
#line 24264 "ad_x86.cpp"
  }
}

void cadd_cmpLTMaskNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// p
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// q
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// y
  {

#line 8572 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rp = opnd_array(1)->as_Register(ra_,this,idx1)/* p */;
    Register Rq = opnd_array(2)->as_Register(ra_,this,idx2)/* q */;
    Register Ry = opnd_array(3)->as_Register(ra_,this,idx3)/* y */;
    Label done;
    __ subl(Rp, Rq);
    __ jccb(Assembler::greaterEqual, done);
    __ addl(Rp, Ry);
    __ bind(done);
  
#line 24287 "ad_x86.cpp"
  }
}

void cadd_cmpLTMask_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// p
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// q
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// y
  {

#line 8572 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rp = opnd_array(1)->as_Register(ra_,this,idx1)/* p */;
    Register Rq = opnd_array(2)->as_Register(ra_,this,idx2)/* q */;
    Register Ry = opnd_array(3)->as_Register(ra_,this,idx3)/* y */;
    Label done;
    __ subl(Rp, Rq);
    __ jccb(Assembler::greaterEqual, done);
    __ addl(Rp, Ry);
    __ bind(done);
  
#line 24310 "ad_x86.cpp"
  }
}

void cadd_cmpLTMask_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// y
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// p
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// q
  {

#line 8572 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rp = opnd_array(2)->as_Register(ra_,this,idx2)/* p */;
    Register Rq = opnd_array(3)->as_Register(ra_,this,idx3)/* q */;
    Register Ry = opnd_array(1)->as_Register(ra_,this,idx1)/* y */;
    Label done;
    __ subl(Rp, Rq);
    __ jccb(Assembler::greaterEqual, done);
    __ addl(Rp, Ry);
    __ bind(done);
  
#line 24333 "ad_x86.cpp"
  }
}

void cadd_cmpLTMask_2Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// p
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// q
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// y
  {

#line 8572 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rp = opnd_array(1)->as_Register(ra_,this,idx1)/* p */;
    Register Rq = opnd_array(2)->as_Register(ra_,this,idx2)/* q */;
    Register Ry = opnd_array(3)->as_Register(ra_,this,idx3)/* y */;
    Label done;
    __ subl(Rp, Rq);
    __ jccb(Assembler::greaterEqual, done);
    __ addl(Rp, Ry);
    __ bind(done);
  
#line 24356 "ad_x86.cpp"
  }
}

void and_cmpLTMaskNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// p
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// q
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// y
  {

#line 8597 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rp = opnd_array(1)->as_Register(ra_,this,idx1)/* p */;
    Register Rq = opnd_array(2)->as_Register(ra_,this,idx2)/* q */;
    Register Ry = opnd_array(3)->as_Register(ra_,this,idx3)/* y */;
    Label done;
    __ cmpl(Rp, Rq);
    __ jccb(Assembler::less, done);
    __ xorl(Ry, Ry);
    __ bind(done);
  
#line 24379 "ad_x86.cpp"
  }
}

void and_cmpLTMask_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// y
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// p
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// q
  {

#line 8597 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rp = opnd_array(2)->as_Register(ra_,this,idx2)/* p */;
    Register Rq = opnd_array(3)->as_Register(ra_,this,idx3)/* q */;
    Register Ry = opnd_array(1)->as_Register(ra_,this,idx1)/* y */;
    Label done;
    __ cmpl(Rp, Rq);
    __ jccb(Assembler::less, done);
    __ xorl(Ry, Ry);
    __ bind(done);
  
#line 24402 "ad_x86.cpp"
  }
}

void overflowAddI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 8624 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ addl(opnd_array(1)->as_Register(ra_,this,idx1)/* op1 */, opnd_array(2)->as_Register(ra_,this,idx2)/* op2 */);
  
#line 24417 "ad_x86.cpp"
  }
}

void overflowAddI_rReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 8637 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ addl(opnd_array(1)->as_Register(ra_,this,idx1)/* op1 */, opnd_array(2)->constant());
  
#line 24432 "ad_x86.cpp"
  }
}

void overflowSubI_rRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 8648 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ cmpl(opnd_array(1)->as_Register(ra_,this,idx1)/* op1 */, opnd_array(2)->as_Register(ra_,this,idx2)/* op2 */);
  
#line 24447 "ad_x86.cpp"
  }
}

void overflowSubI_rReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 8659 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ cmpl(opnd_array(1)->as_Register(ra_,this,idx1)/* op1 */, opnd_array(2)->constant());
  
#line 24462 "ad_x86.cpp"
  }
}

void overflowNegI_rRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// zero
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 8671 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ negl(opnd_array(2)->as_Register(ra_,this,idx2)/* op2 */);
  
#line 24477 "ad_x86.cpp"
  }
}

void overflowMulI_rRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 8683 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ imull(opnd_array(1)->as_Register(ra_,this,idx1)/* op1 */, opnd_array(2)->as_Register(ra_,this,idx2)/* op2 */);
  
#line 24492 "ad_x86.cpp"
  }
}

void overflowMulI_rReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 8695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ imull(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */, opnd_array(1)->as_Register(ra_,this,idx1)/* op1 */, opnd_array(2)->constant());
  
#line 24508 "ad_x86.cpp"
  }
}

void absI_rRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 8712 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
    __ sarl(opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */, 31);
    __ movl(opnd_array(2)->as_Register(ra_,this,idx2)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
    __ xorl(opnd_array(2)->as_Register(ra_,this,idx2)/* dst */, opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */);
    __ subl(opnd_array(2)->as_Register(ra_,this,idx2)/* dst */, opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */);
  
#line 24528 "ad_x86.cpp"
  }
}

void addL_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1927 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x03 /*primary()*/));
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 24544 "ad_x86.cpp"
  }
  {

#line 1932 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x13 /*secondary()*/));
    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* src */));
  
#line 24553 "ad_x86.cpp"
  }
}

void addL_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1651 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    int con = (int)opnd_array(2)->constantL(); // Throw away top bits
    emit_opcode(masm, ((con >= -128) && (con <= 127)) ? ((0x81 /*primary()*/) | 0x02) : (0x81 /*primary()*/));
    // Emit r/m byte with secondary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x00 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
    if ((con >= -128) && (con <= 127)) emit_d8 (masm,con);
    else                               emit_d32(masm,con);
  
#line 24575 "ad_x86.cpp"
  }
  {

#line 1662 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    int con = (int)(opnd_array(2)->constantL() >> 32); // Throw away bottom bits
    emit_opcode(masm, ((con >= -128) && (con <= 127)) ? ((0x81 /*primary()*/) | 0x02) : (0x81 /*primary()*/));
    // Emit r/m byte with tertiary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x02 /*tertiary()*/), HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */));
    if ((con >= -128) && (con <= 127)) emit_d8 (masm,con);
    else                               emit_d32(masm,con);
  
#line 24590 "ad_x86.cpp"
  }
}

void addL_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 24605 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x03 /*primary()*/));
  
#line 24613 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* dst */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 24627 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x13 /*secondary()*/));
  
#line 24635 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */);  // Hi register of pair, computed from lo
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2) + 4;      // Offset is 4 further in memory
    assert( opnd_array(2)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 24649 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 24657 "ad_x86.cpp"
  }
}

void addL_eReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 24672 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x03 /*primary()*/));
  
#line 24680 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 24694 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x13 /*secondary()*/));
  
#line 24702 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* dst */);  // Hi register of pair, computed from lo
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1) + 4;      // Offset is 4 further in memory
    assert( opnd_array(1)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 24716 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 24724 "ad_x86.cpp"
  }
}

void subL_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1927 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x2B /*primary()*/));
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 24740 "ad_x86.cpp"
  }
  {

#line 1932 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x1B /*secondary()*/));
    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* src */));
  
#line 24749 "ad_x86.cpp"
  }
}

void subL_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1651 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    int con = (int)opnd_array(2)->constantL(); // Throw away top bits
    emit_opcode(masm, ((con >= -128) && (con <= 127)) ? ((0x81 /*primary()*/) | 0x02) : (0x81 /*primary()*/));
    // Emit r/m byte with secondary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x05 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
    if ((con >= -128) && (con <= 127)) emit_d8 (masm,con);
    else                               emit_d32(masm,con);
  
#line 24771 "ad_x86.cpp"
  }
  {

#line 1662 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    int con = (int)(opnd_array(2)->constantL() >> 32); // Throw away bottom bits
    emit_opcode(masm, ((con >= -128) && (con <= 127)) ? ((0x81 /*primary()*/) | 0x02) : (0x81 /*primary()*/));
    // Emit r/m byte with tertiary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x03 /*tertiary()*/), HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */));
    if ((con >= -128) && (con <= 127)) emit_d8 (masm,con);
    else                               emit_d32(masm,con);
  
#line 24786 "ad_x86.cpp"
  }
}

void subL_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 24801 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x2B /*primary()*/));
  
#line 24809 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* dst */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 24823 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x1B /*secondary()*/));
  
#line 24831 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */);  // Hi register of pair, computed from lo
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2) + 4;      // Offset is 4 further in memory
    assert( opnd_array(2)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 24845 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 24853 "ad_x86.cpp"
  }
}

void negL_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// zero
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 2839 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm,0xF7);    // NEG hi
    emit_rm    (masm,0x3, 0x3, HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* dst */));
    emit_opcode(masm,0xF7);    // NEG lo
    emit_rm    (masm,0x3, 0x3,               opnd_array(2)->reg(ra_,this,idx2)/* dst */ );
    emit_opcode(masm,0x83);    // SBB hi,0
    emit_rm    (masm,0x3, 0x3, HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* dst */));
    emit_d8    (masm,0 );
  
#line 24874 "ad_x86.cpp"
  }
}

void andL_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1927 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x23 /*primary()*/));
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 24890 "ad_x86.cpp"
  }
  {

#line 1932 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x23 /*secondary()*/));
    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* src */));
  
#line 24899 "ad_x86.cpp"
  }
}

void andL_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1651 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    int con = (int)opnd_array(2)->constantL(); // Throw away top bits
    emit_opcode(masm, ((con >= -128) && (con <= 127)) ? ((0x81 /*primary()*/) | 0x02) : (0x81 /*primary()*/));
    // Emit r/m byte with secondary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x04 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
    if ((con >= -128) && (con <= 127)) emit_d8 (masm,con);
    else                               emit_d32(masm,con);
  
#line 24921 "ad_x86.cpp"
  }
  {

#line 1662 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    int con = (int)(opnd_array(2)->constantL() >> 32); // Throw away bottom bits
    emit_opcode(masm, ((con >= -128) && (con <= 127)) ? ((0x81 /*primary()*/) | 0x02) : (0x81 /*primary()*/));
    // Emit r/m byte with tertiary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x04 /*tertiary()*/), HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */));
    if ((con >= -128) && (con <= 127)) emit_d8 (masm,con);
    else                               emit_d32(masm,con);
  
#line 24936 "ad_x86.cpp"
  }
}

void andL_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 24951 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x23 /*primary()*/));
  
#line 24959 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* dst */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 24973 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x23 /*secondary()*/));
  
#line 24981 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */);  // Hi register of pair, computed from lo
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2) + 4;      // Offset is 4 further in memory
    assert( opnd_array(2)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 24995 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 25003 "ad_x86.cpp"
  }
}

void andL_eReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 25018 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x23 /*primary()*/));
  
#line 25026 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 25040 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x23 /*secondary()*/));
  
#line 25048 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* dst */);  // Hi register of pair, computed from lo
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1) + 4;      // Offset is 4 further in memory
    assert( opnd_array(1)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 25062 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 25070 "ad_x86.cpp"
  }
}

void andnL_eReg_eReg_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// dst
  {

#line 8847 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(4)->as_Register(ra_,this,idx4)/* dst */;
    Register Rsrc1 = opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */;
    Register Rsrc2 = opnd_array(3)->as_Register(ra_,this,idx3)/* src2 */;
    __ andnl(Rdst, Rsrc1, Rsrc2);
    __ andnl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rsrc1), HIGH_FROM_LOW(Rsrc2));
  
#line 25091 "ad_x86.cpp"
  }
}

void andnL_eReg_eReg_eReg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// minus_1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// dst
  {

#line 8847 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(4)->as_Register(ra_,this,idx4)/* dst */;
    Register Rsrc1 = opnd_array(2)->as_Register(ra_,this,idx2)/* src1 */;
    Register Rsrc2 = opnd_array(1)->as_Register(ra_,this,idx1)/* src2 */;
    __ andnl(Rdst, Rsrc1, Rsrc2);
    __ andnl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rsrc1), HIGH_FROM_LOW(Rsrc2));
  
#line 25112 "ad_x86.cpp"
  }
}

void andnL_eReg_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// dst
  {

#line 8867 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(4)->as_Register(ra_,this,idx4)/* dst */;
    Register Rsrc1 = opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */;
    Address src2_hi = Address::make_raw(opnd_array(3)->base(ra_,this,idx3), opnd_array(3)->index(ra_,this,idx3), opnd_array(3)->scale(), opnd_array(3)->disp(ra_,this,idx3)+ 4, relocInfo::none);

    __ andnl(Rdst, Rsrc1, Address::make_raw(opnd_array(3)->base(ra_,this,idx3), opnd_array(3)->index(ra_,this,idx3), opnd_array(3)->scale(), opnd_array(3)->disp(ra_,this,idx3), opnd_array(3)->disp_reloc()));
    __ andnl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rsrc1), src2_hi);
  
#line 25134 "ad_x86.cpp"
  }
}

void andnL_eReg_eReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// minus_1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// dst
  {

#line 8867 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Rdst = opnd_array(4)->as_Register(ra_,this,idx4)/* dst */;
    Register Rsrc1 = opnd_array(2)->as_Register(ra_,this,idx2)/* src1 */;
    Address src2_hi = Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1)+ 4, relocInfo::none);

    __ andnl(Rdst, Rsrc1, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ andnl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rsrc1), src2_hi);
  
#line 25156 "ad_x86.cpp"
  }
}

void blsiL_eReg_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// imm_zero
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 8890 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label done;
    Register Rdst = opnd_array(3)->as_Register(ra_,this,idx3)/* dst */;
    Register Rsrc = opnd_array(2)->as_Register(ra_,this,idx2)/* src */;
    __ movl(HIGH_FROM_LOW(Rdst), 0);
    __ blsil(Rdst, Rsrc);
    __ jccb(Assembler::notZero, done);
    __ blsil(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rsrc));
    __ bind(done);
  
#line 25179 "ad_x86.cpp"
  }
}

void blsiL_eReg_eReg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// imm_zero
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 8890 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label done;
    Register Rdst = opnd_array(3)->as_Register(ra_,this,idx3)/* dst */;
    Register Rsrc = opnd_array(1)->as_Register(ra_,this,idx1)/* src */;
    __ movl(HIGH_FROM_LOW(Rdst), 0);
    __ blsil(Rdst, Rsrc);
    __ jccb(Assembler::notZero, done);
    __ blsil(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rsrc));
    __ bind(done);
  
#line 25202 "ad_x86.cpp"
  }
}

void blsiL_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// imm_zero
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 8916 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label done;
    Register Rdst = opnd_array(3)->as_Register(ra_,this,idx3)/* dst */;
    Address src_hi = Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2)+ 4, relocInfo::none);

    __ movl(HIGH_FROM_LOW(Rdst), 0);
    __ blsil(Rdst, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
    __ jccb(Assembler::notZero, done);
    __ blsil(HIGH_FROM_LOW(Rdst), src_hi);
    __ bind(done);
  
#line 25226 "ad_x86.cpp"
  }
}

void blsiL_eReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// imm_zero
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 8916 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label done;
    Register Rdst = opnd_array(3)->as_Register(ra_,this,idx3)/* dst */;
    Address src_hi = Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1)+ 4, relocInfo::none);

    __ movl(HIGH_FROM_LOW(Rdst), 0);
    __ blsil(Rdst, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ jccb(Assembler::notZero, done);
    __ blsil(HIGH_FROM_LOW(Rdst), src_hi);
    __ bind(done);
  
#line 25250 "ad_x86.cpp"
  }
}

void blsmskL_eReg_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 8943 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label done;
    Register Rdst = opnd_array(3)->as_Register(ra_,this,idx3)/* dst */;
    Register Rsrc = opnd_array(1)->as_Register(ra_,this,idx1)/* src */;
    __ movl(HIGH_FROM_LOW(Rdst), 0);
    __ blsmskl(Rdst, Rsrc);
    __ jccb(Assembler::carryClear, done);
    __ blsmskl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rsrc));
    __ bind(done);
  
#line 25273 "ad_x86.cpp"
  }
}

void blsmskL_eReg_eReg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 8943 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label done;
    Register Rdst = opnd_array(3)->as_Register(ra_,this,idx3)/* dst */;
    Register Rsrc = opnd_array(1)->as_Register(ra_,this,idx1)/* src */;
    __ movl(HIGH_FROM_LOW(Rdst), 0);
    __ blsmskl(Rdst, Rsrc);
    __ jccb(Assembler::carryClear, done);
    __ blsmskl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rsrc));
    __ bind(done);
  
#line 25296 "ad_x86.cpp"
  }
}

void blsmskL_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 8971 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label done;
    Register Rdst = opnd_array(3)->as_Register(ra_,this,idx3)/* dst */;
    Address src_hi = Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1)+ 4, relocInfo::none);

    __ movl(HIGH_FROM_LOW(Rdst), 0);
    __ blsmskl(Rdst, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ jccb(Assembler::carryClear, done);
    __ blsmskl(HIGH_FROM_LOW(Rdst), src_hi);
    __ bind(done);
  
#line 25320 "ad_x86.cpp"
  }
}

void blsmskL_eReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 8971 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label done;
    Register Rdst = opnd_array(3)->as_Register(ra_,this,idx3)/* dst */;
    Address src_hi = Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1)+ 4, relocInfo::none);

    __ movl(HIGH_FROM_LOW(Rdst), 0);
    __ blsmskl(Rdst, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ jccb(Assembler::carryClear, done);
    __ blsmskl(HIGH_FROM_LOW(Rdst), src_hi);
    __ bind(done);
  
#line 25344 "ad_x86.cpp"
  }
}

void blsrL_eReg_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 8999 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label done;
    Register Rdst = opnd_array(3)->as_Register(ra_,this,idx3)/* dst */;
    Register Rsrc = opnd_array(1)->as_Register(ra_,this,idx1)/* src */;
    __ movl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rsrc));
    __ blsrl(Rdst, Rsrc);
    __ jccb(Assembler::carryClear, done);
    __ blsrl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rsrc));
    __ bind(done);
  
#line 25367 "ad_x86.cpp"
  }
}

void blsrL_eReg_eReg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 8999 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label done;
    Register Rdst = opnd_array(3)->as_Register(ra_,this,idx3)/* dst */;
    Register Rsrc = opnd_array(1)->as_Register(ra_,this,idx1)/* src */;
    __ movl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rsrc));
    __ blsrl(Rdst, Rsrc);
    __ jccb(Assembler::carryClear, done);
    __ blsrl(HIGH_FROM_LOW(Rdst), HIGH_FROM_LOW(Rsrc));
    __ bind(done);
  
#line 25390 "ad_x86.cpp"
  }
}

void blsrL_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 9027 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label done;
    Register Rdst = opnd_array(3)->as_Register(ra_,this,idx3)/* dst */;
    Address src_hi = Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1)+ 4, relocInfo::none);
    __ movl(HIGH_FROM_LOW(Rdst), src_hi);
    __ blsrl(Rdst, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ jccb(Assembler::carryClear, done);
    __ blsrl(HIGH_FROM_LOW(Rdst), src_hi);
    __ bind(done);
  
#line 25413 "ad_x86.cpp"
  }
}

void blsrL_eReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// minus_1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 9027 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label done;
    Register Rdst = opnd_array(3)->as_Register(ra_,this,idx3)/* dst */;
    Address src_hi = Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1)+ 4, relocInfo::none);
    __ movl(HIGH_FROM_LOW(Rdst), src_hi);
    __ blsrl(Rdst, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ jccb(Assembler::carryClear, done);
    __ blsrl(HIGH_FROM_LOW(Rdst), src_hi);
    __ bind(done);
  
#line 25436 "ad_x86.cpp"
  }
}

void orl_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1927 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0B /*primary()*/));
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 25452 "ad_x86.cpp"
  }
  {

#line 1932 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0B /*secondary()*/));
    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* src */));
  
#line 25461 "ad_x86.cpp"
  }
}

void orl_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1651 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    int con = (int)opnd_array(2)->constantL(); // Throw away top bits
    emit_opcode(masm, ((con >= -128) && (con <= 127)) ? ((0x81 /*primary()*/) | 0x02) : (0x81 /*primary()*/));
    // Emit r/m byte with secondary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x01 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
    if ((con >= -128) && (con <= 127)) emit_d8 (masm,con);
    else                               emit_d32(masm,con);
  
#line 25483 "ad_x86.cpp"
  }
  {

#line 1662 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    int con = (int)(opnd_array(2)->constantL() >> 32); // Throw away bottom bits
    emit_opcode(masm, ((con >= -128) && (con <= 127)) ? ((0x81 /*primary()*/) | 0x02) : (0x81 /*primary()*/));
    // Emit r/m byte with tertiary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x01 /*tertiary()*/), HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */));
    if ((con >= -128) && (con <= 127)) emit_d8 (masm,con);
    else                               emit_d32(masm,con);
  
#line 25498 "ad_x86.cpp"
  }
}

void orl_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 25513 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x0B /*primary()*/));
  
#line 25521 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* dst */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 25535 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x0B /*secondary()*/));
  
#line 25543 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */);  // Hi register of pair, computed from lo
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2) + 4;      // Offset is 4 further in memory
    assert( opnd_array(2)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 25557 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 25565 "ad_x86.cpp"
  }
}

void orl_eReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 25580 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x0B /*primary()*/));
  
#line 25588 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 25602 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x0B /*secondary()*/));
  
#line 25610 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* dst */);  // Hi register of pair, computed from lo
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1) + 4;      // Offset is 4 further in memory
    assert( opnd_array(1)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 25624 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 25632 "ad_x86.cpp"
  }
}

void xorl_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1927 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x33 /*primary()*/));
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 25648 "ad_x86.cpp"
  }
  {

#line 1932 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x33 /*secondary()*/));
    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* src */));
  
#line 25657 "ad_x86.cpp"
  }
}

void xorl_eReg_im1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// imm
  {

#line 9091 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

     __ notl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */);
     __ notl(HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */));
  
#line 25673 "ad_x86.cpp"
  }
}

void xorl_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1651 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    int con = (int)opnd_array(2)->constantL(); // Throw away top bits
    emit_opcode(masm, ((con >= -128) && (con <= 127)) ? ((0x81 /*primary()*/) | 0x02) : (0x81 /*primary()*/));
    // Emit r/m byte with secondary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x06 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
    if ((con >= -128) && (con <= 127)) emit_d8 (masm,con);
    else                               emit_d32(masm,con);
  
#line 25695 "ad_x86.cpp"
  }
  {

#line 1662 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    int con = (int)(opnd_array(2)->constantL() >> 32); // Throw away bottom bits
    emit_opcode(masm, ((con >= -128) && (con <= 127)) ? ((0x81 /*primary()*/) | 0x02) : (0x81 /*primary()*/));
    // Emit r/m byte with tertiary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x06 /*tertiary()*/), HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */));
    if ((con >= -128) && (con <= 127)) emit_d8 (masm,con);
    else                               emit_d32(masm,con);
  
#line 25710 "ad_x86.cpp"
  }
}

void xorl_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 25725 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x33 /*primary()*/));
  
#line 25733 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* dst */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 25747 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x33 /*secondary()*/));
  
#line 25755 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */);  // Hi register of pair, computed from lo
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2) + 4;      // Offset is 4 further in memory
    assert( opnd_array(2)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 25769 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 25777 "ad_x86.cpp"
  }
}

void xorl_eReg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 25792 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x33 /*primary()*/));
  
#line 25800 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(2)->reg(ra_,this,idx2)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 25814 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x33 /*secondary()*/));
  
#line 25822 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* dst */);  // Hi register of pair, computed from lo
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1) + 4;      // Offset is 4 further in memory
    assert( opnd_array(1)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 25836 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 25844 "ad_x86.cpp"
  }
}

void shlL_eReg_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt
  {

#line 9129 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ addl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */,opnd_array(1)->as_Register(ra_,this,idx1)/* dst */);
    __ adcl(HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */),HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */));
  
#line 25860 "ad_x86.cpp"
  }
}

void shlL_eReg_2Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt
  {

#line 9146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ addl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */,opnd_array(1)->as_Register(ra_,this,idx1)/* dst */);
    __ adcl(HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */),HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */));
    __ addl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */,opnd_array(1)->as_Register(ra_,this,idx1)/* dst */);
    __ adcl(HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */),HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */));
  
#line 25878 "ad_x86.cpp"
  }
}

void shlL_eReg_3Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt
  {

#line 9167 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ addl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */,opnd_array(1)->as_Register(ra_,this,idx1)/* dst */);
    __ adcl(HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */),HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */));
    __ addl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */,opnd_array(1)->as_Register(ra_,this,idx1)/* dst */);
    __ adcl(HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */),HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */));
    __ addl(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */,opnd_array(1)->as_Register(ra_,this,idx1)/* dst */);
    __ adcl(HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */),HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* dst */));
  
#line 25898 "ad_x86.cpp"
  }
}

void shlL_eReg_1_31Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt
  {

#line 2076 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int r1, r2;
    if( (0xA4 /*tertiary()*/) == 0xA4 ) { r1 = opnd_array(1)->reg(ra_,this,idx1)/* dst */;  r2 = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */); }
    else                    { r2 = opnd_array(1)->reg(ra_,this,idx1)/* dst */;  r1 = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */); }
    emit_opcode(masm,0x0F);
    emit_opcode(masm,(0xA4 /*tertiary()*/));
    emit_rm(masm, 0x3, r1, r2);
    emit_d8(masm,opnd_array(2)->constant());
    emit_d8(masm,(0xC1 /*primary()*/));
    emit_rm(masm, 0x3, (0x4 /*secondary()*/), r1);
    emit_d8(masm,opnd_array(2)->constant());
  
#line 25922 "ad_x86.cpp"
  }
}

void shlL_eReg_32_63Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt
  {

#line 2102 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int r1, r2;
    if( (0x4 /*secondary()*/) == 0x5 ) { r1 = opnd_array(1)->reg(ra_,this,idx1)/* dst */;  r2 = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */); }
    else                    { r2 = opnd_array(1)->reg(ra_,this,idx1)/* dst */;  r1 = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */); }

    emit_opcode( masm, 0x8B ); // Move r1,r2
    emit_rm(masm, 0x3, r1, r2);
    if( opnd_array(2)->constant() > 32 ) { // Shift, if not by zero
      emit_opcode(masm,(0xC1 /*primary()*/));
      emit_rm(masm, 0x3, (0x4 /*secondary()*/), r1);
      emit_d8(masm,opnd_array(2)->constant()-32);
    }
    emit_opcode(masm,0x33);  // XOR r2,r2
    emit_rm(masm, 0x3, r2, r2);
  
#line 25949 "ad_x86.cpp"
  }
}

void salL_eReg_CLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 2240 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // TEST shift,32
    emit_opcode(masm,0xF7);
    emit_rm(masm, 0x3, 0, ECX_enc);
    emit_d32(masm,0x20);
    // JEQ,s small
    emit_opcode(masm, 0x74);
    emit_d8(masm, 0x04);
    // MOV    $dst.hi,$dst.lo
    emit_opcode( masm, 0x8B );
    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
    // CLR    $dst.lo
    emit_opcode(masm, 0x33);
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(1)->reg(ra_,this,idx1)/* dst */);
// small:
    // SHLD   $dst.hi,$dst.lo,$shift
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xA5);
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */));
    // SHL    $dst.lo,$shift"
    emit_opcode(masm,0xD3);
    emit_rm(masm, 0x3, 0x4, opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 25984 "ad_x86.cpp"
  }
}

uint salL_eReg_CLNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 17, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 17);
}

void shrL_eReg_1_31Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt
  {

#line 2076 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int r1, r2;
    if( (0xAC /*tertiary()*/) == 0xA4 ) { r1 = opnd_array(1)->reg(ra_,this,idx1)/* dst */;  r2 = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */); }
    else                    { r2 = opnd_array(1)->reg(ra_,this,idx1)/* dst */;  r1 = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */); }
    emit_opcode(masm,0x0F);
    emit_opcode(masm,(0xAC /*tertiary()*/));
    emit_rm(masm, 0x3, r1, r2);
    emit_d8(masm,opnd_array(2)->constant());
    emit_d8(masm,(0xC1 /*primary()*/));
    emit_rm(masm, 0x3, (0x5 /*secondary()*/), r1);
    emit_d8(masm,opnd_array(2)->constant());
  
#line 26013 "ad_x86.cpp"
  }
}

void shrL_eReg_32_63Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt
  {

#line 2102 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int r1, r2;
    if( (0x5 /*secondary()*/) == 0x5 ) { r1 = opnd_array(1)->reg(ra_,this,idx1)/* dst */;  r2 = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */); }
    else                    { r2 = opnd_array(1)->reg(ra_,this,idx1)/* dst */;  r1 = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */); }

    emit_opcode( masm, 0x8B ); // Move r1,r2
    emit_rm(masm, 0x3, r1, r2);
    if( opnd_array(2)->constant() > 32 ) { // Shift, if not by zero
      emit_opcode(masm,(0xC1 /*primary()*/));
      emit_rm(masm, 0x3, (0x5 /*secondary()*/), r1);
      emit_d8(masm,opnd_array(2)->constant()-32);
    }
    emit_opcode(masm,0x33);  // XOR r2,r2
    emit_rm(masm, 0x3, r2, r2);
  
#line 26040 "ad_x86.cpp"
  }
}

void shrL_eReg_CLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 2264 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // TEST shift,32
    emit_opcode(masm,0xF7);
    emit_rm(masm, 0x3, 0, ECX_enc);
    emit_d32(masm,0x20);
    // JEQ,s small
    emit_opcode(masm, 0x74);
    emit_d8(masm, 0x04);
    // MOV    $dst.lo,$dst.hi
    emit_opcode( masm, 0x8B );
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */) );
    // CLR    $dst.hi
    emit_opcode(masm, 0x33);
    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */));
// small:
    // SHRD   $dst.lo,$dst.hi,$shift
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xAD);
    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
    // SHR    $dst.hi,$shift"
    emit_opcode(masm,0xD3);
    emit_rm(masm, 0x3, 0x5, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */) );
  
#line 26075 "ad_x86.cpp"
  }
}

uint shrL_eReg_CLNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 17, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 17);
}

void sarL_eReg_1_31Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt
  {

#line 2076 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int r1, r2;
    if( (0xAC /*tertiary()*/) == 0xA4 ) { r1 = opnd_array(1)->reg(ra_,this,idx1)/* dst */;  r2 = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */); }
    else                    { r2 = opnd_array(1)->reg(ra_,this,idx1)/* dst */;  r1 = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */); }
    emit_opcode(masm,0x0F);
    emit_opcode(masm,(0xAC /*tertiary()*/));
    emit_rm(masm, 0x3, r1, r2);
    emit_d8(masm,opnd_array(2)->constant());
    emit_d8(masm,(0xC1 /*primary()*/));
    emit_rm(masm, 0x3, (0x7 /*secondary()*/), r1);
    emit_d8(masm,opnd_array(2)->constant());
  
#line 26104 "ad_x86.cpp"
  }
}

void sarL_eReg_32_63Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt
  {

#line 2089 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0x8B ); // Move
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */));
    if( opnd_array(2)->constant() > 32 ) { // Shift, if not by zero
      emit_d8(masm,(0xC1 /*primary()*/));
      emit_rm(masm, 0x3, (0x7 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
      emit_d8(masm,opnd_array(2)->constant()-32);
    }
    emit_d8(masm,(0xC1 /*primary()*/));
    emit_rm(masm, 0x3, (0x7 /*secondary()*/), HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */));
    emit_d8(masm,31);
  
#line 26128 "ad_x86.cpp"
  }
}

void sarL_eReg_CLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 2288 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // TEST shift,32
    emit_opcode(masm,0xF7);
    emit_rm(masm, 0x3, 0, ECX_enc);
    emit_d32(masm,0x20);
    // JEQ,s small
    emit_opcode(masm, 0x74);
    emit_d8(masm, 0x05);
    // MOV    $dst.lo,$dst.hi
    emit_opcode( masm, 0x8B );
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */) );
    // SAR    $dst.hi,31
    emit_opcode(masm, 0xC1);
    emit_rm(masm, 0x3, 7, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */) );
    emit_d8(masm, 0x1F );
// small:
    // SHRD   $dst.lo,$dst.hi,$shift
    emit_opcode(masm,0x0F);
    emit_opcode(masm,0xAD);
    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */), opnd_array(1)->reg(ra_,this,idx1)/* dst */);
    // SAR    $dst.hi,$shift"
    emit_opcode(masm,0xD3);
    emit_rm(masm, 0x3, 0x7, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* dst */) );
  
#line 26164 "ad_x86.cpp"
  }
}

uint sarL_eReg_CLNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 18, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 18);
}

void cmpDPR_cc_P6Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );   // FLD ST(i-1)
  
#line 26185 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDF /*primary()*/));
  
#line 26193 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x05 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
  
#line 26201 "ad_x86.cpp"
  }
  {

#line 2563 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Fixup the integer flags in case comparison involved a NaN
    //
    // JNP exit (no unordered comparison, P-flag is set by NaN)
    emit_opcode( masm, 0x7B );
    emit_d8    ( masm, 0x03 );
    // MOV AH,1 - treat as LT case (set carry flag)
    emit_opcode( masm, 0xB4 );
    emit_d8    ( masm, 0x01 );
    // SAHF
    emit_opcode( masm, 0x9E);
    // NOP     // target for branch to avoid branch to branch
    emit_opcode( masm, 0x90);
  
#line 26220 "ad_x86.cpp"
  }
}

void cmpDPR_cc_P6CFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );   // FLD ST(i-1)
  
#line 26236 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDF /*primary()*/));
  
#line 26244 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x05 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
  
#line 26252 "ad_x86.cpp"
  }
}

void cmpDPR_ccNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );   // FLD ST(i-1)
  
#line 26268 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD8 /*primary()*/));
  
#line 26276 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x3 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
  
#line 26284 "ad_x86.cpp"
  }
  {

#line 2540 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // fnstsw_ax
    emit_opcode( masm, 0xDF);
    emit_opcode( masm, 0xE0);
    // test ax,0x0400
    emit_opcode( masm, 0x66 );   // operand-size prefix for 16-bit immediate
    emit_opcode( masm, 0xA9 );
    emit_d16   ( masm, 0x0400 );
    // // // This sequence works, but stalls for 12-16 cycles on PPro
    // // test rax,0x0400
    // emit_opcode( masm, 0xA9 );
    // emit_d32   ( masm, 0x00000400 );
    //
    // jz exit (no unordered comparison)
    emit_opcode( masm, 0x74 );
    emit_d8    ( masm, 0x02 );
    // mov ah,1 - treat as LT case (set carry flag)
    emit_opcode( masm, 0xB4 );
    emit_d8    ( masm, 0x01 );
    // sahf
    emit_opcode( masm, 0x9E);
  
#line 26311 "ad_x86.cpp"
  }
}

void cmpDPR_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );   // FLD ST(i-1)
  
#line 26327 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*secondary()*/));
  
#line 26335 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xE4 /*primary()*/));
  
#line 26343 "ad_x86.cpp"
  }
  {

#line 2322 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );
    emit_d8( masm, 0xD8 );
  
#line 26352 "ad_x86.cpp"
  }
  {

#line 2593 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // fnstsw_ax();
    emit_opcode( masm, 0xDF);
    emit_opcode( masm, 0xE0);
    // sahf
    emit_opcode( masm, 0x9E);
    // movl(dst, nan_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, -1 );
    // jcc(Assembler::parity, exit);
    emit_opcode( masm, 0x7A );
    emit_d8    ( masm, 0x13 );
    // movl(dst, less_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, -1 );
    // jcc(Assembler::below, exit);
    emit_opcode( masm, 0x72 );
    emit_d8    ( masm, 0x0C );
    // movl(dst, equal_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, 0 );
    // jcc(Assembler::equal, exit);
    emit_opcode( masm, 0x74 );
    emit_d8    ( masm, 0x05 );
    // movl(dst, greater_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, 1 );
  
#line 26385 "ad_x86.cpp"
  }
}

void cmpDPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );   // FLD ST(i-1)
  
#line 26401 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD8 /*primary()*/));
  
#line 26409 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x3 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
  
#line 26417 "ad_x86.cpp"
  }
  {

#line 2593 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // fnstsw_ax();
    emit_opcode( masm, 0xDF);
    emit_opcode( masm, 0xE0);
    // sahf
    emit_opcode( masm, 0x9E);
    // movl(dst, nan_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, -1 );
    // jcc(Assembler::parity, exit);
    emit_opcode( masm, 0x7A );
    emit_d8    ( masm, 0x13 );
    // movl(dst, less_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, -1 );
    // jcc(Assembler::below, exit);
    emit_opcode( masm, 0x72 );
    emit_d8    ( masm, 0x0C );
    // movl(dst, equal_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, 0 );
    // jcc(Assembler::equal, exit);
    emit_opcode( masm, 0x74 );
    emit_d8    ( masm, 0x05 );
    // movl(dst, greater_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, 1 );
  
#line 26450 "ad_x86.cpp"
  }
}

void cmpD_ccNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 9397 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ ucomisd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
    emit_cmpfp_fixup(masm);
  
#line 26466 "ad_x86.cpp"
  }
}

void cmpD_ccCFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 9409 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ ucomisd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
  
#line 26481 "ad_x86.cpp"
  }
}

void cmpD_ccmemNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 9426 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ ucomisd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
    emit_cmpfp_fixup(masm);
  
#line 26497 "ad_x86.cpp"
  }
}

void cmpD_ccmemCFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 9438 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ ucomisd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 26512 "ad_x86.cpp"
  }
}

void cmpD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 9457 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ ucomisd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
    emit_cmpfp3(masm, opnd_array(0)->as_Register(ra_,this)/* dst */);
  
#line 26528 "ad_x86.cpp"
  }
}

void cmpD_regmemNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 9477 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ ucomisd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
    emit_cmpfp3(masm, opnd_array(0)->as_Register(ra_,this)/* dst */);
  
#line 26544 "ad_x86.cpp"
  }
}

void subDPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );   // FLD ST(i-1)
  
#line 26560 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 26568 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x5 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 26576 "ad_x86.cpp"
  }
}

void subDPR_reg_roundNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );   // FLD ST(i-1)
  
#line 26592 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD8 /*primary()*/));
  
#line 26600 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x5 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
  
#line 26608 "ad_x86.cpp"
  }
  {

#line 2379 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xDD, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 26616 "ad_x86.cpp"
  }
}

void subDPR_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 26631 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDD /*tertiary()*/));
  
#line 26639 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 26653 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 26661 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x5 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 26669 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 26677 "ad_x86.cpp"
  }
}

void absDPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*secondary()*/));
  
#line 26691 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xE1 /*primary()*/));
  
#line 26699 "ad_x86.cpp"
  }
}

void negDPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*secondary()*/));
  
#line 26713 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xE0 /*primary()*/));
  
#line 26721 "ad_x86.cpp"
  }
}

void addDPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );   // FLD ST(i-1)
  
#line 26737 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 26745 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 26753 "ad_x86.cpp"
  }
}

uint addDPR_regNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 4, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 4);
}

void addDPR_reg_roundNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );   // FLD ST(i-1)
  
#line 26774 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD8 /*primary()*/));
  
#line 26782 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
  
#line 26790 "ad_x86.cpp"
  }
  {

#line 2379 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xDD, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 26798 "ad_x86.cpp"
  }
}

void addDPR_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 26813 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDD /*tertiary()*/));
  
#line 26821 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 26835 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 26843 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 26851 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 26859 "ad_x86.cpp"
  }
}

void addDPR_reg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 26874 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDD /*tertiary()*/));
  
#line 26882 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 26896 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 26904 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* dst */ );
  
#line 26912 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 26920 "ad_x86.cpp"
  }
}

void addDPR_mem_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 26935 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDD));
  
#line 26943 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 26957 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD8));
  
#line 26965 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src */ );
  
#line 26973 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 26981 "ad_x86.cpp"
  }
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 26989 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDD));
  
#line 26997 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x03);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 27011 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 27019 "ad_x86.cpp"
  }
}

void addDPR_mem_reg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 27034 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDD));
  
#line 27042 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 27056 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD8));
  
#line 27064 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src */ );
  
#line 27072 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 27080 "ad_x86.cpp"
  }
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 27088 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDD));
  
#line 27096 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x03);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 27110 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 27118 "ad_x86.cpp"
  }
}

void addDPR_reg_imm1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 9612 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fld1();
    __ faddp(opnd_array(1)->reg(ra_,this,idx1)/* dst */);
  
#line 27134 "ad_x86.cpp"
  }
}

void addDPR_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 9625 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fld_d(InternalAddress(__ code()->consts()->start() + constant_offset()));
    __ faddp(opnd_array(1)->reg(ra_,this,idx1)/* dst */);
  
#line 27150 "ad_x86.cpp"
  }
}

void addDPR_reg_immNode::eval_constant(Compile* C) {
  {

#line 9626 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 27159 "ad_x86.cpp"
  }
}
void addDPR_reg_imm_roundNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 9639 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fld_d(InternalAddress(__ code()->consts()->start() + constant_offset()));
    __ fadd(opnd_array(1)->reg(ra_,this,idx1)/* src */);
    __ fstp_d(Address(rsp, opnd_array(0)->disp(ra_,this,0)));
  
#line 27175 "ad_x86.cpp"
  }
}

void addDPR_reg_imm_roundNode::eval_constant(Compile* C) {
  {

#line 9640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 27184 "ad_x86.cpp"
  }
}
void mulDPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );   // FLD ST(i-1)
  
#line 27199 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 27207 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 27215 "ad_x86.cpp"
  }
}

void strictfp_mulDPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2338 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDB );           // FLD m80real
    emit_opcode( masm, 0x2D );
    emit_d32( masm, (int)StubRoutines::x86::addr_fpu_subnormal_bias1() );
    emit_opcode( masm, 0xDE );           // FMULP ST(dst), ST0
    emit_opcode( masm, 0xC8+opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 27234 "ad_x86.cpp"
  }
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );   // FLD ST(i-1)
  
#line 27243 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 27251 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 27259 "ad_x86.cpp"
  }
  {

#line 2346 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDB );           // FLD m80real
    emit_opcode( masm, 0x2D );
    emit_d32( masm, (int)StubRoutines::x86::addr_fpu_subnormal_bias2() );
    emit_opcode( masm, 0xDE );           // FMULP ST(dst), ST0
    emit_opcode( masm, 0xC8+opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 27271 "ad_x86.cpp"
  }
}

void mulDPR_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 9692 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fld_d(InternalAddress(__ code()->consts()->start() + constant_offset()));
    __ fmulp(opnd_array(1)->reg(ra_,this,idx1)/* dst */);
  
#line 27287 "ad_x86.cpp"
  }
}

void mulDPR_reg_immNode::eval_constant(Compile* C) {
  {

#line 9693 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 27296 "ad_x86.cpp"
  }
}
void mulDPR_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 27310 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDD /*tertiary()*/));
  
#line 27318 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 27332 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 27340 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 27348 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 27356 "ad_x86.cpp"
  }
}

void mulDPR_reg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 27371 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDD /*tertiary()*/));
  
#line 27379 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 27393 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 27401 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* dst */ );
  
#line 27409 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 27417 "ad_x86.cpp"
  }
}

void mulDPR_reg_mem_ciscNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 27432 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 27440 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 27454 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* src */ );
  
#line 27463 "ad_x86.cpp"
  }
  {

#line 2328 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 27472 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 27480 "ad_x86.cpp"
  }
}

void mulDPR_reg_mem_cisc_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 27495 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 27503 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 27517 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src */ );
  
#line 27526 "ad_x86.cpp"
  }
  {

#line 2328 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 27535 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 27543 "ad_x86.cpp"
  }
}

void addDPR_mulDPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src0
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src2
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src0 */ );
  
#line 27560 "ad_x86.cpp"
  }
  {

#line 2957 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Operand was loaded from memory into fp ST (stack top)
    // FMUL   ST,$src  /* D8 C8+i */
    emit_opcode(masm, 0xD8);
    emit_opcode(masm, 0xC8 + opnd_array(2)->reg(ra_,this,idx2)/* src1 */);
  
#line 27571 "ad_x86.cpp"
  }
  {

#line 2971 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // FADDP  src2,ST  /* DE C0+i */
    emit_opcode(masm, 0xDE);
    emit_opcode(masm, 0xC0 + opnd_array(3)->reg(ra_,this,idx3)/* src2 */);
  
#line 27581 "ad_x86.cpp"
  }
}

void addDPR_mulDPR_reg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src0
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src1
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src0 */ );
  
#line 27598 "ad_x86.cpp"
  }
  {

#line 2957 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Operand was loaded from memory into fp ST (stack top)
    // FMUL   ST,$src  /* D8 C8+i */
    emit_opcode(masm, 0xD8);
    emit_opcode(masm, 0xC8 + opnd_array(3)->reg(ra_,this,idx3)/* src1 */);
  
#line 27609 "ad_x86.cpp"
  }
  {

#line 2971 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // FADDP  src2,ST  /* DE C0+i */
    emit_opcode(masm, 0xDE);
    emit_opcode(masm, 0xC0 + opnd_array(1)->reg(ra_,this,idx1)/* src2 */);
  
#line 27619 "ad_x86.cpp"
  }
}

void subDPR_mulDPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src0
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src2
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src0 */ );
  
#line 27636 "ad_x86.cpp"
  }
  {

#line 2957 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Operand was loaded from memory into fp ST (stack top)
    // FMUL   ST,$src  /* D8 C8+i */
    emit_opcode(masm, 0xD8);
    emit_opcode(masm, 0xC8 + opnd_array(2)->reg(ra_,this,idx2)/* src1 */);
  
#line 27647 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE));
  
#line 27655 "ad_x86.cpp"
  }
  {

#line 1612 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xE0) + opnd_array(3)->reg(ra_,this,idx3)/* src2 */);
  
#line 27663 "ad_x86.cpp"
  }
}

void divDPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );   // FLD ST(i-1)
  
#line 27679 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 27687 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x7 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 27695 "ad_x86.cpp"
  }
}

void strictfp_divDPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2338 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDB );           // FLD m80real
    emit_opcode( masm, 0x2D );
    emit_d32( masm, (int)StubRoutines::x86::addr_fpu_subnormal_bias1() );
    emit_opcode( masm, 0xDE );           // FMULP ST(dst), ST0
    emit_opcode( masm, 0xC8+opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 27714 "ad_x86.cpp"
  }
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );   // FLD ST(i-1)
  
#line 27723 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 27731 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x7 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 27739 "ad_x86.cpp"
  }
  {

#line 2346 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDB );           // FLD m80real
    emit_opcode( masm, 0x2D );
    emit_d32( masm, (int)StubRoutines::x86::addr_fpu_subnormal_bias2() );
    emit_opcode( masm, 0xDE );           // FMULP ST(dst), ST0
    emit_opcode( masm, 0xC8+opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 27751 "ad_x86.cpp"
  }
}

void modDPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2428 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // load dst in FPR0
    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
    if (opnd_array(2)->reg(ra_,this,idx2)/* src */ != FPR1L_enc) {
      // fincstp
      emit_opcode (masm, 0xD9);
      emit_opcode (masm, 0xF7);
      // swap src with FPR1:
      // FXCH FPR1 with src
      emit_opcode(masm, 0xD9);
      emit_d8(masm, 0xC8-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );
      // fdecstp
      emit_opcode (masm, 0xD9);
      emit_opcode (masm, 0xF6);
    }
  
#line 27780 "ad_x86.cpp"
  }
  {

#line 2518 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // fprem must be iterative
    // :: loop
    // fprem
    emit_opcode( masm, 0xD9 );
    emit_opcode( masm, 0xF8 );
    // wait
    emit_opcode( masm, 0x9b );
    // fnstsw ax
    emit_opcode( masm, 0xDF );
    emit_opcode( masm, 0xE0 );
    // sahf
    emit_opcode( masm, 0x9E );
    // jp  ::loop
    emit_opcode( masm, 0x0F );
    emit_opcode( masm, 0x8A );
    emit_opcode( masm, 0xF4 );
    emit_opcode( masm, 0xFF );
    emit_opcode( masm, 0xFF );
    emit_opcode( masm, 0xFF );
  
#line 27806 "ad_x86.cpp"
  }
  {

#line 2493 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    if (opnd_array(2)->reg(ra_,this,idx2)/* src */ != FPR1L_enc) {
      // fincstp
      emit_opcode (masm, 0xD9);
      emit_opcode (masm, 0xF7);
      // FXCH FPR1 with src
      emit_opcode(masm, 0xD9);
      emit_d8(masm, 0xC8-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );
      // fdecstp
      emit_opcode (masm, 0xD9);
      emit_opcode (masm, 0xF6);
    }
  
#line 27824 "ad_x86.cpp"
  }
  {

#line 2328 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 27833 "ad_x86.cpp"
  }
}

void modD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src0
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  {

#line 2446 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ subptr(rsp, 8);
    __ movdbl(Address(rsp, 0), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src1 */);
    __ fld_d(Address(rsp, 0));
    __ movdbl(Address(rsp, 0), opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src0 */);
    __ fld_d(Address(rsp, 0));
  
#line 27852 "ad_x86.cpp"
  }
  {

#line 2518 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // fprem must be iterative
    // :: loop
    // fprem
    emit_opcode( masm, 0xD9 );
    emit_opcode( masm, 0xF8 );
    // wait
    emit_opcode( masm, 0x9b );
    // fnstsw ax
    emit_opcode( masm, 0xDF );
    emit_opcode( masm, 0xE0 );
    // sahf
    emit_opcode( masm, 0x9E );
    // jp  ::loop
    emit_opcode( masm, 0x0F );
    emit_opcode( masm, 0x8A );
    emit_opcode( masm, 0xF4 );
    emit_opcode( masm, 0xFF );
    emit_opcode( masm, 0xFF );
    emit_opcode( masm, 0xFF );
  
#line 27878 "ad_x86.cpp"
  }
  {

#line 2462 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fstp_d(Address(rsp, 0));
    __ movdbl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address(rsp, 0));
    __ addptr(rsp, 8);
  
#line 27888 "ad_x86.cpp"
  }
  {

#line 2322 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );
    emit_d8( masm, 0xD8 );
  
#line 27897 "ad_x86.cpp"
  }
}

void atanDPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );   // FLD ST(i-1)
  
#line 27913 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*primary()*/));
  
#line 27921 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xF3 /*secondary()*/));
  
#line 27929 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0xF3 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 27937 "ad_x86.cpp"
  }
}

void atanD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2474 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ subptr(rsp, 8);
    __ movdbl(Address(rsp, 0), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
    __ fld_d(Address(rsp, 0));
  
#line 27954 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*primary()*/));
  
#line 27962 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xF3 /*secondary()*/));
  
#line 27970 "ad_x86.cpp"
  }
  {

#line 2462 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fstp_d(Address(rsp, 0));
    __ movdbl(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address(rsp, 0));
    __ addptr(rsp, 8);
  
#line 27980 "ad_x86.cpp"
  }
}

void sqrtDPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src */ );   // FLD ST(i-1)
  
#line 27995 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*secondary()*/));
  
#line 28003 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xFA /*primary()*/));
  
#line 28011 "ad_x86.cpp"
  }
  {

#line 2328 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 28020 "ad_x86.cpp"
  }
}

void cmpFPR_cc_P6Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );   // FLD ST(i-1)
  
#line 28036 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDF /*primary()*/));
  
#line 28044 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x05 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
  
#line 28052 "ad_x86.cpp"
  }
  {

#line 2563 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Fixup the integer flags in case comparison involved a NaN
    //
    // JNP exit (no unordered comparison, P-flag is set by NaN)
    emit_opcode( masm, 0x7B );
    emit_d8    ( masm, 0x03 );
    // MOV AH,1 - treat as LT case (set carry flag)
    emit_opcode( masm, 0xB4 );
    emit_d8    ( masm, 0x01 );
    // SAHF
    emit_opcode( masm, 0x9E);
    // NOP     // target for branch to avoid branch to branch
    emit_opcode( masm, 0x90);
  
#line 28071 "ad_x86.cpp"
  }
}

void cmpFPR_cc_P6CFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );   // FLD ST(i-1)
  
#line 28087 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDF /*primary()*/));
  
#line 28095 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x05 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
  
#line 28103 "ad_x86.cpp"
  }
}

void cmpFPR_ccNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );   // FLD ST(i-1)
  
#line 28119 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD8 /*primary()*/));
  
#line 28127 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x3 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
  
#line 28135 "ad_x86.cpp"
  }
  {

#line 2540 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // fnstsw_ax
    emit_opcode( masm, 0xDF);
    emit_opcode( masm, 0xE0);
    // test ax,0x0400
    emit_opcode( masm, 0x66 );   // operand-size prefix for 16-bit immediate
    emit_opcode( masm, 0xA9 );
    emit_d16   ( masm, 0x0400 );
    // // // This sequence works, but stalls for 12-16 cycles on PPro
    // // test rax,0x0400
    // emit_opcode( masm, 0xA9 );
    // emit_d32   ( masm, 0x00000400 );
    //
    // jz exit (no unordered comparison)
    emit_opcode( masm, 0x74 );
    emit_d8    ( masm, 0x02 );
    // mov ah,1 - treat as LT case (set carry flag)
    emit_opcode( masm, 0xB4 );
    emit_d8    ( masm, 0x01 );
    // sahf
    emit_opcode( masm, 0x9E);
  
#line 28162 "ad_x86.cpp"
  }
}

void cmpFPR_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );   // FLD ST(i-1)
  
#line 28178 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*secondary()*/));
  
#line 28186 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xE4 /*primary()*/));
  
#line 28194 "ad_x86.cpp"
  }
  {

#line 2322 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );
    emit_d8( masm, 0xD8 );
  
#line 28203 "ad_x86.cpp"
  }
  {

#line 2593 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // fnstsw_ax();
    emit_opcode( masm, 0xDF);
    emit_opcode( masm, 0xE0);
    // sahf
    emit_opcode( masm, 0x9E);
    // movl(dst, nan_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, -1 );
    // jcc(Assembler::parity, exit);
    emit_opcode( masm, 0x7A );
    emit_d8    ( masm, 0x13 );
    // movl(dst, less_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, -1 );
    // jcc(Assembler::below, exit);
    emit_opcode( masm, 0x72 );
    emit_d8    ( masm, 0x0C );
    // movl(dst, equal_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, 0 );
    // jcc(Assembler::equal, exit);
    emit_opcode( masm, 0x74 );
    emit_d8    ( masm, 0x05 );
    // movl(dst, greater_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, 1 );
  
#line 28236 "ad_x86.cpp"
  }
}

void cmpFPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );   // FLD ST(i-1)
  
#line 28252 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD8 /*primary()*/));
  
#line 28260 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x3 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
  
#line 28268 "ad_x86.cpp"
  }
  {

#line 2593 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // fnstsw_ax();
    emit_opcode( masm, 0xDF);
    emit_opcode( masm, 0xE0);
    // sahf
    emit_opcode( masm, 0x9E);
    // movl(dst, nan_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, -1 );
    // jcc(Assembler::parity, exit);
    emit_opcode( masm, 0x7A );
    emit_d8    ( masm, 0x13 );
    // movl(dst, less_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, -1 );
    // jcc(Assembler::below, exit);
    emit_opcode( masm, 0x72 );
    emit_d8    ( masm, 0x0C );
    // movl(dst, equal_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, 0 );
    // jcc(Assembler::equal, exit);
    emit_opcode( masm, 0x74 );
    emit_d8    ( masm, 0x05 );
    // movl(dst, greater_result);
    emit_opcode( masm, 0xB8 + opnd_array(0)->reg(ra_,this)/* dst */);
    emit_d32( masm, 1 );
  
#line 28301 "ad_x86.cpp"
  }
}

void cmpF_ccNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 9981 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ ucomiss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
    emit_cmpfp_fixup(masm);
  
#line 28317 "ad_x86.cpp"
  }
}

void cmpF_ccCFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 9993 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ ucomiss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
  
#line 28332 "ad_x86.cpp"
  }
}

void cmpF_ccmemNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 10010 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ ucomiss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
    emit_cmpfp_fixup(masm);
  
#line 28348 "ad_x86.cpp"
  }
}

void cmpF_ccmemCFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 10022 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ ucomiss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 28363 "ad_x86.cpp"
  }
}

void cmpF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 10041 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ ucomiss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
    emit_cmpfp3(masm, opnd_array(0)->as_Register(ra_,this)/* dst */);
  
#line 28379 "ad_x86.cpp"
  }
}

void cmpF_regmemNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 10061 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ ucomiss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
    emit_cmpfp3(masm, opnd_array(0)->as_Register(ra_,this)/* dst */);
  
#line 28395 "ad_x86.cpp"
  }
}

void subFPR24_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
  
#line 28411 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x4 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
  
#line 28420 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 28428 "ad_x86.cpp"
  }
}

void subFPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );
  
#line 28444 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 28452 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x5 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 28460 "ad_x86.cpp"
  }
}

void addFPR24_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
  
#line 28476 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
  
#line 28485 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 28493 "ad_x86.cpp"
  }
}

void addFPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );
  
#line 28509 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 28517 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 28525 "ad_x86.cpp"
  }
}

void absFPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*secondary()*/));
  
#line 28539 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xE1 /*primary()*/));
  
#line 28547 "ad_x86.cpp"
  }
}

void negFPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*secondary()*/));
  
#line 28561 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xE0 /*primary()*/));
  
#line 28569 "ad_x86.cpp"
  }
}

void addFPR24_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 28584 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 28592 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 28606 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
  
#line 28615 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 28623 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 28631 "ad_x86.cpp"
  }
}

void addFPR24_reg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 28646 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 28654 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 28668 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src1 */ );
  
#line 28677 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 28685 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 28693 "ad_x86.cpp"
  }
}

void addFPR_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 28708 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 28716 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 28730 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 28738 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 28746 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 28754 "ad_x86.cpp"
  }
}

void addFPR_reg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 28769 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 28777 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 28791 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 28799 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* dst */ );
  
#line 28807 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 28815 "ad_x86.cpp"
  }
}

void addFPR24_mem_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 28830 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 28838 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 28852 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x0 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
  
#line 28861 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 28869 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 28877 "ad_x86.cpp"
  }
}

void addFPR24_mem_ciscNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 28892 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 28900 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 28914 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD8 /*primary()*/));
  
#line 28922 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x0 /*secondary()*/);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 28936 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 28944 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 28952 "ad_x86.cpp"
  }
}

void addFPR24_mem_cisc_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 28967 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 28975 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 28989 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD8 /*primary()*/));
  
#line 28997 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x0 /*secondary()*/);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29011 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 29019 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 29027 "ad_x86.cpp"
  }
}

void addFPR24_mem_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 29042 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 29050 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29064 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD8 /*primary()*/));
  
#line 29072 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x0 /*secondary()*/);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29086 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 29094 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 29102 "ad_x86.cpp"
  }
}

void addFPR24_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 10219 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fld_s(opnd_array(1)->reg(ra_,this,idx1)/* src */- 1);  // FLD ST(i-1)
    __ fadd_s(InternalAddress(__ code()->consts()->start() + constant_offset()));
    __ fstp_s(Address(rsp, opnd_array(0)->disp(ra_,this,0)));
  
#line 29119 "ad_x86.cpp"
  }
}

void addFPR24_reg_immNode::eval_constant(Compile* C) {
  {

#line 10221 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 29128 "ad_x86.cpp"
  }
}
void addFPR_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 10234 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fld_s(opnd_array(1)->reg(ra_,this,idx1)/* src */- 1);  // FLD ST(i-1)
    __ fadd_s(InternalAddress(__ code()->consts()->start() + constant_offset()));
    __ fstp_d(opnd_array(0)->reg(ra_,this)/* dst */);
  
#line 29144 "ad_x86.cpp"
  }
}

void addFPR_reg_immNode::eval_constant(Compile* C) {
  {

#line 10236 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 29153 "ad_x86.cpp"
  }
}
void mulFPR24_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
  
#line 29168 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
  
#line 29177 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 29185 "ad_x86.cpp"
  }
}

void mulFPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
  
#line 29201 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
  
#line 29210 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 29219 "ad_x86.cpp"
  }
}

void mulFPR24_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 29234 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 29242 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29256 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
  
#line 29265 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 29273 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 29281 "ad_x86.cpp"
  }
}

void mulFPR24_reg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 29296 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 29304 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29318 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src1 */ );
  
#line 29327 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 29335 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 29343 "ad_x86.cpp"
  }
}

void mulFPR_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 29358 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 29366 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29380 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
  
#line 29389 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 29398 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 29406 "ad_x86.cpp"
  }
}

void mulFPR_reg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 29421 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 29429 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29443 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src1 */ );
  
#line 29452 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 29461 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 29469 "ad_x86.cpp"
  }
}

void mulFPR24_mem_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 29484 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 29492 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29506 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD8 /*primary()*/));
  
#line 29514 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x1 /*secondary()*/);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29528 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 29536 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 29544 "ad_x86.cpp"
  }
}

void mulFPR24_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 10325 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fld_s(opnd_array(1)->reg(ra_,this,idx1)/* src */- 1);  // FLD ST(i-1)
    __ fmul_s(InternalAddress(__ code()->consts()->start() + constant_offset()));
    __ fstp_s(Address(rsp, opnd_array(0)->disp(ra_,this,0)));
  
#line 29561 "ad_x86.cpp"
  }
}

void mulFPR24_reg_immNode::eval_constant(Compile* C) {
  {

#line 10327 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 29570 "ad_x86.cpp"
  }
}
void mulFPR_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 10341 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fld_s(opnd_array(1)->reg(ra_,this,idx1)/* src */- 1);  // FLD ST(i-1)
    __ fmul_s(InternalAddress(__ code()->consts()->start() + constant_offset()));
    __ fstp_d(opnd_array(0)->reg(ra_,this)/* dst */);
  
#line 29586 "ad_x86.cpp"
  }
}

void mulFPR_reg_immNode::eval_constant(Compile* C) {
  {

#line 10343 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 29595 "ad_x86.cpp"
  }
}
void mulFPR_reg_load1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 29609 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 29617 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29631 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src */ );
  
#line 29640 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 29649 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 29657 "ad_x86.cpp"
  }
}

void mulFPR_reg_load1_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem1
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 29672 "ad_x86.cpp"
  }
  {

#line 1548 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*tertiary()*/));
  
#line 29680 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29694 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x1 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* src */ );
  
#line 29703 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 29712 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 29720 "ad_x86.cpp"
  }
}

void addFPR_mulFPR_reg_load1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src2
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 29736 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*primary()*/));
  
#line 29744 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29758 "ad_x86.cpp"
  }
  {

#line 2957 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Operand was loaded from memory into fp ST (stack top)
    // FMUL   ST,$src  /* D8 C8+i */
    emit_opcode(masm, 0xD8);
    emit_opcode(masm, 0xC8 + opnd_array(2)->reg(ra_,this,idx2)/* src1 */);
  
#line 29769 "ad_x86.cpp"
  }
  {

#line 2964 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // FADDP  ST,src2  /* D8 C0+i */
    emit_opcode(masm, 0xD8);
    emit_opcode(masm, 0xC0 + opnd_array(3)->reg(ra_,this,idx3)/* src2 */);
    //could use FADDP  src2,fpST  /* DE C0+i */
  
#line 29780 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 29789 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 29797 "ad_x86.cpp"
  }
}

void addFPR_mulFPR_reg_load1_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src1
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 29813 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*primary()*/));
  
#line 29821 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29835 "ad_x86.cpp"
  }
  {

#line 2957 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Operand was loaded from memory into fp ST (stack top)
    // FMUL   ST,$src  /* D8 C8+i */
    emit_opcode(masm, 0xD8);
    emit_opcode(masm, 0xC8 + opnd_array(3)->reg(ra_,this,idx3)/* src1 */);
  
#line 29846 "ad_x86.cpp"
  }
  {

#line 2964 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // FADDP  ST,src2  /* D8 C0+i */
    emit_opcode(masm, 0xD8);
    emit_opcode(masm, 0xC0 + opnd_array(1)->reg(ra_,this,idx1)/* src2 */);
    //could use FADDP  src2,fpST  /* DE C0+i */
  
#line 29857 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 29866 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 29874 "ad_x86.cpp"
  }
}

void addFPR_mulFPR_reg_load1_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src2
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 29890 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*primary()*/));
  
#line 29898 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(2)->base(ra_,this,idx2);
    int index    = opnd_array(2)->index(ra_,this,idx2);
    int scale    = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29912 "ad_x86.cpp"
  }
  {

#line 2957 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Operand was loaded from memory into fp ST (stack top)
    // FMUL   ST,$src  /* D8 C8+i */
    emit_opcode(masm, 0xD8);
    emit_opcode(masm, 0xC8 + opnd_array(1)->reg(ra_,this,idx1)/* src1 */);
  
#line 29923 "ad_x86.cpp"
  }
  {

#line 2964 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // FADDP  ST,src2  /* D8 C0+i */
    emit_opcode(masm, 0xD8);
    emit_opcode(masm, 0xC0 + opnd_array(3)->reg(ra_,this,idx3)/* src2 */);
    //could use FADDP  src2,fpST  /* DE C0+i */
  
#line 29934 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 29943 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 29951 "ad_x86.cpp"
  }
}

void addFPR_mulFPR_reg_load1_2Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mem1
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 29967 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*primary()*/));
  
#line 29975 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(3)->base(ra_,this,idx3);
    int index    = opnd_array(3)->index(ra_,this,idx3);
    int scale    = opnd_array(3)->scale();
    int displace = opnd_array(3)->disp(ra_,this,idx3);
    relocInfo::relocType disp_reloc = opnd_array(3)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 29989 "ad_x86.cpp"
  }
  {

#line 2957 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Operand was loaded from memory into fp ST (stack top)
    // FMUL   ST,$src  /* D8 C8+i */
    emit_opcode(masm, 0xD8);
    emit_opcode(masm, 0xC8 + opnd_array(2)->reg(ra_,this,idx2)/* src1 */);
  
#line 30000 "ad_x86.cpp"
  }
  {

#line 2964 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // FADDP  ST,src2  /* D8 C0+i */
    emit_opcode(masm, 0xD8);
    emit_opcode(masm, 0xC0 + opnd_array(1)->reg(ra_,this,idx1)/* src2 */);
    //could use FADDP  src2,fpST  /* DE C0+i */
  
#line 30011 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 30020 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 30028 "ad_x86.cpp"
  }
}

void addFPR_mulFPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src0
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src2
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src0 */ );
  
#line 30045 "ad_x86.cpp"
  }
  {

#line 2957 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Operand was loaded from memory into fp ST (stack top)
    // FMUL   ST,$src  /* D8 C8+i */
    emit_opcode(masm, 0xD8);
    emit_opcode(masm, 0xC8 + opnd_array(2)->reg(ra_,this,idx2)/* src1 */);
  
#line 30056 "ad_x86.cpp"
  }
  {

#line 2971 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // FADDP  src2,ST  /* DE C0+i */
    emit_opcode(masm, 0xDE);
    emit_opcode(masm, 0xC0 + opnd_array(3)->reg(ra_,this,idx3)/* src2 */);
  
#line 30066 "ad_x86.cpp"
  }
}

void addFPR_mulFPR_reg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src0
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src1
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src0 */ );
  
#line 30083 "ad_x86.cpp"
  }
  {

#line 2957 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Operand was loaded from memory into fp ST (stack top)
    // FMUL   ST,$src  /* D8 C8+i */
    emit_opcode(masm, 0xD8);
    emit_opcode(masm, 0xC8 + opnd_array(3)->reg(ra_,this,idx3)/* src1 */);
  
#line 30094 "ad_x86.cpp"
  }
  {

#line 2971 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // FADDP  src2,ST  /* DE C0+i */
    emit_opcode(masm, 0xDE);
    emit_opcode(masm, 0xC0 + opnd_array(1)->reg(ra_,this,idx1)/* src2 */);
  
#line 30104 "ad_x86.cpp"
  }
}

void subFPR_divFPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src3
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src2 */ );
  
#line 30121 "ad_x86.cpp"
  }
  {

#line 2977 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Operand has been loaded into fp ST (stack top)
      // FSUB   ST,$src1
      emit_opcode(masm, 0xD8);
      emit_opcode(masm, 0xE0 + opnd_array(2)->reg(ra_,this,idx2)/* src1 */);

      // FDIV
      emit_opcode(masm, 0xD8);
      emit_opcode(masm, 0xF0 + opnd_array(3)->reg(ra_,this,idx3)/* src3 */);
  
#line 30136 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 30145 "ad_x86.cpp"
  }
}

void divFPR24_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
  
#line 30161 "ad_x86.cpp"
  }
  {

#line 2316 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0xD8 /*primary()*/));
    emit_rm(masm, 0x3, (0x6 /*secondary()*/), opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
  
#line 30170 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 30178 "ad_x86.cpp"
  }
}

void divFPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );
  
#line 30194 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDE /*primary()*/));
  
#line 30202 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x7 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 30210 "ad_x86.cpp"
  }
}

void modFPR24_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2428 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // load dst in FPR0
    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
    if (opnd_array(2)->reg(ra_,this,idx2)/* src2 */ != FPR1L_enc) {
      // fincstp
      emit_opcode (masm, 0xD9);
      emit_opcode (masm, 0xF7);
      // swap src with FPR1:
      // FXCH FPR1 with src
      emit_opcode(masm, 0xD9);
      emit_d8(masm, 0xC8-1+opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
      // fdecstp
      emit_opcode (masm, 0xD9);
      emit_opcode (masm, 0xF6);
    }
  
#line 30239 "ad_x86.cpp"
  }
  {

#line 2518 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // fprem must be iterative
    // :: loop
    // fprem
    emit_opcode( masm, 0xD9 );
    emit_opcode( masm, 0xF8 );
    // wait
    emit_opcode( masm, 0x9b );
    // fnstsw ax
    emit_opcode( masm, 0xDF );
    emit_opcode( masm, 0xE0 );
    // sahf
    emit_opcode( masm, 0x9E );
    // jp  ::loop
    emit_opcode( masm, 0x0F );
    emit_opcode( masm, 0x8A );
    emit_opcode( masm, 0xF4 );
    emit_opcode( masm, 0xFF );
    emit_opcode( masm, 0xFF );
    emit_opcode( masm, 0xFF );
  
#line 30265 "ad_x86.cpp"
  }
  {

#line 2493 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    if (opnd_array(2)->reg(ra_,this,idx2)/* src2 */ != FPR1L_enc) {
      // fincstp
      emit_opcode (masm, 0xD9);
      emit_opcode (masm, 0xF7);
      // FXCH FPR1 with src
      emit_opcode(masm, 0xD9);
      emit_d8(masm, 0xC8-1+opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
      // fdecstp
      emit_opcode (masm, 0xD9);
      emit_opcode (masm, 0xF6);
    }
  
#line 30283 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 30291 "ad_x86.cpp"
  }
}

void modFPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2428 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // load dst in FPR0
    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
    if (opnd_array(2)->reg(ra_,this,idx2)/* src */ != FPR1L_enc) {
      // fincstp
      emit_opcode (masm, 0xD9);
      emit_opcode (masm, 0xF7);
      // swap src with FPR1:
      // FXCH FPR1 with src
      emit_opcode(masm, 0xD9);
      emit_d8(masm, 0xC8-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );
      // fdecstp
      emit_opcode (masm, 0xD9);
      emit_opcode (masm, 0xF6);
    }
  
#line 30320 "ad_x86.cpp"
  }
  {

#line 2518 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // fprem must be iterative
    // :: loop
    // fprem
    emit_opcode( masm, 0xD9 );
    emit_opcode( masm, 0xF8 );
    // wait
    emit_opcode( masm, 0x9b );
    // fnstsw ax
    emit_opcode( masm, 0xDF );
    emit_opcode( masm, 0xE0 );
    // sahf
    emit_opcode( masm, 0x9E );
    // jp  ::loop
    emit_opcode( masm, 0x0F );
    emit_opcode( masm, 0x8A );
    emit_opcode( masm, 0xF4 );
    emit_opcode( masm, 0xFF );
    emit_opcode( masm, 0xFF );
    emit_opcode( masm, 0xFF );
  
#line 30346 "ad_x86.cpp"
  }
  {

#line 2493 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    if (opnd_array(2)->reg(ra_,this,idx2)/* src */ != FPR1L_enc) {
      // fincstp
      emit_opcode (masm, 0xD9);
      emit_opcode (masm, 0xF7);
      // FXCH FPR1 with src
      emit_opcode(masm, 0xD9);
      emit_d8(masm, 0xC8-1+opnd_array(2)->reg(ra_,this,idx2)/* src */ );
      // fdecstp
      emit_opcode (masm, 0xD9);
      emit_opcode (masm, 0xF6);
    }
  
#line 30364 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(1)->reg(ra_,this,idx1)/* dst */ );
  
#line 30373 "ad_x86.cpp"
  }
}

void modF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src0
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  {

#line 2454 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ subptr(rsp, 4);
    __ movflt(Address(rsp, 0), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src1 */);
    __ fld_s(Address(rsp, 0));
    __ movflt(Address(rsp, 0), opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src0 */);
    __ fld_s(Address(rsp, 0));
  
#line 30392 "ad_x86.cpp"
  }
  {

#line 2518 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // fprem must be iterative
    // :: loop
    // fprem
    emit_opcode( masm, 0xD9 );
    emit_opcode( masm, 0xF8 );
    // wait
    emit_opcode( masm, 0x9b );
    // fnstsw ax
    emit_opcode( masm, 0xDF );
    emit_opcode( masm, 0xE0 );
    // sahf
    emit_opcode( masm, 0x9E );
    // jp  ::loop
    emit_opcode( masm, 0x0F );
    emit_opcode( masm, 0x8A );
    emit_opcode( masm, 0xF4 );
    emit_opcode( masm, 0xFF );
    emit_opcode( masm, 0xFF );
    emit_opcode( masm, 0xFF );
  
#line 30418 "ad_x86.cpp"
  }
  {

#line 2468 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fstp_s(Address(rsp, 0));
    __ movflt(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address(rsp, 0));
    __ addptr(rsp, (0x4));
  
#line 30428 "ad_x86.cpp"
  }
  {

#line 2322 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );
    emit_d8( masm, 0xD8 );
  
#line 30437 "ad_x86.cpp"
  }
}

void roundFloat_mem_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2394 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int pop = 0x02;
    if (opnd_array(1)->reg(ra_,this,idx1)/* src */ != FPR1L_enc) {
      emit_opcode( masm, 0xD9 );         // FLD    ST(i-1)
      emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src */ );
      pop = 0x03;
    }
    store_to_stackslot( masm, 0xD9, pop, opnd_array(0)->disp(ra_,this,0) ); // FST<P>_S  [ESP+dst]
  
#line 30457 "ad_x86.cpp"
  }
}

void roundDouble_mem_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2405 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int pop = 0x02;
    if (opnd_array(1)->reg(ra_,this,idx1)/* src */ != FPR1L_enc) {
      emit_opcode( masm, 0xD9 );         // FLD    ST(i-1)
      emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src */ );
      pop = 0x03;
    }
    store_to_stackslot( masm, 0xDD, pop, opnd_array(0)->disp(ra_,this,0) ); // FST<P>_D  [ESP+dst]
  
#line 30477 "ad_x86.cpp"
  }
}

void convDPR2F_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 10541 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ subptr(rsp, 4);
    if (opnd_array(1)->reg(ra_,this,idx1)/* src */!= FPR1L_enc) {
      __ fld_s(opnd_array(1)->reg(ra_,this,idx1)/* src */-1);
      __ fstp_s(Address(rsp, 0));
    } else {
      __ fst_s(Address(rsp, 0));
    }
    __ movflt(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address(rsp, 0));
    __ addptr(rsp, 4);
  
#line 30499 "ad_x86.cpp"
  }
}

void convD2F_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 10560 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ cvtsd2ss (opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
  
#line 30513 "ad_x86.cpp"
  }
}

void convFPR2DPR_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2416 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int pop = 0xD0 - 1; // -1 since we skip FLD
    if (opnd_array(1)->reg(ra_,this,idx1)/* src */ != FPR1L_enc) {
      emit_opcode( masm, 0xD9 );         // FLD    ST(src-1)
      emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src */ );
      pop = 0xD8;
    }
    emit_opcode( masm, 0xDD );
    emit_d8( masm, pop+opnd_array(0)->reg(ra_,this)/* dst */ );      // FST<P> ST(i)
  
#line 30534 "ad_x86.cpp"
  }
}

void convF2DPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 10592 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ subptr(rsp, 4);
    __ movflt(Address(rsp, 0), opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ fld_s(Address(rsp, 0));
    __ addptr(rsp, 4);
    __ fstp_d(opnd_array(0)->reg(ra_,this)/* dst */);
  
#line 30552 "ad_x86.cpp"
  }
}

void convF2D_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 10606 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ cvtss2sd (opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
  
#line 30566 "ad_x86.cpp"
  }
}

void convDPR2I_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src */ );   // FLD ST(i-1)
  
#line 30581 "ad_x86.cpp"
  }
  {

#line 2868 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Flip to round-to-zero mode.  We attempted to allow invalid-op
    // exceptions here, so that a NAN or other corner-case value will
    // thrown an exception (but normal values get converted at full speed).
    // However, I2C adapters and other float-stack manglers leave pending
    // invalid-op exceptions hanging.  We would have to clear them before
    // enabling them and that is more expensive than just testing for the
    // invalid value Intel stores down in the corner cases.
    emit_opcode(masm,0xD9);            // FLDCW  trunc
    emit_opcode(masm,0x2D);
    emit_d32(masm,(int)StubRoutines::x86::addr_fpu_cntrl_wrd_trunc());
    // Allocate a word
    emit_opcode(masm,0x83);            // SUB ESP,4
    emit_opcode(masm,0xEC);
    emit_d8(masm,0x04);
    // Encoding assumes a double has been pushed into FPR0.
    // Store down the double as an int, popping the FPU stack
    emit_opcode(masm,0xDB);            // FISTP [ESP]
    emit_opcode(masm,0x1C);
    emit_d8(masm,0x24);
    // Restore the rounding mode; mask the exception
    emit_opcode(masm,0xD9);            // FLDCW   std/24-bit mode
    emit_opcode(masm,0x2D);
    emit_d32( masm, Compile::current()->in_24_bit_fp_mode()
        ? (int)StubRoutines::x86::addr_fpu_cntrl_wrd_24()
        : (int)StubRoutines::x86::addr_fpu_cntrl_wrd_std());

    // Load the converted int; adjust CPU stack
    emit_opcode(masm,0x58);       // POP EAX
    emit_opcode(masm,0x3D);       // CMP EAX,imm
    emit_d32   (masm,0x80000000); //         0x80000000
    emit_opcode(masm,0x75);       // JNE around_slow_call
    emit_d8    (masm,0x07);       // Size of slow_call
    // Push src onto stack slow-path
    emit_opcode(masm,0xD9 );      // FLD     ST(i)
    emit_d8    (masm,0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src */ );
    // CALL directly to the runtime
    __ set_inst_mark();
    emit_opcode(masm,0xE8);       // Call into runtime
    emit_d32_reloc(masm, (StubRoutines::x86::d2i_wrapper() - __ pc()) - 4, runtime_call_Relocation::spec(), RELOC_IMM32 );
    __ clear_inst_mark();
    __ post_call_nop();
    // Carry on here...
  
#line 30630 "ad_x86.cpp"
  }
}

void convD2I_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 10646 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label fast;
    __ cvttsd2sil(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ cmpl(opnd_array(0)->as_Register(ra_,this)/* dst */, 0x80000000);
    __ jccb(Assembler::notEqual, fast);
    __ subptr(rsp, 8);
    __ movdbl(Address(rsp, 0), opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ fld_d(Address(rsp, 0));
    __ addptr(rsp, 8);
    __ call(RuntimeAddress(CAST_FROM_FN_PTR(address, StubRoutines::x86::d2i_wrapper())));
    __ post_call_nop();
    __ bind(fast);
  
#line 30654 "ad_x86.cpp"
  }
}

void convDPR2L_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src */ );   // FLD ST(i-1)
  
#line 30669 "ad_x86.cpp"
  }
  {

#line 2913 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm,0xD9);            // FLDCW  trunc
    emit_opcode(masm,0x2D);
    emit_d32(masm,(int)StubRoutines::x86::addr_fpu_cntrl_wrd_trunc());
    // Allocate a word
    emit_opcode(masm,0x83);            // SUB ESP,8
    emit_opcode(masm,0xEC);
    emit_d8(masm,0x08);
    // Encoding assumes a double has been pushed into FPR0.
    // Store down the double as a long, popping the FPU stack
    emit_opcode(masm,0xDF);            // FISTP [ESP]
    emit_opcode(masm,0x3C);
    emit_d8(masm,0x24);
    // Restore the rounding mode; mask the exception
    emit_opcode(masm,0xD9);            // FLDCW   std/24-bit mode
    emit_opcode(masm,0x2D);
    emit_d32( masm, Compile::current()->in_24_bit_fp_mode()
        ? (int)StubRoutines::x86::addr_fpu_cntrl_wrd_24()
        : (int)StubRoutines::x86::addr_fpu_cntrl_wrd_std());

    // Load the converted int; adjust CPU stack
    emit_opcode(masm,0x58);       // POP EAX
    emit_opcode(masm,0x5A);       // POP EDX
    emit_opcode(masm,0x81);       // CMP EDX,imm
    emit_d8    (masm,0xFA);       // rdx
    emit_d32   (masm,0x80000000); //         0x80000000
    emit_opcode(masm,0x75);       // JNE around_slow_call
    emit_d8    (masm,0x07+4);     // Size of slow_call
    emit_opcode(masm,0x85);       // TEST EAX,EAX
    emit_opcode(masm,0xC0);       // 2/rax,/rax,
    emit_opcode(masm,0x75);       // JNE around_slow_call
    emit_d8    (masm,0x07);       // Size of slow_call
    // Push src onto stack slow-path
    emit_opcode(masm,0xD9 );      // FLD     ST(i)
    emit_d8    (masm,0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src */ );
    // CALL directly to the runtime
    __ set_inst_mark();
    emit_opcode(masm,0xE8);       // Call into runtime
    emit_d32_reloc(masm, (StubRoutines::x86::d2l_wrapper() - __ pc()) - 4, runtime_call_Relocation::spec(), RELOC_IMM32 );
    __ clear_inst_mark();
    __ post_call_nop();
    // Carry on here...
  
#line 30717 "ad_x86.cpp"
  }
}

void convD2L_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 10707 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label fast;
    __ subptr(rsp, 8);
    __ movdbl(Address(rsp, 0), opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ fld_d(Address(rsp, 0));
    __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_trunc()));
    __ fistp_d(Address(rsp, 0));
    // Restore the rounding mode, mask the exception
    if (Compile::current()->in_24_bit_fp_mode()) {
      __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_24()));
    } else {
      __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_std()));
    }
    // Load the converted long, adjust CPU stack
    __ pop(rax);
    __ pop(rdx);
    __ cmpl(rdx, 0x80000000);
    __ jccb(Assembler::notEqual, fast);
    __ testl(rax, rax);
    __ jccb(Assembler::notEqual, fast);
    __ subptr(rsp, 8);
    __ movdbl(Address(rsp, 0), opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ fld_d(Address(rsp, 0));
    __ addptr(rsp, 8);
    __ call(RuntimeAddress(CAST_FROM_FN_PTR(address, StubRoutines::x86::d2l_wrapper())));
    __ post_call_nop();
    __ bind(fast);
  
#line 30756 "ad_x86.cpp"
  }
}

void convFPR2I_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src */ );
  
#line 30771 "ad_x86.cpp"
  }
  {

#line 2868 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Flip to round-to-zero mode.  We attempted to allow invalid-op
    // exceptions here, so that a NAN or other corner-case value will
    // thrown an exception (but normal values get converted at full speed).
    // However, I2C adapters and other float-stack manglers leave pending
    // invalid-op exceptions hanging.  We would have to clear them before
    // enabling them and that is more expensive than just testing for the
    // invalid value Intel stores down in the corner cases.
    emit_opcode(masm,0xD9);            // FLDCW  trunc
    emit_opcode(masm,0x2D);
    emit_d32(masm,(int)StubRoutines::x86::addr_fpu_cntrl_wrd_trunc());
    // Allocate a word
    emit_opcode(masm,0x83);            // SUB ESP,4
    emit_opcode(masm,0xEC);
    emit_d8(masm,0x04);
    // Encoding assumes a double has been pushed into FPR0.
    // Store down the double as an int, popping the FPU stack
    emit_opcode(masm,0xDB);            // FISTP [ESP]
    emit_opcode(masm,0x1C);
    emit_d8(masm,0x24);
    // Restore the rounding mode; mask the exception
    emit_opcode(masm,0xD9);            // FLDCW   std/24-bit mode
    emit_opcode(masm,0x2D);
    emit_d32( masm, Compile::current()->in_24_bit_fp_mode()
        ? (int)StubRoutines::x86::addr_fpu_cntrl_wrd_24()
        : (int)StubRoutines::x86::addr_fpu_cntrl_wrd_std());

    // Load the converted int; adjust CPU stack
    emit_opcode(masm,0x58);       // POP EAX
    emit_opcode(masm,0x3D);       // CMP EAX,imm
    emit_d32   (masm,0x80000000); //         0x80000000
    emit_opcode(masm,0x75);       // JNE around_slow_call
    emit_d8    (masm,0x07);       // Size of slow_call
    // Push src onto stack slow-path
    emit_opcode(masm,0xD9 );      // FLD     ST(i)
    emit_d8    (masm,0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src */ );
    // CALL directly to the runtime
    __ set_inst_mark();
    emit_opcode(masm,0xE8);       // Call into runtime
    emit_d32_reloc(masm, (StubRoutines::x86::d2i_wrapper() - __ pc()) - 4, runtime_call_Relocation::spec(), RELOC_IMM32 );
    __ clear_inst_mark();
    __ post_call_nop();
    // Carry on here...
  
#line 30820 "ad_x86.cpp"
  }
}

void convF2I_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 10778 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label fast;
    __ cvttss2sil(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ cmpl(opnd_array(0)->as_Register(ra_,this)/* dst */, 0x80000000);
    __ jccb(Assembler::notEqual, fast);
    __ subptr(rsp, 4);
    __ movflt(Address(rsp, 0), opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ fld_s(Address(rsp, 0));
    __ addptr(rsp, 4);
    __ call(RuntimeAddress(CAST_FROM_FN_PTR(address, StubRoutines::x86::d2i_wrapper())));
    __ post_call_nop();
    __ bind(fast);
  
#line 30844 "ad_x86.cpp"
  }
}

void convFPR2L_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xD9 );           // FLD    ST(i-1)
    emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src */ );
  
#line 30859 "ad_x86.cpp"
  }
  {

#line 2913 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm,0xD9);            // FLDCW  trunc
    emit_opcode(masm,0x2D);
    emit_d32(masm,(int)StubRoutines::x86::addr_fpu_cntrl_wrd_trunc());
    // Allocate a word
    emit_opcode(masm,0x83);            // SUB ESP,8
    emit_opcode(masm,0xEC);
    emit_d8(masm,0x08);
    // Encoding assumes a double has been pushed into FPR0.
    // Store down the double as a long, popping the FPU stack
    emit_opcode(masm,0xDF);            // FISTP [ESP]
    emit_opcode(masm,0x3C);
    emit_d8(masm,0x24);
    // Restore the rounding mode; mask the exception
    emit_opcode(masm,0xD9);            // FLDCW   std/24-bit mode
    emit_opcode(masm,0x2D);
    emit_d32( masm, Compile::current()->in_24_bit_fp_mode()
        ? (int)StubRoutines::x86::addr_fpu_cntrl_wrd_24()
        : (int)StubRoutines::x86::addr_fpu_cntrl_wrd_std());

    // Load the converted int; adjust CPU stack
    emit_opcode(masm,0x58);       // POP EAX
    emit_opcode(masm,0x5A);       // POP EDX
    emit_opcode(masm,0x81);       // CMP EDX,imm
    emit_d8    (masm,0xFA);       // rdx
    emit_d32   (masm,0x80000000); //         0x80000000
    emit_opcode(masm,0x75);       // JNE around_slow_call
    emit_d8    (masm,0x07+4);     // Size of slow_call
    emit_opcode(masm,0x85);       // TEST EAX,EAX
    emit_opcode(masm,0xC0);       // 2/rax,/rax,
    emit_opcode(masm,0x75);       // JNE around_slow_call
    emit_d8    (masm,0x07);       // Size of slow_call
    // Push src onto stack slow-path
    emit_opcode(masm,0xD9 );      // FLD     ST(i)
    emit_d8    (masm,0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src */ );
    // CALL directly to the runtime
    __ set_inst_mark();
    emit_opcode(masm,0xE8);       // Call into runtime
    emit_d32_reloc(masm, (StubRoutines::x86::d2l_wrapper() - __ pc()) - 4, runtime_call_Relocation::spec(), RELOC_IMM32 );
    __ clear_inst_mark();
    __ post_call_nop();
    // Carry on here...
  
#line 30907 "ad_x86.cpp"
  }
}

void convF2L_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 10840 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label fast;
    __ subptr(rsp, 8);
    __ movflt(Address(rsp, 0), opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ fld_s(Address(rsp, 0));
    __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_trunc()));
    __ fistp_d(Address(rsp, 0));
    // Restore the rounding mode, mask the exception
    if (Compile::current()->in_24_bit_fp_mode()) {
      __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_24()));
    } else {
      __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_std()));
    }
    // Load the converted long, adjust CPU stack
    __ pop(rax);
    __ pop(rdx);
    __ cmpl(rdx, 0x80000000);
    __ jccb(Assembler::notEqual, fast);
    __ testl(rax, rax);
    __ jccb(Assembler::notEqual, fast);
    __ subptr(rsp, 4);
    __ movflt(Address(rsp, 0), opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ fld_s(Address(rsp, 0));
    __ addptr(rsp, 4);
    __ call(RuntimeAddress(CAST_FROM_FN_PTR(address, StubRoutines::x86::d2l_wrapper())));
    __ post_call_nop();
    __ bind(fast);
  
#line 30946 "ad_x86.cpp"
  }
}

void convI2DPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2368 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, (0xDB /*primary()*/), (0x0 /*secondary()*/), opnd_array(1)->disp(ra_,this,idx1) );
  
#line 30960 "ad_x86.cpp"
  }
  {

#line 2328 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 30969 "ad_x86.cpp"
  }
}

void convI2D_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 10885 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ cvtsi2sdl (opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 30983 "ad_x86.cpp"
  }
}

void convI2D_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 10895 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ cvtsi2sdl (opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 30997 "ad_x86.cpp"
  }
}

void convXI2D_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 10908 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
    __ cvtdq2pd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */);
  
#line 31012 "ad_x86.cpp"
  }
}

void convI2DPR_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 31026 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDB /*primary()*/));
  
#line 31034 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 31048 "ad_x86.cpp"
  }
  {

#line 2328 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 31057 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 31065 "ad_x86.cpp"
  }
}

void conv24I2FPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2368 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, (0xDB /*primary()*/), (0x0 /*secondary()*/), opnd_array(1)->disp(ra_,this,idx1) );
  
#line 31079 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 31088 "ad_x86.cpp"
  }
}

void convI2FPR_SSFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2368 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, (0xDB /*primary()*/), (0x0 /*secondary()*/), opnd_array(1)->disp(ra_,this,idx1) );
  
#line 31102 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 31110 "ad_x86.cpp"
  }
}

void convI2FPR_SSF_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 31124 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDB /*primary()*/));
  
#line 31132 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 31146 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 31154 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 31162 "ad_x86.cpp"
  }
}

void convI2FPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2368 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, (0xDB /*primary()*/), (0x0 /*secondary()*/), opnd_array(1)->disp(ra_,this,idx1) );
  
#line 31176 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 31185 "ad_x86.cpp"
  }
}

void convI2FPR_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 31199 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDB /*primary()*/));
  
#line 31207 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 31221 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 31230 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 31238 "ad_x86.cpp"
  }
}

void convI2F_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 10993 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ cvtsi2ssl (opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 31252 "ad_x86.cpp"
  }
}

void convXI2F_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 11006 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
    __ cvtdq2ps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */);
  
#line 31267 "ad_x86.cpp"
  }
}

void convI2L_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2638 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // mov $dst.lo,$src
    int dst_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int src_encoding = opnd_array(1)->reg(ra_,this,idx1)/* src */;
    encode_Copy( masm, dst_encoding  , src_encoding );
    // mov $dst.hi,$src
    encode_Copy( masm, HIGH_FROM_LOW_ENC(dst_encoding), src_encoding );
    // sar $dst.hi,31
    emit_opcode( masm, 0xC1 );
    emit_rm(masm, 0x3, 7, HIGH_FROM_LOW_ENC(dst_encoding) );
    emit_d8(masm, 0x1F );
  
#line 31290 "ad_x86.cpp"
  }
}

void convI2L_reg_zexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 1915 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    encode_Copy( masm, opnd_array(0)->reg(ra_,this)/* dst */, opnd_array(1)->reg(ra_,this,idx1)/* src */ );
  
#line 31305 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x33 /*primary()*/));
  
#line 31313 "ad_x86.cpp"
  }
  {

#line 1941 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(0)->reg(ra_,this)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(0)->reg(ra_,this)/* dst */));
  
#line 31321 "ad_x86.cpp"
  }
}

void zerox_longNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 1915 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    encode_Copy( masm, opnd_array(0)->reg(ra_,this)/* dst */, opnd_array(1)->reg(ra_,this,idx1)/* src */ );
  
#line 31336 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x33 /*primary()*/));
  
#line 31344 "ad_x86.cpp"
  }
  {

#line 1941 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(0)->reg(ra_,this)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(0)->reg(ra_,this)/* dst */));
  
#line 31352 "ad_x86.cpp"
  }
}

void convL2DPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2651 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // push $src.hi
    emit_opcode(masm, 0x50+HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src */));
    // push $src.lo
    emit_opcode(masm, 0x50+opnd_array(1)->reg(ra_,this,idx1)/* src */  );
    // fild 64-bits at [SP]
    emit_opcode(masm,0xdf);
    emit_d8(masm, 0x6C);
    emit_d8(masm, 0x24);
    emit_d8(masm, 0x00);
    // pop stack
    emit_opcode(masm, 0x83); // add  SP, #8
    emit_rm(masm, 0x3, 0x00, ESP_enc);
    emit_d8(masm, 0x8);
  
#line 31378 "ad_x86.cpp"
  }
  {

#line 2379 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xDD, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 31386 "ad_x86.cpp"
  }
}

void convL2D_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2681 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // push $src.hi
    emit_opcode(masm, 0x50+HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src */));
    // push $src.lo
    emit_opcode(masm, 0x50+opnd_array(1)->reg(ra_,this,idx1)/* src */  );
    // fild 64-bits at [SP]
    emit_opcode(masm,0xdf);
    emit_d8(masm, 0x6C);
    emit_d8(masm, 0x24);
    emit_d8(masm, 0x00);
  
#line 31408 "ad_x86.cpp"
  }
  {

#line 2462 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fstp_d(Address(rsp, 0));
    __ movdbl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address(rsp, 0));
    __ addptr(rsp, 8);
  
#line 31418 "ad_x86.cpp"
  }
}

void convL2F_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2681 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // push $src.hi
    emit_opcode(masm, 0x50+HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src */));
    // push $src.lo
    emit_opcode(masm, 0x50+opnd_array(1)->reg(ra_,this,idx1)/* src */  );
    // fild 64-bits at [SP]
    emit_opcode(masm,0xdf);
    emit_d8(masm, 0x6C);
    emit_d8(masm, 0x24);
    emit_d8(masm, 0x00);
  
#line 31440 "ad_x86.cpp"
  }
  {

#line 2468 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fstp_s(Address(rsp, 0));
    __ movflt(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address(rsp, 0));
    __ addptr(rsp, (0x8));
  
#line 31450 "ad_x86.cpp"
  }
}

void convL2FPR_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2651 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // push $src.hi
    emit_opcode(masm, 0x50+HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src */));
    // push $src.lo
    emit_opcode(masm, 0x50+opnd_array(1)->reg(ra_,this,idx1)/* src */  );
    // fild 64-bits at [SP]
    emit_opcode(masm,0xdf);
    emit_d8(masm, 0x6C);
    emit_d8(masm, 0x24);
    emit_d8(masm, 0x00);
    // pop stack
    emit_opcode(masm, 0x83); // add  SP, #8
    emit_rm(masm, 0x3, 0x00, ESP_enc);
    emit_d8(masm, 0x8);
  
#line 31476 "ad_x86.cpp"
  }
  {

#line 2373 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    store_to_stackslot( masm, 0xD9, 0x03, opnd_array(0)->disp(ra_,this,0) );
  
#line 31484 "ad_x86.cpp"
  }
}

void convL2I_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1919 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    encode_Copy( masm, opnd_array(0)->reg(ra_,this)/* dst */, opnd_array(1)->reg(ra_,this,idx1)/* src */ );
  
#line 31498 "ad_x86.cpp"
  }
}

void MoveF2I_stack_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 11118 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movl(opnd_array(0)->as_Register(ra_,this)/* dst */, Address(rsp, opnd_array(1)->disp(ra_,this,idx1)));
  
#line 31512 "ad_x86.cpp"
  }
}

void MoveFPR2I_reg_stackNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2394 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int pop = 0x02;
    if (opnd_array(1)->reg(ra_,this,idx1)/* src */ != FPR1L_enc) {
      emit_opcode( masm, 0xD9 );         // FLD    ST(i-1)
      emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src */ );
      pop = 0x03;
    }
    store_to_stackslot( masm, 0xD9, pop, opnd_array(0)->disp(ra_,this,0) ); // FST<P>_S  [ESP+dst]
  
#line 31532 "ad_x86.cpp"
  }
}

void MoveF2I_reg_stack_sseNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 11142 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movflt(Address(rsp, opnd_array(0)->disp(ra_,this,0)), opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
  
#line 31546 "ad_x86.cpp"
  }
}

void MoveF2I_reg_reg_sseNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 11154 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
  
#line 31560 "ad_x86.cpp"
  }
}

void MoveI2F_reg_stackNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 11166 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movl(Address(rsp, opnd_array(0)->disp(ra_,this,0)), opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 31574 "ad_x86.cpp"
  }
}

void MoveI2FPR_stack_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 31588 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xD9 /*primary()*/));
  
#line 31596 "ad_x86.cpp"
  }
  {

#line 2136 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    assert( opnd_array(1)->disp_reloc() == relocInfo::none, "No oops here because no reloc info allowed" );
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, relocInfo::none);
  
#line 31610 "ad_x86.cpp"
  }
  {

#line 2383 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 31619 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 31627 "ad_x86.cpp"
  }
}

void MoveI2F_stack_reg_sseNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 11194 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movflt(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address(rsp, opnd_array(1)->disp(ra_,this,idx1)));
  
#line 31641 "ad_x86.cpp"
  }
}

void MoveI2F_reg_reg_sseNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 11207 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 31655 "ad_x86.cpp"
  }
}

void MoveD2L_stack_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 31669 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8B /*primary()*/));
  
#line 31677 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(0)->reg(ra_,this)/* dst */;
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 31691 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x8B /*secondary()*/));
  
#line 31699 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(0)->reg(ra_,this)/* dst */);  // Hi register of pair, computed from lo
    int base  = opnd_array(1)->base(ra_,this,idx1);
    int index = opnd_array(1)->index(ra_,this,idx1);
    int scale = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1) + 4;      // Offset is 4 further in memory
    assert( opnd_array(1)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 31713 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 31721 "ad_x86.cpp"
  }
}

void MoveDPR2L_reg_stackNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 2405 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int pop = 0x02;
    if (opnd_array(1)->reg(ra_,this,idx1)/* src */ != FPR1L_enc) {
      emit_opcode( masm, 0xD9 );         // FLD    ST(i-1)
      emit_d8( masm, 0xC0-1+opnd_array(1)->reg(ra_,this,idx1)/* src */ );
      pop = 0x03;
    }
    store_to_stackslot( masm, 0xDD, pop, opnd_array(0)->disp(ra_,this,0) ); // FST<P>_D  [ESP+dst]
  
#line 31741 "ad_x86.cpp"
  }
}

void MoveD2L_reg_stack_sseNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 11242 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdbl(Address(rsp, opnd_array(0)->disp(ra_,this,0)), opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
  
#line 31755 "ad_x86.cpp"
  }
}

void MoveD2L_reg_reg_sseNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// tmp
  {

#line 11256 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ pshuflw(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* tmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0x4e);
    __ movdl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* tmp */);
  
#line 31772 "ad_x86.cpp"
  }
}

void MoveL2D_reg_stackNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 31786 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x89 /*primary()*/));
  
#line 31794 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* src */;
    int base  = opnd_array(0)->base(ra_,this,idx0);
    int index = opnd_array(0)->index(ra_,this,idx0);
    int scale = opnd_array(0)->scale();
    int displace = opnd_array(0)->disp(ra_,this,0);
    relocInfo::relocType disp_reloc = opnd_array(0)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 31808 "ad_x86.cpp"
  }
  {

#line 1543 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x89 /*secondary()*/));
  
#line 31816 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src */);  // Hi register of pair, computed from lo
    int base  = opnd_array(0)->base(ra_,this,idx0);
    int index = opnd_array(0)->index(ra_,this,idx0);
    int scale = opnd_array(0)->scale();
    int displace = opnd_array(0)->disp(ra_,this,0) + 4;      // Offset is 4 further in memory
    assert( opnd_array(0)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 31830 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 31838 "ad_x86.cpp"
  }
}

void MoveL2DPR_stack_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 31852 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xDD /*primary()*/));
  
#line 31860 "ad_x86.cpp"
  }
  {

#line 2136 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    assert( opnd_array(1)->disp_reloc() == relocInfo::none, "No oops here because no reloc info allowed" );
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, relocInfo::none);
  
#line 31874 "ad_x86.cpp"
  }
  {

#line 2328 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode( masm, 0xDD );           // FSTP   ST(i)
    emit_d8( masm, 0xD8+opnd_array(0)->reg(ra_,this)/* dst */ );
  
#line 31883 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 31891 "ad_x86.cpp"
  }
}

void MoveL2D_stack_reg_sseNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 11299 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdbl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address(rsp, opnd_array(1)->disp(ra_,this,idx1)));
  
#line 31905 "ad_x86.cpp"
  }
}

void MoveL2D_stack_reg_sse_partialNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 11312 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdbl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address(rsp, opnd_array(1)->disp(ra_,this,idx1)));
  
#line 31919 "ad_x86.cpp"
  }
}

void MoveL2D_reg_reg_sseNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 11326 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ movdl(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
    __ movdl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* src */));
    __ punpckldq(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */);
  
#line 31937 "ad_x86.cpp"
  }
}

void compressBitsL_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// rtmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp
  {

#line 11341 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label exit, partail_result;
    // Parallely extract both upper and lower 32 bits of source into destination register pair.
    // Merge the results of upper and lower destination registers such that upper destination
    // results are contiguously laid out after the lower destination result.
    __ pextl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */, opnd_array(2)->as_Register(ra_,this,idx2)/* mask */);
    __ pextl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* src */), HIGH_FROM_LOW(opnd_array(2)->as_Register(ra_,this,idx2)/* mask */));
    __ popcntl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */, opnd_array(2)->as_Register(ra_,this,idx2)/* mask */);
    // Skip merging if bit count of lower mask register is equal to 32 (register size).
    __ cmpl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */, 32);
    __ jccb(Assembler::equal, exit);
    // Due to constraint on number of GPRs on 32 bit target, using XMM register as potential spill slot.
    __ movdl(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */);
    // Shift left the contents of upper destination register by true bit count of lower mask register
    // and merge with lower destination register.
    __ shlxl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */, HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */);
    __ orl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */);
    __ movdl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
    // Zero out upper destination register if true bit count of lower 32 bit mask is zero
    // since contents of upper destination have already been copied to lower destination
    // register.
    __ cmpl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */, 0);
    __ jccb(Assembler::greater, partail_result);
    __ movl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), 0);
    __ jmp(exit);
    __ bind(partail_result);
    // Perform right shift over upper destination register to move out bits already copied
    // to lower destination register.
    __ subl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */, 32);
    __ negl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */);
    __ shrxl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */);
    __ bind(exit);
  
#line 31984 "ad_x86.cpp"
  }
}

void expandBitsL_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// rtmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp
  {

#line 11382 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Extraction operation sequentially reads the bits from source register starting from LSB
    // and lays them out into destination register at bit locations corresponding to true bits
    // in mask register. Thus number of source bits read are equal to combined true bit count
    // of mask register pair.
    Label exit, mask_clipping;
    __ pdepl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */, opnd_array(2)->as_Register(ra_,this,idx2)/* mask */);
    __ pdepl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* src */), HIGH_FROM_LOW(opnd_array(2)->as_Register(ra_,this,idx2)/* mask */));
    __ popcntl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */, opnd_array(2)->as_Register(ra_,this,idx2)/* mask */);
    // If true bit count of lower mask register is 32 then none of bit of lower source register
    // will feed to upper destination register.
    __ cmpl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */, 32);
    __ jccb(Assembler::equal, exit);
    // Due to constraint on number of GPRs on 32 bit target, using XMM register as potential spill slot.
    __ movdl(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */);
    // Shift right the contents of lower source register to remove already consumed bits.
    __ shrxl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */, opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */);
    // Extract the bits from lower source register starting from LSB under the influence
    // of upper mask register.
    __ pdepl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */, HIGH_FROM_LOW(opnd_array(2)->as_Register(ra_,this,idx2)/* mask */));
    __ movdl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
    __ subl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */, 32);
    __ negl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */);
    __ movdl(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(2)->as_Register(ra_,this,idx2)/* mask */);
    __ movl(opnd_array(2)->as_Register(ra_,this,idx2)/* mask */, HIGH_FROM_LOW(opnd_array(2)->as_Register(ra_,this,idx2)/* mask */));
    // Clear the set bits in upper mask register which have been used to extract the contents
    // from lower source register.
    __ bind(mask_clipping);
    __ blsrl(opnd_array(2)->as_Register(ra_,this,idx2)/* mask */, opnd_array(2)->as_Register(ra_,this,idx2)/* mask */);
    __ decrementl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */, 1);
    __ jccb(Assembler::greater, mask_clipping);
    // Starting from LSB extract the bits from upper source register under the influence of
    // remaining set bits in upper mask register.
    __ pdepl(opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */, HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* src */), opnd_array(2)->as_Register(ra_,this,idx2)/* mask */);
    // Merge the partial results extracted from lower and upper source register bits.
    __ orl(HIGH_FROM_LOW(opnd_array(0)->as_Register(ra_,this)/* dst */), opnd_array(3)->as_Register(ra_,this,idx3)/* rtmp */);
    __ movdl(opnd_array(2)->as_Register(ra_,this,idx2)/* mask */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
    __ bind(exit);
  
#line 32037 "ad_x86.cpp"
  }
}

void rep_stosNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// cnt
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// base
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 11479 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_mem(opnd_array(2)->as_Register(ra_,this,idx2)/* base */, opnd_array(1)->as_Register(ra_,this,idx1)/* cnt */, as_Register(EAX_enc),
                 opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */, false, knoreg);
  
#line 32054 "ad_x86.cpp"
  }
}

void rep_stos_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// cnt
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// base
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// ktmp
  {

#line 11540 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_mem(opnd_array(2)->as_Register(ra_,this,idx2)/* base */, opnd_array(1)->as_Register(ra_,this,idx1)/* cnt */, as_Register(EAX_enc),
                 opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */, false, opnd_array(4)->as_KRegister(ra_,this,idx4)/* ktmp */);
  
#line 32072 "ad_x86.cpp"
  }
}

void rep_stos_largeNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// cnt
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// base
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 11590 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_mem(opnd_array(2)->as_Register(ra_,this,idx2)/* base */, opnd_array(1)->as_Register(ra_,this,idx1)/* cnt */, as_Register(EAX_enc),
                 opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */, true, knoreg);
  
#line 32089 "ad_x86.cpp"
  }
}

void rep_stos_large_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// cnt
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// base
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// ktmp
  {

#line 11640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_mem(opnd_array(2)->as_Register(ra_,this,idx2)/* base */, opnd_array(1)->as_Register(ra_,this,idx1)/* cnt */, as_Register(EAX_enc),
                 opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */, true, opnd_array(4)->as_KRegister(ra_,this,idx4)/* ktmp */);
  
#line 32107 "ad_x86.cpp"
  }
}

void rep_stos_imNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// cnt
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// base
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// ktmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// zero
  {

#line 11655 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

   __ clear_mem(opnd_array(2)->as_Register(ra_,this,idx2)/* base */, opnd_array(1)->constant(), opnd_array(5)->as_Register(ra_,this,idx5)/* zero */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(3)->as_KRegister(ra_,this,idx3)/* ktmp */);
  
#line 32125 "ad_x86.cpp"
  }
}

void string_compareLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// str2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// cnt2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp1
  {

#line 11668 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ string_compare(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                      opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, opnd_array(4)->as_Register(ra_,this,idx4)/* cnt2 */, opnd_array(0)->as_Register(ra_,this)/* result */,
                      opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp1 */, StrIntrinsicNode::LL, knoreg);
  
#line 32145 "ad_x86.cpp"
  }
}

void string_compareL_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// str2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// cnt2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp1
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// ktmp
  {

#line 11683 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ string_compare(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                      opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, opnd_array(4)->as_Register(ra_,this,idx4)/* cnt2 */, opnd_array(0)->as_Register(ra_,this)/* result */,
                      opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp1 */, StrIntrinsicNode::LL, opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp */);
  
#line 32166 "ad_x86.cpp"
  }
}

void string_compareUNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// str2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// cnt2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp1
  {

#line 11698 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ string_compare(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                      opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, opnd_array(4)->as_Register(ra_,this,idx4)/* cnt2 */, opnd_array(0)->as_Register(ra_,this)/* result */,
                      opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp1 */, StrIntrinsicNode::UU, knoreg);
  
#line 32186 "ad_x86.cpp"
  }
}

void string_compareU_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// str2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// cnt2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp1
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// ktmp
  {

#line 11713 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ string_compare(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                      opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, opnd_array(4)->as_Register(ra_,this,idx4)/* cnt2 */, opnd_array(0)->as_Register(ra_,this)/* result */,
                      opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp1 */, StrIntrinsicNode::UU, opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp */);
  
#line 32207 "ad_x86.cpp"
  }
}

void string_compareLUNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// str2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// cnt2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp1
  {

#line 11728 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ string_compare(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                      opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, opnd_array(4)->as_Register(ra_,this,idx4)/* cnt2 */, opnd_array(0)->as_Register(ra_,this)/* result */,
                      opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp1 */, StrIntrinsicNode::LU, knoreg);
  
#line 32227 "ad_x86.cpp"
  }
}

void string_compareLU_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// str2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// cnt2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp1
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// ktmp
  {

#line 11743 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ string_compare(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                      opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, opnd_array(4)->as_Register(ra_,this,idx4)/* cnt2 */, opnd_array(0)->as_Register(ra_,this)/* result */,
                      opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp1 */, StrIntrinsicNode::LU, opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp */);
  
#line 32248 "ad_x86.cpp"
  }
}

void string_compareULNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// str2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// cnt2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp1
  {

#line 11758 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ string_compare(opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */, opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */,
                      opnd_array(4)->as_Register(ra_,this,idx4)/* cnt2 */, opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, opnd_array(0)->as_Register(ra_,this)/* result */,
                      opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp1 */, StrIntrinsicNode::UL, knoreg);
  
#line 32268 "ad_x86.cpp"
  }
}

void string_compareUL_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// str2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// cnt2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp1
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// ktmp
  {

#line 11773 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ string_compare(opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */, opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */,
                      opnd_array(4)->as_Register(ra_,this,idx4)/* cnt2 */, opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, opnd_array(0)->as_Register(ra_,this)/* result */,
                      opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp1 */, StrIntrinsicNode::UL, opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp */);
  
#line 32289 "ad_x86.cpp"
  }
}

void string_equalsNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// str2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cnt
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  {

#line 11789 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ arrays_equals(false, opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(2)->as_Register(ra_,this,idx2)/* str2 */,
                     opnd_array(3)->as_Register(ra_,this,idx3)/* cnt */, opnd_array(0)->as_Register(ra_,this)/* result */, as_Register(EBX_enc),
                     opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, false /* char */, knoreg);
  
#line 32309 "ad_x86.cpp"
  }
}

void string_equals_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// str2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cnt
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// ktmp
  {

#line 11805 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ arrays_equals(false, opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(2)->as_Register(ra_,this,idx2)/* str2 */,
                     opnd_array(3)->as_Register(ra_,this,idx3)/* cnt */, opnd_array(0)->as_Register(ra_,this)/* result */, as_Register(EBX_enc),
                     opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, false /* char */, opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp */);
  
#line 32330 "ad_x86.cpp"
  }
}

void string_indexof_conLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// str2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// int_cnt2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vec1
  {

#line 11823 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int icnt2 = (int)opnd_array(4)->constant();
    if (icnt2 >= 16) {
      // IndexOf for constant substrings with size >= 16 elements
      // which don't need to be loaded through stack.
      __ string_indexofC8(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                          opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, as_Register(EAX_enc),
                          icnt2, opnd_array(0)->as_Register(ra_,this)/* result */,
                          opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vec1 */, as_Register(ECX_enc), StrIntrinsicNode::LL);
    } else {
      // Small strings are loaded through stack if they cross page boundary.
      __ string_indexof(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                        opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, as_Register(EAX_enc),
                        icnt2, opnd_array(0)->as_Register(ra_,this)/* result */,
                        opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vec1 */, as_Register(ECX_enc), StrIntrinsicNode::LL);
    }
  
#line 32362 "ad_x86.cpp"
  }
}

void string_indexof_conUNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// str2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// int_cnt2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vec1
  {

#line 11851 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int icnt2 = (int)opnd_array(4)->constant();
    if (icnt2 >= 8) {
      // IndexOf for constant substrings with size >= 8 elements
      // which don't need to be loaded through stack.
      __ string_indexofC8(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                          opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, as_Register(EAX_enc),
                          icnt2, opnd_array(0)->as_Register(ra_,this)/* result */,
                          opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vec1 */, as_Register(ECX_enc), StrIntrinsicNode::UU);
    } else {
      // Small strings are loaded through stack if they cross page boundary.
      __ string_indexof(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                        opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, as_Register(EAX_enc),
                        icnt2, opnd_array(0)->as_Register(ra_,this)/* result */,
                        opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vec1 */, as_Register(ECX_enc), StrIntrinsicNode::UU);
    }
  
#line 32394 "ad_x86.cpp"
  }
}

void string_indexof_conULNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// str2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// int_cnt2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vec1
  {

#line 11879 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int icnt2 = (int)opnd_array(4)->constant();
    if (icnt2 >= 8) {
      // IndexOf for constant substrings with size >= 8 elements
      // which don't need to be loaded through stack.
      __ string_indexofC8(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                          opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, as_Register(EAX_enc),
                          icnt2, opnd_array(0)->as_Register(ra_,this)/* result */,
                          opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vec1 */, as_Register(ECX_enc), StrIntrinsicNode::UL);
    } else {
      // Small strings are loaded through stack if they cross page boundary.
      __ string_indexof(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                        opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, as_Register(EAX_enc),
                        icnt2, opnd_array(0)->as_Register(ra_,this)/* result */,
                        opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vec1 */, as_Register(ECX_enc), StrIntrinsicNode::UL);
    }
  
#line 32426 "ad_x86.cpp"
  }
}

void string_indexofLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// str2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// cnt2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vec1
  {

#line 11906 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ string_indexof(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                      opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, opnd_array(4)->as_Register(ra_,this,idx4)/* cnt2 */,
                      (-1), opnd_array(0)->as_Register(ra_,this)/* result */,
                      opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vec1 */, as_Register(ECX_enc), StrIntrinsicNode::LL);
  
#line 32447 "ad_x86.cpp"
  }
}

void string_indexofUNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// str2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// cnt2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vec1
  {

#line 11922 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ string_indexof(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                      opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, opnd_array(4)->as_Register(ra_,this,idx4)/* cnt2 */,
                      (-1), opnd_array(0)->as_Register(ra_,this)/* result */,
                      opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vec1 */, as_Register(ECX_enc), StrIntrinsicNode::UU);
  
#line 32468 "ad_x86.cpp"
  }
}

void string_indexofULNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// str2
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// cnt2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vec1
  {

#line 11938 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ string_indexof(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* str2 */,
                      opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, opnd_array(4)->as_Register(ra_,this,idx4)/* cnt2 */,
                      (-1), opnd_array(0)->as_Register(ra_,this)/* result */,
                      opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vec1 */, as_Register(ECX_enc), StrIntrinsicNode::UL);
  
#line 32489 "ad_x86.cpp"
  }
}

void string_indexof_charNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// ch
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vec1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vec2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// vec3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// tmp
  {

#line 11953 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ string_indexof_char(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* ch */, opnd_array(0)->as_Register(ra_,this)/* result */,
                           opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vec1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vec2 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* vec3 */, opnd_array(7)->as_Register(ra_,this,idx7)/* tmp */);
  
#line 32510 "ad_x86.cpp"
  }
}

void stringL_indexof_charNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// str1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// cnt1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// ch
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vec1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vec2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// vec3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// tmp
  {

#line 11966 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ stringL_indexof_char(opnd_array(1)->as_Register(ra_,this,idx1)/* str1 */, opnd_array(2)->as_Register(ra_,this,idx2)/* cnt1 */, opnd_array(3)->as_Register(ra_,this,idx3)/* ch */, opnd_array(0)->as_Register(ra_,this)/* result */,
                           opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vec1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vec2 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* vec3 */, opnd_array(7)->as_Register(ra_,this,idx7)/* tmp */);
  
#line 32531 "ad_x86.cpp"
  }
}

void array_equalsBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// ary1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// ary2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp2
  {

#line 11984 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ arrays_equals(true, opnd_array(1)->as_Register(ra_,this,idx1)/* ary1 */, opnd_array(2)->as_Register(ra_,this,idx2)/* ary2 */,
                     as_Register(ECX_enc), opnd_array(0)->as_Register(ra_,this)/* result */, as_Register(EBX_enc),
                     opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp2 */, false /* char */, knoreg);
  
#line 32550 "ad_x86.cpp"
  }
}

void array_equalsB_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// ary1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// ary2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// ktmp
  {

#line 12001 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ arrays_equals(true, opnd_array(1)->as_Register(ra_,this,idx1)/* ary1 */, opnd_array(2)->as_Register(ra_,this,idx2)/* ary2 */,
                     as_Register(ECX_enc), opnd_array(0)->as_Register(ra_,this)/* result */, as_Register(EBX_enc),
                     opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp2 */, false /* char */, opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp */);
  
#line 32570 "ad_x86.cpp"
  }
}

void array_equalsCNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// ary1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// ary2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp2
  {

#line 12018 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ arrays_equals(true, opnd_array(1)->as_Register(ra_,this,idx1)/* ary1 */, opnd_array(2)->as_Register(ra_,this,idx2)/* ary2 */,
                     as_Register(ECX_enc), opnd_array(0)->as_Register(ra_,this)/* result */, as_Register(EBX_enc),
                     opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp2 */, true /* char */, knoreg);
  
#line 32589 "ad_x86.cpp"
  }
}

void array_equalsC_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// ary1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// ary2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// ktmp
  {

#line 12035 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ arrays_equals(true, opnd_array(1)->as_Register(ra_,this,idx1)/* ary1 */, opnd_array(2)->as_Register(ra_,this,idx2)/* ary2 */,
                     as_Register(ECX_enc), opnd_array(0)->as_Register(ra_,this)/* result */, as_Register(EBX_enc),
                     opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp2 */, true /* char */, opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp */);
  
#line 32609 "ad_x86.cpp"
  }
}

void count_positivesNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// ary1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// len
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp2
  {

#line 12051 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ count_positives(opnd_array(1)->as_Register(ra_,this,idx1)/* ary1 */, opnd_array(2)->as_Register(ra_,this,idx2)/* len */,
                       opnd_array(0)->as_Register(ra_,this)/* result */, as_Register(EBX_enc),
                       opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp2 */, knoreg, knoreg);
  
#line 32628 "ad_x86.cpp"
  }
}

void count_positives_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// ary1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// len
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// ktmp1
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// ktmp2
  {

#line 12067 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ count_positives(opnd_array(1)->as_Register(ra_,this,idx1)/* ary1 */, opnd_array(2)->as_Register(ra_,this,idx2)/* len */,
                       opnd_array(0)->as_Register(ra_,this)/* result */, as_Register(EBX_enc),
                       opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp2 */, opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp1 */, opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp2 */);
  
#line 32649 "ad_x86.cpp"
  }
}

void string_compressNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// len
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// tmp4
  {

#line 12084 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ char_array_compress(opnd_array(1)->as_Register(ra_,this,idx1)/* src */, opnd_array(2)->as_Register(ra_,this,idx2)/* dst */, opnd_array(3)->as_Register(ra_,this,idx3)/* len */,
                           opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* tmp3 */,
                           opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* tmp4 */, as_Register(ECX_enc), opnd_array(0)->as_Register(ra_,this)/* result */,
                           knoreg, knoreg);
  
#line 32672 "ad_x86.cpp"
  }
}

void string_compress_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// len
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// tmp4
  unsigned idx8 = idx7 + opnd_array(7)->num_edges(); 	// ktmp1
  unsigned idx9 = idx8 + opnd_array(8)->num_edges(); 	// ktmp2
  {

#line 12100 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ char_array_compress(opnd_array(1)->as_Register(ra_,this,idx1)/* src */, opnd_array(2)->as_Register(ra_,this,idx2)/* dst */, opnd_array(3)->as_Register(ra_,this,idx3)/* len */,
                           opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* tmp3 */,
                           opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* tmp4 */, as_Register(ECX_enc), opnd_array(0)->as_Register(ra_,this)/* result */,
                           opnd_array(8)->as_KRegister(ra_,this,idx8)/* ktmp1 */, opnd_array(9)->as_KRegister(ra_,this,idx9)/* ktmp2 */);
  
#line 32697 "ad_x86.cpp"
  }
}

void string_inflateNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// len
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  {

#line 12117 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ byte_array_inflate(opnd_array(1)->as_Register(ra_,this,idx1)/* src */, opnd_array(2)->as_Register(ra_,this,idx2)/* dst */, opnd_array(3)->as_Register(ra_,this,idx3)/* len */,
                          opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_Register(ra_,this,idx5)/* tmp2 */, knoreg);
  
#line 32716 "ad_x86.cpp"
  }
}

void string_inflate_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// len
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// ktmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp2
  {

#line 12131 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ byte_array_inflate(opnd_array(1)->as_Register(ra_,this,idx1)/* src */, opnd_array(2)->as_Register(ra_,this,idx2)/* dst */, opnd_array(3)->as_Register(ra_,this,idx3)/* len */,
                          opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(6)->as_Register(ra_,this,idx6)/* tmp2 */, opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp */);
  
#line 32736 "ad_x86.cpp"
  }
}

void encode_iso_arrayNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// len
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// tmp4
  {

#line 12147 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ encode_iso_array(opnd_array(1)->as_Register(ra_,this,idx1)/* src */, opnd_array(2)->as_Register(ra_,this,idx2)/* dst */, opnd_array(3)->as_Register(ra_,this,idx3)/* len */,
                        opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* tmp3 */,
                        opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* tmp4 */, as_Register(ECX_enc), opnd_array(0)->as_Register(ra_,this)/* result */, false);
  
#line 32758 "ad_x86.cpp"
  }
}

void encode_ascii_arrayNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// len
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// tmp4
  {

#line 12164 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ encode_iso_array(opnd_array(1)->as_Register(ra_,this,idx1)/* src */, opnd_array(2)->as_Register(ra_,this,idx2)/* dst */, opnd_array(3)->as_Register(ra_,this,idx3)/* len */,
                        opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* tmp3 */,
                        opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* tmp4 */, as_Register(ECX_enc), opnd_array(0)->as_Register(ra_,this)/* result */, true);
  
#line 32780 "ad_x86.cpp"
  }
}

void compI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x3B /*primary()*/));
  
#line 32795 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* op1 */, opnd_array(2)->reg(ra_,this,idx2)/* op2 */);
  
#line 32803 "ad_x86.cpp"
  }
}

void compI_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 1628 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x81 /*primary()*/) | 0x02);    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x81 /*primary()*/));
    }
    // Emit r/m byte with secondary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x07 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* op1 */);
  
#line 32826 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 32841 "ad_x86.cpp"
  }
}

void compI_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 32856 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x3B /*primary()*/));
  
#line 32864 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* op1 */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 32878 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 32886 "ad_x86.cpp"
  }
}

void testI_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x85 /*primary()*/));
  
#line 32901 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* src */, opnd_array(1)->reg(ra_,this,idx1)/* src */);
  
#line 32909 "ad_x86.cpp"
  }
}

void testI_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// zero
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xF7 /*primary()*/));
  
#line 32925 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x00 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* src */ );
  
#line 32933 "ad_x86.cpp"
  }
  {

#line 1949 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Output immediate
    emit_d32(masm, opnd_array(2)->constant());
  
#line 32942 "ad_x86.cpp"
  }
}

void testI_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// zero
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 32958 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x85 /*primary()*/));
  
#line 32966 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* src */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 32980 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 32988 "ad_x86.cpp"
  }
}

void compU_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x3B /*primary()*/));
  
#line 33003 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* op1 */, opnd_array(2)->reg(ra_,this,idx2)/* op2 */);
  
#line 33011 "ad_x86.cpp"
  }
}

void compU_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 1628 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x81 /*primary()*/) | 0x02);    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x81 /*primary()*/));
    }
    // Emit r/m byte with secondary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x07 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* op1 */);
  
#line 33034 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      emit_d32(masm, opnd_array(2)->constant());
    }
  
#line 33049 "ad_x86.cpp"
  }
}

void compU_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 33064 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x3B /*primary()*/));
  
#line 33072 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* op1 */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 33086 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 33094 "ad_x86.cpp"
  }
}

void testU_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x85 /*primary()*/));
  
#line 33109 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* src */, opnd_array(1)->reg(ra_,this,idx1)/* src */);
  
#line 33117 "ad_x86.cpp"
  }
}

void compP_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x3B /*primary()*/));
  
#line 33132 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* op1 */, opnd_array(2)->reg(ra_,this,idx2)/* op2 */);
  
#line 33140 "ad_x86.cpp"
  }
}

void compP_eReg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 33155 "ad_x86.cpp"
  }
  {

#line 1628 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Emit primary opcode and set sign-extend bit
    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_opcode(masm, (0x81 /*primary()*/) | 0x02);    }
    else {                          // If 32-bit immediate
      emit_opcode(masm, (0x81 /*primary()*/));
    }
    // Emit r/m byte with secondary opcode, after primary opcode.
    emit_rm(masm, 0x3, (0x07 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* op1 */);
  
#line 33171 "ad_x86.cpp"
  }
  {

#line 1640 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Check for 8-bit immediate, and set sign extend bit in opcode
    if ((opnd_array(2)->constant() >= -128) && (opnd_array(2)->constant() <= 127)) {
      emit_d8(masm, opnd_array(2)->constant());
    }
    else {                          // If 32-bit immediate
      // Output immediate
      
if ( opnd_array(2)->constant_reloc() != relocInfo::none ) {
  emit_d32_reloc(masm, opnd_array(2)->constant(), opnd_array(2)->constant_reloc(), 0);
} else {
  emit_d32(masm, opnd_array(2)->constant());
};
    }
  
#line 33191 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 33199 "ad_x86.cpp"
  }
}

void compP_eReg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 33214 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x3B /*primary()*/));
  
#line 33222 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* op1 */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 33236 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 33244 "ad_x86.cpp"
  }
}

void compP_mem_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// op1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// op2
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 33259 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x3B /*primary()*/));
  
#line 33267 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(1)->reg(ra_,this,idx1)/* op1 */;
    int base  = opnd_array(2)->base(ra_,this,idx2);
    int index = opnd_array(2)->index(ra_,this,idx2);
    int scale = opnd_array(2)->scale();
    int displace = opnd_array(2)->disp(ra_,this,idx2);
    relocInfo::relocType disp_reloc = opnd_array(2)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 33281 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 33289 "ad_x86.cpp"
  }
}

void testP_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x85 /*primary()*/));
  
#line 33304 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* src */, opnd_array(1)->reg(ra_,this,idx1)/* src */);
  
#line 33312 "ad_x86.cpp"
  }
}

void testP_Reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// op
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 33327 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xF7 /*primary()*/));
  
#line 33335 "ad_x86.cpp"
  }
  {

#line 2146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int rm_byte_opcode = (0x00);
    int base     = opnd_array(1)->base(ra_,this,idx1);
    int index    = opnd_array(1)->index(ra_,this,idx1);
    int scale    = opnd_array(1)->scale();
    int displace = opnd_array(1)->disp(ra_,this,idx1);
    relocInfo::relocType disp_reloc = opnd_array(1)->disp_reloc(); // disp-as-oop when working with static globals
    encode_RegMem(masm, rm_byte_opcode, base, index, scale, displace, disp_reloc);
  
#line 33349 "ad_x86.cpp"
  }
  {

#line 1973 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d32(masm,(0xFFFFFFFF));
  
#line 33357 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 33365 "ad_x86.cpp"
  }
}

void minI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2166 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Compare dst,src
    emit_opcode(masm,0x3B);
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
    // jmp dst < src around move
    emit_opcode(masm,0x7C);
    emit_d8(masm,2);
    // move dst,src
    emit_opcode(masm,0x8B);
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 33388 "ad_x86.cpp"
  }
}

void maxI_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 2178 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Compare dst,src
    emit_opcode(masm,0x3B);
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
    // jmp dst > src around move
    emit_opcode(masm,0x7F);
    emit_d8(masm,2);
    // move dst,src
    emit_opcode(masm,0x8B);
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* dst */, opnd_array(2)->reg(ra_,this,idx2)/* src */);
  
#line 33411 "ad_x86.cpp"
  }
}

void loopLimit_eRegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// init
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// limit
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// stride
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// limit_hi
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp
  {

#line 12447 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int strd = (int)opnd_array(3)->constant();
    assert(strd != 1 && strd != -1, "sanity");
    int m1 = (strd > 0) ? 1 : -1;
    // Convert limit to long (EAX:EDX)
    __ cdql();
    // Convert init to long (init:tmp)
    __ movl(opnd_array(5)->as_Register(ra_,this,idx5)/* tmp */, opnd_array(1)->as_Register(ra_,this,idx1)/* init */);
    __ sarl(opnd_array(5)->as_Register(ra_,this,idx5)/* tmp */, 31);
    // $limit - $init
    __ subl(opnd_array(2)->as_Register(ra_,this,idx2)/* limit */, opnd_array(1)->as_Register(ra_,this,idx1)/* init */);
    __ sbbl(opnd_array(4)->as_Register(ra_,this,idx4)/* limit_hi */, opnd_array(5)->as_Register(ra_,this,idx5)/* tmp */);
    // + ($stride - 1)
    if (strd > 0) {
      __ addl(opnd_array(2)->as_Register(ra_,this,idx2)/* limit */, (strd - 1));
      __ adcl(opnd_array(4)->as_Register(ra_,this,idx4)/* limit_hi */, 0);
      __ movl(opnd_array(5)->as_Register(ra_,this,idx5)/* tmp */, strd);
    } else {
      __ addl(opnd_array(2)->as_Register(ra_,this,idx2)/* limit */, (strd + 1));
      __ adcl(opnd_array(4)->as_Register(ra_,this,idx4)/* limit_hi */, -1);
      __ lneg(opnd_array(4)->as_Register(ra_,this,idx4)/* limit_hi */, opnd_array(2)->as_Register(ra_,this,idx2)/* limit */);
      __ movl(opnd_array(5)->as_Register(ra_,this,idx5)/* tmp */, -strd);
    }
    // signed division: (EAX:EDX) / pos_stride
    __ idivl(opnd_array(5)->as_Register(ra_,this,idx5)/* tmp */);
    if (strd < 0) {
      // restore sign
      __ negl(opnd_array(5)->as_Register(ra_,this,idx5)/* tmp */);
    }
    // (EAX) * stride
    __ mull(opnd_array(5)->as_Register(ra_,this,idx5)/* tmp */);
    // + init (ignore upper bits)
    __ addl(opnd_array(2)->as_Register(ra_,this,idx2)/* limit */, opnd_array(1)->as_Register(ra_,this,idx1)/* init */);
  
#line 33460 "ad_x86.cpp"
  }
}

void jumpXtndNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  ra_->C->output()->constant_table().fill_jump_table(masm, (MachConstantNode*) this, _index2label);
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  {

#line 12491 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // Jump to Address(table_base + switch_reg)
    Address index(noreg, opnd_array(1)->as_Register(ra_,this,idx1)/* switch_val */, Address::times_1);
    __ jump(ArrayAddress(InternalAddress(__ code()->consts()->start() + constant_offset()), index), noreg);
  
#line 33477 "ad_x86.cpp"
  }
}

void jumpXtndNode::eval_constant(Compile* C) {
  _constant = C->output()->constant_table().add_jump_table(this);
  // User did not define an encode section.
}
void jmpDirNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  {

#line 12507 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label* L = opnd_array(1)->label();
    __ jmp(*L, false); // Always long jump
  
#line 33496 "ad_x86.cpp"
  }
}

uint jmpDirNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 5, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 5);
}

void jmpConNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// labl
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// 
  {

#line 12522 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label* L = opnd_array(3)->label();
    __ jcc((Assembler::Condition)(opnd_array(1)->ccode()), *L, false); // Always long jump
  
#line 33518 "ad_x86.cpp"
  }
}

uint jmpConNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 6, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 6);
}

void jmpLoopEndNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// labl
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// 
  {

#line 12537 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label* L = opnd_array(3)->label();
    __ jcc((Assembler::Condition)(opnd_array(1)->ccode()), *L, false); // Always long jump
  
#line 33540 "ad_x86.cpp"
  }
}

uint jmpLoopEndNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 6, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 6);
}

void jmpConUNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// labl
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// 
  {

#line 12552 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label* L = opnd_array(3)->label();
    __ jcc((Assembler::Condition)(opnd_array(1)->ccode()), *L, false); // Always long jump
  
#line 33562 "ad_x86.cpp"
  }
}

uint jmpConUNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 6, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 6);
}

void jmpConUCFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// labl
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// 
  {

#line 12566 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label* L = opnd_array(3)->label();
    __ jcc((Assembler::Condition)(opnd_array(1)->ccode()), *L, false); // Always long jump
  
#line 33584 "ad_x86.cpp"
  }
}

uint jmpConUCFNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 6, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 6);
}

void jmpConUCF2Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// labl
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// 
  {

#line 12588 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label* l = opnd_array(3)->label();
    if (opnd_array(1)->ccode()== Assembler::notEqual) {
      __ jcc(Assembler::parity, *l, false);
      __ jcc(Assembler::notEqual, *l, false);
    } else if (opnd_array(1)->ccode()== Assembler::equal) {
      Label done;
      __ jccb(Assembler::parity, done);
      __ jcc(Assembler::equal, *l, false);
      __ bind(done);
    } else {
       ShouldNotReachHere();
    }
  
#line 33616 "ad_x86.cpp"
  }
}

void partialSubtypeCheckNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// sub
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// super
  {

#line 1713 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Redi = as_Register(EDI_enc); // result register
    Register Reax = as_Register(EAX_enc); // super class
    Register Recx = as_Register(ECX_enc); // killed
    Register Resi = as_Register(ESI_enc); // sub class
    Label miss;

    // NB: Callers may assume that, when $result is a valid register,
    // check_klass_subtype_slow_path sets it to a nonzero value.
     __ check_klass_subtype_slow_path(Resi, Reax, Recx, Redi,
                                     nullptr, &miss,
                                     /*set_cond_codes:*/ true);
    if ((0x1 /*primary()*/)) {
      __ xorptr(Redi, Redi);
    }
    __ bind(miss);
  
#line 33645 "ad_x86.cpp"
  }
}

void partialSubtypeCheck_vs_ZeroNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// sub
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// super
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// zero
  {

#line 1713 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register Redi = as_Register(EDI_enc); // result register
    Register Reax = as_Register(EAX_enc); // super class
    Register Recx = as_Register(ECX_enc); // killed
    Register Resi = as_Register(ESI_enc); // sub class
    Label miss;

    // NB: Callers may assume that, when $result is a valid register,
    // check_klass_subtype_slow_path sets it to a nonzero value.
     __ check_klass_subtype_slow_path(Resi, Reax, Recx, Redi,
                                     nullptr, &miss,
                                     /*set_cond_codes:*/ true);
    if ((0x0 /*primary()*/)) {
      __ xorptr(Redi, Redi);
    }
    __ bind(miss);
  
#line 33675 "ad_x86.cpp"
  }
}

void jmpDir_shortNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  {

#line 12667 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label* L = opnd_array(1)->label();
    __ jmpb(*L);
  
#line 33690 "ad_x86.cpp"
  }
}

uint jmpDir_shortNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void jmpCon_shortNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// labl
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// 
  {

#line 12683 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label* L = opnd_array(3)->label();
    __ jccb((Assembler::Condition)(opnd_array(1)->ccode()), *L);
  
#line 33712 "ad_x86.cpp"
  }
}

uint jmpCon_shortNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void jmpLoopEnd_shortNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// labl
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// 
  {

#line 12699 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label* L = opnd_array(3)->label();
    __ jccb((Assembler::Condition)(opnd_array(1)->ccode()), *L);
  
#line 33734 "ad_x86.cpp"
  }
}

uint jmpLoopEnd_shortNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void jmpConU_shortNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// labl
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// 
  {

#line 12715 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label* L = opnd_array(3)->label();
    __ jccb((Assembler::Condition)(opnd_array(1)->ccode()), *L);
  
#line 33756 "ad_x86.cpp"
  }
}

uint jmpConU_shortNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void jmpConUCF_shortNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// labl
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// 
  {

#line 12730 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label* L = opnd_array(3)->label();
    __ jccb((Assembler::Condition)(opnd_array(1)->ccode()), *L);
  
#line 33778 "ad_x86.cpp"
  }
}

uint jmpConUCF_shortNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void jmpConUCF2_shortNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// labl
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// 
  {

#line 12754 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label* l = opnd_array(3)->label();
    if (opnd_array(1)->ccode()== Assembler::notEqual) {
      __ jccb(Assembler::parity, *l);
      __ jccb(Assembler::notEqual, *l);
    } else if (opnd_array(1)->ccode()== Assembler::equal) {
      Label done;
      __ jccb(Assembler::parity, done);
      __ jccb(Assembler::equal, *l);
      __ bind(done);
    } else {
       ShouldNotReachHere();
    }
  
#line 33810 "ad_x86.cpp"
  }
}

uint jmpConUCF2_shortNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 4, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 4);
}

void cmpL3_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 12810 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Label p_one, m_one, done;
    __ xorptr(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(0)->as_Register(ra_,this)/* dst */);
    __ cmpl(HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */), HIGH_FROM_LOW(opnd_array(2)->as_Register(ra_,this,idx2)/* src2 */));
    __ jccb(Assembler::less,    m_one);
    __ jccb(Assembler::greater, p_one);
    __ cmpl(opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_Register(ra_,this,idx2)/* src2 */);
    __ jccb(Assembler::below,   m_one);
    __ jccb(Assembler::equal,   done);
    __ bind(p_one);
    __ incrementl(opnd_array(0)->as_Register(ra_,this)/* dst */);
    __ jmpb(done);
    __ bind(m_one);
    __ decrementl(opnd_array(0)->as_Register(ra_,this)/* dst */);
    __ bind(done);
  
#line 33843 "ad_x86.cpp"
  }
}

void cmpL_zero_flags_LTGENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x85 /*primary()*/));
  
#line 33858 "ad_x86.cpp"
  }
  {

#line 1941 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src */), HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src */));
  
#line 33866 "ad_x86.cpp"
  }
}

void cmpL_reg_flags_LTGENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 2814 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // CMP    $src1.lo,$src2.lo\t! Long compare; set flags for low bits
    emit_opcode( masm, 0x3B );
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* src1 */, opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
    // MOV    $tmp,$src1.hi
    emit_opcode( masm, 0x8B );
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src1 */) );
    // SBB   $tmp,$src2.hi\t! Compute flags for long compare
    emit_opcode( masm, 0x1B );
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* src2 */) );
  
#line 33890 "ad_x86.cpp"
  }
}

void cmpUL_zero_flags_LTGENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0x85 /*primary()*/));
  
#line 33905 "ad_x86.cpp"
  }
  {

#line 1941 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src */), HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src */));
  
#line 33913 "ad_x86.cpp"
  }
}

void cmpUL_reg_flags_LTGENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 2814 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // CMP    $src1.lo,$src2.lo\t! Long compare; set flags for low bits
    emit_opcode( masm, 0x3B );
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* src1 */, opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
    // MOV    $tmp,$src1.hi
    emit_opcode( masm, 0x8B );
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src1 */) );
    // SBB   $tmp,$src2.hi\t! Compute flags for long compare
    emit_opcode( masm, 0x1B );
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* src2 */) );
  
#line 33937 "ad_x86.cpp"
  }
}

void cmovLL_reg_LTGENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 33955 "ad_x86.cpp"
  }
  {

#line 1937 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 33963 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 33972 "ad_x86.cpp"
  }
  {

#line 1941 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(3)->reg(ra_,this,idx3)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(4)->reg(ra_,this,idx4)/* src */));
  
#line 33980 "ad_x86.cpp"
  }
}

void cmovLL_mem_LTGENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 33997 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34006 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(3)->reg(ra_,this,idx3)/* dst */;
    int base  = opnd_array(4)->base(ra_,this,idx4);
    int index = opnd_array(4)->index(ra_,this,idx4);
    int scale = opnd_array(4)->scale();
    int displace = opnd_array(4)->disp(ra_,this,idx4);
    relocInfo::relocType disp_reloc = opnd_array(4)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 34020 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34029 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(3)->reg(ra_,this,idx3)/* dst */);  // Hi register of pair, computed from lo
    int base  = opnd_array(4)->base(ra_,this,idx4);
    int index = opnd_array(4)->index(ra_,this,idx4);
    int scale = opnd_array(4)->scale();
    int displace = opnd_array(4)->disp(ra_,this,idx4) + 4;      // Offset is 4 further in memory
    assert( opnd_array(4)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 34043 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 34051 "ad_x86.cpp"
  }
}

void cmovII_reg_LTGENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34069 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 34077 "ad_x86.cpp"
  }
}

void cmovII_mem_LTGENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 34094 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34103 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(3)->reg(ra_,this,idx3)/* dst */;
    int base  = opnd_array(4)->base(ra_,this,idx4);
    int index = opnd_array(4)->index(ra_,this,idx4);
    int scale = opnd_array(4)->scale();
    int displace = opnd_array(4)->disp(ra_,this,idx4);
    relocInfo::relocType disp_reloc = opnd_array(4)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 34117 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 34125 "ad_x86.cpp"
  }
}

void cmovPP_reg_LTGENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34143 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 34151 "ad_x86.cpp"
  }
}

void cmpL_zero_flags_EQNENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 2793 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // MOV   $tmp,$src.lo
    emit_opcode(masm, 0x8B);
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, opnd_array(1)->reg(ra_,this,idx1)/* src */);
    // OR    $tmp,$src.hi
    emit_opcode(masm, 0x0B);
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src */));
  
#line 34172 "ad_x86.cpp"
  }
}

void cmpL_reg_flags_EQNENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2802 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // CMP    $src1.lo,$src2.lo
    emit_opcode( masm, 0x3B );
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* src1 */, opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
    // JNE,s  skip
    emit_cc(masm, 0x70, 0x5);
    emit_d8(masm,2);
    // CMP    $src1.hi,$src2.hi
    emit_opcode( masm, 0x3B );
    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src1 */), HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* src2 */) );
  
#line 34195 "ad_x86.cpp"
  }
}

void cmpUL_zero_flags_EQNENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 2793 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // MOV   $tmp,$src.lo
    emit_opcode(masm, 0x8B);
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, opnd_array(1)->reg(ra_,this,idx1)/* src */);
    // OR    $tmp,$src.hi
    emit_opcode(masm, 0x0B);
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src */));
  
#line 34216 "ad_x86.cpp"
  }
}

void cmpUL_reg_flags_EQNENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 2802 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // CMP    $src1.lo,$src2.lo
    emit_opcode( masm, 0x3B );
    emit_rm(masm, 0x3, opnd_array(1)->reg(ra_,this,idx1)/* src1 */, opnd_array(2)->reg(ra_,this,idx2)/* src2 */ );
    // JNE,s  skip
    emit_cc(masm, 0x70, 0x5);
    emit_d8(masm,2);
    // CMP    $src1.hi,$src2.hi
    emit_opcode( masm, 0x3B );
    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src1 */), HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* src2 */) );
  
#line 34239 "ad_x86.cpp"
  }
}

void cmovLL_reg_EQNENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34257 "ad_x86.cpp"
  }
  {

#line 1937 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 34265 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34274 "ad_x86.cpp"
  }
  {

#line 1941 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(3)->reg(ra_,this,idx3)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(4)->reg(ra_,this,idx4)/* src */));
  
#line 34282 "ad_x86.cpp"
  }
}

void cmovLL_mem_EQNENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 34299 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34308 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(3)->reg(ra_,this,idx3)/* dst */;
    int base  = opnd_array(4)->base(ra_,this,idx4);
    int index = opnd_array(4)->index(ra_,this,idx4);
    int scale = opnd_array(4)->scale();
    int displace = opnd_array(4)->disp(ra_,this,idx4);
    relocInfo::relocType disp_reloc = opnd_array(4)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 34322 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34331 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(3)->reg(ra_,this,idx3)/* dst */);  // Hi register of pair, computed from lo
    int base  = opnd_array(4)->base(ra_,this,idx4);
    int index = opnd_array(4)->index(ra_,this,idx4);
    int scale = opnd_array(4)->scale();
    int displace = opnd_array(4)->disp(ra_,this,idx4) + 4;      // Offset is 4 further in memory
    assert( opnd_array(4)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 34345 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 34353 "ad_x86.cpp"
  }
}

void cmovII_reg_EQNENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34371 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 34379 "ad_x86.cpp"
  }
}

void cmovII_mem_EQNENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 34396 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34405 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(3)->reg(ra_,this,idx3)/* dst */;
    int base  = opnd_array(4)->base(ra_,this,idx4);
    int index = opnd_array(4)->index(ra_,this,idx4);
    int scale = opnd_array(4)->scale();
    int displace = opnd_array(4)->disp(ra_,this,idx4);
    relocInfo::relocType disp_reloc = opnd_array(4)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 34419 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 34427 "ad_x86.cpp"
  }
}

void cmovPP_reg_EQNENode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34445 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 34453 "ad_x86.cpp"
  }
}

void cmpL_zero_flags_LEGTNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 2826 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // XOR    $tmp,$tmp
    emit_opcode(masm,0x33);  // XOR
    emit_rm(masm,0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, opnd_array(3)->reg(ra_,this,idx3)/* tmp */);
    // CMP    $tmp,$src.lo
    emit_opcode( masm, 0x3B );
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, opnd_array(1)->reg(ra_,this,idx1)/* src */ );
    // SBB    $tmp,$src.hi
    emit_opcode( masm, 0x1B );
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src */) );
  
#line 34477 "ad_x86.cpp"
  }
}

void cmpL_reg_flags_LEGTNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 2814 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // CMP    $src1.lo,$src2.lo\t! Long compare; set flags for low bits
    emit_opcode( masm, 0x3B );
    emit_rm(masm, 0x3, opnd_array(2)->reg(ra_,this,idx2)/* src2 */, opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
    // MOV    $tmp,$src1.hi
    emit_opcode( masm, 0x8B );
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* src2 */) );
    // SBB   $tmp,$src2.hi\t! Compute flags for long compare
    emit_opcode( masm, 0x1B );
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src1 */) );
  
#line 34501 "ad_x86.cpp"
  }
}

void cmpUL_zero_flags_LEGTNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 2826 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // XOR    $tmp,$tmp
    emit_opcode(masm,0x33);  // XOR
    emit_rm(masm,0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, opnd_array(3)->reg(ra_,this,idx3)/* tmp */);
    // CMP    $tmp,$src.lo
    emit_opcode( masm, 0x3B );
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, opnd_array(1)->reg(ra_,this,idx1)/* src */ );
    // SBB    $tmp,$src.hi
    emit_opcode( masm, 0x1B );
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src */) );
  
#line 34525 "ad_x86.cpp"
  }
}

void cmpUL_reg_flags_LEGTNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 2814 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // CMP    $src1.lo,$src2.lo\t! Long compare; set flags for low bits
    emit_opcode( masm, 0x3B );
    emit_rm(masm, 0x3, opnd_array(2)->reg(ra_,this,idx2)/* src2 */, opnd_array(1)->reg(ra_,this,idx1)/* src1 */ );
    // MOV    $tmp,$src1.hi
    emit_opcode( masm, 0x8B );
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(2)->reg(ra_,this,idx2)/* src2 */) );
    // SBB   $tmp,$src2.hi\t! Compute flags for long compare
    emit_opcode( masm, 0x1B );
    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW_ENC(opnd_array(1)->reg(ra_,this,idx1)/* src1 */) );
  
#line 34549 "ad_x86.cpp"
  }
}

void cmovLL_reg_LEGTNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34567 "ad_x86.cpp"
  }
  {

#line 1937 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 34575 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34584 "ad_x86.cpp"
  }
  {

#line 1941 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, HIGH_FROM_LOW_ENC(opnd_array(3)->reg(ra_,this,idx3)/* dst */), HIGH_FROM_LOW_ENC(opnd_array(4)->reg(ra_,this,idx4)/* src */));
  
#line 34592 "ad_x86.cpp"
  }
}

void cmovLL_mem_LEGTNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 34609 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34618 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(3)->reg(ra_,this,idx3)/* dst */;
    int base  = opnd_array(4)->base(ra_,this,idx4);
    int index = opnd_array(4)->index(ra_,this,idx4);
    int scale = opnd_array(4)->scale();
    int displace = opnd_array(4)->disp(ra_,this,idx4);
    relocInfo::relocType disp_reloc = opnd_array(4)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 34632 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34641 "ad_x86.cpp"
  }
  {

#line 2066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = HIGH_FROM_LOW_ENC(opnd_array(3)->reg(ra_,this,idx3)/* dst */);  // Hi register of pair, computed from lo
    int base  = opnd_array(4)->base(ra_,this,idx4);
    int index = opnd_array(4)->index(ra_,this,idx4);
    int scale = opnd_array(4)->scale();
    int displace = opnd_array(4)->disp(ra_,this,idx4) + 4;      // Offset is 4 further in memory
    assert( opnd_array(4)->disp_reloc() == relocInfo::none, "Cannot add 4 to oop" );
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, relocInfo::none);
  
#line 34655 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 34663 "ad_x86.cpp"
  }
}

void cmovII_reg_LEGTNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34681 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 34689 "ad_x86.cpp"
  }
}

void cmovII_mem_LEGTNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1529 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
  
#line 34706 "ad_x86.cpp"
  }
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34715 "ad_x86.cpp"
  }
  {

#line 2056 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int reg_encoding = opnd_array(3)->reg(ra_,this,idx3)/* dst */;
    int base  = opnd_array(4)->base(ra_,this,idx4);
    int index = opnd_array(4)->index(ra_,this,idx4);
    int scale = opnd_array(4)->scale();
    int displace = opnd_array(4)->disp(ra_,this,idx4);
    relocInfo::relocType disp_reloc = opnd_array(4)->disp_reloc();
    encode_RegMem(masm, reg_encoding, base, index, scale, displace, disp_reloc);
  
#line 34729 "ad_x86.cpp"
  }
  {

#line 1533 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ clear_inst_mark();
  
#line 34737 "ad_x86.cpp"
  }
}

void cmovPP_reg_LEGTNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cmp
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// flags
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// src
  {

#line 1695 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_d8(masm, (0x0F /*primary()*/));
    emit_cc(masm, (0x40 /*secondary()*/), opnd_array(1)->ccode());
  
#line 34755 "ad_x86.cpp"
  }
  {

#line 1923 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, opnd_array(3)->reg(ra_,this,idx3)/* dst */, opnd_array(4)->reg(ra_,this,idx4)/* src */);
  
#line 34763 "ad_x86.cpp"
  }
}

void CallStaticJavaDirectNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  {

#line 1788 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // If method sets FPU control word restore it here
    debug_only(int off0 = __ offset());
    if (ra_->C->in_24_bit_fp_mode()) {
      __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_std()));
    }
    // Clear upper bits of YMM registers when current compiled code uses
    // wide vectors to avoid AVX <-> SSE transition penalty during call.
    __ vzeroupper();
    debug_only(int off1 = __ offset());
    assert(off1 - off0 == pre_call_resets_size(), "correct size prediction");
  
#line 34786 "ad_x86.cpp"
  }
  {

#line 1808 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // CALL to fixup routine.  Fixup routine uses ScopeDesc info to determine
    // who we intended to call.
    __ set_inst_mark();
    emit_d8(masm, (0xE8 /*primary()*/));

    if (!_method) {
      emit_d32_reloc(masm, (opnd_array(1)->method() - (int)(__ pc()) - 4),
                     runtime_call_Relocation::spec(),
                     RELOC_IMM32);
      __ clear_inst_mark();
      __ post_call_nop();
    } else {
      int method_index = resolved_method_index(masm);
      RelocationHolder rspec = _optimized_virtual ? opt_virtual_call_Relocation::spec(method_index)
                                                  : static_call_Relocation::spec(method_index);
      emit_d32_reloc(masm, (opnd_array(1)->method() - (int)(__ pc()) - 4),
                     rspec, RELOC_DISP32);
      __ post_call_nop();
      address mark = __ inst_mark();
      if (CodeBuffer::supports_shared_stubs() && _method->can_be_statically_bound()) {
        // Calls of the same statically bound method can share
        // a stub to the interpreter.
        __ code()->shared_stub_to_interp_for(_method, __ code()->insts()->mark_off());
        __ clear_inst_mark();
      } else {
        // Emit stubs for static call.
        address stub = CompiledDirectCall::emit_to_interp_stub(masm, mark);
        __ clear_inst_mark();
        if (stub == nullptr) {
          ciEnv::current()->record_failure("CodeCache is full");
          return;
        }
      }
    }
  
#line 34827 "ad_x86.cpp"
  }
  {

#line 2827 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    if (VerifyStackAtCalls) {
      // Check that stack depth is unchanged: find majik cookie on stack
      int framesize = ra_->reg2offset_unchecked(OptoReg::add(ra_->_matcher._old_SP, -3*VMRegImpl::slots_per_word));
      Label L;
      __ cmpptr(Address(rsp, framesize), (int32_t)0xbadb100d);
      __ jccb(Assembler::equal, L);
      // Die if stack mismatch
      __ int3();
      __ bind(L);
    }
  
#line 34844 "ad_x86.cpp"
  }
  {

#line 1801 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // If method sets FPU control word do it here also
    if (Compile::current()->in_24_bit_fp_mode()) {
      __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_24()));
    }
  
#line 34855 "ad_x86.cpp"
  }
}

void CallDynamicJavaDirectNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  {

#line 1788 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // If method sets FPU control word restore it here
    debug_only(int off0 = __ offset());
    if (ra_->C->in_24_bit_fp_mode()) {
      __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_std()));
    }
    // Clear upper bits of YMM registers when current compiled code uses
    // wide vectors to avoid AVX <-> SSE transition penalty during call.
    __ vzeroupper();
    debug_only(int off1 = __ offset());
    assert(off1 - off0 == pre_call_resets_size(), "correct size prediction");
  
#line 34878 "ad_x86.cpp"
  }
  {

#line 1845 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ ic_call((address)opnd_array(1)->method(), resolved_method_index(masm));
    __ post_call_nop();
  
#line 34887 "ad_x86.cpp"
  }
  {

#line 2827 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    if (VerifyStackAtCalls) {
      // Check that stack depth is unchanged: find majik cookie on stack
      int framesize = ra_->reg2offset_unchecked(OptoReg::add(ra_->_matcher._old_SP, -3*VMRegImpl::slots_per_word));
      Label L;
      __ cmpptr(Address(rsp, framesize), (int32_t)0xbadb100d);
      __ jccb(Assembler::equal, L);
      // Die if stack mismatch
      __ int3();
      __ bind(L);
    }
  
#line 34904 "ad_x86.cpp"
  }
  {

#line 1801 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // If method sets FPU control word do it here also
    if (Compile::current()->in_24_bit_fp_mode()) {
      __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_24()));
    }
  
#line 34915 "ad_x86.cpp"
  }
}

void CallRuntimeDirectNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  {

#line 1788 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // If method sets FPU control word restore it here
    debug_only(int off0 = __ offset());
    if (ra_->C->in_24_bit_fp_mode()) {
      __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_std()));
    }
    // Clear upper bits of YMM registers when current compiled code uses
    // wide vectors to avoid AVX <-> SSE transition penalty during call.
    __ vzeroupper();
    debug_only(int off1 = __ offset());
    assert(off1 - off0 == pre_call_resets_size(), "correct size prediction");
  
#line 34938 "ad_x86.cpp"
  }
  {

#line 1731 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int start = __ offset();
    if (UseSSE >= 2) {
      if (VerifyFPU) {
        __ verify_FPU(0, "must be empty in SSE2+ mode");
      }
    } else {
      // External c_calling_convention expects the FPU stack to be 'clean'.
      // Compiled code leaves it dirty.  Do cleanup now.
      __ empty_FPU_stack();
    }
    if (sizeof_FFree_Float_Stack_All == -1) {
      sizeof_FFree_Float_Stack_All = __ offset() - start;
    } else {
      assert(__ offset() - start == sizeof_FFree_Float_Stack_All, "wrong size");
    }
  
#line 34960 "ad_x86.cpp"
  }
  {

#line 1755 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // This is the instruction starting address for relocation info.
    __ set_inst_mark();
    emit_d8(masm, (0xE8 /*primary()*/));
    // CALL directly to the runtime
    emit_d32_reloc(masm, (opnd_array(1)->method() - (int)(__ pc()) - 4),
                runtime_call_Relocation::spec(), RELOC_IMM32 );
    __ clear_inst_mark();
    __ post_call_nop();

    if (UseSSE >= 2) {
      BasicType rt = tf()->return_type();

      if ((rt == T_FLOAT || rt == T_DOUBLE) && !return_value_is_used()) {
        // A C runtime call where the return value is unused.  In SSE2+
        // mode the result needs to be removed from the FPU stack.  It's
        // likely that this function call could be removed by the
        // optimizer if the C function is a pure function.
        __ ffree(0);
      } else if (rt == T_FLOAT) {
        __ lea(rsp, Address(rsp, -4));
        __ fstp_s(Address(rsp, 0));
        __ movflt(xmm0, Address(rsp, 0));
        __ lea(rsp, Address(rsp,  4));
      } else if (rt == T_DOUBLE) {
        __ lea(rsp, Address(rsp, -8));
        __ fstp_d(Address(rsp, 0));
        __ movdbl(xmm0, Address(rsp, 0));
        __ lea(rsp, Address(rsp,  8));
      }
    }
  
#line 34997 "ad_x86.cpp"
  }
  {

#line 1801 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // If method sets FPU control word do it here also
    if (Compile::current()->in_24_bit_fp_mode()) {
      __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_24()));
    }
  
#line 35008 "ad_x86.cpp"
  }
}

void CallLeafDirectNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  {

#line 1788 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // If method sets FPU control word restore it here
    debug_only(int off0 = __ offset());
    if (ra_->C->in_24_bit_fp_mode()) {
      __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_std()));
    }
    // Clear upper bits of YMM registers when current compiled code uses
    // wide vectors to avoid AVX <-> SSE transition penalty during call.
    __ vzeroupper();
    debug_only(int off1 = __ offset());
    assert(off1 - off0 == pre_call_resets_size(), "correct size prediction");
  
#line 35031 "ad_x86.cpp"
  }
  {

#line 1731 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int start = __ offset();
    if (UseSSE >= 2) {
      if (VerifyFPU) {
        __ verify_FPU(0, "must be empty in SSE2+ mode");
      }
    } else {
      // External c_calling_convention expects the FPU stack to be 'clean'.
      // Compiled code leaves it dirty.  Do cleanup now.
      __ empty_FPU_stack();
    }
    if (sizeof_FFree_Float_Stack_All == -1) {
      sizeof_FFree_Float_Stack_All = __ offset() - start;
    } else {
      assert(__ offset() - start == sizeof_FFree_Float_Stack_All, "wrong size");
    }
  
#line 35053 "ad_x86.cpp"
  }
  {

#line 1755 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // This is the instruction starting address for relocation info.
    __ set_inst_mark();
    emit_d8(masm, (0xE8 /*primary()*/));
    // CALL directly to the runtime
    emit_d32_reloc(masm, (opnd_array(1)->method() - (int)(__ pc()) - 4),
                runtime_call_Relocation::spec(), RELOC_IMM32 );
    __ clear_inst_mark();
    __ post_call_nop();

    if (UseSSE >= 2) {
      BasicType rt = tf()->return_type();

      if ((rt == T_FLOAT || rt == T_DOUBLE) && !return_value_is_used()) {
        // A C runtime call where the return value is unused.  In SSE2+
        // mode the result needs to be removed from the FPU stack.  It's
        // likely that this function call could be removed by the
        // optimizer if the C function is a pure function.
        __ ffree(0);
      } else if (rt == T_FLOAT) {
        __ lea(rsp, Address(rsp, -4));
        __ fstp_s(Address(rsp, 0));
        __ movflt(xmm0, Address(rsp, 0));
        __ lea(rsp, Address(rsp,  4));
      } else if (rt == T_DOUBLE) {
        __ lea(rsp, Address(rsp, -8));
        __ fstp_d(Address(rsp, 0));
        __ movdbl(xmm0, Address(rsp, 0));
        __ lea(rsp, Address(rsp,  8));
      }
    }
  
#line 35090 "ad_x86.cpp"
  }
  {

#line 1749 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    if( VerifyFPU ) {
      __ verify_FPU( -3, "Returning from Runtime Leaf call");
    }
  
#line 35100 "ad_x86.cpp"
  }
  {

#line 1801 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // If method sets FPU control word do it here also
    if (Compile::current()->in_24_bit_fp_mode()) {
      __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_24()));
    }
  
#line 35111 "ad_x86.cpp"
  }
}

void CallLeafNoFPDirectNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  {

#line 1788 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // If method sets FPU control word restore it here
    debug_only(int off0 = __ offset());
    if (ra_->C->in_24_bit_fp_mode()) {
      __ fldcw(ExternalAddress(StubRoutines::x86::addr_fpu_cntrl_wrd_std()));
    }
    // Clear upper bits of YMM registers when current compiled code uses
    // wide vectors to avoid AVX <-> SSE transition penalty during call.
    __ vzeroupper();
    debug_only(int off1 = __ offset());
    assert(off1 - off0 == pre_call_resets_size(), "correct size prediction");
  
#line 35134 "ad_x86.cpp"
  }
  {

#line 1755 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    // This is the instruction starting address for relocation info.
    __ set_inst_mark();
    emit_d8(masm, (0xE8 /*primary()*/));
    // CALL directly to the runtime
    emit_d32_reloc(masm, (opnd_array(1)->method() - (int)(__ pc()) - 4),
                runtime_call_Relocation::spec(), RELOC_IMM32 );
    __ clear_inst_mark();
    __ post_call_nop();

    if (UseSSE >= 2) {
      BasicType rt = tf()->return_type();

      if ((rt == T_FLOAT || rt == T_DOUBLE) && !return_value_is_used()) {
        // A C runtime call where the return value is unused.  In SSE2+
        // mode the result needs to be removed from the FPU stack.  It's
        // likely that this function call could be removed by the
        // optimizer if the C function is a pure function.
        __ ffree(0);
      } else if (rt == T_FLOAT) {
        __ lea(rsp, Address(rsp, -4));
        __ fstp_s(Address(rsp, 0));
        __ movflt(xmm0, Address(rsp, 0));
        __ lea(rsp, Address(rsp,  4));
      } else if (rt == T_DOUBLE) {
        __ lea(rsp, Address(rsp, -8));
        __ fstp_d(Address(rsp, 0));
        __ movdbl(xmm0, Address(rsp, 0));
        __ lea(rsp, Address(rsp,  8));
      }
    }
  
#line 35171 "ad_x86.cpp"
  }
}

void RetNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 5;
  unsigned idx1 = 5; 	// 
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xC3 /*primary()*/));
  
#line 35185 "ad_x86.cpp"
  }
}

void TailCalljmpIndNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 5;
  unsigned idx1 = 5; 	// method_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// 
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xFF /*primary()*/));
  
#line 35200 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x4 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* jump_target */ );
  
#line 35208 "ad_x86.cpp"
  }
}

void tailjmpIndNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 5;
  unsigned idx1 = 5; 	// ex_oop
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// 
  {

#line 2849 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm,0x5A);
  
#line 35223 "ad_x86.cpp"
  }
  {

#line 1538 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_opcode(masm, (0xFF /*primary()*/));
  
#line 35231 "ad_x86.cpp"
  }
  {

#line 1691 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    emit_rm(masm, 0x3, (0x4 /*secondary()*/), opnd_array(1)->reg(ra_,this,idx1)/* jump_target */ );
  
#line 35239 "ad_x86.cpp"
  }
}

void ForwardExceptionjmpNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 5;
  unsigned idx1 = 5; 	// 
  {

#line 13583 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ jump(RuntimeAddress(StubRoutines::forward_exception_entry()), noreg);
  
#line 35253 "ad_x86.cpp"
  }
}

void CreateExceptionNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  // User did not define which encode class to use.
}

uint CreateExceptionNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void RethrowExceptionNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 5;
  unsigned idx1 = 5; 	// 
  {

#line 2853 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
    emit_opcode(masm, 0xE9);        // jmp    entry
    emit_d32_reloc(masm, (int)OptoRuntime::rethrow_stub() - ((int)__ pc())-4,
                   runtime_call_Relocation::spec(), RELOC_IMM32 );
    __ clear_inst_mark();
    __ post_call_nop();
  
#line 35284 "ad_x86.cpp"
  }
}

void cmpFastLockNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// object
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// box
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// scr
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// thread
  {

#line 13625 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ get_thread(opnd_array(5)->as_Register(ra_,this,idx5)/* thread */);
    __ fast_lock(opnd_array(1)->as_Register(ra_,this,idx1)/* object */, opnd_array(2)->as_Register(ra_,this,idx2)/* box */, opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */,
                 opnd_array(4)->as_Register(ra_,this,idx4)/* scr */, noreg, noreg, opnd_array(5)->as_Register(ra_,this,idx5)/* thread */, nullptr);
  
#line 35304 "ad_x86.cpp"
  }
}

void cmpFastUnlockNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// object
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// box
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 13639 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ fast_unlock(opnd_array(1)->as_Register(ra_,this,idx1)/* object */, opnd_array(2)->as_Register(ra_,this,idx2)/* box */, opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */);
  
#line 35320 "ad_x86.cpp"
  }
}

void cmpFastLockLightweightNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// object
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// box
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// eax_reg
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// thread
  {

#line 13651 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ get_thread(opnd_array(5)->as_Register(ra_,this,idx5)/* thread */);
    __ fast_lock_lightweight(opnd_array(1)->as_Register(ra_,this,idx1)/* object */, opnd_array(2)->as_Register(ra_,this,idx2)/* box */, opnd_array(3)->as_Register(ra_,this,idx3)/* eax_reg */, opnd_array(4)->as_Register(ra_,this,idx4)/* tmp */, opnd_array(5)->as_Register(ra_,this,idx5)/* thread */);
  
#line 35339 "ad_x86.cpp"
  }
}

void cmpFastUnlockLightweightNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// object
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// eax_reg
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// thread
  {

#line 13664 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ get_thread(opnd_array(4)->as_Register(ra_,this,idx4)/* thread */);
    __ fast_unlock_lightweight(opnd_array(1)->as_Register(ra_,this,idx1)/* object */, opnd_array(2)->as_Register(ra_,this,idx2)/* eax_reg */, opnd_array(3)->as_Register(ra_,this,idx3)/* tmp */, opnd_array(4)->as_Register(ra_,this,idx4)/* thread */);
  
#line 35357 "ad_x86.cpp"
  }
}

void mask_all_evexL_LT32Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 13675 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int mask_len = Matcher::vector_length(this);
    __ vector_maskall_operation(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */, mask_len);
  
#line 35372 "ad_x86.cpp"
  }
}

void mask_all_evexL_GT32Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// ktmp
  {

#line 13687 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int mask_len = Matcher::vector_length(this);
    __ vector_maskall_operation32(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */, opnd_array(2)->as_KRegister(ra_,this,idx2)/* ktmp */, mask_len);
  
#line 35388 "ad_x86.cpp"
  }
}

void mask_all_evexI_GT32Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// ktmp
  {

#line 13699 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    int mask_len = Matcher::vector_length(this);
    __ vector_maskall_operation32(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */, opnd_array(2)->as_KRegister(ra_,this,idx2)/* ktmp */, mask_len);
  
#line 35404 "ad_x86.cpp"
  }
}

void safePoint_poll_tlsNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 5;
  unsigned idx1 = 5; 	// cr
  {

#line 13716 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    __ set_inst_mark();
    __ relocate(relocInfo::poll_type);
    __ clear_inst_mark();
    address pre_pc = __ pc();
    __ testl(rax, Address(opnd_array(1)->as_Register(ra_,this,idx1)/* poll */, 0));
    address post_pc = __ pc();
    guarantee(pre_pc[0] == 0x85, "must emit test-ax [reg]");
  
#line 35424 "ad_x86.cpp"
  }
}

uint safePoint_poll_tlsNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 2, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 2);
}

void tlsLoadPNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cr
  {

#line 13738 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    Register dstReg = as_Register(opnd_array(0)->reg(ra_,this)/* dst */);
    __ get_thread(dstReg);
  
#line 35444 "ad_x86.cpp"
  }
}

void ShouldNotReachHereNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 5;
  unsigned idx1 = 5; 	// 
  {

#line 2984 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    if (is_reachable()) {
      __ stop(_halt_reason);
    }
  
#line 35460 "ad_x86.cpp"
  }
}

void addF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3000 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ addss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 35475 "ad_x86.cpp"
  }
}

void addF_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3012 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ addss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 35490 "ad_x86.cpp"
  }
}

void addF_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 3012 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ addss(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 35505 "ad_x86.cpp"
  }
}

void addF_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3023 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ addss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 35520 "ad_x86.cpp"
  }
}

void addF_immNode::eval_constant(Compile* C) {
  {

#line 3024 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 35529 "ad_x86.cpp"
  }
}
void addF_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3035 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vaddss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
  
#line 35543 "ad_x86.cpp"
  }
}

void addF_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3047 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vaddss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 35558 "ad_x86.cpp"
  }
}

void addF_reg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  {

#line 3047 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vaddss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src1 */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 35573 "ad_x86.cpp"
  }
}

void addF_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3059 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vaddss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 35588 "ad_x86.cpp"
  }
}

void addF_reg_immNode::eval_constant(Compile* C) {
  {

#line 3060 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 35597 "ad_x86.cpp"
  }
}
void addD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3071 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ addsd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 35611 "ad_x86.cpp"
  }
}

void addD_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3083 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ addsd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 35626 "ad_x86.cpp"
  }
}

void addD_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 3083 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ addsd(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 35641 "ad_x86.cpp"
  }
}

void addD_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3094 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ addsd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 35656 "ad_x86.cpp"
  }
}

void addD_immNode::eval_constant(Compile* C) {
  {

#line 3095 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 35665 "ad_x86.cpp"
  }
}
void addD_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3106 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vaddsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
  
#line 35679 "ad_x86.cpp"
  }
}

void addD_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3118 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vaddsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 35694 "ad_x86.cpp"
  }
}

void addD_reg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  {

#line 3118 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vaddsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src1 */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 35709 "ad_x86.cpp"
  }
}

void addD_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3130 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vaddsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 35724 "ad_x86.cpp"
  }
}

void addD_reg_immNode::eval_constant(Compile* C) {
  {

#line 3131 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 35733 "ad_x86.cpp"
  }
}
void subF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3142 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ subss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 35747 "ad_x86.cpp"
  }
}

void subF_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3154 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ subss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 35762 "ad_x86.cpp"
  }
}

void subF_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3165 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ subss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 35777 "ad_x86.cpp"
  }
}

void subF_immNode::eval_constant(Compile* C) {
  {

#line 3166 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 35786 "ad_x86.cpp"
  }
}
void subF_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3177 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vsubss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
  
#line 35800 "ad_x86.cpp"
  }
}

void subF_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3189 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vsubss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 35815 "ad_x86.cpp"
  }
}

void subF_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3201 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vsubss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 35830 "ad_x86.cpp"
  }
}

void subF_reg_immNode::eval_constant(Compile* C) {
  {

#line 3202 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 35839 "ad_x86.cpp"
  }
}
void subD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3213 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ subsd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 35853 "ad_x86.cpp"
  }
}

void subD_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3225 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ subsd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 35868 "ad_x86.cpp"
  }
}

void subD_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3236 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ subsd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 35883 "ad_x86.cpp"
  }
}

void subD_immNode::eval_constant(Compile* C) {
  {

#line 3237 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 35892 "ad_x86.cpp"
  }
}
void subD_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3248 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vsubsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
  
#line 35906 "ad_x86.cpp"
  }
}

void subD_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3260 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vsubsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 35921 "ad_x86.cpp"
  }
}

void subD_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3272 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vsubsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 35936 "ad_x86.cpp"
  }
}

void subD_reg_immNode::eval_constant(Compile* C) {
  {

#line 3273 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 35945 "ad_x86.cpp"
  }
}
void mulF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3284 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ mulss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 35959 "ad_x86.cpp"
  }
}

void mulF_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3296 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ mulss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 35974 "ad_x86.cpp"
  }
}

void mulF_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 3296 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ mulss(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 35989 "ad_x86.cpp"
  }
}

void mulF_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3307 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ mulss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 36004 "ad_x86.cpp"
  }
}

void mulF_immNode::eval_constant(Compile* C) {
  {

#line 3308 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 36013 "ad_x86.cpp"
  }
}
void mulF_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3319 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vmulss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
  
#line 36027 "ad_x86.cpp"
  }
}

void mulF_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3331 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vmulss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 36042 "ad_x86.cpp"
  }
}

void mulF_reg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  {

#line 3331 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vmulss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src1 */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 36057 "ad_x86.cpp"
  }
}

void mulF_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3343 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vmulss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 36072 "ad_x86.cpp"
  }
}

void mulF_reg_immNode::eval_constant(Compile* C) {
  {

#line 3344 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 36081 "ad_x86.cpp"
  }
}
void mulD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3355 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ mulsd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 36095 "ad_x86.cpp"
  }
}

void mulD_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3367 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ mulsd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 36110 "ad_x86.cpp"
  }
}

void mulD_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 3367 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ mulsd(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 36125 "ad_x86.cpp"
  }
}

void mulD_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3378 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ mulsd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 36140 "ad_x86.cpp"
  }
}

void mulD_immNode::eval_constant(Compile* C) {
  {

#line 3379 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 36149 "ad_x86.cpp"
  }
}
void mulD_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3390 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vmulsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
  
#line 36163 "ad_x86.cpp"
  }
}

void mulD_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3402 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vmulsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 36178 "ad_x86.cpp"
  }
}

void mulD_reg_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src2
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  {

#line 3402 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vmulsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src1 */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
  
#line 36193 "ad_x86.cpp"
  }
}

void mulD_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3414 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vmulsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 36208 "ad_x86.cpp"
  }
}

void mulD_reg_immNode::eval_constant(Compile* C) {
  {

#line 3415 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 36217 "ad_x86.cpp"
  }
}
void divF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3426 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ divss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 36231 "ad_x86.cpp"
  }
}

void divF_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3438 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ divss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 36246 "ad_x86.cpp"
  }
}

void divF_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3449 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ divss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 36261 "ad_x86.cpp"
  }
}

void divF_immNode::eval_constant(Compile* C) {
  {

#line 3450 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 36270 "ad_x86.cpp"
  }
}
void divF_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3461 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vdivss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
  
#line 36284 "ad_x86.cpp"
  }
}

void divF_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3473 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vdivss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 36299 "ad_x86.cpp"
  }
}

void divF_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3485 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vdivss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 36314 "ad_x86.cpp"
  }
}

void divF_reg_immNode::eval_constant(Compile* C) {
  {

#line 3486 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 36323 "ad_x86.cpp"
  }
}
void divD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3497 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ divsd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 36337 "ad_x86.cpp"
  }
}

void divD_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3509 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ divsd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 36352 "ad_x86.cpp"
  }
}

void divD_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3520 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ divsd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 36367 "ad_x86.cpp"
  }
}

void divD_immNode::eval_constant(Compile* C) {
  {

#line 3521 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 36376 "ad_x86.cpp"
  }
}
void divD_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3532 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vdivsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
  
#line 36390 "ad_x86.cpp"
  }
}

void divD_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 3544 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vdivsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 36405 "ad_x86.cpp"
  }
}

void divD_reg_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// con
  {

#line 3556 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vdivsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, InternalAddress(__ code()->consts()->start() + constant_offset()));
  
#line 36420 "ad_x86.cpp"
  }
}

void divD_reg_immNode::eval_constant(Compile* C) {
  {

#line 3557 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, opnd_array(2));
#line 36429 "ad_x86.cpp"
  }
}
void absF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 3567 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ andps(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, ExternalAddress(float_signmask()));
  
#line 36442 "ad_x86.cpp"
  }
}

void absF_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 3578 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = Assembler::AVX_128bit;
    __ vandps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */,
              ExternalAddress(float_signmask()), vlen_enc);
  
#line 36458 "ad_x86.cpp"
  }
}

void absD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 3592 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ andpd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, ExternalAddress(double_signmask()));
  
#line 36472 "ad_x86.cpp"
  }
}

void absD_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 3604 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = Assembler::AVX_128bit;
    __ vandpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */,
              ExternalAddress(double_signmask()), vlen_enc);
  
#line 36488 "ad_x86.cpp"
  }
}

void negF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 3617 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ xorps(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, ExternalAddress(float_signflip()));
  
#line 36502 "ad_x86.cpp"
  }
}

void negF_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 3628 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vnegatess(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */,
                 ExternalAddress(float_signflip()));
  
#line 36517 "ad_x86.cpp"
  }
}

void negD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 3641 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ xorpd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, ExternalAddress(double_signflip()));
  
#line 36531 "ad_x86.cpp"
  }
}

void negD_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 3653 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vnegatesd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */,
                 ExternalAddress(double_signflip()));
  
#line 36546 "ad_x86.cpp"
  }
}

void sqrtF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 3666 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ sqrtss(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */);
  
#line 36560 "ad_x86.cpp"
  }
}

void sqrtD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 3678 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ sqrtsd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */);
  
#line 36574 "ad_x86.cpp"
  }
}

void convF2HF_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// tmp
  {

#line 3689 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ flt_to_flt16(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* tmp */);
  
#line 36589 "ad_x86.cpp"
  }
}

void convF2HF_mem_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// ktmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// rtmp
  {

#line 3700 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ movl(opnd_array(4)->as_Register(ra_,this,idx4)/* rtmp */, 0x1);
    __ kmovwl(opnd_array(3)->as_KRegister(ra_,this,idx3)/* ktmp */, opnd_array(4)->as_Register(ra_,this,idx4)/* rtmp */);
    __ evcvtps2ph(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(3)->as_KRegister(ra_,this,idx3)/* ktmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, 0x04, Assembler::AVX_128bit);
  
#line 36608 "ad_x86.cpp"
  }
}

void vconvF2HFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 3711 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    __ vcvtps2ph(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0x04, vlen_enc);
  
#line 36623 "ad_x86.cpp"
  }
}

void vconvF2HF_mem_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 3722 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(2));
    __ vcvtps2ph(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, 0x04, vlen_enc);
  
#line 36639 "ad_x86.cpp"
  }
}

void convHF2F_reg_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 3732 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ flt16_to_flt(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
  
#line 36653 "ad_x86.cpp"
  }
}

void vconvHF2F_reg_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 3741 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vcvtph2ps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 36668 "ad_x86.cpp"
  }
}

void vconvHF2FNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 3752 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vcvtph2ps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 36683 "ad_x86.cpp"
  }
}

void reinterpret_maskNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 3766 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    // empty
  
#line 36697 "ad_x86.cpp"
  }
}

void reinterpret_mask_W2BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// xtmp
  {

#line 3781 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

     int src_sz = Matcher::vector_length(this, opnd_array(1))*type2aelembytes(T_SHORT);
     int dst_sz = Matcher::vector_length(this)*type2aelembytes(T_BYTE);
     assert(src_sz == dst_sz , "src and dst size mismatch");
     int vlen_enc = vector_length_encoding(src_sz);
     __  evpmovm2w(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* xtmp */, opnd_array(1)->as_KRegister(ra_,this,idx1)/* src */, vlen_enc);
     __  evpmovb2m(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* xtmp */, vlen_enc);
  
#line 36717 "ad_x86.cpp"
  }
}

void reinterpret_mask_D2BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// xtmp
  {

#line 3802 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

     int src_sz = Matcher::vector_length(this, opnd_array(1))*type2aelembytes(T_INT);
     int dst_sz = Matcher::vector_length(this)*type2aelembytes(T_BYTE);
     assert(src_sz == dst_sz , "src and dst size mismatch");
     int vlen_enc = vector_length_encoding(src_sz);
     __  evpmovm2d(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* xtmp */, opnd_array(1)->as_KRegister(ra_,this,idx1)/* src */, vlen_enc);
     __  evpmovb2m(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* xtmp */, vlen_enc);
  
#line 36737 "ad_x86.cpp"
  }
}

void reinterpret_mask_Q2BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// xtmp
  {

#line 3823 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

     int src_sz = Matcher::vector_length(this, opnd_array(1))*type2aelembytes(T_LONG);
     int dst_sz = Matcher::vector_length(this)*type2aelembytes(T_BYTE);
     assert(src_sz == dst_sz , "src and dst size mismatch");
     int vlen_enc = vector_length_encoding(src_sz);
     __  evpmovm2q(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* xtmp */, opnd_array(1)->as_KRegister(ra_,this,idx1)/* src */, vlen_enc);
     __  evpmovb2m(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* xtmp */, vlen_enc);
  
#line 36757 "ad_x86.cpp"
  }
}

void reinterpretNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 3840 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    // empty
  
#line 36771 "ad_x86.cpp"
  }
}

void reinterpret_expandNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 3853 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(Matcher::vector_length_in_bytes(this)       <= 16, "required");
    assert(Matcher::vector_length_in_bytes(this, opnd_array(1)) <=  8, "required");

    int src_vlen_in_bytes = Matcher::vector_length_in_bytes(this, opnd_array(1));
    if (src_vlen_in_bytes == 4) {
      __ movdqu(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, ExternalAddress(vector_32_bit_mask()), noreg);
    } else {
      assert(src_vlen_in_bytes == 8, "");
      __ movdqu(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, ExternalAddress(vector_64_bit_mask()), noreg);
    }
    __ pand(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
  
#line 36796 "ad_x86.cpp"
  }
}

void vreinterpret_expand4Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 3877 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vpand(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, ExternalAddress(vector_32_bit_mask()), 0, noreg);
  
#line 36810 "ad_x86.cpp"
  }
}

void vreinterpret_expandNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 3892 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    switch (Matcher::vector_length_in_bytes(this, opnd_array(1))) {
      case  8: __ movq   (opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */); break;
      case 16: __ movdqu (opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */); break;
      case 32: __ vmovdqu(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */); break;
      default: ShouldNotReachHere();
    }
  
#line 36829 "ad_x86.cpp"
  }
}

void reinterpret_shrinkNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 3909 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    switch (Matcher::vector_length_in_bytes(this)) {
      case  4: __ movfltz(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */); break;
      case  8: __ movq   (opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */); break;
      case 16: __ movdqu (opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */); break;
      case 32: __ vmovdqu(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */); break;
      default: ShouldNotReachHere();
    }
  
#line 36849 "ad_x86.cpp"
  }
}

void onspinwaitNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// 
  {

#line 4004 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ pause();
  
#line 36863 "ad_x86.cpp"
  }
}

void fmaD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// c
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// a
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// b
  {

#line 4015 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseFMA, "Needs FMA instructions support.");
    __ fmad(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* c */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* a */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* b */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* c */);
  
#line 36880 "ad_x86.cpp"
  }
}

void fmaF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// c
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// a
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// b
  {

#line 4027 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseFMA, "Needs FMA instructions support.");
    __ fmaf(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* c */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* a */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* b */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* c */);
  
#line 36897 "ad_x86.cpp"
  }
}

void MoveVec2LegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4040 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    ShouldNotReachHere();
  
#line 36911 "ad_x86.cpp"
  }
}

void MoveLeg2VecNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4049 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    ShouldNotReachHere();
  
#line 36925 "ad_x86.cpp"
  }
}

void loadVNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 4062 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ load_vector(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), Matcher::vector_length_in_bytes(this));
  
#line 36939 "ad_x86.cpp"
  }
}

void storeVNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 4073 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    switch (Matcher::vector_length_in_bytes(this, opnd_array(2))) {
      case  4: __ movdl    (Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */); break;
      case  8: __ movq     (Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */); break;
      case 16: __ movdqu   (Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */); break;
      case 32: __ vmovdqu  (Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */); break;
      case 64: __ evmovdqul(Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Assembler::AVX_512bit); break;
      default: ShouldNotReachHere();
    }
  
#line 36961 "ad_x86.cpp"
  }
}

void gatherNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// mask
  {

#line 4096 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    assert(!is_subword_type(elem_bt), "sanity"); // T_INT, T_LONG, T_FLOAT, T_DOUBLE
    __ vpcmpeqd(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* mask */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* mask */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* mask */, vlen_enc);
    __ lea(opnd_array(4)->as_Register(ra_,this,idx4)/* tmp */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ vgather(elem_bt, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_Register(ra_,this,idx4)/* tmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* idx */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* mask */, vlen_enc);
  
#line 36984 "ad_x86.cpp"
  }
}

void evgatherNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// ktmp
  {

#line 4114 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ kxnorwl(opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp */, opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp */, opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp */);
    __ lea(opnd_array(4)->as_Register(ra_,this,idx4)/* tmp */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ evgather(elem_bt, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp */, opnd_array(4)->as_Register(ra_,this,idx4)/* tmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* idx */, vlen_enc);
  
#line 37006 "ad_x86.cpp"
  }
}

void evgather_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// dst
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// ktmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp
  {

#line 4130 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "sanity");
    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    assert(!is_subword_type(elem_bt), "sanity"); // T_INT, T_LONG, T_FLOAT, T_DOUBLE
    // Note: Since gather instruction partially updates the opmask register used
    // for predication hense moving mask operand to a temporary.
    __ kmovwl(opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp */, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */);
    __ vpxor(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */, vlen_enc);
    __ lea(opnd_array(6)->as_Register(ra_,this,idx6)/* tmp */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ evgather(elem_bt, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */, opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp */, opnd_array(6)->as_Register(ra_,this,idx6)/* tmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* idx */, vlen_enc);
  
#line 37034 "ad_x86.cpp"
  }
}

void vgather_subwordLE8BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx_base
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// offset
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// rtmp
  {

#line 4150 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ lea(opnd_array(4)->as_Register(ra_,this,idx4)/* tmp */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ vgather8b_offset(elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(4)->as_Register(ra_,this,idx4)/* tmp */, opnd_array(2)->as_Register(ra_,this,idx2)/* idx_base */, noreg, opnd_array(5)->as_Register(ra_,this,idx5)/* rtmp */, vlen_enc);
  
#line 37055 "ad_x86.cpp"
  }
}

void vgather_subwordGT8BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx_base
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// offset
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// dst
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// idx_base_temp
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// xtmp1
  unsigned idx8 = idx7 + opnd_array(7)->num_edges(); 	// xtmp2
  unsigned idx9 = idx8 + opnd_array(8)->num_edges(); 	// xtmp3
  unsigned idx10 = idx9 + opnd_array(9)->num_edges(); 	// rtmp
  unsigned idx11 = idx10 + opnd_array(10)->num_edges(); 	// length
  {

#line 4165 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    int vector_len = Matcher::vector_length(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ lea(opnd_array(5)->as_Register(ra_,this,idx5)/* tmp */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ movptr(opnd_array(6)->as_Register(ra_,this,idx6)/* idx_base_temp */, opnd_array(2)->as_Register(ra_,this,idx2)/* idx_base */);
    __ vgather_subword(elem_bt, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */, opnd_array(5)->as_Register(ra_,this,idx5)/* tmp */, opnd_array(6)->as_Register(ra_,this,idx6)/* idx_base_temp */, noreg, noreg, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* xtmp1 */,
                       opnd_array(8)->as_XMMRegister(ra_,this,idx8)/* xtmp2 */, opnd_array(9)->as_XMMRegister(ra_,this,idx9)/* xtmp3 */, opnd_array(10)->as_Register(ra_,this,idx10)/* rtmp */, noreg, opnd_array(11)->as_Register(ra_,this,idx11)/* length */, vector_len, vlen_enc);
  
#line 37085 "ad_x86.cpp"
  }
}

void vgather_subwordLE8B_offNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx_base
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// offset
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// rtmp
  {

#line 4182 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ lea(opnd_array(4)->as_Register(ra_,this,idx4)/* tmp */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ vgather8b_offset(elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(4)->as_Register(ra_,this,idx4)/* tmp */, opnd_array(2)->as_Register(ra_,this,idx2)/* idx_base */, opnd_array(3)->as_Register(ra_,this,idx3)/* offset */, opnd_array(5)->as_Register(ra_,this,idx5)/* rtmp */, vlen_enc);
  
#line 37106 "ad_x86.cpp"
  }
}

void vgather_subwordGT8B_offNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx_base
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// offset
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// dst
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// idx_base_temp
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// xtmp1
  unsigned idx8 = idx7 + opnd_array(7)->num_edges(); 	// xtmp2
  unsigned idx9 = idx8 + opnd_array(8)->num_edges(); 	// xtmp3
  unsigned idx10 = idx9 + opnd_array(9)->num_edges(); 	// rtmp
  unsigned idx11 = idx10 + opnd_array(10)->num_edges(); 	// length
  {

#line 4198 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    int vector_len = Matcher::vector_length(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ lea(opnd_array(5)->as_Register(ra_,this,idx5)/* tmp */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ movptr(opnd_array(6)->as_Register(ra_,this,idx6)/* idx_base_temp */, opnd_array(2)->as_Register(ra_,this,idx2)/* idx_base */);
    __ vgather_subword(elem_bt, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */, opnd_array(5)->as_Register(ra_,this,idx5)/* tmp */, opnd_array(6)->as_Register(ra_,this,idx6)/* idx_base_temp */, opnd_array(3)->as_Register(ra_,this,idx3)/* offset */, noreg, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* xtmp1 */,
                       opnd_array(8)->as_XMMRegister(ra_,this,idx8)/* xtmp2 */, opnd_array(9)->as_XMMRegister(ra_,this,idx9)/* xtmp3 */, opnd_array(10)->as_Register(ra_,this,idx10)/* rtmp */, noreg, opnd_array(11)->as_Register(ra_,this,idx11)/* length */, vector_len, vlen_enc);
  
#line 37136 "ad_x86.cpp"
  }
}

void scatterNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// idx
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// ktmp
  {

#line 4385 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(2));
    BasicType elem_bt = Matcher::vector_element_basic_type(this, opnd_array(2));

    assert(Matcher::vector_length_in_bytes(this, opnd_array(2)) >= 16, "sanity");
    assert(!is_subword_type(elem_bt), "sanity"); // T_INT, T_LONG, T_FLOAT, T_DOUBLE

    __ kmovwl(opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp */, ExternalAddress(vector_all_bits_set()), noreg);
    __ lea(opnd_array(4)->as_Register(ra_,this,idx4)/* tmp */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ evscatter(elem_bt, opnd_array(4)->as_Register(ra_,this,idx4)/* tmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* idx */, opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, vlen_enc);
  
#line 37162 "ad_x86.cpp"
  }
}

void scatter_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// idx
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// mask
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// ktmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp
  {

#line 4403 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(2));
    BasicType elem_bt = Matcher::vector_element_basic_type(this, opnd_array(2));
    assert(Matcher::vector_length_in_bytes(this, opnd_array(2)) >= 16, "sanity");
    assert(!is_subword_type(elem_bt), "sanity"); // T_INT, T_LONG, T_FLOAT, T_DOUBLE
    // Note: Since scatter instruction partially updates the opmask register used
    // for predication hense moving mask operand to a temporary.
    __ kmovwl(opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp */, opnd_array(4)->as_KRegister(ra_,this,idx4)/* mask */);
    __ lea(opnd_array(6)->as_Register(ra_,this,idx6)/* tmp */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    __ evscatter(elem_bt, opnd_array(6)->as_Register(ra_,this,idx6)/* tmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* idx */, opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, vlen_enc);
  
#line 37189 "ad_x86.cpp"
  }
}

void vReplB_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4424 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    uint vlen = Matcher::vector_length(this);
    if (UseAVX >= 2) {
      int vlen_enc = vector_length_encoding(this);
      if (vlen == 64 || VM_Version::supports_avx512vlbw()) { // AVX512VL for <512bit operands
        assert(VM_Version::supports_avx512bw(), "required"); // 512-bit byte vectors assume AVX512BW
        __ evpbroadcastb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */, vlen_enc);
      } else {
        __ movdl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
        __ vpbroadcastb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vlen_enc);
      }
    } else {
       assert(UseAVX < 2, "");
      __ movdl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
      __ punpcklbw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */);
      __ pshuflw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, 0x00);
      if (vlen >= 16) {
        assert(vlen == 16, "");
        __ punpcklqdq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */);
      }
    }
  
#line 37222 "ad_x86.cpp"
  }
}

void ReplB_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 4453 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpbroadcastb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 37237 "ad_x86.cpp"
  }
}

void vReplS_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4466 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    uint vlen = Matcher::vector_length(this);
    int vlen_enc = vector_length_encoding(this);
    if (UseAVX >= 2) {
      if (vlen == 32 || VM_Version::supports_avx512vlbw()) { // AVX512VL for <512bit operands
        assert(VM_Version::supports_avx512bw(), "required"); // 512-bit short vectors assume AVX512BW
        __ evpbroadcastw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */, vlen_enc);
      } else {
        __ movdl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
        __ vpbroadcastw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vlen_enc);
      }
    } else {
      assert(UseAVX < 2, "");
      __ movdl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
      __ pshuflw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, 0x00);
      if (vlen >= 8) {
        assert(vlen == 8, "");
        __ punpcklqdq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */);
      }
    }
  
#line 37269 "ad_x86.cpp"
  }
}

void ReplS_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 4494 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpbroadcastw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 37284 "ad_x86.cpp"
  }
}

void ReplI_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4507 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    uint vlen = Matcher::vector_length(this);
    int vlen_enc = vector_length_encoding(this);
    if (vlen == 16 || VM_Version::supports_avx512vl()) { // AVX512VL for <512bit operands
      __ evpbroadcastd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */, vlen_enc);
    } else if (VM_Version::supports_avx2()) {
      __ movdl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
      __ vpbroadcastd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vlen_enc);
    } else {
      __ movdl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
      __ pshufd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, 0x00);
    }
  
#line 37308 "ad_x86.cpp"
  }
}

void ReplI_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 4527 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    if (VM_Version::supports_avx2()) {
      __ vpbroadcastd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
    } else if (VM_Version::supports_avx()) {
      __ vbroadcastss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
    } else {
      __ movdl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
      __ pshufd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, 0x00);
    }
  
#line 37330 "ad_x86.cpp"
  }
}

void ReplI_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// con
  {

#line 4545 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    InternalAddress addr = InternalAddress(__ code()->consts()->start() + constant_offset());
    BasicType bt = Matcher::vector_element_basic_type(this);
    int vlen = Matcher::vector_length_in_bytes(this);
    __ load_constant_vector(bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, addr, vlen);
  
#line 37347 "ad_x86.cpp"
  }
}

void ReplI_immNode::eval_constant(Compile* C) {
  {

#line 4546 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, Matcher::vector_element_basic_type(this),
        vreplicate_imm(Matcher::vector_element_basic_type(this), opnd_array(1)->constant(),
            (VM_Version::supports_sse3() ? (VM_Version::supports_avx() ? 4 : 8) : 8) /
                type2aelembytes(Matcher::vector_element_basic_type(this))));
#line 37359 "ad_x86.cpp"
  }
}
void ReplI_zeroNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// zero
  {

#line 4562 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    if (VM_Version::supports_evex() && !VM_Version::supports_avx512vl()) {
      __ vpxor(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vlen_enc);
    } else {
      __ pxor(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */);
    }
  
#line 37377 "ad_x86.cpp"
  }
}

void ReplI_M1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// con
  {

#line 4577 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vector_len = vector_length_encoding(this);
    __ vallones(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vector_len);
  
#line 37392 "ad_x86.cpp"
  }
}

void ReplL_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 4614 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    uint vlen = Matcher::vector_length(this);
    if (vlen == 2) {
      __ movdl(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
      __ movdl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* src */));
      __ punpckldq(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */);
      __ punpcklqdq(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */);
    } else if (VM_Version::supports_avx512vl()) { // AVX512VL for <512bit operands
      int vlen_enc = Assembler::AVX_256bit;
      __ movdl(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
      __ movdl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* src */));
      __ punpckldq(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */);
      __ vpbroadcastq(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, vlen_enc);
    } else {
      __ movdl(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
      __ movdl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* src */));
      __ punpckldq(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */);
      __ punpcklqdq(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */);
      __ vinserti128_high(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */);
    }
  
#line 37426 "ad_x86.cpp"
  }
}

void ReplL_reg_legNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 4643 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    if (VM_Version::supports_avx512vl()) {
      __ movdl(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
      __ movdl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* src */));
      __ punpckldq(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */);
      __ punpcklqdq(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */);
      __ vinserti128_high(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */);
      __ vinserti64x4(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, 0x1);
    } else {
      int vlen_enc = Assembler::AVX_512bit;
      __ movdl(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */);
      __ movdl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */, HIGH_FROM_LOW(opnd_array(1)->as_Register(ra_,this,idx1)/* src */));
      __ punpckldq(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */);
      __ vpbroadcastq(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, vlen_enc);
    }
  
#line 37455 "ad_x86.cpp"
  }
}

void ReplL_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 4667 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    if (VM_Version::supports_avx2()) {
      __ vpbroadcastq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
    } else if (VM_Version::supports_sse3()) {
      __ movddup(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    } else {
      __ movq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
      __ punpcklqdq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */);
    }
  
#line 37477 "ad_x86.cpp"
  }
}

void ReplL_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// con
  {

#line 4686 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    InternalAddress addr = InternalAddress(__ code()->consts()->start() + constant_offset());
    int vlen = Matcher::vector_length_in_bytes(this);
    __ load_constant_vector(T_LONG, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, addr, vlen);
  
#line 37493 "ad_x86.cpp"
  }
}

void ReplL_immNode::eval_constant(Compile* C) {
  {

#line 4687 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, T_LONG, vreplicate_imm(T_LONG, opnd_array(1)->constantL(), 1));
#line 37502 "ad_x86.cpp"
  }
}
void ReplL_zeroNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// zero
  {

#line 4698 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    if (VM_Version::supports_evex() && !VM_Version::supports_avx512vl()) {
      __ vpxor(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vlen_enc);
    } else {
      __ pxor(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */);
    }
  
#line 37520 "ad_x86.cpp"
  }
}

void ReplL_M1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// con
  {

#line 4713 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vector_len = vector_length_encoding(this);
    __ vallones(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vector_len);
  
#line 37535 "ad_x86.cpp"
  }
}

void vReplF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4726 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    uint vlen = Matcher::vector_length(this);
    int vlen_enc = vector_length_encoding(this);
    if (vlen <= 4) {
      __ vpermilps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0x00, Assembler::AVX_128bit);
    } else if (VM_Version::supports_avx2()) {
      __ vbroadcastss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc); // reg-to-reg variant requires AVX2
    } else {
      assert(vlen == 8, "sanity");
      __ vpermilps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0x00, Assembler::AVX_128bit);
      __ vinsertf128_high(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */);
    }
  
#line 37559 "ad_x86.cpp"
  }
}

void ReplF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4746 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ pshufd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0x00);
  
#line 37573 "ad_x86.cpp"
  }
}

void ReplF_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 4756 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vbroadcastss(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 37588 "ad_x86.cpp"
  }
}

void ReplF_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// con
  {

#line 4768 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    InternalAddress addr = InternalAddress(__ code()->consts()->start() + constant_offset());
    int vlen = Matcher::vector_length_in_bytes(this);
    __ load_constant_vector(T_FLOAT, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, addr, vlen);
  
#line 37604 "ad_x86.cpp"
  }
}

void ReplF_immNode::eval_constant(Compile* C) {
  {

#line 4769 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, T_FLOAT, vreplicate_imm(T_FLOAT, opnd_array(1)->constantF(),
        VM_Version::supports_sse3() ? (VM_Version::supports_avx() ? 1 : 2) : 2));
#line 37614 "ad_x86.cpp"
  }
}
void ReplF_zeroNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// zero
  {

#line 4781 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    if (VM_Version::supports_evex() && !VM_Version::supports_avx512vldq()) {
      __ vpxor(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vlen_enc);
    } else {
      __ xorps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */);
    }
  
#line 37632 "ad_x86.cpp"
  }
}

void vReplD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4799 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    uint vlen = Matcher::vector_length(this);
    int vlen_enc = vector_length_encoding(this);
    if (vlen <= 2) {
      __ movddup(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    } else if (VM_Version::supports_avx2()) {
      __ vbroadcastsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc); // reg-to-reg variant requires AVX2
    } else {
      assert(vlen == 4, "sanity");
      __ movddup(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
      __ vinsertf128_high(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */);
    }
  
#line 37656 "ad_x86.cpp"
  }
}

void ReplD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 4819 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ pshufd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0x44);
  
#line 37670 "ad_x86.cpp"
  }
}

void ReplD_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 4829 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    if (Matcher::vector_length(this) >= 4) {
      int vlen_enc = vector_length_encoding(this);
      __ vbroadcastsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
    } else {
      __ movddup(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()));
    }
  
#line 37689 "ad_x86.cpp"
  }
}

void ReplD_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// con
  {

#line 4845 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    InternalAddress addr = InternalAddress(__ code()->consts()->start() + constant_offset());
    int vlen = Matcher::vector_length_in_bytes(this);
    __ load_constant_vector(T_DOUBLE, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, addr, vlen);
  
#line 37705 "ad_x86.cpp"
  }
}

void ReplD_immNode::eval_constant(Compile* C) {
  {

#line 4846 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, T_DOUBLE, vreplicate_imm(T_DOUBLE, opnd_array(1)->constantD(), 1));
#line 37714 "ad_x86.cpp"
  }
}
void ReplD_zeroNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// zero
  {

#line 4857 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    if (VM_Version::supports_evex() && !VM_Version::supports_avx512vldq()) {
      __ vpxor(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vlen_enc);
    } else {
      __ xorps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */);
    }
  
#line 37732 "ad_x86.cpp"
  }
}

void insertNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// val
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// idx
  {

#line 4874 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE >= 4, "required");
    assert(Matcher::vector_length_in_bytes(this) >= 8, "required");

    BasicType elem_bt = Matcher::vector_element_basic_type(this);

    assert(is_integral_type(elem_bt), "");
    assert(opnd_array(3)->constant()< (int)Matcher::vector_length(this), "out of bounds");

    __ insert(elem_bt, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_Register(ra_,this,idx2)/* val */, opnd_array(3)->constant());
  
#line 37756 "ad_x86.cpp"
  }
}

void insert32Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// val
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// idx
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 4893 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = Assembler::AVX_256bit;
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    int elem_per_lane = 16/type2aelembytes(elem_bt);
    int log2epr = log2(elem_per_lane);

    assert(is_integral_type(elem_bt), "sanity");
    assert(opnd_array(3)->constant()< (int)Matcher::vector_length(this), "out of bounds");

    uint x_idx = opnd_array(3)->constant()& right_n_bits(log2epr);
    uint y_idx = (opnd_array(3)->constant()>> log2epr) & 1;
    __ vextracti128(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, y_idx);
    __ vinsert(elem_bt, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(2)->as_Register(ra_,this,idx2)/* val */, x_idx);
    __ vinserti128(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, y_idx);
  
#line 37785 "ad_x86.cpp"
  }
}

void insert64Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// val
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// idx
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 4916 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "sanity");

    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    int elem_per_lane = 16/type2aelembytes(elem_bt);
    int log2epr = log2(elem_per_lane);

    assert(is_integral_type(elem_bt), "");
    assert(opnd_array(3)->constant()< (int)Matcher::vector_length(this), "out of bounds");

    uint x_idx = opnd_array(3)->constant()& right_n_bits(log2epr);
    uint y_idx = (opnd_array(3)->constant()>> log2epr) & 3;
    __ vextracti32x4(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, y_idx);
    __ vinsert(elem_bt, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(2)->as_Register(ra_,this,idx2)/* val */, x_idx);
    __ vinserti32x4(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, y_idx);
  
#line 37815 "ad_x86.cpp"
  }
}

void insertFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// val
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// idx
  {

#line 4992 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE >= 4, "sanity");

    assert(Matcher::vector_element_basic_type(this) == T_FLOAT, "sanity");
    assert(opnd_array(3)->constant()< (int)Matcher::vector_length(this), "out of bounds");

    uint x_idx = opnd_array(3)->constant()& right_n_bits(2);
    __ insertps(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* val */, x_idx << 4);
  
#line 37837 "ad_x86.cpp"
  }
}

void vinsertFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// val
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// idx
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 5009 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(Matcher::vector_element_basic_type(this) == T_FLOAT, "sanity");
    assert(opnd_array(3)->constant()< (int)Matcher::vector_length(this), "out of bounds");

    int vlen = Matcher::vector_length(this);
    uint x_idx = opnd_array(3)->constant()& right_n_bits(2);
    if (vlen == 8) {
      uint y_idx = (opnd_array(3)->constant()>> 2) & 1;
      int vlen_enc = Assembler::AVX_256bit;
      __ vextracti128(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, y_idx);
      __ vinsertps(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* val */, x_idx << 4);
      __ vinserti128(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, y_idx);
    } else {
      assert(vlen == 16, "sanity");
      uint y_idx = (opnd_array(3)->constant()>> 2) & 3;
      __ vextracti32x4(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, y_idx);
      __ vinsertps(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* val */, x_idx << 4);
      __ vinserti32x4(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, y_idx);
    }
  
#line 37871 "ad_x86.cpp"
  }
}

void reductionINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5104 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceI(opcode, vlen, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 37890 "ad_x86.cpp"
  }
}

void reductionI_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5104 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceI(opcode, vlen, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 37909 "ad_x86.cpp"
  }
}

void reductionI_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5104 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceI(opcode, vlen, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 37928 "ad_x86.cpp"
  }
}

void reductionI_2Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5104 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceI(opcode, vlen, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 37947 "ad_x86.cpp"
  }
}

void reductionI_3Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5104 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceI(opcode, vlen, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 37966 "ad_x86.cpp"
  }
}

void reductionI_4Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5104 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceI(opcode, vlen, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 37985 "ad_x86.cpp"
  }
}

void reductionI_5Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5104 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceI(opcode, vlen, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38004 "ad_x86.cpp"
  }
}

void reductionF128Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp
  {

#line 5162 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduce_fp(opcode, vlen, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */);
  
#line 38022 "ad_x86.cpp"
  }
}

void reductionF128_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp
  {

#line 5162 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduce_fp(opcode, vlen, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */);
  
#line 38040 "ad_x86.cpp"
  }
}

void reduction8FNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5176 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduce_fp(opcode, vlen, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38059 "ad_x86.cpp"
  }
}

void reduction8F_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5176 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduce_fp(opcode, vlen, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38078 "ad_x86.cpp"
  }
}

void reduction16FNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5190 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduce_fp(opcode, vlen, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38097 "ad_x86.cpp"
  }
}

void reduction16F_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5190 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduce_fp(opcode, vlen, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38116 "ad_x86.cpp"
  }
}

void unordered_reduction2FNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 5208 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ unordered_reduce_fp(opcode, vlen, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
  
#line 38134 "ad_x86.cpp"
  }
}

void unordered_reduction2F_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 5208 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ unordered_reduce_fp(opcode, vlen, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
  
#line 38152 "ad_x86.cpp"
  }
}

void unordered_reduction4FNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 5225 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ unordered_reduce_fp(opcode, vlen, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */);
  
#line 38171 "ad_x86.cpp"
  }
}

void unordered_reduction4F_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 5225 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ unordered_reduce_fp(opcode, vlen, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */);
  
#line 38190 "ad_x86.cpp"
  }
}

void unordered_reduction8FNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 5242 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ unordered_reduce_fp(opcode, vlen, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
  
#line 38210 "ad_x86.cpp"
  }
}

void unordered_reduction8F_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 5242 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ unordered_reduce_fp(opcode, vlen, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
  
#line 38230 "ad_x86.cpp"
  }
}

void unordered_reduction16FNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 5259 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ unordered_reduce_fp(opcode, vlen, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
  
#line 38250 "ad_x86.cpp"
  }
}

void unordered_reduction16F_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 5259 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ unordered_reduce_fp(opcode, vlen, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
  
#line 38270 "ad_x86.cpp"
  }
}

void reduction2DNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp
  {

#line 5275 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduce_fp(opcode, vlen, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */);

#line 38288 "ad_x86.cpp"
  }
}

void reduction2D_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp
  {

#line 5275 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduce_fp(opcode, vlen, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */);

#line 38306 "ad_x86.cpp"
  }
}

void reduction4DNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5289 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduce_fp(opcode, vlen, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38325 "ad_x86.cpp"
  }
}

void reduction4D_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5289 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduce_fp(opcode, vlen, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38344 "ad_x86.cpp"
  }
}

void reduction8DNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5303 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduce_fp(opcode, vlen, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38363 "ad_x86.cpp"
  }
}

void reduction8D_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5303 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduce_fp(opcode, vlen, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38382 "ad_x86.cpp"
  }
}

void unordered_reduction2DNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 5320 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ unordered_reduce_fp(opcode, vlen, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);

#line 38400 "ad_x86.cpp"
  }
}

void unordered_reduction2D_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 5320 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ unordered_reduce_fp(opcode, vlen, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);

#line 38418 "ad_x86.cpp"
  }
}

void unordered_reduction4DNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 5337 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ unordered_reduce_fp(opcode, vlen, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */);
  
#line 38437 "ad_x86.cpp"
  }
}

void unordered_reduction4D_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 5337 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ unordered_reduce_fp(opcode, vlen, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */);
  
#line 38456 "ad_x86.cpp"
  }
}

void unordered_reduction8DNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 5354 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ unordered_reduce_fp(opcode, vlen, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
  
#line 38476 "ad_x86.cpp"
  }
}

void unordered_reduction8D_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 5354 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ unordered_reduce_fp(opcode, vlen, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
  
#line 38496 "ad_x86.cpp"
  }
}

void reductionSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5415 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceS(opcode, vlen, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38515 "ad_x86.cpp"
  }
}

void reductionS_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5415 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceS(opcode, vlen, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38534 "ad_x86.cpp"
  }
}

void reductionS_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5415 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceS(opcode, vlen, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38553 "ad_x86.cpp"
  }
}

void reductionS_2Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5415 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceS(opcode, vlen, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38572 "ad_x86.cpp"
  }
}

void reductionS_3Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5415 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceS(opcode, vlen, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38591 "ad_x86.cpp"
  }
}

void reductionS_4Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5415 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceS(opcode, vlen, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38610 "ad_x86.cpp"
  }
}

void reductionS_5Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp2
  {

#line 5415 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceS(opcode, vlen, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp2 */);
  
#line 38629 "ad_x86.cpp"
  }
}

void mul_reductionBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 5431 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ mulreduceB(opcode, vlen, opnd_array(3)->as_Register(ra_,this,idx3)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
  
#line 38649 "ad_x86.cpp"
  }
}

void mul_reduction64BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 5445 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ mulreduceB(opcode, vlen, opnd_array(3)->as_Register(ra_,this,idx3)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
  
#line 38669 "ad_x86.cpp"
  }
}

void minmax_reduction2FNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// atmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// btmp
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// xmm_1
  {

#line 5465 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceFloatMinMax(opcode, vlen, false, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */,
                         opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* atmp */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* btmp */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* xmm_1 */);
  
#line 38694 "ad_x86.cpp"
  }
}

void minmax_reduction2F_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// atmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// btmp
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// xmm_1
  {

#line 5465 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceFloatMinMax(opcode, vlen, false, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */,
                         opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* atmp */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* btmp */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* xmm_1 */);
  
#line 38719 "ad_x86.cpp"
  }
}

void minmax_reductionFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// atmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// btmp
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// xmm_0
  unsigned idx8 = idx7 + opnd_array(7)->num_edges(); 	// xmm_1
  {

#line 5486 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceFloatMinMax(opcode, vlen, false, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */,
                         opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* atmp */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* btmp */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* xmm_0 */, opnd_array(8)->as_XMMRegister(ra_,this,idx8)/* xmm_1 */);
  
#line 38745 "ad_x86.cpp"
  }
}

void minmax_reductionF_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// atmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// btmp
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// xmm_0
  unsigned idx8 = idx7 + opnd_array(7)->num_edges(); 	// xmm_1
  {

#line 5486 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceFloatMinMax(opcode, vlen, false, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */,
                         opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* atmp */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* btmp */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* xmm_0 */, opnd_array(8)->as_XMMRegister(ra_,this,idx8)/* xmm_1 */);
  
#line 38771 "ad_x86.cpp"
  }
}

void minmax_reduction2F_avNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// atmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// btmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// xmm_1
  {

#line 5505 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceFloatMinMax(opcode, vlen, true, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */,
                         opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* atmp */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* btmp */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* xmm_1 */);
  
#line 38795 "ad_x86.cpp"
  }
}

void minmax_reduction2F_av_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// atmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// btmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// xmm_1
  {

#line 5505 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceFloatMinMax(opcode, vlen, true, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */,
                         opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* atmp */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* btmp */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* xmm_1 */);
  
#line 38819 "ad_x86.cpp"
  }
}

void minmax_reductionF_avNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// atmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// btmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// xmm_0
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// xmm_1
  {

#line 5525 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceFloatMinMax(opcode, vlen, true, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */,
                         opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* atmp */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* btmp */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* xmm_0 */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* xmm_1 */);
  
#line 38844 "ad_x86.cpp"
  }
}

void minmax_reductionF_av_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// atmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// btmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// xmm_0
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// xmm_1
  {

#line 5525 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceFloatMinMax(opcode, vlen, true, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */,
                         opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* atmp */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* btmp */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* xmm_0 */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* xmm_1 */);
  
#line 38869 "ad_x86.cpp"
  }
}

void minmax_reduction2DNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// tmp4
  {

#line 5549 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceDoubleMinMax(opcode, vlen, false, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */,
                          opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* tmp3 */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* tmp4 */);
  
#line 38894 "ad_x86.cpp"
  }
}

void minmax_reduction2D_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// tmp4
  {

#line 5549 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceDoubleMinMax(opcode, vlen, false, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */,
                          opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* tmp3 */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* tmp4 */);
  
#line 38919 "ad_x86.cpp"
  }
}

void minmax_reductionDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// tmp4
  unsigned idx8 = idx7 + opnd_array(7)->num_edges(); 	// tmp5
  {

#line 5571 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceDoubleMinMax(opcode, vlen, false, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */,
                          opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* tmp3 */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* tmp4 */, opnd_array(8)->as_XMMRegister(ra_,this,idx8)/* tmp5 */);
  
#line 38945 "ad_x86.cpp"
  }
}

void minmax_reductionD_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// tmp4
  unsigned idx8 = idx7 + opnd_array(7)->num_edges(); 	// tmp5
  {

#line 5571 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceDoubleMinMax(opcode, vlen, false, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */,
                          opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* tmp3 */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* tmp4 */, opnd_array(8)->as_XMMRegister(ra_,this,idx8)/* tmp5 */);
  
#line 38971 "ad_x86.cpp"
  }
}

void minmax_reduction2D_avNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp3
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp4
  {

#line 5592 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceDoubleMinMax(opcode, vlen, true, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */,
                          opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp3 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* tmp4 */);
  
#line 38995 "ad_x86.cpp"
  }
}

void minmax_reduction2D_av_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp3
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp4
  {

#line 5592 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceDoubleMinMax(opcode, vlen, true, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */,
                          opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp3 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* tmp4 */);
  
#line 39019 "ad_x86.cpp"
  }
}

void minmax_reductionD_avNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp3
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp4
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// tmp5
  {

#line 5612 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceDoubleMinMax(opcode, vlen, true, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */,
                          opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp3 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* tmp4 */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* tmp5 */);
  
#line 39044 "ad_x86.cpp"
  }
}

void minmax_reductionD_av_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp3
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// tmp4
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// tmp5
  {

#line 5612 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "sanity");

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this, opnd_array(2));
    __ reduceDoubleMinMax(opcode, vlen, true, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */,
                          opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp3 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* tmp4 */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* tmp5 */);
  
#line 39069 "ad_x86.cpp"
  }
}

void vaddBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5632 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ paddb(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 39084 "ad_x86.cpp"
  }
}

void vaddB_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 5642 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpaddb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39100 "ad_x86.cpp"
  }
}

void vaddB_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 5654 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpaddb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39116 "ad_x86.cpp"
  }
}

void vaddB_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5654 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpaddb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 39132 "ad_x86.cpp"
  }
}

void vaddSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5666 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ paddw(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 39147 "ad_x86.cpp"
  }
}

void vaddS_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 5676 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpaddw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39163 "ad_x86.cpp"
  }
}

void vaddS_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 5688 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpaddw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39179 "ad_x86.cpp"
  }
}

void vaddS_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5688 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpaddw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 39195 "ad_x86.cpp"
  }
}

void vaddINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5700 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ paddd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 39210 "ad_x86.cpp"
  }
}

void vaddI_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 5710 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpaddd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39226 "ad_x86.cpp"
  }
}

void vaddI_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 5723 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpaddd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39242 "ad_x86.cpp"
  }
}

void vaddI_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5723 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpaddd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 39258 "ad_x86.cpp"
  }
}

void vaddLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5735 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ paddq(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 39273 "ad_x86.cpp"
  }
}

void vaddL_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 5745 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpaddq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39289 "ad_x86.cpp"
  }
}

void vaddL_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 5757 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpaddq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39305 "ad_x86.cpp"
  }
}

void vaddL_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5757 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpaddq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 39321 "ad_x86.cpp"
  }
}

void vaddFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5769 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ addps(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 39336 "ad_x86.cpp"
  }
}

void vaddF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 5779 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vaddps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39352 "ad_x86.cpp"
  }
}

void vaddF_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 5791 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vaddps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39368 "ad_x86.cpp"
  }
}

void vaddF_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5791 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vaddps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 39384 "ad_x86.cpp"
  }
}

void vaddDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5803 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ addpd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 39399 "ad_x86.cpp"
  }
}

void vaddD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 5813 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vaddpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39415 "ad_x86.cpp"
  }
}

void vaddD_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 5825 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vaddpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39431 "ad_x86.cpp"
  }
}

void vaddD_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5825 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vaddpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 39447 "ad_x86.cpp"
  }
}

void vsubBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5839 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ psubb(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 39462 "ad_x86.cpp"
  }
}

void vsubB_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 5849 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpsubb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39478 "ad_x86.cpp"
  }
}

void vsubB_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 5861 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpsubb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39494 "ad_x86.cpp"
  }
}

void vsubSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5873 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ psubw(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 39509 "ad_x86.cpp"
  }
}

void vsubS_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 5884 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpsubw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39525 "ad_x86.cpp"
  }
}

void vsubS_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 5896 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpsubw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39541 "ad_x86.cpp"
  }
}

void vsubINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5908 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ psubd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 39556 "ad_x86.cpp"
  }
}

void vsubI_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 5918 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpsubd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39572 "ad_x86.cpp"
  }
}

void vsubI_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 5930 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpsubd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39588 "ad_x86.cpp"
  }
}

void vsubLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5942 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ psubq(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 39603 "ad_x86.cpp"
  }
}

void vsubL_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 5952 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpsubq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39619 "ad_x86.cpp"
  }
}

void vsubL_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 5965 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpsubq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39635 "ad_x86.cpp"
  }
}

void vsubFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 5977 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ subps(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 39650 "ad_x86.cpp"
  }
}

void vsubF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 5987 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vsubps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39666 "ad_x86.cpp"
  }
}

void vsubF_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 5999 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vsubps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39682 "ad_x86.cpp"
  }
}

void vsubDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6011 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ subpd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 39697 "ad_x86.cpp"
  }
}

void vsubD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 6021 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vsubpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39713 "ad_x86.cpp"
  }
}

void vsubD_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 6033 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vsubpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39729 "ad_x86.cpp"
  }
}

void vmul8BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp
  {

#line 6048 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE > 3, "required");
    __ pmovsxbw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */);
    __ pmovsxbw(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
    __ pmullw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
    __ psllw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 8);
    __ psrlw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 8);
    __ packuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */);
  
#line 39752 "ad_x86.cpp"
  }
}

void vmulBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp
  {

#line 6065 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE > 3, "required");
    // Odd-index elements
    __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */);
    __ psrlw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 8);
    __ movdqu(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
    __ psrlw(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, 8);
    __ pmullw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
    __ psllw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 8);
    // Even-index elements
    __ movdqu(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */);
    __ pmullw(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
    __ psllw(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, 8);
    __ psrlw(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, 8);
    // Combine
    __ por(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
  
#line 39783 "ad_x86.cpp"
  }
}

void vmulB_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  {

#line 6090 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    // Odd-index elements
    __ vpsrlw(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, 8, vlen_enc);
    __ vpsrlw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, 8, vlen_enc);
    __ vpmullw(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, vlen_enc);
    __ vpsllw(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, 8, vlen_enc);
    // Even-index elements
    __ vpmullw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
    __ vpsllw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, 8, vlen_enc);
    __ vpsrlw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, 8, vlen_enc);
    // Combine
    __ vpor(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, vlen_enc);
  
#line 39811 "ad_x86.cpp"
  }
}

void vmulSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6112 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ pmullw(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 39826 "ad_x86.cpp"
  }
}

void vmulS_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 6122 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpmullw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39842 "ad_x86.cpp"
  }
}

void vmulS_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 6134 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpmullw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39858 "ad_x86.cpp"
  }
}

void vmulS_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6134 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpmullw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 39874 "ad_x86.cpp"
  }
}

void vmulINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE > 3, "required");
    __ pmulld(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 39890 "ad_x86.cpp"
  }
}

void vmulI_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 6157 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpmulld(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39906 "ad_x86.cpp"
  }
}

void vmulI_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 6169 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpmulld(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39922 "ad_x86.cpp"
  }
}

void vmulI_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6169 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpmulld(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 39938 "ad_x86.cpp"
  }
}

void evmulL_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 6184 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");
    int vlen_enc = vector_length_encoding(this);
    __ evpmullq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 39955 "ad_x86.cpp"
  }
}

void evmulL_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 6200 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");
    int vlen_enc = vector_length_encoding(this);
    __ evpmullq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 39972 "ad_x86.cpp"
  }
}

void evmulL_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6200 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");
    int vlen_enc = vector_length_encoding(this);
    __ evpmullq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 39989 "ad_x86.cpp"
  }
}

void vmulLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp
  {

#line 6214 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(VM_Version::supports_sse4_1(), "required");
    // Get the lo-hi products, only the lower 32 bits is in concerns
    __ pshufd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, 0xB1);
    __ pmulld(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */);
    __ pshufd(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, 0xB1);
    __ paddd(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
    __ psllq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 32);
    // Get the lo-lo products
    __ movdqu(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */);
    __ pmuludq(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */);
    __ paddq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
  
#line 40016 "ad_x86.cpp"
  }
}

void vmulL_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  {

#line 6240 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    // Get the lo-hi products, only the lower 32 bits is in concerns
    __ vpshufd(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, 0xB1, vlen_enc);
    __ vpmulld(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, vlen_enc);
    __ vpshufd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, 0xB1, vlen_enc);
    __ vpaddd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, vlen_enc);
    __ vpsllq(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, 32, vlen_enc);
    // Get the lo-lo products
    __ vpmuludq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
    __ vpaddq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, vlen_enc);
  
#line 40042 "ad_x86.cpp"
  }
}

void vmuludq_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 6260 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpmuludq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 40058 "ad_x86.cpp"
  }
}

void vmuldq_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 6272 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpmuldq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 40074 "ad_x86.cpp"
  }
}

void vmulFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6284 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ mulps(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 40089 "ad_x86.cpp"
  }
}

void vmulF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 6294 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vmulps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 40105 "ad_x86.cpp"
  }
}

void vmulF_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 6306 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vmulps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 40121 "ad_x86.cpp"
  }
}

void vmulF_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6306 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vmulps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 40137 "ad_x86.cpp"
  }
}

void vmulDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6318 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ mulpd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 40152 "ad_x86.cpp"
  }
}

void vmulD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 6328 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vmulpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 40168 "ad_x86.cpp"
  }
}

void vmulD_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 6340 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vmulpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 40184 "ad_x86.cpp"
  }
}

void vmulD_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6340 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vmulpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 40200 "ad_x86.cpp"
  }
}

void vdivFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6354 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ divps(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 40215 "ad_x86.cpp"
  }
}

void vdivF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 6364 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vdivps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 40231 "ad_x86.cpp"
  }
}

void vdivF_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 6376 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vdivps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 40247 "ad_x86.cpp"
  }
}

void vdivDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ divpd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 40262 "ad_x86.cpp"
  }
}

void vdivD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 6398 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vdivpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 40278 "ad_x86.cpp"
  }
}

void vdivD_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 6410 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vdivpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 40294 "ad_x86.cpp"
  }
}

void minmax_reg_sseNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6426 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE >= 4, "required");

    int opcode = this->ideal_Opcode();
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ pminmax(opcode, elem_bt, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 40313 "ad_x86.cpp"
  }
}

void minmax_reg_sse_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 6426 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE >= 4, "required");

    int opcode = this->ideal_Opcode();
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ pminmax(opcode, elem_bt, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 40332 "ad_x86.cpp"
  }
}

void vminmax_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 6442 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);

    __ vpminmax(opcode, elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 40351 "ad_x86.cpp"
  }
}

void vminmax_reg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 6442 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);

    __ vpminmax(opcode, elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 40370 "ad_x86.cpp"
  }
}

void minmaxL_reg_sseNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 6460 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE >= 4, "required");

    int opcode = this->ideal_Opcode();
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    assert(elem_bt == T_LONG, "sanity");

    __ pminmax(opcode, elem_bt, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */);
  
#line 40392 "ad_x86.cpp"
  }
}

void minmaxL_reg_sse_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  {

#line 6460 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE >= 4, "required");

    int opcode = this->ideal_Opcode();
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    assert(elem_bt == T_LONG, "sanity");

    __ pminmax(opcode, elem_bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */);
  
#line 40414 "ad_x86.cpp"
  }
}

void vminmaxL_reg_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 6479 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    int opcode = this->ideal_Opcode();
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    assert(elem_bt == T_LONG, "sanity");

    __ vpminmax(opcode, elem_bt, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 40435 "ad_x86.cpp"
  }
}

void vminmaxL_reg_avx_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 6479 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    int opcode = this->ideal_Opcode();
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    assert(elem_bt == T_LONG, "sanity");

    __ vpminmax(opcode, elem_bt, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 40456 "ad_x86.cpp"
  }
}

void vminmaxL_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 6496 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int vlen_enc = vector_length_encoding(this);
    int opcode = this->ideal_Opcode();
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    assert(elem_bt == T_LONG, "sanity");

    __ vpminmax(opcode, elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 40478 "ad_x86.cpp"
  }
}

void vminmaxL_reg_evex_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 6496 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int vlen_enc = vector_length_encoding(this);
    int opcode = this->ideal_Opcode();
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    assert(elem_bt == T_LONG, "sanity");

    __ vpminmax(opcode, elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 40500 "ad_x86.cpp"
  }
}

void minmaxFP_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// a
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// b
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// atmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// btmp
  {

#line 6518 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);

    __ vminmax_fp(opcode, elem_bt,
                  opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* a */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* b */,
                  opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* atmp */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* btmp */, vlen_enc);
  
#line 40526 "ad_x86.cpp"
  }
}

void minmaxFP_reg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// a
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// b
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// tmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// atmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// btmp
  {

#line 6518 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);

    __ vminmax_fp(opcode, elem_bt,
                  opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* a */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* b */,
                  opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* atmp */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* btmp */, vlen_enc);
  
#line 40552 "ad_x86.cpp"
  }
}

void evminmaxFP_reg_eavxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// a
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// b
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// atmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// btmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// ktmp
  {

#line 6539 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);

    __ evminmax_fp(opcode, elem_bt,
                   opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* a */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* b */,
                   opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* atmp */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* btmp */, vlen_enc);
  
#line 40579 "ad_x86.cpp"
  }
}

void evminmaxFP_reg_eavx_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// a
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// b
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// atmp
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// btmp
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// ktmp
  {

#line 6539 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);

    __ evminmax_fp(opcode, elem_bt,
                   opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* a */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* b */,
                   opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* atmp */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* btmp */, vlen_enc);
  
#line 40606 "ad_x86.cpp"
  }
}

void vector_uminmax_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// a
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// b
  {

#line 6560 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    assert(is_integral_type(elem_bt), "");
    __ vpuminmax(opcode, elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* a */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* b */, vlen_enc);
  
#line 40625 "ad_x86.cpp"
  }
}

void vector_uminmax_reg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// a
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// b
  {

#line 6560 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    assert(is_integral_type(elem_bt), "");
    __ vpuminmax(opcode, elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* a */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* b */, vlen_enc);
  
#line 40644 "ad_x86.cpp"
  }
}

void vector_uminmax_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// a
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// b
  {

#line 6575 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    assert(is_integral_type(elem_bt), "");
    __ vpuminmax(opcode, elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* a */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 40663 "ad_x86.cpp"
  }
}

void vector_uminmax_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// a
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// b
  {

#line 6575 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    assert(is_integral_type(elem_bt), "");
    __ vpuminmax(opcode, elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* a */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 40682 "ad_x86.cpp"
  }
}

void vector_uminmaxq_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// a
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// b
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  {

#line 6591 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    __ vpuminmaxq(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* a */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* b */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, vlen_enc);
  
#line 40701 "ad_x86.cpp"
  }
}

void vector_uminmaxq_reg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// a
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// b
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  {

#line 6591 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    __ vpuminmaxq(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* a */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* b */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, vlen_enc);
  
#line 40720 "ad_x86.cpp"
  }
}

void vector_uminmax_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 6603 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 40740 "ad_x86.cpp"
  }
}

void vector_uminmax_reg_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 6603 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 40760 "ad_x86.cpp"
  }
}

void vector_uminmax_mem_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 6617 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 40780 "ad_x86.cpp"
  }
}

void vector_uminmax_mem_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 6617 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 40800 "ad_x86.cpp"
  }
}

void signumF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// one
  {

#line 6633 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    __ signum_fp(opcode, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* zero */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* one */);
  
#line 40817 "ad_x86.cpp"
  }
}

void signumD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// one
  {

#line 6644 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    __ signum_fp(opcode, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* zero */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* one */);
  
#line 40834 "ad_x86.cpp"
  }
}

void signumV_reg_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// one
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// dst
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp1
  {

#line 6657 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vec_enc = vector_length_encoding(this);
    __ vector_signum_avx(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* zero */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* one */,
                         opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp1 */, vec_enc);
  
#line 40855 "ad_x86.cpp"
  }
}

void signumV_reg_avx_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// one
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// dst
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp1
  {

#line 6657 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vec_enc = vector_length_encoding(this);
    __ vector_signum_avx(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* zero */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* one */,
                         opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp1 */, vec_enc);
  
#line 40876 "ad_x86.cpp"
  }
}

void signumV_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// one
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// dst
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// ktmp1
  {

#line 6672 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vec_enc = vector_length_encoding(this);
    __ vector_signum_evex(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* zero */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* one */,
                          opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp1 */, vec_enc);
  
#line 40897 "ad_x86.cpp"
  }
}

void signumV_reg_evex_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// zero
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// one
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// dst
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// ktmp1
  {

#line 6672 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vec_enc = vector_length_encoding(this);
    __ vector_signum_evex(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* zero */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* one */,
                          opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp1 */, vec_enc);
  
#line 40918 "ad_x86.cpp"
  }
}

void compressBitsI_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 6735 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ pextl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */, opnd_array(2)->as_Register(ra_,this,idx2)/* mask */);
  
#line 40933 "ad_x86.cpp"
  }
}

void expandBitsI_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 6745 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ pdepl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */, opnd_array(2)->as_Register(ra_,this,idx2)/* mask */);
  
#line 40948 "ad_x86.cpp"
  }
}

void compressBitsI_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 6755 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ pextl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 40963 "ad_x86.cpp"
  }
}

void expandBitsI_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 6765 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ pdepl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()));
  
#line 40978 "ad_x86.cpp"
  }
}

void vsqrtF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 6776 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");
    int vlen_enc = vector_length_encoding(this);
    __ vsqrtps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 40994 "ad_x86.cpp"
  }
}

void vsqrtF_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 6788 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");
    int vlen_enc = vector_length_encoding(this);
    __ vsqrtps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 41010 "ad_x86.cpp"
  }
}

void vsqrtD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 6800 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");
    int vlen_enc = vector_length_encoding(this);
    __ vsqrtpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 41026 "ad_x86.cpp"
  }
}

void vsqrtD_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  {

#line 6812 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");
    int vlen_enc = vector_length_encoding(this);
    __ vsqrtpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 41042 "ad_x86.cpp"
  }
}

void vshiftcntNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cnt
  {

#line 6828 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ movdl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* cnt */);
  
#line 41056 "ad_x86.cpp"
  }
}

void vshiftcnt_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// cnt
  {

#line 6828 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ movdl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* cnt */);
  
#line 41070 "ad_x86.cpp"
  }
}

void vshiftBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  {

#line 6842 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE > 3, "required");
    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_short_to_byte_mask()), noreg);
    __ pand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */);
    __ packuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */);
  
#line 41094 "ad_x86.cpp"
  }
}

void vshiftB_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  {

#line 6842 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE > 3, "required");
    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_short_to_byte_mask()), noreg);
    __ pand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */);
    __ packuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */);
  
#line 41118 "ad_x86.cpp"
  }
}

void vshiftB_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  {

#line 6842 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE > 3, "required");
    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_short_to_byte_mask()), noreg);
    __ pand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */);
    __ packuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */);
  
#line 41142 "ad_x86.cpp"
  }
}

void vshift16BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  {

#line 6863 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE > 3, "required");
    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ pshufd(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0xE);
    __ vextendbw(sign, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */);
    __ vshiftw(opcode, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_short_to_byte_mask()), noreg);
    __ pand(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */);
    __ pand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */);
    __ packuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */);
  
#line 41171 "ad_x86.cpp"
  }
}

void vshift16B_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  {

#line 6863 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE > 3, "required");
    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ pshufd(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0xE);
    __ vextendbw(sign, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */);
    __ vshiftw(opcode, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_short_to_byte_mask()), noreg);
    __ pand(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */);
    __ pand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */);
    __ packuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */);
  
#line 41200 "ad_x86.cpp"
  }
}

void vshift16B_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  {

#line 6863 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE > 3, "required");
    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ pshufd(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0xE);
    __ vextendbw(sign, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */);
    __ vshiftw(opcode, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_short_to_byte_mask()), noreg);
    __ pand(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */);
    __ pand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */);
    __ packuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */);
  
#line 41229 "ad_x86.cpp"
  }
}

void vshift16B_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  {

#line 6888 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    int vlen_enc = Assembler::AVX_256bit;
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vpand(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, ExternalAddress(vector_short_to_byte_mask()), vlen_enc, noreg);
    __ vextracti128_high(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 0);
  
#line 41253 "ad_x86.cpp"
  }
}

void vshift16B_avx_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  {

#line 6888 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    int vlen_enc = Assembler::AVX_256bit;
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vpand(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, ExternalAddress(vector_short_to_byte_mask()), vlen_enc, noreg);
    __ vextracti128_high(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 0);
  
#line 41277 "ad_x86.cpp"
  }
}

void vshift16B_avx_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  {

#line 6888 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    int vlen_enc = Assembler::AVX_256bit;
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vpand(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, ExternalAddress(vector_short_to_byte_mask()), vlen_enc, noreg);
    __ vextracti128_high(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 0);
  
#line 41301 "ad_x86.cpp"
  }
}

void vshift32B_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  {

#line 6908 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 1, "required");
    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    int vlen_enc = Assembler::AVX_256bit;
    __ vextracti128_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, vlen_enc);
    __ vextendbw(sign, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vpand(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, ExternalAddress(vector_short_to_byte_mask()), vlen_enc, noreg);
    __ vpand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_short_to_byte_mask()), vlen_enc, noreg);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, vlen_enc);
    __ vpermq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 0xD8, vlen_enc);
  
#line 41330 "ad_x86.cpp"
  }
}

void vshift32B_avx_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  {

#line 6908 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 1, "required");
    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    int vlen_enc = Assembler::AVX_256bit;
    __ vextracti128_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, vlen_enc);
    __ vextendbw(sign, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vpand(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, ExternalAddress(vector_short_to_byte_mask()), vlen_enc, noreg);
    __ vpand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_short_to_byte_mask()), vlen_enc, noreg);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, vlen_enc);
    __ vpermq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 0xD8, vlen_enc);
  
#line 41359 "ad_x86.cpp"
  }
}

void vshift32B_avx_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  {

#line 6908 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 1, "required");
    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    int vlen_enc = Assembler::AVX_256bit;
    __ vextracti128_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, vlen_enc);
    __ vextendbw(sign, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vpand(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, ExternalAddress(vector_short_to_byte_mask()), vlen_enc, noreg);
    __ vpand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_short_to_byte_mask()), vlen_enc, noreg);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, vlen_enc);
    __ vpermq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 0xD8, vlen_enc);
  
#line 41388 "ad_x86.cpp"
  }
}

void vshift64B_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  {

#line 6933 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");
    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    int vlen_enc = Assembler::AVX_512bit;
    __ vextracti64x4(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 1);
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, vlen_enc);
    __ vextendbw(sign, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vshiftw(opcode, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vmovdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_short_to_byte_mask()), noreg);
    __ vpbroadcastd(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpand(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpand(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, vlen_enc);
    __ evmovdquq(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, ExternalAddress(vector_byte_perm_mask()), vlen_enc, noreg);
    __ vpermq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
  
#line 41421 "ad_x86.cpp"
  }
}

void vshift64B_avx_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  {

#line 6933 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");
    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    int vlen_enc = Assembler::AVX_512bit;
    __ vextracti64x4(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 1);
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, vlen_enc);
    __ vextendbw(sign, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vshiftw(opcode, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vmovdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_short_to_byte_mask()), noreg);
    __ vpbroadcastd(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpand(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpand(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, vlen_enc);
    __ evmovdquq(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, ExternalAddress(vector_byte_perm_mask()), vlen_enc, noreg);
    __ vpermq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
  
#line 41454 "ad_x86.cpp"
  }
}

void vshift64B_avx_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  {

#line 6933 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");
    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVB);
    int vlen_enc = Assembler::AVX_512bit;
    __ vextracti64x4(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 1);
    __ vextendbw(sign, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, vlen_enc);
    __ vextendbw(sign, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vshiftw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vshiftw(opcode, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ vmovdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_short_to_byte_mask()), noreg);
    __ vpbroadcastd(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpand(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpand(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, vlen_enc);
    __ evmovdquq(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, ExternalAddress(vector_byte_perm_mask()), vlen_enc, noreg);
    __ vpermq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* tmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
  
#line 41487 "ad_x86.cpp"
  }
}

void vshiftSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 6966 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    if (UseAVX > 0) {
      int vlen_enc = vector_length_encoding(this);
      __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    } else {
      int vlen = Matcher::vector_length(this);
      if (vlen == 2) {
        __ movflt(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      } else if (vlen == 4) {
        __ movdbl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      } else {
        assert (vlen == 8, "sanity");
        __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      }
    }
  
#line 41520 "ad_x86.cpp"
  }
}

void vshiftS_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 6966 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    if (UseAVX > 0) {
      int vlen_enc = vector_length_encoding(this);
      __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    } else {
      int vlen = Matcher::vector_length(this);
      if (vlen == 2) {
        __ movflt(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      } else if (vlen == 4) {
        __ movdbl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      } else {
        assert (vlen == 8, "sanity");
        __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      }
    }
  
#line 41553 "ad_x86.cpp"
  }
}

void vshiftS_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 6966 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    if (UseAVX > 0) {
      int vlen_enc = vector_length_encoding(this);
      __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    } else {
      int vlen = Matcher::vector_length(this);
      if (vlen == 2) {
        __ movflt(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      } else if (vlen == 4) {
        __ movdbl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      } else {
        assert (vlen == 8, "sanity");
        __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      }
    }
  
#line 41586 "ad_x86.cpp"
  }
}

void vshiftINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 6997 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    if (UseAVX > 0) {
      int vlen_enc = vector_length_encoding(this);
      __ vshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    } else {
      int vlen = Matcher::vector_length(this);
      if (vlen == 2) {
        __ movdbl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      } else {
        assert(vlen == 4, "sanity");
        __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      }
    }
  
#line 41616 "ad_x86.cpp"
  }
}

void vshiftI_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 6997 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    if (UseAVX > 0) {
      int vlen_enc = vector_length_encoding(this);
      __ vshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    } else {
      int vlen = Matcher::vector_length(this);
      if (vlen == 2) {
        __ movdbl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      } else {
        assert(vlen == 4, "sanity");
        __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      }
    }
  
#line 41646 "ad_x86.cpp"
  }
}

void vshiftI_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 6997 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    if (UseAVX > 0) {
      int vlen_enc = vector_length_encoding(this);
      __ vshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    } else {
      int vlen = Matcher::vector_length(this);
      if (vlen == 2) {
        __ movdbl(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      } else {
        assert(vlen == 4, "sanity");
        __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      }
    }
  
#line 41676 "ad_x86.cpp"
  }
}

void vshiftI_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7023 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    if (UseAVX > 0) {
      int vector_len = vector_length_encoding(this);
      __ vshiftd_imm(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant(), vector_len);
    } else {
      int vlen = Matcher::vector_length(this);
      if (vlen == 2) {
        __ movdbl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftd_imm(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->constant());
      } else {
        assert(vlen == 4, "sanity");
        __ movdqu(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftd_imm(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->constant());
      }
    }
  
#line 41705 "ad_x86.cpp"
  }
}

void vshiftI_imm_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7023 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    if (UseAVX > 0) {
      int vector_len = vector_length_encoding(this);
      __ vshiftd_imm(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant(), vector_len);
    } else {
      int vlen = Matcher::vector_length(this);
      if (vlen == 2) {
        __ movdbl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftd_imm(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->constant());
      } else {
        assert(vlen == 4, "sanity");
        __ movdqu(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftd_imm(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->constant());
      }
    }
  
#line 41734 "ad_x86.cpp"
  }
}

void vshiftI_imm_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7023 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    if (UseAVX > 0) {
      int vector_len = vector_length_encoding(this);
      __ vshiftd_imm(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant(), vector_len);
    } else {
      int vlen = Matcher::vector_length(this);
      if (vlen == 2) {
        __ movdbl(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftd_imm(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->constant());
      } else {
        assert(vlen == 4, "sanity");
        __ movdqu(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
        __ vshiftd_imm(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->constant());
      }
    }
  
#line 41763 "ad_x86.cpp"
  }
}

void vshiftLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 7050 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    if (UseAVX > 0) {
      int vlen_enc = vector_length_encoding(this);
      __ vshiftq(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    } else {
      assert(Matcher::vector_length(this) == 2, "");
      __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
      __ vshiftq(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    }
  
#line 41787 "ad_x86.cpp"
  }
}

void vshiftL_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 7050 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    if (UseAVX > 0) {
      int vlen_enc = vector_length_encoding(this);
      __ vshiftq(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    } else {
      assert(Matcher::vector_length(this) == 2, "");
      __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
      __ vshiftq(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    }
  
#line 41811 "ad_x86.cpp"
  }
}

void vshiftL_immNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7069 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    if (UseAVX > 0) {
      int vector_len = vector_length_encoding(this);
      __ vshiftq_imm(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant(), vector_len);
    } else {
      assert(Matcher::vector_length(this) == 2, "");
      __ movdqu(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
      __ vshiftq_imm(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->constant());
    }
  
#line 41834 "ad_x86.cpp"
  }
}

void vshiftL_imm_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7069 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    if (UseAVX > 0) {
      int vector_len = vector_length_encoding(this);
      __ vshiftq_imm(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant(), vector_len);
    } else {
      assert(Matcher::vector_length(this) == 2, "");
      __ movdqu(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
      __ vshiftq_imm(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->constant());
    }
  
#line 41857 "ad_x86.cpp"
  }
}

void vshiftL_arith_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  {

#line 7090 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    uint vlen = Matcher::vector_length(this);
    if (vlen == 2) {
      assert(UseSSE >= 2, "required");
      __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
      __ psrlq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      __ movdqu(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, ExternalAddress(vector_long_sign_mask()), noreg);
      __ psrlq(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
      __ pxor(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */);
      __ psubq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */);
    } else {
      assert(vlen == 4, "sanity");
      assert(UseAVX > 1, "required");
      int vlen_enc = Assembler::AVX_256bit;
      __ vpsrlq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
      __ vmovdqu(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, ExternalAddress(vector_long_sign_mask()), noreg);
      __ vpsrlq(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
      __ vpxor(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, vlen_enc);
      __ vpsubq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, vlen_enc);
    }
  
#line 41892 "ad_x86.cpp"
  }
}

void vshiftL_arith_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7118 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ evpsraq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
  
#line 41908 "ad_x86.cpp"
  }
}

void vshift8B_var_nobwNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 7136 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = Assembler::AVX_128bit;
    __ varshiftbw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 0);
  
#line 41930 "ad_x86.cpp"
  }
}

void vshift8B_var_nobw_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 7136 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = Assembler::AVX_128bit;
    __ varshiftbw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 0);
  
#line 41952 "ad_x86.cpp"
  }
}

void vshift8B_var_nobw_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 7136 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = Assembler::AVX_128bit;
    __ varshiftbw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 0);
  
#line 41974 "ad_x86.cpp"
  }
}

void vshift16B_var_nobwNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 7156 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = Assembler::AVX_128bit;
    // Shift lower half and get word result in dst
    __ varshiftbw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */);

    // Shift upper half and get word result in vtmp1
    __ vpshufd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0xE, 0);
    __ vpshufd(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, 0xE, 0);
    __ varshiftbw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);

    // Merge and down convert the two word results to byte in dst
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0);
  
#line 42005 "ad_x86.cpp"
  }
}

void vshift16B_var_nobw_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 7156 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = Assembler::AVX_128bit;
    // Shift lower half and get word result in dst
    __ varshiftbw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */);

    // Shift upper half and get word result in vtmp1
    __ vpshufd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0xE, 0);
    __ vpshufd(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, 0xE, 0);
    __ varshiftbw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);

    // Merge and down convert the two word results to byte in dst
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0);
  
#line 42036 "ad_x86.cpp"
  }
}

void vshift16B_var_nobw_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 7156 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = Assembler::AVX_128bit;
    // Shift lower half and get word result in dst
    __ varshiftbw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */);

    // Shift upper half and get word result in vtmp1
    __ vpshufd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0xE, 0);
    __ vpshufd(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, 0xE, 0);
    __ varshiftbw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);

    // Merge and down convert the two word results to byte in dst
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0);
  
#line 42067 "ad_x86.cpp"
  }
}

void vshift32B_var_nobwNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// vtmp3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// vtmp4
  {

#line 7184 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = Assembler::AVX_128bit;
    // Process lower 128 bits and get result in dst
    __ varshiftbw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */);
    __ vpshufd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0xE, 0);
    __ vpshufd(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, 0xE, 0);
    __ varshiftbw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0);

    // Process higher 128 bits and get result in vtmp3
    __ vextracti128_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vextracti128_high(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ varshiftbw(opcode, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* vtmp3 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* vtmp4 */);
    __ vpshufd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0xE, 0);
    __ vpshufd(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, 0xE, 0);
    __ varshiftbw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
    __ vpackuswb(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* vtmp3 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0);

    // Merge the two results in dst
    __ vinserti128(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0x1);
  
#line 42108 "ad_x86.cpp"
  }
}

void vshift32B_var_nobw_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// vtmp3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// vtmp4
  {

#line 7184 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = Assembler::AVX_128bit;
    // Process lower 128 bits and get result in dst
    __ varshiftbw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */);
    __ vpshufd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0xE, 0);
    __ vpshufd(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, 0xE, 0);
    __ varshiftbw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0);

    // Process higher 128 bits and get result in vtmp3
    __ vextracti128_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vextracti128_high(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ varshiftbw(opcode, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* vtmp3 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* vtmp4 */);
    __ vpshufd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0xE, 0);
    __ vpshufd(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, 0xE, 0);
    __ varshiftbw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
    __ vpackuswb(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* vtmp3 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0);

    // Merge the two results in dst
    __ vinserti128(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0x1);
  
#line 42149 "ad_x86.cpp"
  }
}

void vshift32B_var_nobw_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// vtmp3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// vtmp4
  {

#line 7184 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = Assembler::AVX_128bit;
    // Process lower 128 bits and get result in dst
    __ varshiftbw(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */);
    __ vpshufd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0xE, 0);
    __ vpshufd(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, 0xE, 0);
    __ varshiftbw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
    __ vpackuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0);

    // Process higher 128 bits and get result in vtmp3
    __ vextracti128_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vextracti128_high(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ varshiftbw(opcode, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* vtmp3 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* vtmp4 */);
    __ vpshufd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0xE, 0);
    __ vpshufd(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, 0xE, 0);
    __ varshiftbw(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
    __ vpackuswb(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* vtmp3 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0);

    // Merge the two results in dst
    __ vinserti128(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0x1);
  
#line 42190 "ad_x86.cpp"
  }
}

void vshiftB_var_evex_bwNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 7220 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    __ evarshiftb(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */);
  
#line 42211 "ad_x86.cpp"
  }
}

void vshiftB_var_evex_bw_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 7220 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    __ evarshiftb(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */);
  
#line 42232 "ad_x86.cpp"
  }
}

void vshiftB_var_evex_bw_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 7220 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    __ evarshiftb(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */);
  
#line 42253 "ad_x86.cpp"
  }
}

void vshift64B_var_evex_bwNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 7239 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = Assembler::AVX_256bit;
    __ evarshiftb(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */);
    __ vextracti64x4_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vextracti64x4_high(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ evarshiftb(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
    __ vinserti64x4(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0x1);
  
#line 42279 "ad_x86.cpp"
  }
}

void vshift64B_var_evex_bw_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 7239 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = Assembler::AVX_256bit;
    __ evarshiftb(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */);
    __ vextracti64x4_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vextracti64x4_high(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ evarshiftb(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
    __ vinserti64x4(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0x1);
  
#line 42305 "ad_x86.cpp"
  }
}

void vshift64B_var_evex_bw_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 7239 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = Assembler::AVX_256bit;
    __ evarshiftb(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */);
    __ vextracti64x4_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vextracti64x4_high(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ evarshiftb(opcode, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, vlen_enc, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */);
    __ vinserti64x4(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, 0x1);
  
#line 42331 "ad_x86.cpp"
  }
}

void vshift8S_var_nobwNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 7263 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVS);
    int vlen_enc = Assembler::AVX_256bit;
    __ vextendwd(sign, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 1);
    __ vpmovzxwd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, 1);
    __ varshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, vlen_enc);
    __ vpand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_int_to_short_mask()), vlen_enc, noreg);
    __ vextracti128_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */);
    __ vpackusdw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, 0);
  
#line 42358 "ad_x86.cpp"
  }
}

void vshift8S_var_nobw_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 7263 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVS);
    int vlen_enc = Assembler::AVX_256bit;
    __ vextendwd(sign, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 1);
    __ vpmovzxwd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, 1);
    __ varshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, vlen_enc);
    __ vpand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_int_to_short_mask()), vlen_enc, noreg);
    __ vextracti128_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */);
    __ vpackusdw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, 0);
  
#line 42385 "ad_x86.cpp"
  }
}

void vshift8S_var_nobw_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 7263 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVS);
    int vlen_enc = Assembler::AVX_256bit;
    __ vextendwd(sign, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 1);
    __ vpmovzxwd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, 1);
    __ varshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, vlen_enc);
    __ vpand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_int_to_short_mask()), vlen_enc, noreg);
    __ vextracti128_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */);
    __ vpackusdw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, 0);
  
#line 42412 "ad_x86.cpp"
  }
}

void vshift16S_var_nobwNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 7288 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVS);
    int vlen_enc = Assembler::AVX_256bit;
    // Shift lower half, with result in vtmp2 using vtmp1 as TEMP
    __ vextendwd(sign, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vpmovzxwd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ varshiftd(opcode, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, vlen_enc);
    __ vpand(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, ExternalAddress(vector_int_to_short_mask()), vlen_enc, noreg);

    // Shift upper half, with result in dst using vtmp1 as TEMP
    __ vextracti128_high(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vextracti128_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ vextendwd(sign, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpmovzxwd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, vlen_enc);
    __ varshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, vlen_enc);
    __ vpand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_int_to_short_mask()), vlen_enc, noreg);

    // Merge lower and upper half result into dst
    __ vpackusdw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpermq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 0xD8, vlen_enc);
  
#line 42451 "ad_x86.cpp"
  }
}

void vshift16S_var_nobw_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 7288 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVS);
    int vlen_enc = Assembler::AVX_256bit;
    // Shift lower half, with result in vtmp2 using vtmp1 as TEMP
    __ vextendwd(sign, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vpmovzxwd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ varshiftd(opcode, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, vlen_enc);
    __ vpand(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, ExternalAddress(vector_int_to_short_mask()), vlen_enc, noreg);

    // Shift upper half, with result in dst using vtmp1 as TEMP
    __ vextracti128_high(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vextracti128_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ vextendwd(sign, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpmovzxwd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, vlen_enc);
    __ varshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, vlen_enc);
    __ vpand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_int_to_short_mask()), vlen_enc, noreg);

    // Merge lower and upper half result into dst
    __ vpackusdw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpermq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 0xD8, vlen_enc);
  
#line 42490 "ad_x86.cpp"
  }
}

void vshift16S_var_nobw_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 7288 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    bool sign = (opcode != Op_URShiftVS);
    int vlen_enc = Assembler::AVX_256bit;
    // Shift lower half, with result in vtmp2 using vtmp1 as TEMP
    __ vextendwd(sign, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vpmovzxwd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
    __ varshiftd(opcode, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, vlen_enc);
    __ vpand(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, ExternalAddress(vector_int_to_short_mask()), vlen_enc, noreg);

    // Shift upper half, with result in dst using vtmp1 as TEMP
    __ vextracti128_high(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ vextracti128_high(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */);
    __ vextendwd(sign, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpmovzxwd(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, vlen_enc);
    __ varshiftd(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, vlen_enc);
    __ vpand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, ExternalAddress(vector_int_to_short_mask()), vlen_enc, noreg);

    // Merge lower and upper half result into dst
    __ vpackusdw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    __ vpermq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 0xD8, vlen_enc);
  
#line 42529 "ad_x86.cpp"
  }
}

void vshift16S_var_evex_bwNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7322 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    if (!VM_Version::supports_avx512vl()) {
      vlen_enc = Assembler::AVX_512bit;
    }
    __ varshiftw(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
  
#line 42551 "ad_x86.cpp"
  }
}

void vshift16S_var_evex_bw_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7322 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    if (!VM_Version::supports_avx512vl()) {
      vlen_enc = Assembler::AVX_512bit;
    }
    __ varshiftw(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
  
#line 42573 "ad_x86.cpp"
  }
}

void vshift16S_var_evex_bw_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7322 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    if (!VM_Version::supports_avx512vl()) {
      vlen_enc = Assembler::AVX_512bit;
    }
    __ varshiftw(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
  
#line 42595 "ad_x86.cpp"
  }
}

void vshiftI_varNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7342 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    __ varshiftd(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
  
#line 42614 "ad_x86.cpp"
  }
}

void vshiftI_var_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7342 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    __ varshiftd(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
  
#line 42633 "ad_x86.cpp"
  }
}

void vshiftI_var_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7342 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    __ varshiftd(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
  
#line 42652 "ad_x86.cpp"
  }
}

void vshiftL_varNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7358 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    __ varshiftq(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
  
#line 42671 "ad_x86.cpp"
  }
}

void vshiftL_var_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7358 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    __ varshiftq(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
  
#line 42690 "ad_x86.cpp"
  }
}

void vshiftL_arith_varNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 7376 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    __ varshiftq(opcode, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc,
                 opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */);
  
#line 42710 "ad_x86.cpp"
  }
}

void vshiftL_arith_var_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 7390 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this);
    __ varshiftq(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vlen_enc);
  
#line 42727 "ad_x86.cpp"
  }
}

void vandNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 7404 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ pand(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 42742 "ad_x86.cpp"
  }
}

void vand_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 7414 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpand(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 42758 "ad_x86.cpp"
  }
}

void vand_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 7426 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpand(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 42774 "ad_x86.cpp"
  }
}

void vand_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 7426 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpand(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 42790 "ad_x86.cpp"
  }
}

void vorNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 7439 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ por(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 42805 "ad_x86.cpp"
  }
}

void vor_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 7449 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpor(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 42821 "ad_x86.cpp"
  }
}

void vor_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 7461 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpor(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 42837 "ad_x86.cpp"
  }
}

void vor_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 7461 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpor(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 42853 "ad_x86.cpp"
  }
}

void vxorNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 7474 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ pxor(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */);
  
#line 42868 "ad_x86.cpp"
  }
}

void vxor_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 7484 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpxor(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 42884 "ad_x86.cpp"
  }
}

void vxor_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mem
  {

#line 7496 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpxor(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), vlen_enc);
  
#line 42900 "ad_x86.cpp"
  }
}

void vxor_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  {

#line 7496 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpxor(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), vlen_enc);
  
#line 42916 "ad_x86.cpp"
  }
}

void vcastBtoXNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 7509 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    BasicType to_elem_bt = Matcher::vector_element_basic_type(this);
    int vlen_enc = vector_length_encoding(this);
    __ vconvert_b2x(to_elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 42932 "ad_x86.cpp"
  }
}

void vcastBtoDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 7521 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vconvert_b2x(T_DOUBLE, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 42947 "ad_x86.cpp"
  }
}

void castStoXNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 7534 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");

    __ vpand(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, ExternalAddress(vector_short_to_byte_mask()), 0, noreg);
    __ vpackuswb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, 0);
  
#line 42964 "ad_x86.cpp"
  }
}

void vcastStoXNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp
  {

#line 7550 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");

    int vlen_enc = vector_length_encoding(Matcher::vector_length_in_bytes(this, opnd_array(1)));
    __ vpand(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, ExternalAddress(vector_short_to_byte_mask()), vlen_enc, noreg);
    __ vextracti128(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, 0x1);
    __ vpackuswb(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, 0);
  
#line 42985 "ad_x86.cpp"
  }
}

void vcastStoX_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 7566 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    BasicType to_elem_bt = Matcher::vector_element_basic_type(this);
    int src_vlen_enc = vector_length_encoding(this, opnd_array(1));
    int vlen_enc = vector_length_encoding(this);
    switch (to_elem_bt) {
      case T_BYTE:
        if (!VM_Version::supports_avx512vl()) {
          vlen_enc = Assembler::AVX_512bit;
        }
        __ evpmovwb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, src_vlen_enc);
        break;
      case T_INT:
        __ vpmovsxwd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
        break;
      case T_FLOAT:
        __ vpmovsxwd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
        __ vcvtdq2ps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vlen_enc);
        break;
      case T_LONG:
        __ vpmovsxwq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
        break;
      case T_DOUBLE: {
        int mid_vlen_enc = (vlen_enc == Assembler::AVX_512bit) ? Assembler::AVX_256bit : Assembler::AVX_128bit;
        __ vpmovsxwd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, mid_vlen_enc);
        __ vcvtdq2pd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vlen_enc);
        break;
      }
      default:
        ShouldNotReachHere();
    }
  
#line 43027 "ad_x86.cpp"
  }
}

void castItoXNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 7606 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");

    BasicType to_elem_bt = Matcher::vector_element_basic_type(this);
    int vlen_enc = vector_length_encoding(this, opnd_array(1));

    if (to_elem_bt == T_BYTE) {
      __ vpand(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, ExternalAddress(vector_int_to_byte_mask()), vlen_enc, noreg);
      __ vpackusdw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vlen_enc);
      __ vpackuswb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vlen_enc);
    } else {
      assert(to_elem_bt == T_SHORT, "%s", type2name(to_elem_bt));
      __ vpand(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, ExternalAddress(vector_int_to_short_mask()), vlen_enc, noreg);
      __ vpackusdw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vlen_enc);
    }
  
#line 43054 "ad_x86.cpp"
  }
}

void vcastItoXNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp
  {

#line 7632 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");

    BasicType to_elem_bt = Matcher::vector_element_basic_type(this);
    int vlen_enc = vector_length_encoding(this, opnd_array(1));

    if (to_elem_bt == T_BYTE) {
      __ vpand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, ExternalAddress(vector_int_to_byte_mask()), vlen_enc, noreg);
      __ vextracti128(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, 0x1);
      __ vpackusdw(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, vlen_enc);
      __ vpackuswb(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, Assembler::AVX_128bit);
    } else {
      assert(to_elem_bt == T_SHORT, "%s", type2name(to_elem_bt));
      __ vpand(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, ExternalAddress(vector_int_to_short_mask()), vlen_enc, noreg);
      __ vextracti128(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, 0x1);
      __ vpackusdw(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, vlen_enc);
    }
  
#line 43085 "ad_x86.cpp"
  }
}

void vcastItoX_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 7658 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");

    BasicType dst_elem_bt = Matcher::vector_element_basic_type(this);
    int src_vlen_enc = vector_length_encoding(this, opnd_array(1));
    int dst_vlen_enc = vector_length_encoding(this);
    switch (dst_elem_bt) {
      case T_BYTE:
        if (!VM_Version::supports_avx512vl()) {
          src_vlen_enc = Assembler::AVX_512bit;
        }
        __ evpmovdb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, src_vlen_enc);
        break;
      case T_SHORT:
        if (!VM_Version::supports_avx512vl()) {
          src_vlen_enc = Assembler::AVX_512bit;
        }
        __ evpmovdw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, src_vlen_enc);
        break;
      case T_FLOAT:
        __ vcvtdq2ps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, dst_vlen_enc);
        break;
      case T_LONG:
        __ vpmovsxdq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, dst_vlen_enc);
        break;
      case T_DOUBLE:
        __ vcvtdq2pd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, dst_vlen_enc);
        break;
      default:
        ShouldNotReachHere();
    }
  
#line 43128 "ad_x86.cpp"
  }
}

void vcastLtoBSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 7698 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");

    int vlen = Matcher::vector_length_in_bytes(this, opnd_array(1));
    BasicType to_elem_bt  = Matcher::vector_element_basic_type(this);
    AddressLiteral mask_addr = (to_elem_bt == T_BYTE) ? ExternalAddress(vector_int_to_byte_mask())
                                                      : ExternalAddress(vector_int_to_short_mask());
    if (vlen <= 16) {
      __ vpshufd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 8, Assembler::AVX_128bit);
      __ vpand(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, mask_addr, Assembler::AVX_128bit, noreg);
      __ vpackusdw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Assembler::AVX_128bit);
    } else {
      assert(vlen <= 32, "required");
      __ vpermilps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 8, Assembler::AVX_256bit);
      __ vpermpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, 8, Assembler::AVX_256bit);
      __ vpand(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, mask_addr, Assembler::AVX_128bit, noreg);
      __ vpackusdw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Assembler::AVX_128bit);
    }
    if (to_elem_bt == T_BYTE) {
      __ vpackuswb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Assembler::AVX_128bit);
    }
  
#line 43161 "ad_x86.cpp"
  }
}

void vcastLtoX_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 7730 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    BasicType to_elem_bt = Matcher::vector_element_basic_type(this);
    int vlen = Matcher::vector_length_in_bytes(this, opnd_array(1));
    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    switch (to_elem_bt) {
      case T_BYTE:
        if (UseAVX > 2 && !VM_Version::supports_avx512vl()) {
          vlen_enc = Assembler::AVX_512bit;
        }
        __ evpmovqb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
        break;
      case T_SHORT:
        if (UseAVX > 2 && !VM_Version::supports_avx512vl()) {
          vlen_enc = Assembler::AVX_512bit;
        }
        __ evpmovqw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
        break;
      case T_INT:
        if (vlen == 8) {
          if (opnd_array(0)->as_XMMRegister(ra_,this)/* dst */!= opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */) {
            __ movflt(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
          }
        } else if (vlen == 16) {
          __ pshufd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 8);
        } else if (vlen == 32) {
          if (UseAVX > 2) {
            if (!VM_Version::supports_avx512vl()) {
              vlen_enc = Assembler::AVX_512bit;
            }
            __ evpmovqd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
          } else {
            __ vpermilps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 8, vlen_enc);
            __ vpermpd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, 8, vlen_enc);
          }
        } else { // vlen == 64
          __ evpmovqd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
        }
        break;
      case T_FLOAT:
        assert(UseAVX > 2 && VM_Version::supports_avx512dq(), "required");
        __ evcvtqq2ps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
        break;
      case T_DOUBLE:
        assert(UseAVX > 2 && VM_Version::supports_avx512dq(), "required");
        __ evcvtqq2pd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
        break;

      default: assert(false, "%s", type2name(to_elem_bt));
    }
  
#line 43222 "ad_x86.cpp"
  }
}

void vcastFtoD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 7787 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vcvtps2pd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 43237 "ad_x86.cpp"
  }
}

void castFtoX_reg_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp3
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// xtmp4
  {

#line 7801 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType to_elem_bt = Matcher::vector_element_basic_type(this);
    // JDK-8292878 removed the need for an explicit scratch register needed to load greater than
    // 32 bit addresses for register indirect addressing mode since stub constants
    // are part of code cache and there is a cap of 2G on ReservedCodeCacheSize currently.
    // However, targets are free to increase this limit, but having a large code cache size
    // greater than 2G looks unreasonable in practical scenario, on the hind side with given
    // cap we save a temporary register allocation which in limiting case can prevent
    // spilling in high register pressure blocks.
    __ vector_castF2X_avx(to_elem_bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                          opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp3 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* xtmp4 */,
                          ExternalAddress(vector_float_signflip()), noreg, vlen_enc);
  
#line 43267 "ad_x86.cpp"
  }
}

void castFtoX_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// ktmp1
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// ktmp2
  {

#line 7824 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    BasicType to_elem_bt = Matcher::vector_element_basic_type(this);
    if (to_elem_bt == T_LONG) {
      int vlen_enc = vector_length_encoding(this);
      __ vector_castF2L_evex(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                             opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp1 */, opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp2 */,
                             ExternalAddress(vector_double_signflip()), noreg, vlen_enc);
    } else {
      int vlen_enc = vector_length_encoding(this, opnd_array(1));
      __ vector_castF2X_evex(to_elem_bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                             opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp1 */, opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp2 */,
                             ExternalAddress(vector_float_signflip()), noreg, vlen_enc);
    }
  
#line 43297 "ad_x86.cpp"
  }
}

void vcastDtoF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 7845 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    __ vcvtpd2ps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 43312 "ad_x86.cpp"
  }
}

void castDtoX_reg_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp3
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// xtmp4
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// xtmp5
  {

#line 7858 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType to_elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_castD2X_avx(to_elem_bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                          opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp3 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* xtmp4 */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* xtmp5 */,
                          ExternalAddress(vector_float_signflip()), noreg, vlen_enc);
  
#line 43336 "ad_x86.cpp"
  }
}

void castDtoX_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// ktmp1
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// ktmp2
  {

#line 7874 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType to_elem_bt = Matcher::vector_element_basic_type(this);
    AddressLiteral signflip = VM_Version::supports_avx512dq() ? ExternalAddress(vector_double_signflip()) :
                              ExternalAddress(vector_float_signflip());
    __ vector_castD2X_evex(to_elem_bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                           opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(5)->as_KRegister(ra_,this,idx5)/* ktmp1 */, opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp2 */, signflip, noreg, vlen_enc);
  
#line 43360 "ad_x86.cpp"
  }
}

void vucastNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 7890 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");

    BasicType from_elem_bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    BasicType to_elem_bt = Matcher::vector_element_basic_type(this);
    int vlen_enc = vector_length_encoding(this);
    __ vector_unsigned_cast(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc, from_elem_bt, to_elem_bt);
  
#line 43379 "ad_x86.cpp"
  }
}

void vucast_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 7890 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");

    BasicType from_elem_bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    BasicType to_elem_bt = Matcher::vector_element_basic_type(this);
    int vlen_enc = vector_length_encoding(this);
    __ vector_unsigned_cast(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc, from_elem_bt, to_elem_bt);
  
#line 43398 "ad_x86.cpp"
  }
}

void vucast_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 7890 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 0, "required");

    BasicType from_elem_bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    BasicType to_elem_bt = Matcher::vector_element_basic_type(this);
    int vlen_enc = vector_length_encoding(this);
    __ vector_unsigned_cast(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc, from_elem_bt, to_elem_bt);
  
#line 43417 "ad_x86.cpp"
  }
}

void vcmpFDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cond
  {

#line 7962 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    Assembler::ComparisonPredicateFP cmp = booltest_pred_to_comparison_pred_fp(opnd_array(3)->constant());
    if (Matcher::vector_element_basic_type(this, opnd_array(1)) == T_FLOAT) {
      __ vcmpps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, vlen_enc);
    } else {
      __ vcmppd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, vlen_enc);
    }
  
#line 43439 "ad_x86.cpp"
  }
}

void evcmpFD64Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cond
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// ktmp
  {

#line 7981 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = Assembler::AVX_512bit;
    Assembler::ComparisonPredicateFP cmp = booltest_pred_to_comparison_pred_fp(opnd_array(3)->constant());
    KRegister mask = k0; // The comparison itself is not being masked.
    if (Matcher::vector_element_basic_type(this, opnd_array(1)) == T_FLOAT) {
      __ evcmpps(opnd_array(4)->as_KRegister(ra_,this,idx4)/* ktmp */, mask, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, vlen_enc);
      __ evmovdqul(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(4)->as_KRegister(ra_,this,idx4)/* ktmp */, ExternalAddress(vector_all_bits_set()), false, vlen_enc, noreg);
    } else {
      __ evcmppd(opnd_array(4)->as_KRegister(ra_,this,idx4)/* ktmp */, mask, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, vlen_enc);
      __ evmovdquq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(4)->as_KRegister(ra_,this,idx4)/* ktmp */, ExternalAddress(vector_all_bits_set()), false, vlen_enc, noreg);
    }
  
#line 43465 "ad_x86.cpp"
  }
}

void evcmpFDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cond
  {

#line 8001 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(bottom_type()->isa_vectmask(), "TypeVectMask expected");
    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    Assembler::ComparisonPredicateFP cmp = booltest_pred_to_comparison_pred_fp(opnd_array(3)->constant());
    KRegister mask = k0; // The comparison itself is not being masked.
    if (Matcher::vector_element_basic_type(this, opnd_array(1)) == T_FLOAT) {
      __ evcmpps(opnd_array(0)->as_KRegister(ra_,this)/* dst */, mask, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, vlen_enc);
    } else {
      __ evcmppd(opnd_array(0)->as_KRegister(ra_,this)/* dst */, mask, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, vlen_enc);
    }
  
#line 43489 "ad_x86.cpp"
  }
}

void vcmp_directNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cond
  {

#line 8026 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    Assembler::ComparisonPredicate cmp = booltest_pred_to_comparison_pred(opnd_array(3)->constant());
    Assembler::Width ww = widthForType(Matcher::vector_element_basic_type(this, opnd_array(1)));
    __ vpcmpCCW(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, xnoreg, cmp, ww, vlen_enc);
  
#line 43508 "ad_x86.cpp"
  }
}

void vcmp_negateNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cond
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// dst
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp
  {

#line 8047 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    Assembler::ComparisonPredicate cmp = booltest_pred_to_comparison_pred(opnd_array(3)->constant());
    Assembler::Width ww = widthForType(Matcher::vector_element_basic_type(this, opnd_array(1)));
    __ vpcmpCCW(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp */, cmp, ww, vlen_enc);
  
#line 43529 "ad_x86.cpp"
  }
}

void vcmpuNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cond
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// dst
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp
  {

#line 8065 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    InternalAddress flip_bit = InternalAddress(__ code()->consts()->start() + constant_offset());
    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    Assembler::ComparisonPredicate cmp = booltest_pred_to_comparison_pred(opnd_array(3)->constant());
    Assembler::Width ww = widthForType(Matcher::vector_element_basic_type(this, opnd_array(1)));

    if (vlen_enc == Assembler::AVX_128bit) {
      __ vmovddup(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp */, flip_bit, vlen_enc, noreg);
    } else {
      __ vbroadcastsd(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp */, flip_bit, vlen_enc, noreg);
    }
    __ vpxor(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, vlen_enc);
    __ vpxor(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
    __ vpcmpCCW(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp */, cmp, ww, vlen_enc);
  
#line 43559 "ad_x86.cpp"
  }
}

void vcmpuNode::eval_constant(Compile* C) {
  {

#line 8066 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, high_bit_set(Matcher::vector_element_basic_type(this, opnd_array(1))));
#line 43568 "ad_x86.cpp"
  }
}
void vcmp64Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cond
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// ktmp
  {

#line 8090 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    Assembler::ComparisonPredicate cmp = booltest_pred_to_comparison_pred(opnd_array(3)->constant());
    bool is_unsigned = Matcher::is_unsigned_booltest_pred(opnd_array(3)->constant());
    KRegister mask = k0; // The comparison itself is not being masked.
    bool merge = false;
    BasicType src1_elem_bt = Matcher::vector_element_basic_type(this, opnd_array(1));

    switch (src1_elem_bt) {
      case T_INT: {
        __ evpcmpd(opnd_array(4)->as_KRegister(ra_,this,idx4)/* ktmp */, mask, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, !is_unsigned, vlen_enc);
        __ evmovdqul(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(4)->as_KRegister(ra_,this,idx4)/* ktmp */, ExternalAddress(vector_all_bits_set()), merge, vlen_enc, noreg);
        break;
      }
      case T_LONG: {
        __ evpcmpq(opnd_array(4)->as_KRegister(ra_,this,idx4)/* ktmp */, mask, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, !is_unsigned, vlen_enc);
        __ evmovdquq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(4)->as_KRegister(ra_,this,idx4)/* ktmp */, ExternalAddress(vector_all_bits_set()), merge, vlen_enc, noreg);
        break;
      }
      default: assert(false, "%s", type2name(src1_elem_bt));
    }
  
#line 43605 "ad_x86.cpp"
  }
}

void evcmpNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cond
  {

#line 8123 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");
    assert(bottom_type()->isa_vectmask(), "TypeVectMask expected");

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    Assembler::ComparisonPredicate cmp = booltest_pred_to_comparison_pred(opnd_array(3)->constant());
    bool is_unsigned = Matcher::is_unsigned_booltest_pred(opnd_array(3)->constant());
    BasicType src1_elem_bt = Matcher::vector_element_basic_type(this, opnd_array(1));

    // Comparison i
    switch (src1_elem_bt) {
      case T_BYTE: {
        __ evpcmpb(opnd_array(0)->as_KRegister(ra_,this)/* dst */, k0, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, !is_unsigned, vlen_enc);
        break;
      }
      case T_SHORT: {
        __ evpcmpw(opnd_array(0)->as_KRegister(ra_,this)/* dst */, k0, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, !is_unsigned, vlen_enc);
        break;
      }
      case T_INT: {
        __ evpcmpd(opnd_array(0)->as_KRegister(ra_,this)/* dst */, k0, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, !is_unsigned, vlen_enc);
        break;
      }
      case T_LONG: {
        __ evpcmpq(opnd_array(0)->as_KRegister(ra_,this)/* dst */, k0, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, !is_unsigned, vlen_enc);
        break;
      }
      default: assert(false, "%s", type2name(src1_elem_bt));
    }
  
#line 43648 "ad_x86.cpp"
  }
}

void extractINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx
  {

#line 8166 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(opnd_array(2)->constant()< (int)Matcher::vector_length(this, opnd_array(1)), "out of bounds");

    BasicType elem_bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ get_elem(elem_bt, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant());
  
#line 43666 "ad_x86.cpp"
  }
}

void extractI_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx
  {

#line 8166 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(opnd_array(2)->constant()< (int)Matcher::vector_length(this, opnd_array(1)), "out of bounds");

    BasicType elem_bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ get_elem(elem_bt, opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant());
  
#line 43684 "ad_x86.cpp"
  }
}

void vextractINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp
  {

#line 8185 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(opnd_array(2)->constant()< (int)Matcher::vector_length(this, opnd_array(1)), "out of bounds");

    BasicType elem_bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    XMMRegister lane_xmm = __ get_lane(elem_bt, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant());
    __ get_elem(elem_bt, opnd_array(0)->as_Register(ra_,this)/* dst */, lane_xmm, opnd_array(2)->constant());
  
#line 43704 "ad_x86.cpp"
  }
}

void vextractI_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp
  {

#line 8185 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(opnd_array(2)->constant()< (int)Matcher::vector_length(this, opnd_array(1)), "out of bounds");

    BasicType elem_bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    XMMRegister lane_xmm = __ get_lane(elem_bt, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant());
    __ get_elem(elem_bt, opnd_array(0)->as_Register(ra_,this)/* dst */, lane_xmm, opnd_array(2)->constant());
  
#line 43724 "ad_x86.cpp"
  }
}

void extractFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 8230 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(opnd_array(2)->constant()< (int)Matcher::vector_length(this, opnd_array(1)), "out of bounds");

    __ get_elem(T_FLOAT, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant(), opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */);
  
#line 43743 "ad_x86.cpp"
  }
}

void vextractFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp
  {

#line 8244 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(opnd_array(2)->constant()< (int)Matcher::vector_length(this, opnd_array(1)), "out of bounds");

    XMMRegister lane_reg = __ get_lane(T_FLOAT, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant());
    __ get_elem(T_FLOAT, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, lane_reg, opnd_array(2)->constant());
  
#line 43762 "ad_x86.cpp"
  }
}

void extractDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx
  {

#line 8257 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(opnd_array(2)->constant()< (int)Matcher::vector_length(this, opnd_array(1)), "out of bounds");

    __ get_elem(T_DOUBLE, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant());
  
#line 43779 "ad_x86.cpp"
  }
}

void vextractDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// idx
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp
  {

#line 8271 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(opnd_array(2)->constant()< (int)Matcher::vector_length(this, opnd_array(1)), "out of bounds");

    XMMRegister lane_reg = __ get_lane(T_DOUBLE, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant());
    __ get_elem(T_DOUBLE, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, lane_reg, opnd_array(2)->constant());
  
#line 43798 "ad_x86.cpp"
  }
}

void blendvpNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp
  {

#line 8287 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE >= 4, "required");

    if (opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* mask */!= opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */) {
      __ movdqu(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* tmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* mask */);
    }
    __ pblendvb(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */); // uses xmm0 as mask
  
#line 43820 "ad_x86.cpp"
  }
}

void vblendvpINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 8305 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpblendvb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* mask */, vlen_enc);
  
#line 43837 "ad_x86.cpp"
  }
}

void vblendvpFDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 8319 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vblendvps(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* mask */, vlen_enc);
  
#line 43854 "ad_x86.cpp"
  }
}

void vblendvpNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// dst
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp
  {

#line 8333 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpandn(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, vlen_enc);
    __ vpand (opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */,  opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* mask */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
    __ vpor  (opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */,  opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* dst */,  opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp */, vlen_enc);
  
#line 43875 "ad_x86.cpp"
  }
}

void evblendvp64Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// ktmp
  {

#line 8348 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

     int vlen_enc = Assembler::AVX_512bit;
     BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ evpcmp(elem_bt, opnd_array(4)->as_KRegister(ra_,this,idx4)/* ktmp */, k0, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* mask */, ExternalAddress(vector_all_bits_set()), Assembler::eq, vlen_enc, noreg);
    __ evpblend(elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(4)->as_KRegister(ra_,this,idx4)/* ktmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 43895 "ad_x86.cpp"
  }
}

void evblendvp64_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 8364 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ evpblend(elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 43913 "ad_x86.cpp"
  }
}

void vabsB_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 8377 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    uint vlen = Matcher::vector_length(this);
    if (vlen <= 16) {
      __ pabsb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    } else {
      int vlen_enc = vector_length_encoding(this);
      __ vpabsb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    }
  
#line 43933 "ad_x86.cpp"
  }
}

void vabsS_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 8392 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    uint vlen = Matcher::vector_length(this);
    if (vlen <= 8) {
      __ pabsw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    } else {
      int vlen_enc = vector_length_encoding(this);
      __ vpabsw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    }
  
#line 43953 "ad_x86.cpp"
  }
}

void vabsI_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 8407 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    uint vlen = Matcher::vector_length(this);
    if (vlen <= 4) {
      __ pabsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    } else {
      int vlen_enc = vector_length_encoding(this);
      __ vpabsd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    }
  
#line 43973 "ad_x86.cpp"
  }
}

void vabsL_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 8422 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");
    int vlen_enc = vector_length_encoding(this);
    if (!VM_Version::supports_avx512vl()) {
      vlen_enc = Assembler::AVX_512bit;
    }
    __ evpabsq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 43992 "ad_x86.cpp"
  }
}

void vabsnegFNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 8441 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this);
    if (vlen == 2) {
      __ vabsnegf(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    } else {
      assert(vlen == 8 || vlen == 16, "required");
      int vlen_enc = vector_length_encoding(this);
      __ vabsnegf(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    }
  
#line 44014 "ad_x86.cpp"
  }
}

void vabsnegF_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 8441 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen = Matcher::vector_length(this);
    if (vlen == 2) {
      __ vabsnegf(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    } else {
      assert(vlen == 8 || vlen == 16, "required");
      int vlen_enc = vector_length_encoding(this);
      __ vabsnegf(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    }
  
#line 44036 "ad_x86.cpp"
  }
}

void vabsneg4FNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 8461 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    __ vabsnegf(opcode, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */);
  
#line 44051 "ad_x86.cpp"
  }
}

void vabsneg4F_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 8461 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    __ vabsnegf(opcode, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */);
  
#line 44066 "ad_x86.cpp"
  }
}

void vabsnegDNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 8472 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    uint vlen = Matcher::vector_length(this);
    if (vlen == 2) {
      assert(UseSSE >= 2, "required");
      __ vabsnegd(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    } else {
      int vlen_enc = vector_length_encoding(this);
      __ vabsnegd(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    }
  
#line 44088 "ad_x86.cpp"
  }
}

void vabsnegD_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 8472 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    uint vlen = Matcher::vector_length(this);
    if (vlen == 2) {
      assert(UseSSE >= 2, "required");
      __ vabsnegd(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    } else {
      int vlen_enc = vector_length_encoding(this);
      __ vabsnegd(opcode, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    }
  
#line 44110 "ad_x86.cpp"
  }
}

void loadMaskNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 8565 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_in_bytes = Matcher::vector_length_in_bytes(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ load_vector_mask(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_in_bytes, elem_bt, true);
  
#line 44127 "ad_x86.cpp"
  }
}

void loadMask64Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// xtmp
  {

#line 8578 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ load_vector_mask(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* xtmp */,
                        true, Assembler::AVX_512bit);
  
#line 44143 "ad_x86.cpp"
  }
}

void loadMask_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// xtmp
  {

#line 8590 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(in(1));
    __ load_vector_mask(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* xtmp */,
                        false, vlen_enc);
  
#line 44160 "ad_x86.cpp"
  }
}

void vstoreMask1BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// size
  {

#line 8604 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen = Matcher::vector_length(this);
    if (vlen <= 16 && UseAVX <= 2) {
      assert(UseSSE >= 3, "required");
      __ pabsb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    } else {
      assert(UseAVX > 0, "required");
      int src_vlen_enc = vector_length_encoding(this, opnd_array(1));
      __ vpabsb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, src_vlen_enc);
    }
  
#line 44183 "ad_x86.cpp"
  }
}

void vstoreMask2BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// size
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp
  {

#line 8623 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = Assembler::AVX_128bit;
    int vlen = Matcher::vector_length(this);
    if (vlen <= 8) {
      assert(UseSSE >= 3, "required");
      __ pxor(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
      __ pabsw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
      __ packuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
    } else {
      assert(UseAVX > 0, "required");
      __ vextracti128(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0x1);
      __ vpacksswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
      __ vpabsb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    }
  
#line 44212 "ad_x86.cpp"
  }
}

void vstoreMask4BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// size
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp
  {

#line 8646 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = Assembler::AVX_128bit;
    int vlen = Matcher::vector_length(this);
    if (vlen <= 4) {
      assert(UseSSE >= 3, "required");
      __ pxor(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
      __ pabsd(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
      __ packusdw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
      __ packuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
    } else {
      assert(UseAVX > 0, "required");
      __ vpxor(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, vlen_enc);
      __ vextracti128(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0x1);
      __ vpackssdw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
      __ vpacksswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, vlen_enc);
      __ vpabsb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
    }
  
#line 44244 "ad_x86.cpp"
  }
}

void storeMask8BNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// size
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp
  {

#line 8672 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE >= 3, "required");
    __ pxor(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
    __ pshufd(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0x8);
    __ pabsd(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */);
    __ packusdw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
    __ packuswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp */);
  
#line 44266 "ad_x86.cpp"
  }
}

void storeMask8B_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// size
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp
  {

#line 8688 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = Assembler::AVX_128bit;
    __ vshufps(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0x88, Assembler::AVX_256bit);
    __ vextracti128(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, 0x1);
    __ vblendps(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, 0xC, vlen_enc);
    __ vpxor(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, vlen_enc);
    __ vpackssdw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, vlen_enc);
    __ vpacksswb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp */, vlen_enc);
    __ vpabsb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, vlen_enc);
  
#line 44290 "ad_x86.cpp"
  }
}

void vstoreMask4B_evex_novectmaskNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// size
  {

#line 8705 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int src_vlen_enc = vector_length_encoding(this, opnd_array(1));
    int dst_vlen_enc = vector_length_encoding(this);
    if (!VM_Version::supports_avx512vl()) {
      src_vlen_enc = Assembler::AVX_512bit;
    }
    __ evpmovdb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, src_vlen_enc);
    __ vpabsb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, dst_vlen_enc);
  
#line 44311 "ad_x86.cpp"
  }
}

void vstoreMask8B_evex_novectmaskNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// size
  {

#line 8721 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int src_vlen_enc = vector_length_encoding(this, opnd_array(1));
    int dst_vlen_enc = vector_length_encoding(this);
    if (!VM_Version::supports_avx512vl()) {
      src_vlen_enc = Assembler::AVX_512bit;
    }
    __ evpmovqb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, src_vlen_enc);
    __ vpabsb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, dst_vlen_enc);
  
#line 44332 "ad_x86.cpp"
  }
}

void vstoreMask_evex_vectmaskNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// mask
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// size
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 8738 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(Matcher::vector_length_in_bytes(this, opnd_array(1)) == 64, "");
    __ evmovdqul(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_KRegister(ra_,this,idx1)/* mask */, ExternalAddress(vector_int_mask_cmp_bits()),
                 false, Assembler::AVX_512bit, noreg);
    __ evpmovdb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, Assembler::AVX_512bit);
  
#line 44351 "ad_x86.cpp"
  }
}

void vstoreMask_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// mask
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// size
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 8752 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int dst_vlen_enc = vector_length_encoding(this);
    __ evpmovm2b(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_KRegister(ra_,this,idx1)/* mask */, dst_vlen_enc);
    __ vpabsb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, dst_vlen_enc);
  
#line 44369 "ad_x86.cpp"
  }
}

void vmaskcast_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 8764 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    // empty
  
#line 44383 "ad_x86.cpp"
  }
}

void vmaskcastNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 8775 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    // empty
  
#line 44397 "ad_x86.cpp"
  }
}

void vmaskcast_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 8785 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen = Matcher::vector_length(this);
    BasicType src_bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    BasicType dst_bt = Matcher::vector_element_basic_type(this);
    __ vector_mask_cast(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, dst_bt, src_bt, vlen);
  
#line 44414 "ad_x86.cpp"
  }
}

void loadIotaIndicesNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 8799 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

     int vlen_in_bytes = Matcher::vector_length_in_bytes(this);
     BasicType bt = Matcher::vector_element_basic_type(this);
     __ load_iota_indices(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, vlen_in_bytes, bt);
  
#line 44430 "ad_x86.cpp"
  }
}

void loadShuffleBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  {

#line 8848 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    // empty
  
#line 44444 "ad_x86.cpp"
  }
}

void rearrangeBNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shuffle
  {

#line 8859 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE >= 4, "required");
    __ pshufb(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */);
  
#line 44460 "ad_x86.cpp"
  }
}

void rearrangeB_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shuffle
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 8872 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");
    // Swap src into vtmp1
    __ vperm2i128(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 1);
    // Shuffle swapped src to get entries from other 128 bit lane
    __ vpshufb(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */, Assembler::AVX_256bit);
    // Shuffle original src to get entries from self 128 bit lane
    __ vpshufb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */, Assembler::AVX_256bit);
    // Create a blend mask by setting high bits for entries coming from other lane in shuffle
    __ vpaddb(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */, ExternalAddress(vector_byte_shufflemask()), Assembler::AVX_256bit, noreg);
    // Perform the blend
    __ vpblendvb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, Assembler::AVX_256bit);
  
#line 44488 "ad_x86.cpp"
  }
}

void rearrangeB_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shuffle
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// xtmp3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// ktmp
  unsigned idx8 = idx7 + opnd_array(7)->num_edges(); 	// rtmp
  {

#line 8895 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ rearrange_bytes(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */,
                       opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp2 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* xtmp3 */,
                       opnd_array(8)->as_Register(ra_,this,idx8)/* rtmp */, opnd_array(7)->as_KRegister(ra_,this,idx7)/* ktmp */, vlen_enc);
  
#line 44512 "ad_x86.cpp"
  }
}

void rearrangeB_evex_vbmiNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shuffle
  {

#line 8909 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpermb(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 44528 "ad_x86.cpp"
  }
}

void loadShuffleSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp
  {

#line 8924 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    // Create a byte shuffle mask from short shuffle mask
    // only byte shuffle instruction available on these platforms
    int vlen_in_bytes = Matcher::vector_length_in_bytes(this);
    if (UseAVX == 0) {
      assert(vlen_in_bytes <= 16, "required");
      // Multiply each shuffle by two to get byte index
      __ pmovzxbw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
      __ psllw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, 1);

      // Duplicate to create 2 copies of byte index
      __ movdqu(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */);
      __ psllw(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, 8);
      __ por(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */);

      // Add one to get alternate byte index
      __ movdqu(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, ExternalAddress(vector_short_shufflemask()), noreg);
      __ paddb(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */);
    } else {
      assert(UseAVX > 1 || vlen_in_bytes <= 16, "required");
      int vlen_enc = vector_length_encoding(this);
      // Multiply each shuffle by two to get byte index
      __ vpmovzxbw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
      __ vpsllw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, 1, vlen_enc);

      // Duplicate to create 2 copies of byte index
      __ vpsllw(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */,  8, vlen_enc);
      __ vpor(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, vlen_enc);

      // Add one to get alternate byte index
      __ vpaddb(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, ExternalAddress(vector_short_shufflemask()), vlen_enc, noreg);
    }
  
#line 44574 "ad_x86.cpp"
  }
}

void rearrangeSNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shuffle
  {

#line 8965 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE >= 4, "required");
    __ pshufb(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */);
  
#line 44590 "ad_x86.cpp"
  }
}

void rearrangeS_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shuffle
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// vtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// vtmp2
  {

#line 8978 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");
    // Swap src into vtmp1
    __ vperm2i128(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 1);
    // Shuffle swapped src to get entries from other 128 bit lane
    __ vpshufb(opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */, Assembler::AVX_256bit);
    // Shuffle original src to get entries from self 128 bit lane
    __ vpshufb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */, Assembler::AVX_256bit);
    // Create a blend mask by setting high bits for entries coming from other lane in shuffle
    __ vpaddb(opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */, ExternalAddress(vector_byte_shufflemask()), Assembler::AVX_256bit, noreg);
    // Perform the blend
    __ vpblendvb(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* vtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* vtmp2 */, Assembler::AVX_256bit);
  
#line 44618 "ad_x86.cpp"
  }
}

void loadShuffleS_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 8999 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    if (!VM_Version::supports_avx512vl()) {
      vlen_enc = Assembler::AVX_512bit;
    }
    __ vpmovzxbw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 44636 "ad_x86.cpp"
  }
}

void rearrangeS_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shuffle
  {

#line 9014 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    if (!VM_Version::supports_avx512vl()) {
      vlen_enc = Assembler::AVX_512bit;
    }
    __ vpermw(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 44655 "ad_x86.cpp"
  }
}

void loadShuffleINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp
  {

#line 9032 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE >= 4, "required");

    // Create a byte shuffle mask from int shuffle mask
    // only byte shuffle instruction available on these platforms

    // Duplicate and multiply each shuffle by 4
    __ pmovzxbd(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */);
    __ pshuflw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, 0xA0);
    __ pshufhw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, 0xA0);
    __ psllw(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, 2);

    // Duplicate again to create 4 copies of byte index
    __ movdqu(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */);
    __ psllw(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, 8);
    __ por(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */);

    // Add 3,2,1,0 to get alternate byte index
    __ movdqu(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, ExternalAddress(vector_int_shufflemask()), noreg);
    __ paddb(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */);
  
#line 44689 "ad_x86.cpp"
  }
}

void rearrangeINode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shuffle
  {

#line 9061 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseSSE >= 4, "required");
    __ pshufb(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */);
  
#line 44705 "ad_x86.cpp"
  }
}

void loadShuffleI_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 9073 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpmovzxbd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 44720 "ad_x86.cpp"
  }
}

void rearrangeI_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shuffle
  {

#line 9085 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    __ vector_rearrange_int_float(bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 44737 "ad_x86.cpp"
  }
}

void loadShuffleLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// vtmp
  {

#line 9101 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int vlen_enc = vector_length_encoding(this);
    // Create a double word shuffle mask from long shuffle mask
    // only double word shuffle instruction available on these platforms

    // Multiply each shuffle by two to get double word index
    __ vpmovzxbq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vpsllq(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, 1, vlen_enc);

    // Duplicate each double word shuffle
    __ vpsllq(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, 32, vlen_enc);
    __ vpor(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* vtmp */, vlen_enc);

    // Add one to get alternate double word index
    __ vpaddd(opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, ExternalAddress(vector_long_shufflemask()), vlen_enc, noreg);
  
#line 44768 "ad_x86.cpp"
  }
}

void rearrangeLNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shuffle
  {

#line 9127 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX >= 2, "required");

    int vlen_enc = vector_length_encoding(this);
    __ vpermd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 44786 "ad_x86.cpp"
  }
}

void loadShuffleL_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 9141 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int vlen_enc = vector_length_encoding(this);
    __ vpmovzxbq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 44803 "ad_x86.cpp"
  }
}

void rearrangeL_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shuffle
  {

#line 9155 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");

    int vlen_enc = vector_length_encoding(this);
    if (vlen_enc == Assembler::AVX_128bit) {
      vlen_enc = Assembler::AVX_256bit;
    }
    __ vpermq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shuffle */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
  
#line 44824 "ad_x86.cpp"
  }
}

void vfmaF_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// c
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// a
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// b
  {

#line 9174 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseFMA, "not enabled");
    int vlen_enc = vector_length_encoding(this);
    __ vfmaf(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* c */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* a */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* b */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* c */, vlen_enc);
  
#line 44842 "ad_x86.cpp"
  }
}

void vfmaF_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// c
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// a
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// b
  {

#line 9187 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseFMA, "not enabled");
    int vlen_enc = vector_length_encoding(this);
    __ vfmaf(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* c */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* a */, Address::make_raw(opnd_array(3)->base(ra_,this,idx3), opnd_array(3)->index(ra_,this,idx3), opnd_array(3)->scale(), opnd_array(3)->disp(ra_,this,idx3), opnd_array(3)->disp_reloc()), opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* c */, vlen_enc);
  
#line 44860 "ad_x86.cpp"
  }
}

void vfmaD_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// c
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// a
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// b
  {

#line 9199 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseFMA, "not enabled");
    int vlen_enc = vector_length_encoding(this);
    __ vfmad(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* c */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* a */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* b */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* c */, vlen_enc);
  
#line 44878 "ad_x86.cpp"
  }
}

void vfmaD_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// c
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// a
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// b
  {

#line 9212 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseFMA, "not enabled");
    int vlen_enc = vector_length_encoding(this);
    __ vfmad(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* c */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* a */, Address::make_raw(opnd_array(3)->base(ra_,this,idx3), opnd_array(3)->index(ra_,this,idx3), opnd_array(3)->scale(), opnd_array(3)->disp(ra_,this,idx3), opnd_array(3)->disp_reloc()), opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* c */, vlen_enc);
  
#line 44896 "ad_x86.cpp"
  }
}

void vmuladdS2I_reg_sseNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  {

#line 9226 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ pmaddwd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src1 */);
  
#line 44911 "ad_x86.cpp"
  }
}

void vmuladdS2I_reg_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 9236 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    __ vpmaddwd(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 44927 "ad_x86.cpp"
  }
}

void vmuladdaddS2I_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  {

#line 9249 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");
    int vlen_enc = vector_length_encoding(this);
    __ evpdpwssd(opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, vlen_enc);
  
#line 44945 "ad_x86.cpp"
  }
}

void vmuladdaddS2I_reg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src2
  {

#line 9249 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseAVX > 2, "required");
    int vlen_enc = vector_length_encoding(this);
    __ evpdpwssd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src1 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* src2 */, vlen_enc);
  
#line 44963 "ad_x86.cpp"
  }
}

void vpopcount_integral_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 9265 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ vector_popcount_integral_evex(bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, k0, true, vlen_enc);
  
#line 44980 "ad_x86.cpp"
  }
}

void vpopcount_integral_reg_evex_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 9265 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ vector_popcount_integral_evex(bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, k0, true, vlen_enc);
  
#line 44997 "ad_x86.cpp"
  }
}

void vpopcount_integral_reg_evex_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 9279 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ evmovdquq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vector_popcount_integral_evex(bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_KRegister(ra_,this,idx2)/* mask */, true, vlen_enc);
  
#line 45015 "ad_x86.cpp"
  }
}

void vpopcount_integral_reg_evex_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 9279 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ evmovdquq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vector_popcount_integral_evex(bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_KRegister(ra_,this,idx2)/* mask */, true, vlen_enc);
  
#line 45033 "ad_x86.cpp"
  }
}

void vpopcount_avx_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// rtmp
  {

#line 9294 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ vector_popcount_integral(bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                                opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(5)->as_Register(ra_,this,idx5)/* rtmp */, vlen_enc);
  
#line 45055 "ad_x86.cpp"
  }
}

void vpopcount_avx_reg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// rtmp
  {

#line 9294 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode = this->ideal_Opcode();
    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ vector_popcount_integral(bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                                opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(5)->as_Register(ra_,this,idx5)/* rtmp */, vlen_enc);
  
#line 45077 "ad_x86.cpp"
  }
}

void vcount_trailing_zeros_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// rtmp
  {

#line 9313 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ vector_count_trailing_zeros_evex(bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, xnoreg,
                                        xnoreg, xnoreg, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp */, k0, opnd_array(4)->as_Register(ra_,this,idx4)/* rtmp */, vlen_enc);
  
#line 45097 "ad_x86.cpp"
  }
}

void vcount_trailing_zeros_short_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp3
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// rtmp
  {

#line 9330 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ vector_count_trailing_zeros_evex(bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                                        opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, xnoreg, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp3 */, k0, opnd_array(6)->as_Register(ra_,this,idx6)/* rtmp */, vlen_enc);
  
#line 45119 "ad_x86.cpp"
  }
}

void vcount_trailing_zeros_byte_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp3
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// xtmp4
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// ktmp
  unsigned idx8 = idx7 + opnd_array(7)->num_edges(); 	// rtmp
  {

#line 9345 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ vector_count_trailing_zeros_evex(bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                                        opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp3 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* xtmp4 */,
                                        opnd_array(7)->as_KRegister(ra_,this,idx7)/* ktmp */, opnd_array(8)->as_Register(ra_,this,idx8)/* rtmp */, vlen_enc);
  
#line 45144 "ad_x86.cpp"
  }
}

void vcount_trailing_zeros_reg_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp3
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// rtmp
  {

#line 9360 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ vector_count_trailing_zeros_avx(bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                                       opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp3 */, opnd_array(6)->as_Register(ra_,this,idx6)/* rtmp */, vlen_enc);
  
#line 45166 "ad_x86.cpp"
  }
}

void vpternlogNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src3
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// func
  {

#line 9376 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vector_len = vector_length_encoding(this);
    __ vpternlogd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(4)->constant(), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* src3 */, vector_len);
  
#line 45184 "ad_x86.cpp"
  }
}

void vpternlog_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src3
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// func
  {

#line 9388 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vector_len = vector_length_encoding(this);
    __ vpternlogd(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(4)->constant(), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, Address::make_raw(opnd_array(3)->base(ra_,this,idx3), opnd_array(3)->index(ra_,this,idx3), opnd_array(3)->scale(), opnd_array(3)->disp(ra_,this,idx3), opnd_array(3)->disp_reloc()), vector_len);
  
#line 45202 "ad_x86.cpp"
  }
}

void vprotate_immI8Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 9400 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode      = this->ideal_Opcode();
    int vector_len  = vector_length_encoding(this);
    BasicType etype = this->bottom_type()->is_vect()->element_basic_type();
    __ vprotate_imm(opcode, etype, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant(), vector_len);
  
#line 45220 "ad_x86.cpp"
  }
}

void vprotate_immI8_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 9400 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode      = this->ideal_Opcode();
    int vector_len  = vector_length_encoding(this);
    BasicType etype = this->bottom_type()->is_vect()->element_basic_type();
    __ vprotate_imm(opcode, etype, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->constant(), vector_len);
  
#line 45238 "ad_x86.cpp"
  }
}

void vprorateNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 9413 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode      = this->ideal_Opcode();
    int vector_len  = vector_length_encoding(this);
    BasicType etype = this->bottom_type()->is_vect()->element_basic_type();
    __ vprotate_var(opcode, etype, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vector_len);
  
#line 45256 "ad_x86.cpp"
  }
}

void vprorate_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  {

#line 9413 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int opcode      = this->ideal_Opcode();
    int vector_len  = vector_length_encoding(this);
    BasicType etype = this->bottom_type()->is_vect()->element_basic_type();
    __ vprotate_var(opcode, etype, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* shift */, vector_len);
  
#line 45274 "ad_x86.cpp"
  }
}

void vmasked_load_avx_non_subwordNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 9427 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    BasicType elmType = this->bottom_type()->is_vect()->element_basic_type();
    int vlen_enc = vector_length_encoding(this);
    __ vmovmask(elmType, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* mask */, vlen_enc);
  
#line 45291 "ad_x86.cpp"
  }
}

void vmasked_load_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 9440 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    BasicType elmType =  this->bottom_type()->is_vect()->element_basic_type();
    int vector_len = vector_length_encoding(this);
    __ evmovdqu(elmType, opnd_array(2)->as_KRegister(ra_,this,idx2)/* mask */, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), false, vector_len);
  
#line 45308 "ad_x86.cpp"
  }
}

void vmasked_store_avx_non_subwordNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9452 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    const MachNode* src_node = static_cast<const MachNode*>(this->in(this->operand_index(opnd_array(2))));
    int vlen_enc = vector_length_encoding(src_node);
    BasicType elmType =  src_node->bottom_type()->is_vect()->element_basic_type();
    __ vmovmask(elmType, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* mask */, vlen_enc);
  
#line 45327 "ad_x86.cpp"
  }
}

void vmasked_store_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9465 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    const MachNode* src_node = static_cast<const MachNode*>(this->in(this->operand_index(opnd_array(2))));
    BasicType elmType =  src_node->bottom_type()->is_vect()->element_basic_type();
    int vlen_enc = vector_length_encoding(src_node);
    __ evmovdqu(elmType, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, true, vlen_enc);
  
#line 45346 "ad_x86.cpp"
  }
}

void vreverse_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// rtmp
  {

#line 9741 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vec_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    __ vector_reverse_bit(bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                          opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(5)->as_Register(ra_,this,idx5)/* rtmp */, vec_enc);
  
#line 45367 "ad_x86.cpp"
  }
}

void vreverse_reg_gfniNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp
  {

#line 9755 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vec_enc = vector_length_encoding(this);
    BasicType bt  = Matcher::vector_element_basic_type(this);
    InternalAddress addr = InternalAddress(__ code()->consts()->start() + constant_offset());
    __ vector_reverse_bit_gfni(bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, addr, vec_enc,
                               opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp */);
  
#line 45387 "ad_x86.cpp"
  }
}

void vreverse_reg_gfniNode::eval_constant(Compile* C) {
  {

#line 9758 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"
    _constant = C->output()->constant_table().add(this, T_LONG, vreplicate_imm(T_LONG, 0x8040201008040201L, 1));
#line 45396 "ad_x86.cpp"
  }
}
void vreverse_byte_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  {

#line 9770 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vec_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    __ vector_reverse_byte(bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vec_enc);
  
#line 45412 "ad_x86.cpp"
  }
}

void vreverse_byte64_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// rtmp
  {

#line 9783 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vec_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    __ vector_reverse_byte64(bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                             opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(5)->as_Register(ra_,this,idx5)/* rtmp */, vec_enc);
  
#line 45433 "ad_x86.cpp"
  }
}

void vcount_leading_zeros_IL_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 9799 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

     int vlen_enc = vector_length_encoding(this, opnd_array(1));
     BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
     __ vector_count_leading_zeros_evex(bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, xnoreg,
                                        xnoreg, xnoreg, k0, noreg, true, vlen_enc);
  
#line 45450 "ad_x86.cpp"
  }
}

void vcount_leading_zeros_IL_reg_evex_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 9813 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ evmovdquq(opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, vlen_enc);
    __ vector_count_leading_zeros_evex(bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, xnoreg, xnoreg,
                                       xnoreg, opnd_array(2)->as_KRegister(ra_,this,idx2)/* mask */, noreg, true, vlen_enc);
  
#line 45469 "ad_x86.cpp"
  }
}

void vcount_leading_zeros_short_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  {

#line 9830 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ vector_count_leading_zeros_evex(bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                                       opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, xnoreg, k0, noreg, true, vlen_enc);
  
#line 45489 "ad_x86.cpp"
  }
}

void vcount_leading_zeros_byte_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp3
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// ktmp
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// rtmp
  {

#line 9844 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ vector_count_leading_zeros_evex(bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                                       opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp3 */, opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp */,
                                       opnd_array(7)->as_Register(ra_,this,idx7)/* rtmp */, true, vlen_enc);
  
#line 45513 "ad_x86.cpp"
  }
}

void vcount_leading_zeros_int_reg_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp3
  {

#line 9860 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ vector_count_leading_zeros_avx(bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                                      opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp3 */, noreg, vlen_enc);
  
#line 45534 "ad_x86.cpp"
  }
}

void vcount_leading_zeros_reg_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// dst
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// xtmp1
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp2
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp3
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// rtmp
  {

#line 9875 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType bt = Matcher::vector_element_basic_type(this, opnd_array(1));
    __ vector_count_leading_zeros_avx(bt, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* xtmp1 */,
                                      opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp2 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp3 */, opnd_array(6)->as_Register(ra_,this,idx6)/* rtmp */, vlen_enc);
  
#line 45556 "ad_x86.cpp"
  }
}

void vadd_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9894 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 45576 "ad_x86.cpp"
  }
}

void vadd_reg_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9894 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 45596 "ad_x86.cpp"
  }
}

void vadd_reg_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9894 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 45616 "ad_x86.cpp"
  }
}

void vadd_reg_masked_2Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9894 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 45636 "ad_x86.cpp"
  }
}

void vadd_reg_masked_3Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9894 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 45656 "ad_x86.cpp"
  }
}

void vadd_reg_masked_4Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9894 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 45676 "ad_x86.cpp"
  }
}

void vadd_mem_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9912 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 45696 "ad_x86.cpp"
  }
}

void vadd_mem_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9912 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 45716 "ad_x86.cpp"
  }
}

void vadd_mem_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9912 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 45736 "ad_x86.cpp"
  }
}

void vadd_mem_masked_2Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9912 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 45756 "ad_x86.cpp"
  }
}

void vadd_mem_masked_3Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9912 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 45776 "ad_x86.cpp"
  }
}

void vadd_mem_masked_4Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9912 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 45796 "ad_x86.cpp"
  }
}

void vxor_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9925 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 45816 "ad_x86.cpp"
  }
}

void vxor_mem_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9938 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 45836 "ad_x86.cpp"
  }
}

void vor_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9951 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 45856 "ad_x86.cpp"
  }
}

void vor_mem_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9964 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 45876 "ad_x86.cpp"
  }
}

void vand_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9977 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 45896 "ad_x86.cpp"
  }
}

void vand_mem_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 9990 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 45916 "ad_x86.cpp"
  }
}

void vsub_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10008 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 45936 "ad_x86.cpp"
  }
}

void vsub_reg_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10008 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 45956 "ad_x86.cpp"
  }
}

void vsub_reg_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10008 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 45976 "ad_x86.cpp"
  }
}

void vsub_reg_masked_2Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10008 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 45996 "ad_x86.cpp"
  }
}

void vsub_reg_masked_3Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10008 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 46016 "ad_x86.cpp"
  }
}

void vsub_reg_masked_4Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10008 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 46036 "ad_x86.cpp"
  }
}

void vsub_mem_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10026 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 46056 "ad_x86.cpp"
  }
}

void vsub_mem_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10026 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 46076 "ad_x86.cpp"
  }
}

void vsub_mem_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10026 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 46096 "ad_x86.cpp"
  }
}

void vsub_mem_masked_2Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10026 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 46116 "ad_x86.cpp"
  }
}

void vsub_mem_masked_3Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10026 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 46136 "ad_x86.cpp"
  }
}

void vsub_mem_masked_4Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10026 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 46156 "ad_x86.cpp"
  }
}

void vmul_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10043 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 46176 "ad_x86.cpp"
  }
}

void vmul_reg_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10043 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 46196 "ad_x86.cpp"
  }
}

void vmul_reg_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10043 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 46216 "ad_x86.cpp"
  }
}

void vmul_reg_masked_2Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10043 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 46236 "ad_x86.cpp"
  }
}

void vmul_reg_masked_3Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10043 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 46256 "ad_x86.cpp"
  }
}

void vmul_mem_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10060 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 46276 "ad_x86.cpp"
  }
}

void vmul_mem_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10060 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 46296 "ad_x86.cpp"
  }
}

void vmul_mem_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10060 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 46316 "ad_x86.cpp"
  }
}

void vmul_mem_masked_2Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10060 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 46336 "ad_x86.cpp"
  }
}

void vmul_mem_masked_3Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10060 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 46356 "ad_x86.cpp"
  }
}

void vsqrt_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 10074 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(2)->as_KRegister(ra_,this,idx2)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, true, vlen_enc);
  
#line 46375 "ad_x86.cpp"
  }
}

void vsqrt_reg_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 10074 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(2)->as_KRegister(ra_,this,idx2)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, true, vlen_enc);
  
#line 46394 "ad_x86.cpp"
  }
}

void vdiv_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10088 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 46414 "ad_x86.cpp"
  }
}

void vdiv_reg_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10088 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 46434 "ad_x86.cpp"
  }
}

void vdiv_mem_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10102 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 46454 "ad_x86.cpp"
  }
}

void vdiv_mem_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10102 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 46474 "ad_x86.cpp"
  }
}

void vrol_imm_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10117 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->constant(), true, vlen_enc);
  
#line 46494 "ad_x86.cpp"
  }
}

void vrol_imm_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10117 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->constant(), true, vlen_enc);
  
#line 46514 "ad_x86.cpp"
  }
}

void vrol_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10131 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 46534 "ad_x86.cpp"
  }
}

void vrol_reg_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10131 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 46554 "ad_x86.cpp"
  }
}

void vlshift_imm_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->constant(), true, vlen_enc);
  
#line 46574 "ad_x86.cpp"
  }
}

void vlshift_imm_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->constant(), true, vlen_enc);
  
#line 46594 "ad_x86.cpp"
  }
}

void vlshift_imm_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10146 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->constant(), true, vlen_enc);
  
#line 46614 "ad_x86.cpp"
  }
}

void vlshift_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10162 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, false);
  
#line 46634 "ad_x86.cpp"
  }
}

void vlshift_reg_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10162 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, false);
  
#line 46654 "ad_x86.cpp"
  }
}

void vlshift_reg_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10162 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, false);
  
#line 46674 "ad_x86.cpp"
  }
}

void vlshiftv_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10178 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, true);
  
#line 46694 "ad_x86.cpp"
  }
}

void vlshiftv_reg_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10178 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, true);
  
#line 46714 "ad_x86.cpp"
  }
}

void vlshiftv_reg_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10178 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, true);
  
#line 46734 "ad_x86.cpp"
  }
}

void vrshift_imm_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10193 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->constant(), true, vlen_enc);
  
#line 46754 "ad_x86.cpp"
  }
}

void vrshift_imm_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10193 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->constant(), true, vlen_enc);
  
#line 46774 "ad_x86.cpp"
  }
}

void vrshift_imm_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10193 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->constant(), true, vlen_enc);
  
#line 46794 "ad_x86.cpp"
  }
}

void vrshift_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10209 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, false);
  
#line 46814 "ad_x86.cpp"
  }
}

void vrshift_reg_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10209 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, false);
  
#line 46834 "ad_x86.cpp"
  }
}

void vrshift_reg_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10209 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, false);
  
#line 46854 "ad_x86.cpp"
  }
}

void vrshiftv_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10225 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, true);
  
#line 46874 "ad_x86.cpp"
  }
}

void vrshiftv_reg_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10225 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, true);
  
#line 46894 "ad_x86.cpp"
  }
}

void vrshiftv_reg_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10225 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, true);
  
#line 46914 "ad_x86.cpp"
  }
}

void vurshift_imm_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10240 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->constant(), true, vlen_enc);
  
#line 46934 "ad_x86.cpp"
  }
}

void vurshift_imm_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10240 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->constant(), true, vlen_enc);
  
#line 46954 "ad_x86.cpp"
  }
}

void vurshift_imm_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// shift
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10240 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->constant(), true, vlen_enc);
  
#line 46974 "ad_x86.cpp"
  }
}

void vurshift_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10256 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, false);
  
#line 46994 "ad_x86.cpp"
  }
}

void vurshift_reg_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10256 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, false);
  
#line 47014 "ad_x86.cpp"
  }
}

void vurshift_reg_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10256 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, false);
  
#line 47034 "ad_x86.cpp"
  }
}

void vurshiftv_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10272 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, true);
  
#line 47054 "ad_x86.cpp"
  }
}

void vurshiftv_reg_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10272 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, true);
  
#line 47074 "ad_x86.cpp"
  }
}

void vurshiftv_reg_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10272 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc, true);
  
#line 47094 "ad_x86.cpp"
  }
}

void vmaxv_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10285 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 47114 "ad_x86.cpp"
  }
}

void vmaxv_mem_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10298 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 47134 "ad_x86.cpp"
  }
}

void vminv_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10311 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 47154 "ad_x86.cpp"
  }
}

void vminv_mem_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10324 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 47174 "ad_x86.cpp"
  }
}

void vrearrangev_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10337 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, false, vlen_enc);
  
#line 47194 "ad_x86.cpp"
  }
}

void vabs_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 10353 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(2)->as_KRegister(ra_,this,idx2)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, true, vlen_enc);
  
#line 47213 "ad_x86.cpp"
  }
}

void vabs_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 10353 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(2)->as_KRegister(ra_,this,idx2)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, true, vlen_enc);
  
#line 47232 "ad_x86.cpp"
  }
}

void vabs_masked_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 10353 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(2)->as_KRegister(ra_,this,idx2)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, true, vlen_enc);
  
#line 47251 "ad_x86.cpp"
  }
}

void vabs_masked_2Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// mask
  {

#line 10353 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(2)->as_KRegister(ra_,this,idx2)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, true, vlen_enc);
  
#line 47270 "ad_x86.cpp"
  }
}

void vfma_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src3
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// mask
  {

#line 10367 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseFMA, "Needs FMA instructions support.");
    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(4)->as_KRegister(ra_,this,idx4)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* src3 */, true, vlen_enc);
  
#line 47292 "ad_x86.cpp"
  }
}

void vfma_reg_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src3
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// mask
  {

#line 10367 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseFMA, "Needs FMA instructions support.");
    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(4)->as_KRegister(ra_,this,idx4)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* src3 */, true, vlen_enc);
  
#line 47314 "ad_x86.cpp"
  }
}

void vfma_mem_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src3
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// mask
  {

#line 10382 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseFMA, "Needs FMA instructions support.");
    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(4)->as_KRegister(ra_,this,idx4)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, Address::make_raw(opnd_array(3)->base(ra_,this,idx3), opnd_array(3)->index(ra_,this,idx3), opnd_array(3)->scale(), opnd_array(3)->disp(ra_,this,idx3), opnd_array(3)->disp_reloc()), true, vlen_enc);
  
#line 47336 "ad_x86.cpp"
  }
}

void vfma_mem_masked_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src3
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// mask
  {

#line 10382 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(UseFMA, "Needs FMA instructions support.");
    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    int opc = this->ideal_Opcode();
    __ evmasked_op(opc, bt, opnd_array(4)->as_KRegister(ra_,this,idx4)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                   opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, Address::make_raw(opnd_array(3)->base(ra_,this,idx3), opnd_array(3)->index(ra_,this,idx3), opnd_array(3)->scale(), opnd_array(3)->disp(ra_,this,idx3), opnd_array(3)->disp_reloc()), true, vlen_enc);
  
#line 47358 "ad_x86.cpp"
  }
}

void evcmp_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// cond
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// mask
  {

#line 10396 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    assert(bottom_type()->isa_vectmask(), "TypeVectMask expected");
    int vlen_enc = vector_length_encoding(this, opnd_array(1));
    BasicType src1_elem_bt = Matcher::vector_element_basic_type(this, opnd_array(1));

    // Comparison i
    switch (src1_elem_bt) {
      case T_BYTE: {
        bool is_unsigned = Matcher::is_unsigned_booltest_pred(opnd_array(3)->constant());
        Assembler::ComparisonPredicate cmp = booltest_pred_to_comparison_pred(opnd_array(3)->constant());
        __ evpcmpb(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(4)->as_KRegister(ra_,this,idx4)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, !is_unsigned, vlen_enc);
        break;
      }
      case T_SHORT: {
        bool is_unsigned = Matcher::is_unsigned_booltest_pred(opnd_array(3)->constant());
        Assembler::ComparisonPredicate cmp = booltest_pred_to_comparison_pred(opnd_array(3)->constant());
        __ evpcmpw(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(4)->as_KRegister(ra_,this,idx4)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, !is_unsigned, vlen_enc);
        break;
      }
      case T_INT: {
        bool is_unsigned = Matcher::is_unsigned_booltest_pred(opnd_array(3)->constant());
        Assembler::ComparisonPredicate cmp = booltest_pred_to_comparison_pred(opnd_array(3)->constant());
        __ evpcmpd(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(4)->as_KRegister(ra_,this,idx4)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, !is_unsigned, vlen_enc);
        break;
      }
      case T_LONG: {
        bool is_unsigned = Matcher::is_unsigned_booltest_pred(opnd_array(3)->constant());
        Assembler::ComparisonPredicate cmp = booltest_pred_to_comparison_pred(opnd_array(3)->constant());
        __ evpcmpq(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(4)->as_KRegister(ra_,this,idx4)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, !is_unsigned, vlen_enc);
        break;
      }
      case T_FLOAT: {
        Assembler::ComparisonPredicateFP cmp = booltest_pred_to_comparison_pred_fp(opnd_array(3)->constant());
        __ evcmpps(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(4)->as_KRegister(ra_,this,idx4)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, vlen_enc);
        break;
      }
      case T_DOUBLE: {
        Assembler::ComparisonPredicateFP cmp = booltest_pred_to_comparison_pred_fp(opnd_array(3)->constant());
        __ evcmppd(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(4)->as_KRegister(ra_,this,idx4)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, cmp, vlen_enc);
        break;
      }
      default: assert(false, "%s", type2name(src1_elem_bt)); break;
    }
  
#line 47416 "ad_x86.cpp"
  }
}

void mask_all_evexI_LE32Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  {

#line 10447 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int mask_len = Matcher::vector_length(this);
    __ vector_maskall_operation(opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(1)->as_Register(ra_,this,idx1)/* src */, mask_len);
  
#line 47431 "ad_x86.cpp"
  }
}

void mask_opers_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// kscratch
  {

#line 10527 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    const MachNode* mask1 = static_cast<const MachNode*>(this->in(this->operand_index(opnd_array(1))));
    const MachNode* mask2 = static_cast<const MachNode*>(this->in(this->operand_index(opnd_array(2))));
    assert(Type::equals(mask1->bottom_type(), mask2->bottom_type()), "Mask types must be equal");
    uint masklen = Matcher::vector_length(this);
    masklen = (masklen < 16 && !VM_Version::supports_avx512dq()) ? 16 : masklen;
    __ masked_op(this->ideal_Opcode(), masklen, opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(1)->as_KRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_KRegister(ra_,this,idx2)/* src2 */);
  
#line 47452 "ad_x86.cpp"
  }
}

void mask_opers_evex_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// kscratch
  {

#line 10527 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    const MachNode* mask1 = static_cast<const MachNode*>(this->in(this->operand_index(opnd_array(1))));
    const MachNode* mask2 = static_cast<const MachNode*>(this->in(this->operand_index(opnd_array(2))));
    assert(Type::equals(mask1->bottom_type(), mask2->bottom_type()), "Mask types must be equal");
    uint masklen = Matcher::vector_length(this);
    masklen = (masklen < 16 && !VM_Version::supports_avx512dq()) ? 16 : masklen;
    __ masked_op(this->ideal_Opcode(), masklen, opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(1)->as_KRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_KRegister(ra_,this,idx2)/* src2 */);
  
#line 47473 "ad_x86.cpp"
  }
}

void mask_opers_evex_1Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// kscratch
  {

#line 10527 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    const MachNode* mask1 = static_cast<const MachNode*>(this->in(this->operand_index(opnd_array(1))));
    const MachNode* mask2 = static_cast<const MachNode*>(this->in(this->operand_index(opnd_array(2))));
    assert(Type::equals(mask1->bottom_type(), mask2->bottom_type()), "Mask types must be equal");
    uint masklen = Matcher::vector_length(this);
    masklen = (masklen < 16 && !VM_Version::supports_avx512dq()) ? 16 : masklen;
    __ masked_op(this->ideal_Opcode(), masklen, opnd_array(0)->as_KRegister(ra_,this)/* dst */, opnd_array(1)->as_KRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_KRegister(ra_,this,idx2)/* src2 */);
  
#line 47494 "ad_x86.cpp"
  }
}

void vternlog_reg_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src3
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// func
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// mask
  {

#line 10541 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    __ evpternlog(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(4)->constant(), opnd_array(5)->as_KRegister(ra_,this,idx5)/* mask */,
                  opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* src3 */, true, bt, vlen_enc);
  
#line 47515 "ad_x86.cpp"
  }
}

void vternlogd_mem_maskedNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src3
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// func
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// mask
  {

#line 10553 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    __ evpternlog(opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(4)->constant(), opnd_array(5)->as_KRegister(ra_,this,idx5)/* mask */,
                  opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, Address::make_raw(opnd_array(3)->base(ra_,this,idx3), opnd_array(3)->index(ra_,this,idx3), opnd_array(3)->scale(), opnd_array(3)->disp(ra_,this,idx3), opnd_array(3)->disp_reloc()), true, bt, vlen_enc);
  
#line 47536 "ad_x86.cpp"
  }
}

void castMMNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  // User did not define which encode class to use.
}

uint castMMNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void castVVNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  // User did not define which encode class to use.
}

uint castVVNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void castVVLegNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  // User did not define which encode class to use.
}

uint castVVLegNode::size(PhaseRegAlloc *ra_) const {
  assert(VerifyOops || MachNode::size(ra_) <= 0, "bad fixed size");
  return (VerifyOops ? MachNode::size(ra_) : 0);
}

void FloatClassCheck_reg_reg_vfpclassNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// ktmp
  {

#line 10600 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vfpclassss(opnd_array(2)->as_KRegister(ra_,this,idx2)/* ktmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0x18);
    __ kmovbl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(2)->as_KRegister(ra_,this,idx2)/* ktmp */);
  
#line 47588 "ad_x86.cpp"
  }
}

void DoubleClassCheck_reg_reg_vfpclassNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// ktmp
  {

#line 10612 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    __ vfpclasssd(opnd_array(2)->as_KRegister(ra_,this,idx2)/* ktmp */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src */, 0x18);
    __ kmovbl(opnd_array(0)->as_Register(ra_,this)/* dst */, opnd_array(2)->as_KRegister(ra_,this,idx2)/* ktmp */);
  
#line 47604 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_subword_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 10626 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */,
                            opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, false, vlen_enc);
  
#line 47622 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_subword_reg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 10626 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */,
                            opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, false, vlen_enc);
  
#line 47640 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_unsigned_subword_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 10642 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */,
                            opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 47658 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_unsigned_subword_reg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 10642 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */,
                            opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, true, vlen_enc);
  
#line 47676 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// ktmp1
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// ktmp2
  {

#line 10660 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_addsub_dq_saturating_evex(this->ideal_Opcode(), elem_bt, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */,
                                        opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */,
                                        opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp2 */,
                                        opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp1 */, opnd_array(7)->as_KRegister(ra_,this,idx7)/* ktmp2 */, vlen_enc);
  
#line 47701 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_reg_evex_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// ktmp1
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// ktmp2
  {

#line 10660 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_addsub_dq_saturating_evex(this->ideal_Opcode(), elem_bt, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */,
                                        opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */,
                                        opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp2 */,
                                        opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp1 */, opnd_array(7)->as_KRegister(ra_,this,idx7)/* ktmp2 */, vlen_enc);
  
#line 47726 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_reg_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// xtmp3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// xtmp4
  {

#line 10680 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_addsub_dq_saturating_avx(this->ideal_Opcode(), elem_bt, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */,
                                       opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp2 */,
                                       opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* xtmp3 */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* xtmp4 */, vlen_enc);
  
#line 47750 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_reg_avx_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// xtmp3
  unsigned idx7 = idx6 + opnd_array(6)->num_edges(); 	// xtmp4
  {

#line 10680 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_addsub_dq_saturating_avx(this->ideal_Opcode(), elem_bt, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */,
                                       opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp2 */,
                                       opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* xtmp3 */, opnd_array(7)->as_XMMRegister(ra_,this,idx7)/* xtmp4 */, vlen_enc);
  
#line 47774 "ad_x86.cpp"
  }
}

void vector_add_saturating_unsigned_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// ktmp
  {

#line 10698 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_add_dq_saturating_unsigned_evex(elem_bt, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */,
                                              opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp2 */, opnd_array(6)->as_KRegister(ra_,this,idx6)/* ktmp */, vlen_enc);
  
#line 47796 "ad_x86.cpp"
  }
}

void vector_add_saturating_unsigned_reg_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp2
  unsigned idx6 = idx5 + opnd_array(5)->num_edges(); 	// xtmp3
  {

#line 10715 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_add_dq_saturating_unsigned_avx(elem_bt, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */,
                                             opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp2 */, opnd_array(6)->as_XMMRegister(ra_,this,idx6)/* xtmp3 */, vlen_enc);
  
#line 47818 "ad_x86.cpp"
  }
}

void vector_sub_saturating_unsigned_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// ktmp
  {

#line 10732 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_sub_dq_saturating_unsigned_evex(elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */,
                                              opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */, opnd_array(3)->as_KRegister(ra_,this,idx3)/* ktmp */, vlen_enc);
  
#line 47837 "ad_x86.cpp"
  }
}

void vector_sub_saturating_unsigned_reg_avxNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// dst
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// xtmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// xtmp2
  {

#line 10749 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_sub_dq_saturating_unsigned_avx(elem_bt, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* dst */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src2 */,
                                             opnd_array(4)->as_XMMRegister(ra_,this,idx4)/* xtmp1 */, opnd_array(5)->as_XMMRegister(ra_,this,idx5)/* xtmp2 */, vlen_enc);
  
#line 47858 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_subword_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 10765 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */,
                            opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), false, vlen_enc);
  
#line 47876 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_subword_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 10765 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */,
                            opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), false, vlen_enc);
  
#line 47894 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_unsigned_subword_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 10781 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */,
                            opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 47912 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_unsigned_subword_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// src1
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src2
  {

#line 10781 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ vector_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(0)->as_XMMRegister(ra_,this)/* dst */,
                            opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* src1 */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, vlen_enc);
  
#line 47930 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_subword_masked_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10796 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ evmasked_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                              opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, false, true, vlen_enc);
  
#line 47949 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_subword_masked_reg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10796 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ evmasked_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                              opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, false, true, vlen_enc);
  
#line 47968 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_unsigned_subword_masked_regNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10811 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ evmasked_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                              opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, true, true, vlen_enc);
  
#line 47987 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_unsigned_subword_masked_reg_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10811 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ evmasked_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                              opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src */, true, true, vlen_enc);
  
#line 48006 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_subword_masked_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10826 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ evmasked_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                              opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), false, true, vlen_enc);
  
#line 48025 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_subword_masked_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10826 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ evmasked_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                              opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), false, true, vlen_enc);
  
#line 48044 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_unsigned_subword_masked_memNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10841 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ evmasked_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                              opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, true, vlen_enc);
  
#line 48063 "ad_x86.cpp"
  }
}

void vector_addsub_saturating_unsigned_subword_masked_mem_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// dst
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// mask
  {

#line 10841 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType elem_bt = Matcher::vector_element_basic_type(this);
    __ evmasked_saturating_op(this->ideal_Opcode(), elem_bt, opnd_array(3)->as_KRegister(ra_,this,idx3)/* mask */, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */,
                              opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* dst */, Address::make_raw(opnd_array(2)->base(ra_,this,idx2), opnd_array(2)->index(ra_,this,idx2), opnd_array(2)->scale(), opnd_array(2)->disp(ra_,this,idx2), opnd_array(2)->disp_reloc()), true, true, vlen_enc);
  
#line 48082 "ad_x86.cpp"
  }
}

void vector_selectfrom_twovectors_reg_evexNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 1;
  unsigned idx1 = 1; 	// index
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// src1
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// src2
  {

#line 10854 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86.ad"

    int vlen_enc = vector_length_encoding(this);
    BasicType bt = Matcher::vector_element_basic_type(this);
    __ select_from_two_vectors_evex(bt, opnd_array(1)->as_XMMRegister(ra_,this,idx1)/* index */, opnd_array(2)->as_XMMRegister(ra_,this,idx2)/* src1 */, opnd_array(3)->as_XMMRegister(ra_,this,idx3)/* src2 */, vlen_enc);
  
#line 48100 "ad_x86.cpp"
  }
}

void compareAndSwapP_shenandoahNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  {

#line 42 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/gc/shenandoah/shenandoah_x86_32.ad"

    ShenandoahBarrierSet::assembler()->cmpxchg_oop(masm,
                                                   opnd_array(0)->as_Register(ra_,this)/* res */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_Register(ra_,this,idx2)/* oldval */, opnd_array(3)->as_Register(ra_,this,idx3)/* newval */,
                                                   false, // swap
                                                   opnd_array(4)->as_Register(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_Register(ra_,this,idx5)/* tmp2 */);
  
#line 48121 "ad_x86.cpp"
  }
}

void compareAndSwapP_shenandoah_0Node::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  {

#line 42 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/gc/shenandoah/shenandoah_x86_32.ad"

    ShenandoahBarrierSet::assembler()->cmpxchg_oop(masm,
                                                   opnd_array(0)->as_Register(ra_,this)/* res */, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_Register(ra_,this,idx2)/* oldval */, opnd_array(3)->as_Register(ra_,this,idx3)/* newval */,
                                                   false, // swap
                                                   opnd_array(4)->as_Register(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_Register(ra_,this,idx5)/* tmp2 */);
  
#line 48142 "ad_x86.cpp"
  }
}

void compareAndExchangeP_shenandoahNode::emit(C2_MacroAssembler* masm, PhaseRegAlloc* ra_) const {
  // Start at oper_input_base() and count operands
  unsigned idx0 = 2;
  unsigned idx1 = 2; 	// mem_ptr
  unsigned idx2 = idx1 + opnd_array(1)->num_edges(); 	// oldval
  unsigned idx3 = idx2 + opnd_array(2)->num_edges(); 	// newval
  unsigned idx4 = idx3 + opnd_array(3)->num_edges(); 	// tmp1
  unsigned idx5 = idx4 + opnd_array(4)->num_edges(); 	// tmp2
  {

#line 63 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/gc/shenandoah/shenandoah_x86_32.ad"

    ShenandoahBarrierSet::assembler()->cmpxchg_oop(masm,
                                                   noreg, Address::make_raw(opnd_array(1)->base(ra_,this,idx1), opnd_array(1)->index(ra_,this,idx1), opnd_array(1)->scale(), opnd_array(1)->disp(ra_,this,idx1), opnd_array(1)->disp_reloc()), opnd_array(2)->as_Register(ra_,this,idx2)/* oldval */, opnd_array(3)->as_Register(ra_,this,idx3)/* newval */,
                                                   true,  // exchange
                                                   opnd_array(4)->as_Register(ra_,this,idx4)/* tmp1 */, opnd_array(5)->as_Register(ra_,this,idx5)/* tmp2 */);
  
#line 48163 "ad_x86.cpp"
  }
}

const MachOper* popCountI_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* popCountL_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadBNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadB2LNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadUBNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadUB2LNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadUB2L_immINode::memory_operand() const { return _opnds[1]; }
const MachOper* loadSNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadS2BNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadS2LNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadUSNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadUS2BNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadUS2LNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadUS2L_immI_255Node::memory_operand() const { return _opnds[1]; }
const MachOper* loadUS2L_immINode::memory_operand() const { return _opnds[1]; }
const MachOper* loadINode::memory_operand() const { return _opnds[1]; }
const MachOper* loadI2BNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadI2UBNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadI2SNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadI2USNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadI2LNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadI2L_immI_255Node::memory_operand() const { return _opnds[1]; }
const MachOper* loadI2L_immI_65535Node::memory_operand() const { return _opnds[1]; }
const MachOper* loadI2L_immU31Node::memory_operand() const { return _opnds[1]; }
const MachOper* loadUI2LNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadLNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadL_volatileNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadLX_volatileNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadLX_reg_volatileNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadRangeNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadPNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadKlassNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadDPRNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadDNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadD_partialNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadFNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadFPRNode::memory_operand() const { return _opnds[1]; }
const MachOper* prefetchAlloc0Node::memory_operand() const { return _opnds[1]; }
const MachOper* prefetchAllocNode::memory_operand() const { return _opnds[1]; }
const MachOper* prefetchAllocNTANode::memory_operand() const { return _opnds[1]; }
const MachOper* prefetchAllocT0Node::memory_operand() const { return _opnds[1]; }
const MachOper* prefetchAllocT2Node::memory_operand() const { return _opnds[1]; }
const MachOper* storeBNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeCNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeINode::memory_operand() const { return _opnds[1]; }
const MachOper* storeLNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeL2INode::memory_operand() const { return _opnds[1]; }
const MachOper* storeL_volatileNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeLX_volatileNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeLX_reg_volatileNode::memory_operand() const { return _opnds[1]; }
const MachOper* storePNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeImmINode::memory_operand() const { return _opnds[1]; }
const MachOper* storeImmI16Node::memory_operand() const { return _opnds[1]; }
const MachOper* storeImmPNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeImmBNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeDPRNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeDPR_roundedNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeDNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeFNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeFPRNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeFPR_roundedNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeFPR_DroundedNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeFPR_immNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeF_immNode::memory_operand() const { return _opnds[1]; }
const MachOper* cmovI_memNode::memory_operand() const { return _opnds[4]; }
const MachOper* cmovI_memUNode::memory_operand() const { return _opnds[4]; }
const MachOper* cmovI_memUCFNode::memory_operand() const { return _opnds[4]; }
const MachOper* addI_eReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* addI_eReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* addI_mem_eRegNode::memory_operand() const { return _opnds[1]; }
const MachOper* addI_mem_eReg_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* addI_mem_immNode::memory_operand() const { return _opnds[1]; }
const MachOper* incI_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* decI_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* xaddB_no_resNode::memory_operand() const { return _opnds[1]; }
const MachOper* xaddBNode::memory_operand() const { return _opnds[1]; }
const MachOper* xaddS_no_resNode::memory_operand() const { return _opnds[1]; }
const MachOper* xaddSNode::memory_operand() const { return _opnds[1]; }
const MachOper* xaddI_no_resNode::memory_operand() const { return _opnds[1]; }
const MachOper* xaddINode::memory_operand() const { return _opnds[1]; }
const MachOper* xchgBNode::memory_operand() const { return _opnds[1]; }
const MachOper* xchgSNode::memory_operand() const { return _opnds[1]; }
const MachOper* xchgINode::memory_operand() const { return _opnds[1]; }
const MachOper* xchgPNode::memory_operand() const { return _opnds[1]; }
const MachOper* subI_eReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* subI_mem_eRegNode::memory_operand() const { return _opnds[1]; }
const MachOper* mulI_mem_immNode::memory_operand() const { return _opnds[1]; }
const MachOper* mulINode::memory_operand() const { return _opnds[2]; }
const MachOper* mulI_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* sarI_mem_1Node::memory_operand() const { return _opnds[1]; }
const MachOper* sarI_mem_immNode::memory_operand() const { return _opnds[1]; }
const MachOper* andI_eReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* andI_eReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* andI_mem_eRegNode::memory_operand() const { return _opnds[1]; }
const MachOper* andI_mem_eReg_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* andI_mem_immNode::memory_operand() const { return _opnds[1]; }
const MachOper* andnI_rReg_rReg_memNode::memory_operand() const { return _opnds[3]; }
const MachOper* andnI_rReg_rReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* blsiI_rReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* blsiI_rReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* blsmskI_rReg_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* blsmskI_rReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* blsrI_rReg_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* blsrI_rReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* orI_eReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* orI_eReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* orI_mem_eRegNode::memory_operand() const { return _opnds[1]; }
const MachOper* orI_mem_eReg_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* orI_mem_immNode::memory_operand() const { return _opnds[1]; }
const MachOper* xorI_eReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* xorI_eReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* xorI_mem_eRegNode::memory_operand() const { return _opnds[1]; }
const MachOper* xorI_mem_eReg_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* xorI_mem_immNode::memory_operand() const { return _opnds[1]; }
const MachOper* addL_eReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* addL_eReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* subL_eReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* andL_eReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* andL_eReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* andnL_eReg_eReg_memNode::memory_operand() const { return _opnds[3]; }
const MachOper* andnL_eReg_eReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* blsiL_eReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* blsiL_eReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* blsmskL_eReg_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* blsmskL_eReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* blsrL_eReg_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* blsrL_eReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* orl_eReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* orl_eReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* xorl_eReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* xorl_eReg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* cmpD_ccmemNode::memory_operand() const { return _opnds[2]; }
const MachOper* cmpD_ccmemCFNode::memory_operand() const { return _opnds[2]; }
const MachOper* cmpD_regmemNode::memory_operand() const { return _opnds[2]; }
const MachOper* subDPR_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* addDPR_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* addDPR_reg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* addDPR_mem_regNode::memory_operand() const { return _opnds[1]; }
const MachOper* addDPR_mem_reg_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* mulDPR_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* mulDPR_reg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* mulDPR_reg_mem_ciscNode::memory_operand() const { return _opnds[2]; }
const MachOper* mulDPR_reg_mem_cisc_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* cmpF_ccmemNode::memory_operand() const { return _opnds[2]; }
const MachOper* cmpF_ccmemCFNode::memory_operand() const { return _opnds[2]; }
const MachOper* cmpF_regmemNode::memory_operand() const { return _opnds[2]; }
const MachOper* addFPR24_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* addFPR24_reg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* addFPR_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* addFPR_reg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* addFPR24_mem_regNode::memory_operand() const { return _opnds[1]; }
const TypePtr *addFPR24_mem_ciscNode::adr_type() const { return TypePtr::BOTTOM; }
const MachOper* addFPR24_mem_ciscNode::memory_operand() const { return (MachOper*)-1; }
const TypePtr *addFPR24_mem_cisc_0Node::adr_type() const { return TypePtr::BOTTOM; }
const MachOper* addFPR24_mem_cisc_0Node::memory_operand() const { return (MachOper*)-1; }
const TypePtr *addFPR24_mem_memNode::adr_type() const { return TypePtr::BOTTOM; }
const MachOper* addFPR24_mem_memNode::memory_operand() const { return (MachOper*)-1; }
const MachOper* mulFPR24_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* mulFPR24_reg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* mulFPR_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* mulFPR_reg_mem_0Node::memory_operand() const { return _opnds[1]; }
const TypePtr *mulFPR24_mem_memNode::adr_type() const { return TypePtr::BOTTOM; }
const MachOper* mulFPR24_mem_memNode::memory_operand() const { return (MachOper*)-1; }
const MachOper* mulFPR_reg_load1Node::memory_operand() const { return _opnds[1]; }
const MachOper* mulFPR_reg_load1_0Node::memory_operand() const { return _opnds[2]; }
const MachOper* addFPR_mulFPR_reg_load1Node::memory_operand() const { return _opnds[1]; }
const MachOper* addFPR_mulFPR_reg_load1_1Node::memory_operand() const { return _opnds[2]; }
const MachOper* addFPR_mulFPR_reg_load1_0Node::memory_operand() const { return _opnds[2]; }
const MachOper* addFPR_mulFPR_reg_load1_2Node::memory_operand() const { return _opnds[3]; }
const MachOper* convI2D_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* convI2DPR_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* convI2FPR_SSF_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* convI2FPR_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* compI_eReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* testI_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* compU_eReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* compP_eReg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* compP_mem_eRegNode::memory_operand() const { return _opnds[2]; }
const MachOper* testP_Reg_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* cmovLL_mem_LTGENode::memory_operand() const { return _opnds[4]; }
const MachOper* cmovLL_mem_LTGE_UNode::memory_operand() const { return _opnds[4]; }
const MachOper* cmovII_mem_LTGENode::memory_operand() const { return _opnds[4]; }
const MachOper* cmovII_mem_LTGE_UNode::memory_operand() const { return _opnds[4]; }
const MachOper* cmovLL_mem_EQNENode::memory_operand() const { return _opnds[4]; }
const MachOper* cmovII_mem_EQNENode::memory_operand() const { return _opnds[4]; }
const MachOper* cmovII_mem_EQNE_UNode::memory_operand() const { return _opnds[4]; }
const MachOper* cmovLL_mem_LEGTNode::memory_operand() const { return _opnds[4]; }
const MachOper* cmovLL_mem_LEGT_UNode::memory_operand() const { return _opnds[4]; }
const MachOper* cmovII_mem_LEGTNode::memory_operand() const { return _opnds[4]; }
const MachOper* cmovII_mem_LEGT_UNode::memory_operand() const { return _opnds[4]; }
const MachOper* addF_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* addF_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* addF_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* addF_reg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* addD_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* addD_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* addD_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* addD_reg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* subF_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* subF_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* subD_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* subD_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* mulF_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* mulF_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* mulF_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* mulF_reg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* mulD_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* mulD_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* mulD_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* mulD_reg_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* divF_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* divF_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* divD_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* divD_reg_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* convF2HF_mem_regNode::memory_operand() const { return _opnds[1]; }
const MachOper* vconvF2HF_mem_regNode::memory_operand() const { return _opnds[1]; }
const MachOper* vconvHF2F_reg_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* loadVNode::memory_operand() const { return _opnds[1]; }
const MachOper* storeVNode::memory_operand() const { return _opnds[1]; }
const MachOper* gatherNode::memory_operand() const { return _opnds[1]; }
const MachOper* evgatherNode::memory_operand() const { return _opnds[1]; }
const MachOper* evgather_maskedNode::memory_operand() const { return _opnds[1]; }
const MachOper* vgather_subwordLE8BNode::memory_operand() const { return _opnds[1]; }
const MachOper* vgather_subwordGT8BNode::memory_operand() const { return _opnds[1]; }
const MachOper* vgather_subwordLE8B_offNode::memory_operand() const { return _opnds[1]; }
const MachOper* vgather_subwordGT8B_offNode::memory_operand() const { return _opnds[1]; }
const MachOper* scatterNode::memory_operand() const { return _opnds[1]; }
const MachOper* scatter_maskedNode::memory_operand() const { return _opnds[1]; }
const MachOper* ReplB_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* ReplS_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* ReplI_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* ReplL_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* ReplF_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* ReplD_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* vaddB_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vaddB_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* vaddS_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vaddS_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* vaddI_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vaddI_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* vaddL_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vaddL_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* vaddF_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vaddF_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* vaddD_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vaddD_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* vsubB_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vsubS_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vsubI_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vsubL_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vsubF_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vsubD_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vmulS_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vmulS_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* vmulI_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vmulI_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* evmulL_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* evmulL_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* vmulF_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vmulF_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* vmulD_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vmulD_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* vdivF_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vdivD_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vector_uminmax_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vector_uminmax_mem_0Node::memory_operand() const { return _opnds[2]; }
const MachOper* vector_uminmax_mem_maskedNode::memory_operand() const { return _opnds[2]; }
const MachOper* vector_uminmax_mem_masked_0Node::memory_operand() const { return _opnds[2]; }
const MachOper* compressBitsI_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* expandBitsI_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vsqrtF_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* vsqrtD_memNode::memory_operand() const { return _opnds[1]; }
const MachOper* vand_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vand_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* vor_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vor_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* vxor_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vxor_mem_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* vfmaF_memNode::memory_operand() const { return _opnds[3]; }
const MachOper* vfmaD_memNode::memory_operand() const { return _opnds[3]; }
const MachOper* vpternlog_memNode::memory_operand() const { return _opnds[3]; }
const MachOper* vmasked_load_avx_non_subwordNode::memory_operand() const { return _opnds[1]; }
const MachOper* vmasked_load_evexNode::memory_operand() const { return _opnds[1]; }
const MachOper* vmasked_store_avx_non_subwordNode::memory_operand() const { return _opnds[1]; }
const MachOper* vmasked_store_evexNode::memory_operand() const { return _opnds[1]; }
const MachOper* vadd_mem_maskedNode::memory_operand() const { return _opnds[2]; }
const MachOper* vadd_mem_masked_0Node::memory_operand() const { return _opnds[2]; }
const MachOper* vadd_mem_masked_1Node::memory_operand() const { return _opnds[2]; }
const MachOper* vadd_mem_masked_2Node::memory_operand() const { return _opnds[2]; }
const MachOper* vadd_mem_masked_3Node::memory_operand() const { return _opnds[2]; }
const MachOper* vadd_mem_masked_4Node::memory_operand() const { return _opnds[2]; }
const MachOper* vxor_mem_maskedNode::memory_operand() const { return _opnds[2]; }
const MachOper* vor_mem_maskedNode::memory_operand() const { return _opnds[2]; }
const MachOper* vand_mem_maskedNode::memory_operand() const { return _opnds[2]; }
const MachOper* vsub_mem_maskedNode::memory_operand() const { return _opnds[2]; }
const MachOper* vsub_mem_masked_0Node::memory_operand() const { return _opnds[2]; }
const MachOper* vsub_mem_masked_1Node::memory_operand() const { return _opnds[2]; }
const MachOper* vsub_mem_masked_2Node::memory_operand() const { return _opnds[2]; }
const MachOper* vsub_mem_masked_3Node::memory_operand() const { return _opnds[2]; }
const MachOper* vsub_mem_masked_4Node::memory_operand() const { return _opnds[2]; }
const MachOper* vmul_mem_maskedNode::memory_operand() const { return _opnds[2]; }
const MachOper* vmul_mem_masked_0Node::memory_operand() const { return _opnds[2]; }
const MachOper* vmul_mem_masked_1Node::memory_operand() const { return _opnds[2]; }
const MachOper* vmul_mem_masked_2Node::memory_operand() const { return _opnds[2]; }
const MachOper* vmul_mem_masked_3Node::memory_operand() const { return _opnds[2]; }
const MachOper* vdiv_mem_maskedNode::memory_operand() const { return _opnds[2]; }
const MachOper* vdiv_mem_masked_0Node::memory_operand() const { return _opnds[2]; }
const MachOper* vmaxv_mem_maskedNode::memory_operand() const { return _opnds[2]; }
const MachOper* vminv_mem_maskedNode::memory_operand() const { return _opnds[2]; }
const MachOper* vfma_mem_maskedNode::memory_operand() const { return _opnds[3]; }
const MachOper* vfma_mem_masked_0Node::memory_operand() const { return _opnds[3]; }
const MachOper* vternlogd_mem_maskedNode::memory_operand() const { return _opnds[3]; }
const MachOper* vector_addsub_saturating_subword_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vector_addsub_saturating_subword_mem_0Node::memory_operand() const { return _opnds[2]; }
const MachOper* vector_addsub_saturating_unsigned_subword_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vector_addsub_saturating_unsigned_subword_mem_0Node::memory_operand() const { return _opnds[2]; }
const MachOper* vector_addsub_saturating_subword_masked_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vector_addsub_saturating_subword_masked_mem_0Node::memory_operand() const { return _opnds[2]; }
const MachOper* vector_addsub_saturating_unsigned_subword_masked_memNode::memory_operand() const { return _opnds[2]; }
const MachOper* vector_addsub_saturating_unsigned_subword_masked_mem_0Node::memory_operand() const { return _opnds[2]; }
const MachOper* compareAndSwapP_shenandoahNode::memory_operand() const { return _opnds[1]; }
const MachOper* compareAndSwapP_shenandoah_0Node::memory_operand() const { return _opnds[1]; }
const MachOper* compareAndExchangeP_shenandoahNode::memory_operand() const { return _opnds[1]; }


bool Matcher::has_match_rule(int opcode) {
  assert(_last_machine_leaf < opcode && opcode < _last_opcode, "opcode in range");
  return _hasMatchRule[opcode];
}

const bool Matcher::_hasMatchRule[_last_opcode] = {
    false,  // Node
    false,  // Set
    false,  // RegN
    false,  // RegI
    false,  // RegP
    false,  // RegF
    false,  // RegD
    false,  // RegL
    false,  // VecA
    false,  // VecS
    false,  // VecD
    false,  // VecX
    false,  // VecY
    false,  // VecZ
    false,  // RegVectMask
    false,  // RegFlags
    false,  // _last_machine_leaf
    true ,  // AbsD
    true ,  // AbsF
    true ,  // AbsI
    false,  // AbsL
    true ,  // AddD
    true ,  // AddF
    true ,  // AddI
    true ,  // AddL
    true ,  // AddP
    false,  // Allocate
    false,  // AllocateArray
    true ,  // AndI
    true ,  // AndL
    false,  // ArrayCopy
    true ,  // AryEq
    true ,  // AtanD
    true ,  // Binary
    false,  // Blackhole
    true ,  // Bool
    false,  // BoxLock
    true ,  // ReverseBytesI
    true ,  // ReverseBytesL
    true ,  // ReverseBytesUS
    true ,  // ReverseBytesS
    true ,  // ReverseBytesV
    false,  // CProj
    false,  // CacheWB
    false,  // CacheWBPreSync
    false,  // CacheWBPostSync
    true ,  // CallDynamicJava
    false,  // CallJava
    true ,  // CallLeaf
    true ,  // CallLeafNoFP
    false,  // CallLeafVector
    true ,  // CallRuntime
    true ,  // CallStaticJava
    true ,  // CastDD
    true ,  // CastFF
    true ,  // CastII
    true ,  // CastLL
    true ,  // CastVV
    true ,  // CastX2P
    true ,  // CastP2X
    true ,  // CastPP
    false,  // Catch
    false,  // CatchProj
    true ,  // CheckCastPP
    true ,  // ClearArray
    true ,  // CompressBits
    true ,  // ExpandBits
    false,  // CompressBitsV
    false,  // ExpandBitsV
    false,  // ConstraintCast
    true ,  // CMoveD
    true ,  // CMoveF
    true ,  // CMoveI
    true ,  // CMoveL
    true ,  // CMoveP
    false,  // CMoveN
    false,  // CmpN
    true ,  // CmpD
    true ,  // CmpD3
    true ,  // CmpF
    true ,  // CmpF3
    true ,  // CmpI
    true ,  // CmpL
    true ,  // CmpL3
    true ,  // CmpLTMask
    true ,  // CmpP
    true ,  // CmpU
    false,  // CmpU3
    true ,  // CmpUL
    false,  // CmpUL3
    true ,  // CompareAndSwapB
    true ,  // CompareAndSwapS
    true ,  // CompareAndSwapI
    true ,  // CompareAndSwapL
    true ,  // CompareAndSwapP
    false,  // CompareAndSwapN
    true ,  // WeakCompareAndSwapB
    true ,  // WeakCompareAndSwapS
    true ,  // WeakCompareAndSwapI
    true ,  // WeakCompareAndSwapL
    true ,  // WeakCompareAndSwapP
    false,  // WeakCompareAndSwapN
    true ,  // CompareAndExchangeB
    true ,  // CompareAndExchangeS
    true ,  // CompareAndExchangeI
    true ,  // CompareAndExchangeL
    true ,  // CompareAndExchangeP
    false,  // CompareAndExchangeN
    true ,  // GetAndAddB
    true ,  // GetAndAddS
    true ,  // GetAndAddI
    false,  // GetAndAddL
    true ,  // GetAndSetB
    true ,  // GetAndSetS
    true ,  // GetAndSetI
    false,  // GetAndSetL
    true ,  // GetAndSetP
    false,  // GetAndSetN
    false,  // Con
    false,  // ConN
    false,  // ConNKlass
    true ,  // ConD
    true ,  // ConF
    true ,  // ConI
    true ,  // ConL
    true ,  // ConP
    true ,  // Conv2B
    true ,  // ConvD2F
    true ,  // ConvD2I
    true ,  // ConvD2L
    true ,  // ConvF2D
    true ,  // ConvF2I
    true ,  // ConvF2L
    true ,  // ConvI2D
    true ,  // ConvI2F
    true ,  // ConvI2L
    true ,  // ConvL2D
    true ,  // ConvL2F
    true ,  // ConvL2I
    true ,  // ConvF2HF
    true ,  // ConvHF2F
    false,  // CountedLoop
    true ,  // CountedLoopEnd
    false,  // OuterStripMinedLoop
    false,  // OuterStripMinedLoopEnd
    false,  // LongCountedLoop
    false,  // LongCountedLoopEnd
    true ,  // CountLeadingZerosI
    true ,  // CountLeadingZerosL
    true ,  // CountLeadingZerosV
    true ,  // CountTrailingZerosI
    true ,  // CountTrailingZerosL
    true ,  // CountTrailingZerosV
    true ,  // CreateEx
    false,  // DecodeN
    false,  // DecodeNKlass
    true ,  // DivD
    true ,  // DivF
    true ,  // DivI
    true ,  // DivL
    false,  // UDivI
    false,  // UDivL
    false,  // DivMod
    true ,  // DivModI
    false,  // DivModL
    false,  // UDivModI
    false,  // UDivModL
    true ,  // EncodeISOArray
    false,  // EncodeP
    false,  // EncodePKlass
    true ,  // FastLock
    true ,  // FastUnlock
    true ,  // FmaD
    true ,  // FmaF
    true ,  // ForwardException
    true ,  // Goto
    true ,  // Halt
    true ,  // CountPositives
    true ,  // If
    false,  // RangeCheck
    false,  // IfFalse
    false,  // IfTrue
    false,  // Initialize
    false,  // JProj
    true ,  // Jump
    false,  // JumpProj
    true ,  // LShiftI
    true ,  // LShiftL
    true ,  // LoadB
    true ,  // LoadUB
    true ,  // LoadUS
    true ,  // LoadD
    false,  // LoadD_unaligned
    true ,  // LoadF
    true ,  // LoadI
    true ,  // LoadKlass
    false,  // LoadNKlass
    true ,  // LoadL
    false,  // LoadL_unaligned
    true ,  // LoadP
    false,  // LoadN
    true ,  // LoadRange
    true ,  // LoadS
    false,  // Lock
    false,  // Loop
    true ,  // LoopLimit
    false,  // Mach
    false,  // MachNullCheck
    false,  // MachProj
    true ,  // MulAddS2I
    true ,  // MaxI
    false,  // MaxL
    false,  // MaxD
    false,  // MaxF
    true ,  // MemBarAcquire
    true ,  // LoadFence
    true ,  // MemBarAcquireLock
    false,  // MemBarCPUOrder
    true ,  // MemBarRelease
    true ,  // StoreFence
    true ,  // StoreStoreFence
    true ,  // MemBarReleaseLock
    true ,  // MemBarVolatile
    true ,  // MemBarStoreStore
    false,  // MergeMem
    true ,  // MinI
    false,  // MinL
    false,  // MinF
    false,  // MinD
    true ,  // ModD
    true ,  // ModF
    true ,  // ModI
    true ,  // ModL
    false,  // UModI
    false,  // UModL
    true ,  // MoveI2F
    true ,  // MoveF2I
    true ,  // MoveL2D
    true ,  // MoveD2L
    true ,  // IsInfiniteF
    false,  // IsFiniteF
    true ,  // IsInfiniteD
    false,  // IsFiniteD
    true ,  // MulD
    true ,  // MulF
    false,  // MulHiL
    false,  // UMulHiL
    true ,  // MulI
    true ,  // MulL
    false,  // Multi
    false,  // NegI
    false,  // NegL
    true ,  // NegD
    true ,  // NegF
    false,  // NeverBranch
    true ,  // OnSpinWait
    false,  // Opaque1
    false,  // OpaqueLoopInit
    false,  // OpaqueLoopStride
    false,  // OpaqueZeroTripGuard
    false,  // OpaqueNotNull
    false,  // OpaqueInitializedAssertionPredicate
    false,  // OpaqueTemplateAssertionPredicate
    false,  // ProfileBoolean
    true ,  // OrI
    true ,  // OrL
    true ,  // OverflowAddI
    true ,  // OverflowSubI
    true ,  // OverflowMulI
    false,  // OverflowAddL
    false,  // OverflowSubL
    false,  // OverflowMulL
    false,  // PCTable
    false,  // Parm
    false,  // ParsePredicate
    true ,  // PartialSubtypeCheck
    false,  // SubTypeCheck
    false,  // Phi
    true ,  // PopCountI
    true ,  // PopCountL
    true ,  // PopCountVI
    true ,  // PopCountVL
    false,  // PopulateIndex
    true ,  // PrefetchAllocation
    false,  // Proj
    true ,  // RShiftI
    true ,  // RShiftL
    false,  // Region
    true ,  // Rethrow
    true ,  // Return
    false,  // ReverseI
    false,  // ReverseL
    true ,  // ReverseV
    false,  // Root
    true ,  // RoundDouble
    false,  // RoundDoubleMode
    false,  // RoundDoubleModeV
    true ,  // RoundFloat
    false,  // RotateLeft
    true ,  // RotateLeftV
    false,  // RotateRight
    true ,  // RotateRightV
    true ,  // SafePoint
    false,  // SafePointScalarObject
    false,  // SafePointScalarMerge
    true ,  // ShenandoahCompareAndExchangeP
    false,  // ShenandoahCompareAndExchangeN
    false,  // ShenandoahCompareAndSwapN
    true ,  // ShenandoahCompareAndSwapP
    false,  // ShenandoahWeakCompareAndSwapN
    true ,  // ShenandoahWeakCompareAndSwapP
    false,  // ShenandoahLoadReferenceBarrier
    false,  // SCMemProj
    false,  // CopySignD
    false,  // CopySignF
    true ,  // SaturatingAddV
    true ,  // SaturatingSubV
    true ,  // SignumD
    true ,  // SignumF
    true ,  // SignumVF
    true ,  // SignumVD
    true ,  // SqrtD
    true ,  // SqrtF
    false,  // RoundF
    false,  // RoundD
    false,  // Start
    false,  // StartOSR
    true ,  // StoreB
    true ,  // StoreC
    true ,  // StoreD
    true ,  // StoreF
    true ,  // StoreI
    true ,  // StoreL
    true ,  // StoreP
    false,  // StoreN
    false,  // StoreNKlass
    true ,  // StrComp
    true ,  // StrCompressedCopy
    true ,  // StrEquals
    true ,  // StrIndexOf
    true ,  // StrIndexOfChar
    true ,  // StrInflatedCopy
    true ,  // SubD
    true ,  // SubF
    true ,  // SubI
    true ,  // SubL
    true ,  // TailCall
    true ,  // TailJump
    true ,  // MacroLogicV
    true ,  // ThreadLocal
    false,  // Unlock
    false,  // URShiftB
    false,  // URShiftS
    true ,  // URShiftI
    true ,  // URShiftL
    true ,  // XorI
    true ,  // XorL
    false,  // Vector
    true ,  // AddVB
    true ,  // AddVS
    true ,  // AddVI
    true ,  // AddReductionVI
    true ,  // AddVL
    false,  // AddReductionVL
    true ,  // AddVF
    true ,  // AddReductionVF
    true ,  // AddVD
    true ,  // AddReductionVD
    true ,  // SubVB
    true ,  // SubVS
    true ,  // SubVI
    true ,  // SubVL
    true ,  // SubVF
    true ,  // SubVD
    true ,  // MulVB
    true ,  // MulVS
    true ,  // MulVI
    true ,  // MulReductionVI
    true ,  // MulVL
    false,  // MulReductionVL
    true ,  // MulVF
    true ,  // MulReductionVF
    true ,  // MulVD
    true ,  // MulReductionVD
    true ,  // MulAddVS2VI
    true ,  // FmaVD
    true ,  // FmaVF
    true ,  // DivVF
    true ,  // DivVD
    true ,  // AbsVB
    true ,  // AbsVS
    true ,  // AbsVI
    true ,  // AbsVL
    true ,  // AbsVF
    true ,  // AbsVD
    false,  // NegVI
    false,  // NegVL
    true ,  // NegVF
    true ,  // NegVD
    true ,  // SqrtVD
    true ,  // SqrtVF
    true ,  // LShiftCntV
    true ,  // RShiftCntV
    true ,  // LShiftVB
    true ,  // LShiftVS
    true ,  // LShiftVI
    true ,  // LShiftVL
    true ,  // RShiftVB
    true ,  // RShiftVS
    true ,  // RShiftVI
    true ,  // RShiftVL
    true ,  // URShiftVB
    true ,  // URShiftVS
    true ,  // URShiftVI
    true ,  // URShiftVL
    true ,  // AndV
    true ,  // AndReductionV
    true ,  // OrV
    true ,  // OrReductionV
    true ,  // XorV
    true ,  // XorReductionV
    true ,  // MinV
    true ,  // MaxV
    true ,  // UMinV
    true ,  // UMaxV
    true ,  // MinReductionV
    true ,  // MaxReductionV
    false,  // CompressV
    false,  // CompressM
    false,  // ExpandV
    true ,  // LoadVector
    true ,  // LoadVectorGather
    true ,  // LoadVectorGatherMasked
    true ,  // StoreVector
    true ,  // StoreVectorScatter
    true ,  // StoreVectorScatterMasked
    true ,  // LoadVectorMasked
    true ,  // StoreVectorMasked
    false,  // VerifyVectorAlignment
    false,  // VectorCmpMasked
    false,  // VectorMaskGen
    false,  // VectorMaskOp
    false,  // VectorMaskTrueCount
    false,  // VectorMaskFirstTrue
    false,  // VectorMaskLastTrue
    false,  // VectorMaskToLong
    false,  // VectorLongToMask
    false,  // Pack
    false,  // PackB
    false,  // PackS
    false,  // PackI
    false,  // PackL
    false,  // PackF
    false,  // PackD
    false,  // Pack2L
    false,  // Pack2D
    true ,  // Replicate
    false,  // RoundVF
    false,  // RoundVD
    false,  // Extract
    false,  // ExtractB
    false,  // ExtractUB
    false,  // ExtractC
    true ,  // ExtractS
    true ,  // ExtractI
    false,  // ExtractL
    true ,  // ExtractF
    true ,  // ExtractD
    false,  // Digit
    false,  // LowerCase
    false,  // UpperCase
    false,  // Whitespace
    true ,  // SelectFromTwoVector
    false,  // VectorBox
    false,  // VectorBoxAllocate
    false,  // VectorUnbox
    false,  // VectorMaskWrapper
    true ,  // VectorMaskCmp
    true ,  // VectorMaskCast
    false,  // VectorTest
    true ,  // VectorBlend
    true ,  // VectorRearrange
    true ,  // VectorLoadMask
    true ,  // VectorLoadShuffle
    true ,  // VectorLoadConst
    true ,  // VectorStoreMask
    true ,  // VectorReinterpret
    false,  // VectorCast
    true ,  // VectorCastB2X
    true ,  // VectorCastS2X
    true ,  // VectorCastI2X
    true ,  // VectorCastL2X
    true ,  // VectorCastF2X
    true ,  // VectorCastD2X
    true ,  // VectorCastF2HF
    true ,  // VectorCastHF2F
    true ,  // VectorUCastB2X
    true ,  // VectorUCastS2X
    true ,  // VectorUCastI2X
    false,  // VectorizedHashCode
    true ,  // VectorInsert
    true ,  // MaskAll
    true ,  // AndVMask
    true ,  // OrVMask
    true    // XorVMask
};


int Compile::sync_stack_slots() const { return 1; }

uint Matcher::stack_alignment_in_bytes() { return StackAlignmentInBytes; }

OptoReg::Name Matcher::return_addr() const { return OptoReg::stack2reg(- 1 +
              align_up((Compile::current()->in_preserve_stack_slots() +
                        Compile::current()->fixed_slots()),
                       stack_alignment_in_slots())); }

uint Compile::varargs_C_out_slots_killed() const { return 0; }

OptoRegPair Matcher::return_value(uint ideal_reg) {

#line 3153 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    assert( ideal_reg >= Op_RegI && ideal_reg <= Op_RegL, "only return normal values" );
    static int lo[Op_RegL+1] = { 0, 0, OptoReg::Bad, EAX_num,      EAX_num,      FPR1L_num,    FPR1L_num, EAX_num };
    static int hi[Op_RegL+1] = { 0, 0, OptoReg::Bad, OptoReg::Bad, OptoReg::Bad, OptoReg::Bad, FPR1H_num, EDX_num };
    if( ideal_reg == Op_RegD && UseSSE>=2 )
      return OptoRegPair(XMM0b_num,XMM0_num);
    if( ideal_reg == Op_RegF && UseSSE>=1 )
      return OptoRegPair(OptoReg::Bad,XMM0_num);
    return OptoRegPair(hi[ideal_reg],lo[ideal_reg]);
  
#line 49030 "ad_x86.cpp"

}

OptoRegPair Matcher::c_return_value(uint ideal_reg) {

#line 3137 "/home/iurt/rpmbuild/BUILD/java-latest-openjdk-24.0.1.0.9-build/java-24-openjdk-24.0.1.0.9-1.rolling.1.mga10.i386/openjdk/src/hotspot/cpu/x86/x86_32.ad"

    assert( ideal_reg >= Op_RegI && ideal_reg <= Op_RegL, "only return normal values" );
    static int lo[Op_RegL+1] = { 0, 0, OptoReg::Bad, EAX_num,      EAX_num,      FPR1L_num,    FPR1L_num, EAX_num };
    static int hi[Op_RegL+1] = { 0, 0, OptoReg::Bad, OptoReg::Bad, OptoReg::Bad, OptoReg::Bad, FPR1H_num, EDX_num };

    // in SSE2+ mode we want to keep the FPU stack clean so pretend
    // that C functions return float and double results in XMM0.
    if( ideal_reg == Op_RegD && UseSSE>=2 )
      return OptoRegPair(XMM0b_num,XMM0_num);
    if( ideal_reg == Op_RegF && UseSSE>=2 )
      return OptoRegPair(OptoReg::Bad,XMM0_num);

    return OptoRegPair(hi[ideal_reg],lo[ideal_reg]);
  
#line 49051 "ad_x86.cpp"

}

OptoReg::Name Matcher::inline_cache_reg() { return OptoReg::Name(EAX_num); }

int Matcher::inline_cache_reg_encode() { return _regEncode[inline_cache_reg()]; }

OptoReg::Name Matcher::interpreter_frame_pointer_reg() { return OptoReg::Name(EBP_num); }

OptoReg::Name Matcher::c_frame_pointer() const { return OptoReg::Name(ESP_num); }

// Number of callee-save + always-save registers
int  Matcher::number_of_saved_registers() {
  return 0;
};

bool Compile::needs_deep_clone_jvms() { return false; }

// Check consistency of C++ compilation with ADLC options:
// Check adlc -DLINUX=1
#ifndef LINUX
#  error "LINUX must be defined"
#endif // LINUX
// Check adlc -D_GNU_SOURCE=1
#ifndef _GNU_SOURCE
#  error "_GNU_SOURCE must be defined"
#endif // _GNU_SOURCE
// Check adlc -DIA32=1
#ifndef IA32
#  error "IA32 must be defined"
#endif // IA32
// Check adlc -U_LP64
#ifdef _LP64
#  error "_LP64 must not be defined"
#endif // _LP64
// Check adlc -DASSERT=1
#ifndef ASSERT
#  error "ASSERT must be defined"
#endif // ASSERT
